<?php
$DEFAULT_PATH = "../";
require_once ($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."tableau.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$from = $_GET['from'];
$cltID = $_SESSION['CLT_ID'];

if ($from=="his")
	$droitRole = HIS;
if ($from=="doc")
	$droitRole = SDO;
if ($from=="col")
	$droitRole = SDR;
if ($from=="pres")
	$droitRole = SDR;
$lmcse = DROIT_MODIF;
$where = "";

$page_courante = "action/actRejeu.php";

$vtp = new VTemplate;

$form = $vtp->Open($DEFAULT_PATH."template/actRejeu.vtp");

$liste 	= pget("liste");
$tmp=explode("_",$liste);

// rejeu en venant du suivi par doc
if ($from=="doc")
{
	$liste=null;
	$j=0;
	while (isset($tmp[$j]))
	{
		$ordre = "1 desc ";  //pour specifier l'ordre descendant
		if ($tmp[$j])
		{
			$where=null;
			$req = "SELECT DISTINCT NDC_NUMCOL 
					FROM NUM_DOC_COL 
					WHERE NDC_NUMDOC = ".$tmp[$j]."
						AND CLT_ID = $cltID";
			$gDb->SQLQuery($req, 1);
			$i = 0;
			while($row = $gDb->SQLNextRow(1))
				{
				if ($i > 0) $list_col .= ",".$row['NDC_NUMCOL']; else $list_col = $row['NDC_NUMCOL'];
				$i++;
				}
			$gDb->SQLFermeQuery(1);
			$req = "SELECT DISTINCT NDP_NUMPRE 
					FROM NUM_DOC_PRE 
					WHERE NDP_NUMDOC = ".$tmp[$j]."  
						AND CLT_ID = $cltID";
			$gDb->SQLQuery($req, 1);
			$i = 0;
			while($row = $gDb->SQLNextRow(1))
			{
				if ($i > 0) $list_pre .= ",".$row['NDP_NUMPRE']; else $list_pre = $row['NDP_NUMPRE'];
				$i++;
			}
			$gDb->SQLFermeQuery(1);

			$where .= " AND ((SUI_NUMERO = ".$tmp[$j]." 
						AND SUI_TYP_NUM = ".SUI_TYP_NUM_DOC.") ";
			if ($list_col)
				$where .= " OR (SUI_NUMERO in ($list_col) 
							AND SUI_TYP_NUM = ".SUI_TYP_NUM_COL.") ";
			if ($list_pre)
				$where .= " OR (SUI_NUMERO in ($list_pre) 
							AND SUI_TYP_NUM = ".SUI_TYP_NUM_PRE.") ";
			$where .= ") ";
		}
		$req = "SELECT SUIVI.SUI_ID
	         	FROM SUIVI
				WHERE SUIVI.CLT_ID = $cltID
					AND SUIVI.SUI_TYPE <= ".SUI_TYPE_HIST." 
		         	$where 
				ORDER BY $ordre";
		
		$gDb->SQLQuery($req, 1); 
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if (!$liste)
			$liste.=$row['SUI_ID'];
		else 
			$liste.="_".$row['SUI_ID'];
		$j++;
	}
}

// rejeu en venant de la collecte
if ($from=="col")
{
	$liste=null;
	$j=0;
	while (isset($tmp[$j]))
	{
		$ordre = "1 desc ";  //pour specifier l'ordre descendant
		if ($tmp[$j])
		{
			$where=null;
			$req = "SELECT DISTINCT NDC_NUMDOC 
					FROM NUM_DOC_COL 
					WHERE NDC_NUMCOL = ".$tmp[$j]." 
						AND CLT_ID = $cltID";
			$gDb->SQLQuery($req, 1);
			$i = 0;
			while($row = $gDb->SQLNextRow(1))
			{
				if ($i > 0) $list_doc .= ",".$row['NDC_NUMDOC']; else $list_doc = $row['NDC_NUMDOC'];
				$i++;
			}
			$gDb->SQLFermeQuery(1);
			$req = "SELECT DISTINCT NDP_NUMPRE 
					FROM NUM_DOC_PRE 
					WHERE NDP_NUMDOC in ($list_doc) 
						AND CLT_ID = $cltID";
			$gDb->SQLQuery($req, 1);
			$i = 0;
			while($row = $gDb->SQLNextRow(1))
			{
				if ($i > 0) $list_pre .= ",".$row['NDP_NUMPRE']; else $list_pre = $row['NDP_NUMPRE'];
				$i++;
			}
			$gDb->SQLFermeQuery(1);

			$where .= " AND ((SUI_NUMERO = ".$tmp[$j]." 
						AND SUI_TYP_NUM = ".SUI_TYP_NUM_COL.") ";
			if ($list_doc)
				$where .= " OR (SUI_NUMERO in ($list_doc) 
							AND SUI_TYP_NUM = ".SUI_TYP_NUM_DOC.") ";
	   	   	if ($list_pre)
	   	   		$where .= " OR (SUI_NUMERO in ($list_pre)
							AND SUI_TYP_NUM = ".SUI_TYP_NUM_PRE.") ";
	    	$where .= ") ";
		}
		$req = "SELECT SUIVI.SUI_ID
	         	FROM SUIVI 
				WHERE SUIVI.CLT_ID = $cltID
					AND SUIVI.SUI_TYPE <= ".SUI_TYPE_HIST." 
		         	$where 
				ORDER BY $ordre";
		
		$gDb->SQLQuery($req, 1); 
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if (!$liste)
			$liste.=$row['SUI_ID'];
		else 
			$liste.="_".$row['SUI_ID'];
		$j++;
	}
}

//rejeu en venant du suivi de pr�sentation
if ($from=="pres")
{
	$liste=null;
	$j=0;
	while (isset($tmp[$j]))
	{
		$ordre = "1 desc ";  //pour specifier l'ordre descendant
		if ($tmp[$j])
		{
			$where=null;
			$req = "SELECT DISTINCT NDP_NUMDOC 
	             	FROM NUM_DOC_PRE 
	             	WHERE NDP_NUMPRE = ".$tmp[$j]."
	              		AND CLT_ID = $cltID";
      		$gDb->SQLQuery($req, 1);
      		$i = 0;
     	  	while($row = $gDb->SQLNextRow(1))
     	 	{
     	     	if ($i > 0) $list_doc .= ",".$row['NDP_NUMDOC']; else $list_doc = $row['NDP_NUMDOC'];
    	     	$i++;
    	 	}
    	  	$gDb->SQLFermeQuery(1);
    	  	$req = "SELECT DISTINCT NDC_NUMCOL 
           			FROM NUM_DOC_COL 
              		WHERE NDC_NUMDOC in ($list_doc) 
              			AND CLT_ID = $cltID";
     	 	$gDb->SQLQuery($req, 1);
   	    	$i = 0;
   	 	 	while($row = $gDb->SQLNextRow(1))
   		   	{
       		   	if ($i > 0) $list_col .= ",".$row['NDC_NUMCOL']; else $list_col = $row['NDC_NUMCOL'];
      	     	$i++;
     	  	}
      		$gDb->SQLFermeQuery(1);

     	 	$where .= " AND ((SUI_NUMERO = ".$tmp[$j]."
                           	AND SUI_TYP_NUM = ".SUI_TYP_NUM_PRE.") ";
     	 	if ($list_doc)
     	    	$where .= " OR (SUI_NUMERO in ($list_doc) 
                       	AND SUI_TYP_NUM = ".SUI_TYP_NUM_DOC.") ";
     	 	if ($list_col)
       	    	$where .= " OR (SUI_NUMERO in ($list_col) 
                     	AND SUI_TYP_NUM = ".SUI_TYP_NUM_COL.") ";
    		$where .= ") ";
		}
		$req = "SELECT SUIVI.SUI_ID
         		FROM SUIVI 
				WHERE SUIVI.CLT_ID = $cltID
					AND SUIVI.SUI_TYPE <= ".SUI_TYPE_HIST." 
         			$where 
				ORDER BY $ordre";
		
		$gDb->SQLQuery($req, 1); 
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if (!$liste)
			$liste.=$row['SUI_ID'];
		else 
			$liste.="_".$row['SUI_ID'];
		$j++;
	}
}
$i=0;
$suiErr="";
$suiDup="";
$suiOK="";
$tabDup=false;
$tabOK=false;
$tabErr=false;

$styleTableau="BORDER=0 CELLSPACING=0 BORDERCOLORDARK='#FFFFFF'";

$tmp=explode("_",$liste);
while (isset($tmp[$i]))
{
	$req = "SELECT SUIVI.SUI_DATE, DEST.PAR_NOM, EMET.PAR_NOM, TYPE_DOC.TDOC_NOM, ACTIVITE.ACT_LIBEL, SUIVI.FIC_ID
			FROM SUIVI LEFT JOIN TYPE_DOC ON TYPE_DOC.TDOC_ID=SUIVI.TDOC_ID
				LEFT JOIN PART as DEST ON DEST.PAR_ID=SUIVI.PAR_DEST_ID
				LEFT JOIN PART as EMET ON EMET.PAR_ID=SUIVI.PAR_EMET_ID
				LEFT JOIN ACTFLUX ON SUIVI.AFX_ID=ACTFLUX.AFX_ID,
				ACTIVITE
			WHERE SUIVI.SUI_ID=".$tmp[$i]."
				AND ACTFLUX.ACT_ID=ACTIVITE.ACT_ID";
	$gDb->SQLQuery($req, 1); 
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	
	if(bddFichierExiste($gDb, $row[5])==false)
	{
		$res = null; // le fichier n'existe plus on force une erreur sur le rejeu
	}
	else
	{
		$req = "INSERT INTO REJEU (SUI_ID, CLT_ID, REJ_ETAT, REJ_DATE, CPT_ID)
			VALUES ( ".$tmp[$i].", ".$cltID.", 0, NOW(), ${_SESSION['CPT_ID']})"; 
				
		$res = $gDb->SQLQuery($req, 1); 
		$gDb->SQLFermeQuery(1);	
	}
	
	if ($res[0] == SQL_DUP_CHAMP)
	{	
		if (!$tabDup)
		{
			$gTableauDup = new Tableau($pathStyle, "actRejeu.php","");if (empty($ordre)) $ordre = "1";  //pour specifier l'ordre descendant
			$enTete[0]['enTete'] = $lang_act_rejeu_lbl_doc."&nbsp;";
			$enTete[1]['enTete'] = $lang_act_rejeu_lbl_act."&nbsp;";
			$enTete[2]['enTete'] = $lang_act_rejeu_lbl_date."&nbsp;";
			$enTete[3]['enTete'] = $lang_act_rejeu_lbl_emet."&nbsp;";
			$enTete[4]['enTete'] = $lang_act_rejeu_lbl_dest."&nbsp;";
			$gTableauDup->classEntete="marine";
			$gTableauDup->affEntTableau($enTete,$ordre='',$url='');
			$tabDup=true;
		}
		$Donnees[0]['Donnees'] = hi_disp($row[3]);
		$Donnees[1]['Donnees'] = hi_disp($row[4]);
		$Donnees[2]['Donnees'] = hi_disp($row[0]);
		$Donnees[3]['Donnees'] = hi_disp($row[2]);
		$Donnees[4]['Donnees'] = hi_disp($row[1]);

		$tableDup = $gTableauDup->affDonnees($Donnees);
	}
	else
	{
		if ($res==null)
		{	
			if (!$tabErr)
			{
				$gTableauErr = new Tableau($pathStyle, "actRejeu.php","");if (empty($ordre)) $ordre = "1";  //pour specifier l'ordre descendant
				//$enTete[0] = array('enTete' => "Document&nbsp;", 'tri' => 1, 'alt' => "Trier par Document", 'affJS' => "Trier par Document", 'iBulle' => "Trier par Document");
				$enTete[0]['enTete'] = $lang_act_rejeu_lbl_doc."&nbsp;";
				$enTete[1]['enTete'] = $lang_act_rejeu_lbl_act."&nbsp;";
				$enTete[2]['enTete'] = $lang_act_rejeu_lbl_date."&nbsp;";
				$enTete[3]['enTete'] = $lang_act_rejeu_lbl_emet."&nbsp;";
				$enTete[4]['enTete'] = $lang_act_rejeu_lbl_dest."&nbsp;";
				$gTableauErr->classEntete="marine";
				$gTableauErr->affEntTableau($enTete,$ordre='',$url='');
				$tabErr=true;
			}
			$Donnees[0]['Donnees'] = hi_disp($row[3]);
			$Donnees[1]['Donnees'] = hi_disp($row[4]);
			$Donnees[2]['Donnees'] = hi_disp($row[0]);
			$Donnees[3]['Donnees'] = hi_disp($row[2]);
			$Donnees[4]['Donnees'] = hi_disp($row[1]);
		
			$tableErr = $gTableauErr->affDonnees($Donnees);
		}		
		else
		{	
			if (!$tabOK)
			{
				$gTableauOK = new Tableau($pathStyle, "actRejeu.php","");if (empty($ordre)) $ordre = "1";  //pour specifier l'ordre descendant
				$enTete[0]['enTete'] = $lang_act_rejeu_lbl_doc."&nbsp;";
				$enTete[1]['enTete'] = $lang_act_rejeu_lbl_act."&nbsp;";
				$enTete[2]['enTete'] = $lang_act_rejeu_lbl_date."&nbsp;";
				$enTete[3]['enTete'] = $lang_act_rejeu_lbl_emet."&nbsp;";
				$enTete[4]['enTete'] = $lang_act_rejeu_lbl_dest."&nbsp;";
				$gTableauOK->classEntete="marine";
				$gTableauOK->affEntTableau($enTete,$ordre='',$url='');
				$tabOK=true;
			}
			$Donnees[0]['Donnees'] = hi_disp($row[3]);
			$Donnees[1]['Donnees'] = hi_disp($row[4]);
			$Donnees[2]['Donnees'] = hi_disp($row[0]);
			$Donnees[3]['Donnees'] = hi_disp($row[2]);
			$Donnees[4]['Donnees'] = hi_disp($row[1]);
		
			$tableOK = $gTableauOK->affDonnees($Donnees);
		}
	}
	$i++;
}
	
//$vtp->addSession($form, "resultat");
	
unset($Donnees);

$vtp->addSession($form, "rejeu");
$vtp->setVar($form, "rejeu.pageTitle",$lang_act_rejeu_lbl_title);

if ($tabOK)
{
	//$gTableauOK->affLigne($Donnees, 5);
	$tableOK = $gTableauOK->piedPage(true);
	$tableOK=str_replace(CHR(10),"",$tableOK);
	$tableOK=str_replace(CHR(13),"",$tableOK);
	$message=addslashes("<tr><td class=coulBase>".$lang_act_rejeu_msg_ok."<br><TABLE><TR><TD> $tableOK </TR></TD></td></tr>");
	$js="
	with(new Prologue.container('$lang_lbl_detail', Prologue.Flow.images+'icons/histo.gif')) {
		content = '".$message."';
		create();
	}";
	$vtp->setVar($form, "rejeu.tableOK",$js);
}

if ($tabDup)
{
	//$gTableauDup->affLigne($Donnees, 5);
	$tableDup = $gTableauDup->piedPage(true);
	$tableDup=str_replace(CHR(10),"",$tableDup);
	$tableDup=str_replace(CHR(13),"",$tableDup);
	$message=addslashes('<tr><td class=coulBase><span class=msgr>'.$lang_act_rejeu_msg_dup.'</span><br><TABLE><TR><TD>'.$tableDup.'</TR></TD></td></tr>');
	
	$js="
	with(new Prologue.container('$lang_lbl_detail', Prologue.Flow.images+'icons/histo.gif','')) {
		content = '".$message."';
		create();
	}";
	$vtp->setVar($form, "rejeu.tableDup",$js);
}
if ($tabErr)
{
	//$gTableauErr->affLigne($Donnees, 5);
	$tableErr = $gTableauErr->piedPage(true);
	$tableErr=str_replace(CHR(10),"",$tableErr);
	$tableErr=str_replace(CHR(13),"",$tableErr);
	$message=addslashes("<tr><td class=coulBase><span class=msgr>$lang_act_rejeu_msg_err</span><br><TABLE><TR><TD> $tableErr </TR></TD></td></tr>");
	$js="
	with(new Prologue.container('$lang_lbl_detail', Prologue.Flow.images+'icons/histo.gif')) {
		content = '".$message."';
		create();
	}";
	$vtp->setVar($form, "rejeu.tableErr",$js);
}

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "rejeu.page_headers", $page_headers);
$vtp->closeSession($form, "rejeu");
$vtp->Display();
?>