<?php
$DEFAULT_PATH = "../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "actions/actSelectPart.php";

$type_val = pget('type_val');
$pfl_id = pget('pfl_id');
$new_val = pget('new_val');
$par_id = pget('par_id');

$vtp = new VTemplate;

$form = $vtp->Open($DEFAULT_PATH."template/gest_part_form.vtp");
$vtp->addSession($form, "global");

//Variable gnrales

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "liste_part");

$filtre = array();

//Nom
$filtre[] = array("id_filtre" => "f_nom", "type_filtre" => "prlFiltreField.types.prlTextBox",
"libelle_filtre" => $lang_flux_part_filtre_lbl_nom);

//Groupe pere
$filtre[] = array("id_filtre" => "f_pere", "type_filtre" => "prlFiltreField.types.prlComboTree",
"libelle_filtre" => $lang_flux_part_filtre_lbl_group,
//"loadondropdown_filtre" => true,
"ds_filtre" => $pathFlow."flux/part/flux_part_dSTree.php?f_pere=$par_id");

mkFiltre($vtp, $form, $filtre);

$vtp->setVar($form, "global.head_javascript", "
	var treeView_DS_URL = Prologue.Flow.path+'flux/part/flux_part_dSTree.php?f_pere=$par_id';
	var help = top.help;
");

$req = "SELECT PFL_LIBEL FROM PAR_FLOW WHERE PFL_ID=$pfl_id";
$gDb->SQLQuery($req, 1);
$cel_lib = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$content = "
<center>
	<table align='center' class='h-stitre' style='padding:10px 0px;font-weight:bold;'>
		<tr>
			<td><img src='${pathStyle}imgs/icons/title/part.gif'/></td>
			<td>$lang_flux_part_act_modif_title</td>
		</tr>
	</table>
	<table class='form' cellspacing='0'>
		<tr>
			<td class='fieldCaption'>${cel_lib[0]}</td>
			<td class='fieldValue'>$new_val</td>
		</tr>
	</table>
	<br/>
	<script language=\"JavaScript\" type=\"text/javascript\">
		var part_treeview = new Prologue.treeView('part_tree');
		part_treeview.dataSource = treeView_DS_URL;

		page.gridReload = function () {
			if(typeof filList != 'undefined')
				url = treeView_DS_URL + '?' + filList.getInfo();
			Prologue.treeView.reload('part_tree', url);
		}

		$('pnlFiltre').prlOnClose = function () {
			var sm = filList.getSummary();
			return sm;
		};

		with(new Prologue.container('$lang_flux_part_grid_lbl_type_part', Prologue.Flow.images+'icons/exec.png')) {
			id = 'list_part';
			content = part_treeview.html();
			clientWidth = '320px';
			create();
		}
	</script>
	<br/>
	<table border='0' cellspacing='1' cellpadding='1'>
		<tr>
			<td>
				<script language=\"JavaScript\" type=\"text/javascript\">
					var btnAdd = new prlButton('$lang_lbl_ajouter', 'onClickAdd();', Flow.path+'/style/imgs/icons/add.gif');
					btnAdd.create();
				</script>
			</td>
			<td>
				<script language=\"JavaScript\" type=\"text/javascript\">
					var btnBack = new prlButton('$lang_lbl_retour', 'window.close();', Flow.path+'/style/imgs/icons/retour.gif');
					btnBack.create();
				</script>
			</td>
		</tr>
</center>
";				

$vtp->setVar($form, "global.javascript", "");
$vtp->setVar($form, "global.content", $content);

$pageAdd = '';

switch($type_val)
{
	case 'x400':
	{
		$pageAdd = "prlExec(\"${DEFAULT_PATH}flux/part/adr/flux_part_adr_actAction.php?action=create&pfl_adr=".ADR_TYPE_X400."&270=$new_val&par_id=\"+part.value, true);";
		break;
	}
	case 'mail':
	{
		$pageAdd = "prlExec(\"${DEFAULT_PATH}flux/part/adr/flux_part_adr_actAction.php?action=create&pfl_adr=".ADR_TYPE_MAIL."&441=$new_val&442=$new_val&par_id=\"+part.value, true);";
		break;
	}
	case 'id_emet':
	case 'id_dest':
		$pageAdd = "prlExec(\"${DEFAULT_PATH}flux/part/id/flux_part_id_actAction.php?action=create&ide_val=$new_val&par_id=\"+part.value, true);";
		break;
}

include($DEFAULT_PATH."header.php");
$page_headers .= "<script language=\"JavaScript\" type=\"text/javascript\">
setMainTitle = function(title, icon) {};
help = opener.top.help;

function onClickAdd()
{
	var part = Prologue.treeView.getSelected('part_tree');
	if(part.index > -1)
	{
		$pageAdd
		this.opener.page.gridReload();
		window.close();
	}
	else
		alert('$lang_flux_part_act_create_msg_no_partnom');
}
</script>";

$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>