<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

$droitRole = ACT;//droit de gestion des activit�s
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;//droits en lmcs
$page_courante = "admin/confav/activite/admin_confav_act.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$vtp->setVar($form, "global.head_javascript", "");
$vtp->setVar($form, "global.help_id", "20040108125658");
$vtp->setVar($form, "global.title", addslashes($lang_admin_confav_act_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_confav_act.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/confav/activite/admin_confav_act_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
"value_filtre" => $ini_taille_page_suivi,
"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

$filtre[] = array("id_filtre" => "f_type", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_admin_confav_act_filtre_lbl_typeact,
"dd_height_filtre" => "170",
"dd_width_filtre" => "255",
"ds_filtre" => $pathFlow."dataSources/dSTypeActivite.php?showNull=1");

$filtre[] = array("id_filtre" => "new_line");

$filtre[] = array("id_filtre" => "f_proc", "type_filtre" => "prlFiltreField.types.prlTextBox",
"format_filtre" => "prlTextBox.formats.uinteger",
"libelle_filtre" => $lang_admin_confav_act_filtre_lbl_proc);

$filtre[] = array("id_filtre" => "f_flag", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_admin_confav_act_filtre_lbl_type,
"ds_filtre" => $pathFlow."dataSources/dSFlagActivite.php?showNull=1");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
"detail" => true,
"print" => array("show" => true
, "title" => addslashes($lang_admin_confav_act_title)),
"csv" => true);

//Creer
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
	"icon" => $pathFlow."style/imgs/icons/add.gif",
	"onClick" => "changePage(\'admin_confav_act_actAffich.php?action=create\');"
);
}

//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_confav_act_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
										"page" => "admin/confav/activite/admin_confav_act_actAffich.php",
										"callback" => "changePage",
										"get_params" => array('act_id','action')));
}
//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_confav_act_grid_act_suppr,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
											"page" => "admin/confav/activite/admin_confav_act_actAction.php",
											"callback" => "prlExecGrid",
											"get_params" => array('act_id','action')));
}

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "

rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};

rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_admin_confav_act_grid_question_suppr)."';
	return confirm(msg_suppr);
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>