<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once($DEFAULT_PATH."struct.php");
$droitRole = ACT;//droit de gestion des activit�s
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;//droits en lmcs

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/confav/activite/admin_confav_act_actAction.php";

$act_id	= pget('act_id');
$action	= pget('action');
$clt_id = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	if (droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$req = "SELECT COUNT(*) AS NB
				FROM ACTFLUX
				WHERE ACT_ID = $act_id
				AND AFX_ACTIF != ".ETAT_SUPPR;
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		
		if ($row['NB'] != 0)
		{
			$msg = $lang_admin_confav_act_act_suppr_msg_cant_suppr;
			$return = 1;
		}
		else
		{
			$req = "UPDATE ACTIVITE SET ACT_ETAT = ".ETAT_SUPPR." 
					WHERE ACT_ID = $act_id";
			if (!$gDb->SQLQuery($req, 1))
			{
				$msg = $lang_admin_confav_act_act_suppr_msg_err;
				$return = 1;
			}
			else
			{
				$msg = $lang_admin_confav_act_act_suppr_msg_ok;
				$return = 0;
			}
		}
	}
	else
	{
		$msg = $lang_admin_confav_act_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$act_libel = pget('act_libel');
		$act_numproc = pget('act_numproc');
		$tac_num = pget('tac_num');
		
		$req = "INSERT INTO ACTIVITE (TAC_NUM, ACT_LIBEL, ACT_NUMPROC, CLT_ID, ACT_ETAT)
				VALUES
				($tac_num, '".dblQ($act_libel)."', '".dblQ($act_numproc)."', $clt_id, ".ETAT_ACTIF.")";
		
			if (!$gDb->SQLQuery($req, 1))
			{
				$msg = $lang_admin_confav_act_act_create_msg_err;
				$return = 1;
			}
			else
			{
				$msg = $lang_admin_confav_act_act_create_msg_ok;
				$return = 0;
			}
	}
	else
	{
		$msg = $lang_admin_confav_act_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$act_libel = pget('act_libel');
		$act_numproc = pget('act_numproc');
		
		$req = "UPDATE ACTIVITE 
				SET ACT_LIBEL = '".dblQ($act_libel)."', 
				ACT_NUMPROC = '".dblQ($act_numproc)."' 
				WHERE ACT_ID = $act_id";
		
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_admin_confav_act_act_modif_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_confav_act_act_modif_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
}


$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>