<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = ACT;//droit de gestion des activit�s
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "admin/confav/activite/admin_confav_act_actAffich.php";

$vtp = new VTemplate;

$act_id	= pget('act_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_admin_confav_act_aff_pnl_title_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_admin_confav_act_aff_pnl_title_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

$vtp->setVar($form, "global.title", $lang_admin_confav_act_title);
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_confav_act.png");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id", "20040108125658");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "act_id");
$vtp->setVar($form, "form_input_hidden.value", $act_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($act_id))
{
	$req = "SELECT TAC_NOM, TAC_FLAG, ACT_LIBEL, ACT_NUMPROC,
				TAC_LIBEL, TAC_ROLE, ACTIVITE.TAC_NUM AS TN
			FROM ACTIVITE, TYPE_ACT 
			WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
				AND ACTIVITE.ACT_ID = $act_id";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
        
        $tac_role = $row['TAC_ROLE'];
        $tac_num = $row['TN'];
        $act_libel = hi_disp($row['ACT_LIBEL']);
        $tac_flag = $row['TAC_FLAG'];
        $tac_nom = hi_disp($row['TAC_NOM']);
        $act_numproc = ((!empty($row['ACT_NUMPROC']))? $row['ACT_NUMPROC']: '1');
}
else
{
        $tac_role = '';
        $tac_num = '';
        $act_libel = '';
        $tac_flag = '';
        $tac_nom = '';
        $act_numproc = '1';   
}

	

$head_javascript="
//top.help = {id:'20040108125711'};

function updateActivite(tac_num)
{
	var url = Flow.path+'admin/confav/activite/admin_confav_act_actUpdateAct.php?tac_num='+tac_num;
	var updateInfo = jsonGet(url);
	if (updateInfo)
	{
		if(updateInfo.tac_nom)
		document.getElementById('tac_nom').textContent = updateInfo.tac_nom;
			
		if(updateInfo.tac_flag)
		document.getElementById('tac_flag').textContent = updateInfo.tac_flag;

		if(updateInfo.tac_role)
		document.getElementById('tac_role').textContent = updateInfo.tac_role;
			
		if(updateInfo.tac_libel)
		document.forms['filtre'].act_libel.value = updateInfo.tac_libel;
	}
}
	
function verifForm()
{
	var ret = true;
	if(document.getElementById('act_libel').value.length == 0)
	{
		alert('{#msg_err_libelle_null}');
		ret = false;
		document.getElementById('act_libel').focus();
	}
	if(document.getElementById('act_numproc').value.length == 0)
	{
		alert('{#msg_err_numproc_null}');
		ret = false;
		document.getElementById('act_numproc').focus();
	}
	if (ret)
	{
		if(submitForm(document.forms['filtre'], Flow.path+'admin/confav/activite/admin_confav_act_actAction.php', prlExec)==0)
			changePage('admin_confav_act.php');
	}
}
";

// updateActivite(prlComboList.getSelected('tac_num').value);

$vtp->setVar($form, "global.head_javascript", $head_javascript);

//libellé de l'instance de l'activite ---------------------------------------------------------------

$javascript = "
	with(new prlTextBox('act_libel', prlTextBox.formats.any, '$act_libel')) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_admin_confav_act_aff_msg_err_libelle_null)."\'); this.focus();}';
		create();
	};
";
$content="";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_act_aff_lbl_libelle);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Activites ----------------------------------------------------------------------------------------

if ($action =="create")
{
	$javascript = "
		with(new prlComboList('tac_num', '$tac_num')) {
			dataSource='".$DEFAULT_PATH."dataSources/dSTypeActivite.php?showNull=0';
			onClick = 'updateActivite(this.value);';
			dropDown.width = '255';
			dropDown.height = '170';
			create();
		};
	";
	$content="";
} else {
	$javascript="";
	$req = "SELECT TAC_LIBEL
		FROM TYPE_ACT
		WHERE TAC_NUM='".$tac_num."'
		ORDER BY TAC_LIBEL";
	$gDb->SQLQuery($req,2);
	$row2 = $gDb->SQLNextRow(2);
	$gDb->SQLFermeQuery(2);
	
	$content=hi_disp($row2['TAC_LIBEL']);
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_act_aff_lbl_activite);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Nom du type d'activité ----------------------------------------------------------------------------

$content="<div id=\"tac_nom\">".hi_disp($tac_nom)."</div>";
$javascript = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_act_aff_lbl_nom);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Role de l'activite --------------------------------------------------------------------------------

switch($tac_role)
{
	case ID_COLLECTE :
		$tac_role = $lang_admin_confav_act_aff_lbl_tac_rol_collecte;
		break;
	case ID_PRETRAIT :
		$tac_role = $lang_admin_confav_act_aff_lbl_tac_rol_pretrait;
		break;
	case ID_TRAITEMENT :
		$tac_role = $lang_admin_confav_act_aff_lbl_tac_rol_trait;
		break;
	case ID_POSTTRAIT :
		$tac_role = $lang_admin_confav_act_aff_lbl_tac_rol_posttrait;
		break;
	default :
		$tac_role = $lang_admin_confav_act_aff_lbl_tac_rol_present;
		break;
}
$content="<div id=\"tac_role\">".$tac_role."</div>";
$javascript = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_act_aff_lbl_role);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Numero de Processus -------------------------------------------------------------------------------

$javascript = "
	with(new prlTextBox('act_numproc', prlTextBox.formats.uinteger, '$act_numproc')) {
		maxLength  = 10;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_admin_confav_act_aff_msg_err_numproc_null)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_act_aff_lbl_numproc);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Type

switch($tac_flag)
{
	case ACT_SIMPLE :
		$tac_flag = $lang_admin_confav_act_grid_type_simple;
		break;
	case ACT_GROUPE :
		$tac_flag = $lang_admin_confav_act_grid_type_group;
		break;
	case ACT_DEGROUPE :
		$tac_flag = $lang_admin_confav_act_grid_type_degroup;
		break;
}
$content="<div id=\"tac_flag\">".$tac_flag."</div>";
$javascript = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_act_aff_lbl_type);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// ---------------------------------------------------------------------------------------------------

if ($action =="create")
{
    $javascript= "updateActivite(prlComboList.getSelected('tac_num').value);";
}
else
    $javascript = "";

$vtp->addSession($form, "form_button");
$vtp->setVar($form, "form_button.javascript", $javascript);
$vtp->closeSession($form, "form_button");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>