﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:param name="TYPE_OS" />
	<xsl:param name="LISTE_ACTIVITE" />
	<xsl:param name="TYPE_STATION" />
	<xsl:param name="STYLE" />
	<xsl:param name="MSG_REPONSE" />
	<xsl:param name="INSTALL_OK" />
	<xsl:param name="PANEL_TITLE" />
	<xsl:param name="LBL_DEJAINSTALL" />
	<xsl:param name="LBL_DOINSTALL" />
	<xsl:template match="/SCRIPT">
		<xsl:if test="$MSG_REPONSE!=''">
			<script language="JavaScript" type="text/javascript">
				alert('<xsl:value-of select="$MSG_REPONSE" />');
			</script>
		</xsl:if>
		<xsl:if test="$INSTALL_OK">
			<script language="JavaScript" type="text/javascript">
				top.reload_menu();
			</script>
		</xsl:if>
		<div id="divMain" align="center">
			<table class="coulAlt" width="100%" cellspacing="2" cellpadding="0">
				<xsl:apply-templates select="SECTION" />
			</table>
		</div>
		<center>
			<script language="JavaScript" type="text/javascript">
				var panel = new prlContainer (panel_title);
				panel.contentID = 'divMain';
				panel.create();
				$(panel.id).style.marginTop = '20px';
			</script>
		</center>
	</xsl:template>
	<xsl:template match="SECTION">
		<xsl:param name="CUR_ACT">
			<xsl:value-of select="@TABLE" />
		</xsl:param>
		<xsl:if test="contains(@OS, $TYPE_OS) and contains(@TYPE, $TYPE_STATION)">
			<tr>
				<td>
					<b>
						<xsl:value-of select="@LIB" />
					</b>
				</td>
				<xsl:choose>
                    <xsl:when test="contains($LISTE_ACTIVITE,concat(@TABLE,'|'))">
						<td>
							<img style="cursor: pointer;" src="{$STYLE}/imgs/icons/valid.png" border="0" title="{$LBL_DEJAINSTALL}" />
						</td>
					</xsl:when>
					<xsl:otherwise>
						<!-- Bz4503 : BG : 02/05/2012 : icone "LOAD" pdt l'installation de l'activité -->
						<!-- pré-chargement de l'image utile pour la compatibilité des navigateurs (moz, chrome, ie)  -->
						<script language="JavaScript" type="text/javascript">
							imPreloaded = new Image();
							imPreloaded.src = Prologue.framework.images+'/load_img.gif';
						</script>		
						<!-- au clic, l'image "load" s'affiche pendant que la page se charge et disparait lorsque le chargement est terminé -->
						<td>
							<a href='admin_confav_addact.php?new_act={$CUR_ACT}'>
							<img
							onclick="this.src=Prologue.framework.images+'/load_img.gif';"
							style="cursor: pointer;" src="{$STYLE}/imgs/icons/add.gif" border="0" title="{$LBL_DOINSTALL}"/>
							</a>
						</td>				
					</xsl:otherwise>
				</xsl:choose>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>