<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "admin/confav/client/admin_confav_cli_actAction.php";

$clt_id = pget('clt_id');
$action = pget('action');

// Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$nom = pget("clt_nom");
		$heure_purge = pget("clt_heure_purge");
		$delai_purge = pget("clt_delai_purge");
		$rep_ihm = pget("clt_rep_ihm");
		$rep_mot = pget("clt_rep_mot");
		$clt_annonce = pget("clt_annonce");
		$clt_longueur_pwd = pget("clt_longueur_pwd");
		$clt_strategie_pwd = pget("clt_strategie_pwd");
		
		$req = "INSERT INTO CLIENT (CLT_NOM, CLT_DELAI_PURGE, CLT_HEURE_PURGE,  
					CLT_REPCLI_IHM, CLT_REPCLI_MOT, CLT_ANNONCE, CLT_LONGUEUR_PWD, CLT_STRATEGIE_PWD) 
                VALUES ('".dblQ($nom)."', $delai_purge, $heure_purge,
					'".dblQ($rep_ihm)."', '".dblQ($rep_mot)."', '".dblQ($clt_annonce)."', $clt_longueur_pwd, $clt_strategie_pwd)";
		$res = $gDb->SQLQuery($req, 1); 
		
		if ($res[0] == SQL_DUP_CHAMP)
		{
			$msg = $lang_admin_confav_cli_act_msg_err_dup;
			$return = 1;
		}
		else
		{
			if ($res==null)
			{
				$msg = $lang_admin_confav_cli_act_create_msg_err;
				$return = 1;
			}
			else
			{
				$msg = $lang_admin_confav_cli_act_create_msg_ok;
				$return = 0;
			}
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_admin_confav_cli_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$nom = pget("clt_nom");
		$heure_purge = pget("clt_heure_purge");
		$delai_purge = pget("clt_delai_purge");
		$rep_ihm = pget("clt_rep_ihm");
		$rep_mot = pget("clt_rep_mot");
		$clt_annonce = pget("clt_annonce");
		$clt_longueur_pwd = pget("clt_longueur_pwd");
		$clt_strategie_pwd = pget("clt_strategie_pwd");
		$gDb->SQLTransact();
		$req = "UPDATE CLIENT SET CLT_HEURE_PURGE=$heure_purge, CLT_NOM='".dblQ($nom)."', 
					CLT_REPCLI_IHM='".dblQ($rep_ihm)."', CLT_REPCLI_MOT='".dblQ($rep_mot)."', 
					CLT_DELAI_PURGE=$delai_purge, CLT_ANNONCE='".dblQ($clt_annonce)."', 
					CLT_LONGUEUR_PWD=$clt_longueur_pwd, CLT_STRATEGIE_PWD=$clt_strategie_pwd 
				WHERE CLT_ID='".$clt_id."'";	
		$res=$gDb->SQLQuery($req, 1);
		
		if ($res[0] == SQL_DUP_CHAMP)
		{
			$msg = $lang_admin_confav_cli_act_msg_err_dup;
			$return = 1;
		}
			
		if ($res==null)
		{
			$msg = $lang_admin_confav_cli_act_modif_msg_err;
			$return = 1;
		}
			
		if ($msg)
			$gDb->SQLRollBack();
		else
		{
			$gDb->SQLCommit();
			$msg = $lang_admin_confav_cli_act_modif_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_admin_confav_cli_act_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>