<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");


$page_courante = "admin/confav/client/admin_confav_cli_actAffich.php";

$vtp = new VTemplate;

$clt_id	= pget('clt_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH.'template/form.vtp');
$vtp->addSession($form, "global");

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_admin_confav_cli_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_confav_cli.gif");
$vtp->setVar($form, "global.help_id", "modif_client");

//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

switch($action)
{
	case "create":
		$readOnly = 'false';
		$panelTitle = $lang_admin_confav_cli_aff_pnl_title_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = 'false';
		$panelTitle = $lang_admin_confav_cli_aff_pnl_title_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
	case "detail":
		$readOnly = 'true';
		$panelTitle = $lang_admin_confav_cli_aff_pnl_title_detail;
		$panelIcon = $pathStyle."imgs/icons/loupe.gif";
		break;
}
//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", addslashes($panelTitle));
$vtp->setVar($form, "global.panelIcon", $panelIcon);

$vtp->setVar($form, "global.readOnly", $readOnly);

$head_javascript = "
	function verifForm()
	{
		var ret = true;	
		if(document.getElementById('clt_nom').value.length == 0)
		{
			alert('$lang_admin_confav_cli_aff_msg_err_nomcli_null');
			ret = false;
			document.getElementById('clt_nom').focus();
		}
		if(document.getElementById('clt_heure_purge').value.length == 0 && ret==true)
		{
			alert('$lang_admin_confav_cli_aff_msg_err_heurepurge_null');
			ret = false;
			document.getElementById('clt_heure_purge').focus();
		}	
		if(document.getElementById('clt_delai_purge').value.length == 0 && ret==true)
		{
			alert('$lang_admin_confav_cli_aff_msg_err_delaipurge_null');
			ret = false;
			document.getElementById('clt_delai_purge').focus();
		}	
		if(document.getElementById('clt_rep_ihm').value.length == 0 && ret==true)
		{
			alert('$lang_admin_confav_cli_aff_msg_err_repIHM_null');
			ret = false;
			document.getElementById('clt_rep_ihm').focus();
		}
		if(document.getElementById('clt_rep_mot').value.length == 0 && ret==true)
		{
			alert('$lang_admin_confav_cli_aff_msg_err_repmot_null');
			ret = false;
			document.getElementById('clt_rep_mot').focus();
		}
		if((document.getElementById('clt_longueur_pwd').value.length == 0 || document.getElementById('clt_longueur_pwd').value>15) && ret==true)
		{
			alert('$lang_admin_confav_cli_aff_msg_err_longueur_pwd_null');
			ret = false;
			document.getElementById('clt_longueur_pwd').focus();
		}
		if (ret)
		{		
			if (submitForm(document.forms['filtre'], Flow.path+'admin/confav/client/admin_confav_cli_actAction.php', prlExec) == 0)
			{			
				changePage('admin_confav_cli.php');
			}
		}
	}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

if(isset($clt_id))
{
	$req = "SELECT CLT_NOM, CLT_HEURE_PURGE, CLT_DELAI_PURGE, CLT_REPCLI_MOT, 
				CLT_REPCLI_IHM, CLT_ANNONCE, CLT_DATE_DERNIERE_PURGE, CLT_LONGUEUR_PWD, CLT_STRATEGIE_PWD 
			FROM CLIENT
			WHERE CLT_ID=".$clt_id." ";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	
	$javascript = "with(new prlTextBox('clt_nom', prlTextBox.formats.any, '${row['CLT_NOM']}')){
		maxLength  = 35;
		trim = prlTextBox.trimMode.both;
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_nom);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "prlTextBox.formats.heure = {'name':'heure',
		'key':/[0-9]/,
		'validate':/^[0-9]$|^1[0-9]$|^2[0-3]$/,
		'maxLength':2,
		'align':'right'};
		with(new prlTextBox('clt_heure_purge', prlTextBox.formats.heure, '${row['CLT_HEURE_PURGE']}')){
			maxLength  = 2;
			errMesg = '$lang_admin_confav_cli_aff_msg_err_heurepurge_wrong';
			onError = 'this.value = \'${row['CLT_HEURE_PURGE']}\';';
			readOnly = $readOnly;
			create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_heurepurge);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "with(new prlTextBox('clt_delai_purge', prlTextBox.formats.uinteger, '${row['CLT_DELAI_PURGE']}')){
		maxLength  = 10;
		trim = prlTextBox.trimMode.both;
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_delaipurge);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_datepurge);
	$vtp->setVar($form, "form_field.javascript", '');
	$vtp->setVar($form, "form_field.content", ($row['CLT_DATE_DERNIERE_PURGE']? $row['CLT_DATE_DERNIERE_PURGE']: "NC"));
	$vtp->closeSession($form, "form_field");
	
	$javascript = "with(new prlTextBox('clt_rep_ihm', prlTextBox.formats.any, urldecode('".utf8_urlencode($row['CLT_REPCLI_IHM'])."'))){
		maxLength  = 255;
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_repIHM);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "with(new prlTextBox('clt_rep_mot', prlTextBox.formats.any, urldecode('".utf8_urlencode($row['CLT_REPCLI_MOT'])."'))){
		maxLength  = 255;
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_repmot);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "with(new prlTextBox('clt_longueur_pwd', prlTextBox.formats.uinteger, '${row['CLT_LONGUEUR_PWD']}')){
		maxLength  = 2;
		trim = prlTextBox.trimMode.both;
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_longueur_pwd);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "with(new prlComboList('clt_strategie_pwd', '${row['CLT_STRATEGIE_PWD']}')){
		dataSource = '${pathFlow}dataSources/dSStrategiePwd.php';
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_strategie_pwd);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "document.write('<textarea id=\'clt_annonce\' name=\'clt_annonce\' rows=\'14\' cols=\'70\'";
	if($readOnly=='true') $javascript .= ' readonly';
	$javascript .= ">'+urldecode('".utf8_urlencode($row['CLT_ANNONCE'])."')+'</textarea>');";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_cli_aff_lbl_annonce);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$gDb->SQLFermeQuery(1);
}

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "clt_id");
$vtp->setVar($form, "form_input_hidden.value", $clt_id);
$vtp->closeSession($form, "form_input_hidden");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>