<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$where = "";
$f_nom = pget('f_nom');

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$clt_id = $_SESSION['CLT_ID'];

if ($f_nom)
	$where = "  WHERE CLT_NOM like '%".dblQ($f_nom)."%' ";
		
$req = "SELECT SQL_CALC_FOUND_ROWS
			   CLT_NOM
			 , CLT_ID
			 , CLT_REPCLI_IHM
			 , CLT_REPCLI_MOT
			 , CLT_DELAI_PURGE
			 , CLT_HEURE_PURGE
			 , CLT_LONGUEUR_PWD
			 , CLT_STRATEGIE_PWD
	   	  FROM CLIENT
			   $where
		 ORDER BY CLT_NOM";
	
$champs = array();
$champs[] = array("nom" => $lang_admin_confav_cli_grid_head_nom, "toolTip" => $lang_admin_confav_cli_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_cli_grid_head_repIHM, "toolTip" => $lang_admin_confav_cli_grid_head_repIHM_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_cli_grid_head_repmot, "toolTip" => $lang_admin_confav_cli_grid_head_repmot_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_cli_grid_head_delaipurge, "toolTip" => $lang_admin_confav_cli_grid_head_delaipurge, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_confav_cli_grid_head_heurepurge, "toolTip" => $lang_admin_confav_cli_grid_head_heurepurge, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_confav_cli_grid_head_longueur_pwd, "toolTip" => $lang_admin_confav_cli_grid_head_longueur_pwd, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_confav_cli_grid_head_strategie_pwd, "toolTip" => $lang_admin_confav_cli_grid_head_strategie_pwd, "sortMode" => "1");
 
$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';

echo '<header>';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	
	$icon = $pathStyle."imgs/icons/client.gif";

	$params = array();
	$params['clt_id'] = $row['CLT_ID'];
	$params['droits'] = array('detail' => (droit($droitRole, DROIT_LECT,null,null,null,null)),
							  'modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)));
	
	echo '<item caption="'.hi_disp($row['CLT_NOM']).'" toolTip="'.$lang_admin_confav_cli_grid_act_detail.'" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.$row['CLT_REPCLI_IHM'].'"/>';
	echo '<item caption="'.$row['CLT_REPCLI_MOT'].'"/>';
	echo '<item caption="'.$row['CLT_DELAI_PURGE'].'"/>';
	echo '<item caption="'.$row['CLT_HEURE_PURGE'].'"/>';
	echo '<item caption="'.$row['CLT_LONGUEUR_PWD'].'"/>';
	echo '<item caption="'.getStrategiePwd($row['CLT_STRATEGIE_PWD']).'"/>';
		
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>