<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");

$page_courante = "admin/confav/confgen/admin_confav_confgen.php";
$clt_id = $_SESSION['CLT_ID'];

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");


//Variable générales

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_admin_confav_confgen_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_confav_confgen.gif");

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "config_gene");

$vtp->setVar($form, "global.readOnly", "false");

//Action à réaliser en appuyant dur le bouton 'Retour'
//$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$req = "SELECT FCO_VERSION, FCO_REPBIN_IHM, FCO_REPLOG_IHM,
			FCO_REPTMP_IHM, FCO_REPCOM_IHM, FCO_OS_WEB,
			FCO_SERVEUR_SMTP, FCO_ADR_MAIL, FCO_NOM_MAIL,
			FCO_LOGIN_SMTP, FCO_PWD_SMTP, FCO_REP_STOCK_IHM,
			FCO_MODE_STOCK, FCO_MAX_PURGE_FIC, FCO_WS, FCO_BDD_SIZE, FCO_STRATEGIE_CERTIF,
            FCO_TLS_SMTP, FCO_FILEVIEWER 
		FROM FLOWCONF";
$gDb->SQLQuery($req,1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$head_javascript = "
//Liste des champs obligatoires
var fieldListID = new Array('FCO_REPBIN_IHM', 'FCO_REPLOG_IHM', 'FCO_REPTMP_IHM',
							'FCO_REPCOM_IHM', 'FCO_SERVEUR_SMTP', 'FCO_ADR_MAIL',
							'FCO_REP_STOCK_IHM','FCO_BDD_SIZE');
			
//Liste des libellés de champs obligatoires								
var fieldListName = new Array('".addslashes($lang_admin_confav_confgen_lbl_repbin)."',
								'".addslashes($lang_admin_confav_confgen_lbl_replog)."',
								'".addslashes($lang_admin_confav_confgen_lbl_reptmp)."',
								'".addslashes($lang_admin_confav_confgen_lbl_repcom)."',
								'".addslashes($lang_admin_confav_confgen_lbl_smtpserv)."',
								'".addslashes($lang_admin_confav_confgen_lbl_adrmail)."',
								'".addslashes($lang_admin_confav_confgen_lbl_repstock)."',
								'".addslashes($lang_admin_confav_confgen_lbl_repstock)."');

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_flux_tdoc_aff_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(fieldListID[i] != 'FOR_STYLE' && inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
		else if(!prlTextBox.checkFormat(inpt)) {
			inpt.onchange();
			check = false;
			inpt.focus();
			break;
		}

	}

	if(check)
		submitForm(this.document.forms['filtre'], 'admin_confav_confgen_actAction.php', prlExec)
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

//FCO_VERSION
$javascript = "";
// Modif LTK le 21/09/10
if (file_exists($DEFAULT_PATH."generated_version.php"))
{
    require_once($DEFAULT_PATH."generated_version.php");
    $content = $generated_version;    	
}
else
{
    $content = hi_disp($row['FCO_VERSION']);
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_version);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_REPBIN_IHM
$FCO_REPBIN_IHM = urlencode(hi_disp($row['FCO_REPBIN_IHM']));
$javascript = "
	with(new prlTextBox('FCO_REPBIN_IHM', prlTextBox.formats.any, urldecode('$FCO_REPBIN_IHM'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_repbin);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_REPLOG_IHM
$FCO_REPLOG_IHM = urlencode(hi_disp($row['FCO_REPLOG_IHM']));
$javascript = "
	with(new prlTextBox('FCO_REPLOG_IHM', prlTextBox.formats.any, urldecode('$FCO_REPLOG_IHM'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_replog);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_REPTMP_IHM
$FCO_REPTMP_IHM = urlencode(hi_disp($row['FCO_REPTMP_IHM']));
$javascript = "
	with(new prlTextBox('FCO_REPTMP_IHM', prlTextBox.formats.any, urldecode('$FCO_REPTMP_IHM'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_reptmp);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_REPCOM_IHM
$FCO_REPCOM_IHM = urlencode(hi_disp($row['FCO_REPCOM_IHM']));
$javascript = "
	with(new prlTextBox('FCO_REPCOM_IHM', prlTextBox.formats.any, urldecode('$FCO_REPCOM_IHM'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_repcom);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_OS_WEB
$FCO_OS_WEB = urlencode(hi_disp($row['FCO_OS_WEB']));
$javascript = "
	with(new prlComboList('FCO_OS_WEB', '$FCO_OS_WEB')) {
		dataSource = Flow.path+'dataSources/dSComboOS.php';
		create();
	};
";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_osweb);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_SERVEUR_SMTP
$FCO_SERVEUR_SMTP = hi_disp($row['FCO_SERVEUR_SMTP']);
$javascript = "
	with(new prlTextBox('FCO_SERVEUR_SMTP', prlTextBox.formats.any, '$FCO_SERVEUR_SMTP')) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_smtpserv);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_ADR_MAIL
$FCO_ADR_MAIL = hi_disp($row['FCO_ADR_MAIL']);
$javascript = "
	with(new prlTextBox('FCO_ADR_MAIL', prlTextBox.formats.email, '$FCO_ADR_MAIL')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_adrmail);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_NOM_MAIL
$FCO_NOM_MAIL = hi_disp($row['FCO_NOM_MAIL']);
$javascript = "
	with(new prlTextBox('FCO_NOM_MAIL', prlTextBox.formats.any, '$FCO_NOM_MAIL')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_nommail);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_LOGIN_SMTP
$FCO_LOGIN_SMTP = hi_disp($row['FCO_LOGIN_SMTP']);
$javascript = "
	with(new prlTextBox('FCO_LOGIN_SMTP', prlTextBox.formats.any, '$FCO_LOGIN_SMTP')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_smtplogin);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_PWD_SMTP
$FCO_PWD_SMTP = hi_disp($row['FCO_PWD_SMTP']);
$javascript = "
	with(new prlTextBox('FCO_PWD_SMTP', prlTextBox.formats.any, '$FCO_PWD_SMTP')) {
		trim = prlTextBox.trimMode.both;
		password = true;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_smtppwd);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_REP_STOCK_IHM
$FCO_REP_STOCK_IHM = urlencode(hi_disp($row['FCO_REP_STOCK_IHM']));
$javascript = "
	with(new prlTextBox('FCO_REP_STOCK_IHM', prlTextBox.formats.any, urldecode('$FCO_REP_STOCK_IHM'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_repstock);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_MODE_STOCK
$FCO_MODE_STOCK = urlencode(hi_disp($row['FCO_MODE_STOCK']));
$javascript = "
	with(new prlComboList('FCO_MODE_STOCK', '$FCO_MODE_STOCK')) {
		dataSource = Flow.path+'dataSources/dSComboModeStock.php';
		create();
	};
";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_modestock);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_MAX_PURGE_FIC
$FCO_MAX_PURGE_FIC = hi_disp($row['FCO_MAX_PURGE_FIC']);
$javascript = "
	with(new prlTextBox('FCO_MAX_PURGE_FIC', prlTextBox.formats.uinteger, '$FCO_MAX_PURGE_FIC')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_maxpurge);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_MAIL_ADMIN
$FCO_MAIL_ADMIN = hi_disp($ini_mail_administrateur);
$javascript = "
	with(new prlTextBox('FCO_MAIL_ADMIN', prlTextBox.formats.email, '$FCO_MAIL_ADMIN')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_adminemail);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");



//FCO_BDD_SIZE
$FCO_BDD_SIZE = urlencode(hi_disp($row['FCO_BDD_SIZE']));
$javascript = "
	with(new prlTextBox('FCO_BDD_SIZE', prlTextBox.formats.uinteger, '$FCO_BDD_SIZE')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_bdd_size);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//FCO_SESSION_DURATION
$FCO_SESSION_DURATION = hi_disp($ini_duree_connect);
$javascript = "
	with(new prlTextBox('FCO_SESSION_DURATION', prlTextBox.formats.uinteger, '$FCO_SESSION_DURATION')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_dureesession);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_MAXCHAR_DOCVISU
$FCO_MAXCHAR_DOCVISU = hi_disp($ini_sui_fic_visu_max);
$javascript = "
	with(new prlTextBox('FCO_MAXCHAR_DOCVISU', prlTextBox.formats.uinteger, '$FCO_MAXCHAR_DOCVISU')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_maxvisu);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_NBJOURS_SUIVI
$FCO_NBJOURS_SUIVI = hi_disp($ini_nb_jour_suivi);
$javascript = "
	with(new prlTextBox('FCO_NBJOURS_SUIVI', prlTextBox.formats.uinteger, '$FCO_NBJOURS_SUIVI')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_nbsuivi);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_NBLIGNES
$FCO_NBLIGNES = hi_disp($ini_taille_page_suivi);
$javascript = "
	with(new prlTextBox('FCO_NBLIGNES', prlTextBox.formats.uinteger, '$FCO_NBLIGNES')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_nblignes);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_REMEMBER_FILTERS
$FCO_REMEMBER_FILTERS = ($remember_filters)?"true":"false";
$javascript = "
	with(new prlComboList('FCO_REMEMBER_FILTERS', '$FCO_REMEMBER_FILTERS')) {
		dataSource = Flow.path+'dataSources/dSRememberFilters.php';
		create();
	};
";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_rememberfilters);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_BOTTOM_NAVIGATE
$FCO_BOTTOM_NAVIGATE = ($bottom_navigate)?"true":"false";
$javascript = "
	with(new prlComboList('FCO_BOTTOM_NAVIGATE', '$FCO_BOTTOM_NAVIGATE')) {
		dataSource = Flow.path+'dataSources/dSDisplayNavigate.php';
		create();
	};
";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_displaynavigate);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_WS
$FCO_WS = $row['FCO_WS'];
$javascript = "
	with(new prlComboList('FCO_WS', '$FCO_WS')) {
		dataSource = Flow.path+'dataSources/dSWsChoice.php';
		create();
	};
";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_ws);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_STRATEGIE_CERTIF
$FCO_STRATEGIE_CERTIF = $row['FCO_STRATEGIE_CERTIF'];
$javascript = "
    with(new prlComboList('FCO_STRATEGIE_CERTIF', '$FCO_STRATEGIE_CERTIF')) {
        dataSource = Flow.path+'dataSources/dSStrategieCertificats.php';
        create();
    };
";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_strategie_certif);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_TLS_SMTP
$FCO_TLS_SMTP = $row['FCO_TLS_SMTP'];
$javascript = "
    with(new prlComboList('FCO_TLS_SMTP', '$FCO_TLS_SMTP')) {
        dataSource = Flow.path+'dataSources/dSSMTPTLS.php';
        create();
    };
";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_smtp_tls);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//FCO_FILEVIEWER
$FCO_FILEVIEWER = urlencode(hi_disp($row['FCO_FILEVIEWER']));
$javascript = "
	with(new prlTextBox('FCO_FILEVIEWER', prlTextBox.formats.any, urldecode('$FCO_FILEVIEWER'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$content = "";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_confgen_lbl_fileviewer);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


$url = $pathFlow."admin/snap.php";
$javascript="new prlButton(lang_btn_save, 'prlExec(\'".$pathFlow."admin/snap.php\', false); prlExec(\'".$pathFlow."admin/maj.php\', false);', Prologue.Flow.images+'icons/save.png').create();";

$vtp->addSession($form, "form_button");
$vtp->setVar($form, "form_button.javascript", $javascript);
$vtp->closeSession($form, "form_button");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.back_fct", "changePage(Flow.path+\'accueil.php\');");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>