<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "admin/confav/demat/recup_demat.php";

$vtp = new VTemplate;

$form = $vtp->Open($DEFAULT_PATH."template/param_form.vtp");
$vtp->addSession($form, "global");

$readOnly = false;

//Variable générales
$vtp->setVar($form, "global.title", $lang_menu_lbl_gestinvoice_caption);
$vtp->setVar($form, "global.icon", $pathStyle.'imgs/icons/title/invoice.gif');
$vtp->setVar($form, "global.panelTitle", $lang_admin_confav_inv_title);
$vtp->setVar($form, "global.panelIcon", $pathStyle.'imgs/icons/title/recup_demat.gif');
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));
$vtp->setVar($form, "global.help_id", "aide_demat_liste_recap");
$head_javascript="

function verifForm()
{
	var comboPath = $('chem_arch');
	if (comboPath)
	{
		Prologue.combo.inputUpdate(comboPath.rows[0].cells[0].childNodes[0]);
	}
	ret = submitForm(document.forms['filtre'], Flow.path+'admin/confav/demat/recup_demat_actAction.php', prlExec);
}
";

$vtp->setVar($form, "global.head_javascript", $head_javascript);

$req = "select PRO_REPCOM_MOT
					from PROCESSUS
					where PRO_NUMPROC = 1";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$PRO_REPCOM_MOT = $row['PRO_REPCOM_MOT'];

//var path_def = urldecode('".urlencode($PRO_REPCOM_MOT)."');
// chemin
$javascript = "
			var path_def = urldecode('".urlencode($PRO_REPCOM_MOT)."');
			with(new prlComboPath('chem_arch', '')) {
				dataSource='".$pathFramework."pathDataSource.php?path='+path_def+'&sep=".urlencode('\\')."&showFiles=0';
				value='';
				editable=true;
				create();
	};
";
//$content    = "<input type='file' name='chem_arch' class='textBox' size='50' maxlength='255'>";
$content    = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_inv_filtre_lbl_arc_path);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

$javascript = "
	with(new prlComboList('clt_id', '')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSClient.php';
		value='1';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_confav_inv_filtre_lbl_cli);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", "valid");
$vtp->closeSession($form, "form_input_hidden");

include($DEFAULT_PATH."header.php");			//en_tete et javascript
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>
