<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

$page_courante = "admin/confav/client/admin_confav_proc.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_admin_confav_proc_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_confav_proc.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/confav/proc/admin_confav_proc_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "liste_process");
//*
//* Création du filtre
//*
$filtre = array();

//Nom
$filtre[] = array("id_filtre" => "f_nom", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_admin_confav_proc_filtre_lbl_nom);

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");


mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						 "detail" => false,
						 "print" => array("show" =>true,
						 				"title" => addslashes($lang_admin_confav_proc_title)),
						 "csv" => true);

$dc = droit($droitRole, DROIT_CREAT,null,null,null,null);
$dm = droit($droitRole, DROIT_MODIF,null,null,null,null);
$ds = droit($droitRole, DROIT_SUPPR,null,null,null,null);

//Creer
if ($dc) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'admin_confav_proc_actAffich.php?action=create\')");
}
//Modifier
if ($dm) {
	$option_toolbar[] = array("caption" => $lang_admin_confav_proc_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
												"page" => "admin/confav/proc/admin_confav_proc_actAffich.php",
												"callback" => "changePage",
												"get_params" => array('pro_id','action')));
}
//Supprimer
if ($ds) {
	$option_toolbar[] = array("caption" => $lang_admin_confav_proc_grid_act_suppr,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
												"page" => "admin/confav/proc/admin_confav_proc_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('pro_id','action')));
}
//Detail
if ($dm) {
	if ($dc || $dm || $ds){
		$option_toolbar[] = array(
			"caption" => '',
			"icon" => '',
			"onClick" => '',
			"value" => '__SEPARATOR__');
	}	
	$option_toolbar[] = array("caption" => $lang_admin_confav_proc_grid_act_detail,
							"icon" => $pathFlow."style/imgs/icons/loupe.gif",
							"action" => array("name" => "detail",
												"page" => "admin/confav/proc/admin_confav_proc_actAffich.php",
												"callback" => "changePage",
												"get_params" => array('pro_id','action')));
}

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
rowAction.actions.detail.check = function (params) {
	params.action = 'detail';
	return true;
};
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_admin_confav_proc_grid_question_suppr)."';
	return confirm(msg_suppr);
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);
						 
$vtp->closeSession($form, "global");
$vtp->Display();
?>
