<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = COP;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

$page_courante = "admin/cpteur/admin_cpteur.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.help_id", "20070727110256");
$vtp->setVar($form, "global.title", addslashes($lang_admin_cpteur_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_cpteur.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/cpteur/admin_cpteur_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

//Numero
$filtre[] = array("id_filtre" => "f_num"
				, "type_filtre" => "prlFiltreField.types.prlTextBox"
				, "format_filtre" => "Prologue.textBox.formats.integer"
				, "libelle_filtre" => $lang_admin_cpteur_filtre_lbl_numero);
				
//Nom
$filtre[] = array("id_filtre" => "f_nom"
				, "type_filtre" => "prlFiltreField.types.prlTextBox"
				, "format_filtre" => "Prologue.textBox.formats.any"
				, "libelle_filtre" => $lang_admin_cpteur_aff_lbl_nom);
				
$filtre[] = array("id_filtre" => "new_line");

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						 "detail" => false,
						 "print" => array("show" =>true,
						 				"title" => addslashes($lang_admin_cpteur_title)),
						 "csv" => true);

//Creer
/*if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array(
		"caption" => addslashes($lang_ds_action_new_caption),
		"icon" => $pathFlow."style/imgs/icons/add.gif",
		"onClick" => "if (prlExec(Flow.path+\'admin/cpteur/admin_cpteur_actAction.php?action=create\') == 0) page.gridReload();"
	);
}
$body_js = "";
*/
$option_toolbar[] = array("caption" => $lang_lbl_creer,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'admin_cpteur_actAffich.php?action=create\');");
$body_js = "";
//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => addslashes($lang_admin_cpteur_grid_act_modif),
							  "icon" => $pathFlow."style/imgs/icons/admin.gif",
							  "action" => array("name" => "modif",
								  			    "page" => "admin/cpteur/admin_cpteur_actAffich.php",
											    "callback" => "changePage",
											    "get_params" => array('com_id','action')));
	$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}
//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => addslashes($lang_admin_cpteur_grid_act_suppr),
							  "icon" => $pathFlow."style/imgs/icons/trash.png",
							  "action" => array("name" => "suppr",
								   				"page" => "admin/cpteur/admin_cpteur_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('com_id','action')));
	$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_admin_cpteur_grid_question_suppr)."';
	return confirm(msg_suppr);
};
";
}
mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
