<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = COP;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");


$where = "";
$f_num = pget('f_num');
$f_nom = pget('f_nom');
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$cltID = $_SESSION['CLT_ID'];

if($f_num)
	$where .= " AND COM_NUMERO = ".$f_num;

if($f_nom)
	$where .= " AND COM_NOM LIKE '%".$f_nom."'";	
		
$req = "SELECT SQL_CALC_FOUND_ROWS COM_VALEUR, COM_ID, COM_NUMERO, COM_NOM 
   		FROM COMPTEUR
		WHERE CLT_ID = $cltID
		$where
		ORDER BY COM_NUMERO";
	
$champs = array();
$champs[] = array("nom" => $lang_admin_cpteur_grid_head_numero, "toolTip" => $lang_admin_cpteur_grid_head_numero, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_cpteur_grid_head_nextVal, "toolTip" => $lang_admin_cpteur_grid_head_nextVal, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_cpteur_aff_lbl_nom, "toolTip" => $lang_admin_cpteur_aff_lbl_nom, "sortMode" => "2");
//$champs[] = array("nom" => ' ', "toolTip" => '', "sortMode" => "1");
//$champs[] = array("nom" => ' ', "toolTip" => '', "sortMode" => "1");
 
$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header pn="'.$pageNum.'" ps="'.$pageSize.'">';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	
	$params = array();
	$params['com_id'] = $row['COM_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
		  					  'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));
	
	echo '<item caption="'.hi_disp($row['COM_NUMERO']).'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['COM_VALEUR']).'"/>';
	echo '<item caption="'.hi_disp($row['COM_NOM']).'"/>';
		
//	echo '<item';
//	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
//	{
//		$urlModif = urlencode($DEFAULT_PATH."admin/cpteur/admin_cpteur_actAffich.php?action=modif&com_id=".$row['COM_ID']);
//		$icon = $pathStyle."imgs/icons/admin.gif";
//		echo ' toolTip="'.$lang_admin_cpteur_grid_act_modif.'" icon="'.$icon.'" onClick = "changePage(\''.$urlModif.'\');"';
//	}
//	echo '/>';
		
//	echo '<item';
//	if (droit($droitRole, DROIT_SUPPR,null,null,null,null))
//	{
//		$urlSuppr = urlencode($DEFAULT_PATH."admin/cpteur/admin_cpteur_actAction.php?action=suppr&com_id=".$row['COM_ID']);
//		$onClick = "if (confirm('".$lang_admin_cpteur_grid_question_suppr."')){ if(prlExec(urldecode('".$urlSuppr."'))==0) page.gridReload(); }";
//		$icon = $pathStyle."imgs/icons/trash.png";
//		echo ' toolTip="'.$lang_admin_cpteur_grid_act_suppr.'" icon="'.$icon.'" onClick = "'.$onClick.'"';
//	}
//	echo '/>';
		
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>