<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = ALE; //droit de gestion des Logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "admin/journal/admin_journal_dSGrid.php";

$where = "";

$f_etat   = pget('f_etat');
$pageNum  = pget('pageNum');
$pageSize = pget('pageSize');
$f_date   = pget('f_date');
$h_action = pget('h_action');
$h_table  = pget('h_table');


if($ini_typeBase == 'mysql')
{
	if ($f_date)   $where .= " AND `DATE` >= '".date2sql($f_date,"00:00:00")."' AND DATE <= '".date2sql($f_date,"23:59:59")."'";
	if ($h_action) $where .= " AND `ACTION` = '".$h_action."'";
	if ($h_table)  $where .= " AND `TABLE` = '".$h_table."'";
	$req = "SELECT SQL_CALC_FOUND_ROWS `ID`, `DATE`, `ACTION`, `TABLE`, `CHAMP`, `OLD`, `NEW`, `USER`
		FROM JOURNAL WHERE 0=0 ".$where." ORDER BY `DATE` DESC";
}else
{
	if($ini_typeBase == 'mssql')
	{
		if ($f_date)   $where .= ' AND "DATE" ';	
		if ($f_date)   $where .= " >= convert(datetime,'".date2sql($f_date,"00:00:00")."',120)"; 
		if ($f_date)   $where .= ' AND "DATE" ';
		if ($f_date)   $where .= " <= convert(datetime,'".date2sql($f_date,"23:59:59")."',120)";
		if ($h_action) $where .= ' AND "ACTION" ';
		if ($h_action) $where .= " = '".$h_action."'";
		if ($h_table)  $where .= ' AND "TABLE" ';
		if ($h_table)  $where .= " = '".$h_table."'";
		$req = 'SELECT SQL_CALC_FOUND_ROWS "ID", "DATE", "ACTION", "TABLE", "CHAMP", "OLD", "NEW", "USER"
			FROM JOURNAL WHERE 0=0 '.$where.' ORDER BY "DATE" DESC';
	}else
	{
		if ($f_date)   $where .= ' AND "DATE" ';	
		if ($f_date)   $where .= " >= TO_DATE('$f_date 00:00:00', 'DD/MM/YYYY HH24:MI:SS') "; 
		if ($f_date)   $where .= ' AND "DATE" ';
		if ($f_date)   $where .= " <= TO_DATE('$f_date 23:59:59', 'DD/MM/YYYY HH24:MI:SS') ";
		if ($h_action) $where .= ' AND ACTION ';
		if ($h_action) $where .= " = '".strtoupper($h_action)."'";
		if ($h_table)  $where .= ' AND "TABLE" ';
		if ($h_table)  $where .= " = '".$h_table."'";	
		$req = 'SELECT SQL_CALC_FOUND_ROWS ID, "DATE", ACTION, "TABLE", CHAMP, OLD, NEW, "USER"
			FROM JOURNAL WHERE 0=0 '.$where.' ORDER BY "DATE" DESC';//ORACLE	
	}
}

$champs = array();
$champs[] = array("nom" => "Date", "toolTip" => $lang_admin_log_grid_head_libelle, "sortMode" => "1");
$champs[] = array("nom" => "Action", "toolTip" => $lang_admin_log_grid_head_libelle, "sortMode" => "1");
$champs[] = array("nom" => "Table", "toolTip" => $lang_admin_log_grid_head_libelle, "sortMode" => "1");
$champs[] = array("nom" => "User", "toolTip" => $lang_admin_log_grid_head_libelle, "sortMode" => "1");

//$champs[] = array("nom" => $lang_admin_log_grid_head_der_date, "toolTip" => $lang_admin_log_grid_head_der_date, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{

	$params = array();
	$params['ID'] = $row['ID'];
	$params['droits'] = array('visu' => (droit($droitRole, DROIT_MODIF,null,null,null,null)));
	
	
	$detail ="<table>";
	$champ = explode("::", $row['CHAMP']);
	$new   = explode("::", $row['NEW']);
	$old   = explode("::", $row['OLD']);
	$i=0;
	foreach ($champ as $champ_val){
	/*	
		switch($row['TABLE']){
		
			case "certificat" :
				if ($champ_val=="par_id"){
					switch($row['ACTION']){
						case "INSERT" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "DELETE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break; 
						case "UPDATE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;	
						}
				} 
				break;
				
		}
	*/
		
		if (isset($old[$i])) $tmpold="<b>old : </b>"; else $tmpold="";
		if (isset($new[$i])) $tmpnew="<b>new : </b>"; else $tmpnew="";
		if (isset($old[$i]) && isset($new[$i]) && ($old[$i]<>$new[$i])) $new[$i]="<b><font color='#ff0000'>".$new[$i]."</font></b>";
		$detail.="<tr><td><b>champ : </b>$champ_val</td><td>".$tmpold.(isset($old[$i])?$old[$i]:'')."</td><td>".$tmpnew.(isset($new[$i])?$new[$i]:'')."</td></tr>";
		$i++;
	}	
	
	$detail.="</table>";
	
	echo '<row detail="'.hi_disp($detail).'">';
	echo '<item caption="'.sql2Date($row['DATE']).'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['ACTION']).'"/>';
	echo '<item caption="'.hi_disp($row['TABLE']).'"/>';
/*
	echo '<item caption="'.hi_disp($row['CHAMP']).'"/>';
	echo '<item caption="'.hi_disp($row['OLD']).'"/>';
	echo '<item caption="'.hi_disp($row['NEW']).'"/>';
*/
	
	echo '<item caption="'.hi_disp($row['USER']).'"/>';
	
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>