<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = ALE; //droit de gestion des alertes
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "admin/log/admin_log.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20070316141339;20070411143746;20070411143844;20070411145955;20070410171114");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_admin_log_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_log.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/log/admin_log_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");


//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_admin_log_filtre_lbl_filtre_etat,
					"ds_filtre" => $pathFlow."dataSources/dSEtat.php?type=activite&showNull=1");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
									, "title" => addslashes($lang_admin_log_title)),
						"csv" => true);

$body_js = "";
									
//Executer
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_log_grid_act_exec,
							"icon" => $pathFlow."style/imgs/icons/play.gif",
							"action" => array("name" => "exec",
											"page" => "admin/log/admin_log_actAction.php",
											"callback" => "prlExecGrid",
											"get_params" => array('cmd_id','action')));
	
	$option_toolbar[] = array("caption" => '',
							"icon" => '',
							"onClick" => '',
							"value" => '__SEPARATOR__');
	$body_js .= "
rowAction.actions.exec.check = function (params) {
	params.action = 'exec';
	var msg_exec = '".addslashes($lang_admin_log_grid_question_exec)."';
	return confirm(msg_exec);
};
";
}
//Creer
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'admin_log_actAffich.php?action=create\');"
);
}
//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_log_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
											"page" => "admin/log/admin_log_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('cmd_id','action')));
	$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}
//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_log_grid_act_suppr,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
												"page" => "admin/log/admin_log_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('cmd_id','action')));
	$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_admin_log_grid_question_suppr)."';
	return confirm(msg_suppr);
};
";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
