<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = ALE; //droit de gestion des logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "admin/log/admin_log_actAffich.php";

$vtp = new VTemplate;

$cmd_id	= pget('cmd_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20070316141339;20070411143746;20070411143844;20070411145955;20070410171114");
switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_admin_log_aff_pnl_title_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_admin_log_aff_pnl_title_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
	case "detail":
		$readOnly = true;
		$panelTitle = $lang_admin_log_aff_pnl_title_detail;
		$panelIcon = $pathStyle."imgs/icons/loupe.gif";
		break;
}

//Variable générales
$vtp->setVar($form, "global.title", $lang_admin_log_title);
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_log.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "cmd_id");
$vtp->setVar($form, "form_input_hidden.value", $cmd_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($cmd_id))
{
	$req = "SELECT CMD_ID, CMD_LIBEL, CMD_INTERVAL,
				CMD, CMD_ETAT 
			FROM PAR_CMD_LOG 
			WHERE CMD_ID = $cmd_id";
		$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

//Construction de la fonction de vérification du formulaire
$fieldListID = "'cmd_libel', 'cmd_etat', 'cmd_interval', 'cmd'";
$fieldListName   = "'".addslashes($lang_admin_log_aff_lbl_libelle)."'";
$fieldListName .= ",'".addslashes($lang_admin_log_aff_lbl_etat)."'";
$fieldListName .= ",'".addslashes($lang_admin_log_aff_lbl_intervale)."'";
$fieldListName .= ",'".addslashes($lang_admin_log_aff_lbl_commande)."'";

$head_javascript = "
//top.help = {id:''};


//Liste des champs obligatoires
var fieldListID = new Array($fieldListID);
		
//Liste des libellés de champs obligatoires								
var fieldListName = new Array($fieldListName);

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_admin_log_aff_msg_err_libelle_null)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(fieldListID[i] != 'cmd_etat' && inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
	}

	if(check && (submitForm(this.document.forms['filtre'], 'admin_log_actAction.php', prlExec) == 0)) {
		changePage('admin_log.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// libellé de la commande
if (isset($row['CMD_LIBEL'])) {$CMD_LIBEL = $row['CMD_LIBEL'];} else {$CMD_LIBEL="";};
$javascript = "
	with(new prlTextBox('cmd_libel', prlTextBox.formats.any, '$CMD_LIBEL')) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_admin_log_aff_msg_err_libelle_null)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_log_aff_lbl_libelle);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// etat de la commande
if (isset($row['CMD_ETAT'])) {$CMD_ETAT = $row['CMD_ETAT'];} else {$CMD_ETAT="";};
$javascript = "
	with(new prlComboList('cmd_etat', '$CMD_ETAT')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSEtat.php?type=activite';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_log_aff_lbl_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// intervale de la commande
if (isset($row['CMD_INTERVAL'])) {$CMD_INTERVAL = $row['CMD_INTERVAL'];} else {$CMD_INTERVAL="";};
$javascript = "
	with(new prlTextBox('cmd_interval', prlTextBox.formats.any, '$CMD_INTERVAL')) {
		maxLength  = 10;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_admin_log_aff_msg_err_libelle_null)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_log_aff_lbl_intervale);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// commande

if (isset($row['CMD'])) {$CMD = urlencode($row['CMD']);} else {$CMD="";};
$javascript = "
	with(new prlTextBox('cmd', prlTextBox.formats.any, urldecode('".$CMD."'))) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_admin_log_aff_msg_err_libelle_null)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_log_aff_lbl_commande);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>