<?php
$DEFAULT_PATH = "../../../";
$culture_folder = $DEFAULT_PATH."culture";
$page_courante = "admin/purge/historique/admin_purge_hist.php";

require_once ($DEFAULT_PATH."struct.php");	//liste des define
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

if (droit(HIS,$lmcse,null,null,null,null))
	$droitRole = HIS;
else
	$droitRole = SDO;

$cltID = $_SESSION['CLT_ID'];

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

//date par défaut = date d'aujourd'hui - une semaine
$dateJour = date ('d/m/Y', mktime(0, 0, 0, date("m"), date("d"), date("Y")) - (DateDefaut));
($ini_date	= pget('ini_date'))?($f_date_deb = $dateJour):($f_date_deb = pget('f_date_deb'));

$f_date_fin     = pget('f_date_fin');
$f_date_traitdeb     = pget('f_date_traitdeb');
$f_date_traitfin     = pget('f_date_traitfin');
$f_mode         = pget('f_mode');
$f_emetteur     = pget('f_emetteur');
$f_destinataire = pget('f_destinataire');
$f_etat         = pget('f_etat');
$f_tdoc         = pget('f_tdoc');
$fromPE 		= pget('fromPE');
$fromPD 		= pget('fromPD');

////////////////////////////////////////////////////////////////////////////////////////////////////////////
//paramètres généraux (aussi utilisés par les autres niveaux de suivi)
//$typeDoc	= pget('typeDoc');						//Type de document
//$numDoc		= pget('numDoc');						//No de document
//$numCol		= pget('numCol');						//No de collecte
//$numPres	= pget('numPres');						//No de présentation
//$numAlt		= pget('numAlt');						//No d'alerte = SUI_ID
////////////////////////////////////////////////////////////////////////////////////////////////////////////
$liste      = pget('liste');
if ($liste) {
	$tmp=explode('_',$liste);
	$numDoc=$tmp[0];
}	
$pageSize = $ini_taille_page_suivi;
//$pageNum = pget('pageNum');
$pageNum = strtr(pget('pageNum'),"''","");
// Si l'historique affiche a ete demande depuis un autre ecran (par exemple la collecte)
// on ne sauvegarde pas les parametres du filtre
////////////////////////////////////////////////////////////////////////////////////////////////////////////
//if (($numDoc) || ($numCol) || ($numPres) || ($numAlt) || (!$remember_filters))
//{
//	$_SESSION['PURGE_FILTER']['remember'] = false;
//	if ($f_etat == '') $f_etat = -1;
//}
//else 
//{
//////////////////////////////////////////////////////////////////////////////////////////////////////////	
	// On restaure les derniers parametres utilises pour le filtre
	$_SESSION['PURGE_FILTER']['remember'] = true;

	if (isset($_SESSION['PURGE_FILTER']['nivHist'])) $nivHist = $_SESSION['PURGE_FILTER']['nivHist'];
		else $nivHist = '1';
	if ($f_tdoc == '') @$f_tdoc = $_SESSION['PURGE_FILTER']['f_tdoc'];
	if ($f_emetteur == '') @$f_emetteur = $_SESSION['PURGE_FILTER']['f_emetteur'];
	if ($f_destinataire == '') @$f_destinataire = $_SESSION['PURGE_FILTER']['f_destinataire'];
	if ($fromPE == '') @$fromPE = $_SESSION['PURGE_FILTER']['fromPE'];
	if ($fromPD == '') @$fromPD = $_SESSION['PURGE_FILTER']['fromPD'];
	if (isset($_SESSION['PURGE_FILTER']['f_date_deb'])) $f_date_deb = $_SESSION['PURGE_FILTER']['f_date_deb'];
	if ($f_date_fin == '') @$f_date_fin = $_SESSION['PURGE_FILTER']['f_date_fin'];
	if (!isset($f_sens))  $f_sens='';
	if (($f_sens == '') and isset($_SESSION['PURGE_FILTER']['f_sens'])) $f_sens = $_SESSION['PURGE_FILTER']['f_sens'];
	if (($f_date_traitdeb == '') and isset($_SESSION['PURGE_FILTER']['f_date_traitdeb'])) $f_date_traitdeb = $_SESSION['PURGE_FILTER']['f_date_traitdeb'];
	if (($f_date_traitfin == '') and isset($_SESSION['PURGE_FILTER']['f_date_traitfin'])) $f_date_traitfin = $_SESSION['PURGE_FILTER']['f_date_traitfin'];
	if ($f_mode == '') @$f_mode = $_SESSION['PURGE_FILTER']['f_mode'];
	if (($f_etat == '') and (isset($_SESSION['PURGE_FILTER']['f_etat']))) 
		$f_etat = $_SESSION['PURGE_FILTER']['f_etat'];
	else
		$f_etat = -1;
//////////////////////////////////////////////////////////////////////////////////////////////////////////
	//$f_afx = $_SESSION['PURGE_FILTER']['f_afx'];
	//$f_rejeu = $_SESSION['PURGE_FILTER']['f_rejoue'];
//////////////////////////////////////////////////////////////////////////////////////////////////////////	
	
	if ((isset($_SESSION['PURGE_FILTER']['pageSize'])) && ($_SESSION['PURGE_FILTER']['pageSize'] != '')) $pageSize = $_SESSION['PURGE_FILTER']['pageSize'];
	if (($pageNum == '') && (isset($_SESSION['PURGE_FILTER']['pageNum'])) && ($_SESSION['PURGE_FILTER']['pageNum'] != '')) $pageNum = $_SESSION['PURGE_FILTER']['pageNum'];
//}
if ($pageNum == '') $pageNum = "1";

$title = $lang_menu_lbl_gestpurg_histo;

//////////////////////////////////////////////////////////////////////////////////////////////////////////
//if ($numDoc)
//	$title = str_replace("%NUMDOC%", $numDoc , $lang_sui_hist_title_doc);
//else
//{
//  	if ($numCol)
//  		$title = str_replace("%NUMCOL%", $numCol , $lang_sui_hist_title_col);
//  	if ($numPres)
//  		$title = str_replace("%NUMPRES%", $numPres , $lang_sui_hist_title_pres);
//}
//if ($numAlt)
//	$title .= " $lang_sui_hist_title_alert";
//////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	
$vtp->setVar($form, "global.head_javascript", "");
	
include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($title));
$vtp->setVar($form, "global.help_id", "purge_histo");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_hist.gif");
//$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/historique/sui_hist_dSGrid.php?typeDoc=$typeDoc&numDoc=$numDoc&numCol=$numCol&numPres=$numPres&numAlt=$numAlt");
if (!isset($typeDoc)) $typeDoc='';
if (!isset($numDoc))  $numDoc='';
if (!isset($numCol))  $numCol='';
if (!isset($numPres)) $numPres='';
if (!isset($numAlt))  $numAlt='';
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/purge/historique/admin_purge_hist_dSGrid.php?typeDoc=$typeDoc&numDoc=$numDoc&numCol=$numCol&numPres=$numPres&numAlt=$numAlt");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", $pageSize);
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_afficher,
					"value_filtre" => $pageSize,
					"editable_filtre" => true,
					"ds_filtre" => $dataSrc);

//Niveau d'historique
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//require $DEFAULT_PATH."suivi/historique/sui_hist_dSNiv.php";
//$filtre[] = array("id_filtre" => "nivHist", "type_filtre" => "prlFiltreField.types.prlComboList",
//					"libelle_filtre" => $lang_sui_hist_filtre_lbl_histo,
//					"value_filtre" => $nivHist,
//					"ds_filtre" => $dataSrc);
//
//$filtre[] = array("id_filtre" => "new_line");
//////////////////////////////////////////////////////////////////////////////////////////////////////////

//Activité
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//require $DEFAULT_PATH."dataSources/dSActivite.php";
//$filtre[] = array("id_filtre" => "f_afx", "type_filtre" => "prlFiltreField.types.prlComboList",
//					"libelle_filtre" => $lang_sui_hist_filtre_lbl_act,
//					"ds_filtre" => $dataSrc,
//					"value_filtre" => $f_afx,
//					"dd_height_filtre" => "170",
//					"dd_width_filtre" => "255");
//////////////////////////////////////////////////////////////////////////////////////////////////////////

//Type doc
//$droits=$lmcse;
//require $DEFAULT_PATH."dataSources/dSTypeDoc.php";
$filtre[] = array("id_filtre" => "f_tdoc", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_tdoc,
					"value_filtre" => $f_tdoc,
					"ds_filtre" => $pathFlow."dataSources/dSTypeDoc.php?droits=$lmcse",
					"dd_height_filtre" => "170",
					"dd_width_filtre" => "255");
					
$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_datedeb,
					"value_filtre" => $f_date_deb);

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_datefin,
					"value_filtre" => $f_date_fin);

$filtre[] = array("id_filtre" => "new_line");


//Date traitement d�but
$filtre[] = array("id_filtre" => "f_date_traitdeb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_datetraitdeb,
					"value_filtre" => $f_date_traitdeb);

//Date traitement fin
$filtre[] = array("id_filtre" => "f_date_traitfin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_datetraitfin,
					"value_filtre" => $f_date_traitfin);


$filtre[] = array("id_filtre" => "new_line");


//Emetteur
$filtre[] = array("id_filtre" => "f_emetteur", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_emet,
					"value_filtre" => $f_emetteur,
					"defaultcaption_filtre" => getPartnerName($f_emetteur),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=".$droitRole."&showNull=1");
					
				
//Destinataire
$filtre[] = array("id_filtre" => "f_destinataire", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_dest,
					"value_filtre" => $f_destinataire,
					"defaultcaption_filtre" => getPartnerName($f_destinataire),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=".$droitRole."&showNull=1");
						
					
$filtre[] = array("id_filtre" => "new_line");

//Criteres Emetteur
require $DEFAULT_PATH."dataSources/dSCriteres.php";
$filtre[] = array("id_filtre" => "fromPE", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPE,
					"ds_filtre" => $dataSrc);
//Criteres Destinataire
$filtre[] = array("id_filtre" => "fromPD", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPD,
					"ds_filtre" => $dataSrc);

$filtre[] = array("id_filtre" => "new_line");

//Manuel ou Automatique
$filtre[] = array("id_filtre" => "f_mode", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_admin_purge_pnl_mode,
					"value_filtre" => $f_mode,
					//"defaultcaption_filtre" => getPartnerName($f_emetteur),
					"loadondropdown_filtre" => true,
					//"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=".$droitRole."&showNull=1");
					"ds_filtre" => $pathFlow."dataSources/dsComboModePurge.php");

//Etat
$detail = ETAT_DETAIL_AVANCE;
$type = "suivi";
$showNull = "1";
require $DEFAULT_PATH."dataSources/dSEtat.php";
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_etat,
					"value_filtre" => $f_etat,
					//"ds_filtre" => $dataSrc);
					"ds_filtre" => $pathFlow."dataSources/dsComboEtatPurge.php");

//Sens
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//$showNull = "1";
//require $DEFAULT_PATH."dataSources/dSComboSens.php";
//$filtre[] = array("id_filtre" => "f_sens", "type_filtre" => "prlFiltreField.types.prlComboList",
//					"libelle_filtre" => $lang_sui_hist_filtre_lbl_sens,
//					"value_filtre" => $f_sens,
//					"ds_filtre" => $dataSrc);
//////////////////////////////////////////////////////////////////////////////////////////////////////////
$filtre[] = array("id_filtre" => "new_line");

//Rejeu
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//require $DEFAULT_PATH."dataSources/dSRejoue.php";
//$filtre[] = array("id_filtre" => "f_rejoue", "type_filtre" => "prlFiltreField.types.prlComboList",
//					"libelle_filtre" => $lang_sui_hist_filtre_lbl_rejoue,
//					"value_filtre" => $f_rejeu,
//					"ds_filtre" => $dataSrc);
//////////////////////////////////////////////////////////////////////////////////////////////////////////			
					
mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => true,
						"detail" => true,
						"print" => array("show" => true
									, "title" => addslashes($title)),
						"csv" => true,
						"goBack" => (($numDoc) || ($numCol) || ($numPres) || ($numAlt)));

//visualiser
/*$option_toolbar[] = array("caption" => $lang_lbl_visu,
						"icon" => $pathStyle."imgs/icons/loupe.gif",
						"action" => array("name" => "visu",
									"page" => "actions/actListing_fic.php",
									"callback" => "openPopUp",
									"get_params" => array('sui_type', 'fic_id', 'for_id')));

//Telecharger
$option_toolbar[] = array("caption" => $lang_lbl_telecharger,
						"icon" => $pathStyle."imgs/icons/save.gif",
						"action" => array("name" => "download",
									"page" => "actions/actTelecharge.php",
									"callback" => "changePage",
									"get_params" => array('fic_id')));

//Rejeu
$option_toolbar[] = array("caption" => $lang_ds_action_rejeu_caption,
						"icon" => $pathStyle."imgs/icons/progress.gif",
						"action" => array("name" => "rejeu",
									"page" => "actions/actRejeu.php",
									"callback" => "openPopUp",
									"get_params" => array('from', 'liste')));

//Table des matieres
$option_toolbar[] = array("caption" => $lang_sui_hist_grid_act_tabmat,
						"icon" => $pathStyle."imgs/icons/flux.gif",
						"action" => array("name" => "tab_mat",
									"page" => "",
									"callback" => "changePage",
									"get_params" => array('DEMAT_CPT', 'SRAP_ID', 'TRAP_ID')));
*///////////////////////////////////////////////////////////////////////////////////////////////////////////
mkToolbar($vtp, $form, $option_toolbar);
//////////////////////////////////////////////////////////////////////////////////////////////////////////
//$body_js = "
//rowAction.actions.tab_mat.check = function (params) {
//	switch(params.tac_nom) {
//		case 'RAPPROCH':
//			rowAction.actions.tab_mat.act_url.page = 'suivi/rapproch/sui_rap.php';
//			break;
//		case 'DEMAT':
//			rowAction.actions.tab_mat.act_url.page = 'suivi/invoice/sui_inv.php';
//			break;
//	}
//	return true;
//}
//rowAction.actions.rejeu.check = function (params, list_params) {
//	params.liste = '';
//	for(var i = 0; i < list_params.length; ++i)
//		params.liste +=  (i? '_'+list_params[i].sui_id: list_params[i].sui_id);
//	return true;
//};

$body_js = "";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>