<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = RSS;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/rss/admin_rss_actAction.php";

$rss_id	= pget('rss_id');
$action	= pget('action');
$cltID = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	if(droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$req = "DELETE FROM RSS WHERE RSS_ID = $rss_id";	
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_flux_gest_act_suppr_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_gest_act_suppr_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$rss_titre = pget("rss_titre");
		$rss_url = pget("rss_url");
		$rss_nb_item = pget("rss_nb_item");
		$rss_actif = pget("rss_actif");
		$req = "INSERT INTO RSS (CLT_ID, RSS_TITRE, RSS_URL, RSS_NB_ITEM, RSS_ACTIF)
				VALUES ($cltID, '$rss_titre', '$rss_url', $rss_nb_item, $rss_actif)";
		
		$res=$gDb->SQLQuery($req, 1); 
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_gest_act_create_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_gest_act_create_msg_ok;
			$return = 0;
		}	
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$rss_titre = pget("rss_titre");
		$rss_url = pget("rss_url");
		$rss_nb_item = pget("rss_nb_item");
		$rss_actif = pget("rss_actif");
		$req = "UPDATE RSS SET RSS_TITRE = '$rss_titre', RSS_URL = '$rss_url', RSS_NB_ITEM = $rss_nb_item, RSS_ACTIF = $rss_actif WHERE RSS_ID = $rss_id";
		
		$res=$gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_gest_act_update_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_gest_act_update_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>