<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = RSS;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "admin/rss/admin_rss_actAffich.php";

$vtp = new VTemplate;

$rss_id = pget('rss_id');
$action = pget('action');


$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable gnrales

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_menu_lbl_gestrss_toolTip));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/rss.png");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "20110414170305");

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", "false");

//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "rss_id");
$vtp->setVar($form, "form_input_hidden.value", $rss_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($rss_id))
{
	$req = "SELECT RSS_ID, RSS_TITRE, RSS_URL, RSS_NB_ITEM, RSS_ACTIF
			FROM RSS 
			WHERE RSS_ID = $rss_id";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

//Construction de la fonction de vrification du formulaire
$fieldListID = "'rss_actif', 'rss_url'";
$fieldListName = "'".addslashes($lang_lbl_etat)."'";
$fieldListName .= ",'".addslashes($lang_admin_rss_lbl_url_toolTip)."'";

$head_javascript = "
//Liste des champs obligatoires
var fieldListID = new Array($fieldListID);
		
//Liste des libells de champs obligatoires								
var fieldListName = new Array($fieldListName);

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(fieldListID[i] != 'rss_actif' && inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
	}

	if(check && (submitForm(this.document.forms['filtre'], 'admin_rss_actAction.php', prlExec) == 0)) {
		changePage('admin_rss.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// nom du flux rss
if (isset($row['RSS_TITRE'])) {$RSS_TITRE = $row['RSS_TITRE'];} else {$RSS_TITRE="";};
$javascript = "
	with(new prlTextBox('rss_titre', prlTextBox.formats.any, '$RSS_TITRE')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_rss_lbl_titre_toolTip);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// etat du flux rss
if (isset($row['RSS_ACTIF'])) {$RSS_ACTIF = $row['RSS_ACTIF'];} else {$RSS_ACTIF="";};
$javascript = "
	with(new prlComboList('rss_actif', '$RSS_ACTIF')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSEtat.php?type=activite';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// nombre de lignes du flux rss
if (isset($row['RSS_NB_ITEM'])) {$RSS_NB_ITEM = $row['RSS_NB_ITEM'];} else {$RSS_NB_ITEM="";};
$javascript = "
	with(new prlTextBox('rss_nb_item', prlTextBox.formats.uinteger, '$RSS_NB_ITEM')) {
		maxLength  = 3;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_rss_lbl_ligne_toolTip);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// url du flux rss
if (isset($row['RSS_URL'])) {$RSS_URL = $row['RSS_URL'];} else {$RSS_URL="";};
$javascript = "
	with(new prlTextBox('rss_url', prlTextBox.formats.any, '$RSS_URL')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_msg_err_no_field)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_rss_lbl_url_toolTip);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>