<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = RSS;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$cltID = $_SESSION['CLT_ID'];

$req = "SELECT SQL_CALC_FOUND_ROWS RSS_ID, RSS_TITRE, RSS_URL, RSS_NB_ITEM, RSS_ACTIF
   		FROM RSS
		WHERE CLT_ID = $cltID";
	
$champs = array();
$champs[] = array("nom" => $lang_admin_rss_lbl_titre, "toolTip" => $lang_admin_rss_lbl_titre_toolTip, "sortMode" => "2");
$champs[] = array("nom" => $lang_lbl_etat, "toolTip" => $lang_lbl_etat, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_rss_lbl_ligne, "toolTip" => $lang_admin_rss_lbl_ligne_toolTip, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_rss_lbl_url, "toolTip" => $lang_admin_rss_lbl_url_toolTip, "sortMode" => "2");
 
$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header pn="'.$pageNum.'" ps="'.$pageSize.'">';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	
	$params = array();
	$params['rss_id'] = $row['RSS_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
		  					  'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));

	echo '<item caption="'.hi_disp($row['RSS_TITRE']).'" value="'.row_encode_JSON($params).'"/>';
	$etat = array('icon' => "", 'toolTip' => "");
	$url=$pathFlow."admin/rss/admin_rss_dSGrid_action.php?rss_id=".$row['RSS_ID'];
	$urlreload="admin_rss_dSGrid.php?pageSize=".$pageSize."&pageNum=".$pageNum."'";
	if($row['RSS_ACTIF'] == ETAT_ACTIF)
	{
		$etat['toolTip'] = $lang_flux_gest_grid_lbl_etat_actif;
		$etat['icon'] = $pathFlow."style/imgs/icons/lamp_on.png";
		$etat['caption'] = hi_disp("<a>".$lang_flux_gest_grid_lbl_etat_actif."</a>");
		$etat['onClick'] = "prlExec(urldecode('".urlencode($url."&action=inactif")."'), false); prlGrid.reload('grid',urldecode('".urlencode($urlreload)."')); event.cancelBubble=true; return false;";
	}
	else if($row['RSS_ACTIF'] == ETAT_INACTIF)
	{
		$etat['toolTip'] = $lang_flux_gest_grid_lbl_etat_inactif;
		$etat['icon'] = $pathFlow."style/imgs/icons/lamp_off.png";
		$etat['caption'] = hi_disp("<a>".$lang_flux_gest_grid_lbl_etat_inactif."</a>");
		$etat['onClick'] = "prlExec(urldecode('".urlencode($url."&action=actif")."'), false); prlGrid.reload('grid',urldecode('".urlencode($urlreload)."')); event.cancelBubble=true; return false;";
	}
	echo '<item caption="'.$etat['caption'].'" icon="'.$etat['icon'].'" toolTip="'.$etat['toolTip'].'" onClick="'.$etat['onClick'].'"/>';
	echo '<item caption="'.hi_disp($row['RSS_NB_ITEM']).'"/>';
	echo '<item caption="'.hi_disp($row['RSS_URL']).'"/>';

	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>