<?php
$DEFAULT_PATH = "../../";
$culture_content_type = "application/json; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once($DEFAULT_PATH."struct.php");
$droitRole = RSS;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;	//droits en lmcs

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/rss/admin_rss_dSGrid_action.php";

$rss_id = pget('rss_id');
$action = pget('action');

//Variables pour la rponse en JSON
$reponse = array();
$msg = '';
$return = -1;
$onsuccess='';

/************************************************************/
/* DEBUT ACTION = TOOGLE ACTIF/INACTIF 								*/
/************************************************************/

if (droit($droitRole, DROIT_SUPPR,null,null,null,null))
{
	$tmp=($action=="actif")?(ETAT_ACTIF):(ETAT_INACTIF);
	$req = "UPDATE RSS SET RSS_ACTIF=".$tmp." WHERE RSS_ID =".$rss_id;
			
	$res = $gDb->SQLQuery($req, 1);
	if (!$res)
	{
		$msg = $lang_flux_trait_update_flux_msgerr_generique;
		$return = 1;
	} else
		$return = 0;

	$gDb->SQLFermeQuery(1);
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = $onsuccess;
echo encode_JSON($reponse);
?>