 <?php
$DEFAULT_PATH = "../";
require_once ($DEFAULT_PATH."/inc/php/pclzip.lib.php");
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr?ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de cr�ation du filtre/toolbar
require_once ($DEFAULT_PATH."flow.ini.php");	
$snap=1;

// export de flux complet
require_once ($DEFAULT_PATH."flux/avance/export/flux_export/flux_exportAction.php");

$archive = new PclZip('archive.zip');
$v_list = $archive->create('flux_export.xml');

if ($v_list == 0)
{
	$reponse['msg'] = $lang_admin_exp_sauvegarde_nok;
	$reponse['return']=1;
}
else
{
	$req = 'SELECT FCO_REPBIN_IHM, FCO_REPCOM_IHM FROM FLOWCONF';
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);

	// Sauvegarde du pretrait.cnf
	$fileToSave = $row['FCO_REPBIN_IHM'].DIRECTORY_SEPARATOR.'pretrait.cnf';
	if (is_file($fileToSave))
	{
		$archive->add($fileToSave, PCLZIP_OPT_REMOVE_ALL_PATH);
	}
	
	// Sauvegarde de l'arborescence /fmoteur/cli/
	$dirToSave = substr($row['FCO_REPCOM_IHM'], 0, strrpos($row['FCO_REPCOM_IHM'], DIRECTORY_SEPARATOR));
	if(is_dir($dirToSave))
	{
		$archive->add($dirToSave, PCLZIP_OPT_REMOVE_PATH, $dirToSave, PCLZIP_OPT_ADD_PATH, 'cli'); // on sauvegarde Cli/*.*
	}
			
	$reponse['msg'] = $lang_admin_exp_sauvegarde_ok;
	$reponse['return']=0;
}

// nettoyage
@unlink('flux_export.xml');

echo encode_JSON($reponse);

?> 