<?php
// Script php pour l'appel au web services As@lae

$DEFAULT_PATH = "../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr?ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de cration du filtre/toolbar
require_once ($DEFAULT_PATH."flow.ini.php");	

// Action determine le ws a appeler
$action         = pget('action');

if ($action == 'verse')
{
    // Versement d'une archive
    $bordereauName 	= pget('bordereauName');
    $bordereauFile 	= pget('bordereauFile');
    $documentName 	= pget('documentName');
    $documentFile 	= pget('documentFile');
}
else if ($action == 'etat')
{
    // Etat d'une archive
    $archiveID 	= pget('archiveID');
}
else
{
    exit;
}

// Recuperation des informations de connexion aux ws As@lae
// Url
$req = "SELECT VPG_VAL FROM VAL_PAR_GEN WHERE PFL_ID=2752;";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$url_ws_asalae = $row['VPG_VAL'];
$gDb->SQLFermeQuery(1);
// User
$req = "SELECT VPG_VAL FROM VAL_PAR_GEN WHERE PFL_ID=2753;";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$user_ws_asalae = $row['VPG_VAL'];
$gDb->SQLFermeQuery(1);
// Password
$req = "SELECT VPG_VAL FROM VAL_PAR_GEN WHERE PFL_ID=2754;";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$password_ws_asalae = $row['VPG_VAL'];
$gDb->SQLFermeQuery(1);

try 
{
    // Appel au webservice
    $client = new SoapClient ($url_ws_asalae.'/webservices/wsdl', array('trace' => 1));
    //$client->__setSoapHeaders($soapHeaders);
    if ($action == 'verse')
    {
        print_r((array)$client->wsDepot($bordereauName,base64_encode(file_get_contents($bordereauFile)),$documentName,base64_encode(file_get_contents($documentFile)),'ZIP',$user_ws_asalae,$password_ws_asalae));
    }
    else if ($action == 'etat')
    {
        echo $client->wsEtatArchive($archiveID,$user_ws_asalae,$password_ws_asalae);
    }
} catch (SoapFault $fault) 
{
    echo "erreur";
}

?>