<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = EXT;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/suivi/admin_suivi_actAction.php";

$ext_id	= pget('ext_id');
$action	= pget('action');
$cltID = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	if(droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$req = "DELETE FROM EXTERNE WHERE EXT_ID = $ext_id";	
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_flux_gest_act_suppr_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_gest_act_suppr_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$ext_titre = dblQ(pget("ext_titre"));
		$ext_source = dblQ(pget("ext_source"));
		$ext_ereg = dblQ(pget("ext_ereg"));
		$ext_actif = pget("ext_actif");
		$req = "INSERT INTO EXTERNE (CLT_ID, EXT_TITRE, EXT_ACTIF, EXT_EREG, EXT_SOURCE)
				VALUES ($cltID, '$ext_titre', $ext_actif, '$ext_ereg', '$ext_source')";
		
		$res=$gDb->SQLQuery($req, 1); 
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_gest_act_create_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_gest_act_create_msg_ok;
			$return = 0;
		}	
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$ext_titre = dblQ(pget("ext_titre"));
		$ext_source = dblQ(pget("ext_source"));
		$ext_ereg = dblQ(pget("ext_ereg"));
		$ext_actif = pget("ext_actif");
		$req = "UPDATE EXTERNE SET EXT_TITRE = '$ext_titre', EXT_EREG = '$ext_ereg', EXT_ACTIF = $ext_actif, EXT_SOURCE = '$ext_source' WHERE EXT_ID = $ext_id";
		
		$res=$gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_gest_act_update_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_gest_act_update_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	$reponse['onsuccess'] = 'top.reload_menu()';
	echo encode_JSON($reponse);
}
?>