<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = EXT;	//droits de suivi des processus externes
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "admin/suivi/admin_suivi_actAffich.php";

$vtp = new VTemplate;

$ext_id = pget('ext_id');
$action = pget('action');


$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable gnrales

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_menu_lbl_extern_tooltip));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/add_externlog.png");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "add_externlog");

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", "false");

//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "ext_id");
$vtp->setVar($form, "form_input_hidden.value", $ext_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($ext_id))
{
	$req = "SELECT EXT_ID, EXT_TITRE, EXT_EREG, EXT_ACTIF, EXT_SOURCE
			FROM EXTERNE 
			WHERE EXT_ID = $ext_id";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

//Construction de la fonction de vrification du formulaire
$fieldListID = "'ext_actif', 'ext_source'";
$fieldListName = "'".addslashes($lang_lbl_etat)."'";
$fieldListName .= ",'".addslashes($lang_admin_suivi_lbl_source_toolTip)."'";

$head_javascript = "
//Liste des champs obligatoires
var fieldListID = new Array($fieldListID);
		
//Liste des libells de champs obligatoires								
var fieldListName = new Array($fieldListName);

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(fieldListID[i] != 'ext_actif' && inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
	}

	if(check && (submitForm(this.document.forms['filtre'], 'admin_suivi_actAction.php', prlExec) == 0)) {
		changePage('admin_suivi.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// nom du log
if (isset($row['EXT_TITRE'])) {$EXT_TITRE = $row['EXT_TITRE'];} else {$EXT_TITRE="";};
$javascript = "
	with(new prlTextBox('ext_titre', prlTextBox.formats.any, '$EXT_TITRE')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_suivi_lbl_titre_toolTip);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// etat du suivi
if (isset($row['EXT_ACTIF'])) {$EXT_ACTIF = $row['EXT_ACTIF'];} else {$EXT_ACTIF="";};
$javascript = "
	with(new prlComboList('ext_actif', '$EXT_ACTIF')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSEtat.php?type=activite';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// source
if (isset($row['EXT_SOURCE'])) {$EXT_SOURCE = urlencode(hi_disp($row['EXT_SOURCE']));} else {$EXT_SOURCE="";};
$javascript = "
	with(new prlTextBox('ext_source', prlTextBox.formats.any, urldecode('$EXT_SOURCE'))) {
		maxLength  = 255;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_suivi_lbl_source_toolTip.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// EREG
if (isset($row['EXT_EREG'])) {$EXT_EREG = urlencode(hi_disp($row['EXT_EREG']));} else {$EXT_EREG="";};
$javascript = "
	with(new prlTextBox('ext_ereg', prlTextBox.formats.any, urldecode('$EXT_EREG'))) {
		maxLength  = 512;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_suivi_lbl_ereg_toolTip);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>