<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require($DEFAULT_PATH."vtemplate.class.php");

$droitRole = TAB;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs

$page_courante = "admin/alert/admin_tab.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.help_id", "20070716174053");
$vtp->setVar($form, "global.title", addslashes($lang_admin_tab_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_tab.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/tab/admin_tab_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

//Nom
$filtre[] = array("id_filtre" => "f_name", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_admin_tab_filtre_lbl_nom);
//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						 "detail" => true,
						 "print" => array("show" =>true,
						 				"title" => addslashes($lang_admin_tab_title)),
						 "csv" => true);

$body_js = "";

//Executer
$option_toolbar[] = array("caption" => $lang_admin_tab_grid_act_exec,
						  "icon" => $pathStyle."imgs/icons/play.gif",
						  "action" => array("name" => "exec",
											"page" => "admin/tab/admin_tab_actExec.php",
											"callback" => "changePage",
											"get_params" => array('tab_id')));

// Graphique
$option_toolbar[] = array("caption" => $lang_admin_tab_aff_btn_graph,
						"icon" => $pathFlow."style/imgs/icons/db_table.gif",
						"action" => array("name" => "graf",
										"page" => "admin/tab/admin_tab_actGraph.php",
										"callback" => "openPopUp",
										"get_params" => array('tab_id', 'tab_nom', 'taille')));

$option_toolbar[] = array("caption" => '',
						"icon" => '',
						"onClick" => '',
						"value" => '__SEPARATOR__');

//Creer
$option_toolbar[] = array(
	"caption" => addslashes($lang_ds_action_new_caption),
	"icon" => $pathFlow."style/imgs/icons/add.gif",
	"onClick" => "changePage(Flow.path+\'admin/tab/admin_tab_actAffich.php?action=create\');"
);
$body_js .= "
rowAction.actions.create.check = function (params) {
	params.action = 'create';
	return true;
};";

//Modifier
$option_toolbar[] = array("caption" => addslashes($lang_admin_tab_grid_act_modif),
						  "icon" => $pathFlow."style/imgs/icons/admin.gif",
						  "action" => array("name" => "modif",
											"page" => "admin/tab/admin_tab_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('tab_id','action')));
$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};";

//Dupliquer
$option_toolbar[] = array("caption" => addslashes($lang_admin_tab_grid_act_dupliq),
						  "icon" => $pathFlow."style/imgs/icons/dupliq.gif",
						  "action" => array("name" => "create",
											"page" => "admin/tab/admin_tab_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('tab_id','action')));
$body_js .= "
rowAction.actions.create.check = function (params) {
	params.action = 'create';
	return true;
};";

//Supprimer
$option_toolbar[] = array("caption" => addslashes($lang_admin_tab_grid_act_suppr),
						  "icon" => $pathFlow."style/imgs/icons/trash.png",
						  "action" => array("name" => "suppr",
											"page" => "admin/tab/admin_tab_actAction.php",
											"callback" => "prlExecGrid",
											"get_params" => array('tab_id','action')));
$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_admin_tab_grid_question_suppr)."';
	return confirm(msg_suppr);
};";

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
