<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = TAB;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs
$where = "";

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."req_ed.php");


$page_courante = "admin/tab/admin_tab_actAffich.php";

$vtp = new VTemplate;

$tab_id	= pget('tab_id');
$tab_libel = pget('tab_libel');
$tab_req = pget('tab_req');
$tab_nbre_ligne	= pget('tab_nbre_ligne');

$action = pget('action');

switch($action)
{
	case "create":
		$panelTitle = $lang_admin_tab_aff_pnl_title_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		$template = "admin_tab_actAffich.vtp";
		break;
	case "modif":
		$panelTitle = $lang_admin_tab_aff_pnl_title_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		$template = "admin_tab_actAffich.vtp";
		break;
}

$form = $vtp->Open($template);
$vtp->addSession($form, "gest");
$vtp->setVar($form, "gest.pathStyle", $pathStyle);
$vtp->setVar($form, "gest.help_id", "20070716174245");
if($action != "exec")
{
	$vtp->setVar($form, "gest.title", $lang_admin_tab_title);
	$vtp->setVar($form, "gest.action", $action);
	$vtp->setVar($form, "gest.lbl_nom", $lang_admin_tab_aff_lbl_nom);
	$vtp->setVar($form, "gest.lbl_libelle", $lang_admin_tab_aff_lbl_libelle);
	$vtp->setVar($form, "gest.lbl_requete", $lang_admin_tab_aff_lbl_requete);
	$vtp->setVar($form, "gest.lbl_ligne_par_page", $lang_admin_tab_aff_lbl_ligne_par_page);
	$vtp->setVar($form, "gest.lbl_type_graphique", $lang_admin_tab_aff_lbl_type_graphique);
	$vtp->setVar($form, "gest.lbl_taille", $lang_admin_tab_aff_lbl_modele);
	$vtp->setVar($form, "gest.btn_cancel", $lang_admin_tab_aff_btn_cancel);
}

if($action == "modif" || $action == "create")
{
	$vtp->setVar($form, "gest.helpPanelTitle", $lang_admin_tab_aff_pnl_title_help);
	$vtp->setVar($form, "gest.msg_err_nom_null", $lang_admin_tab_aff_msg_err_nom_null);
	$vtp->setVar($form, "gest.btn_valid", $lang_admin_tab_aff_btn_valid);
	$vtp->setVar($form, "gest.btn_ajout", $lang_admin_tab_aff_btn_ajout);
	$vtp->setVar($form, "gest.btn_exec", $lang_admin_tab_aff_btn_exec);
	$vtp->setVar($form, "gest.btn_graph", $lang_admin_tab_aff_btn_graph);
}

if($action != 'detail') {
	$vtp->setVar($form, "gest.PATH", $pathFlow);
}
	
if(isset($tab_id) and strlen($tab_id)!=0)
{
	$req = "SELECT TAB_NOM, TAB_LIBEL, TAB_REQ, TAB_NBRE_LIGNE, TAB_GRAPH_TYPE , TAB_GRAPH_TAILLE
			FROM TABLEAU_BORD 
			WHERE TAB_ID = $tab_id";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	
	$tab_nom = $row['TAB_NOM'];
	$tab_libel = $row['TAB_LIBEL'];
	$tab_req = $row['TAB_REQ'];
	$tab_nbre_ligne = $row['TAB_NBRE_LIGNE'];
	$tab_type_graphique = $row['TAB_GRAPH_TYPE'];
	$tab_taille = $row['TAB_GRAPH_TAILLE'];
	$gDb->SQLFermeQuery(1);
	
	if($action != 'exec')
	{
		$vtp->setVar($form, "gest.tab_id", $tab_id);
		$vtp->setVar($form, "gest.tab_nom", hi_disp($tab_nom));
		$vtp->setVar($form, "gest.tab_libel", hi_disp($tab_libel));
		$vtp->setVar($form, "gest.tab_req", $tab_req);
		$vtp->setVar($form, "gest.tab_nbre_ligne", $tab_nbre_ligne);
		$vtp->setVar($form, "gest.tab_type_graphique", $tab_type_graphique);
		$vtp->setVar($form, "gest.tab_taille", $tab_taille);
	}
	
	
	if($action == "detail")
		$panelTitle .= " ".hi_disp($tab_nom);
}
else
{
	if ($action != 'exec')
	{
		$vtp->setVar($form, "gest.tab_req", "SELECT ... FROM ... WHERE ... ORDER BY ... GROUP BY ...");
		$vtp->setVar($form, "gest.tab_nbre_ligne", "10");
	}
	
}

if($action == 'exec')
{
	$panelTitle .= " ".hi_disp($tab_libel);
	
	$msg = "";
	$req_res = "";
	reqValide($tab_req, $msg, $req_res);
	
	if($msg == "" && !$gDb->SQLQuery($req_res, 1))
		$msg = $lang_admin_tab_act_exec_msg_err."<br>".$gDb->SQLErreur();
		
	$vtp->setVar($form, "gest.msg", $msg);
	$vtp->setVar($form, "gest.tab_req", $req_res);
	$vtp->setVar($form, "gest.tab_nbre_ligne", $tab_nbre_ligne);
}

$vtp->setVar($form, "gest.panelTitle", $panelTitle);
$vtp->setVar($form, "gest.panelIcon", $panelIcon);

$vtp->setVar($form, "gest.msg_err_no_graph", $lang_admin_tab_aff_msg_err_no_graph);

$vtp->setVar($form, "gest.image_graph", $pathStyle.'imgs/tbord');

$vtp->setVar($form, "gest.Type_aucun", $lang_admin_tab_aff_lbl_aucun);
$vtp->setVar($form, "gest.Type_histogramme", $lang_admin_tab_aff_lbl_histogramme);
$vtp->setVar($form, "gest.Type_courbe", $lang_admin_tab_aff_lbl_courbe);
$vtp->setVar($form, "gest.Type_camembert", $lang_admin_tab_aff_lbl_camembert);
$vtp->setVar($form, "gest.Type_multi_histogrammes", $lang_admin_tab_aff_lbl_multi_histogrammes);
$vtp->setVar($form, "gest.Type_multi_courbes", $lang_admin_tab_aff_lbl_multi_courbes);
$vtp->setVar($form, "gest.Taille_petit", $lang_admin_tab_aff_lbl_petit);
$vtp->setVar($form, "gest.Taille_moyen", $lang_admin_tab_aff_lbl_moyen);
$vtp->setVar($form, "gest.Taille_grand", $lang_admin_tab_aff_lbl_grand);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "gest.page_headers", $page_headers);
$vtp->closeSession($form, "gest");
$vtp->Display();
?>