<?php
@$droitRole = TAB;	//droits de traitement des flux
@$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require($DEFAULT_PATH."vtemplate.class.php");
include($DEFAULT_PATH."header.php");

require_once "../../inc/Artichow/LinePlot.class.php";
require_once "../../inc/Artichow/BarPlot.class.php";
require_once("../../inc/Artichow/Pie.class.php");

if(!function_exists("imageantialias")){
	function imageantialias($ressource, $bool){
	}
}

$tab_id	= pget('tab_id');
if (isset($_GET['tab_req'])&&isset($_GET['tab_libel'])) {
	$tab_libel = pget('tab_libel');
	$req = pget('tab_req');
	$tab_nbre_ligne = pget('tab_nbre_ligne');
	$tab_type_graphique = pget('tab_type_graphique');
	$tab_taille = pget('tab_taille');
} else {
	$req_tmp="SELECT * FROM TABLEAU_BORD WHERE TAB_ID=$tab_id;";
	$gDb->SQLQuery($req_tmp,1);
	$row_tmp = $gDb->SQLNextRow(1);
	$tab_libel = $row_tmp[4];
	$req = $row_tmp[3];
	$tab_type_graphique = $row_tmp[6];
	$tab_taille = $row_tmp[7];
}


if ($tab_taille==1) { $X=300; $Y=250; }
if ($tab_taille==2) { $X=600; $Y=500; }
if ($tab_taille==3) { $X=900; $Y=750; }


$gDb->SQLQuery($req,1);

// On doit traiter un graphique histogramme
if ($tab_type_graphique=='1') {
	$j=0;
	$gen=array();
	$leg=array();
	while ($row = $gDb->SQLNextRow(1)) {
		$gen[].=$row[0];
		$leg[].=$row[1];

	}
	$graph = new Graph($X,$Y);
	//$graph->setAntiAliasing(TRUE);
	$plot = new BarPlot($gen);

	$plot->xAxis->setLabelText($leg);
	$plot->setBackgroundGradient(
		new LinearGradient(
			new Color(  0, 141, 207),
			new Color(217, 242, 255),
			0
		)
	);
	$plot->setBarColor(
		new Color( 0, 141, 207)
	);
	$plot->setSpace(5, 5, NULL, NULL);
	$plot->barShadow->setSize(3);
	$plot->barShadow->setPosition(Shadow::RIGHT_TOP);
	$plot->barShadow->setColor(new Color(180, 180, 180, 10));
	$plot->barShadow->smooth(TRUE);
	$plot->title->set($tab_libel);
	$graph->add($plot);
}

// On doit traiter un graphique courbe
if ($tab_type_graphique=='2') {
	$j=0;
	$gen=array();
	$leg=array();
	
	while ($row = $gDb->SQLNextRow(1)) {
		$gen[].=$row[0];
		$leg[].=$row[1];
		
	}
	
	$graph = new Graph($X,$Y);
	//$graph->setAntiAliasing(TRUE);
	$plot = new LinePlot($gen,0,1);
	$plot->xAxis->setLabelText($leg);
	$plot->setBackgroundGradient(
		new LinearGradient(
			new Color(  0, 141, 207),
			new Color(217, 242, 255),
			0
		)
	);
	$plot->yAxis->setLabelPrecision(0);
	$plot->setSpace(10, 10, 10, 10);
	$plot->title->set($tab_libel);
	$plot->mark->setType(Mark::SQUARE);
	$plot->mark->setSize(7);
	$plot->mark->setFill(new White);
	$plot->mark->border->show();
	$graph->add($plot);
}

// On doit traiter un graphique camembert
if ($tab_type_graphique=='3') {
	$graph = new Graph($X,$Y);
	$graph->shadow->setPosition(Shadow::RIGHT_BOTTOM);
	$graph->setBackgroundGradient(
		new LinearGradient(
			new Color(  0, 141, 207),
			new Color(217, 242, 255),
			0
		)
	);
	$genres=array();
	while ($row = $gDb->SQLNextRow(1)) {
		$genres[$row[1]]=$row[0];
	}
	$pie = new Pie(array_values($genres));
	$pie->setLabelPrecision(1);
	$pie->setLegend(array_keys($genres));
	$pie->legend->setPosition(1.45, .25);
	$pie->setCenter(.36, .58);
	$pie->setSize(.65, .65);
	$pie->set3D(5);
	$pie->title->set($tab_libel);
	$pie->title->move(0, -80);
	$pie->title->setFont(new TuffyBold(14));
	$pie->title->setBackgroundColor(new White(10));
	$pie->title->setPadding(5, 5, 2, 2);
	$pie->title->border->setColor(new Black());
	$graph->add($pie);
}

// On doit traiter un graphique multi-histogrammes
if ($tab_type_graphique=='4') {
	
	$row = $gDb->SQLNextRow(1);
	$tmp1=array();
	$tmp2=array();
	$pre0=$row[0];
	$pre1=$row[1];
	$pre2=$row[2];
	$tmp1[].=$pre0;
	while ($row = $gDb->SQLNextRow(1)) {
		if ($row[2]==$pre2) {
			//$tmp1[$row[1]]=$row[0];
			$tmp1[].=$row[0];
		} else {
			$tmp2[].=$row[0];
		}
	}
	$graph = new Graph($X,$Y);
	//$graph->setAntiAliasing(TRUE);
	$group = new PlotGroup();
	$plot = new BarPlot($tmp1,1,2);
	//$plot->xAxis->setLabelText($leg);
	$group->setBackgroundGradient(
		new LinearGradient(
			new Color(  0, 141, 207),
			new Color(217, 242, 255),
			0
		)
	);
	$plot->setBarColor(
		new Color( 0, 141, 207)
	);
	$plot->setSpace(5, 5, NULL, NULL);
	$plot->barShadow->setSize(3);
	$plot->barShadow->setPosition(Shadow::RIGHT_TOP);
	$plot->barShadow->setColor(new Color(180, 180, 180, 10));
	$plot->barShadow->smooth(TRUE);
	$group->title->set($tab_libel);
	$plot->title->setPadding(5, 5, 5, 5);
	$plot->title->border->setColor(new Black());
	$group->add($plot);
	$plot = new BarPlot($tmp2,2,2);
	$plot->setBackgroundGradient(
		new LinearGradient(
			new Color(  0, 141, 207),
			new Color(217, 242, 255),
			0
		)
	);
	$red = new Color(200, 0, 0);
	$plot->setBarColor(
		new Color( 200, 0, 0)
	);
	$plot->setSpace(5, 5, NULL, NULL);
	$plot->barShadow->setSize(3);
	$plot->barShadow->setPosition(Shadow::RIGHT_TOP);
	$plot->barShadow->setColor(new Color(180, 180, 180, 10));
	$plot->setYAxis(Plot::RIGHT);
	$plot->barShadow->smooth(TRUE);
	$plot->title->setFont(new TuffyBold(14));
	$plot->title->move(0, 475);
	$plot->title->setPadding(5, 5, 5, 5);
	$plot->title->border->setColor(new Black());
 	$group->add($plot);
	$graph->add($group);
}

// On doit traiter un graphique multi-courbes
if ($tab_type_graphique=='5') {

	$row = $gDb->SQLNextRow(1);
	$tmp1=array();
	$tmp2=array();
	$pre0=$row[0];
	$pre1=$row[1];
	$pre2=$row[2];
	$tmp1[].=$pre0;
	while ($row = $gDb->SQLNextRow(1)) {
		if ($row[2]==$pre2) {
			//$tmp1[$row[1]]=$row[0];
			$tmp1[].=$row[0];
		} else {
			$tmp2[].=$row[0];
		}
	}
	
	$graph = new Graph($X,$Y);
	//$graph->setAntiAliasing(TRUE);
	$group = new PlotGroup();
	$plot = new LinePlot($tmp1,0,1);
	//$plot->xAxis->setLabelText($leg);
	$group->setBackgroundGradient(
		new LinearGradient(
			new Color(  0, 141, 207),
			new Color(217, 242, 255),
			0
		)
	);
	$plot->yAxis->setLabelPrecision(0);
	$plot->setSpace(5, 5, 5, 5);
	//   $plot->title->set("Alertes / Jour");
	$plot->mark->setType(Mark::SQUARE);
	$plot->mark->setSize(7);
	$plot->mark->setFill(new White);
	$plot->mark->border->show();
	$plot->setYAxis(Plot::LEFT);
	$group->add($plot);
	
	$plot = new LinePlot($tmp2,0,1);
	//$plot->xAxis->setLabelText($leg);
	$plot->setBackgroundGradient(
			new LinearGradient(
			new Color(  0, 141, 207),
			new Color(217, 242, 255),
			0
		)
	);
	$plot->yAxis->setLabelPrecision(0);
	$plot->setSpace(5, 5, 5, 5);
	//   $plot->title->set("Alertes / Jour");
	$plot->mark->setType(Mark::SQUARE);
	$plot->mark->setSize(7);
	$plot->mark->setFill(new White);
	$plot->mark->border->show();
	$plot->setYAxis(Plot::RIGHT);
	$group->add($plot);
	$graph->add($group);
}

// On trace le graphique
$graph->draw();

?>
