<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../";
require_once ($DEFAULT_PATH."struct.php");
require_once ($DEFAULT_PATH."flow.php");
require_once ($DEFAULT_PATH."flow_tools.php");

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$droitRole = ACT;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$page_courante = "admin/trait/admin_trait_actAction.php";

$action    = pget('action');
$tableES   = pget('tableES');
$etat      = pget('etat');
$liste     = pget("liste");
$TAC_NOM   = pget("TAC_NOM");

if ($etat==1){
	$etatTrait=ETATTRAIT_MANUEL;
} else { 
	$etatTrait="0";
}

/************************************************************/
/* DEBUT ACTION = VALIDATION (ACTIVER/DESACTIVER)		 						*/
/************************************************************/

if ($action == "valid" && droit($droitRole, DROIT_MODIF, null,null,null,null))
{	
	$fatal=false;
	$tmp=explode("_",$liste);
	$i=0;
	$gDb->SQLTransact();
	while (isset($tmp[$i])){
		$req = "update ".$tableES."_".$TAC_NOM." set 
				".$tableES."_ETATTRAIT= ".$etatTrait." 
   				where ".$tableES."_ID = ".$tmp[$i];
		if (!$gDb->SQLQuery($req, 1)) $fatal = true;
		$i++;
	}
	
	if ($fatal == false){
		$gDb->SQLCommit();
		$msg = $lang_admin_exp_gestdb_act_modif_msg_ok;
		$return=0;
	} else {
		$gDb->SQLRollBack(); 
		$msg = $lang_admin_confav_act_act_modif_msg_err;
		$return=1;
	}
}
else if ($action == "suppr" && droit($droitRole, DROIT_SUPPR, null,null,null,null))
{
	$fatal=false;
	$tmp=explode("_",$liste);
	$i=0;
	$gDb->SQLTransact();
	while (isset($tmp[$i])){
		$req = "update ".$tableES."_".$TAC_NOM." set 
				".$tableES."_ETATTRAIT= ".ETATTRAIT_OK.", ".$tableES."_DATETRAIT=".$tableES."_DATECREAT 
   				where ".$tableES."_ID = ".$tmp[$i];
		if (!$gDb->SQLQuery($req, 1)) $fatal = true;
		$i++;
	}
	
	if ($fatal == false){
		$gDb->SQLCommit();
		$msg = $lang_admin_confav_act_act_suppr_msg_ok;
		$return=0;
	} else {
		$gDb->SQLRollBack(); 
		$msg = $lang_admin_confav_act_act_suppr_msg_err;
		$return=1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>