<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");

$droitRole = ACT;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once ($DEFAULT_PATH."flow.php");
require_once ($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "admin/trait/admin_trait_act_dSGrid.php";
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$etat =    pget("etat");
$tableES = pget("tableES");
$TAC_NOM=  pget("TAC_NOM");

if ($tableES =="S"){
	$ES="S_";
} else{ 
	$ES="E_";	
}

if ($etat==ETATTRAIT_MANUEL){
	$whereEtat=" ".$ES."ETATTRAIT=".ETATTRAIT_MANUEL;	
} else {
	$whereEtat=" ( ".$ES."ETATTRAIT  IS NULL or ".$tableES."_ETATTRAIT=0 ) ";
}


// entete du grid -----------------------------------------------------	
$req = "SELECT * FROM ".$ES.$TAC_NOM." limit 0";
$gDb->SQLQuery($req, 3);
$nbcol = $gDb->SQLNumFields(3);
$numCol=15;
$liste="";
$tmp="";
$champs = array();

$champs[] = array("nom" => $lang_lbl_login, "toolTip" => $tmp, "sortMode" => "1");
$champs[] = array("nom" => $lang_lbl_client, "toolTip" => $tmp, "sortMode" => "1");

$champs[] = array("nom" => $lang_flux_av_imp_flux_act_lbl_flux_libel, "toolTip" => @$tmp, "sortMode" => "1");

$champs[] = array("nom" => "Num Proc", "toolTip" => $tmp, "sortMode" => "1");
$champs[] = array("nom" => "Type Num", "toolTip" => $tmp, "sortMode" => "1");
$champs[] = array("nom" => $lang_lbl_numero, "toolTip" => $tmp, "sortMode" => "1");
$champs[] = array("nom" => $lang_lbl_format, "toolTip" => $tmp, "sortMode" => "1");
$champs[] = array("nom" => $lang_lbl_emet, "toolTip" => $tmp, "sortMode" => "1");
$champs[] = array("nom" => $lang_lbl_dest, "toolTip" => $tmp, "sortMode" => "1");

if ($ES=="S_"){
	$champs[] = array("nom" => $lang_lbl_result, "toolTip" => $tmp, "sortMode" => "1");
	$champs[] = array("nom" => $lang_lbl_numero." Err", "toolTip" => $tmp, "sortMode" => "1");
	$champs[] = array("nom" => $lang_lbl_libelle, "toolTip" => $tmp, "sortMode" => "1");
	$champs[] = array("nom" => $lang_lbl_datecreat, "toolTip" => $tmp, "sortMode" => "1");
	$champs[] = array("nom" => "E_ID", "toolTip" => $tmp, "sortMode" => "1");
	$j=17;	
} else {
	$champs[] = array("nom" => "Trace", "toolTip" => $tmp, "sortMode" => "1");
	$champs[] = array("nom" => "Test", "toolTip" => $tmp, "sortMode" => "1");
	$champs[] = array("nom" => $lang_lbl_datecreat, "toolTip" => $tmp, "sortMode" => "1");
	$j=16;
}
$k=0;
for ($i = $j; $i < $nbcol; $i++){
	$tmp=$gDb->SQLFieldName($i, 3);
	$liste.=" ,".$tmp;
	$k++;
	$champs[] = array("nom" => $tmp, "toolTip" => $tmp, "sortMode" => "1");
}
$gDb->SQLFermeQuery(3);
// fin entete du grid ---------------------------------------------


$SS=($ES=="S_")?("S_DATETRAIT, S_RESULT, S_NUMERR, S_LIBELLE, E_ID "):("E_TRACE, E_TEST ");

$req = "SELECT SQL_CALC_FOUND_ROWS ".$ES."ID, CLT_NOM, ".$ES."NUMPROC, FOR_ID, PAR_EMET_ID,
	PAR_DEST_ID, ".$ES."DATECREAT, FIC_ID, ".$ES."TYPNUM, ".$ES."NUMERO,"
	.$SS.$liste.", AFX_ID".
	" FROM ".$ES.$TAC_NOM.", CLIENT 
	WHERE CLIENT.CLT_ID= ".$ES.$TAC_NOM.".CLT_ID AND 
	".$whereEtat;
//print $req;	
$gDb->SQLQuery($req,1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';

while($row = $gDb->SQLNextRow(1)){
	
	$req2 = " select FOR_NOM
			from `FORMAT` 
			where FOR_ID = '".$row['FOR_ID']."'";
    $gDb->SQLQuery($req2, 2);
    $row2 = $gDb->SQLNextRow(2);
		
	$req3 = " select PAR_NOM
			from PART 
			where PAR_ID = '".$row['PAR_EMET_ID']."'";
    $gDb->SQLQuery($req3, 3);
    $row3 = $gDb->SQLNextRow(3);
    $gDb->SQLFermeQuery(3);
		
	$req4 = " select PAR_NOM
			from PART 
			where PAR_ID = '".$row['PAR_DEST_ID']."'";
    $gDb->SQLQuery($req4, 4);
    $row4 = $gDb->SQLNextRow(4);
	$gDb->SQLFermeQuery(4);
	
	$req5 = " select FLX_LIBEL
			from FLUX 
			where FLX_ID = (select FLX_ID from ACTFLUX where AFX_ID='".$row['AFX_ID']."')";
	$gDb->SQLQuery($req5, 5);
    $row5 = $gDb->SQLNextRow(5);
	$gDb->SQLFermeQuery(5);
	
	echo '<row>';
	
	$params = array();
	$params[$ES.'ID']  = $row[$ES.'ID'];
	$params['tableES'] = $tableES;
	$params['etat']    = $etat;
	$params['TAC_NOM'] = $TAC_NOM;
	$params['for_id']  = $row['FOR_ID'];
	$params['doc']     = $row['FIC_ID'];
	$params['droits'] = array('valid' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							  'visu' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							  'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null) && $etat==ETATTRAIT_MANUEL));
	
	echo '<item caption="'.hi_disp($row[$ES.'ID']).'" toolTip="" icon="" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['CLT_NOM']).'" toolTip="" icon="" value=""/>';
	
	echo '<item caption="'.hi_disp($row5['FLX_LIBEL']).'" toolTip="" icon="" value=""/>';
	
	echo '<item caption="'.hi_disp($row[$ES.'NUMPROC']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row[$ES.'TYPNUM']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row[$ES.'NUMERO']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row2['FOR_NOM']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row3['PAR_NOM']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row4['PAR_NOM']).'" toolTip="" icon="" value=""/>';
	if ($ES=="S_"){
		echo '<item caption="'.hi_disp($row['S_RESULT']).'" toolTip="" icon="" value=""/>';
		echo '<item caption="'.hi_disp($row['S_NUMERR']).'" toolTip="" icon="" value=""/>';
		echo '<item caption="'.hi_disp($row['S_LIBELLE']).'" toolTip="" icon="" value=""/>';
		echo '<item caption="'.hi_disp($row['S_DATECREAT']).'" toolTip="" icon="" value=""/>';
		echo '<item caption="'.hi_disp($row['E_ID']).'" toolTip="" icon="" value=""/>';
		for ($i=0;$i<$k;$i++){
			$z=$i+15;
			echo '<item caption="'.hi_disp($row[$z]).'" toolTip="" icon="" value=""/>';
		}
	} else {
		echo '<item caption="'.hi_disp($row['E_TRACE']).'" toolTip="" icon="" value=""/>';
		echo '<item caption="'.hi_disp($row['E_TEST']).'" toolTip="" icon="" value=""/>';
		echo '<item caption="'.hi_disp($row['E_DATECREAT']).'" toolTip="" icon="" value=""/>';
		for ($i=0;$i<$k;$i++){
			$z=$i+12;
			echo '<item caption="'.hi_disp($row[$z]).'" toolTip="" icon="" value=""/>';
		}

	}
	echo '</row>';
	
}
$gDb->SQLFermeQuery(1);
echo '</databind>';

?>