<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole = ACT; //droit de gestion des familles
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$page_courante = "admin/trait/sui_listing_fic.php";

require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."flow.php");

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."msg.php");
require_once($DEFAULT_PATH."vtemplate.class.php");        //class template

$doc 	= pget('doc');
$for_id = pget('for_id');

$req = "select FOR_NORME, FOR_STYLE 
		from `FORMAT`
		where FOR_ID = $for_id";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$norme = $row['FOR_NORME'];
$FOR_STYLE = $row['FOR_STYLE'];
$tmp=explode("::",$FOR_STYLE);
$type=$tmp[0];
$xls=$tmp[1];
$gDb->SQLFermeQuery(1);

$req = "select FCO_MODE_STOCK, FCO_REP_STOCK_IHM  
		from FLOWCONF";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$mode_stock = $row['FCO_MODE_STOCK'];
$rep_stock_ihm = $row['FCO_REP_STOCK_IHM'];
$gDb->SQLFermeQuery(1);
if ($type=="XML")
{
	if ($mode_stock == 1) //stockage en base
	{
		$req = "select CONTENU 
			from FICHIER
			where FIC_ID = $doc";
		$xsl=false;
		if ($res = $gDb-> SQLLoadLob(2, $req))
		{ 
			$xml_parser = xml_parser_create();
			$valid_xml=true;

			if (!xml_parse($xml_parser, $res)) 
				{
   				 echo " Erreur XML: le fichier XML '$xml_file' n'est pas correct  
					à la ligne numéro ".xml_get_current_line_number($xml_parser);
				$valid_xml=false;
    			}
			xml_parser_free($xml_parser);
		if ($valid_xml)
		{
			$xsl_file=$DEFAULT_PATH."actions/affich_doc/".$xls;
	
			$xsl_handle 	= @fopen($xsl_file, "r");
			if (!$xsl_handle) 
			{
				echo "<br>Erreur à l'ouverture de la feuille de style '$xsl_file'";							$xsl=true; 
			}
		
			$xsl_content 	= @fread($xsl_handle, @filesize($xsl_file));
			if (!$xsl_content) 
			{
				echo "<br>Erreur à la lecture de '$xsl_file'";
				$xsl=true; 
			}
			@fclose($xml_handle);
			@fclose($xsl_handle);
	
			$xslt_args = @array('/_xml' => $res, '/_xsl' => $xsl_content);
			$xslt_params = @array('feuille'	=> $feuille);
			
			// Allocate a new XSLT processor
			$xh = @xslt_create();
			// Process the document
			$doc = @xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $xslt_args, $xslt_params); 

			if (!$doc) 	
			{
				echo "<br>Impossible d'affecter la feuille de style '$xsl_file'";
				$xsl=true; 
			}

			$doc = str_replace("<br>", "<br/>", $doc);
			$doc = str_replace("<hr>", "<hr/>", $doc);
			echo $doc;
			xslt_free($xh);
			if ($xsl) 
			{
				$res = str_ireplace("<","&lt;",$res);
        		$res = str_ireplace(">","&gt;",$res);
				echo "<br><br> Source du fichier : <br><br> $res";
  			}
		}
		}
		else if ($valid_xml)echo "<center><br>FICHIER .XML VIDE</center>";
	}
	else //stockage en fichier
	{
		$req = "select FIC_NOM
			from FICHIER
			where FIC_ID = $doc";
			$xsl=false;
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$fic_nom = $row['FIC_NOM'];
		$gDb->SQLFermeQuery(1);
		$result = "";
		if (!(stristr($fic_nom, "/")===false) || !(stristr($fic_nom, "\\")===false)) 	
			// dans ce cas ancienne configuration 
			//o� fic_nom = chemin complet du fichier vu du mot	
		{
			if (!(stristr($fic_nom, "/")===false))
			{
				$tab = explode("/",$fic_nom);
				$last = count ($tab);
				$ficNom=$tab[$last-1];
				$fic=$rep_stock_ihm."/".$ficNom;	
			}
			if (!(stristr($fic_nom, "\\")===false))
			{
				$tab = explode("\\",$fic_nom);
				$last = count ($tab);
				$ficNom=$tab[$last-1];
				$fic=$rep_stock_ihm."\\".$ficNom;	
			}	
		}
		else 	// dans ce cas nouvelle configuration o� fic_nom = que le nom du fic
		{
			$req = "select FCO_OS_WEB
					from FLOWCONF";
			$gDb->SQLQuery($req, 1);
			$row = $gDb->SQLNextRow(1);
			$FCO_OS_WEB = $row['FCO_OS_WEB'];
			$gDb->SQLFermeQuery(1);
			if ($FCO_OS_WEB==1) $fic=$rep_stock_ihm."\\".$fic_nom; 
			else $fic=$rep_stock_ihm."/".$fic_nom; 
		}
		
		$xml_parser = xml_parser_create();
		$valid_xml=true;
		$xml_fic 	= @fopen($fic, "r");
		$data = @fread($xml_fic,@filesize($xml_file)); 
		if (!xml_parse($xml_parser, $data)) 
			{
  		  echo " Erreur XML: le fichier XML '$xml_file' n'est pas correct  
				à la ligne numéro ".xml_get_current_line_number($xml_parser);
			$valid_xml=false;
  		  }
		@fclose($xml_fic);
		xml_parser_free($xml_parser);
		
		if (($fd = @fopen ($fic, "r")) > 0 && $valid_xml)
		{		
			$xml_file 		= $fic;
			$xsl_file=$DEFAULT_PATH."affich_doc/".$xls;

			$xml_handle 	= @fopen($xml_file, "r");
			if (!$xml_handle) {echo "<br>Erreur à l'ouverture de '$xml_file'";}
			$xsl_handle 	= @fopen($xsl_file, "r");
			if (!$xsl_handle) 
			{
				echo "<br>Erreur à l'ouverture de la feuille de style '$xsl_file'";
				$xsl=true;
			}
			$xml_content 	= @fread($xml_handle, @filesize($xml_file));
			if (!$xml_content) {echo "<br>Erreur à la lecture de '$xml_file'";}
			$xsl_content 	= @fread($xsl_handle, @filesize($xsl_file));
			if (!$xsl_content) 
			{
				echo "<br>Erreur à la lecture de '$xsl_file'";
				$xsl=true;
			}
			@fclose($xml_handle);
			@fclose($xsl_handle);
	
			$xslt_args = @array('/_xml' => $xml_content, '/_xsl' => $xsl_content);
			//$xslt_params = @array('num_fact'	=> $TMA_NUM_FACT);

			$xh = @xslt_create();
			$doc = @xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $xslt_args, $xslt_params); 

			if (!$doc) 	
			{
				echo "<br>Impossible d'affecter la feuille de style '$xsl_file'";
				$xsl=true;
			}
			if ($xsl) 
			{
				$res = @fread($fd,@filesize($fic));
				$res = str_ireplace("<","&lt;",$res);
        		$res = str_ireplace(">","&gt;",$res);
				echo "<br><br> Source du fichier '$fic' : <br><br> $res";
			}
			$doc = str_replace("<br>", "<br/>", $doc);
			$doc = str_replace("<hr>", "<hr/>", $doc);
			echo $doc;
			xslt_free($xh);
			
			$taille = @filesize ($fic);
			if ($taille == 0)
				echo "<center>FICHIER '$fic' VIDE</center>";
		}
		else if ($valid_xml) echo "<center>Le fichier requis '$fic' n'est pas disponible</center>";
	}
}
else //on est dans le cas $type!="XML"
{	include($DEFAULT_PATH."header.php");
	$vtp = new VTemplate;
	$form = $vtp->Open("sui_listing_fic.vtp");
	$vtp->addSession($form, "gest");
	if ($mode_stock == 1) //stockage en base
	{
		$req = "select CONTENU
			from FICHIER
			where FIC_ID = $doc";

		if ($res = $gDb-> SQLLoadLob(2, $req))
		{
	     		$result = "";
	        	$i = -1;
		
				while ($i < strlen($res) && ($i + 1) < SUI_FIC_VISU_MAX)
	       		{
	         		$i++;
					$result .= $res[$i];
	        	}
				
				$result = str_ireplace("<","&lt;",$result);
        		$result = str_ireplace(">","&gt;",$result);
				$result = preg_replace("/\n | \r/", "<br>", $result);	
				if ($norme == "EDIFACT") $result = preg_replace("/[\']/", "'<br>", $result);
				
	       	 	if (strlen($res)>SUI_FIC_VISU_MAX)
	  			{
	         		$tot  = "<br><CENTER> LA TOTALITE DU FICHIER N'EST PAS AFFICHEE
	         			<br> POUR LE VISUALISER DANS SON INTEGRALITE VEUILLEZ LE TELECHARGER</CENTER><br>";
	     		}

	       	 	$vtp->setVar($form, "gest.texte", "<b>".$result."<b>");
				$vtp->setVar($form, "gest.tot", $tot);
		}
		else $vtp->setVar($form, "gest.texte", "<center>FICHIER VIDE</center>");
	}
	else //stockage en fichier
	{
		$req = "select FIC_NOM
			from FICHIER
			where FIC_ID = $doc";
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$fic_nom = $row['FIC_NOM'];
		$gDb->SQLFermeQuery(1);
		$result = "";
/*		if (!(stristr($fic_nom, "/")===false) || !(stristr($fic_nom, "\\")===false)) 	
			// dans ce cas ancienne configuration 
			//o� fic_nom = chemin complet du fichier vu du mot	
		{
			if (!(stristr($fic_nom, "/")===false))
			{
				$tab = explode("/",$fic_nom);
				$last = count ($tab);
				$ficNom=$tab[$last-1];
				$fic=$rep_stock_ihm."/".$ficNom;	
			}
			if (!(stristr($fic_nom, "\\")===false))
			{
				$tab = explode("\\",$fic_nom);
				$last = count ($tab);
				$ficNom=$tab[$last-1];
				$fic=$rep_stock_ihm."\\".$ficNom;	
			}	
		}
		else 	// dans ce cas nouvelle configuration o� fic_nom = que le nom du fic*/
		{
			$req = "select FCO_OS_WEB
				from FLOWCONF";
			$gDb->SQLQuery($req, 1);
			$row = $gDb->SQLNextRow(1);
			$FCO_OS_WEB = $row['FCO_OS_WEB'];
			$gDb->SQLFermeQuery(1);
			if ($FCO_OS_WEB==1) $fic=$rep_stock_ihm."\\".$fic_nom; 
			else $fic=$rep_stock_ihm."/".$fic_nom; 
		}
		if (($fd = @fopen ($fic, "r")) > 0)
		{
			$taille = @filesize($fic);
			if ($taille > SUI_FIC_VISU_MAX) $taille = SUI_FIC_VISU_MAX;
			$result = @fread($fd, $taille);
			@fclose ($fd);
			
			$result = str_ireplace("<","&lt;",$result);
        	$result = str_ireplace(">","&gt;",$result);
			$result = preg_replace("/\n | \r/", "<br>", $result);
			if ($norme == "EDIFACT") $result = preg_replace("/[\']/", "'<br>", $result);
		
			$taille = 0;
			if (($taille = @filesize ($fic)) > SUI_FIC_VISU_MAX)
			{
				$tot  = "<br><CENTER> LA TOTALITE DU FICHIER N'EST PAS AFFICHEE
					<br> POUR LE VISUALISER DANS SON INTEGRALITE VEUILLEZ LE TELECHARGER</CENTER><br>";
			}
			if ($taille == 0)
				$result = "<center>FICHIER VIDE</center>";
		}
		else $result = "<center>Le fichier requis n'est pas disponible</center>";
		$vtp->setVar($form, "gest.texte", "<b>".$result."<b>");
		$vtp->setVar($form, "gest.tot", $tot);
	}
$vtp->setVar($form, "gest.style", $pathStyle);


$vtp->closeSession($form, "gest");
$vtp->Display();
}
?>
