<?php
$DEFAULT_PATH = "../";  // Attention, ici le chemin est relatif  /flow/admin car source appel via moniteur.php
require_once ($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, crations des variables $gDb et $erreur_connect
$droitRole = VAL;
$lmcse = DROIT_MODIF;
$where = "";
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

//Variables pour la rponse en JSON
$reponse = array();
$msg = '';
$return = -1;

$action	= pget("action");
if ($action=="valid")
	{
	$l=$lang_bus_val_act_rv_msg_valid; //"Document valid par ";
	$rv=$lang_bus_val_act_rv_lbl_valid; //"Validation";
	$result=SUI_ETAT_OK;
	$numerr=0;
	}
 if ($action=="reject"){
	$l=$lang_bus_val_act_rv_msg_rejet; //"Document rejet par ";
	$rv=$lang_bus_val_act_rv_lbl_rejet; //"Rejet";
	$result=SUI_ETAT_ERR;
	$numerr=73001;
	}
$entryid=pget("entryid");

$suiErr="";
$suiOK="";
$date=date("Y-m-d H:i:s");

$req="SELECT FCO_REPCOM_IHM FROM FLOWCONF";
$gDb->SQLQuery($req, 1); 
$conf=$gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);	
$repcom=str_replace('\\','/',$conf['FCO_REPCOM_IHM']);

$req="SELECT UTR_NOM, UTR_PRENOM FROM UTILISATEUR, COMPTE WHERE COMPTE.UTR_ID=UTILISATEUR.UTR_ID";
$gDb->SQLQuery($req, 1); 
$nom=$gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);	
$libel=str_replace('%USER%', $nom['UTR_NOM']." ".$nom['UTR_PRENOM'], $l);
$fatal=false;
$doublon=false;
$gDb->SQLTransact();

	$req="SELECT CLT_ID, AFX_ID, E_NUMPROC, E_TYPNUM, E_NUMERO, FOR_ID, PAR_EMET_ID, PAR_DEST_ID,
			E_DATECREAT, FIC_ID, E_ETATTRAIT ,E_CODTRAIT
			FROM E_APPELWS WHERE E_ID=".$entryid;
			
	$gDb->SQLQuery($req, 1); 
	$eID=$gDb->SQLNextRow(1);
	if ($eID==null){
	$fatal=true;
	$msg .= $lang_bus_val_act_rv_lbl_noid; //"Entre introuvable";
	}
	$gDb->SQLFermeQuery(1);
	
	if ($eID['E_ETATTRAIT']==0)
	{
		
		if($eID['E_CODTRAIT']<2){				
				// Pour faire la requte suivante sans avoir d'erreur sur ces champs ci on les met  NULL
				if (! $eID['AFX_ID']) 		$eID['AFX_ID']='NULL';
				if (! $eID['FOR_ID']) 		$eID['FOR_ID']='NULL';
				if (! $eID['PAR_EMET_ID'])	$eID['PAR_EMET_ID']='NULL';
				if (! $eID['PAR_DEST_ID']) 	$eID['PAR_DEST_ID']='NULL';
				if (! $eID['FIC_ID']) 		$eID['FIC_ID']='NULL';
				
				
				if($action=='reject'){
					$req="INSERT INTO S_APPELWS (CLT_ID, AFX_ID, S_NUMPROC, S_TYPNUM, S_NUMERO, 
						FOR_ID, PAR_EMET_ID, PAR_DEST_ID, S_ETATTRAIT, 
						S_DATECREAT, S_RESULT, S_NUMERR, S_LIBELLE, E_ID, FIC_ID )
						Values ( ".$eID['CLT_ID'].", ".$eID['AFX_ID'].", ".$eID['E_NUMPROC'].", ".$eID['E_TYPNUM'].", ".$eID['E_NUMERO'].", 
								".$eID['FOR_ID'].", ".$eID['PAR_EMET_ID'].", ".$eID['PAR_DEST_ID'].", 0, 
								'".$date."', $result, ".$numerr.", '".$libel."',".$entryid.", ".$eID['FIC_ID']." ) ";
					$res=$gDb->SQLQuery($req, 1); 
					
					if ($res==null){
					$fatal=true;
					$msg .= $lang_bus_val_act_rv_err_insert; //"Insertion impossible dans table de sortie";
					}
					$s_id = $gDb->SQLlastID();
					$gDb->SQLFermeQuery(1);	
				}
				
				if($action=='valid'){ // les infos de sortie ainsi que E_ETATTRAIT sont mis  jour par le moteur
					$req="UPDATE E_APPELWS 
						SET  E_DATETRAIT='".$date."',  E_CODTRAIT=4
						WHERE E_ID=".$entryid;
				}else{
					$req="UPDATE E_APPELWS 
						SET E_ETATTRAIT=1, E_DATETRAIT='".$date."', S_ID=$s_id, E_CODTRAIT=5
						WHERE E_ID=".$entryid;				
				
				}
				$resU=$gDb->SQLQuery($req, 1); 
				
				if ($resU==null) {
					$fatal=true;
					$msg .= $lang_bus_val_act_rv_err_update; //"Modification impossible";
				}
				
				$gDb->SQLFermeQuery(1);	
				if (!$fatal) $gDb->SQLCommit();
				$gDb->SQLRollBack(); 
			
		}
		else{
			$fatal=True;
			switch($eID['E_CODTRAIT'])
			{
				case 2: $msg .= $lang_bus_val_act_rv_msg_valid_manuel; break;
				case 3: $msg .= $lang_bus_val_act_rv_msg_rejet_manuel; break;
				case 4: $msg .= $lang_bus_val_act_rv_msg_deja_valid; break;
				case 5: $msg .= $lang_bus_val_act_rv_msg_deja_rejet; break;
			}
		}
	}
	else{
		$fatal=True;
			$msg .= str_replace('%ENTRYID%', $entryid, $lang_bus_val_act_rv_msg_deja_entree); // "Entre $entryid dj traite";
		}
	//E_CODTRAIT : 0 pas trait, 1 trait mais pas de retour, 2 valid manuellement, 3 annul manuellement, 4 valid par ws, 5 annul par ws
	if($fatal){
		if($eID['E_CODTRAIT']>0)
			$return = $eID['E_CODTRAIT'];
		else
			$return = -1;
	}
	else{
		
		//if (is_uploaded_file($info)){
		$attacheddoc=$_FILES['pj']['tmp_name'];
		
		if($attacheddoc){
			$filecontent=file_get_contents($attacheddoc);
			file_put_contents($repcom.'/wsreturndoc_numsuiv_'.$eID['E_NUMERO'].'.dat',$filecontent);
			}
			
		$return = 0;
		}

	$reponse['msg'] = addslashes($msg);
	$reponse['return'] = $return;
	$reponse['action'] = $action;
	$res=encode_JSON($reponse);
		
?>