<?php
	/////////////////////////////////////////////////////////////////////
	// Traitement du template de formulaire lors du chargement initial //
	// Création : FG 15/02/2011                                        //
	/////////////////////////////////////////////////////////////////////

	$DEFAULT_PATH = "../../../";
	require_once ($DEFAULT_PATH."struct.php");	//liste des define
	require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
	require_once($DEFAULT_PATH."flow_tools.php");

	$droitRole = FRM;
	$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

	$incfile = pget('inc');
	$treefile = pget('tree');
	$fic_id = pget('fic_id');

	/////////////////////////
	// Corps du chargement //
	/////////////////////////

	$contenu = file_get_contents($treefile);
	if($contenu!='')
	{
		$contenu = serializeXML($contenu);

		if(file_exists($incfile))
			require_once($incfile);

		$xmlTree = new DOMDocument(); // Arbre de dépendance des formulaires

		if($xmlTree->loadXML($contenu))
		{
			require_once('FormsTreeXML.class.php');

			// Chargement du template
			$formsTree = new FormsTreeXML();
			$atr = $xmlTree->firstChild->attributes->getNamedItem("caption")->nodeValue;
			eval( "\$atr =".$atr.";" );
			$atr = array(
					'caption' => $atr,
					'onClick' => 'enable_button(false, false, false);',
					'value' => '0',
					'icon' => $DEFAULT_PATH.'style/imgs/icons/menu/form.png',
					'open' => '-1');
			$formsTree->addRowItemTree($formsTree->root, $atr);

			// chargement du DOM correspondant aux formulaires déjà saisies
			$xmlData = null;
			if($fic_id>0)
			{
				$ficNom = "";
				$contenu = "";
				$taille = 0;
				if (bddLoadFichier($gDb, $fic_id, $ficNom, $contenu, $taille))
				{
					if($contenu!='')
					{
						$contenu = serializeXML($contenu);

						$xmlData = new DOMDocument();
						$xmlData->loadXML($contenu);
					}
				}
			}

			$formsTree->importNodeList($xmlTree, $xmlData);

			$formsTree->printXML();
		}
	}
?>