<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$culture_folder = $DEFAULT_PATH."culture";
$culture_content_type = "application/json; charset=utf-8";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

$sigId        = pget('sigId');
$sigEtatSig   = pget('sigEtatSig');
$todo         = pget('todo');
$errorMsg     = pget('errorMsg');
$signedDoc64  = pget('signedDoc');
$idClient     = pget('idClient');
$ficNom       = urldecode(pget('ficNom'));
$libelleid     = pget('numCarte');
$cltId        = $_SESSION['CLT_ID'];
$ok = false;
$dateNow = date ('Y-m-d H:i:s');
$ficNom .= ".sig";
$numsign   = pget('numsign');

//Recup Nom Prenom utilisateur
//$arrCompte = bddGetCompte($gDb, 1); // ne marche pas sous MSSQL ?!
$req = "select UTR_ID from COMPTE where CPT_ID = ".$_SESSION['CPT_ID'];
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$utr_id = $row['UTR_ID'];
$gDb->SQLFermeQuery(1);

$req = "select UTR_NOM, UTR_PRENOM from UTILISATEUR where UTR_ID = ".$utr_id;
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$nomPrenom = $row['UTR_PRENOM'] . " ". $row['UTR_NOM'];
$gDb->SQLFermeQuery(1);

// Champs 1ere ou 2eme signature
$updFieldNameDate  = 'SIG_DATESIG_1';
$updFieldLibelleID = 'SIG_FIC_ID_SIGN1';
if($sigEtatSig == ETAT_A_SIGNER_2EME_FOIS){ 
    $updFieldNameDate  = 'SIG_DATESIG_2';
    $updFieldLibelleID = 'SIG_FIC_ID_SIGN2';
	$ficNom .= "2";
}

//Actions
if (($todo == "updOk") && strlen($signedDoc64)>0){
    // Decodage et Stoquage du fichier
    //$cont   = base64_decode($signedDoc64);
    $cont   = $signedDoc64;
    $contLg = strlen($cont);
    //echo $cont."--".$b64Cont;
    
    if($contLg > 0){
        $idFicSigned = bddSaveFichier($gDb, $cltId, $ficNom, $cont, $contLg);

        if ($idFicSigned > 0){
            // Mise a jour de SIGNATURE, $sigEtatSig: 0=>1 ou 2=>3(2emesign)
            $signepar = $lang_bus_et_act_majbdd_msg_signe."$nomPrenom ($libelleid)"; 
  	        $req = "update SIGNATUREEBXTS set
                        SIG_ETATSIG             = ". ($sigEtatSig +1) .",
                        FIC_SIGN_ID             = ".$idFicSigned.",
                        ".$updFieldNameDate."   = '".$dateNow."',
                        ".$updFieldLibelleID."  = ".$idFicSigned.",
                        SIG_RESULT              = ".NIV_OK.",
                        SIG_NUMERR              = 0, 
                        SIG_LIBELLE             = '$signepar'";
  	        if($sigEtatSig == ETAT_A_SIGNER)
  	        {
  	        	$req .= ",SIG_LIBELLE_SIGN1 = '".$libelleid."'";
  	        	$req .= ",SIG_USERID1 = '".$libelleid."'";
  	        }
  	        else
  	        {
  	        	$req .= ",SIG_USERID2 = '".$libelleid."'";
  	        }
            $req .= "  where SIG_ID = ".$sigId;
        }
    }
}else if ($todo == "updNOk"){
    $req = "update SIGNATUREEBXTS set
                SIG_ETATSIG             = ". ($sigEtatSig +1) .",
                ".$updFieldNameDate."   = '".$dateNow."',
                SIG_RESULT              = ".NIV_ERR.",
                SIG_NUMERR              = 441000,
                SIG_LIBELLE             = '".$errorMsg."'
           where
                SIG_ID                  = ".$sigId;
}else if($todo == "cnlSig"){
    $sigEtatSig ++;
    
    $req = "update SIGNATUREEBXTS set
                SIG_ETATSIG             = '".$sigEtatSig."',
                ".$updFieldNameDate."   = '".$dateNow."',
                SIG_RESULT              = ".NIV_ERR.",
                SIG_NUMERR              = 442000,
                SIG_LIBELLE             = '".$lang_bus_et_act_majbdd_msg_annule.$nomPrenom."'
           where
                SIG_ID                  = ".$sigId;
}


if (strlen($req)){
    $ok = $gDb->SQLQuery($req,1);
    $gDb->SQLFermeQuery(1);
}

$onLoad = "";
if($ok){
	$msg=$lang_bus_et_act_majbdd_msg_ok;
	$return=0;
} else{
	$msg=$lang_bus_et_act_majbdd_msg_err;
	$return=1;
}
$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['todo'] = $todo;
echo encode_JSON($reponse);

?>