<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_SUPPR + DROIT_EXEC;

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');
$where = "";

// param�tres
$action=pget('action');
$limit	= pget('limit');
$f_emetteur		= pget('f_emetteur');		//filtre �metteur  
$f_destinataire	= pget('f_destinataire');	//filtre destinataire
$f_tdoc 	= pget("f_tdoc");
$f_etat 	= pget("f_etat");
$f_date_deb = pget('f_date_deb');
$f_date_fin = pget("f_date_fin");
$cltID = $_SESSION['CLT_ID'];

Construit_restriction($droitRole, "SIGNATURE.PAR_EMET_ID", "SIGNATURE.PAR_DEST_ID", "SIGNATURE.TDOC_ID", null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);

$req = "SELECT FOR_ID
		FROM `FORMAT`
			WHERE TDOC_ID = $f_tdoc
			AND FOR_ETAT != ".ETAT_SUPPR;
$gDb->SQLQuery($req, 1);
if($row = $gDb->SQLNextRow(1))
{
	$liste_format = $row["FOR_ID"];
	while($row = $gDb->SQLNextRow(1))
		$liste_format .= ",".$row["FOR_ID"];

	$where .= " AND SIGNATURE.FOR_ID IN($liste_format) ";
}
//Traitement de la date
$f_date_deb = pget('f_date_deb');
$f_date_fin = pget('f_date_fin');
if($f_date_deb) {
	if($f_date_fin) {
		if($ini_typeBase == "oracle"){
				$date_deb_sql = "TO_DATE('$f_date_deb','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_sql = "TO_DATE('$f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND SIG_DATECREAT BETWEEN $date_deb_sql AND $date_fin_sql";
		}
		else{
			$where .= " AND SIG_DATECREAT BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND SIG_DATECREAT >= TO_DATE('$f_date_deb', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND SIG_DATECREAT >= '".date2Sql($f_date_deb, "23:59:59")."'";
		}
	}
}
else if($f_date_fin) {
	if($ini_typeBase == "oracle"){
		$where .= " AND SIG_DATECREAT <= TO_DATE('$f_date_fin 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND SIG_DATECREAT <= '".date2Sql($f_date_fin, "23:59:59")."'";
	}		
}


switch ($f_etat)
{
	case 1 :
		$where .= " AND (SIGNATURE.SIG_ETATSIG = ".ETAT_A_SIGNER." OR SIGNATURE.SIG_ETATSIG = ".ETAT_A_SIGNER_2EME_FOIS.") ";
		break;
	case 2 :
		$where .= " AND SIGNATURE.SIG_ETATSIG = ".ETAT_A_SIGNER;
		break;
	case 3 : 
		$where .= " AND SIGNATURE.SIG_ETATSIG = ".ETAT_A_SIGNER_2EME_FOIS;		
		break;
	case 4 :
		$where .= " AND SIGNATURE.SIG_ETATSIG != ".ETAT_A_SIGNER." AND SIGNATURE.SIG_ETATSIG != ".ETAT_A_SIGNER_2EME_FOIS." AND SIGNATURE.SIG_RESULT = ".NIV_OK;
		break;
	case 5 :
		$where .= " AND SIGNATURE.SIG_ETATSIG != ".ETAT_A_SIGNER." AND SIGNATURE.SIG_ETATSIG != ".ETAT_A_SIGNER_2EME_FOIS." AND SIGNATURE.SIG_RESULT = ".NIV_ERR;	
		break;
}

// Criteres partenaires

$f_emetteur		= pget('f_emetteur');		//filtre émetteur
$f_destinataire	= pget('f_destinataire');	//filtre destinataire
$fromPE 		= pget('fromPE');
$fromPD 		= pget('fromPD');

if ($fromPD>0 && $f_destinataire)
{
	if ($fromPD==2)// part + fils
	{
		$fils="";
		trouve_fils($f_destinataire);
		if ($fils)
		$filsD=$f_destinataire.", ".$fils;
		else $filsD=$f_destinataire;

	}
	if ($fromPD==3) // que les fils
	{
		$fils="";
		trouve_fils($f_destinataire);
		$filsD=$fils;

	}
	if ($fromPD==4) //que le part
	{
		$filsD=$f_destinataire;
	}
}
if ($fromPE>0 && $f_emetteur)
{
	if ($fromPE==2)// part + fils
	{
		$fils="";
		trouve_fils($f_emetteur);
		if ($fils)
		$filsE=$f_emetteur.", ".$fils;
		else $filsE=$f_emetteur;
	}
	if ($fromPE==3) // que les fils
	{
		$fils="";
		trouve_fils($f_emetteur);
		$filsE=$fils;
	}
	if ($fromPE==4) //que le part
	{
		$filsE=$f_emetteur;
	}
}

//Traitement de l'émetteur

if ($fromPD>0){	if ($f_destinataire) $where .=" and PAR_DEST_ID in ($filsD)";}
else {if ($f_destinataire) $where .= " and PAR_DEST_ID = '".dblQ($f_destinataire)."'";}

if ($fromPE>0){ if ($f_emetteur) $where .=" and PAR_EMET_ID in ($filsE)";}
else {if ($f_emetteur)	$where .= " and PAR_EMET_ID = '".dblQ($f_emetteur)."'";}


//Recup Champs facultatifs
$req = "SELECT TDOC_SUI
        FROM TYPE_DOC
        WHERE TDOC_ID = $f_tdoc";
        
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$TDOC_SUI = $row['TDOC_SUI'];
$SUI = explode(";;", $TDOC_SUI);
$i = 0;

foreach($SUI as $zone){
    $zz = explode("::", $zone);
	${"SUI_LIB_".$i} = $zz[0];
	if(isset($zz[1])) ${"SUI_AFF_".$i} = $zz[1]; else ${"SUI_AFF_".$i} = '';
	if(isset($zz[2])) ${"SUI_REC_".$i} = $zz[2]; else ${"SUI_REC_".$i} = '';
	$i++;
}
$gDb->SQLFermeQuery(1);
/*
$req = "SELECT COUNT(*) AS MAXROW
	    FROM SIGNATURE, PART AS PARD, PART AS PARE
			WHERE SIGNATURE.PAR_EMET_ID = PARE.PAR_ID
			AND SIGNATURE.PAR_DEST_ID = PARD.PAR_ID
			$where
			$restrict";
*/
//request for mysql/MSSQL/ORACLE
$req = "SELECT COUNT(*) AS MAXROW
	    FROM SIGNATURE, PART PARD, PART PARE
			WHERE SIGNATURE.PAR_EMET_ID = PARE.PAR_ID
			AND SIGNATURE.PAR_DEST_ID = PARD.PAR_ID
			$where
			$restrict";

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$maxRow = $row['MAXROW'];
$gDb->SQLFermeQuery(1);
/*
$req = "SELECT *, PARE.PAR_NOM AS EMETTEUR, PARD.PAR_NOM AS DESTINATAIRE
		FROM SIGNATURE
		INNER JOIN PART AS PARE
		INNER JOIN PART AS PARD
		INNER JOIN TYPE_DOC
			WHERE SIGNATURE.TDOC_ID = TYPE_DOC.TDOC_ID
			AND SIGNATURE.TDOC_ID = $f_tdoc
			AND SIGNATURE.CLT_ID  = $cltID
			AND SIGNATURE.PAR_EMET_ID = PARE.PAR_ID
			AND SIGNATURE.PAR_DEST_ID = PARD.PAR_ID
			$where
			$restrict
		ORDER BY SIG_DATECREAT DESC" ;
if($limit)
	$req .= " LIMIT $limit";
*/
//request for mysql/MSSQL/ORACLE
$req = "SELECT SIGNATURE.*, PARE.PAR_NOM EMETTEUR, PARD.PAR_NOM DESTINATAIRE
		FROM SIGNATURE
		INNER JOIN PART PARE ON SIGNATURE.PAR_EMET_ID = PARE.PAR_ID
		INNER JOIN PART PARD ON SIGNATURE.PAR_DEST_ID = PARD.PAR_ID
		INNER JOIN TYPE_DOC ON SIGNATURE.TDOC_ID = TYPE_DOC.TDOC_ID
			WHERE SIGNATURE.TDOC_ID = $f_tdoc
			AND SIGNATURE.CLT_ID  = $cltID
			$where
			$restrict
		ORDER BY SIG_DATECREAT DESC" ;
if($limit)
	$req .= " LIMIT $limit";
	
$champs = array();
$champs[] = array("nom" => "Date", "toolTip" => "Date", "sortMode" => "3");
$champs[] = array("nom" => "Emetteur", "toolTip" => "Emetteur", "sortMode" => "1");
$champs[] = array("nom" => "Destinataire", "toolTip" => "Destinataire", "sortMode" => "1");
$champs[] = array("nom" => "Etat", "toolTip" => "Etat", "sortMode" => "2");
$champs[] = array("nom" => "Libellé", "toolTip" => "Libellé", "sortMode" => "1");

// Reference / montant / devise /...
for($i=0; $i<=8; $i++)
{
	if(isset(${"SUI_AFF_".$i}) && ${"SUI_AFF_".$i} == 1)	
		$champs[] = array("nom" => ${"SUI_LIB_".$i}, "toolTip" => ${"SUI_LIB_".$i}, "sortMode" => "1");
}

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

	$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);
	while ($row = $gDb->SQLNextRow(1))
	{
		echo '<row>';
		
		if ($row['FIC_XML_ID'])
		{
	
			//L'utilisateur peut signer ?
			$canSign = false;
			     
			if(($row['SIG_ETATSIG'] == ETAT_A_SIGNER) || ($row['SIG_ETATSIG'] == ETAT_A_SIGNER_2EME_FOIS))
			{
				if($row['SIG_ETATSIG'] == ETAT_A_SIGNER_2EME_FOIS)
				{
					//Check des numCarte
					$arrCpt      = bddGetCompte($gDb, 2);
					$numCarte    = $arrCpt['CPT_NUMCARTE'];
					$numCarteOld = $row['SIG_NUMCARTE_1'];
			
					if((strlen($numCarte) == 0) && (strlen($numCarteOld) == 0)) // verue cf Specs
						$canSign = true;
					else
					{
						if((strcmp($numCarte, $numCarteOld) != 0)) // ils doivent differer
							$canSign = true;
					}
				}
				else
					$canSign = true;
			}
			echo $numCarte."***********************";
			echo $numCarteOld."***********************";
			$info=array();
			$info['action']=$action;
			$info['droits'] = array('visualiser' => ($row['FIC_XML_ID'] && droit(SDO, DROIT_LECT,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $row['TDOC_ID'],null)),
									'signer' => ($row['FIC_XML_ID'] && ($canSign ) && (droit(SDO, DROIT_EXEC,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $row['TDOC_ID'],null))),
									'annuler_traitement' => ($row['FIC_XML_ID'] && ($row['SIG_ETATSIG'] == ETAT_A_SIGNER || $row['SIG_ETATSIG'] == ETAT_A_SIGNER_2EME_FOIS) && droit(SDO, DROIT_SUPPR,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $row['TDOC_ID'],null))
			);
				
			if($canSign)
			{
				//sigId
				$info['sigId']  = $row['SIG_ID'];
				
				//nomFicTrace
				$info['nomFicTrace'] =" ";
				
				//typeInit => signature en dur
				$info['typeInit'] = "2";
		        
				//Download du srv Fic_ID
				$info['ficId'] = (($row['SIG_ETATSIG'] == ETAT_A_SIGNER_2EME_FOIS)? $row['FIC_SIGN_ID']: $row['FIC_ID']);
							
				//forFicDis
				$info['forFicDis'] = $row['SIG_FORFICDIS'];
				
				//codDonDis
				$info['codDonDis'] = $row['SIG_CODDONDIS'];
				
				//typFicEt5
				$info['typFicEt5'] = $row['SIG_TYPFICET5'];
				
				//nomFicCom
				$info['nomFicCom'] = $row['SIG_NOMFICCOM'];
				
				//sigEtatSig
				$info['sigEtatSig'] = $row['SIG_ETATSIG'];
				
				//lgArt
				$info['lgArt'] = $row['SIG_LGART'];
				
				//idClient
				$info['idClient'] = $row['SIG_IDCLI'];
				
				//idBanque
				$info['idBanque'] = $row['SIG_IDBAN'];
				
				//typSce
				$info['typSce'] = $row['SIG_TYPSCE'];
				
				//typChi
				$info['typChi'] = $row['SIG_TYPCHI'];
		            
				//forId
				$info['forId'] = $row['FOR_XML_ID'];
				
				//ficXmlId
				$info['ficXmlId'] = $row['FIC_XML_ID'];

				
			}
		}
		
				
		
		$date = "";
		if($row['SIG_DATECREAT'])
			$date = sql2Date($row['SIG_DATECREAT']);
			
		echo '<item caption="'.$date.'" value="'.row_encode_JSON($info).'"/>';
			
		echo '<item caption="'.hi_disp($row['EMETTEUR']).'"/>';
		echo '<item caption="'.hi_disp($row['DESTINATAIRE']).'"/>';
		
		$icon = "";
		$libel = "";
		switch ($row['SIG_ETATSIG'])
		{
			case ETAT_A_SIGNER :
				$icon = $pathFlow."style/imgs/icons/clock.png";
				$libel = "Attente de signature";
				break;
				
			case ETAT_A_SIGNER_2EME_FOIS :
				$icon = $pathFlow."style/imgs/icons/certif.png";
				$libel = "Attente de 2eme signature";
				break;
				
			case ETAT_SIGNATURE_1_OK :
				if($row['SIG_RESULT'] == NIV_ERR)
				{
					$icon = $pathFlow."style/imgs/icons/error.png";
					$libel = "Erreur 1ere signature";
				}
				else
				{
					$icon = $pathFlow."style/imgs/icons/certif.png";
					$libel = "Signé une fois";
				}
				break;
				
			case ETAT_SIGNATURE_2_OK :
				if($row['SIG_RESULT'] == NIV_ERR)
				{
					$icon = $pathFlow."style/imgs/icons/error.png";
					$libel = "Erreur 2eme signature";
				}
				else
				{
					$icon = $pathFlow."style/imgs/icons/certif.png";
					$libel = "Signé deux fois";
				}
				break;
				
			case ETAT_FINI :
				if($row['SIG_RESULT'] == NIV_ERR)
				{
					$icon = $pathFlow."style/imgs/icons/error.png";
					$libel = "Erreur";
				}
				else
				{
					$icon = $pathFlow."style/imgs/icons/valid.png";
					$libel = "Terminé";
				}
				break;
		}
		echo '<item icon="'.$icon.'" caption="'.$libel.'" toolTip="'.$libel.'"/>';
		echo '<item caption="'.hi_disp($row['SIG_LIBELLE']).'"/>';
		
		// Reference / montant / devise /...
		for($i=0; $i<=8; $i++)
		{
			$value = "";
			if(${"SUI_AFF_".$i} == 1)
			{
				switch ($i)
				{
					case 0:
						$value = $row['EMETTEUR'];
						break;
					case 1:
						$value = $row['DESTINATAIRE'];
						break;
					case 2:
						$value = $row['SIG_OBJ'];
						break;
					case 3:
						$value = $row['SIG_REF'];
						break;
					default:
						$value = $row["SIG_DON_APP_".($i-3)];
						break;
				}
			echo '<item caption="'.hi_disp($value).'"/>';
			}
		}
		
		echo '</row>';
	}	
	$gDb->SQLFermeQuery(1);

echo '</databind>';
?>