<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_SUPPR + DROIT_EXEC;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$cltID = $_SESSION['CLT_ID'];

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

echo '<?xml version="1.0" encoding="UTF-8"?><databind><row><item caption="-" value=""/></row>';

/*
$req = "SELECT DISTINCT T.TDOC_ID, T.TDOC_NOM, T.TDOC_ETAT
		FROM TYPE_DOC T JOIN (SIGNATURE S) USING (TDOC_ID)
		WHERE T.CLT_ID = $cltID
			AND T.TDOC_NOM != ' TOUS'
		ORDER BY T.TDOC_NOM";
*/
//request for mysql/MSSQL/ORACLE
$req ="SELECT DISTINCT T.TDOC_ID, T.TDOC_NOM, T.TDOC_ETAT
        FROM TYPE_DOC T JOIN SIGNATURE S ON T.TDOC_ID=S.TDOC_ID
        WHERE T.CLT_ID = 1
            AND T.TDOC_NOM != ' TOUS'
        ORDER BY T.TDOC_NOM";


$gDb->SQLQuery($req, 1);

while ($row = $gDb->SQLNextRow(1))
{	
	if (droit(SDO, $lmcse, null, null, $row['TDOC_ID'], null))	//on verifie les droits sur le type de documents TDOC_ID
	{
		$deb = "";
		$fin = "";
		if ($row['TDOC_ETAT'] == ETAT_SUPPR)
		{
			
			$deb = AFF_SUPPR_DEB;
			$fin = " $lang_lbl_etat_suppr_ini ";
		}
		echo '<row><item caption="'.$deb.hi_disp($row['TDOC_NOM']).$fin.'" icon="'.$pathFlow.'style/imgs/icons/document.png" value="'.$row['TDOC_ID'].'"/></row>';
	}
}
$gDb->SQLFermeQuery(1);
echo '</databind>';
?>