<?php
	if(!isset($culture_content_type))
		$culture_content_type = "text/html; charset=utf-8";
		
	if(!isset($culture_type_support))
		$culture_type_support = "PHP";
		
	if($culture_type_support == "PHP")
		header('Content-Type: '.$culture_content_type);
			
	if(isset($culture_content_disposition))
		header('Content-Disposition: '.$culture_content_disposition);
	
	//Définition de la langue par défaut
	$culture_default = 'fr-FR';
	
	$file_extension = (($culture_type_support == "JS")? ".js": ".php");
	
	//Nom du fichier de la langue par défaut
	$culture_fileName = "$culture_folder/lang_$culture_default$file_extension";
	
	//récuperation des langues  de l'utilisateur
	$culture_user = (isset($_SERVER['HTTP_ACCEPT_LANGUAGE']))?$_SERVER['HTTP_ACCEPT_LANGUAGE']:"";
	
	//découpage des différentes langues
	preg_match_all("/([a-z]+)(?:\-([a-z]+))?(?:;[^,]+)?(?:,|$)/i", $culture_user, $culture_user_ar, PREG_SET_ORDER);
		
	//Analyse des langues
	for ($i=0;$i<count($culture_user_ar);$i++)
	{
		if(!isset($culture_user_ar[$i][2]) || (isset($culture_user_ar[$i][2]) && strlen($culture_user_ar[$i][2]) == 0))
			$culture_user_ar[$i][2] = $culture_user_ar[$i][1];
			
		$culture_fileNameTmp = $culture_folder.'/lang_'.strtolower($culture_user_ar[$i][1]).'-'.strtoupper($culture_user_ar[$i][2]).$file_extension;
		
		//fin si une langue correspond à un fichier de langue existent
		if (file_exists($culture_fileNameTmp))
		{
			$culture_fileName = $culture_fileNameTmp;
			$culture_shortLanguage = strtolower($culture_user_ar[$i][1]).'-'.strtoupper($culture_user_ar[$i][2]);
			break;
		}
	}
	//chargement de la langue
	if($culture_type_support != "JS")
		require_once($culture_fileName);
	else
	{
		$culture_js = '<script LANGUAGE="JavaScript" src="'.$culture_fileName.'"></script>';
		//echo $culture_js; 
	}
?>