<?php
$DEFAULT_PATH = "../";
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once($DEFAULT_PATH."struct.php");
$droitRole = PRO;
$lmcse = DROIT_LECT + DROIT_EXEC;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");


$req = "SELECT FCO_VERSION, FCO_REPBIN_IHM, FCO_REPLOG_IHM, FCO_REPTMP_IHM, 
		FCO_REPCOM_IHM, FCO_OS_WEB  
		FROM FLOWCONF";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);

$fco_version	= $row['FCO_VERSION'];
$fco_repbin_ihm	= $row['FCO_REPBIN_IHM'];
$fco_replog_ihm	= $row['FCO_REPLOG_IHM'];
$fco_reptmp_ihm	= $row['FCO_REPTMP_IHM'];
$fco_repcom_ihm	= $row['FCO_REPCOM_IHM'];
$fco_os_web	= $row['FCO_OS_WEB'];
$gDb->SQLFermeQuery(1);

$req = "SELECT PRO_OS_MOTEUR
		FROM PROCESSUS";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);
$fco_os_moteur	= $row['PRO_OS_MOTEUR'];

$req="SELECT PRO_NOM, PRO_LIBELLE FROM PROCESSUS";

session_write_close();
if ($fco_os_web == FCO_OS_WEB_WIN)
    exec("net start", $buf, $res);
       
if ($fco_os_web == FCO_OS_WEB_LINUX)
    exec("ps -A", $buf, $res);
        
if ($res == 1)
{
    $statut = $lang_sui_proc_grid_lbl_statutinconnu;
    $icon = $pathFlow."style/imgs/icons/help.png";
}

$champs = array();
$champs[] = array("nom" => $lang_sui_proc_grid_head_nom, "toolTip" => $lang_sui_proc_grid_head_nom_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_proc_grid_head_label, "toolTip" => $lang_sui_proc_grid_head_label_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_proc_grid_head_statut, "toolTip" => $lang_sui_proc_grid_head_statut_tooltip, "sortMode" => "1");

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
{
	echo '<row onClick="changePage(Flow.path+\'suivi/proc/sui_proc.php\');" >';
	echo '<item caption="'.hi_disp($row['PRO_NOM']).'"/>';
	echo '<item caption="'.hi_disp($row['PRO_LIBELLE']).'"/>';
	
	if ($res != 1)
	{
		$statut = $lang_sui_proc_grid_lbl_stopped;
		$libelAction = $lang_sui_proc_grid_act_launch;
		$icon = $pathFlow."style/imgs/icons/rond_rouge.png";
		
		foreach($buf as $rr)
		{
			if (preg_match("/".$row['PRO_NOM']."$/", $rr))
			{
				$statut = $lang_sui_proc_grid_lbl_launched;
				$libelAction = $lang_sui_proc_grid_act_stop;
				$icon = $pathFlow."style/imgs/icons/rond_vert.png";
			}	
		}
	}
	echo '<item caption="'.$statut.'" icon="'.$icon.'" toolTip="'.$statut.'"/>';
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>