<?php
$DEFAULT_PATH = "../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."req_ed.php");

$cltID = $_SESSION['CLT_ID'];
$droitRole = "OK"; //droit pour tout

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

foreach($Table as $tb)
{
	echo "<row><item caption=\"$tb\" icon=\"".$pathStyle."imgs/icons/db_table.gif\" value=\"$tb\"/>";
	$req = "SELECT * FROM $tb";
	$gDb->SQLQuery($req, 1);
	$nbcol = $gDb->SQLNumFields(1);
	for ($i = 0; $i < $nbcol; ++$i) 
	{
		$type = "";
		$flags = $gDb->SQLFieldFlags($i, 1);
		if (preg_match("/primary_key/", $flags))
		{
			$type = "PK, ";
			$icon = $pathStyle."imgs/icons/right.png";
		} 
		else if (preg_match("/multiple_key/", $flags))
		{
			$type = "MK, ";
			$icon = $pathStyle."imgs/icons/db_FK.gif";
		}
		else
			$icon = $pathStyle."imgs/icons/db_att.gif";
		
		$caption = $gDb->SQLFieldName($i, 1)." ($type".$gDb->SQLFieldType($i, 1).")";
		$value = $tb.".".$gDb->SQLFieldName($i, 1);
		
		echo "<row><item caption=\"$caption\" icon=\"$icon\" value=\"$value\"/></row>";
	}
	echo "</row>";
	$gDb->SQLFermeQuery(1);
}
echo '</databind>';
?>