<?php
if ((!isset($sync)) || ($sync != 1))
{
	$DEFAULT_PATH = "../";
	require_once($DEFAULT_PATH."struct.php");
	require_once($DEFAULT_PATH."param.php");
	require_once($DEFAULT_PATH."flow_tools.php");
	
	$culture_content_type = "text/xml; charset=utf-8";
	$culture_folder = $DEFAULT_PATH."culture";
	require_once("$culture_folder/culture.php");
	require_once($DEFAULT_PATH."inc/php/utils.php");
	
	$detail = pget("detail");
	$type = pget("type");
	$showNull = pget("showNull");
}

$dataSrc = '<?xml version="1.0" encoding="UTF-8"?><databind>';
if($showNull == "1")
	$dataSrc .= '<row><item caption="-" value=""/></row>';
	
if($type == "suivi")
{
	$dataSrc .= '<row><item caption="'.$lang_ds_etat_ok.'" icon="'.$pathFlow.'style/imgs/icons/rond_vert.png" value="'.SUI_ETAT_OK.'"/></row>';
	if($detail == ETAT_DETAIL_MOYEN || $detail == ETAT_DETAIL_AVANCE)
	{
		$dataSrc .= '<row><item caption="'.$lang_ds_etat_info.'" icon="'.$pathFlow.'style/imgs/icons/info.png" value="'.SUI_ETAT_INFO.'"/></row>';
		$dataSrc .= '<row><item caption="'.$lang_ds_etat_avert.'" icon="'.$pathFlow.'style/imgs/icons/alert.gif" value="'.SUI_ETAT_AVERT.'"/></row>';
	}
	$dataSrc .= '<row><item caption="'.$lang_ds_etat_err.'" icon="'.$pathFlow.'style/imgs/icons/error.png" value="'.SUI_ETAT_ERR.'"/></row>';
	if($detail == ETAT_DETAIL_AVANCE)
	$dataSrc .= '<row><item caption="'.$lang_ds_etat_noinfo.'" icon="'.$pathFlow.'style/imgs/icons/not_info.gif" value="-1"/></row>';
}
else if ($type == "activite")
{
	$dataSrc .= '<row><item caption="'.$lang_ds_etat_act.'" icon="'.$pathFlow.'style/imgs/icons/lamp_on.png" value="'.ETAT_ACTIF.'"/></row>';
	$dataSrc .= '<row><item caption="'.$lang_ds_etat_inact.'" icon="'.$pathFlow.'style/imgs/icons/lamp_off.png" value="'.ETAT_INACTIF.'"/></row>';
}
else if ($type == "demat")
{
	$dataSrc .= '<row><item caption="'.$lang_flux_pargen_inv_part_filtre_etat_indemat.'" icon="" value="'.ETAT_DEMAT.'"/></row>';
	$dataSrc .= '<row><item caption="'.$lang_flux_pargen_inv_part_filtre_etat_outdemat.'" icon="" value="'.ETAT_NON_DEMAT.'"/></row>';
}
$dataSrc .= '</databind>';

if ((!isset($sync)) || ($sync != 1)) echo $dataSrc;
?>