<?php
$DEFAULT_PATH = "../";
require_once($DEFAULT_PATH."struct.php");
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC;

require_once($DEFAULT_PATH."inc/php/datasource.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$dataSrc = new datasource;

$url = $pathFlow."accueil.php";
$dataSrc->add_row(new ds_row(new ds_item(array("toolTip" => $lang_main_lbl_accueil, "icon" => $pathStyle."imgs/icons/menuToolBar/home.png", "onClick" => "loadPage('".urlencode($url)."');Prologue.treeView.selectNodeByIndex('tree_menu', -1);"))));

$url = $pathFlow."deconnect.php";
$dataSrc->add_row(new ds_row(new ds_item(array("toolTip" => $lang_main_lbl_deconnect, "icon" => $pathStyle."imgs/icons/menuToolBar/unlock.png", "onClick" => "changePage('".urlencode($url)."');"))));
	
$url = $pathFlow."informations/monCPT.php?evenement=menu";
if(droit(CPT, $lmcse, null, null, null, null))
	$dataSrc->add_row(new ds_row(new ds_item(array("toolTip" => $lang_menu_lbl_mycpt_caption, "icon" => $pathStyle."imgs/icons/menuToolBar/case.png", "onClick" => "loadPage('".urlencode($url)."');Prologue.treeView.selectNodeByIndex('tree_menu', -1);"))));

	$url = $pathFlow."informations/licence/licence.php";
if(droit(LIC, $lmcse, null, null, null, null))
	$dataSrc->add_row(new ds_row(new ds_item(array("toolTip" => $lang_menu_lbl_licence_caption, "icon" => $pathStyle."imgs/icons/menuToolBar/scroll.png", "onClick" => "loadPage('".urlencode($url)."');Prologue.treeView.selectNodeByIndex('tree_menu', -1);"))));
	
	$url = $pathFlow."informations/info.php";
if(droit(INFO, $lmcse, null, null, null, null))
	$dataSrc->add_row(new ds_row(new ds_item(array("toolTip" => $lang_menu_lbl_about_caption, "icon" => $pathStyle."imgs/icons/menuToolBar/info.png", "onClick" => "loadPage('".urlencode($url)."');Prologue.treeView.selectNodeByIndex('tree_menu', -1);"))));

$dataSrc->add_row(new ds_row(new ds_item(array("toolTip" => $lang_menu_lbl_aide_caption, "icon" => $pathStyle."imgs/icons/menuToolBar/help.png", "onClick" => "top.help.show();"))));
	
$dataSrc->add_row(new ds_row(new ds_item(array("caption" => "", "value" => "__SEPARATOR__"))));

$dataSrc->add_row(new ds_row(new ds_item(array("toolTip" => $lang_menu_lbl_plug_caption, "icon" => $pathStyle."imgs/comboPanel/unplug.png", "onClick" => "top.plugSideMenu.plug();"))));

echo $dataSrc->get_dump();
?>