<?php
$DEFAULT_PATH = "../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$showNull = pget('showNull');

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

if($showNull)
	echo '<row><item caption="-" value=""/></row>';

	
echo '<row><item caption="'.$lang_ds_moteurs_par_defaut.'" value="'.FLX_MOTEURS_PAR_DEFAUT.'"/></row>';
echo '<row><item caption="'.$lang_ds_moteurs_par_activite.'" value="'.FLX_MULTI_MOTEURS.'"/></row>';
echo '<row><item caption="'.$lang_ds_moteurs_selon_charge.'" value="'.FLX_MOTEURS_SELON_CHARGE.'"/></row>';
$reqMoteurs = "SELECT PRO_LIBELLE, PRO_NUMPROC, PRO_TYPE_MOTEUR
               FROM PROCESSUS
               WHERE PRO_TYPE_MOTEUR = ".TYPE_MOTEUR_ACT;
$gDb->SQLQuery($reqMoteurs,5);
while($rowMoteur = $gDb->SQLNextRow(5))
{
    echo '<row><item caption="'.hi_disp($rowMoteur['PRO_LIBELLE']).'" value="'.$rowMoteur['PRO_NUMPROC'].'"/></row>';
}
$gDb->SQLFermeQuery(5);
echo '</databind>';
?>