<?php
$DEFAULT_PATH = "../";
require_once($DEFAULT_PATH."struct.php");

require_once($DEFAULT_PATH."flow.php");
include($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$info = pget('info');

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';
if($info == 'simple')
	echo '<row><item caption="-" value=""/></row>';

$req = "SELECT TROL_NOM, TROL_ID";
if($info == 'full')
{
	$req .= ", TROL_LECT_AUTHO, TROL_EXEC_AUTHO, TROL_MODIF_AUTHO, 
			TROL_SUPPR_AUTHO, TROL_CREAT_AUTHO, TROL_FAMIL_AUTHO, TROL_TDOC_AUTHO, 
			TROL_EXP_AUTHO, TROL_DEST_AUTHO";
}
$req .=	" FROM TYPE_ROLE ORDER BY TROL_NOM";

$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
{
	$value = $row['TROL_ID'];
	
	if($info == 'full')
	{
		$value .= ";;".$row['TROL_LECT_AUTHO'].";;".$row['TROL_MODIF_AUTHO'].";;".$row['TROL_CREAT_AUTHO'].";;";
		$value .= $row['TROL_SUPPR_AUTHO'].";;".$row['TROL_EXEC_AUTHO'].";;".$row['TROL_FAMIL_AUTHO'].";;";
		$value .= $row['TROL_TDOC_AUTHO'].";;".$row['TROL_EXP_AUTHO'].";;".$row['TROL_DEST_AUTHO'];
	}
	echo '<row><item caption="'.hi_disp($row['TROL_NOM']).'" icon="'.$pathFlow.'style/imgs/icons/right.png" value="'.$value.'"/></row>';
}
$gDb->SQLFermeQuery(1);
echo '</databind>';
?>