<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "flux/avance/export/part_export/part_exportAction.php";

$action	= pget('action');			// action
$par_id	= pget("par_id");
$groupe = pget('groupe');
        // id partenaire
$id_clt 	= $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = 0;

if ($action=='export_part') {

	/************************************************************/
	/* fonctions												*/
	/************************************************************/
	function remplace($monChamp)
	{
		$monChamp=@str_replace("&","&amp;",$monChamp);
		$monChamp=@str_replace(">","&gt;",$monChamp);
		$monChamp=@str_replace("<","&lt;",$monChamp);
		return $monChamp;
	}
	
	function construit_adr($PAR_ID)
	{
		global $gDb;
		global $xml;
		$req = "SELECT * FROM ADRESSE WHERE PAR_ID=$PAR_ID ";
		$gDb->SQLQuery($req,2);
		while ($row5 = $gDb->SQLNextRow(2))
		{
			$xml.="
		<ADRESSE>\n
			<ADR_TYPE>".$row5['ADR_TYPE']."</ADR_TYPE>\n";
			/*
			 <ADR_ID>".$row5['ADR_ID']."</ADR_ID>\n
			 <CLT_ID>".$row5['CLT_ID']."</CLT_ID>\n
			 <PAR_ID>".$row5['PAR_ID']."</PAR_ID>\n*/
			$req = "SELECT * FROM VAL_PAR_ADR WHERE ADR_ID=".$row5['ADR_ID'];
			$gDb->SQLQuery($req,3);
			while ($row6 = $gDb->SQLNextRow(3))
			{
				$xml.="
			<VAL_PAR_ADR>\n
				<PFL_ID>".$row6['PFL_ID']."</PFL_ID>\n
				<VPA_VAL>".remplace($row6['VPA_VAL'])."</VPA_VAL>\n
			</VAL_PAR_ADR>\n";
				/*
				 <VPA_ID>".$row6['VPA_ID']."</VPA_ID>\n
				 <CLT_ID>".$row6['CLT_ID']."</CLT_ID>\n
				 <ADR_ID>".$row6['ADR_ID']."</ADR_ID>\n*/
					
			}


			$xml.="
		</ADRESSE>\n";
		}

	}

	function construit_ident($PAR_ID)
	{
		global $gDb;
		global $xml;
		$req = "SELECT * FROM IDENT WHERE PAR_ID=$PAR_ID ";
		$gDb->SQLQuery($req,2);
		while ($row4 = $gDb->SQLNextRow(2))
		{
			$xml.="
		<IDENT>\n
			<IDE_VAL>".remplace($row4['IDE_VAL'])."</IDE_VAL>\n
			<IDE_PWD>".remplace($row4['IDE_PWD'])."</IDE_PWD>\n
		</IDENT>\n";
			/*
			 <IDE_ID>".$row4['IDE_ID']."</IDE_ID>\n
			 <CLT_ID>".$row4['CLT_ID']."</CLT_ID>\n
			 <PAR_ID>".$row4['PAR_ID']."</PAR_ID>\n*/
		}

	}

	function construit_part($niv, $PAR_ID, $GRP, $numReq)
	{
		global $gDb;
		global $xml;

		$req = "SELECT * FROM PART WHERE PAR_ID=$PAR_ID ";
		$gDb->SQLQuery($req,2);
		$row2 = $gDb->SQLNextRow(2);

		$xml.="
	<PART>\n
		<PAR_TYPE>".$row2['PAR_TYPE']."</PAR_TYPE>\n
		<PAR_NOM>".remplace($row2['PAR_NOM'])."</PAR_NOM>\n";
		/*

		<PAR_ID>".$row2['PAR_ID']."</PAR_ID>\n
		<CLT_ID>".$row2['CLT_ID']."</CLT_ID>\n
		<PAR_ETAT>".$row2['PAR_ETAT']."</PAR_ETAT>\n
		*/
		if($niv==0)
		$xml.="
		<GRP_ID>null</GRP_ID>\n
		<GRP_NOM>null</GRP_NOM>\n";
		else
		{
			$req = "SELECT PAR_NOM FROM PART WHERE PAR_ID=".$row2['GRP_ID'];
			$gDb->SQLQuery($req,2);
			$nomGRP = $gDb->SQLNextRow(2);

			$xml.="
		<GRP_ID>".$row2['GRP_ID']."</GRP_ID>\n
		<GRP_NOM>".$nomGRP['PAR_NOM']."</GRP_NOM>\n";

		}
		construit_adr($PAR_ID);
		construit_ident($PAR_ID);
		//si on doit r�cup�rer l'arborescence
		if ($GRP==1 && $row2['PAR_TYPE']==PART_TYPE_GROUPE)
		{
			$req = "SELECT PAR_ID FROM PART WHERE GRP_ID=$PAR_ID AND PAR_ETAT !=".ETAT_SUPPR;
			$gDb->SQLQuery($req,$numReq);
			while ($res = $gDb->SQLNextRow($numReq))
			{
				construit_part($niv+1, $res['PAR_ID'], $GRP, $numReq+1);
			}
		}
		$xml.="
	</PART>\n";
		//$xml.="</PART>\n";
	}
	/************************************************************/
	/* FIN fonctions											*/
	/************************************************************/

	$niv=0;
	$numReq=4;
	$xml="<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<PARTENAIRES>\n";
	
	if ($par_id==1){	
		$req = "SELECT PAR_ID FROM PART WHERE GRP_ID is NULL AND PAR_ID!=1 AND PAR_ETAT !=".ETAT_SUPPR;
		$gDb->SQLQuery($req,1);
		while($row = $gDb->SQLNextRow(1)){
			construit_part($niv, $row['PAR_ID'], 1, $numReq);
		}
	} else {
		construit_part($niv, $par_id, $groupe, $numReq);
	}
	
	$xml.="</PARTENAIRES>\n";
	
	$filename = "part_export.xml";
	if ($fp = @fopen($filename, "w")) {
			$flag=true;
	} else {
		$msg .= str_replace('%FILENAME%',$filename,$lang_flux_part_act_export_msg_err_file_create).'<br/>';
		$return = 1;
	}
	
	if (@fwrite($fp,$xml)===false) {
		$msg .= str_replace('%FILENAME%',$filename,$lang_flux_part_act_export_msg_err_file_read).'<br/>';
		$return = 1;
	}
	
	@fclose($fp);
	
	if (empty($msg)) {
		@header("Content-type: application/download"); 
		@header("Content-Disposition: attachment; filename=$filename"); 
		@readfile("$filename");
	} else {
		@header("Content-Type: application/download\n");
		@header("Content-Disposition: attachment; filename=\"[erreur]fichier.txt\"");
		echo $msg.str_replace('%FILENAME%',$filename,$lang_flux_part_act_export_msg_err_file); 
	}
}
$reponse['msg'] = utf8_urlencode($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
//echo encode_JSON($reponse);
?>
