<?php
$DEFAULT_PATH = "../../../";
$culture_content_type = "application/json; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once($DEFAULT_PATH."struct.php");
$droitRole = FLX;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."flux/gest/flux_gest_utils.php");

$page_courante = "flux/gest/activite/flux_gest_activite_actAction.php";

$afx_id = pget('afx_id');
$action = pget('action');
$clt_id = $_SESSION["CLT_ID"];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "create")
{
	if(droit($droitRole, DROIT_CREAT + DROIT_MODIF,null,null,null,null))
	{
		$tac_role = pget('tac_role');
		$length = pget('length');
		if($tac_role == '6')
			$tac_role = 5;
		$flx_id = pget('flx_id');
		$act_id = pget('act_id');
		$pge_id = pget('pge_id');
		$backup_from = pget('backup_from');
        $afx_numproc = 0;
		$afx_suivi = ($length == '0' && $tac_role == '3')? MODE_SUIVI: MODE_NSUIVI;
		$afx_num = 0;
		
		/*
		$req = "SELECT AFX_ACTIF,
		AFX_SUIVI, ACT_ID
		FROM ACTFLUX
		WHERE AFX_ID = $afx_id";
		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		
		/*
		$req = "SELECT FLX_ACTIF, FLX_LIBEL, PAR_EMET_ID,
					PAR_DEST_ID, FLX_SENS, FLX_TRACE,
					FLX_TEST, FLX_SIMUL, FLX_COLLECTE,
					FLX_SUPPR_FIC, FOR_ID, FLX_ETAT, TAL_ID
				FROM FLUX 
				WHERE FLX_ID = $flx_id";
		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		
		$tab_flux = array (
			'CLT_ID'		=> $clt_id,
			'FLX_ID' 		=> $flx_id,
			'FLX_LIBEL' 	=> "'".dblQ($row['FLX_LIBEL'])."'", 
			'FLX_ACTIF' 	=> $row['FLX_ACTIF'],
			'PAR_EMET_ID' 	=> $row['PAR_EMET_ID'],
			'PAR_DEST_ID' 	=> $row['PAR_DEST_ID'],
			'FOR_ID' 		=> $row['FOR_ID'],
			'FLX_SENS' 		=> $row['FLX_SENS'],
			'FLX_TRACE' 	=> $row['FLX_TRACE'],
			'FLX_TEST' 		=> $row['FLX_TEST'],
			'FLX_SIMUL' 	=> $row['FLX_SIMUL'],
			'FLX_SUPPR_FIC'	=> $row['FLX_SUPPR_FIC'],
			'TAL_ID'		=> $row['TAL_ID'],
			'FLX_COLLECTE'	=> $row['FLX_COLLECTE']
		);
		*/

		$fatal = false;
		
		if ($gDb->SQLTransact() == false) $fatal = true;
		
		//mise à jour de la table SYNCHRO pour le moteur
		/*if(!synchro( 1, "FLUX", $clt_id)) $fatal = true;*/
		
		/*
		if (Update_Flux($tab_flux, $msg) < 0) 	//Mise a jour des donn�es du flux
			$fatal = true;
		
		if (!$fatal) 
		{
			if (Update_Activites($_POST, $msg) < 0) //Mise a jour des activitées du flux
				$fatal = true;
		}
		*/

		if (!$fatal && !$pge_id)
			//Recherche d'un paramètre général lié à l'activité à créer
			if (Defaut_Pargen($act_id, $pge_id, $msg) < 0)
				$fatal = true;
				
		if (!$fatal)
		{
			// Si activit矤e backup, ce n'est pas une activit矤e suivi
			// et afx_num = afx_num +1 de l'activit矰r laquelle elle est backup
			if(!empty($backup_from))
			{
				$afx_suivi = MODE_NSUIVI;
				$req = "select AFX_NUM from ACTFLUX where FLX_ID = $flx_id
				 and AFX_ID = $backup_from";
				$gDb->SQLQuery($req,1);
				$row = $gDb->SQLNextRow(1);
				$afx_num = $row['AFX_NUM'] + 1;
				$gDb->SQLFermeQuery(1); 
			}
			else
			{
				//Recherche de la position de l'activité dans le flux 
				//et si elle est ou non une activité de suivi
				if (Pos_Activite($flx_id, $tac_role, $afx_suivi, $afx_num, $msg) < 0)
					$fatal = true;
			}
		}

		if(!empty($pge_id) && $pge_id != 'null') //Attention la fonction Defaut_Pargen() définit $pge_id à 'null' s'il n'est pas valué 
			$req = "SELECT PGE_LIBEL AS LIBEL
						FROM PAR_GEN 
						WHERE PGE_ID = ".$pge_id;
		else
			$req = "SELECT ACT_LIBEL AS LIBEL 
					FROM ACTIVITE 
					WHERE ACT_ID = ".$act_id;

		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$afx_lib = $row['LIBEL'];
		$gDb->SQLFermeQuery(1);
		
		//Structure de l'activité
		$tab_act = array (
			'CLT_ID'		=> $clt_id,
			'AFX_ACTIF' 	=> ETAT_ACTIF,
			'FLX_ID' 		=> $flx_id,
			'ACT_ID' 		=> $act_id,
			'AFX_NUM' 		=> $afx_num,
			'AFX_LIBEL' 	=> "'$afx_lib'",
			'AFX_SUIVI' 	=> $afx_suivi,
			'PGE_ID' 		=> $pge_id,
			'AFX_BACKUP_FROM'	=> $backup_from,
            'AFX_NUMPROC'		=> $afx_numproc,
            'AFX_TYPE_ALERTE'	=> 0
		);
		
		if (!$fatal)
		{
			//On décalle les position (AFX_NUM) des activités se trouvant à la suite de celle à créer
			//if (Decalle_Activites($flx_id, $afx_num, $msg) < 0)
			if (Decalle_Activites($flx_id, $afx_num, $msg) < 0)
				$fatal = true;
		}
				
		if (!$fatal)
			if (New_Activite($tab_act, $msg, $afx_id) < 0)
				$fatal = true;
	
		if ($fatal)	//Fatal => Création de l'activité Impossible
		{
			if(!$msg)
				$msg = $lang_flux_gest_act_addact_msg_err;
			$return = -1;
			$gDb->SQLRollBack();
		}
		else	//Tout s'est bien passé
		{
			//$msg = $lang_flux_gest_act_addact_msg_ok;
			$return = $afx_id;
			$gDb->SQLCommit();
		}
	}
	else
	{
		$msg = $lang_flux_gest_act_msg_err_droit;
		$return = -1;
	}
}
else if ($action == "modif")
{
	if(droit($droitRole, DROIT_CREAT + DROIT_MODIF,null,null,null,null))
	{
		$afx_actif = pget('afx_actif');
		$afx_libel = pget('afx_libel');
		$afx_suivi = pget('afx_suivi');
		$afx_type_alerte = pget('afx_type_alerte');
		$act_id = pget('act_id');
		$pge_id = pget('pge_id');
        $afx_numproc = pget('afx_numproc');
		$withMsg = pget('with_msg');
		
		$fatal = false;
		if ($gDb->SQLTransact() == false) $fatal = true;

		//mise à jour de la table SYNCHRO pour le moteur
		/*if(!synchro( 1, "FLUX", $clt_id)) $fatal = true;*/
				
		if(!$fatal) {
			
			//recup du PFL_ID
			$req = "SELECT PFL_ID
					FROM PAR_FLOW, ACTIVITE 
					WHERE ACT_ID = $act_id
						AND PAR_FLOW.TAC_NUM = ACTIVITE.TAC_NUM
						AND PFL_ROLE = ".PARAM_ROLE_ACTIVITE;
			$gDb->SQLQuery($req,1);
			
			$param = array();
			while ($row = $gDb->SQLNextRow(1)) {
				$param[$row['PFL_ID']] = sql_disp(pget($row['PFL_ID']));
				//print $param[$row['PFL_ID']];
			}
			$gDb->SQLFermeQuery(1);
			
			$activite = array("act_id" => $act_id,
							"afx_id" => $afx_id,
							"afx_actif" => $afx_actif,
							"afx_type_alerte" => $afx_type_alerte,
							"afx_libel" => sql_disp($afx_libel),
							"afx_suivi" => (($afx_suivi)? MODE_SUIVI :MODE_NSUIVI),
							"pge_id" => ($pge_id? $pge_id: "NULL"),
                            "afx_numproc" => ($afx_numproc? $afx_numproc: "0"),
			                "param" => $param);
		
			if (Update_Activites($activite, $msg) < 0)	//Mise a jour des activités du flux
				$fatal = true;
				
			if(!$fatal)
			{
				// mettre le flag inactif pr l'activite backup si l'activité principale est à l'état inactif
				if($afx_actif==ETAT_INACTIF)
				{
					$req = "SELECT AFX_BACKUP_ID FROM ACTFLUX WHERE AFX_ID=".$afx_id;
					$gDb->SQLQuery($req,1);
					$row = $gDb->SQLNextRow(1);
					$gDb->SQLFermeQuery(1);

					if ($gDb->SQLTransact() != false and isset($row['AFX_BACKUP_ID']))
					{
						$req = "UPDATE ACTFLUX SET AFX_ACTIF=$afx_actif WHERE AFX_ID=".$row['AFX_BACKUP_ID'];
						$gDb->SQLQuery($req, 1);
						$gDb->SQLFermeQuery(1);
					}
				}
			}
		}
		if ($fatal)	//Fatal => Modification de l'activité Impossible
		{
			if(!$msg)
				$msg = $lang_flux_gest_act_updateact_msg_err;
			$return = 1;
			$gDb->SQLRollBack();
		}
		else	//Tout s'est bien passé
		{
			if($withMsg==1) // sinon c'est une validation globale du flux et non pas de l'activité
				$msg = $lang_flux_gest_act_updateact_msg_ok;
			$return = 0;
			$gDb->SQLCommit();
		}
	}
	else
	{
		$msg = $lang_flux_gest_act_msg_err_droit;
		$return = 1;
	}
}
else if($action == "suppr") {
	
	$flx_id = pget('flx_id');
	
	$fatal = false;
	
	$req = "SELECT AFX_NUM, AFX_BACKUP_FROM
			FROM ACTFLUX 
			WHERE AFX_ID = ".$afx_id;
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	
	$afx_num = $row['AFX_NUM'];
	$backup_from = $row['AFX_BACKUP_FROM'];
	
	if ($gDb->SQLTransact() == false)
		$fatal = true;
	
	//mise à jour de la table SYNCHRO pour le moteur
	/*if(!synchro( 1, "FLUX", $clt_id)) $fatal= true;*/

	if (!$fatal)
	{
		if (Maj_Actif_Activite($afx_id, $msg, ETAT_SUPPR) < 0) //Suppression (AFX_ACTIF = 2) de l'activité
			$fatal = true;
		else
		{
			if($backup_from!=NULL)
				if (Sup_Backup_Activite($backup_from, $msg) < 0) //RAZ de l'activite pour laquelle elle etait backup
					$fatal = true;			
		}
	}
			
	if (!$fatal)
		if (Decalle_Activites($flx_id, $afx_num, $msg, "moins") < 0) //On décalle (AFX_NUM--) les activités de niveau supérieur
			$fatal = true;
	
	if($fatal)	//FATAL --> Suppression impossible
	{
		if(!$msg)
			$msg = $lang_flux_gest_act_updateact_msg_err;
		$return = 1;
		$gDb->SQLRollBack();
	}
	else	//Tout s'est bien passé
	{
		$msg = $lang_flux_gest_act_suppract_msg_ok;
		$return = 0;
		$gDb->SQLCommit();
	}
}
else if($action == "move") {
	
	$sens = pget('sens');
	$flx_id = pget('flx_id');
	$backup_id = pget('backup_id');
	
	$fatal = false;
	
	if ($gDb->SQLTransact() == false) $fatal = true;
	
	//mise à jour de la table SYNCHRO pour le moteur
	/*if(!synchro( 1, "FLUX", $clt_id)) $fatal= true;*/
	
	$new_num = 0;
	if (Change_Activite($flx_id, $afx_id, $msg, $new_num, $sens) < 0) //intervertit la position avec l'activité de niveau inferieur 
		$fatal = true;
		
	if(!$fatal && !empty($backup_id) && $new_num!=0)
	{
		// idem pour l'activit矤e backup
		if (Change_Activite_noverif($flx_id, $backup_id, $msg, $new_num+1) < 0) 
			$fatal = true;
	}
		
	if($fatal)	//FATAL --> Déplacement impossible
	{
		if(!$msg)
			$msg = $lang_flux_gest_act_updateact_msg_err;
		$return = 1;
		$gDb->SQLRollBack();
	}
	else	//Tout s'est bien passé
	{
		//$msg = $lang_flux_gest_act_moveact_msg_ok;
		$return = 0;
		$gDb->SQLCommit();
	}
}
$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
echo encode_JSON($reponse);
?>