<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$up = pget('up');
$down = pget('down');
$create = pget('create');
$remove = pget('remove');

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

$icon = $pathFlow.'style/imgs/icons/gest_flux/maj.png';
$onClick = "act_tree_reload(); paramLoadPage(Prologue.Flow.path+'flux/gest/activite/flux_gest_activite_blank.php');";
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_ds_action_reload_caption.'" onClick="'.$onClick.'"/></row>';

echo '<row><item value="__SEPARATOR__"/></row>';

if($up) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/up_on.gif';
	$onClick = "activite.move('haut');";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/up_off.gif';
	$onClick = "return false;";			
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_flux_gest_aff_lbl_movup.'" onClick="'.$onClick.'"/></row>';

if($down) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/down_on.gif';
	$onClick = "activite.move('bas');";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/down_off.gif';
	$onClick = "return false;";
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_flux_gest_aff_lbl_movdown.'" onClick="'.$onClick.'"/></row>';

echo '<row><item value="__SEPARATOR__"/></row>';

if($create) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/add_on.gif';
	$onClick = "toolbar_dropDown_onclick(this);";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/add_off.gif';
	$onClick = "return false;";
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_lbl_ajouter.'" onClick="'.$onClick.'"/></row>';

if($remove) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/remove_on.png';
	$onClick = "if(confirm('".addslashes($lang_flux_gest_aff_quest_suppr)."')) activite.remove();";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/remove_off.png';
	$onClick = "return false;";
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_lbl_supprimer.'" onClick="'.$onClick.'"/></row>';

echo '</databind>';
?>