<?php
$DEFAULT_PATH = "../../../";
//$culture_content_type = "application/json; charset=utf-8";
$culture_content_type = "text/html; charset=utf-8"; //pour tests
$culture_folder = $DEFAULT_PATH."culture";

require_once($DEFAULT_PATH."struct.php");
$droitRole = FLX;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once("macro.php");

$page_courante = "flux/gest/macro/flux_gest_macro_actAction.php";

$flx_id = pget('flx_id');
$action = pget('action');
$afx_num = pget('afx_num');
$txt_macro = pget('txt_macro');

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;
if ($action == "valid")
{
	if (Analyse_Grammaire($txt_macro, $msg, 0) != -1)
	{
		//Vérification de la validité des Macros
		$macros = substr($msg, 0, strlen($msg) - 1);
     	$msg = "";
    	if (verif_macro($txt_macro, $macros, $flx_id, $afx_num, $msg) != -1)
			$return = 0;
		else
			$return = 1;
 	}
 	else
 		$return = -1;
}
$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
echo encode_JSON($reponse);
?>