<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$type = pget('type');

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

$icon = $pathFlow.'style/imgs/icons/valid.png';
$onClick = "planif_update('$type', planif_range.all, true);";
echo '<row><item caption="" icon="'.$icon.'" toolTip="'.$lang_flux_gest_act_delaiplanif_lbl_select_all.'" onClick="'.$onClick.'"/></row>';

$icon = $pathFlow.'style/imgs/icons/error.png';
$onClick = "planif_update('$type', planif_range.all, false);";
echo '<row><item caption="" icon="'.$icon.'" toolTip="'.$lang_flux_gest_act_delaiplanif_lbl_deselect_all.'" onClick="'.$onClick.'"/></row>';

echo '<row><item value="__SEPARATOR__"/></row>';

switch($type) {
	case PLA_MINUTE:
		$intervalles = array(5, 10, 20);
		foreach($intervalles as $intervalle) {
			$icon = $pathFlow.'style/imgs/icons/histo.gif';
			$onClick = "planif_update('$type', [planif_range.mod, $intervalle], true);";
			$libel = str_replace("%NB%", $intervalle, $lang_flux_gest_act_delaiplanif_lbl_min_repet);
			echo '<row><item caption="'.$intervalle.'" icon="'.$icon.'" toolTip="'.$libel.'" onClick="'.$onClick.'"/></row>';
		}
		break;
	case PLA_HEURE:
		$intervalles = array(2, 4, 6);
		foreach($intervalles as $intervalle) {
			$icon = $pathFlow.'style/imgs/icons/histo.gif';
			$onClick = "planif_update('$type', [planif_range.mod, $intervalle], true);";
			$libel = str_replace("%NB%", $intervalle, $lang_flux_gest_act_delaiplanif_lbl_heure_repet);
			echo '<row><item caption="'.$intervalle.'" icon="'.$icon.'" toolTip="'.$libel.'" onClick="'.$onClick.'"/></row>';
		}
		break;
	case PLA_JOUR:
		$intervalles = array(2, 4, 7);
		foreach($intervalles as $intervalle) {
			$icon = $pathFlow.'style/imgs/icons/histo.gif';
			$onClick = "planif_update('$type', [planif_range.mod, $intervalle], true);";
			$libel = str_replace("%NB%", $intervalle, $lang_flux_gest_act_delaiplanif_lbl_jour_repet);
			echo '<row><item caption="'.$intervalle.'" icon="'.$icon.'" toolTip="'.$libel.'" onClick="'.$onClick.'"/></row>';
		}
		break;
	case PLA_JOURSEM:
		$intervalles = array(2, 3);
		foreach($intervalles as $intervalle) {
			$icon = $pathFlow.'style/imgs/icons/histo.gif';
			$onClick = "planif_update('$type', [planif_range.mod, $intervalle], true);";
			$libel = str_replace("%NB%", $intervalle, $lang_flux_gest_act_delaiplanif_lbl_jour_repet);
			echo '<row><item caption="'.$intervalle.'" icon="'.$icon.'" toolTip="'.$libel.'" onClick="'.$onClick.'"/></row>';
		}
		break;
	case PLA_MOIS:
		$intervalles = array(2, 3);
		foreach($intervalles as $intervalle) {
			$icon = $pathFlow.'style/imgs/icons/histo.gif';
			$onClick = "planif_update('$type', [planif_range.mod, $intervalle], true);";
			$libel = str_replace("%NB%", $intervalle, $lang_flux_gest_act_delaiplanif_lbl_mois_repet);
			echo '<row><item caption="'.$intervalle.'" icon="'.$icon.'" toolTip="'.$libel.'" onClick="'.$onClick.'"/></row>';
		}
		break;
}

echo '</databind>';
?>