<?php
$DEFAULT_PATH = str_repeat("../", (substr_count($_SERVER["PHP_SELF"], "/") - 2));
$culture_content_type = "application/json; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");

$droitRole = RES;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "flux/pargen/as2/flux_pargen_as2_actAction.php";

$asp_id = pget('asp_id');
$action	= pget('action');
$clt_id = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	if(!$gDb->SQLQuery("DELETE FROM SRVAS2_PARAM WHERE ASP_ID = $asp_id", 1)) {
		$msg = $lang_flux_pargen_as2_act_suppr_msg_err;
		$return = 1;
	}
	else {
		$msg = $lang_flux_pargen_as2_act_suppr_msg_ok;
		$return = 0;
	}
	$gDb->SQLFermeQuery(1);
}
else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$asp_port = pget('asp_port');
		$par_id = pget('par_id');
		$pro_id = pget('pro_id');
		$asp_https = pget('asp_https');
		
		$req = "INSERT INTO SRVAS2_PARAM ( ASP_PORT, PAR_ID, CLT_ID, PRO_ID, ASP_HTTPS)
                 VALUES ('".dblQ($asp_port)."', ".$par_id.", ".$clt_id.", ".$pro_id.", ".$asp_https.")";
		$res = $gDb->SQLQuery($req, 1);
		if($res) {
			if ($res[0] == SQL_DUP_CHAMP) {
				$msg = $lang_flux_pargen_as2_act_modif_msg_err_dup;
				$return = 1;					
			}
			else {
				$msg = $lang_flux_pargen_as2_act_create_msg_ok;
				$return = 0;
			}
		}
		else {
			$msg = $lang_flux_pargen_as2_act_create_msg_err;
			$return = 1;
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$asp_port = pget('asp_port');
		$par_id = pget('par_id');
		$asp_https = pget('asp_https');
		
		$req = "UPDATE SRVAS2_PARAM
				SET ASP_PORT='".dblQ($asp_port)."', PAR_ID=".dblQ($par_id).", CLT_ID=".dblQ($clt_id).", ASP_HTTPS=".dblQ($asp_https)."  
				WHERE ASP_ID='".$asp_id."'";
		$res = $gDb->SQLQuery($req, 1);
		if($res) {
			if ($res[0] == SQL_DUP_CHAMP) {
				$msg = $lang_flux_pargen_as2_act_modif_msg_err_dup;
				$return = 1;					
			}
			else {
				$msg = $lang_flux_pargen_as2_act_modif_msg_ok;
				$return = 0;
			}
		}
		else {
			$msg = $lang_flux_pargen_as2_act_modif_msg_err;
			$return = 1;
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = 'top.reload_menu()';
echo encode_JSON($reponse);
?>