<?php
$DEFAULT_PATH = str_repeat("../", (substr_count($_SERVER["PHP_SELF"], "/") - 2));
require_once ($DEFAULT_PATH."struct.php");
$droitRole = RES;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "flux/pargen/as2/flux_pargen_as2_actAffich.php";

$vtp = new VTemplate;

$asp_id	= pget('asp_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_as2_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/flux_pargen_as2.gif");

//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "cre_modif_ecoute_as2");

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$head_javascript = "function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_flux_pargen_as2_aff_msg_err_nonom)."';
	
	var inpt = $('asp_port');	
	
	if(inpt.value.length == 0) {
		alert(msg_field_needed);
		check = false;
		inpt.focus();
	}
	else if(false == prlTextBox.checkFormat(inpt) && inpt.value.length != 0) {
		inpt.onchange();
		check = false;
		inpt.focus();
	}

	if(check && (submitForm(this.document.forms['filtre'], 'flux_pargen_as2_actAction.php', prlExec) == 0)) {
		changePage('flux_pargen_as2.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "asp_id");
$vtp->setVar($form, "form_input_hidden.value", $asp_id);
$vtp->closeSession($form, "form_input_hidden");

if($asp_id!='')
{
	if($ini_typeBase == "mysql")	
		$req = "SELECT PRO_NOM, SRVAS2_PARAM.PRO_ID, PAR_ID, ASP_PORT, ASP_HTTPS 
			FROM SRVAS2_PARAM JOIN (PROCESSUS) USING (PRO_ID)
			WHERE ASP_ID = $asp_id";
	else
		$req = "SELECT PRO_NOM, SRVAS2_PARAM.PRO_ID, PAR_ID, ASP_PORT, ASP_HTTPS 
			FROM SRVAS2_PARAM JOIN PROCESSUS ON SRVAS2_PARAM.PRO_ID = PROCESSUS.PRO_ID
			WHERE ASP_ID = $asp_id";

	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	
	$ASP_PORT = $row['ASP_PORT'];
	$PRO_NOM = $row['PRO_NOM'];
	$PAR_ID = $row['PAR_ID'];
	$ASP_HTTPS = $row['ASP_HTTPS'];
}
else
{
	$ASP_PORT = '8129';
	$PRO_NOM = '';
	$PAR_ID = '';
	$ASP_HTTPS = '0';
}

//Port
$javascript = "
	with(new prlTextBox('asp_port', prlTextBox.formats.integer, '$ASP_PORT')) {
		maxLength  = 35;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'$lang_flux_pargen_as2_aff_msg_err_nonom\'); this.focus();}';
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_as2_aff_lbl_port);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//Non du processus
if($PRO_NOM){
	$content = $PRO_NOM;
	$javascript = "";
	
	$vtp->addSession($form, "form_input_hidden");
	$vtp->setVar($form, "form_input_hidden.name", "pro_id");
	$vtp->setVar($form, "form_input_hidden.value", $row['PRO_ID']);
	$vtp->closeSession($form, "form_input_hidden");
}
else {
	$javascript = "
		with(affich = new prlComboList('pro_id', '')) {
			dataSource = '".$pathFlow."flux/pargen/as2/flux_pargen_as2_dSProc.php';
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_as2_aff_lbl_proc);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Partenaire
$javascript = "
	with(affich = new prlComboTree('par_id', '$PAR_ID')) {
		dataSource = '".$pathFlow."dataSources/dSPartenaires.php';
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_as2_aff_lbl_part);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// HTTPs
$javascript = "
	with(new prlComboList('asp_https', '$ASP_HTTPS')) {
		add('$lang_lbl_non', '', '', '".AS2_HTTP."');
		add('$lang_lbl_oui', '', '', '".AS2_HTTPS."');
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_as2_aff_lbl_https);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>