<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = CERT;
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once("crt_utils.php");

$where = "";
$restrict = "";
$cltID 	= $_SESSION['CLT_ID'];
$f_etat = pget('f_etat');
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');
//recuperation des donnees du filtre
$f_alias 		= pget('f_alias');
$f_format		= pget('f_format');
$f_part 		= pget('f_part');

// Ouverture de la banque de certificat
$req = "SELECT CLT_REPCLI_IHM FROM CLIENT
			 		where CLT_ID=$cltID";
$gDb->SQLQuery($req, 1);
$res = $gDb->SQLNextRow(1);
$cheminBank = $res['CLT_REPCLI_IHM']."/certificat";
php_aocl_open_certificate_bank("$cheminBank");
$crlList = "";
// Recuperation des CRL 
$req = "SELECT CRT_ID_BANK   
			FROM CERTIFICAT 
			WHERE CERTIFICAT.CLT_ID = ".$cltID." AND CERTIFICAT.CRT_FORMAT = ".CRT_FOR_CRL;
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
{
	$crlList .= $row['CRT_ID_BANK'].";";
}
$gDb->SQLFermeQuery(1);


//filtre
if ($f_alias) $where  .= " and CRT_ALIAS like '%".dblQ($f_alias)."%' ";
if ($f_format) $where .= " and CRT_FORMAT = $f_format ";
if ($f_part) 
{
	$fils="";
	trouve_fils($f_part);
	if ($fils) $f_part=$f_part.", ".$fils;
	$where .= " and CERTIFICAT.PAR_ID IN ($f_part) ";
}
else
{
	Construit_restriction($droitRole, "CERTIFICAT.PAR_ID", null, null, null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);
}

$req = "SELECT SQL_CALC_FOUND_ROWS CRT_ID, CRT_ID_BANK, CRT_ALIAS, CRT_TYPE, CRT_FORMAT, CRT_DATE_VALID_DU, CRT_DATE_VALID_AU, CRT_PROP_NOM,
			CRT_PROP_EMAIL, PAR_ID, KEY_CRT_ID, CRT_EMET_NOM, CRT_EMET_EMAIL   
			FROM CERTIFICAT 
			WHERE CERTIFICAT.CLT_ID = ".$cltID." ".$where." ".$restrict;

$champs = array();
$champs[] = array("nom" => $lang_flux_pargen_crt_grid_head_alias, "toolTip" => $lang_flux_pargen_crt_grid_head_alias, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_crt_grid_head_lie_format, "toolTip" => $lang_flux_pargen_crt_grid_head_lie_format, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_crt_grid_head_lie_avec, "toolTip" => $lang_flux_pargen_crt_grid_head_lie_avec, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{

	$toolTip = "";
	$urlDetail = "#";
	$icon = $pathStyle."imgs/icons/certif.png";
	
	$params = array();
	$params['crt_id'] = $row['CRT_ID'];
	$params['type']   = $row['CRT_FORMAT'];
	
	switch($row['CRT_FORMAT'])
	{
		case CRT_FOR_CER :
			// Si le certificat est lie a un partenaire
			if ($row['PAR_ID'])
			{
				// C'est un certificat
				$format =$lang_flux_pargen_crt_filtre_format_crt;
				$req2 = "SELECT PAR_NOM FROM PART WHERE PAR_ID = ".$row['PAR_ID'];
				$iconetmp=$pathStyle."imgs/icons/part.gif";
			}
			else
			{
				// C'est un certificat CA
				$format =$lang_flux_pargen_crt_filtre_format_crt_ca;
				$req2 = "";
			}
			//detail
			$detail =htmlentities("<table>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_datedeb.htmlentities("</b></td><td>").sql2date($row['CRT_DATE_VALID_DU']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_datefin.htmlentities("</b></td><td>").sql2date($row['CRT_DATE_VALID_AU']).htmlentities("</td></tr>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_nom_proprio.htmlentities("</b></td><td>").hi_disp($row['CRT_PROP_NOM']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_mail.htmlentities("</b></td><td>").hi_disp($row['CRT_PROP_EMAIL']).htmlentities("</td></tr>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_nom_emetteur.htmlentities("</b></td><td>").hi_disp($row['CRT_EMET_NOM']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_mail_emetteur.htmlentities("</b></td><td>").hi_disp($row['CRT_EMET_EMAIL']).htmlentities("</td></tr>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_status.htmlentities("</b></td><td>").(CertificateStatus($row['CRT_ID_BANK'], $crlList)).htmlentities("</td></tr>");
			$detail.=htmlentities("</table>");
			//params
			$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'imprim_ebics' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'suppr' => (droit($droitRole, DROIT_SUPPR,$row['PAR_ID'],null,null,null)),
									  'telecharger' => (droit(TEL, DROIT_LECT,null,null,null,null)));
			break;
			
		case CRT_FOR_KEY :
			$format =$lang_flux_pargen_crt_filtre_format_cle;
			$req2 = "SELECT CRT_ALIAS FROM CERTIFICAT WHERE CRT_ID = ".$row['KEY_CRT_ID'];
			$iconetmp=$pathStyle."imgs/icons/certif.png";
			$detail="";
			$req3 = "SELECT PAR_ID FROM CERTIFICAT WHERE CRT_ID = ".$row['KEY_CRT_ID'];
			$gDb->SQLQuery($req3,3);
			$row3 = $gDb->SQLNextRow(3);
			//params
			$params['droits'] = array('suppr' => (droit($droitRole, DROIT_SUPPR,$row3['PAR_ID'],null,null,null)));
			break;
			
		case CRT_FOR_AUTH :
			$format =$lang_flux_pargen_crt_filtre_format_cle_auth;
			$req2 = "SELECT PAR_NOM FROM PART WHERE PAR_ID = ".$row['PAR_ID'];
			$iconetmp=$pathStyle."imgs/icons/part.gif";
			//detail
			$detail = "";
			//params
			$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'imprim_ebics' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'suppr' => (droit($droitRole, DROIT_SUPPR,$row['PAR_ID'],null,null,null)),
									  'telecharger' => (droit(TEL, DROIT_LECT,null,null,null,null)));
			break;
			
		case CRT_FOR_ENCR :
			$format =$lang_flux_pargen_crt_filtre_format_cle_encr;
			$req2 = "SELECT PAR_NOM FROM PART WHERE PAR_ID = ".$row['PAR_ID'];
			$iconetmp=$pathStyle."imgs/icons/part.gif";
			//detail
			$detail = "";
			//params
			$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'imprim_ebics' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'suppr' => (droit($droitRole, DROIT_SUPPR,$row['PAR_ID'],null,null,null)),
									  'telecharger' => (droit(TEL, DROIT_LECT,null,null,null,null)));
			break;
			
		case CRT_FOR_CERT_TS :
			$format =$lang_flux_pargen_crt_filtre_format_certif_TS;
			$req2 = "SELECT PAR_NOM FROM PART WHERE PAR_ID = ".$row['PAR_ID'];
			$iconetmp=$pathStyle."imgs/icons/part.gif";
			//detail
			$detail =htmlentities("<table>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_datedeb.htmlentities("</b></td><td>").sql2date($row['CRT_DATE_VALID_DU']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_datefin.htmlentities("</b></td><td>").sql2date($row['CRT_DATE_VALID_AU']).htmlentities("</td></tr>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_nom_proprio.htmlentities("</b></td><td>").hi_disp($row['CRT_PROP_NOM']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_mail.htmlentities("</b></td><td>").hi_disp($row['CRT_PROP_EMAIL']).htmlentities("</td></tr>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_nom_emetteur.htmlentities("</b></td><td>").hi_disp($row['CRT_EMET_NOM']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_mail_emetteur.htmlentities("</b></td><td>").hi_disp($row['CRT_EMET_EMAIL']).htmlentities("</td></tr>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_status.htmlentities("</b></td><td>").(CertificateStatus($row['CRT_ID_BANK'], $crlList)).htmlentities("</td></tr>");
			$detail.=htmlentities("</table>");
			//params
			$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'imprim_ebics' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'extract' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'suppr' => (droit($droitRole, DROIT_SUPPR,$row['PAR_ID'],null,null,null)));
			break;

		case CRT_FOR_CRL :
			$format =$lang_flux_pargen_crt_filtre_format_list_revoc;
			$req2="";
			//detail
			$detail =htmlentities("<table>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_datedeb.htmlentities("</b></td><td>").sql2date($row['CRT_DATE_VALID_DU']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_datefin.htmlentities("</b></td><td>").sql2date($row['CRT_DATE_VALID_AU']).htmlentities("</td></tr>");
			$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_crt_aff_lbl_nom_emetteur.htmlentities("</b></td><td>").hi_disp($row['CRT_EMET_NOM']).htmlentities("</td>");
			$detail.=htmlentities("<td><b>").$lang_flux_pargen_crt_aff_lbl_mail_emetteur.htmlentities("</b></td><td>").hi_disp($row['CRT_EMET_EMAIL']).htmlentities("</td></tr>");
						$detail.=htmlentities("</table>");
			//params
			$params['droits'] = array('suppr' => (droit($droitRole, DROIT_MODIF,$row['PAR_ID'],null,null,null)),
									  'telecharger' => (droit(TEL, DROIT_LECT,null,null,null,null)));
			break;
	}
	
	$partNom="";
	$iconeLien="";
	if ($req2 != "")
	{
		$gDb->SQLQuery($req2,2);
		$row2 = $gDb->SQLNextRow(2);
		$partNom = $row2[0];
	}
	if ($partNom!="") $iconeLien=$iconetmp;
	
	echo '<row detail="'.$detail.'">';
	echo '<item caption="'.hi_disp($row['CRT_ALIAS']).'" toolTip="'.$lang_flux_pargen_crt_grid_head_alias.'" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.htmlentities('<b>').$format.htmlentities('</b>').'"/>';
	echo '<item caption="'.$partNom.'" icon="'.$iconeLien.'"/>';
	echo '</row>';
}
$gDb->SQLFermeQuery(1);
// fermeture banque
php_aocl_close_certificate_bank();

echo '</databind>';

if ((!isset($_SESSION['CERT_FILTER']['remember'])) || ($_SESSION['CERT_FILTER']['remember']))
{
	$_SESSION['CERT_FILTER'] = array (
	'remember'		=> true,
	'pageNum'		=> $pageNum,
	'pageSize' 		=> $pageSize,
	'partenaire'    => $f_part,
	'alias' 		=> $f_alias,
	'format'		=> $f_format);
}

?>