<?php
$DEFAULT_PATH = "../../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = PDM; //droit 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "flux/pargen/demat/archiv/arc_dsGrid.php";

$cltID 	  = $_SESSION['CLT_ID'];
$f_part   = pget('f_part');
$where = "";
$pageSize=pget('pageSize');
$pageNum=pget('pageNum');

Construit_restriction($droitRole, "PART.PAR_ID", null, null, null, $restrict1, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);
Construit_restriction($droitRole, null, "PART.PAR_ID", null, null, $restrict2, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);
$res1=substr($restrict1,4);
$res2=substr($restrict2,4);
if ($res1 && $res2)
$restriction=" AND ( ( ".$res1." ) OR ( ".$res2." ) )" ;
else $restriction=null;

if (!empty($f_part)) $where .= " AND PAR_NOM like '".dblQ($f_part)."' ";

$req="Select SQL_CALC_FOUND_ROWS PAD_ID, PAR_NOM, PAD_NOM_ARCH, PAD_NUM_ARCH, PAD_CHEM_ARCH, PAD_TAILLE_ARCH,
			PAD_DELAI_CLOT_ARCH, PAD_DATE_CREAT_ARCH , PART_DEMAT.PAR_ID, PAD_CHEM_ARCH_MOT 
			FROM PART_DEMAT, PART 
			WHERE PART.PAR_ID=PART_DEMAT.PAR_ID AND
			PART.CLT_ID=".$cltID." 
     		".$where." ".$restriction; 

$champs = array();
$champs[] = array("nom" => $lang_flux_pargen_inv_arch_grid_head_part, "toolTip" => "", "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_inv_arch_grid_head_nom_arch, "toolTip" => "", "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_inv_arch_grid_head_num_arch, "toolTip" => "", "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_inv_arch_grid_head_path_arch, "toolTip" => "", "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_inv_arch_grid_head_pathmot_arch, "toolTip" => "", "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{

	$params = array();
	$params['pad_id'] = $row['PAD_ID'];
	//$params['id_emet']=$row[8];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,$row['PAD_ID'],null,null,null)),
							  'suppr' => (droit($droitRole, DROIT_SUPPR,$row['PAD_ID'],null,null,null)));
	
	
	
	//detail *************************************************************************************************************************
	
	$req2="Select PAR_NOM, PAD_NOM_ARCH, PAD_NUM_ARCH, PAD_CHEM_ARCH, PAD_TAILLE_ARCH,
	PAD_DELAI_CLOT_ARCH, PAD_DATE_CREAT_ARCH, PAD_CHEM_ARCH_MOT
	FROM PART_DEMAT, PART
	WHERE PART_DEMAT.PAR_ID=PART.PAR_ID
	AND PAD_ID=".$row['PAD_ID'];
	$gDb->SQLQuery($req2, 2);
	$row2 = $gDb->SQLNextRow(2);
	$detail  = "";
	$detail .= hi_disp("<table><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_grid_head_part;
	$detail .= hi_disp("</b></td><td>".$row2['PAR_NOM']."</td></tr><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_grid_head_nom_arch;
	$detail .= hi_disp("</b></td><td>".$row2['PAD_NOM_ARCH']."</td></tr><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_grid_head_num_arch;
	$detail .= hi_disp("</b></td><td>".$row2['PAD_NUM_ARCH']."</td></tr><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_grid_head_path_arch;
	$detail .= hi_disp("</b></td><td>".$row2['PAD_CHEM_ARCH']."</td></tr><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_aff_lbl_size;
	$detail .= hi_disp("</b></td><td>".$row2['PAD_TAILLE_ARCH']."</td></tr><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_aff_lbl_delai;
	$detail .= hi_disp("</b></td><td>".$row2['PAD_DELAI_CLOT_ARCH']."</td></tr><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_aff_lbl_date;
	$detail .= hi_disp("</b></td><td>".$row2['PAD_DATE_CREAT_ARCH']."</td></tr><tr><td><b>");
	$detail .= $lang_flux_pargen_inv_arch_grid_head_pathmot_arch;
	$detail .= hi_disp("</b></td><td>".$row2['PAD_CHEM_ARCH_MOT']."</td></tr></table>");
	
	$gDb->SQLFermeQuery(2);
	
	//fin detail **********************************************************************************************************************							
							
	$icon = $pathStyle."imgs/icons/part.gif";
	
	echo '<row detail="'.$detail.'" >';
	
	echo '<item caption="'.hi_disp($row['PAR_NOM']).'" toolTip="" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['PAD_NOM_ARCH']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row['PAD_NUM_ARCH']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row['PAD_CHEM_ARCH']).'" toolTip="" icon="" value=""/>';
	echo '<item caption="'.hi_disp($row['PAD_CHEM_ARCH_MOT']).'" toolTip="" icon="" value=""/>';
	//echo '<item caption="'.$val=($row[5]==0)?(""):($row[5]).'" toolTip="" icon="" value=""/>';
	
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';

?>