<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PDM; //droit de gestion des logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/pargen/demat/p2p/p2p_actCreate.php";

$vtp = new VTemplate;

$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

$readOnly = false;
$panelTitle = $lang_lbl_create;
$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";

//Variable générales
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_inv_part_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/part.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id",  "aide_arch_partenaires");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$head_javascript = "

function verifForm() {
	ret =(Prologue.comboTree.getSelected('part1').value==Prologue.comboTree.getSelected('part2').value) 
	if (ret)
	{
		alert('".$lang_flux_pargen_inv_part_aff_msg_err_same_part."');
	}
    else if ($('ptp_adresse_emet').value.length == 0) 
    {
        alert('".$lang_flux_pargen_inv_part_aff_msg_err_adremet_vide."');
    }
    else if ($('ptp_adresse_dest').value.length == 0) 
    {
        alert('".$lang_flux_pargen_inv_part_aff_msg_err_adrdest_vide."');
    }
	else if (Prologue.comboList.getSelected('ptp_qualite_emet').value==Prologue.comboList.getSelected('ptp_qualite_dest').value)
	{
		alert('".$lang_flux_pargen_inv_part_aff_msg_err_same_qualite."');
	}
	else {
		if (submitForm(this.document.forms['filtre'], 'p2p_actAction.php', prlExec)==0)
		{
			changePage('p2p_gest.php');
		}
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);


// partenaire emet
$javascript = "
	with(new prlComboTree('part1', '')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=0&lmcse=".DROIT_CREAT."';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_part_filtre_part1);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// partenaire dest
$javascript = "
	with(new prlComboTree('part2', '')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=0&lmcse=".DROIT_CREAT."';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_part_filtre_part2);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// etat
$javascript = "
	with(new prlComboList('ptp_statut', '')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSEtat.php?type=demat';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_part_filtre_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//ASGS1
//adresse emet
$javascript = "
	with(new prlTextBox('ptp_adresse_emet', prlTextBox.formats.any, '')) {
		maxLength  = 85;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field","");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_adr_part1." (*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//qualite emet
$javascript = "
	with(new prlComboList('ptp_qualite_emet', '')) {
		add('$lang_sui_inv_act_im_lbl_part_se', '', '', 'V');
		add('$lang_sui_inv_act_im_lbl_part_by', '', '', 'A');
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_qual_part1);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//adresse dest
$javascript = "
	with(new prlTextBox('ptp_adresse_dest', prlTextBox.formats.any, '')) {
		maxLength  = 85;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field","");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_adr_part2." (*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//qualite dest
$javascript = "
	with(new prlComboList('ptp_qualite_dest', '')) {
		add('$lang_sui_inv_act_im_lbl_part_by', '', '', 'A');
		add('$lang_sui_inv_act_im_lbl_part_se', '', '', 'V');
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_qual_part2);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//ASGS1 fin

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>