<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$droitRole = PDM; //droit de gestion des alertes
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "flux/pargen/demat/p2p/p2p_gest.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

//$vtp->setVar($form, "global.head_javascript", $headScript);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_inv_part_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/part.gif");
$vtp->setVar($form, "global.help_id", "aide_arch_partenaires");
$vtp->setVar($form, "global.url_grid", $pathFlow."flux/pargen/demat/p2p/p2p_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $dataSrc);
					
//Etat
$type = "demat";
$showNull = "1";
require $DEFAULT_PATH."dataSources/dSEtat.php";
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_etat,
					"ds_filtre" => $dataSrc);
					
$filtre[] = array("id_filtre" => "new_line");

//Emetteur
$filtre[] = array("id_filtre" => "f_emet", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_flux_pargen_inv_part_filtre_part1,
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Destinataire
$filtre[] = array("id_filtre" => "f_dest", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_flux_pargen_inv_part_filtre_part2,
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");

//Adresse part 1
$type_partdemat = "adresse1";
$filtre[] = array("id_filtre" => "f_ad_part1", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_adresse_part1,
					"ds_filtre" => $pathFlow."dataSources/dSPart_Demat.php?type_partdemat=".$type_partdemat."&droitRole=$droitRole&showNull=1");

//Adresse part 2					
$type_partdemat = "adresse2";
$filtre[] = array("id_filtre" => "f_ad_part2", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_adresse_part2,
					"ds_filtre" => $pathFlow."dataSources/dSPart_Demat.php?type_partdemat=".$type_partdemat."&droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");					
//Qualite part 1
$type_partdemat = "qualite1";
$filtre[] = array("id_filtre" => "f_qual_part1", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_qualite_part1,
					"ds_filtre" => $pathFlow."dataSources/dSPart_Demat.php?type_partdemat=".$type_partdemat."&droitRole=$droitRole&showNull=1");

//Qualite part 2					
$type_partdemat = "qualite2";
$filtre[] = array("id_filtre" => "f_qual_part2", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_qualite_part2,
					"ds_filtre" => $pathFlow."dataSources/dSPart_Demat.php?type_partdemat=".$type_partdemat."&droitRole=$droitRole&showNull=1");
					
$filtre[] = array("id_filtre" => "new_line");					

//Date d'entrée en demat
$type_partdemat = "date_entree";
$filtre[] = array("id_filtre" => "f_entree_demat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_date_entree,
					"ds_filtre" => $pathFlow."dataSources/dSPart_Demat.php?type_partdemat=".$type_partdemat."&droitRole=$droitRole&showNull=1");

//Date de sortie de demat					
$type_partdemat = "date_sortie";
$filtre[] = array("id_filtre" => "f_sortie_demat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_date_sortie,
					"ds_filtre" => $pathFlow."dataSources/dSPart_Demat.php?type_partdemat=".$type_partdemat."&droitRole=$droitRole&showNull=1");
					
					
mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"print" => array("show" => true
						,"title" => utf8_encode(addslashes($lang_flux_pargen_inv_part_title_defaut))),
						"csv" => true);

$body_js = "";
						
//Passer en demat / sortir de demat
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_inv_part_filtre_etat_indemat_act." / ".$lang_flux_pargen_inv_part_filtre_etat_outdemat_act,
							  "icon" => $pathFlow."style/imgs/icons/play.gif",
							  "action" => array("name" => "modif",
							  "page" => "flux/pargen/demat/p2p/p2p_actAction.php",
							  "callback" => "prlExecGrid",
							  "get_params" => array('ptp_id','action')));
							
	$option_toolbar[] = array("caption" => '',
							  "icon" => '',
							  "onClick" => '',
							  "value" => '__SEPARATOR__');
$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}
//Creer
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'p2p_actCreate.php?action=create\');"
);
}

//Supprimer
/*if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_lbl_supprimer,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
												"page" => "flux/pargen/demat/p2p/p2p_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('id_dest','id_emet','action')));
$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_pargen_inv_part_grid_quest_suppr)."';
	return confirm(msg_suppr);
};
";
}*/

//Modifier adresse et qualite
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_inv_part_filtre_change_ad_qual,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modifad",
												"page" => "flux/pargen/demat/p2p/p2p_actChange.php",
												"callback" => "changePage",
												"get_params" => array('ptp_id','add1','v1','add2','v2')));
	$body_js .= "
	rowAction.actions.modifad.check = function (params) {
	params.action = 'modifad';
	return true;
};
";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
