<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FRM;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "flux/pargen/form/frm_actAffich.php";

$vtp = new VTemplate;

$frm_id = pget('frm_id');
$action = pget('action');


$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable gnrales

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_menu_lbl_frm_tooltip));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/form.png");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "pargen_form_create");

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", "false");

//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "frm_id");
$vtp->setVar($form, "form_input_hidden.value", $frm_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($frm_id))
{
	$req = "SELECT FRM_ID, FRM_TITRE, FRM_TEMPLATE, FOR_ID
			FROM FORMULAIRE 
			WHERE FRM_ID = $frm_id AND FRM_ETAT=".ETAT_ACTIF;
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

//Construction de la fonction de vrification du formulaire
$fieldListID = "'frm_template', 'frm_titre', 'for_id', 'frm_id'";
$fieldListName = "'".addslashes($lang_lbl_frm_template)."'";
$fieldListName .= ",'".addslashes($lang_lbl_frm_titre)."'";
$fieldListName .= ",'".addslashes($lang_flux_gest_aff_lbl_fdoc)."'";

$head_javascript = "
//Liste des champs obligatoires
var fieldListID = new Array($fieldListID);
		
//Liste des libells de champs obligatoires								
var fieldListName = new Array($fieldListName);

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(fieldListID[i] != 'frm_id' && fieldListID[i] != 'for_id' && inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
	}

	if(check && (submitForm(this.document.forms['filtre'], 'frm_actAction.php', prlExec) == 0)) {
		changePage('frm_gest.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// nom du formulaire
if (isset($row['FRM_TITRE'])) {$FRM_TITRE = $row['FRM_TITRE'];} else {$FRM_TITRE="";};
$javascript = "
	with(new prlTextBox('frm_titre', prlTextBox.formats.any, '$FRM_TITRE')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		width = '250';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_frm_titre_toolTip.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// template du formulaire
if (isset($row['FRM_TEMPLATE'])) {$FRM_TEMPLATE = $row['FRM_TEMPLATE'];} else {$FRM_TEMPLATE="";};
$javascript = "
	with(new prlTextBox('frm_template', prlTextBox.formats.any, '$FRM_TEMPLATE')) {
		maxLength  = 255;
		width = '250';
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_frm_template.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// document associ
if (isset($row['FOR_ID'])) {$FOR_ID = $row['FOR_ID'];} else {$FOR_ID="";};
$javascript = "
	with(new prlComboList('for_id', '$FOR_ID')) {
		dataSource = Flow.path+'dataSources/dSFormatDoc.php?droit=$lmcse&showNull=0';
		dropDown.height = '170';
		dropDown.width = '255';
		width = '250';
		create();
	};";
	
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_aff_lbl_fdoc.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>