<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = FRM;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$cltID = $_SESSION['CLT_ID'];

$req = "SELECT SQL_CALC_FOUND_ROWS FRM_ID, FRM_TITRE, FRM_TEMPLATE, FOR_NOM, FOR_NORME, FOR_VERSION, TDOC_NOM, `FORMAT`.TDOC_ID 
   		FROM FORMULAIRE, `FORMAT`, TYPE_DOC
		WHERE FORMULAIRE.CLT_ID = $cltID
		AND FRM_ETAT = ".ETAT_ACTIF."
		AND FORMULAIRE.FOR_ID = `FORMAT`.FOR_ID 
		AND `FORMAT`.TDOC_ID = TYPE_DOC.TDOC_ID";
	
$champs = array();
$champs[] = array("nom" => $lang_lbl_frm_titre, "toolTip" => $lang_lbl_frm_titre_toolTip, "sortMode" => "1");
$champs[] = array("nom" => $lang_lbl_frm_template, "toolTip" => $lang_lbl_frm_template, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_doc, "toolTip" => $lang_flux_gest_aff_lbl_fdoc, "sortMode" => "1");
 
$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header pn="'.$pageNum.'" ps="'.$pageSize.'">';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	
	$params = array();
	$params['frm_id'] = $row['FRM_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
		  					  'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));

	echo '<item caption="'.hi_disp($row['FRM_TITRE']).'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['FRM_TEMPLATE']).'"/>';
	echo '<item caption="'.hi_disp($row['TDOC_NOM']." - ".$row['FOR_NORME']." - ".$row['FOR_NOM']." - ".$row['FOR_VERSION']).'"/>';

	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>