<?php
$DEFAULT_PATH = str_repeat("../", (substr_count($_SERVER["PHP_SELF"], "/") - 2));
require_once ($DEFAULT_PATH."struct.php");	//liste des define

$droitRole = RES;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");


$page_courante = "flux/pargen/pesit/flux_pargen_pesit.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$headScript = "";
$vtp->setVar($form, "global.head_javascript", $headScript);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_pesit_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/srv_pesit.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."flux/pargen/pesit/flux_pargen_pesit_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "20");
$vtp->setVar($form, "global.help_id", "liste_serveur_pesit");

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						"detail" => false,
						"print" => array("show" => true
									, "title" => utf8_encode(addslashes($lang_flux_pargen_pesit_title_defaut))),
						"csv" => true);

//créer
if (droit($droitRole, DROIT_CREAT,null,null,null,null))
{
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							  "icon" => $pathFlow."style/imgs/icons/add.gif",
							  "onClick" => "changePage(\'${pathFlow}flux/pargen/pesit/flux_pargen_pesit_actAffich.php?action=create\');");
}
//modifier
$option_toolbar[] = array("caption" => $lang_flux_tdoc_grid_act_modif,
					"icon" => $pathStyle."imgs/icons/admin.gif",
					"action" => array("name" => "modif",
									"page" => "flux/pargen/pesit/flux_pargen_pesit_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('spp_id', 'action')));
									
//supprimer
$option_toolbar[] = array("caption" => $lang_flux_tdoc_grid_act_suppr,
					"icon" => $pathStyle."imgs/icons/trash.png",
					"action" => array("name" => "remove",
									"page" => "flux/pargen/pesit/flux_pargen_pesit_actAction.php",
									"callback" => "prlExecGrid",
									"get_params" => array('spp_id', 'action')));

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};

rowAction.actions.remove.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_pargen_as2_grid_quest_suppr)."';
	return confirm(msg_suppr);
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);
$vtp->closeSession($form, "global");
$vtp->Display();
?>
