<?php
$DEFAULT_PATH = str_repeat("../", (substr_count($_SERVER["PHP_SELF"], "/") - 2));
require_once($DEFAULT_PATH."struct.php");

$droitRole = RES;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");

$pageSize = pget('pageSize');
$pageNum = pget('pageNum');

$cltID = $_SESSION['CLT_ID'];

$req = "SELECT SQL_CALC_FOUND_ROWS PRO_NOM, PAR_NOM, SPP_PORT, SPP_SSL, SPP_AUTH, SPP_LOG, SPP_ID
		FROM PROCESSUS, PART, SRVPESIT_PARAM WHERE PROCESSUS.PRO_ID=SRVPESIT_PARAM.PRO_ID AND PART.PAR_ID=SRVPESIT_PARAM.PAR_ID";

$champs = array();
$champs[] = array("nom" => $lang_flux_pargen_as2_grid_head_proc, "toolTip" => $lang_flux_pargen_as2_grid_head_proc, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_as2_grid_head_part, "toolTip" => $lang_flux_pargen_as2_grid_head_part, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_as2_grid_head_port, "toolTip" => $lang_flux_pargen_as2_grid_head_port, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_pesit_grid_head_ssl, "toolTip" => $lang_flux_pargen_pesit_grid_head_ssl, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_part_act_utilisation_certif_Auth, "toolTip" => $lang_flux_part_act_utilisation_certif_Auth, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_proc_grid_head_log, "toolTip" => $lang_sui_proc_grid_head_log, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	
	$params = array();
	$params['spp_id'] = $row['SPP_ID'];
	
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							'remove' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));
	
	echo '<item caption="'.$row['PRO_NOM'].'" value="'.row_encode_JSON($params).'" icon="'.$pathStyle.'imgs/icons/exec.png"/>';
	echo '<item caption="'.hi_disp($row['PAR_NOM']).'" icon="'.$pathStyle.'imgs/icons/part2.gif"/>';
	echo '<item caption="'.$row['SPP_PORT'].'"/>';
	echo '<item caption="'.(($row['SPP_SSL'] == '1')?$lang_lbl_oui:$lang_lbl_non).'"/>';
	echo '<item caption="'.(($row['SPP_AUTH'] == '1')?$lang_lbl_oui:$lang_lbl_non).'"/>';
	echo '<item caption="'.(($row['SPP_LOG'] == '1')?$lang_lbl_oui:$lang_lbl_non).'"/>';
	
	echo '</row>';
}	
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>