<?php
$DEFAULT_PATH = "../../../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX;	//droit de gestion des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;//droits en lmcs
$where = "";
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
require_once($DEFAULT_PATH."msg.php");				//prototype des messages d'erreur
include($DEFAULT_PATH."header.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "flux/pargen/rapproch/detail_rapproch.php";

$TRAP_ID = pget("TRAP_ID");

function apply_xsl($xsl_file, $xml_file, $xslt_params, &$result)
{
	if (!($xml_handle = @fopen($xml_file, "r"))) {$result = "Le fichier '$xml_file' n'existe pas ou n'est pas accessible depuis l'IHM"; return false;}
	if (!($xsl_handle = @fopen($xsl_file, "r"))) {$result = "Impossible d'ouvrir le fichier '$xsl_file'"; return false;}
	if (!($xml_content 	= @fread($xml_handle, @filesize($xml_file))))  {$result = "Impossible de lire le fichier '$xml_file'"; return false;}
	if (!($xsl_content 	= @fread($xsl_handle, @filesize($xsl_file))))  {$result = "Impossible de lire le fichier '$xsl_file'"; return false;}
	@fclose($xml_handle);
	@fclose($xsl_handle);
	$xslt_args = array('/_xml' => $xml_content, '/_xsl' => $xsl_content);
	if (!($xh = @xslt_create()))  {$result = "Impossible d'initialiser le processeur XSL"; return false;}
	if (!($result = @xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $xslt_args, $xslt_params)))
		 {$result = "Impossible d'appliquer la feuille de style '$xsl_file' au fichier '$xml_file'"; return false;}
	@xslt_free($xh);	
	return true;
}

$vtp = new VTemplate;

$req = "select TRAP_ID, TRAP_LIBELLE, TRAP_LIB_DG_1, TRAP_LIB_DG_2, TRAP_LIB_DG_3, TRAP_LIB_DG_4, 
		TRAP_LIB_DG_5, TRAP_FIC_TRAD, TRAP_SENS 
		from TYPE_RAPPROCH 
		where TRAP_ID = $TRAP_ID";
$gDb->SQLQuery($req,1);
$row = $gDb->SQLNextRow(1);
$form = $vtp->Open("detail_rapproch.vtp");
$vtp->addSession($form, "gest");
$vtp->setVar($form, "gest.style", 		$pathStyle);

for ($i = 1; $i <= 5; $i++)
{
	$vtp->addSession($form, "DG");
	$vtp->setVar($form, "DG.id", $i);
	$vtp->setVar($form, "DG.format", "DG_".$i);
	if ($row["TRAP_LIB_DG_".$i]) $vtp->setVar($form, "DG.dg", hi_disp($row["TRAP_LIB_DG_".$i]));
	$vtp->setVar($form, "DG.dg", "Pas de libelle");
	$vtp->closeSession($form, "DG");
}
$vtp->setVar($form, "gest.TRAP_LIBELLE", hi_disp($row['TRAP_LIBELLE']));

if ($row['TRAP_FIC_TRAD'])
{
	$vtp->addSession($form, "trad");
	$vtp->setVar($form, "trad.TRAP_FIC_TRAD", hi_disp($row['TRAP_FIC_TRAD']));
	
	$xsl_params = array();
	if (!apply_xsl("trad_rappr.xsl", $row['TRAP_FIC_TRAD'], $xslt_params, $result))
	{
		$vtp->setVar($form, "trad.msg", $result);
	}
	else
	{
		eval ($result);
		for ($i = 1; $i <= 5; $i++)
		{
			if (${"DON_TETE_".$i})
			{
				$vtp->addSession($form, "DT");
				$vtp->setVar($form, "DT.id", $i);
				$vtp->setVar($form, "DT.format", "DT_".$i);
				if (${"DON_TETE_".$i} != " ") $vtp->setVar($form, "DT.dt", ${"DON_TETE_".$i});
				else $vtp->setVar($form, "DT.dt", "Pas de libell�");
				$vtp->closeSession($form, "DT");
			}
			
			if (${"DON_LIGNE_".$i})
			{
				$vtp->addSession($form, "DL");
				$vtp->setVar($form, "DL.id", $i);
				$vtp->setVar($form, "DL.format", "DL_".$i);
				if (${"DON_LIGNE_".$i} != " ") $vtp->setVar($form, "DL.dl", ${"DON_LIGNE_".$i});
				else $vtp->setVar($form, "DL.dl", "Pas de libell�");
				$vtp->closeSession($form, "DL");
			}
		}
	}
	
	$vtp->closeSession($form, "trad");
}

switch($row['TRAP_SENS'])
{
	case TRAP_SENS_ALLER : 	$vtp->setVar($form, "gest.TRAP_SENS", "Aller"); break;
	default :				$vtp->setVar($form, "gest.TRAP_SENS", "Retour");
}
$vtp->setVar($form, "gest.detail_type", $lang_flux_pargen_rapproch_type_aff_pnl_title_detail);
$gDb->SQLFermeQuery(1);

$vtp->closeSession($form, "gest");
$vtp->Display();
?>
