<?php
$DEFAULT_PATH = "../../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX; 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once("macro_rapproch.php");

$page_courante = "flux/pargen/rapproch/regles/reglrapp_gest_actAction.php";

$clt_id  = $_SESSION['CLT_ID'];
$RRAP_ID = pget('RRAP_ID');				
$action	 = pget('action');					

$rrap_libelle  		= pget('RRAP_LIBELLE');
$rrap_id_aller  	= pget('RRAP_ID_ALLER');
$rrap_id_ret  		= pget('RRAP_ID_RET');
$rrap_regle_1		= pget('RRAP_REGLE_1');
$rrap_alt_id_1		= pget('RRAP_ALT_ID_1');
$rrap_lib_1			= pget('RRAP_LIB_1');
$rrap_etat_1		= pget('RRAP_ETAT_1');
$rrap_regle_2		= pget('RRAP_REGLE_2');
$rrap_alt_id_2		= pget('RRAP_ALT_ID_2');
$rrap_lib_2			= pget('RRAP_LIB_2');
$rrap_etat_2		= pget('RRAP_ETAT_2');
$rrap_regle_3		= pget('RRAP_REGLE_3');
$rrap_alt_id_3		= pget('RRAP_ALT_ID_3');
$rrap_lib_3			= pget('RRAP_LIB_3');
$rrap_etat_3		= pget('RRAP_ETAT_3');
$rrap_regle_4		= pget('RRAP_REGLE_4');
$rrap_alt_id_4		= pget('RRAP_ALT_ID_4');
$rrap_lib_4			= pget('RRAP_LIB_4');
$rrap_etat_4		= pget('RRAP_ETAT_4');
$rrap_regle_5		= pget('RRAP_REGLE_5');
$rrap_alt_id_5		= pget('RRAP_ALT_ID_5');
$rrap_lib_5			= pget('RRAP_LIB_5');
$rrap_etat_5		= pget('RRAP_ETAT_5');

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

/************************************************************/
/* DEBUT ACTION = SUPPRESSION		 						*/
/************************************************************/
if ($action == "suppr" && droit($droitRole, DROIT_SUPPR,null,null,null,null))
{
	$req = "delete from REGLE_RAPPROCH
			where RRAP_ID = $RRAP_ID";

	if (!$gDb->SQLQuery($req, 1))
	{
		$msg = $lang_flux_pargen_rapproch_rule_act_suppr_msg_err;
		$return = 1;
	}
	else
	$msg = $lang_flux_pargen_rapproch_rule_act_suppr_msg_ok;
	$return = 0;
}
/************************************************************/
/* FIN ACTION = SUPPRESSION 								*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = CREATION 									*/
/************************************************************/
if ($action == "create" && droit($droitRole, DROIT_CREAT,null,null,null,null)){

	$req = "select RRAP_ID
			from REGLE_RAPPROCH 
			where RRAP_ID_RET = $rrap_id_ret";

	if (!$gDb->SQLQuery($req, 1)){
		$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_err;
		$return = 1;
	}else{
		$row = $gDb->SQLNextRow(1);
		if ($row){
			$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_err_wrong_retour;
			$return = 1;
		}
	}
	
	if (!$msg){
		if (!$rrap_regle_1 && !$rrap_regle_2 && !$rrap_regle_3 && !$rrap_regle_4 && !$rrap_regle_5){
			$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_err_no_regle;
			$return = 1;
		}
	}
	
	if (!$msg){
		for ($i = 1; $i <= 5; $i++){
			if (${"rrap_regle_".$i}){
				if (!$msg && !verif_regle_rapproche(${"rrap_regle_".$i}, $msg)){
					$msg = $lang_flux_pargen_rapproch_rule_act_create_lbl_condition.$i." : ".$msg;
					$return = 1;
				}
				
				if (!$msg && ${"rrap_lib_".$i} && ${"rrap_lib_".$i} && !verif_lib_rapproche(${"rrap_lib_".$i}, $msg)){
					$msg = $lang_flux_pargen_rapproch_rule_act_create_lbl_libel.$i." : ".$msg;
					$return = 1;
				}
			}
			if ($msg) break;
		}
			
		if (!$msg && $rrap_nret_delai != 0 && $rrap_nret_lib && !verif_lib_rapproche($rrap_nret_lib, $msg)){
			$msg = $lang_flux_pargen_rapproch_rule_act_create_lbl_libel_non_retour." : ".$msg;
			$return = 1;
		}
	}
	
	if (!$msg){
		$req = "INSERT INTO REGLE_RAPPROCH
				(RRAP_LIBELLE, RRAP_ID_ALLER, RRAP_ID_RET, 
				RRAP_REGLE_1, RRAP_ALT_ID_1, RRAP_LIB_1, RRAP_ETAT_1,  
				RRAP_REGLE_2, RRAP_ALT_ID_2, RRAP_LIB_2, RRAP_ETAT_2, 
				RRAP_REGLE_3, RRAP_ALT_ID_3, RRAP_LIB_3, RRAP_ETAT_3, 
				RRAP_REGLE_4, RRAP_ALT_ID_4, RRAP_LIB_4, RRAP_ETAT_4, 
				RRAP_REGLE_5, RRAP_ALT_ID_5, RRAP_LIB_5, RRAP_ETAT_5, 
				CLT_ID)
				VALUES 
				('".dblQ($rrap_libelle)."'
				, $rrap_id_aller
				, $rrap_id_ret
				, '".dblQ($rrap_regle_1)."'
				, ".(($rrap_alt_id_1 == "")?("null"):($rrap_alt_id_1))."
				, '".dblQ($rrap_lib_1)."'
				, $rrap_etat_1
				, '".dblQ($rrap_regle_2)."'
				, ".(($rrap_alt_id_2 == "")?("null"):($rrap_alt_id_2))."
				, '".dblQ($rrap_lib_2)."'
				, $rrap_etat_2
				, '".dblQ($rrap_regle_3)."'
				, ".(($rrap_alt_id_3 == "")?("null"):($rrap_alt_id_3))."
				, '".dblQ($rrap_lib_3)."'
				, $rrap_etat_3
				, '".dblQ($rrap_regle_4)."'
				, ".(($rrap_alt_id_4 == "")?("null"):($rrap_alt_id_4))."
				, '".dblQ($rrap_lib_4)."'
				, $rrap_etat_4
				, '".dblQ($rrap_regle_5)."'
				, ".(($rrap_alt_id_5 == "")?("null"):($rrap_alt_id_5))."
				, '".dblQ($rrap_lib_5)."'
				, $rrap_etat_5 
				, $clt_id)";

		if (!$gDb->SQLQuery($req, 1)){
			$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_err;
			$return = 1;
		}else{
			$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_ok;
			$return=0;
		}
	}
}

/************************************************************/
/* FIN ACTION = CREATION 									*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = MODIFICATION	 							*/
/************************************************************/
if ($action == "modif" && droit($droitRole, DROIT_MODIF,null,null,null,null)) {

	$req = "select RRAP_ID
			from REGLE_RAPPROCH 
			where RRAP_ID_RET = $rrap_id_ret 
			and RRAP_ID != $RRAP_ID";
	
	if (!$gDb->SQLQuery($req, 1)){
		$msg = $lang_flux_pargen_rapproch_rule_act_modif_msg_err;
		$return = 1;
	}else{
		$row = $gDb->SQLNextRow(1);
		if ($row){
			$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_err_wrong_retour;
			$return = 1;
		}
	}
	
	if (!$msg){
		if (!$rrap_regle_1 && !$rrap_regle_2 && !$rrap_regle_3 && !$rrap_regle_4 && !$rrap_regle_5){
			$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_err_no_regle;
			$return = 1;
		}
	}
	
	if (!$msg){
		for ($i = 1; $i <= 5; $i++){
			if (${"rrap_regle_".$i}){
				if (!$msg && !verif_regle_rapproche(${"rrap_regle_".$i}, $msg)){
					$msg = $lang_flux_pargen_rapproch_rule_act_create_lbl_condition.$i." : ".$msg;
					$return = 1;
				}
				if (!$msg && ${"rrap_lib_".$i} && ${"rrap_lib_".$i} && !verif_lib_rapproche(${"rrap_lib_".$i}, $msg))
				{
					$msg = $lang_flux_pargen_rapproch_rule_act_create_lbl_libel.$i." : ".$msg_err;
					$return = 1;
				}
			}
			if ($msg) break;
		}
			
		if (!$msg && $rrap_nret_delai != 0 && $rrap_nret_lib && !verif_lib_rapproche($rrap_nret_lib, $msg))
		{
			$msg = $lang_flux_pargen_rapproch_rule_act_create_lbl_libel_non_retour." : ".$msg_err;
			$return = 1;
		}
	}
	
	if (!$msg){
		$req = "UPDATE REGLE_RAPPROCH set
				RRAP_LIBELLE = '".dblQ($rrap_libelle)."'
				, RRAP_REGLE_1 = '".dblQ($rrap_regle_1)."'
				, RRAP_ALT_ID_1 = ".(($rrap_alt_id_1 == "")?("null"):($rrap_alt_id_1))."
				, RRAP_LIB_1 = '".dblQ($rrap_lib_1)."'
				, RRAP_ETAT_1 = $rrap_etat_1
				, RRAP_REGLE_2 = '".dblQ($rrap_regle_2)."'
				, RRAP_ALT_ID_2 = ".(($rrap_alt_id_2 == "")?("null"):($rrap_alt_id_2))."
				, RRAP_LIB_2 = '".dblQ($rrap_lib_2)."'
				, RRAP_ETAT_2 = $rrap_etat_2
				, RRAP_REGLE_3 = '".dblQ($rrap_regle_3)."'
				, RRAP_ALT_ID_3 = ".(($rrap_alt_id_3 == "")?("null"):($rrap_alt_id_3))."
				, RRAP_LIB_3 = '".dblQ($rrap_lib_3)."'
				, RRAP_ETAT_3 = $rrap_etat_3
				, RRAP_REGLE_4 = '".dblQ($rrap_regle_4)."'
				, RRAP_ALT_ID_4 = ".(($rrap_alt_id_4 == "")?("null"):($rrap_alt_id_4))."
				, RRAP_LIB_4 = '".dblQ($rrap_lib_4)."'
				, RRAP_ETAT_4 = $rrap_etat_4
				, RRAP_REGLE_5 = '".dblQ($rrap_regle_5)."'
				, RRAP_ALT_ID_5 = ".(($rrap_alt_id_5 == "")?("null"):($rrap_alt_id_5))."
				, RRAP_LIB_5 = '".dblQ($rrap_lib_5)."'
				, RRAP_ETAT_5 = $rrap_etat_5 
				where RRAP_ID = $RRAP_ID";

		if (!$gDb->SQLQuery($req, 1)){
			$return = 1;
			$msg = $lang_flux_pargen_rapproch_rule_act_modif_msg_err;
		}
		else
		{
			$msg = $lang_flux_pargen_rapproch_rule_act_create_msg_ok;
			$return =0;
		}
	}
}

/************************************************************/
/* FIN ACTION = MODIFICATION	 							*/
/************************************************************/

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = 'top.reload_menu()';
echo encode_JSON($reponse);
?>