<?php
$DEFAULT_PATH = "../../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = FLX; //droit de gestion des Logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "flux/pargen/rapproch/regles/reglrapp_gest_dSGrid.php";

$where = "";
$clt_id       = $_SESSION['CLT_ID'];
$pageNum      = pget('pageNum');
$pageSize     = pget('pageSize');
$f_rapp_aller = pget('f_rapp_aller');
$f_rapp_ret   = pget('f_rapp_ret');

if ($f_rapp_aller) $where .= " and aller.TRAP_ID = $f_rapp_aller ";
if ($f_rapp_ret)   $where .= " and ret.TRAP_ID = $f_rapp_ret ";

$req = "select SQL_CALC_FOUND_ROWS RRAP_ID, RRAP_LIBELLE,
				aller.TRAP_LIBELLE lib_aller, ret.TRAP_LIBELLE lib_ret
				from TYPE_RAPPROCH aller, TYPE_RAPPROCH ret, REGLE_RAPPROCH 
				where RRAP_ID_ALLER = aller.TRAP_ID 
				and RRAP_ID_RET = ret.TRAP_ID
				and REGLE_RAPPROCH.CLT_ID = ".$clt_id. 
				$where;
				 
$champs = array();
$champs[] = array("nom" => $lang_flux_pargen_rapproch_rule_grid_head_libel, "toolTip" => $lang_flux_pargen_rapproch_rule_grid_head_libel, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_rapproch_rule_grid_head_aller, "toolTip" => $lang_flux_pargen_rapproch_rule_grid_head_aller, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_rapproch_rule_grid_head_retour, "toolTip" => $lang_flux_pargen_rapproch_rule_grid_head_retour, "sortMode" => "1");


$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while ($row = $gDb->SQLNextRow(1)){

	$params = array();
	$params['RRAP_ID'] = $row['RRAP_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							  'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)),
							  'exec' => (droit($droitRole, DROIT_EXEC,null,null,null,null))
	);
	
	//detail -----------------------------------------------------------------------------------------------------------------
	
	$req3 = "select RRAP_LIBELLE, RRAP_ID_ALLER, RRAP_ID_RET,
			RRAP_REGLE_1, RRAP_ALT_ID_1, RRAP_LIB_1, RRAP_ETAT_1,  
			RRAP_REGLE_2, RRAP_ALT_ID_2, RRAP_LIB_2, RRAP_ETAT_2, 
			RRAP_REGLE_3, RRAP_ALT_ID_3, RRAP_LIB_3, RRAP_ETAT_3, 
			RRAP_REGLE_4, RRAP_ALT_ID_4, RRAP_LIB_4, RRAP_ETAT_4, 
			RRAP_REGLE_5, RRAP_ALT_ID_5, RRAP_LIB_5, RRAP_ETAT_5 
			from REGLE_RAPPROCH 
			where RRAP_ID =".$row['RRAP_ID'];
	$gDb->SQLQuery($req3,3);
	$row3 = $gDb->SQLNextRow(3);
	$detail  = htmlentities("<table>");
	// libellé
	$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_grid_head_libel.htmlentities("</b></td><td>").$row3['RRAP_LIBELLE'].htmlentities("</td></tr>");
		// aller/retour
		$detail .= htmlentities("<tr><td><table>");
		$req4 = "select TRAP_LIBELLE from TYPE_RAPPROCH where TRAP_ID =".$row3['RRAP_ID_ALLER'];
		$gDb->SQLQuery($req4,4);
		$row4 = $gDb->SQLNextRow(4);
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_filtre_sens_aller.htmlentities("</b></td><td>").$row4['TRAP_LIBELLE'].htmlentities("</td><td><a href='javascript:Pop_Rapp(\"aller\",\"detail/detail_rapproch.php?TRAP_ID=").$row3['RRAP_ID_ALLER'].htmlentities("\");'>");
		$detail .= htmlentities("<img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		$gDb->SQLFermeQuery(4);
		$detail .= htmlentities("</table></td>");
		$detail .= htmlentities("<td><table>");
		$req5 = "select TRAP_LIBELLE from TYPE_RAPPROCH where TRAP_ID =".$row3['RRAP_ID_RET'];
		$gDb->SQLQuery($req5,5);
		$row5 = $gDb->SQLNextRow(5);
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_filtre_sens_retour.htmlentities("</b></td><td>").$row5['TRAP_LIBELLE'].htmlentities("</td><td><a href='javascript:Pop_Rapp(\"retour\",\"detail/detail_rapproch.php?TRAP_ID=").$row3['RRAP_ID_RET'].htmlentities("\");'>");
		$detail .= htmlentities("<img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		$gDb->SQLFermeQuery(5);
		$detail .= htmlentities("</table></td></tr>");
		$data=1;
	//Regle de rapprochement 1
	if (!empty($row3['RRAP_REGLE_1'])){
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++.htmlentities("</b></td><td></td></tr>");
		//condition
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_condition.htmlentities("</b></td><td>".$row3['RRAP_REGLE_1']);
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//alerte
		if (!empty($row3['RRAP_ALT_ID_1'])){
			$req6 = "select TAL_LIBEL from TYP_ALERTE where TAL_ID =".$row3['RRAP_ALT_ID_1'];
			$gDb->SQLQuery($req6,6);
			$row6 = $gDb->SQLNextRow(6);
			$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_alerte.htmlentities("</b></td><td>");
			$detail .= hi_disp($row6["TAL_LIBEL"]).htmlentities("</td></tr>");
		}
		//libellé
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_libel.htmlentities("</b></td><td>").$row3['RRAP_LIB_1'];
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");


		//etat
		switch ($row3['RRAP_ETAT_1']){
			case ETAT_RAPPR_RAPPROCHE:
				$etat=$lang_sui_rap_grid_lbl_etat_rapp;
				break;
			case ETAT_RAPPR_OK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappok;
				break;
			case ETAT_RAPPR_NOK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappnook;
				break;
		}
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat.htmlentities("</b></td><td>");
		$detail .= $etat.htmlentities("</td></tr>");
	}	
	
	//Regle de rapprochement 2
	if (!empty($row3['RRAP_REGLE_2'])){
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++.htmlentities("</b></td><td></td></tr>");
		//condition
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_condition.htmlentities("</b></td><td>".$row3['RRAP_REGLE_2']);
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//alerte
		if (!empty($row3['RRAP_ALT_ID_2'])){
			$req6 = "select TAL_LIBEL from TYP_ALERTE where TAL_ID =".$row3['RRAP_ALT_ID_2'];
			$gDb->SQLQuery($req6,6);
			$row6 = $gDb->SQLNextRow(6);
			$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_alerte.htmlentities("</b></td><td>");
			$detail .= hi_disp($row6["TAL_LIBEL"]).htmlentities("</td></tr>");
			$gDb->SQLFermeQuery(6);
		}
		//libellé
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_libel.htmlentities("</b></td><td>").$row3['RRAP_LIB_2'];
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//etat
		switch ($row3['RRAP_ETAT_2']){
			case ETAT_RAPPR_RAPPROCHE:
				$etat=$lang_sui_rap_grid_lbl_etat_rapp;
				break;
			case ETAT_RAPPR_OK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappok;
				break;
			case ETAT_RAPPR_NOK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappnook;
				break;
		}
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat.htmlentities("</b></td><td>");
		$detail .= $etat.htmlentities("</td></tr>");
	}
	
	//Regle de rapprochement 3
	if (!empty($row3['RRAP_REGLE_3'])){
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++.htmlentities("</b></td><td></td></tr>");
		//condition
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_condition.htmlentities("</b></td><td>".$row3['RRAP_REGLE_3']);
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//alerte
		if (!empty($row3['RRAP_ALT_ID_3'])){
			$req6 = "select TAL_LIBEL from TYP_ALERTE where TAL_ID =".$row3['RRAP_ALT_ID_3'];
			$gDb->SQLQuery($req6,6);
			$row6 = $gDb->SQLNextRow(6);
			$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_alerte.htmlentities("</b></td><td>");
			$detail .= hi_disp($row6["TAL_LIBEL"]).htmlentities("</td></tr>");
			$gDb->SQLFermeQuery(6);
		}
		//libellé
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_libel.htmlentities("</b></td><td>").$row3['RRAP_LIB_3'];
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//etat
		switch ($row3['RRAP_ETAT_3']){
			case ETAT_RAPPR_RAPPROCHE:
				$etat=$lang_sui_rap_grid_lbl_etat_rapp;
				break;
			case ETAT_RAPPR_OK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappok;
				break;
			case ETAT_RAPPR_NOK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappnook;
				break;
		}
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat.htmlentities("</b></td><td>");
		$detail .= $etat.htmlentities("</td></tr>");
	}

	//Regle de rapprochement 4
	if (!empty($row3['RRAP_REGLE_4'])){
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++.htmlentities("</b></td><td></td></tr>");
		//condition
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_condition.htmlentities("</b></td><td>".$row3['RRAP_REGLE_4']);
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//alerte
		if (!empty($row3['RRAP_ALT_ID_4'])){
			$req6 = "select TAL_LIBEL from TYP_ALERTE where TAL_ID =".$row3['RRAP_ALT_ID_4'];
			$gDb->SQLQuery($req6,6);
			$row6 = $gDb->SQLNextRow(6);
			$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_alerte.htmlentities("</b></td><td>");
			$detail .= hi_disp($row6["TAL_LIBEL"]).htmlentities("</td></tr>");
			$gDb->SQLFermeQuery(6);
		}
		//libellé
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_libel.htmlentities("</b></td><td>").$row3['RRAP_LIB_4'];
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//etat
		switch ($row3['RRAP_ETAT_4']){
			case ETAT_RAPPR_RAPPROCHE:
				$etat=$lang_sui_rap_grid_lbl_etat_rapp;
				break;
			case ETAT_RAPPR_OK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappok;
				break;
			case ETAT_RAPPR_NOK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappnook;
				break;
		}
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat.htmlentities("</b></td><td>");
		$detail .= $etat.htmlentities("</td></tr>");
	}
	
	//Regle de rapprochement 5
	if (!empty($row3['RRAP_REGLE_5'])){
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++.htmlentities("</b></td><td></td></tr>");
		//condition
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_condition.htmlentities("</b></td><td>".$row3['RRAP_REGLE_5']);
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//alerte
		if (!empty($row3['RRAP_ALT_ID_5'])){
			$req6 = "select TAL_LIBEL from TYP_ALERTE where TAL_ID =".$row3['RRAP_ALT_ID_5'];
			$gDb->SQLQuery($req6,6);
			$row6 = $gDb->SQLNextRow(6);
			$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_alerte.htmlentities("</b></td><td>");
			$detail .= hi_disp($row6["TAL_LIBEL"]).htmlentities("</td></tr>");
			$gDb->SQLFermeQuery(6);
		}
		//libellé
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_act_create_lbl_libel.htmlentities("</b></td><td>").$row3['RRAP_LIB_5'];
		$detail .= htmlentities("<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='").$pathStyle.htmlentities("imgs/icons/menuToolBar/help.png' border=0 title=").$lang_flux_pargen_rapproch_rule_grid_act_detail.htmlentities("></a></td></tr>");
		//etat
		switch ($row3['RRAP_ETAT_5']){
			case ETAT_RAPPR_RAPPROCHE:
				$etat=$lang_sui_rap_grid_lbl_etat_rapp;
				break;
			case ETAT_RAPPR_OK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappok;
				break;
			case ETAT_RAPPR_NOK:
				$etat=$lang_sui_rap_grid_lbl_etat_rappnook;
				break;
		}
		$detail .= htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat.htmlentities("</b></td><td>");
		$detail .= $etat.htmlentities("</td></tr>");
	}
	
	$detail .= htmlentities("</table>");
	$gDb->SQLFermeQuery(3);

	// fin detail -----------------------------------------------------------------------------------------------------------
	
	echo '<row detail="'.$detail.'">';
		
	$icon = $pathStyle."imgs/icons/regle.gif";
	$caption = hi_disp($row['RRAP_LIBELLE']);
	echo '<item caption="'.$caption.'" toolTip="'.$lang_flux_pargen_rapproch_rule_grid_head_libel.'" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
		
	$icon = $pathStyle."imgs/icons/aller.gif";
	$caption = $row['lib_aller'];
	echo '<item caption="'.$caption.'" icon="'.$icon.'" toolTip=""/>';
	
	$icon = $pathStyle."imgs/icons/retour.gif";
	$caption = $row['lib_ret'];
	echo '<item caption="'.$caption.'" icon="'.$icon.'" toolTip=""/>';

	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>