<?php
$DEFAULT_PATH = "../../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX; //
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "flux/pargen/rapproch/types/typrapp_gest_actAction.php";

$clt_id    = $_SESSION['CLT_ID'];
$TRAP_ID   = pget('TRAP_ID');						//Num de commande
$action	   = pget('action');		
$trap_sens = pget('TRAP_SENS');

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

/************************************************************/
/* DEBUT ACTION = SUPPRESSION		 						*/
/************************************************************/
if ($action == "suppr" && droit($droitRole, DROIT_SUPPR,null,null,null,null))
{
	$req = "select count(*) AS nb
			from REGLE_RAPPROCH 
			where (RRAP_ID_ALLER ='".$TRAP_ID."' 
			or RRAP_ID_RET ='". $TRAP_ID."')";

	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	if ($row['nb'] != 0)
	{
		$msg = $lang_flux_pargen_rapproch_type_act_suppr_msg_err_regle_attach;
		$return = 1;
	}
	else
	{
		$req2 = "update TYPE_RAPPROCH set TRAP_ETAT = ".ETAT_SUPPR."
				where TRAP_ID = $TRAP_ID";

		if (!$gDb->SQLQuery($req2, 2))
		{
			$msg = $lang_flux_pargen_rapproch_type_act_suppr_msg_err;
			$return = 1;
		}
		else
		$msg = $lang_flux_pargen_rapproch_type_act_suppr_msg_ok;
		$return = 0;
	}
}
/************************************************************/
/* FIN ACTION = SUPPRESSION 								*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = CREATION       							*/
/************************************************************/

if ($action == "create" && droit($droitRole, DROIT_CREAT,null,null,null,null)){
		
	$trap_libelle  		= pget('TRAP_LIBELLE');
	$trap_lib_dg_1		= pget('TRAP_LIB_DG_1');
	$trap_lib_dg_2		= pget('TRAP_LIB_DG_2');
	$trap_lib_dg_3		= pget('TRAP_LIB_DG_3');
	$trap_lib_dg_4		= pget('TRAP_LIB_DG_4');
	$trap_lib_dg_5		= pget('TRAP_LIB_DG_5');
	$trap_fic_trad		= pget('TRAP_FIC_TRAD');
	$trap_sens			= pget('TRAP_SENS');
	$trap_nret_delai 	= pget('TRAP_NRET_DELAI');
	if (!isset($trap_nret_delai)) $trap_nret_delai = 0;
	$trap_nret_mhj 	= pget('TRAP_NRET_MHJ');
	if (!isset($trap_nret_mhj)) $trap_nret_mhj = 3;
	$trap_nret_alt_id 	= pget('TRAP_NRET_ALT_ID');
	$trap_nret_lib 		= pget('TRAP_NRET_LIB');
	$trap_delai_max 	= pget('TRAP_DELAI_MAX');
	if (!isset($trap_delai_max)) $trap_delai_max = 15;
	$trap_delai_alt_id 	= pget('TRAP_DELAI_ALT_ID');

	$req = "select TRAP_ETAT
		from TYPE_RAPPROCH 
		where TRAP_LIBELLE = '".dblQ($trap_libelle)."'";

	if (!$gDb->SQLQuery($req, 1)){
		$msg = $lang_flux_pargen_rapproch_type_act_create_msg_err;
		$return = 1;
	}else{
		$row = $gDb->SQLNextRow(1);
		if ($row){
			$msg = $lang_flux_pargen_rapproch_type_act_create_msg_err_mm_nom;
			$return =1;
			if ($row["TRAP_ETAT"] == ETAT_SUPPR){
				$msg .= " ".$lang_flux_pargen_rapproch_type_act_create_msg_err_no_purge;
			}	
		}
	}
	
	if (!$msg){
		$req = "INSERT INTO TYPE_RAPPROCH
				(TRAP_LIBELLE, TRAP_LIB_DG_1, TRAP_LIB_DG_2, TRAP_LIB_DG_3, TRAP_LIB_DG_4, 
				TRAP_LIB_DG_5, TRAP_FIC_TRAD, TRAP_SENS, CLT_ID, TRAP_ETAT,
				TRAP_NRET_DELAI, TRAP_NRET_ALT_ID, TRAP_NRET_MHJ, TRAP_NRET_LIB,
				TRAP_DELAI_MAX, TRAP_DELAI_ALT_ID)
				VALUES 
				('".dblQ($trap_libelle)."'
				, '".dblQ($trap_lib_dg_1)."'
				, '".dblQ($trap_lib_dg_2)."'
				, '".dblQ($trap_lib_dg_3)."'
				, '".dblQ($trap_lib_dg_4)."'
				, '".dblQ($trap_lib_dg_5)."'
				, '".dblQ($trap_fic_trad)."' 
				, $trap_sens
				, $clt_id
				, ".ETAT_ACTIF."
				, ".(($trap_nret_delai == "")?("null"):($trap_nret_delai))." 
				, ".(($trap_nret_alt_id == "")?("null"):($trap_nret_alt_id))."
				, ".(($trap_nret_mhj == "")?("null"):($trap_nret_mhj))."
				, '".dblQ($trap_nret_lib)."' 
				, ".(($trap_delai_max == "")?("null"):($trap_delai_max))." 
				, ".(($trap_delai_alt_id == "")?("null"):($trap_delai_alt_id)).")";

		if (!$gDb->SQLQuery($req, 1)){
			$msg = $req.$lang_flux_pargen_rapproch_type_act_create_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_pargen_rapproch_type_act_create_msg_ok;
			$return = 0;
		}
	}
}

/************************************************************/
/* FIN ACTION = CREATION        							*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = MODIFICATION	 							*/
/************************************************************/

if ($action == "modif" && droit($droitRole, DROIT_MODIF,null,null,null,null)){
	
	$trap_libelle  	= pget('TRAP_LIBELLE');
	$trap_lib_dg_1	= pget('TRAP_LIB_DG_1');
	$trap_lib_dg_2	= pget('TRAP_LIB_DG_2');
	$trap_lib_dg_3	= pget('TRAP_LIB_DG_3');
	$trap_lib_dg_4	= pget('TRAP_LIB_DG_4');
	$trap_lib_dg_5	= pget('TRAP_LIB_DG_5');
	$trap_fic_trad	= pget('TRAP_FIC_TRAD');
	$trap_sens		= pget('TRAP_SENS');
	$trap_nret_delai 	= pget('TRAP_NRET_DELAI');
	if (!isset($trap_nret_delai)) $trap_nret_delai = 0;
	$trap_nret_mhj 	= pget('TRAP_NRET_MHJ');
	if (!isset($trap_nret_mhj)) $trap_nret_mhj = 3;
	$trap_nret_alt_id 	= pget('TRAP_NRET_ALT_ID');
	$trap_nret_lib 		= pget('TRAP_NRET_LIB');
	$trap_delai_max 	= pget('TRAP_DELAI_MAX');
	if (!isset($trap_delai_max)) $trap_delai_max = 15;
	$trap_delai_alt_id 	= pget('TRAP_DELAI_ALT_ID');

	$req = "select TRAP_SENS from TYPE_RAPPROCH, REGLE_RAPPROCH
			where (REGLE_RAPPROCH.RRAP_ID_ALLER = TYPE_RAPPROCH.TRAP_ID or  
			REGLE_RAPPROCH.RRAP_ID_RET = TYPE_RAPPROCH.TRAP_ID)
			and TRAP_ID = $TRAP_ID";
	if (!$gDb->SQLQuery($req, 1)){
		$msg = $lang_flux_pargen_rapproch_type_act_modif_msg_err;
		$return = 1;
	}else{
		$row = $gDb->SQLNextRow(1);
		if ($row && $row["TRAP_SENS"] != $trap_sens){
			$msg = $lang_flux_pargen_rapproch_type_act_modif_msg_regle;
			$return = 1;
		}
	}
	
	if (!$msg){
		$req = "select TRAP_ETAT
				from TYPE_RAPPROCH 
				where TRAP_LIBELLE = '".dblQ($trap_libelle)."' 
				and TRAP_ID != $TRAP_ID";
		if (!$gDb->SQLQuery($req, 1)){
			$msg = $lang_flux_pargen_rapproch_type_act_modif_msg_err;
			$return = 1;
		}else{
			$row = $gDb->SQLNextRow(1);
			if ($row){
				$msg = $lang_flux_pargen_rapproch_type_act_create_msg_err_mm_nom;
				$return = 1;
				if ($row["TRAP_ETAT"] == ETAT_SUPPR){
					$msg .= $lang_flux_pargen_rapproch_type_act_create_msg_err_no_purge;
				}
			}
		}
	}
	
	if (!$msg){
		$req = "update TYPE_RAPPROCH
				set TRAP_LIBELLE = '".dblQ($trap_libelle)."', 
				TRAP_LIB_DG_1 = '".dblQ($trap_lib_dg_1)."', 
				TRAP_LIB_DG_2 = '".dblQ($trap_lib_dg_2)."',
				TRAP_LIB_DG_3 = '".dblQ($trap_lib_dg_3)."',
				TRAP_LIB_DG_4 = '".dblQ($trap_lib_dg_4)."',
				TRAP_LIB_DG_5 = '".dblQ($trap_lib_dg_5)."',
				TRAP_FIC_TRAD = '".dblQ($trap_fic_trad)."',
				TRAP_SENS = $trap_sens, 
				TRAP_NRET_DELAI = ".(($trap_nret_delai == "")?("null"):($trap_nret_delai))." ,
				TRAP_NRET_ALT_ID = ".(($trap_nret_alt_id == "")?("null"):($trap_nret_alt_id))." , 
				TRAP_NRET_MHJ = ".(($trap_nret_mhj == "")?("null"):($trap_nret_mhj))." ,
				TRAP_NRET_LIB = '".dblQ($trap_nret_lib)."' ,
				TRAP_DELAI_MAX = ".(($trap_delai_max == "")?("null"):($trap_delai_max)).",
				TRAP_DELAI_ALT_ID = ".(($trap_delai_alt_id == "")?("null"):($trap_delai_alt_id))." 
				where TRAP_ID = $TRAP_ID";
		
		if (!$gDb->SQLQuery($req, 1)){
			$msg = $lang_flux_pargen_rapproch_type_act_modif_msg_err;
			$return = 1;
		}else{
			$msg = $lang_flux_pargen_rapproch_type_act_modif_msg_ok;
			$return = 0;
		}
	}
}

/************************************************************/
/* FIN ACTION = MODIFICATION	 							*/
/************************************************************/

		
$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = 'top.reload_menu()';
echo encode_JSON($reponse);
?>