<?php
$DEFAULT_PATH = "../../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = FLX; 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$where = "";
$clt_id = $_SESSION['CLT_ID'];
$f_sens = pget('f_sens');
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

switch($f_sens)
{
	case TRAP_SENS_ALLER :
		$where .= " and TRAP_SENS = ".TRAP_SENS_ALLER;
		break;
	case TRAP_SENS_RET :
		$where .= " and TRAP_SENS = ".TRAP_SENS_RET;
		break;
}

$req = "select SQL_CALC_FOUND_ROWS TRAP_ID, TRAP_LIBELLE, TRAP_SENS
				from TYPE_RAPPROCH 
				where TRAP_ETAT != ".ETAT_SUPPR." 
				and CLT_ID =".$clt_id. 
				$where; 

$champs = array();
$champs[] = array("nom" => $lang_flux_pargen_rapproch_type_grid_head_libel, "toolTip" => $lang_flux_pargen_rapproch_type_grid_head_libel, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_pargen_rapproch_type_grid_head_sens, "toolTip" => $lang_flux_pargen_rapproch_type_grid_head_sens, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	$trap_sens=($row['TRAP_SENS']==TRAP_SENS_ALLER)?(TRAP_SENS_ALLER):(TRAP_SENS_RET);
	$params = array();
	$params['TRAP_SENS'] = $trap_sens;
	$params['TRAP_ID']   = $row['TRAP_ID'];
	$params['droits']    = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							     'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));
	
							
	//detail -----------------------------------------------------------------------------------------------------------------
	
	$req2 = "select TRAP_ID, TRAP_LIBELLE, TRAP_LIB_DG_1, TRAP_LIB_DG_2, TRAP_LIB_DG_3, TRAP_LIB_DG_4,
			TRAP_LIB_DG_5, TRAP_FIC_TRAD, TRAP_SENS, 
			TRAP_NRET_DELAI, TRAP_NRET_ALT_ID, TRAP_NRET_LIB, TRAP_NRET_MHJ, 
			TRAP_DELAI_MAX, TRAP_DELAI_ALT_ID   
			from TYPE_RAPPROCH 
			where TRAP_ID =".$row['TRAP_ID'];
	$gDb->SQLQuery($req2,2);
	$row2 = $gDb->SQLNextRow(2);
	$data=1;
	$detail =htmlentities("<table>");
	$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_grid_head_libel.htmlentities("</b></td><td>").$row2['TRAP_LIBELLE'].htmlentities("</td></tr>");
	$detail.=htmlentities("<tr><td><b>").str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee).htmlentities("</b></td><td>").$row2['TRAP_LIB_DG_1'].htmlentities("</td></tr>");
	$detail.=htmlentities("<tr><td><b>").str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee).htmlentities("</b></td><td>").$row2['TRAP_LIB_DG_2'].htmlentities("</td></tr>");
	$detail.=htmlentities("<tr><td><b>").str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee).htmlentities("</b></td><td>").$row2['TRAP_LIB_DG_3'].htmlentities("</td></tr>");
	$detail.=htmlentities("<tr><td><b>").str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee).htmlentities("</b></td><td>").$row2['TRAP_LIB_DG_4'].htmlentities("</td></tr>");
	$detail.=htmlentities("<tr><td><b>").str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee).htmlentities("</b></td><td>").$row2['TRAP_LIB_DG_5'].htmlentities("</td></tr>");
	$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_aff_lbl_trad_fic.htmlentities("</b></td><td>").$row2['TRAP_FIC_TRAD'].htmlentities("</td></tr>");
	if ($trap_sens==TRAP_SENS_ALLER){
		$detail.=htmlentities("<tr><td></td><td><b>").$lang_flux_pargen_rapproch_type_aff_lbl_act_non_rapproch.htmlentities("</b></td></tr>");
		switch ($row2['TRAP_NRET_MHJ']){
			case MHJ_JOUR:
				$unite=$lang_ds_planif_jour;
				break;
			case MHJ_HEURE:
				$unite=$lang_ds_planif_heur;
				break;
			case MHJ_MINUTE:
				$unite=$lang_ds_planif_min;
				break;
		}
                
		$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_aff_lbl_delai.htmlentities(" (").$unite.htmlentities(")</b></td><td>").$row2['TRAP_NRET_DELAI'].htmlentities("</td></tr>");
                if($row2['TRAP_NRET_ALT_ID']) // aucune alerte positionnée
                {
                    $req3 = "select TAL_LIBEL  
                            from TYP_ALERTE 
                            where TAL_ID =".$row2['TRAP_NRET_ALT_ID'];
                    $gDb->SQLQuery($req3,3);
                    $row3 = $gDb->SQLNextRow(3);
                    $detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_aff_lbl_alert.htmlentities("</b></td><td>").hi_disp($row3['TAL_LIBEL']).htmlentities("</td></tr>");
                }
		$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_grid_head_libel.htmlentities("</b></td><td>").$row2['TRAP_NRET_LIB'].htmlentities("</td></tr>");
		$detail.=htmlentities("<tr><td></td><td><b>").$lang_flux_pargen_rapproch_type_aff_delai_max.htmlentities("</b></td></tr>");
		$detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_aff_lbl_delai.htmlentities(" (").$lang_ds_planif_jour.htmlentities(")</b></td><td>").$row2['TRAP_NRET_DELAI'].htmlentities("</td></tr>");
                if($row2['TRAP_DELAI_ALT_ID']) // aucun délai d'alerte positionné
                {
                    $req4 = "select TAL_LIBEL
                            from TYP_ALERTE 
                            where TAL_ID =".$row2['TRAP_DELAI_ALT_ID'];
                    $gDb->SQLQuery($req4,4);
                    $row4 = $gDb->SQLNextRow(4);
                    $detail.=htmlentities("<tr><td><b>").$lang_flux_pargen_rapproch_type_aff_lbl_alert.htmlentities("</b></td><td>").hi_disp($row4['TAL_LIBEL']).htmlentities("</td></tr>");
                }
	}	
                
	$detail.=htmlentities("</table>");
	$gDb->SQLFermeQuery(2);
							
	echo '<row detail="'.$detail.'">';

	// fin detail --------------------------------------------------------------------------------------------------------------
	
	$toolTip = "";
	$icon = $pathStyle."imgs/icons/type.gif";

	echo '<item caption="'.$row['TRAP_LIBELLE'].'" toolTip="" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
	
	$icon = "";
	$caption = "";

	switch($row['TRAP_SENS'])
	{
		case TRAP_SENS_ALLER :
			$icon = $pathStyle."imgs/icons/aller.gif";
			$caption = $lang_flux_pargen_rapproch_type_filtre_sens_aller;
			break;
		case TRAP_SENS_RET :
			$icon = $pathStyle."imgs/icons/retour.gif";
			$caption = $lang_flux_pargen_rapproch_type_filtre_sens_retour;
			break;
	}
	echo '<item caption="'.$caption.'" icon="'.$icon.'" toolTip=""/>';
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>