<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "flux/pargen/surveillance/sve_actAction.php";

$sve_id	= pget('sve_id');
$action	= pget('action');
$clt_id = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	if(droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$req = "UPDATE SURVEILLANCE 
		SET SVE_ETAT = ".ETAT_SUPPR."
		WHERE SVE_ID = $sve_id AND CLT_ID=$clt_id";	
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_flux_pargen_as2_act_suppr_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_pargen_as2_act_suppr_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$pro_id = pget("pro_id");
		$flx_id = pget("flx_id");
		$sve_rep = dblQ(pget("sve_rep"));
		$req = "INSERT INTO SURVEILLANCE (CLT_ID, PRO_ID, FLX_ID, SVE_REP, SVE_ETAT)
				VALUES ($clt_id, $pro_id, $flx_id, '$sve_rep', 1)";
		
		$res=$gDb->SQLQuery($req, 1); 
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_pargen_as2_act_create_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_pargen_as2_act_create_msg_ok;
			$return = 0;
		}	
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$pro_id = pget("pro_id");
		$flx_id = pget("flx_id");
		$sve_rep = dblQ(pget("sve_rep"));
		$req = "UPDATE SURVEILLANCE SET PRO_ID = $pro_id, FLX_ID = $flx_id, SVE_REP = '$sve_rep' WHERE SVE_ID = $sve_id AND CLT_ID=$clt_id";
		
		$res=$gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_pargen_as2_act_modif_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_pargen_as2_act_modif_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = 'top.reload_menu()';
echo encode_JSON($reponse);
?>