<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "flux/pargen/surveillance/sve_actAffich.php";

$vtp = new VTemplate;

$sve_id = pget('sve_id');
$action = pget('action');
$clt_id = $_SESSION["CLT_ID"];

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable générales

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_menu_lbl_surveillance_tooltip));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/folder_find.png");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "pargen_surveillance_create");

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", "false");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "sve_id");
$vtp->setVar($form, "form_input_hidden.value", $sve_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($sve_id))
{
	$req = "SELECT SVE_ID, SURVEILLANCE.PRO_ID, FLX_ID, SVE_REP, PRO_REPCOM_MOT 
			FROM SURVEILLANCE, PROCESSUS 
			WHERE CLT_ID=$clt_id AND SVE_ID = $sve_id AND PROCESSUS.PRO_ID=SURVEILLANCE.PRO_ID AND SVE_ETAT=".ETAT_ACTIF;
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

$req="SELECT FCO_REPCOM_IHM FROM FLOWCONF";
$gDb->SQLQuery($req, 1); 
$rep_com = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);	
$rep_com = $rep_com['FCO_REPCOM_IHM'];

//Construction de la fonction de vérification du formulaire
$head_javascript = "
function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
		
	var comboPath = $('sve_rep');
	if (comboPath)
		Prologue.combo.inputUpdate(comboPath.rows[0].cells[0].childNodes[0]);
		
	if(Prologue.comboPath.getSelected('sve_rep').length == 0)
	{
			alert(msg_field_needed.replace('%FIELDNAME%', '$lang_lbl_sve_dossier'));
			check = false;
			$('sve_rep').focus();
	}

	if(check && (submitForm(this.document.forms['filtre'], 'sve_actAction.php', prlExec) == 0))
	{
		changePage('sve_gest.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// Répertoire
if (isset($row['SVE_REP'])) {$SVE_REP = $row['SVE_REP'];} else {$SVE_REP=$rep_com;};
$javascript = "
	var path_def = '".urlencode(hi_disp($SVE_REP))."';
	with(new Prologue.comboPath('sve_rep', urldecode(path_def))) {
		textBox.format = Prologue.textBox.formats.any;
		dataSource= '".$pathFramework."pathDataSource.php?path=".urlencode(hi_disp($rep_com))."&sep=".urlencode('\\')."&showFiles=0';
		editable = true;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_sve_dossier_toolTip.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Processus
if (isset($row['PRO_ID'])) {$PRO_ID = $row['PRO_ID'];} else {$PRO_ID="";};
$javascript = "with(new prlComboList('pro_id', '$PRO_ID')) {";
		$reqMoteurs = "SELECT PRO_ID, PRO_LIBELLE 
	                   FROM PROCESSUS
	                   WHERE PRO_TYPE_MOTEUR = ".TYPE_MOTEUR_WATCH;
	    $gDb->SQLQuery($reqMoteurs,5);
	    while($rowMoteur = $gDb->SQLNextRow(5))
	        $javascript .= "add('".addslashes(hi_disp($rowMoteur['PRO_LIBELLE']))."', '${pathFlow}style/imgs/icons/menu/folder_find.png', '', '".$rowMoteur['PRO_ID']."');";
	    $gDb->SQLFermeQuery(5);
	    $javascript .= "
		dropDown.height = '170';
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_sui_proc_grid_head_nom_tooltip.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Flux
if (isset($row['FLX_ID'])) {$FLX_ID = $row['FLX_ID'];} else {$FLX_ID="";};
$javascript = "with(new prlComboList('flx_id', '$FLX_ID')) {";
		$reqFlux = "SELECT FLX_ID, FLX_LIBEL, FLX_SENS  
	                   FROM FLUX
	                   WHERE CLT_ID=$clt_id AND FLX_ACTIF!=".ETAT_SUPPR;
	    $gDb->SQLQuery($reqFlux,5);
	    while($rowFlux = $gDb->SQLNextRow(5))
	    {
			if($rowFlux['FLX_SENS']==EMISSION)
				$icon = $pathFlow."style/imgs/icons/aller.gif";
			else
				$icon = $pathFlow."style/imgs/icons/retour.gif";

			$javascript .= "add('".addslashes(hi_disp($rowFlux['FLX_LIBEL']))."', '$icon', '', '".$rowFlux['FLX_ID']."');";
	    }
	    $gDb->SQLFermeQuery(5);
	    $javascript .= "
		dropDown.height = '170';
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_sve_flux_toolTip.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>