<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = FLX;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$cltID = $_SESSION['CLT_ID'];

$req = "SELECT SQL_CALC_FOUND_ROWS SVE_ID, FLX_LIBEL, FLX_SENS, PRO_LIBELLE, SVE_REP  
   		FROM SURVEILLANCE, FLUX, PROCESSUS
		WHERE SURVEILLANCE.CLT_ID = $cltID
		AND SVE_ETAT = ".ETAT_ACTIF."
		AND FLUX.FLX_ID = SURVEILLANCE.FLX_ID 
		AND PROCESSUS.PRO_ID = SURVEILLANCE.PRO_ID";
	
$champs = array();
$champs[] = array("nom" => $lang_lbl_sve_dossier, "toolTip" => $lang_lbl_sve_dossier_toolTip, "sortMode" => "1");
$champs[] = array("nom" => $lang_menu_lbl_process_caption, "toolTip" => $lang_sui_proc_grid_head_nom_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_menu_lbl_flux_caption, "toolTip" => $lang_lbl_sve_flux_toolTip, "sortMode" => "1");
 
$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header pn="'.$pageNum.'" ps="'.$pageSize.'">';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	
	$params = array();
	$params['sve_id'] = $row['SVE_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
		  					  'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));

	echo '<item caption="'.hi_disp($row['SVE_REP']).'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['PRO_LIBELLE']).'" icon="'.$pathFlow.'style/imgs/icons/menu/folder_find.png"/>';
	
	if($row['FLX_SENS']==EMISSION)
		$icon = $pathFlow."style/imgs/icons/aller.gif";
	else
		$icon = $pathFlow."style/imgs/icons/retour.gif";
		
	echo '<item caption="'.hi_disp($row['FLX_LIBEL']).'" icon="'.$icon.'"/>';

	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>