<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");

$par_id = pget('par_id');
$pageSize = pget('pageSize');
$pageNum = pget('pageNum');

$req = "SELECT SQL_CALC_FOUND_ROWS ADR_ID 
			FROM ADRESSE 
			WHERE PAR_ID = $par_id";

$champs = array();
$champs[] = array("nom" => " ", "toolTip" => "", "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_part_act_detail_lbl_adr, "toolTip" => $lang_flux_part_act_detail_lbl_adr, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_part_act_detail_lbl_type, "toolTip" => $lang_flux_part_act_detail_lbl_type, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';
$nb_adr = 1;


while ($row = $gDb->SQLNextRow(1))
{
	$detail = "";

if($ini_typeBase == "mysql")	
	$req = "SELECT PFL_ADR, PFL_LIBEL, VPA_VAL, PFL_TYPE
			FROM VAL_PAR_ADR JOIN PAR_FLOW USING (PFL_ID)
			WHERE PFL_ROLE = ".PARAM_ROLE_ADRESSE."
				AND ADR_ID = ".$row['ADR_ID'];
else
	$req = "SELECT PFL_ADR, PFL_LIBEL, VPA_VAL, PFL_TYPE
			FROM VAL_PAR_ADR JOIN PAR_FLOW ON VAL_PAR_ADR.PFL_ID=PAR_FLOW.PFL_ID
			WHERE PFL_ROLE = ".PARAM_ROLE_ADRESSE."
				AND ADR_ID = ".$row['ADR_ID'];
			
	$gDb->SQLQuery($req, 2);
	$cell = 0;
	$tmp = "";
	$pfl_adr = 0;
	$first = true;
	
	while($row_adr = $gDb->SQLNextRow(2)) {
		if($first) 
		{
			$pfl_adr = $row_adr['PFL_ADR'];
		}
		
		if($row_adr['PFL_TYPE'] == TYPE_PARACT_PWD)
			$value = "****";
		else
			$value = $row_adr['VPA_VAL'];
		
		//$tmp = $row_adr['PFL_LIBEL']." :";
		$tmp = $value;
		
		//if($cell == 0)
		if ($pfl_adr == ADR_TYPE_EBICS)
		{
			if (!$first) $detail .= "/"; 
			$detail .= "$tmp";
		}
		else
			$detail = $tmp;
		//else
		//	$detail .= $tmp;
		$first = false;
	}
	$gDb->SQLFermeQuery(2);
	
	$libel = $LIB_TYPE_ADR[$pfl_adr];
	
	$detail = hi_disp($detail);
	
	echo "<row>";
	
	$params = array();
	$params['adr_id'] = $row['ADR_ID'];
	$params['droits'] = array('adr_modif' => droit($droitRole, DROIT_CREAT + DROIT_MODIF,null,null,null,null),
							  'adr_remove' => droit($droitRole, DROIT_CREAT + DROIT_MODIF,null,null,null,null));
	
	echo '<item caption="'.$nb_adr++.'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.$detail.'"/>';
	echo '<item caption="'.$libel.'"/>';
	echo '</row>';
}
$gDb->SQLFermeQuery(1);
echo '</databind>';
?>