<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");

$par_id = pget('par_id');
$pageSize = pget('pageSize');
$pageNum = pget('pageNum');

$req = "SELECT SQL_CALC_FOUND_ROWS IDE_VAL, IDE_ID, IDE_PWD  
		FROM IDENT
		WHERE PAR_ID = $par_id
		ORDER BY IDE_VAL";

$champs = array();
$champs[] = array("nom" => $lang_flux_part_act_create_lbl_id, "toolTip" => $lang_flux_part_act_create_lbl_id, "sortMode" => "1");
$champs[] = array("nom" => $lang_lbl_alias, "toolTip" => $lang_lbl_alias, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';


while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';

	$params = array();
	$params['ide_id'] = $row['IDE_ID'];
	$params['droits'] = array('id_modif' => droit($droitRole, DROIT_CREAT + DROIT_MODIF,null,null,null,null),
							  'id_remove' => droit($droitRole, DROIT_CREAT + DROIT_MODIF,null,null,null,null));
	
	echo '<item caption="'.hi_disp($row['IDE_VAL']).'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['IDE_PWD']).'" value="'.row_encode_JSON($params).'"/>';
	echo '</row>';
}
$gDb->SQLFermeQuery(1);
echo '</databind>';
?>