<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$ide_file_import = urldecode(pget('ide_file_import'));
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');
$maxRow = 0;
$header = '';
$rows = '';
try
{
	if(is_file($ide_file_import))
	{
		$liste = explode("\n", file_get_contents($ide_file_import));
		$maxRow = count($liste);
		$nbCol =  substr_count($liste[0], ';');
		$deb = ($pageNum-1) * $pageSize;
		for($i=1; $i<=$nbCol+1; $i++)
			$header .= "<item caption='$lang_flux_part_act_import_id_col $i'/>";
		for($lgn=$deb; $lgn<$maxRow && $lgn<$deb+$pageSize; $lgn++ )
		{
			$rows .= '<row>';
			$row = explode(";", $liste[$lgn]);
			foreach($row as $item)
				$rows .= '<item caption="'.hi_disp($item).'"/>';
			$rows .= '</row>';
		}
	}
	else
	{
		$header = "<item caption='$lang_lbl_erreur'/>";
		$rows = '<row><item caption="'.hi_disp("$lang_flux_av_imp_flux_act_msg_err_ouv_fic<b>$ide_file_import</b>").'"/></row>';
	}
}
catch(Exception $e)
{
	$header = "<item caption='$lang_lbl_erreur'/>";
	$rows = '<row><item caption="'.hi_disp("$lang_bus_et_act_majbdd_msg_err <b>$ide_file_import :</b>").'"/></row>';
}
echo '<?xml version="1.0" encoding="UTF-8"?>';
echo "<databind maxRow='$maxRow' pageSize='$pageSize' pageNum='$pageNum'>";
echo "<header>$header</header>";
echo $rows;
echo '</databind>';
?>