<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "flux/part/id/flux_part_id_importAffich.php";

$vtp = new VTemplate;

$par_id = pget('par_id');
$clt_id = pget('clt_id');
$ide_file_import = pget('ide_file_import');
$pageSize = $ini_taille_page_suivi;
$pageNum = strtr(pget('pageNum'),"''","");
if($pageNum=='') $pageNum = 1;

$form = $vtp->Open($DEFAULT_PATH."template/edit_form.vtp");
$vtp->addSession($form, "global");

//Titre et icone pour la barre de titre
//$vtp->setVar($form, "global.title", hi_disp($lang_menu_lbl_import_caption.' : '.$lang_flux_part_act_detail_lbl_listid));
//vtp->setVar($form, "global.icon", $pathFlow.'style/imgs/icons/title/import.png');

//ID Gemedoc pour l'aide
//$vtp->setVar($form, "global.help_id", "import_identifiant");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", 'ide_file_import');
$vtp->setVar($form, "form_input_hidden.value",  $ide_file_import);
$vtp->closeSession($form, "form_input_hidden");
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", 'par_id');
$vtp->setVar($form, "form_input_hidden.value",  $par_id);
$vtp->closeSession($form, "form_input_hidden");
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", 'clt_id');
$vtp->setVar($form, "form_input_hidden.value",  $clt_id);
$vtp->closeSession($form, "form_input_hidden");
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", 'action');
$vtp->setVar($form, "form_input_hidden.value",  'import');
$vtp->closeSession($form, "form_input_hidden");

$head_javascript = "
page.url.grid = '".$pathFlow."flux/part/id/flux_part_id_dsImportFile.php?ide_file_import=".urlencode($ide_file_import)."';
prlPage.elementCalcPosition = function ()
{
	prlPage.divGridResize();
	var div = $('div_grid');
	var boutons = $('boutons');
	div.style.height = parseInt(div.offsetHeight) - parseInt(boutons.offsetHeight) - 20 + 'px';
}

prlPage.prototype.gridReload = function ()
{
    var urlReload = this.url.grid;
    $('grid').attributes.getNamedItem('prlPageSize').value = $pageSize;
    $('grid').attributes.getNamedItem('prlPageNum').value = $pageNum;
    prlGrid.reload('grid', urlReload, true);
}

function validForm()
{
	var col_num = $('col_num').value;
	if(col_num!='')
	{
		var msg = '".addslashes($lang_flux_part_act_import_id_confirm)."';
		msg = msg.replace('%COL%', col_num);
		if(confirm(msg))
			submitForm(document.forms['formEdit'], 'flux_part_id_actAction.php', changePage);
	}
	else
	{
		var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
		alert(msg_field_needed.replace('%FIELDNAME%', '$lang_flux_part_act_import_id_numcol'));
	}	
}
";	
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// fichier  charger
$col_js = "
	with(new prlTextBox('col_num', prlTextBox.formats.uinteger, '1'))
	{
		maxLength = 3;
		width = 100;
		editable = true;
		create();
	};
";
$vtp->addSession($form, "form_fichier_exp");
$vtp->setVar($form, "form_fichier_exp.exp_caption", $lang_flux_part_act_import_id_numcol);
$vtp->setVar($form, "form_fichier_exp.exp_js", $col_js);
$vtp->closeSession($form, "form_fichier_exp");

$content = "
	<div id='div_grid'>
		<script language='JavaScript' type='text/javascript'>
			with(new Prologue.grid('grid'))
			{
				async = true;
				multiSelect = false;
				checkBoxes = false;
				pageSize = $pageSize;
				pageNum = $pageNum;
				stateToolBarId = 'gridStateTbr';
				create();
			}
			page.gridReload();
		</script>
	</div>
	<div id = 'div_state' class='grid_toolbar'>
		<script language='JavaScript' type='text/javascript'>
			with(new Prologue.gridPageToolBar('gridStateTbr'))
			{
				showTotal = true;
				showSelected = true;
				btnRefresh = false;
				navigateToRight = true;
				gridId = 'grid';
				create();
			}
		</script>
	</div>
";

$vtp->setVar($form, "global.content", $content);

//bouton 'Valider'
$js_btn = "new prlButton(lang_btn_valid, 'validForm();', Prologue.Flow.images+'icons/valid.png').create();";
$vtp->addSession($form, "form_button");
$vtp->setVar($form, "form_button.javascript", $js_btn);
$vtp->closeSession($form, "form_button");

//bouton 'Retour'
$js_btn = "new prlButton(lang_lbl_retour, 'history.go(-1);', Prologue.Flow.images+'icons/retour.gif').create();";
$vtp->addSession($form, "form_button");
$vtp->setVar($form, "form_button.javascript", $js_btn);
$vtp->closeSession($form, "form_button");

include($DEFAULT_PATH."header.php");

$page_headers .= "<script language='JavaScript' type='text/javascript'>
top.setMainTitle = function () {};
top.help = function () {};
</script>";
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>