<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = DOC; //droit de gestion des types de documents
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/tdoc/flux_tdoc_actAffich.php";

$vtp = new VTemplate;

$tdoc_id = pget('tdoc_id');
$for_id = pget('for_id');
$action = pget('action');
$clt_id = $_SESSION["CLT_ID"];

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$readOnly = false;
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable générales
$vtp->setVar($form, "global.title", addslashes("$lang_flux_tdoc_title_defaut ($lang_flux_tdoc_grid_head_formats)"));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/flux_tdoc.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id", "");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "window.close();");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "tdoc_id");
$vtp->setVar($form, "form_input_hidden.value", $tdoc_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "for_id");
$vtp->setVar($form, "form_input_hidden.value", $for_id);
$vtp->closeSession($form, "form_input_hidden");

if($action!='create')
{
	$req = "SELECT FOR_NOM, FOR_NORME, FOR_VERSION, FOR_STYLE 
			FROM `FORMAT` 
			WHERE FOR_ID = $for_id";

	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	$FOR_NORME = $row['FOR_NORME'];
	$FOR_NOM = $row['FOR_NOM'];
	$FOR_VERSION = $row['FOR_VERSION'];
	$FOR_STYLE = urlencode($row['FOR_STYLE']);
}
else
{
	$FOR_NORME = '';
	$FOR_NOM = '';
	$FOR_VERSION = '';
	$FOR_STYLE = '';
}

//Construction de la fonction de vérification du formulaire
$fieldListID = "'FOR_NORME', 'FOR_NOM', 'FOR_VERSION', 'FOR_STYLE'";
$fieldListName = "'".addslashes($lang_flux_tdoc_aff_lbl_norme)."'";
$fieldListName .= ",'".addslashes($lang_flux_tdoc_aff_lbl_msg)."'";
$fieldListName .= ",'".addslashes($lang_flux_tdoc_aff_lbl_vers)."'";
$fieldListName .= ",'".addslashes($lang_flux_tdoc_aff_lbl_style)."'";

$head_javascript = "
top.help = {id:''};

//Liste des champs obligatoires
var fieldListID = new Array($fieldListID);
			
//Liste des libellés de champs obligatoires								
var fieldListName = new Array($fieldListName);

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_flux_tdoc_aff_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(fieldListID[i] != 'FOR_STYLE' && inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
		else if(false == prlTextBox.checkFormat(inpt) && inpt.value.length != 0) {
			inpt.onchange();
			check = false;
			inpt.focus();
			break;
		}

	}

	if(check && (submitForm(this.document.forms['filtre'], 'flux_tdoc_actFormatAction.php', prlExec) == 0)) {
		window.close();
		opener.Prologue.grid.reload('formatGrid');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);


//Norme du format
$javascript = "
	with(new prlTextBox('FOR_NORME', prlTextBox.formats.any, '$FOR_NORME')) {
		maxLength  = 20;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_flux_tdoc_aff_msg_err_nonorme)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_tdoc_aff_lbl_format_norme);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");


//Message(Nom) du format
$javascript = "
	with(new prlTextBox('FOR_NOM', prlTextBox.formats.any, '$FOR_NOM')) {
		maxLength  = 20;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_flux_tdoc_aff_msg_err_format_nonom)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_tdoc_aff_lbl_msg);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");


//Version du format
$javascript = "
	with(new prlTextBox('FOR_VERSION', prlTextBox.formats.any, '$FOR_VERSION')) {
		maxLength  = 20;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'".addslashes($lang_flux_tdoc_aff_msg_err_format_noversion)."\'); this.focus();}';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_tdoc_aff_lbl_version);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");


//Style du format
$javascript = "
	prlTextBox.formats.style = {'name':'style',
								'key':/./,
								'validate':/^XML::.+$/,
								'maxLength':60,
								'align':'left'};

	with(new prlTextBox('FOR_STYLE', prlTextBox.formats.any, urldecode('$FOR_STYLE'))) {
		toolTip = '".addslashes($lang_flux_tdoc_aff_lbl_style_toolTip)."';
		errMesg = '".addslashes($lang_flux_tdoc_aff_lbl_style_toolTip)."';
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_tdoc_aff_lbl_style);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>