<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");

$droitRole = DOC;//droit de gestion des types de documents
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;//droits en lmcs

$pageSize = pget('pageSize');
$pageNum = pget('pageNum');
$f_nom = pget('f_nom');
$where = "";
if ($f_nom)
	$where .= " AND TDOC_NOM LIKE ('%".dblQ($f_nom)."%')";

$cltID = $_SESSION['CLT_ID'];

$req = "SELECT SQL_CALC_FOUND_ROWS TDOC_ID, TDOC_NOM, TDOC_CONSERV
		FROM TYPE_DOC 
			WHERE CLT_ID = $cltID 
			AND TDOC_NOM != ' TOUS'
			$where 
			AND TDOC_ETAT != ".ETAT_SUPPR." 
		ORDER BY TDOC_NOM";

$champs = array();
$champs[] = array("nom" => $lang_flux_tdoc_grid_head_nom, "toolTip" => $lang_flux_tdoc_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_tdoc_grid_head_conserv, "toolTip" => $lang_flux_tdoc_grid_head_conserv, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_tdoc_grid_head_formats, "toolTip" => $lang_flux_tdoc_grid_head_formats, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	$detail = "";
	
	$req = "SELECT FOR_NOM, FOR_NORME, FOR_VERSION, FOR_STYLE
			FROM `FORMAT` 
			WHERE TDOC_ID = ".$row['TDOC_ID']." 
				AND FOR_ETAT != ".ETAT_SUPPR;
		
	$gDb->SQLQuery($req, 2);
	$title = 0;
	while ($row_format = $gDb->SQLNextRow(2))
	{
		if(!$title)
		{
			$detail .= "<tr><td colspan=2><img src=\"${pathStyle}imgs/icons/view.gif\"/>&nbsp;<b>$lang_flux_tdoc_grid_head_formats</b></td></tr>";
			$title = 1;
		}
		$detail .= "<tr><td style=\"padding-left:20px;\"><b>$lang_flux_tdoc_aff_lbl_format_norme</b></td>";
		$detail .= "<td>".$row_format['FOR_NORME']."</td></tr>";
		
		$detail .= "<tr><td style=\"padding-left:40px;\"><b>$lang_flux_tdoc_aff_lbl_msg</b></td>";
		$detail .= "<td>".$row_format['FOR_NOM']."</td>";
		
		$detail .= "<td><b>$lang_flux_tdoc_aff_lbl_version</b></td>";
		$detail .= "<td>".$row_format['FOR_VERSION']."</td>";
		
		$detail .= "<td><b>$lang_flux_tdoc_aff_lbl_style</b></td>";
		$detail .= "<td>".$row_format['FOR_STYLE']."</td></tr>";
	}
	$gDb->SQLFermeQuery(2);
	
	$detail = hi_disp("<table>$detail</table>");
	
	echo '<row detail="'.$detail.'">';
	
	$params = array();
	$params['tdoc_id'] = $row['TDOC_ID'];
	$params['tdoc_nom'] = addslashes($row['TDOC_NOM']);
	
	$params['droits'] = array('detail' => true,
							'modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							'remove' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));
		
	echo '<item caption="'.$row['TDOC_NOM'].'" value="'.row_encode_JSON($params).'"/>';
	
	$caption = str_replace("%NB%", $row['TDOC_CONSERV'], $lang_flux_tdoc_grid_lbl_nb_jours);
	echo '<item caption="'.$caption.'"/>';
	
	$req = "SELECT COUNT(*) AS NB
			FROM `FORMAT` 
			WHERE TDOC_ID = ".$row['TDOC_ID']." 
				AND FOR_ETAT != ".ETAT_SUPPR;
		
	$gDb->SQLQuery($req, 2);
	$row2 = $gDb->SQLNextRow(2);
	$gDb->SQLFermeQuery(2);
	echo '<item caption="'.$row2['NB'].'"/>';
	
	echo '</row>';
}	
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>