<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="UTF-8"/>

<xsl:template match="feed">{
title:'<xsl:apply-templates select="title"/>'
,link:'<xsl:apply-templates select="link"/>'
,description:''
,items:[<xsl:apply-templates select="entry"/>]
}</xsl:template>

<xsl:template match="entry">
<xsl:if test="position()!=1">,</xsl:if>{
	title:'<xsl:value-of select="title/text()"/>'
	,link:'<xsl:value-of select="link/text()"/>'
	,description:<xsl:value-of select="summary/text()"/>'
	,pubDate:'<xsl:value-of select="issued"/>'
}
</xsl:template>

</xsl:stylesheet>