//////////////////////////
/// Rss Object ///
//////////////////////////
Prologue.rss = function(caption, icon)
{
	caption = (caption||'Flux d\'information');
	icon = (icon||Prologue.framework.images+'/rss.gif');
	Prologue.rss.callBaseConstructor(this, caption, icon, '<img align="left" src="'+Prologue.framework.images+'/load_img.gif'+'"/>Chargement en cours...');
	this.className = 'prlRss';
	this.title.alignment = Prologue.item.alignment.left;
	this.open = true;
	this.url = '';
	this.itemsQty = 10;
};
Prologue.rss.extend(Prologue.panel);
//inherit static functions
Prologue.rss.getContent = Prologue.panel.getContent;
Prologue.rss.getState = Prologue.panel.getState;
Prologue.rss.setState = Prologue.panel.setState;
Prologue.rss.setTitle = Prologue.panel.setTitle;

Prologue.rss.callBack = function(req) {
	var xItem;
	var feed = '';
	var rssTitle = 'Erreur de chargement';
	if (req.getStatus()==200) {	
		var rss = req.getJson();
		if (rss) {
			rssTitle = rss.title;
			if (rss.items.length) {
				var feed = '<ul>';
				for (var i=0; i<rss.items.length && i<req.tag.qty; i++) {
					feed += '<li>';
					jItem = rss.items[i];
					var title = jItem.title;
					var link = jItem.link;
					if (link) 
						feed += '<a href="' + jItem.link + '" target="_blank" title="'+jItem.pubDate+'" style="text-decoration:none;color:#000;font-family:arial;font-size:12px;">' + title + '</a>';
					else
						feed += title;
					//if (i>=9) break;
				}
				feed += '</ul>';									
			}
		}
		else feed = 'Erreur';
	}
	else feed = 'Erreur';
	var cnt = Prologue.rss.getContent(req.tag.id);
	if (cnt) cnt.innerHTML = feed;
	Prologue.rss.setTitle(req.tag.id, rssTitle);
};

Prologue.rss.prototype.create = function() {
	Prologue.rss.callBaseMethod(this, 'create');
	var url = Prologue.framework.path + '/rss/rssReader.php?path='+escape(this.url);
	var req = new Prologue.ajax.request(url);
	req.tag = {id:this.id,qty:this.itemsQty};
	req.callBack = Prologue.rss.callBack;
	req.send(null);
};
