<?php
$DEFAULT_PATH = "../";
require_once($DEFAULT_PATH."struct.php");
$page_courante = "help/sommaire.php";

$culture_content_type = "text/html; charset=ISO-8859-1";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

require_once($DEFAULT_PATH."flow_tools.php");

require_once($DEFAULT_PATH."framework/xslt-php4-to-php5.php");

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

//// Specif install
$type = pget('installation');
$id = pget('id');
////

if($id)
	$xsl_file = "page.xsl";
else
	$xsl_file = "sommaire.xsl";
$xml_file = $DEFAULT_PATH."help/plgDocument_$culture_shortLanguage.xml";

$xml_handle 	= fopen($xml_file, "r");
$xsl_handle 	= fopen($xsl_file, "r");
$xml_content 	= fread($xml_handle, filesize($xml_file));
$xml_content    = preg_replace('/\r\n/','',$xml_content);
$xsl_content 	= fread($xsl_handle, filesize($xsl_file));
fclose($xml_handle);
fclose($xsl_handle);

$xslt_args = array(
	'/_xml' => $xml_content,
	'/_xsl' => $xsl_content
);

$xslt_params = array(
	'string_version' => $lang_lbl_version,
	'string_back' => $lang_lbl_retour,
	'installation' => $type,
	'id' => $id,
	'lang' => substr($culture_shortLanguage, 0, strpos($culture_shortLanguage, '-'))
);

$xh = xslt_create();
$result = xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $xslt_args, $xslt_params); 

if ($result)
{
	$result = preg_replace("/&lt;/", "<", $result);
	$result = preg_replace("/&gt;/", ">", $result);
	$result = preg_replace("/&quot;/", "\"", $result);
	$result = preg_replace("/&amp;/", "&", $result);
	echo $result;		
}

xslt_free($xh);
?>