<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="ISO-8859-1"/>

<xsl:template match="databind">
	<xsl:apply-templates select="header"/>
	<xsl:apply-templates select="row"/>
</xsl:template>

<xsl:template match="header">
	<xsl:apply-templates select="item"/>
	<xsl:text>&#xD;&#xA;</xsl:text>
</xsl:template>

<xsl:template match="row">
	<xsl:apply-templates select="item"/>
	<xsl:text>&#xD;&#xA;</xsl:text>
</xsl:template>

<xsl:template match="item">
	<xsl:if test="position()!=1">;</xsl:if>
	<xsl:choose>
		<xsl:when test="string-length(normalize-space(@caption))!=0">
			<xsl:value-of select="@caption"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="@toolTip"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>