<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect

include("userPrefs.inc");

if ($_SERVER["REQUEST_METHOD"]=='GET') {
	$screenName = $_GET['screen'];
	
	Header('Pragma: no-cache');
	Header('Expires: -1');
	Header('Cache-Control: no-cache, must-revalidate, post-check=0, pre-check=0');
	Header('Content-Type: text/plain');
	
	//lecture des preferences
	$arPref = UserPreferencesRead($screenName);
	
	//conversion des preferences en JSON
	$pref = '';
	foreach($arPref as $key => $value) {
		if (strlen($pref)) $pref.=',';
		$pref.= $key.':\''.$value.'\'';	
	}
	echo '{'.$pref.'}';
}
else {
	if (isset($_POST['screen'])) {
		$pref = array();
		foreach ($_POST as $key => $value) {
			if ($key!='screen') {
				$pref[$key]=$value;
			}
		}
		UserPreferencesSave($_POST['screen'], $pref);
	}
}
?>