<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = LIC; //droit de gestion des licences
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "informations/licence/licence_actAffich.php";

$vtp = new VTemplate;

$lic_id	= pget('lic_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20040202132040");
$readOnly = false;
$panelTitle = $lang_lbl_modifier;
$panelIcon = $pathStyle."imgs/icons/admin.gif";

//Variable générales
$vtp->setVar($form, "global.title", $lang_info_lic_title);
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "lic_id");
$vtp->setVar($form, "form_input_hidden.value", $lic_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($lic_id))
{
	$req = "SELECT LIC_NOMACT, LIC_CODELOCAL, LIC_NBJOURS, LIC_CODEDEVER 
			FROM LICENCE
			WHERE LIC_ID = $lic_id";
		$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

$head_javascript = "
function verifForm() {

	var check = true;
	var msg_field_needed  = '".addslashes($lang_info_lic_aff_msg_err_wrong_val_cod)."';
	var inpt = $('codedever');
	
	if(inpt.value.length != 8) {
		alert(msg_field_needed);
		check = false;
		inpt.focus();
	}

	if(check && submitForm(this.document.forms['filtre'], 'licence_actAction.php', prlExec) == 0) {
		changePage(Flow.path+'informations/licence/licence.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// code local
$codelocal=$row['LIC_CODELOCAL'];
$composant=$row['LIC_NOMACT'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_lic_grid_head_comp_logic);
$vtp->setVar($form, "form_field.content", $composant);
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_lic_grid_head_num_serie);
$vtp->setVar($form, "form_field.content", $codelocal);
$vtp->closeSession($form, "form_field");

// code de déblocage
$javascript = "
	var fmt = {'name':'custom', 'key':/[0-9a-fA-F]/, 'validate':/^[0-9A-F]+$/, 'maxLength':8, 'align':'left'};

	with(new prlTextBox('codedever', fmt)) {
		caseMode = Prologue.textBox.caseMode.upper;
 		trim = Prologue.textBox.trimMode.both;
 		toolTip = '$lang_info_lic_aff_format_tooltip';
		create();
	};
";

/*
 var fmt = {'name':'custom', 'key':/[0-9a-fA-F]/, 'validate':/^[0-9A-F]+$/, 'maxLength':6, 'align':'left'};
 //creation du champ texte
 var tCustom= new Prologue.textBox('tCustom', fmt);
 tCustom.caseMode = Prologue.textBox.caseMode.upper;
 tCustom.trim = Prologue.textBox.trimMode.both;
 tCustom.toolTip = 'Hexa décimal 0-9 et A-F';
 tCustom.create();
*/

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_lic_aff_lbl_code_dever);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>