<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$droitRole = LIC; //droit de gestion des licences
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."tableau.php");			//class tableau
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
require_once($DEFAULT_PATH."msg.php");				//prototype des messages d'erreur

$page_courante = "informations/licence/licence_gest.php";

$vtp = new VTemplate;

/************************************************************/
/* DEBUT ACTION = PRINT	 									*/
/************************************************************/

if (droit($droitRole, DROIT_LECT + DROIT_MODIF,null,null,null,null))
{	
	$form = $vtp->Open($DEFAULT_PATH."informations/licence/licence_print.vtp");
	$vtp->addSession($form, "gest");
	
	$vtp->setVar($form, "gest.impression_titre", $lang_info_lic_print);
	$vtp->setVar($form, "gest.commande_titre", $lang_info_lic_aff_print_lbl_cmd_title);
	$vtp->setVar($form, "gest.date_commande", $lang_info_lic_aff_print_lbl_date);
	$vtp->setVar($form, "gest.nom_societe", $lang_info_lic_aff_print_lbl_societe);
	$vtp->setVar($form, "gest.nom_livraison", $lang_info_lic_aff_print_lbl_livraison);
	$vtp->setVar($form, "gest.num_telephone", $lang_info_lic_aff_print_lbl_telephone);
	$vtp->setVar($form, "gest.lic_payees", $lang_info_lic_aff_print_lbl_lic_payees);
	$vtp->setVar($form, "gest.email", $lang_lbl_mail);
	$vtp->setVar($form, "gest.fax", $lang_info_lic_aff_print_lbl_fax);
	$vtp->setVar($form, "gest.signature", $lang_info_lic_aff_print_lbl_sign);
	$vtp->setVar($form, "gest.cachet", $lang_info_lic_aff_print_lbl_cachet);
	
	$date=date("d/m/Y");
	$vtp->setVar($form, "gest.dateJ", $date);
	$cltID		= $_SESSION['CLT_ID'];
	$req = "SELECT CLT_NOM FROM CLIENT WHERE CLT_ID=$cltID ";
	$gDb->SQLQuery($req,2);
	$row = $gDb->SQLNextRow(2);
	$CLT_NOM=$row['CLT_NOM'];
	$gDb->SQLFermeQuery(2);
	$vtp->setVar($form, "gest.CLT_NOM", $CLT_NOM);

	$req = "SELECT count(*) 
	        FROM LICENCE WHERE LIC_ETAT!=".ETAT_SUPPR;
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	$nbtotal = $row[0];
	$gDb->SQLFermeQuery(1);

	if ($nbtotal != 0)
	{
		$styleTableau="BORDER=1 CELLSPACING=0 BORDERCOLORDARK='#000000'";
		$gTableau = new Tableau($pathStyle, "lic_gest.php","");
		$gTableau->nbr=$nbreLigneTab;
		if (empty($ordre)) $ordre = "3";  //pour specifier l'ordre descendant
	
		$enTete[0]['enTete'] = "$lang_info_lic_grid_head_comp_logic&nbsp;";
		$enTete[1]['enTete'] = "$lang_info_lic_grid_head_num_serie&nbsp;";
		$enTete[2]['enTete'] = "$lang_info_lic_aff_lbl_code_dever&nbsp;";

		$gTableau->affEntTableau($enTete, $ordre, $url );

		$ordre = $gTableau->creeOrdre($ordre);

		$req = "SELECT LIC_ID, LIC_NOMACT, LIC_CODELOCAL, LIC_CODEDEVER 
   			FROM LICENCE WHERE LIC_ETAT!=".ETAT_SUPPR." 
			ORDER BY $ordre ";
		$gDb->SQLQuery($req,1);
		while($row = $gDb->SQLNextRow(1))
		{
			$Donnees[0]['Donnees'] = hi_disp($row['LIC_NOMACT']);
			$Donnees[1]['Donnees'] = hi_disp($row['LIC_CODELOCAL']);
			$Donnees[2]['Donnees'] = hi_disp($row['LIC_CODEDEVER']);
							
			$gTableau->affDonnees($Donnees);
			$date="";
		}
		$gDb->SQLFermeQuery(1);
		
		unset($Donnees);
		$table = $gTableau->piedPage(true);
		$vtp->setVar($form, "gest.table", $table);
	}
	else
	{
		$vtp->setVar($form, "gest.table", "<br><center><table><tr><td align=center class=nbEnreg>".$lang_info_lic_aff_lbl_no_act_dever."</td></tr></table></center>");
	}
	
	
	$vtp->closeSession($form, "gest");
}
/************************************************************/
/* FIN ACTION = AUCUNE 										*/
/************************************************************/
$vtp->Display();
?>
