<?php
$DEFAULT_PATH = "../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = CPT; 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "informations/monCPT.php";

$vtp = new VTemplate;

$cpt_id 		= $_SESSION['CPT_ID'];
$clt_id 		= $_SESSION['CLT_ID'];
$action="modif";

$req = "SELECT CLT_LONGUEUR_PWD, CLT_STRATEGIE_PWD FROM CLIENT WHERE CLT_ID=$clt_id";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$clt_longueur_pwd = $row['CLT_LONGUEUR_PWD'];
$clt_strategie_pwd = $row['CLT_STRATEGIE_PWD'];
$gDb->SQLFermeQuery(1);

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20040108124654");

//Variable générales
$vtp->setVar($form, "global.title", addslashes($lang_info_moncpt_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/accueil.png");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "changePage(Flow.path+\'accueil.php\');");

$vtp->setVar($form, "global.readOnly", (@($readOnly)? "true": "false"));

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$req = "select UTR_NOM, UTR_PRENOM, UTR_CIVILITE, UTR_MAIL, UTR_TEL, CPT_LOGIN, CPT_PWD,
			CPT_NBRE_LIGNE, CPT_DATE_CREAT, CPT_DATE_TRAIT, CPT_QUESTION, CPT_REPONSE, 
			CPT_ETAT, CPT_DELAI_PROC  
			from UTILISATEUR, COMPTE 
			where UTILISATEUR.UTR_ID = COMPTE.UTR_ID 
			and CPT_ID = '$cpt_id'";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);

	if (@!$CPT_NBRE_LIGNE) 	@$CPT_NBRE_LIGNE = $row['CPT_NBRE_LIGNE'];
	if (@!$CPT_DELAI_PROC) 	@$CPT_DELAI_PROC = $row['CPT_DELAI_PROC'];
	if (@!$CPT_PWD) 			@$CPT_PWD = $row['CPT_PWD'];

	switch ($row['UTR_CIVILITE'])
	{
		case UTR_CIVILITE_MLLE :
			$civilite =	$lang_utr_utr_act_mail_msg_lbl_mlle;
			break;
		case UTR_CIVILITE_MR :
			$civilite = $lang_utr_utr_act_mail_msg_lbl_mr;
			break;
		default :
			$civilité = $lang_utr_utr_act_mail_msg_lbl_mme;
	}
	
	$vtp->setVar($form, "global.panelTitle", $civilite." ".$row['UTR_NOM']." ".$row['UTR_PRENOM']);
$vtp->setVar($form, "global.panelIcon", $pathStyle."imgs/icons/title/case.png");


$head_javascript = "
function verifForm()
{
	check=true;
	var expr = /^[0-9]{1,3}$/;
	
	if(document.filtre.CPT_PWD.value!='')
	{
		if (document.filtre.CPT_PWD.value.length < $clt_longueur_pwd || expr.exec(document.filtre.CPT_PWD.value) != null) 
		{
			alert('".addslashes(str_replace('%nbcar%', $clt_longueur_pwd, $lang_utr_utr_msg_err_pwdnbcar).' '.$lang_utr_utr_msg_err_pwdformat)."');
			document.filtre.CPT_PWD.focus();
			check=false;
		}
		if (document.filtre.CPT_PWD.value != document.filtre.CPT_PWD2.value) 
		{
			alert('".addslashes($lang_msg_err_diff_password)."');
			document.filtre.CPT_PWD.focus();
			check=false;
		}
		var pos = this.document.filtre.CPT_PWD.value.search(/'+|\"+|\\+/g);
		if (pos >= 0)
		{
			alert('".addslashes($lang_utr_utr_msg_err_pwdinterditcar)."');
			document.filtre.CPT_PWD.focus();
			check=false;
		}
		if(ComplexitePwd(this.document.filtre.CPT_PWD.value, this.document.filtre.test_pwd)<$clt_strategie_pwd)
		{
			alert('".addslashes(str_replace('%strat%', getStrategiePwd($clt_strategie_pwd), $lang_utr_utr_msg_err_pwd_strategie))."');
			document.filtre.CPT_PWD.focus();
			check=false;
		}
	}
	if(check && (submitForm(this.document.forms['filtre'], 'monCPT_actAction.php', prlExec) == 0))
	{
		top.location='../main.php';
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// email de l'utilisateur
$content = $row['UTR_MAIL'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_email);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// téléphone
$content = $row['UTR_TEL'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_tel);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// etat
$content = $row['CPT_ETAT'];
switch ($row['CPT_ETAT'])
{
	case ETAT_ACTIF :
		$content = $lang_utr_utr_aff_lbl_etat_actif;
		break;
	case ETAT_INACTIF :
		$content = $lang_utr_utr_aff_lbl_etat_inactif;
		break;
	default :
		$content = $lang_utr_utr_aff_lbl_etat_suppr;
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_aff_lbl_etat);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// date de creation
$content = $row['CPT_DATE_CREAT'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_aff_lbl_datecreat);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// date de modification
$content = $row['CPT_DATE_TRAIT'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_aff_lbl_datemodif);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	// login
	$content = $row['CPT_LOGIN'];
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_utr_ds_cpt_lbl_login);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// mot de passe
	$javascript = "
		with(new prlTextBox('CPT_PWD', prlTextBox.formats.any, '')) {
			maxLength  = 15;
			password = true;
			trim = prlTextBox.trimMode.both;
			onKeyUp = 'ComplexitePwd(this.value, document.filtre.test_pwd);';
			width = 180;
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_passwd);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", "<input name='test_pwd' type='text' style='width:150px;border:none;text-align:center;font-weight:bold;font-size:12px;' readonly>");
	$vtp->closeSession($form, "form_field");
	
	// mot de passe bis
	$javascript = "
		with(new prlTextBox('CPT_PWD2', prlTextBox.formats.any, '')) {
			maxLength  = 15;
			password = true;
			trim = prlTextBox.trimMode.both;
			width = 180;
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_passwd." (bis)");
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
}

$vtp->addSession($form, "form_field_param_panel");

$javascript_panel ="function add_etat(id, etat) {
		var combo = new prlComboList(id, etat);
		combo.dataSource = \"${pathFlow}dataSources/dSEtat.php?type=activite\";
		return combo.html();
	}";

$javascript_panel .=" var panel_avance = new Prologue.panel('$lang_lbl_accueil',''); panel_avance.open=true; ";
$javascript_panel .="panel_avance.content ='<table width=\"100%\">';";

$req = "SELECT CPT_ANNONCE, CPT_PROCESSUS, CPT_SUIVI_DOC, CPT_ALERTES, CPT_RSS, CPT_TBORD 
		FROM COMPTE 
		WHERE CPT_ID = $cpt_id";
$gDb->SQLQuery($req,1);
$paramCpt = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

// annonce
$javascript_panel .="panel_avance.content += '<tr><td width=\"130px\" class=\"fieldCaption\">$lang_accueil_lbl_annonce</td>';";
$javascript_panel .="panel_avance.content += '<td class=\"fieldValue\">';";
$javascript_panel .="panel_avance.content += add_etat('cpt_annonce', '".$paramCpt['CPT_ANNONCE']."');";
$javascript_panel .="panel_avance.content += '</td></tr>';";

// processus
$javascript_panel .="panel_avance.content += '<tr><td class=\"fieldCaption\">$lang_accueil_lbl_suiviproc</td>';";
$javascript_panel .="panel_avance.content += '<td class=\"fieldValue\">';";
$javascript_panel .="panel_avance.content += add_etat('cpt_processus', '".$paramCpt['CPT_PROCESSUS']."');";
$javascript_panel .="panel_avance.content += '</td></tr>';";

// suivi doc
$javascript_panel .="panel_avance.content += '<tr><td class=\"fieldCaption\">$lang_accueil_lbl_suividoc</td>';";
$javascript_panel .="panel_avance.content += '<td class=\"fieldValue\">';";
$javascript_panel .="panel_avance.content += add_etat('cpt_suivi_doc', '".$paramCpt['CPT_SUIVI_DOC']."');";
$javascript_panel .="panel_avance.content += '</td></tr>';";

// alertes
$javascript_panel .="panel_avance.content += '<tr><td class=\"fieldCaption\">$lang_menu_lbl_alert_caption</td>';";
$javascript_panel .="panel_avance.content += '<td class=\"fieldValue\">';";
$javascript_panel .="panel_avance.content += add_etat('cpt_alertes', '".$paramCpt['CPT_ALERTES']."');";
$javascript_panel .="panel_avance.content += '</td></tr>';";

// tableau de bord
$javascript_panel .="panel_avance.content += '<tr><td class=\"fieldCaption\">$lang_menu_lbl_dashboard_caption</td>';";
$javascript_panel .="panel_avance.content += '<td class=\"fieldValue\">';";
$javascript_panel .="panel_avance.content += add_etat('cpt_tbord', '".$paramCpt['CPT_TBORD']."');";
$javascript_panel .="panel_avance.content += '</td></tr>';";

// rss
$javascript_panel .="panel_avance.content += '<tr><td class=\"fieldCaption\">$lang_menu_lbl_gestrss_caption</td>';";
$javascript_panel .="panel_avance.content += '<td class=\"fieldValue\">';";
$javascript_panel .="panel_avance.content += add_etat('cpt_rss', '".$paramCpt['CPT_RSS']."');";
$javascript_panel .="panel_avance.content += '</td></tr>';";

$javascript_panel .="panel_avance.content +='</table>';";
$javascript_panel .="panel_avance.create();";
$vtp->setVar($form, "form_field_param_panel.javascript", $javascript_panel);
$vtp->closeSession($form, "form_field_param_panel");

$vtp->addSession($form, "form_field_param_panel");
$javascript_panel_menu =" var panel_menu = new Prologue.panel('$lang_lbl_menu',''); panel_menu.open=true; ";
$javascript_panel_menu .="panel_menu.content ='<table width=\"100%\">';";

$req = "SELECT CPT_MENU_SUIVI, CPT_MENU_BUSPROC, CPT_MENU_FLUX, CPT_MENU_ADMIN 
		FROM COMPTE 
		WHERE CPT_ID = $cpt_id";
$gDb->SQLQuery($req,1);
$paramCpt = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

// Menu Suivi
$javascript_panel_menu .="panel_menu.content += '<tr><td width=\"130px\" class=\"fieldCaption\">$lang_lbl_suivi</td>';";
$javascript_panel_menu .="panel_menu.content += '<td class=\"fieldValue\">';";
$javascript_panel_menu .="panel_menu.content += add_etat('cpt_menu_suivi', '".$paramCpt['CPT_MENU_SUIVI']."');";
$javascript_panel_menu .="panel_menu.content += '</td></tr>';";

// Menu Business Process
$javascript_panel_menu .="panel_menu.content += '<tr><td class=\"fieldCaption\">$lang_menu_lbl_busproc_caption</td>';";
$javascript_panel_menu .="panel_menu.content += '<td class=\"fieldValue\">';";
$javascript_panel_menu .="panel_menu.content += add_etat('cpt_menu_busproc', '".$paramCpt['CPT_MENU_BUSPROC']."');";
$javascript_panel_menu .="panel_menu.content += '</td></tr>';";

// Menu Flux
$javascript_panel_menu .="panel_menu.content += '<tr><td class=\"fieldCaption\">$lang_menu_lbl_flux_caption</td>';";
$javascript_panel_menu .="panel_menu.content += '<td class=\"fieldValue\">';";
$javascript_panel_menu .="panel_menu.content += add_etat('cpt_menu_flux', '".$paramCpt['CPT_MENU_FLUX']."');";
$javascript_panel_menu .="panel_menu.content += '</td></tr>';";

// Menu Admin
$javascript_panel_menu .="panel_menu.content += '<tr><td class=\"fieldCaption\">$lang_menu_lbl_admin_caption</td>';";
$javascript_panel_menu .="panel_menu.content += '<td class=\"fieldValue\">';";
$javascript_panel_menu .="panel_menu.content += add_etat('cpt_menu_admin', '".$paramCpt['CPT_MENU_ADMIN']."');";
$javascript_panel_menu .="panel_menu.content += '</td></tr>';";

$javascript_panel_menu .="panel_menu.content +='</table>';";
$javascript_panel_menu .="panel_menu.create();";
$vtp->setVar($form, "form_field_param_panel.javascript", $javascript_panel_menu);
$vtp->closeSession($form, "form_field_param_panel");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>