<?php
$DEFAULT_PATH = "../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = CPT; //droit de gestion des Logs
$lmcse = DROIT_LECT + DROIT_MODIF;

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "information/monCPT_actAction.php";

$action 		= pget('action');

$CPT_PWD		= pget('CPT_PWD');
$CPT_PWD2		= pget('CPT_PWD2');

$cpt_id 		= $_SESSION['CPT_ID'];
$clt_id 		= $_SESSION['CLT_ID'];

$cpt_annonce		= pget('cpt_annonce');
$cpt_processus		= pget('cpt_processus');
$cpt_suivi_doc		= pget('cpt_suivi_doc');
$cpt_alertes		= pget('cpt_alertes');
$cpt_tbord			= pget('cpt_tbord');
$cpt_rss			= pget('cpt_rss');

$cpt_menu_suivi = pget('cpt_menu_suivi');
$cpt_menu_busproc = pget('cpt_menu_busproc');
$cpt_menu_flux = pget('cpt_menu_flux');
$cpt_menu_admin = pget('cpt_menu_admin');

if($cpt_menu_suivi=='') $cpt_menu_suivi = 0;
if($cpt_menu_busproc=='') $cpt_menu_busproc = 0;
if($cpt_menu_flux=='') $cpt_menu_flux = 0;
if($cpt_menu_admin=='') $cpt_menu_admin = 0;

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "modif")
{
	$dateModif = date("Y-m-d H:i:s");
			
	$req = "SELECT CPT_PWD, CPT_CHANGE_PWD FROM COMPTE WHERE CPT_ID=$cpt_id AND CLT_ID=$clt_id";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$oldPwd = $row['CPT_PWD'];
	$changePwd = $row['CPT_CHANGE_PWD'];
	$gDb->SQLFermeQuery(1);

	if ($changePwd != 0)
	{
		if(md5($CPT_PWD)==$oldPwd)
		{
			$msg = $lang_info_moncpt_diff_mdp;
			$return = 1;
		}
		else if($CPT_PWD=='')
		{
			$msg = $lang_msg_err_no_password;
			$return = 1;
		}
	}
	
	if ($return!=1)
	{
		if($CPT_PWD==$CPT_PWD2)
		{
			$req = "update COMPTE
			set CPT_DATE_TRAIT = '$dateModif', 
			CPT_CHANGE_PWD = '0', CPT_ANNONCE = $cpt_annonce, CPT_PROCESSUS = $cpt_processus, CPT_SUIVI_DOC = $cpt_suivi_doc, CPT_ALERTES = $cpt_alertes, CPT_TBORD = $cpt_tbord, CPT_RSS = $cpt_rss, CPT_MENU_SUIVI = $cpt_menu_suivi, CPT_MENU_BUSPROC = $cpt_menu_busproc, CPT_MENU_FLUX = $cpt_menu_flux, CPT_MENU_ADMIN = $cpt_menu_admin ";
			if ($CPT_PWD!='' && droit($droitRole, DROIT_MODIF,null,null,null,null))
				$req.=", CPT_PWD='".md5($CPT_PWD)."'";

			$req.=" where CPT_ID=$cpt_id AND CLT_ID=$clt_id";
			
			if (!$gDb->SQLQuery($req, 1))
			{
				$msg = $lang_info_moncpt_msg_err;
				$return = 1;
			}
			else
			{
				$msg = $lang_utr_utr_act_cptmodif_msg_ok;
				$return = 0;
			}
			$gDb->SQLFermeQuery(1);
		}
		else
		{
			$msg = $lang_msg_err_diff_password;
			$return = 1;
		}
	}
}		
$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
echo encode_JSON($reponse);
?>