<?php
DEFINE('SQL_DUP_CHAMP',-2);

/**
 * Interface une base de données MySQL
 */
class Db
{
	var $NumReq = 10;  //Nombre max de requetes simultanées
	var $ConnectionID;
	var $DatabaseName;
	var $Result;
	var $TotAff;
	var $Row;
	var $TypeBase = 'mysql';

	function SQLConnect($host, $user, $passwd, $database)
	{
		$this->ConnectionID = @mysql_connect($host, $user, $passwd);

		if (!$this->ConnectionID)
		{
			$this->erreur("Erreur de connexion");
			return false;
		}

		if ($database) return( $this->SQLSelectDatabase($database) );

		return true;
	}

	function SQLSelectDatabase($database)
	{
		$this->DatabaseName = $database;

		if ($this->ConnectionID)
			return @mysql_select_db($database, $this->ConnectionID);
		else
		{
			erreur("Erreur de selection de la base de donn�es");
            return false;
		}
	}
	
	// Pour compatibilité pdo.inc.php
	function SQLQueryDirect($query, $num = '0')
	{
		return $this->SQLQuery($query, $num);
	}

	function SQLQuery($query, $num = '0', $start = '', $limit = '')
	{
		
		if ($start != '' || $limit != '')
			$query .= ' LIMIT '.$start.','.$limit;

		if ((utf8_encode(utf8_decode($query)) == $query))
		{
			$query = utf8_decode($query);
		}
	
		if ((isset($_SESSION['CPT_ID'])) && (!strstr($query,'SELECT'))) {
			$query_user="UPDATE compte set CPT_LAST_ACT=now() where CPT_ID=".$_SESSION['CPT_ID'].";";
			//$query_user="SET @cur_user=".$_SESSION['CPT_ID'].";";
			@mysql_query($query_user, $this->ConnectionID);
		}
		
		$this->Result[$num] = @mysql_query($query, $this->ConnectionID); //mysql_unbuffered_query?
		$this->TotAff[$num] = @mysql_affected_rows($this->ConnectionID);
		if(!$this->Result[$num])
		{
			if (mysql_errno() == 1062)
			{
				$res[0] = SQL_DUP_CHAMP;
				return $res;
			}
			$this->erreur("$query");
		}
		return $this->Result[$num];
	}
	
	function SQLTotAff($num)
	{
		return $this->TotAff[$num];
	}

	function SQLNumRows($num = '0')
	{
		$count = @mysql_num_rows($this->Result[$num]);
		if ($count == -1)
		{
			$this->erreur("Erreur de nombre de ligne");
			return false;
		}
		return $count;
	}

	function SQLNumFields($num = '0')
	{
		if ($num < 0 || $num > $this->NumReq) return false;
		$count = @mysql_num_fields($this->Result[$num]);
		if ($count == -1)
		{
			$this->erreur("Erreur de nombre de colonne");
			return false;
		}
		return $count;
	}

	function SQLFieldName($i = '1', $num = '0')
	{
		return mysql_field_name($this->Result[$num],$i);
	}
	  
	function SQLFieldType($i='1', $num='0')
	{
		return mysql_field_type($this->Result[$num],$i);
	}
	  
	function SQLFieldFlags($i='1', $num='0')
	{
		return mysql_field_flags($this->Result[$num],$i);
	}

	function SQLNextRow($num='0')
	{
		$this->Row = @mysql_fetch_array($this->Result[$num]);
		$fieldNumber = $this->SQLNumFields($num);  
		if (is_array($this->Row))
		{
			foreach($this->Row as $key => $strWork)
			{
				if (is_string($strWork))
				{
					$utf8Decode = utf8_decode($strWork);
					if (($utf8Decode != $strWork) && (utf8_encode($utf8Decode) == $strWork))
					{
						$this->Row[$key] = $strWork;
					}
					else
					{
						$this->Row[$key] = utf8_encode($strWork);
					} 
				}
			}
		}
		return $this->Row;
	}

	function SQLLoadLob($num, $query)
	{
		if ($num < 0 || $num > $this->NumReq)
		{
			$this->erreur("Num�ro de statement incorrect");
			return false;
		}

		$this->Result[$num] = @mysql_query($query, $this->ConnectionID);
		if(!$this->Result[$num])
		{
			$this->erreur("$query");
			return false;
		}

		$res = mysql_fetch_array($this->Result[$num]);

		@mysql_free_result($this->Result[$num]);
		return $res[0];
	}

	function SQLFermeQuery($num='0')
	{
		if ($num < 0 || $num > $this->NumReq) return false;
		if (!@mysql_free_result($this->Result[$num])) return false;
		else return true;
	}

	/**
	 * Se positionne en mode AutoCommit Off
	 * @return boolean succès de l'opération
	 */
	function SQLTransact()
	{
		$res = @mysql_query("BEGIN", $this->ConnectionID);
		if(!$res)
		{
			$this->erreur("Erreur transaction");
			return false;
		}
		return true;
	}

	/**
	 * Valide une transaction
	 * @return boolean succès de l'opération
	 */
	function SQLCommit()
	{
		$res = @mysql_query("COMMIT", $this->ConnectionID);
		if(!$res)
		{
			$this->erreur("Erreur commit");
			return false;
		}
		return true;
	}

	
	/**
	 * Annule la dernière transaction
	 * @return boolean succès de l'op�ration
	 */
	function SQLRollBack()
	{
		$res = @mysql_query("ROLLBACK", $this->ConnectionID);
		if(!$res)
		{
			$this->erreur("Erreur RollBack");
			return false;
		}
		return true;
	}

	/**
	 * Retourne la derniere clé (autoincrement) générée dans la connexion courante
	 * @return boolean/string false en cas d'échec, la valeur de la clé sinon
	 */
	function SQLLastCle()
	{
		$res = @mysql_insert_id();
		if(!$res)
		{
			$this->erreur("Erreur LastCle");
			return false;
		}
		return $res;
	}
   
	function SQLlastID()
    {
		return mysql_insert_id();
    }

	function SQLErreur()
	{
		return " Erreur mysql n°:".mysql_errno()." libellé: ".mysql_error();
	}

	function erreur($fonction)
	{
		global $page_courante;
		$res = $fp = @fopen(PATH_LOG_SQL."flowmanager_sql_site.log", "a");
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Le chemin d\'acc�s au fichier de log SQL n\'existe pas, \\nou les permissions ne sont pas accord�es au serveur pour ecrire dans le r�pertoire.\"); 
					</script>";
			return false;
		}
		$msg_err = 	"ERR_SQL**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Requete : $fonction\r\n".
					"Erreur  : ".mysql_error()."\r\n";
		$res = @fputs($fp, $msg_err);
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Une erreur SQL s\'est produite, \\nmais le serveur Web ne dispose pas des droits n�cessaire pour �crire dans le fichier des logs.\");
					</script>";
			return false;
		}
		@fclose($fp);
	}
}
?>