<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = (droit(CTA, "xor", null, null, null, null)? CTA: CMA);
$lmcse = DROIT_LECT;

$page_courante = "suivi/alertes/sui_alt.php";

$f_etat = pget('f_etat');

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$pageSize = $ini_taille_page_suivi;
$pageNum = pget('pageNum');
$f_type = "";
$f_date = "";
$f_niv = "";
$f_emet = "";
$f_suivi = "";
$f_cloture = "";
// Si l'historique affiche a ete demande depuis un autre ecran (par exemple la collecte)
// on ne sauvegarde pas les parametres du filtre
if ($remember_filters)
{
	// On restaure les derniers parametres utilises pour le filtre
	$_SESSION['HISTOALE_FILTER']['remember'] = true;

	if (isset($_SESSION['HISTOALE_FILTER']['f_etat'])) $f_etat = $_SESSION['HISTOALE_FILTER']['f_etat'];
	if (isset($_SESSION['HISTOALE_FILTER']['f_type'])) $f_type = $_SESSION['HISTOALE_FILTER']['f_type'];
	if (isset($_SESSION['HISTOALE_FILTER']['f_date'])) $f_date = $_SESSION['HISTOALE_FILTER']['f_date'];
	if (isset($_SESSION['HISTOALE_FILTER']['f_niv'])) $f_niv = $_SESSION['HISTOALE_FILTER']['f_niv'];
	if (isset($_SESSION['HISTOALE_FILTER']['f_emet'])) $f_emet = $_SESSION['HISTOALE_FILTER']['f_emet'];
	if (isset($_SESSION['HISTOALE_FILTER']['f_suivi'])) $f_suivi = $_SESSION['HISTOALE_FILTER']['f_suivi'];
	if (isset($_SESSION['HISTOALE_FILTER']['f_cloture'])) $f_cloture = $_SESSION['HISTOALE_FILTER']['f_cloture'];

	if ((isset($_SESSION['HISTOALE_FILTER']['pageSize'])) && ($_SESSION['HISTOALE_FILTER']['pageSize'] != '')) $pageSize = $_SESSION['HISTOALE_FILTER']['pageSize'];
	if (($pageNum == '') && (isset($_SESSION['HISTOALE_FILTER']['pageNum'])) && ($_SESSION['HISTOALE_FILTER']['pageNum'] != '')) $pageNum = $_SESSION['HISTOALE_FILTER']['pageNum'];
}
if ($pageNum == '') $pageNum = "1";

$vtp->setVar($form, "global.head_javascript", "");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_sui_alt_title));
$vtp->setVar($form, "global.help_id", "20070717170531");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_alt.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/alertes/sui_alt_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", $pageSize);
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $pageSize,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

//Niveau de gravité
$filtre[] = array("id_filtre" => "f_niv", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_nivgrav,
					"value_filtre" => $f_niv,
					"ds_filtre" => $pathFlow."suivi/alertes/sui_alt_dSGravite.php");

$filtre[] = array("id_filtre" => "new_line");

//Type d'alerte
$filtre[] = array("id_filtre" => "f_type", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_type,
					"value_filtre" => $f_type,
					"ds_filtre" => $pathFlow."dataSources/dSTypeAlert.php?showNull=1");
	
//Date
$filtre[] = array("id_filtre" => "f_date", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"value_filtre" => $f_date,
				  	"libelle_filtre" => $lang_sui_alt_filtre_lbl_datedeb);

$filtre[] = array("id_filtre" => "new_line");

//Etat
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_etat,
					"value_filtre" => $f_etat,
					"ds_filtre" => $pathFlow."suivi/alertes/sui_alt_dSEtat.php");
	
//Activité émettrice
$filtre[] = array("id_filtre" => "f_emet", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_actemet,
					"value_filtre" => $f_emet,
					"ds_filtre" => $pathFlow."dataSources/dSActivite.php",
					"dd_height_filtre" => "170",
					"dd_width_filtre" => "255");

$filtre[] = array("id_filtre" => "new_line");

//Date Suivi
$filtre[] = array("id_filtre" => "f_suivi", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"value_filtre" => $f_suivi,
				  	"libelle_filtre" => $lang_sui_alt_grid_head_date_suivi);
	
//Date cloture
$filtre[] = array("id_filtre" => "f_cloture", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"value_filtre" => $f_cloture,
				  	"libelle_filtre" => $lang_sui_alt_grid_head_date_cloture);

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => true,
						"detail" => true,
						"print" => array("show" => true
,"title" => addslashes($lang_sui_alt_title)),
						"csv" => true);

//visualiser
$option_toolbar[] = array("caption" => addslashes($lang_sui_alt_act_detail_title_detail),
					"icon" => $pathStyle."imgs/icons/loupe.gif",
					"action" => array("name" => "detail",
									"page" => "suivi/alertes/sui_alt_actDetail.php",
									"callback" => "changePage",
									"get_params" => array('alt_id')));

//Historique
/*
 $option_toolbar[] = array("caption" => addslashes($lang_sui_col_grid_act_histo),
 "icon" => $pathStyle."imgs/icons/histo.gif",
 "action" => array("name" => "histo",
 "page" => "suivi/historique/sui_hist.php",
 "callback" => "changePage",
 "get_params" => array('numAlt')));
 */
//Supprimer
$option_toolbar[] = array("caption" => $lang_ds_action_supprsel,
					"icon" => $pathStyle."imgs/icons/trash.png",
					"action" => array("name" => "remove",
									"page" => "suivi/alertes/sui_alt_actSuppr.php",
									"callback" => "prlExecGrid",
									"get_params" => array('liste')));

//Cloturer
$option_toolbar[] = array("caption" => $lang_lbl_cloturer,
					"icon" => $pathStyle."imgs/icons/valid.png",
					"action" => array("name" => "cloture",
									"page" => "suivi/alertes/sui_alt_actCloture.php",
									"callback" => "prlExecGrid",
									"get_params" => array('liste')));

mkToolbar($vtp, $form, $option_toolbar);

/*
 rowAction.actions.histo.check = function (params) {
 if (params.sui_typ_num) {
 return true;
 }
 else if (params.alt_suivi) {
 var type_suivi = params.alt_suivi.split(':');
 if(type_suivi[0] == 'RAPPROCH') {
 var val_suivi = type_suivi[1].split(';');
 var url = Flow.path+'suivi/rapproch/sui_rap_actDetail.php';
 for(var val_s=0; val_s<val_suivi.length; val_s++) {
 var vs = val_suivi[val_s].split(',');
 url += ((val_s == 0)?'?':'&')+vs[0]+'='+vs[1];
 }
 changePage(url);
 return false;
 }
 }
 };

 rowAction.actions.remove.check = function (params) {
 var msg_suppr = '".addslashes($lang_sui_alt_act_detail_question_suppr)."';
 msg_suppr = msg_suppr.replace('%ALERTNAME%', params.alt_libel);
 return confirm(msg_suppr);
 };
 */
$body_js = "

rowAction.actions.remove.check = function (params, list_params) {
	params.liste = '';
	for(var i = 0; i < list_params.length; ++i)
		params.liste +=  (i? '_'+list_params[i].alt_id: list_params[i].alt_id);
	return true;
};

rowAction.actions.cloture.check = function (params, list_params) {
	var diagnostic = prompt('".addslashes(hi_disp($lang_sui_alt_lbl_diagnostic))."');
	if (diagnostic!=null) {
		if(diagnostic!='') {
			params.liste = '';
			for(var i = 0; i < list_params.length; ++i)
				params.liste +=  (i? '_'+list_params[i].alt_id: list_params[i].alt_id);
			params.liste += '&alt_diagnostic='+diagnostic;
			return true;
		}
		else
			alert('".addslashes(hi_disp($lang_sui_alt_err_diagnostic))."');
	}
	return false;
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);
$vtp->closeSession($form, "global");
$vtp->Display();
?>