<?php
$DEFAULT_PATH = "../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");

require_once("$culture_folder/culture.php");
require_once ($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

if (droit(CTA, "xor",null,null,null,null))
	$droitRole = CTA;
else
	$droitRole = CMA;
$page_courante = "suivi/alertes/sui_alt_actSuppr.php";

$action = 'suppr';
$liste 	= pget('liste');

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;
$err = false;
if ($liste)
	$tmp = explode("_",$liste);
$i=0;
while (isset($tmp[$i]) && $tmp[$i])
{
	$req = "UPDATE ALERTE 
			SET ALT_ETAT = ".ALT_ETAT_SUPPR." 
			WHERE ALT_ID = ".$tmp[$i];
	if (!$gDb->SQLQuery($req, 1))
		$err=true;
	$gDb->SQLFermeQuery(1);
	$i++;
}
if ($err)
{
	$msg = $lang_sui_alt_act_suppr_msg_err;
	$return = 1;
}
else
{
	$msg = $lang_sui_alt_act_suppr_msg_ok;
	$return = 0;
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
echo encode_JSON($reponse);
?>