<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$droitRole = SDM;
$lmcse = DROIT_LECT + DROIT_EXEC;

$cptID = $_SESSION['CPT_ID'];
$cltID = $_SESSION['CLT_ID'];


$where = "";

$f_date_deb		 = pget("f_date_deb");
$f_date_fin		 = pget("f_date_fin");
$f_date_deb_fact = pget("f_date_deb_fact");
$f_date_fin_fact = pget("f_date_fin_fact");
$f_num_fact_min	 = pget("f_num_fact_min");
$f_num_fact_max	 = pget("f_num_fact_max");
$f_ht_min		 = pget("f_ht_min");
$f_ht_max		 = pget("f_ht_max");
$f_ttc_min		 = pget("f_ttc_min");
$f_ttc_max		 = pget("f_ttc_max");
$f_vend			 = pget("f_vend");
$f_achet		 = pget("f_achet");
$f_sens			 = pget("f_sens");
$f_fonc			 = pget("f_fonc");
$f_etat			 = pget("f_etat");
$f_type			 = pget("f_type");
$f_codFactPar	 = pget("f_codFactPar");
$f_codFactA		 = pget("f_codFactA");
$f_date_deb_mess = pget("f_date_deb_mess");
$f_date_fin_mess = pget("f_date_fin_mess");
$f_devise_fact = pget("f_devise_fact");
$f_adr_par = pget("f_adr_par");
$f_adr_a = pget("f_adr_a");
$f_tva_par = pget("f_tva_par");
$f_tva_a = pget("f_tva_a");
$f_siren_par = pget("f_siren_par");
$f_siren_a = pget("f_siren_a");

$DEMAT_CPT = pget("DEMAT_CPT");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$TYPE = array (
FACT_SERVICE_CPT		=> $lang_ds_tfact_servcpt,
NOTE_CREDIT_AJUSTEMENTS => $lang_ds_tfact_credajust,
NOTE_DEBIT				=> $lang_ds_tfact_notdeb,
ELEMT_FACT				=> $lang_ds_tfact_factelem,
FACT_PRO_FORMAT			=> $lang_ds_tfact_proform,
FACT_COMMERCIALE		=> $lang_ds_tfact_factcom,
NOTE_CREDIT_AVOIR		=> $lang_ds_tfact_credav,
NOTE_COMISSION			=> $lang_ds_tfact_notcom,
NOTE_CREDIT_MARCH_SERV	=> $lang_ds_tfact_notcredmarchserv,
FACT_CORRIG				=> $lang_ds_tfact_factcorr,
FACT_CONSOL				=> $lang_ds_tfact_factconsol,
FACT_ACOMPTE			=> $lang_ds_tfact_factaccom,
FACT_AUTOFACT			=> $lang_ds_tfact_factauto,
FACT_DUCROIRE			=> $lang_ds_tfact_factducr,
F_TYPE_ALERTE			=> $lang_ds_tfact_altinv,
FACT_AFFACT				=> $lang_ds_tfact_factaffact
);

// traitement des dates UNB
if($f_date_deb_mess) {
	if($f_date_fin_mess) {
		if($ini_typeBase == "oracle"){
				$date_deb_mess_sql = "TO_DATE('$f_date_deb_mess','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_mess_sql = "TO_DATE('$f_date_fin_mess 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND TMA_DATE_UNB BETWEEN $date_deb_mess_sql AND $date_fin_mess_sql";
		}
		else{
			$where .= " AND TMA_DATE_UNB BETWEEN '".date2Sql($f_date_deb_mess, "00:00:00")."' AND '".date2Sql($f_date_fin_mess, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND TMA_DATE_UNB >= TO_DATE('$f_date_deb_mess', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND TMA_DATE_UNB >= '".date2Sql($f_date_deb_mess, "00:00:00")."'";
		}
	}
}
else if($f_date_fin_mess) {
	if($ini_typeBase == "oracle"){
		$where .= " AND TMA_DATE_UNB <= TO_DATE('$f_date_fin_mess 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND TMA_DATE_UNB <= '".date2Sql($f_date_fin_mess, "23:59:59")."'";
	}		
}

// traitement des dates
if($f_date_deb) {
	if($f_date_fin) {
		if($ini_typeBase == "oracle"){
				$date_deb_sql = "TO_DATE('$f_date_deb','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_sql = "TO_DATE('$f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND TMA_DATE_TRAIT BETWEEN $date_deb_sql AND $date_fin_sql";
		}
		else{
			$where .= " AND TMA_DATE_TRAIT BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND TMA_DATE_TRAIT >= TO_DATE('$f_date_deb', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND TMA_DATE_TRAIT >= '".date2Sql($f_date_deb, "00:00:00")."'";
		}
	}
}
else if($f_date_fin) {
	if($ini_typeBase == "oracle"){
		$where .= " AND TMA_DATE_TRAIT <= TO_DATE('$f_date_fin 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND TMA_DATE_TRAIT <= '".date2Sql($f_date_fin, "23:59:59")."'";
	}		
}

// traitement des dates facturation
if($f_date_deb_fact) {
	if($f_date_fin_fact) {
		if($ini_typeBase == "oracle"){
				$date_deb_fact_sql = "TO_DATE('$f_date_deb_fact','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_fact_sql = "TO_DATE('$f_date_fin_fact 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND TMA_DATE_FACT BETWEEN $date_deb_fact_sql AND $date_fin_fact_sql";
		}
		else{
			$where .= " AND TMA_DATE_FACT BETWEEN '".date2Sql($f_date_deb_fact, "00:00:00")."' AND '".date2Sql($f_date_fin_fact, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND TMA_DATE_FACT >= TO_DATE('$f_date_deb_fact', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND TMA_DATE_FACT >= '".date2Sql($f_date_deb_fact, "00:00:00")."'";
		}
	}
}
else if($f_date_fin_fact) {
	if($ini_typeBase == "oracle"){
		$where .= " AND TMA_DATE_FACT <= TO_DATE('$f_date_fin_fact 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND TMA_DATE_FACT <= '".date2Sql($f_date_fin_fact, "23:59:59")."'";
	}		
}


if ($f_num_fact_min)
{
	if ($f_num_fact_min!=$lang_sui_inv_filtre_lbl_no_numfac)
	{
		$where .= " AND TMA_NUM_FACT >= ".dblQ($f_num_fact_min)." ";
	}
	else
	{
		$where .= " AND (TMA_NUM_FACT >= '' OR TMA_NUM_FACT IS NULL) ";
	}
}

if ($f_num_fact_max)
{
	if ($f_num_fact_max!=$lang_sui_inv_filtre_lbl_no_numfac)
	{
		$where .= " AND TMA_NUM_FACT <= ".dblQ($f_num_fact_max)." ";
	}
	else
	{
		$where .= " AND (TMA_NUM_FACT <= '' OR TMA_NUM_FACT IS NULL) ";
	}
}

if ($f_ht_min)
{
	if ($f_ht_min!=$lang_sui_inv_filtre_lbl_no_montht)
	{
		$where .= " AND TMA_MONT_HT >= ".dblQ($f_ht_min)." ";
	}
	else
	{
		$where .= " AND (TMA_MONT_HT >= '' OR TMA_MONT_HT IS NULL) ";
	}
}

if ($f_ht_max)
{
	if ($f_ht_max!=$lang_sui_inv_filtre_lbl_no_montht)
	{
		$where .= " AND TMA_MONT_HT <= ".dblQ($f_ht_max)." ";
	}
	else
	{
		$where .= " AND (TMA_MONT_HT <= '' OR TMA_MONT_HT IS NULL) ";
	}
}

if ($f_ttc_min)
{
	if ($f_ttc_min!=$lang_sui_inv_filtre_lbl_no_montttc)
	{
		$where .= " AND TMA_MONT_TTC >= ".dblQ($f_ttc_min)." ";
	}
	else
	{
		$where .= " AND (TMA_MONT_TTC >= '' OR TMA_MONT_TTC IS NULL) ";
	}
}

if ($f_ttc_max)
{
	if ($f_ttc_max!=$lang_sui_inv_filtre_lbl_no_montttc)
	{
        $where .= " AND TMA_MONT_TTC <= ".dblQ($f_ttc_max)." ";
	}
	else
	{
		$where .= " AND (TMA_MONT_TTC <= '' OR TMA_MONT_TTC IS NULL) ";
	}
}

if ($f_devise_fact)
{
	if ($f_devise_fact!=$lang_sui_inv_filtre_lbl_no_devise)
	{
		$where .= " AND TMA_DEVISE LIKE '%$f_devise_fact%' ";
	}
	else
	{
		$where .= " AND (TMA_DEVISE = '' OR TMA_DEVISE IS NULL) ";
	}
}		
	
if ($f_vend)
{
	if ($f_vend!=$lang_sui_inv_filtre_lbl_no_nomfacpar)
	{
		$where .= " AND TMA_NOM_FACT_PAR LIKE '%$f_vend%' ";
	}
	else
	{
		$where .= " AND (TMA_NOM_FACT_PAR = '' OR TMA_NOM_FACT_PAR IS NULL) ";
	}
}
	
if ($f_achet)
{
	if ($f_achet!=$lang_sui_inv_filtre_lbl_no_nomfaca)
	{
		$where .= " AND TMA_NOM_FACT_A LIKE '%$f_achet%' ";
	}
	else
	{
		$where .= " AND (TMA_NOM_FACT_A = '' OR TMA_NOM_FACT_A IS NULL) ";
	}
}	
	
if ($f_adr_par)
{
	if ($f_adr_par!=$lang_sui_inv_filtre_lbl_no_adresse)
	{
		$where .= " AND TMA_ADR_FACT_PAR LIKE '%$f_adr_par%' ";
	}
	else
	{
		$where .= " AND (TMA_ADR_FACT_PAR = '' OR TMA_ADR_FACT_PAR IS NULL) ";
	}
}

if ($f_adr_a)
{
	if ($f_adr_a!=$lang_sui_inv_filtre_lbl_no_adresse)
	{
		$where .= " AND TMA_ADR_FACT_A LIKE '%$f_adr_a%' ";
	}
	else
	{
		$where .= " AND (TMA_ADR_FACT_A = '' OR TMA_ADR_FACT_A IS NULL) ";
	}
}

if ($f_tva_par)
{
	if ($f_tva_par!=$lang_sui_inv_filtre_lbl_no_tva)
	{
		$where .= " AND TMA_TVA_FACT_PAR LIKE '%$f_tva_par%' ";
	}
	else
	{
		$where .= " AND (TMA_TVA_FACT_PAR = '' OR TMA_TVA_FACT_PAR IS NULL) ";
	}
}

if ($f_tva_a)
{
	if ($f_tva_a!=$lang_sui_inv_filtre_lbl_no_tva)
	{
		$where .= " AND TMA_TVA_FACT_A LIKE '%$f_tva_a%' ";
	}
	else
	{
		$where .= " AND (TMA_TVA_FACT_A = '' OR TMA_TVA_FACT_A IS NULL) ";
	}
}
	
if ($f_siren_par)
{
	if ($f_siren_par!=$lang_sui_inv_filtre_lbl_no_siren)
	{
		$where .= " AND TMA_SIREN_FACT_PAR LIKE '%$f_siren_par%' ";
	}
	else
	{
		$where .= " AND (TMA_SIREN_FACT_PAR = '' OR TMA_SIREN_FACT_PAR IS NULL) ";
	}
}

if ($f_siren_a)
{
	if ($f_siren_a!=$lang_sui_inv_filtre_lbl_no_siren)
	{
		$where .= " AND TMA_SIREN_FACT_A LIKE '%$f_siren_a%' ";
	}
	else
	{
		$where .= " AND (TMA_SIREN_FACT_A = '' OR TMA_SIREN_FACT_A IS NULL) ";
	}
}	
	
if ($f_sens)
	$where .= " AND TMA_SENS = '$f_sens' ";
	
if ($f_fonc) $where .= " AND TMA_FONC = $f_fonc ";
	
if ($f_etat == DEMAT_ETAT_ERR)
	$where .= " AND TMA_CODE_ERR > 0 ";
	
if ($f_etat == DEMAT_ETAT_OK)
	$where .= " AND (TMA_CODE_ERR = 0 OR ISNULL(TMA_CODE_ERR)) ";

if ($f_type)
	$where .= " AND TMA_TYPE = $f_type ";
	
if ($f_codFactPar)
{
	if ($f_codFactPar!=$lang_sui_inv_filtre_lbl_no_codefacpar)
	{
		$where .= " AND TMA_CODE_FACT_PAR LIKE '%$f_codFactPar%' ";
	}
	else
	{
		$where .= " AND (TMA_CODE_FACT_PAR = '' OR TMA_CODE_FACT_PAR IS NULL) ";
	}
}	
	
if ($f_codFactA)
{
	if ($f_codFactA!=$lang_sui_inv_filtre_lbl_no_codefaca)
	{
		$where .= " AND TMA_CODE_FACT_A LIKE '%$f_codFactA%' ";
	}
	else
	{
		$where .= " AND (TMA_CODE_FACT_A = '' OR TMA_CODE_FACT_A IS NULL) ";
	}
}		
	
if ($DEMAT_CPT)
	$where .= " AND TMA_CPT = $DEMAT_CPT ";

Construit_restriction($droitRole, "TMA_EMET_ID", "TMA_DEST_ID", null, null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);

$req = "SELECT SQL_CALC_FOUND_ROWS TMA_DATE_UNB, TMA_NUM_FACT, TMA_DATE_FACT, TMA_NOM_FACT_A, TMA_ADR_FACT_A, TMA_TVA_FACT_A,
			TMA_SIREN_FACT_A , TMA_NOM_FACT_PAR, TMA_ADR_FACT_PAR, TMA_TVA_FACT_PAR, TMA_SIREN_FACT_PAR,
			TMA_MONT_HT, TMA_MONT_TTC, TMA_DEVISE, TMA_SENS, TMA_CODE_ERR, TMA_LIBEL_ERR, TMA_EMET_NOM, TMA_DEST_NOM, 
			TMA_CODE_FACT_A, TMA_CODE_FACT_PAR, TMA_CHEMIN, TMA_ARCHIVE, TMA_TYPE, TMA_FONC, TMA_ID, 
			TMA_DATE_TRAIT, TMA_EMET_ID, TMA_DEST_ID, TMA_DATE_TRAIT, TMA_LOGICIEL, TMA_STATUT, TMA_SCEAU_EDI    
		FROM ARCHIVE_TABLE_MATIERE
		WHERE CLT_ID = $cltID 
			$where $restrict ORDER BY TMA_NUM_FACT";

$champs = array();
/*
$champs[] = array("nom" => " ", "toolTip" => $lang_sui_inv_grid_head_action_dispo, "sortMode" => "1");
$champs[] = array("nom" => " ", "toolTip" => $lang_sui_inv_grid_head_action_dispo, "sortMode" => "1");
*/
$champs[] = array("nom" => $lang_sui_inv_grid_head_dateunb, "toolTip" => $lang_sui_inv_grid_head_dateunb_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_num_caption, "toolTip" => $lang_sui_inv_grid_head_num_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_archive, "toolTip" => $lang_sui_inv_grid_head_archive, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_datet_caption, "toolTip" => $lang_sui_inv_grid_head_datet_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_datef_caption, "toolTip" => $lang_sui_inv_grid_head_datef_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_factde, "toolTip" => $lang_sui_inv_grid_head_factde, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_code_caption, "toolTip" => $lang_sui_inv_grid_head_codede_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_adr, "toolTip" => $lang_sui_inv_grid_head_adrven_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_tva, "toolTip" => $lang_sui_inv_grid_head_tvaven_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_sir, "toolTip" => $lang_sui_inv_grid_head_sirven_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_facta, "toolTip" => $lang_sui_inv_grid_head_facta, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_code_caption, "toolTip" => $lang_sui_inv_grid_head_codea_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_adr, "toolTip" => $lang_sui_inv_grid_head_adrach_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_tva, "toolTip" => $lang_sui_inv_grid_head_tvaach_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_sir, "toolTip" => $lang_sui_inv_grid_head_sirach_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_ht, "toolTip" => $lang_sui_inv_grid_head_ht, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_ttc, "toolTip" => $lang_sui_inv_grid_head_ttc, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_devise, "toolTip" => $lang_sui_inv_grid_head_devise, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_sens, "toolTip" => $lang_sui_inv_grid_head_sens, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_etat, "toolTip" => $lang_sui_inv_grid_head_etat, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_inv_grid_head_type_caption, "toolTip" => $lang_sui_inv_grid_head_type_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_inv_grid_head_version, "toolTip" => $lang_sui_inv_grid_head_version, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	$params = array();
	$params['tma_id'] = $row['TMA_ID'];
	$params['droits'] = array('telecharger' => (droit(TEL, DROIT_LECT, $row['TMA_EMET_ID'], $row['TMA_DEST_ID'], null, null) && ($row['TMA_CODE_ERR'] == 187003 || !$row['TMA_CODE_ERR'] || $row['TMA_CODE_ERR'] == 00000000)));
	
	if($row['TMA_SENS'] == RECEPTION)
		 $sens = $lang_sui_inv_grid_lbl_recept_tooltip;
	else if($row['TMA_SENS'] == EMISSION)
		$sens = $lang_sui_inv_grid_lbl_emiss_tooltip;
	if ($row['TMA_CODE_ERR'] > 0)
		$lib_err = "ERREUR: ".$row['TMA_LIBEL_ERR'];
	else
		$lib_err = $lang_lbl_ok;
	$tmp = explode('\\',$row['TMA_ARCHIVE']);
	
	
	/*$detail = "<table>
                        <tr>
                            <td><b>".$lang_sui_inv_grid_head_ht."</b> : ".$row['TMA_MONT_HT']."</td>
						    <td><b>".$lang_sui_inv_grid_head_ttc."</b> : ".$row['TMA_MONT_TTC']."</td>
						    <td><b>".$lang_sui_inv_grid_head_devise."</b> : ".$row['TMA_DEVISE']."</td>
						    <td><b>".$lang_sui_inv_grid_head_sens."</b> : ".$sens."</td>							
						    <td><b>".$lang_sui_inv_grid_head_etat."</b> : ".$lib_err."</td>
						    <td><b>".$lang_sui_inv_grid_head_type_tooltip."</b> : ".$TYPE[$row['TMA_TYPE']]."</td>
						</tr>
						<tr>
						    <td><b>".$lang_sui_inv_grid_head_archive."</b> : ".$tmp[0]."</td>
						    <td><b>".$lang_sui_inv_grid_head_version."</b> : ".$row['TMA_LOGICIEL']."</td>
						</tr>
						<tr><td><b>----</b>Fin facture<b>----</b></td></tr>
			</table>";
      
      
    echo '<row detail="'.htmlspecialchars($detail).'">';*/
    echo '<row>';  
	
	$vis   = array('icon' => "", 'toolTip' => "", 'onClick' => "");
	$save  = array('icon' => "", 'toolTip' => "", 'onClick' => "");
	//AS certif GS1
	
	// Bz4574 : BG 13/07/2012 : Ajouts conditions ORACLE et MSSSQL (init colonne type "date" diffrentes selon la BdB)
	if ($row['TMA_DATE_UNB']!='0000-00-00 00:00:00' && $row['TMA_DATE_UNB'] != '' && $row['TMA_DATE_UNB']!= NULL && $row['TMA_DATE_UNB']!= '1900-01-01 00:00:00.000')
	{
		echo '<item caption="'.sql2Date($row['TMA_DATE_UNB']).'" value="'.row_encode_JSON($params).'"/>';
	}
	else
	{
		echo '<item caption="'.$row['TMA_DATE_UNB'].'" value="'.row_encode_JSON($params).'"/>';
	}

	echo '<item caption="'.$row['TMA_NUM_FACT'].'"/>';
	
	$tmp = explode('\\',$row['TMA_ARCHIVE']);
	echo '<item caption="'.$tmp[0].'" icon="'.$pathFlow.'style/imgs/icons/valid_ok.png" toolTip="'.$lang_lbl_ok.'"/>';
		
	if ($row['TMA_DATE_TRAIT']!='0000-00-00 00:00:00' && $row['TMA_DATE_TRAIT'] != '' && $row['TMA_DATE_TRAIT']!= NULL && $row['TMA_DATE_TRAIT']!= '1900-01-01 00:00:00.000')
	{
		echo '<item caption="'.sql2Date($row['TMA_DATE_TRAIT']).'"/>';
	}
	else
	{
		echo '<item caption="'.$row['TMA_DATE_TRAIT'].'"/>';
	}
		
	if ($row['TMA_DATE_FACT']!='0000-00-00 00:00:00' && $row['TMA_DATE_FACT'] != '' && $row['TMA_DATE_FACT']!= NULL && $row['TMA_DATE_FACT']!= '1900-01-01 00:00:00.000')
	{
		echo '<item caption="'.sql2Date($row['TMA_DATE_FACT']).'"/>';
	}
	else
	{
		echo '<item caption="'.$row['TMA_DATE_FACT'].'"/>';
	}
	
	echo '<item caption="'.$row['TMA_NOM_FACT_PAR'].'"/>';
	echo '<item caption="'.$row['TMA_CODE_FACT_PAR'].'"/>';
	echo '<item caption="'.$row['TMA_ADR_FACT_PAR'].'"/>';
	echo '<item caption="'.$row['TMA_TVA_FACT_PAR'].'"/>';
	echo '<item caption="'.$row['TMA_SIREN_FACT_PAR'].'"/>';
	echo '<item caption="'.$row['TMA_NOM_FACT_A'].'"/>';
	echo '<item caption="'.$row['TMA_CODE_FACT_A'].'"/>';
	echo '<item caption="'.$row['TMA_ADR_FACT_A'].'"/>';
	echo '<item caption="'.$row['TMA_TVA_FACT_A'].'"/>';
	echo '<item caption="'.$row['TMA_SIREN_FACT_A'].'"/>';
	echo '<item caption="'.$row['TMA_MONT_HT'].'"/>';
	echo '<item caption="'.$row['TMA_MONT_TTC'].'"/>';
	echo '<item caption="'.$row['TMA_DEVISE'].'"/>';
	echo '<item';
	if($row['TMA_SENS'] == RECEPTION)
		echo ' caption="'.$lang_sui_inv_grid_lbl_recept.'" toolTip="'.$lang_sui_inv_grid_lbl_recept_tooltip.'" icon="'.$pathFlow.'style/imgs/icons/retour.gif"/>';
	else if($row['TMA_SENS'] == EMISSION)
	echo ' caption="'.$lang_sui_inv_grid_lbl_emiss.'" toolTip="'.$lang_sui_inv_grid_lbl_emiss_tooltip.'" icon="'.$pathFlow.'style/imgs/icons/aller.gif"/>';
	
	echo '<item';
	if ($row['TMA_CODE_ERR'] > 0)
	echo ' caption="'.$row['TMA_LIBEL_ERR'].'" icon="'.$pathFlow.'style/imgs/icons/error.png" toolTip="'.$row['TMA_LIBEL_ERR'].'"/>';
	else
	echo ' caption="'.$lang_lbl_ok.'" icon="'.$pathFlow.'style/imgs/icons/rond_vert.png" toolTip="'.$lang_lbl_ok.'"/>';
	
	echo '<item caption="'.$TYPE[$row['TMA_TYPE']].'" icon="'.$pathFlow.'style/imgs/icons/info.png" toolTip="'.$TYPE[$row['TMA_TYPE']].'"/>';
	
	echo '<item caption="'.$row['TMA_LOGICIEL'].'"/>';
	//fin AS:06/02/2009
	echo '</row>';
}
echo '</databind>';

?>
