<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;
$page_courante = "suivi/documents/sui_doc.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$cltID = $_SESSION['CLT_ID'];

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$vtp->setVar($form, "global.head_javascript", "");

//date par défaut = date d'aujourd'hui - une semaine
$dateJour = date ('d/m/Y', mktime(0, 0, 0, date("m"), date("d"), date("Y")) - (DateDefaut));
($ini_date	= pget('ini_date'))?($f_date_deb = $dateJour):($f_date_deb = pget('f_date_deb'));
$f_date_fin = pget('f_date_fin');
$numCol = pget('numCol');
$numPres = pget('numPres');
$recap = pget('recap');
$typeDoc = pget('typeDoc');
$nomTypeDoc = "";
$f_emetteur = pget('f_emetteur');
$f_destinataire = pget('f_destinataire');
$fromPE = pget('fromPE');
$fromPD = pget('fromPD');
$f_sens = pget('f_sens');
$f_etat = "";
$suiTYPE = "";
$f_rejoue = "";
$f_progress = "";

$title = $lang_sui_doc_title_defaut;

$pageSize = $ini_taille_page_suivi;
$pageNum = pget('pageNum');
// Si l'historique affiche a ete demande depuis un autre ecran (par exemple la collecte)
// on ne sauvegarde pas les parametres du filtre
if (($recap) || ($numCol) || ($numPres) || (!$remember_filters))
$_SESSION['HISTODOC_FILTER_'.$typeDoc]['remember'] = false;
else
{
	// On restaure les derniers parametres utilises pour le filtre
	$_SESSION['HISTODOC_FILTER_'.$typeDoc]['remember'] = true;

	// On ne restaure que si le type de document est identique
	if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]))
	{
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_emetteur'])) $f_emetteur = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_emetteur'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_destinataire'])) $f_destinataire = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_destinataire'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['fromPE'])) $fromPE = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['fromPE'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['fromPD'])) $fromPD = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['fromPD'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_date_deb'])) $f_date_deb = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_date_deb'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_date_fin'])) $f_date_fin = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_date_fin'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_sens'])) $f_sens = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_sens'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_etat'])) $f_etat = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_etat'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['suiTYPE'])) $suiTYPE = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['suiTYPE'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_rejoue'])) $f_rejoue = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_rejoue'];
		if (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_progress'])) $f_progress = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['f_progress'];

		if ((isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['pageSize'])) && ($_SESSION['HISTODOC_FILTER_'.$typeDoc]['pageSize'] != '')) $pageSize = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['pageSize'];
		if (($pageNum == '') && (isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['pageNum'])) && ($_SESSION['HISTODOC_FILTER_'.$typeDoc]['pageNum'] != '')) $pageNum = $_SESSION['HISTODOC_FILTER_'.$typeDoc]['pageNum'];
	}
}
if ($pageNum == '') $pageNum = "1";

if($typeDoc) {
	$req = "SELECT TDOC_NOM
			FROM TYPE_DOC
			WHERE CLT_ID = $cltID
			AND TDOC_ID = $typeDoc";

	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$nomTypeDoc = $row['TDOC_NOM'];
	$gDb->SQLFermeQuery(1);
	$title .= " $nomTypeDoc";
}
if($numCol) {
	$title .= " - $lang_sui_doc_title_collect $numCol";
	$suiTYPE = SUI_TYPE_COL;
}
if($numPres) {
	$title .= " - $lang_sui_doc_title_pres $numPres";
	$suiTYPE = SUI_TYPE_PRES;
}

$vtp->setVar($form, "global.title", addslashes($title));
$vtp->setVar($form, "global.help_id", "20070717143105");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_doc.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/documents/sui_doc_dSGrid.php?suiTYPE=$suiTYPE&typeDoc=$typeDoc&numCol=$numCol&numPres=$numPres");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", $pageSize);
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_afficher,
					"value_filtre" => $pageSize,
					"editable_filtre" => true,
					"ds_filtre" => $dataSrc);

//Rejoué
$showNull="1";
require $DEFAULT_PATH."dataSources/dSRejoue.php";
$filtre[] = array("id_filtre" => "f_rejoue", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_rejoue,
					"value_filtre" => $f_rejoue,
					"ds_filtre" => $dataSrc);

$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_datedeb,
					"value_filtre" => $f_date_deb);

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_datefin,
					"value_filtre" => $f_date_fin);

$filtre[] = array("id_filtre" => "new_line");

//Emetteur
$filtre[] = array("id_filtre" => "f_emetteur", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_emet,
					"value_filtre" => $f_emetteur,
					"defaultcaption_filtre" => getPartnerName($f_emetteur),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Destinataire
$filtre[] = array("id_filtre" => "f_destinataire", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_dest,
					"value_filtre" => $f_destinataire,
					"defaultcaption_filtre" => getPartnerName($f_destinataire),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");


//Criteres Emetteur
require $DEFAULT_PATH."dataSources/dSCriteres.php";
$filtre[] = array("id_filtre" => "fromPE", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPE,
					"ds_filtre" => $dataSrc);
//Criteres Destinataire
$filtre[] = array("id_filtre" => "fromPD", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPD,
					"ds_filtre" => $dataSrc);

$filtre[] = array("id_filtre" => "new_line");

//Etat
$detail = ETAT_DETAIL_MOYEN;
$type = "suivi";
$showNull = "1";
require $DEFAULT_PATH."dataSources/dSEtat.php";
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_etat,
					"value_filtre" => $f_etat,
					"ds_filtre" => $dataSrc);

//Sens
require $DEFAULT_PATH."dataSources/dSComboSens.php";
$filtre[] = array("id_filtre" => "f_sens", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_sens,
					"value_filtre" => $f_sens,
					"ds_filtre" => $dataSrc);

$filtre[] = array("id_filtre" => "new_line");

//Progression
require $DEFAULT_PATH."dataSources/dSProgress.php";
$filtre[] = array("id_filtre" => "f_progress", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_progress,
					"value_filtre" => $f_progress,
					"ds_filtre" => $dataSrc);

	
//Champs spécifiques de recherche
$req = "SELECT TDOC_SUI
		FROM TYPE_DOC
		WHERE TDOC_ID = $typeDoc";

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$TDOC_SUI = $row['TDOC_SUI'];
$gDb->SQLFermeQuery(1);

$doc_sui = explode(";;", $TDOC_SUI);

$i = 0;
foreach($doc_sui as $tdoc)
{
	$sui_doc_lib = explode("::", $tdoc);
	if ($sui_doc_lib[2]) // a rechercher
	{
		if($i%2 == 1)
		$filtre[] = array("id_filtre" => "new_line");

		//on enlève les caractères autres que alpha numérique pour l'id
		$id = preg_replace('/[^a-zA-Z0-9]/', '', $sui_doc_lib[0]);

		$filtre[] = array("id_filtre" => $id, "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => hi_disp($sui_doc_lib[0]));
		++$i;
	}
}

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => true,
						"detail" => true,
						"print" => array("show" => true
, "title" => addslashes($title)),
						"csv" => true,
					    "goBack" => (($recap) || ($numCol) || ($numPres)));

//visualiser
$option_toolbar[] = array("caption" => $lang_lbl_visu,
					"icon" => $pathStyle."imgs/icons/loupe.gif",
					"action" => array("name" => "visu",
									"page" => "actions/actListing_fic.php",
									"callback" => "openPopUp",
									"get_params" => array('sui_type', 'fic_id', 'for_id')));

//telecharger
$option_toolbar[] = array("caption" => $lang_lbl_telecharger,
					"icon" => $pathStyle."imgs/icons/save.png",
					"action" => array("name" => "download",
									"page" => "actions/actTelecharge.php",
									"callback" => "changePage",
									"get_params" => array('fic_id')));

//PDF
$option_toolbar[] = array("caption" => $lang_lbl_PDF,
					"icon" => $pathStyle."imgs/icons/pdf.png",
					"action" => array("name" => "pdf",
									"page" => "actions/actListing_fic.php",
									"callback" => "changePage",
									"get_params" => array('genPDF', 'sui_type', 'fic_id', 'for_id')));

$option_toolbar[] = array("caption" => '',
					"icon" => '',
					"onClick" => '',
					"value" => '__SEPARATOR__');
									
//Historique
$option_toolbar[] = array("caption" => $lang_lbl_historique,
					"icon" => $pathStyle."imgs/icons/histo.gif",
					"action" => array("name" => "histo",
									"page" => "suivi/historique/sui_hist.php",
									"callback" => "changePage",
									"get_params" => array('liste','f_tdoc', 'f_date_fin', 'f_date_deb', 'f_sens', 'f_emetteur', 'f_destinataire', 'f_etat', 'fromPE', 'fromPD')));

//Rejeu
$option_toolbar[] = array("caption" => $lang_ds_action_rejeu_caption,
						"icon" => $pathStyle."imgs/icons/progress.gif",
						"action" => array("name" => "rejeu",
									"page" => "actions/actRejeu.php",
									"callback" => "openPopUp",
									"get_params" => array('from', 'liste')));

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.rejeu.check = function (params, list_params) {
	params.liste = '';
	for(var i = 0; i < list_params.length; ++i)
		params.liste +=  (i? '_'+list_params[i].sui_numero: list_params[i].sui_numero);
	return true;
};
rowAction.actions.histo.check = function (params, list_params) {
	params.liste = '';
	for(var i = 0; i < list_params.length; ++i)
	params.liste +=  (i? '_'+list_params[i].sui_numero: list_params[i].sui_numero);
	return true;
};
rowAction.actions.pdf.check = function (params, list_params) {
	params.genPDF = 1;
	return true;
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>