<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");

$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

$cptID = $_SESSION['CPT_ID'];
$cltID = $_SESSION['CLT_ID'];


$typeDoc = pget('typeDoc');
$numCol	= pget('numCol');
$suiTYPE = pget('suiTYPE');

$where = "";

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$f_sens = pget('f_sens');
if ($f_sens)
	$where .= " AND SUIVI.SUI_SENS='".$f_sens."'";
	
$f_rejoue = pget('f_rejoue');
if($f_rejoue != '')
	$where .= " AND SUIVI.SUI_REJOUE = $f_rejoue ";
	
	// Criteres partenaires

	$f_emetteur		= pget('f_emetteur');		//filtre émetteur
	$f_destinataire	= pget('f_destinataire');	//filtre destinataire
	$fromPE 		= pget('fromPE');
	$fromPD 		= pget('fromPD');

	if ($fromPD>0 && $f_destinataire)
	{
		if ($fromPD==2)// part + fils
		{
			$fils="";
			trouve_fils($f_destinataire);
			if ($fils)
			$filsD=$f_destinataire.", ".$fils;
			else $filsD=$f_destinataire;

		}
		if ($fromPD==3) // que les fils
		{
			$fils="";
			trouve_fils($f_destinataire);
			$filsD=$fils;

		}
		if ($fromPD==4) //que le part
		{
			$filsD=$f_destinataire;
		}
	}
	if ($fromPE>0 && $f_emetteur)
	{
		if ($fromPE==2)// part + fils
		{
			$fils="";
			trouve_fils($f_emetteur);
			if ($fils)
			$filsE=$f_emetteur.", ".$fils;
			else $filsE=$f_emetteur;
		}
		if ($fromPE==3) // que les fils
		{
			$fils="";
			trouve_fils($f_emetteur);
			$filsE=$fils;
		}
		if ($fromPE==4) //que le part
		{
			$filsE=$f_emetteur;
		}
	}

	//Traitement de l'émetteur

	if ($fromPD>0){	if ($f_destinataire) $where .=" and SUIVI.PAR_DEST_ID in ($filsD)";}
	else {if ($f_destinataire) $where .= " and SUIVI.PAR_DEST_ID = '".dblQ($f_destinataire)."'";}

	if ($fromPE>0){ if ($f_emetteur) $where .=" and SUIVI.PAR_EMET_ID in ($filsE)";}
	else {if ($f_emetteur)	$where .= " and SUIVI.PAR_EMET_ID = '".dblQ($f_emetteur)."'";}

	/*
	 if ($f_emetteur)
	 $where .= " AND SUIVI.PAR_EMET_ID='".$f_emetteur."'";

	 //Traitement du destinataire

	 if ($f_destinataire)
	 $where .= " AND SUIVI.PAR_DEST_ID='".$f_destinataire."'";
	 */

// Traitement des dates	
$f_date_deb = pget('f_date_deb');
$date_deb_sql = date2Sql($f_date_deb, "00:00:00"); 
if($f_date_deb)
	if($ini_typeBase == "oracle")
		$where .= " AND TO_DATE('f_date_deb','DD/MM/YYYY HH24:MI:SS') <= ETN_DATE ";
	else
		$where .= " AND '".$date_deb_sql."' <= ETN_DATE ";
	
$f_date_fin = pget('f_date_fin');
$date_fin_sql = date2Sql($f_date_fin, "23:59:59");
if($f_date_fin)
	if($ini_typeBase == "oracle")
		$where .= " AND TO_DATE('f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS') >= ETN_DATE ";
	else
		$where .= " AND '".$date_fin_sql."' >= ETN_DATE ";
	
	
$f_progress = pget('f_progress');
if($f_progress)
	$where .= " AND ETAT_NUM.ETN_PROGRESS = '".$f_progress."'";
	
$f_etat = pget('f_etat');
if($f_etat)
	$where .= " AND ETAT_NUM.ETN_ETAT = '".$f_etat."'";

Construit_restriction($droitRole, "SUIVI.PAR_EMET_ID", "SUIVI.PAR_DEST_ID", null, null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);

if ($restrictFiltreEmet)
	$restrictFiltreEmet=" AND PAR_ID IN (".$restrictFiltreEmet.") ";
	
if ($restrictFiltreDest)
	$restrictFiltreDest=" AND PAR_ID IN (".$restrictFiltreDest.") ";

if($numCol) 
{
	$req = "SELECT DISTINCT NDC_NUMDOC 
			FROM NUM_DOC_COL 
				WHERE NDC_NUMCOL = $numCol 
				AND CLT_ID = $cltID";
	
	$gDb->SQLQuery($req, 1);
	if($row = $gDb->SQLNextRow(1))
	{
		$list_doc = $row['NDC_NUMDOC'];
		while($row = $gDb->SQLNextRow(1))
			$list_doc .= ",".$row['NDC_NUMDOC'];
	}
	$gDb->SQLFermeQuery(1);
}

if(isset($numPres))
{
	$req = "SELECT DISTINCT NDP_NUMDOC 
           	FROM NUM_DOC_PRE 
	           	WHERE NDP_NUMPRE = $numPres 
				AND CLT_ID = $cltID";
	$gDb->SQLQuery($req, 1);
    if($row = $gDb->SQLNextRow(1))
	{
		$list_doc = $row['NDP_NUMDOC'];
		while($row = $gDb->SQLNextRow(1))
			$list_doc .= ",".$row['NDP_NUMDOC'];
	}
	$gDb->SQLFermeQuery(1);
}

if (isset($list_doc))
	$where .= " AND SUI_NUMERO IN ($list_doc) 
				AND SUI_TYP_NUM = ".SUI_TYP_NUM_DOC;
	
//Champs spécifiques à afficher
$req = "SELECT TDOC_SUI
		FROM TYPE_DOC
			WHERE TDOC_ID = $typeDoc";

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$TDOC_SUI = $row['TDOC_SUI'];
$gDb->SQLFermeQuery(1);

$doc_sui = explode(";;", $TDOC_SUI);

$champsSpe = array();

$sui_doc_val = "%";
$haveToSearch = false;
$affich_champs = array();
foreach($doc_sui as $tdoc)
{
	$sui_doc_lib = explode("::", $tdoc);
	if ($sui_doc_lib[1]) // a afficher
	{
		$affich_champs[] = true;
		$id = preg_replace('/[^a-zA-Z0-9]/', '', $sui_doc_lib[0]);
		$val = pget($id); 
		$champsSpe[] = array("libelle" => $sui_doc_lib[0], "name" => $id, "value" => $val);
		if($val)
		{
			$sui_doc_val .= $val."%";
			$haveToSearch = true;
		}
	}
	else
		$affich_champs[] = false;
}

if ($haveToSearch)
	$where.=" AND SUI_TDOC LIKE '$sui_doc_val' ";

//Récupération des détails
$tab_detail = array();
$req = "SELECT PFL_ID, PFL_LIBEL FROM PAR_FLOW";
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
	$tab_detail[$row['PFL_ID']] = $row['PFL_LIBEL'];
$gDb->SQLFermeQuery(1);


//Requête de type "framework mySQL grid"

 
if($ini_typeBase == "mysql")
	$req = "SELECT SUIVI.SUI_NUMERO AS '$lang_sui_doc_grid_head_num_caption',
		ETN_DATE AS '$lang_sui_doc_grid_head_date_caption',
	CASE SUIVI.SUI_SENS
		WHEN ".EMISSION." THEN '$lang_sui_doc_grid_emiss_caption'
		WHEN ".RECEPTION." THEN '$lang_sui_doc_grid_recept_caption'
		ELSE '?' END AS '$lang_sui_doc_grid_head_sens_caption',
	EMET.PAR_NOM AS '$lang_sui_doc_grid_head_emet_caption',
	DEST.PAR_NOM AS '$lang_sui_doc_grid_head_dest_caption',
	CASE ETAT_NUM.ETN_PROGRESS
		WHEN ".ETN_PROGRESS_TERMINE." THEN '$lang_sui_doc_grid_progress_cour_tooltip'
		WHEN ".ETN_PROGRESS_COURS." THEN '$lang_sui_doc_grid_progress_cour_tooltip'
		ELSE '?' END AS '$lang_sui_doc_grid_head_progress_caption',
	CASE ETAT_NUM.ETN_ETAT
		WHEN ".SUI_ETAT_OK." THEN '$lang_ds_etat_ok'
		WHEN ".SUI_ETAT_INFO." THEN '$lang_ds_etat_info'
		WHEN ".SUI_ETAT_AVERT." THEN '$lang_ds_etat_avert'
		WHEN ".SUI_ETAT_ERR." THEN '$lang_ds_etat_err'
		ELSE '?' END AS '$lang_sui_doc_grid_head_etat_caption',
	IF(SUIVI.SUI_REJOUE=1,'$lang_sui_doc_grid_lbl_rejoue','$lang_sui_doc_grid_lbl_nrejoue') AS '$lang_sui_doc_grid_head_rejoue',
	ETAT_NUM.ETN_LIBEL AS '$lang_sui_doc_grid_head_libelle_caption'
	FROM SUIVI JOIN (ETAT_NUM, PART AS EMET, PART AS DEST)
	ON (SUIVI.ETN_ID = ETAT_NUM.ETN_ID
			AND SUIVI.PAR_EMET_ID = EMET.PAR_ID
			AND SUIVI.PAR_DEST_ID = DEST.PAR_ID)
	WHERE SUIVI.CLT_ID = 1
	AND SUIVI.TDOC_ID = $typeDoc 
	$where
	$restrict
	ORDER BY ETN_DATE DESC";
else

	$req = "SELECT SUIVI.SUI_NUMERO AS '$lang_sui_doc_grid_head_num_caption',
		ETAT_NUM.ETN_DATE AS '$lang_sui_doc_grid_head_date_caption',(
	CASE 
		WHEN SUIVI.SUI_SENS = '.EMISSION.' THEN '$lang_sui_doc_grid_emiss_caption'
		WHEN SUIVI.SUI_SENS = '.RECEPTION.' THEN '$lang_sui_doc_grid_recept_caption'
		ELSE '?' END) AS '$lang_sui_doc_grid_head_sens_caption',(
	CASE 
		WHEN ETAT_NUM.ETN_ETAT = '.SUI_ETAT_OK.' THEN '$lang_ds_etat_ok'
		WHEN ETAT_NUM.ETN_ETAT = '.SUI_ETAT_INFO.' THEN '$lang_ds_etat_info'
		WHEN ETAT_NUM.ETN_ETAT = '.SUI_ETAT_AVERT.' THEN '$lang_ds_etat_avert'
		WHEN ETAT_NUM.ETN_ETAT = '.SUI_ETAT_ERR.' THEN '$lang_ds_etat_err'
		ELSE '?' END) AS '$lang_sui_doc_grid_head_etat_caption',
	CASE WHEN SUIVI.SUI_REJOUE=1 THEN '$lang_sui_doc_grid_lbl_rejoue' ELSE '$lang_sui_doc_grid_lbl_nrejoue' END AS '$lang_sui_doc_grid_head_rejoue',
	ETAT_NUM.ETN_LIBEL AS '$lang_sui_doc_grid_head_libelle_caption'
	FROM SUIVI JOIN ETAT_NUM
	ON SUIVI.ETN_ID = ETAT_NUM.ETN_ID
	JOIN PART AS EMET
	ON SUIVI.PAR_EMET_ID = EMET.PAR_ID
	JOIN PART AS DEST
	ON PAR_DEST_ID = DEST.PAR_ID
	WHERE SUIVI.CLT_ID = 1
	AND SUIVI.TDOC_ID = $typeDoc 
	$where
	$restrict
	ORDER BY ETAT_NUM.ETN_DATE DESC";

echo mkDS($req, $pageNum, $pageSize);
?>