<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");

$droitRole = EXT;
$lmcse = DROIT_LECT;
$page_courante = "suivi/externe/sui_externe.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

$ext_id = pget('ext_id');

$req = "SELECT EXT_TITRE
		FROM EXTERNE WHERE EXT_ID = $ext_id";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.title", addslashes($row['EXT_TITRE']));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/externlog.png");
$vtp->setVar($form, "global.help_id", "externlog");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/externe/sui_externe_dSGrid.php?ext_id=$ext_id");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_proc_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);

$option_toolbar = array("select" => false,
						"detail" => false,
						"print" => array("show" => true
									, "title" => addslashes($row['EXT_TITRE'])),
						"csv" => true,
						"goBack" => false);

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
";

$vtp->setVar($form, "global.body_javascript", $body_js);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>