<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = SDM;
$lmcse = DROIT_LECT + DROIT_EXEC;
$page_courante = "suivi/invoice/sui_inv.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$vtp = new VTemplate;
$form = $vtp->Open("../../template/listing.vtp");
$vtp->addSession($form, "global");

$DEMAT_CPT = pget("DEMAT_CPT");

//date par défaut = date d'aujourd'hui - une semaine
$dateJour = date ('d/m/Y', mktime(0,0,0,date("m"),date("d"),date("Y")) - (DateDefaut));
($ini_date	= pget('ini_date'))?($f_date_deb = $dateJour):($f_date_deb = pget('f_date_deb'));

$class = "suiviDemat";
include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.head_javascript", "top.help.id = '20040423164636;aide_demat_liste_recap;20060124121328';");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_sui_inv_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_inv.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/invoice/sui_inv_dSGrid.php?DEMAT_CPT=$DEMAT_CPT");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
//$vtp->setVar($form, "global.btnDetail", "3");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;
//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
                    "editable_filtre" => true,
                    "ds_filtre" => $dataSrc);

//Type de facture
$filtre[] = array("id_filtre" => "f_type", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_typefact,
					"ds_filtre" => $pathFlow."dataSources/dSTypeFact.php");

$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_traitdeb,
					"value_filtre" => $f_date_deb);

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_datefin);

$filtre[] = array("id_filtre" => "new_line");

//Date deb message
$filtre[] = array("id_filtre" => "f_date_deb_mess", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_interdeb,
					"value_filtre" => '');
//Date fin message
$filtre[] = array("id_filtre" => "f_date_fin_mess", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_interfin,
					"value_filtre" => '');					

$filtre[] = array("id_filtre" => "new_line");

//Date deb facturation
$filtre[] = array("id_filtre" => "f_date_deb_fact", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_factdatedeb);

//Date fin facturation
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_factdatefin);

$filtre[] = array("id_filtre" => "new_line");

//Numéro de facture min
$filtre[] = array("id_filtre" => "f_num_fact_min", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_factdeb,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=7");
				
//Numéro de facture max
$filtre[] = array("id_filtre" => "f_num_fact_max", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_factfin,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=8");

$filtre[] = array("id_filtre" => "new_line");

//Montant HT de facture min
$filtre[] = array("id_filtre" => "f_ht_min", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_htmin,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=9");
					
//Montant HT de facture max
$filtre[] = array("id_filtre" => "f_ht_max", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_htmax,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=10");

$filtre[] = array("id_filtre" => "new_line");

//Montant TTC de facture min
$filtre[] = array("id_filtre" => "f_ttc_min", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_ttcmin,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=11");
					
//Montant TTC de facture max
$filtre[] = array("id_filtre" => "f_ttc_max", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_ttcmax,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=12");
				
$filtre[] = array("id_filtre" => "new_line");

//Vendeur
$filtre[] = array("id_filtre" => "f_vend", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_factde,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=13");

//Acheteur
$filtre[] = array("id_filtre" => "f_achet", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_facta,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=14");
					
$filtre[] = array("id_filtre" => "new_line");

//Code facture Vendeur
$filtre[] = array("id_filtre" => "f_codFactPar", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_codfactde,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=15");
					
//Code facture Acheteur
$filtre[] = array("id_filtre" => "f_codFactA", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_codfacta,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=16");

$filtre[] = array("id_filtre" => "new_line");

//adresse vendeur
$filtre[] = array("id_filtre" => "f_adr_par", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_adresse_par,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=1");
					
//adresse acheteur
$filtre[] = array("id_filtre" => "f_adr_a", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_adresse_a,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php.?type_tabmat=2");					

					$filtre[] = array("id_filtre" => "new_line");
					
//numtva vendeur
$filtre[] = array("id_filtre" => "f_tva_par", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_tva_par,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=3");
					
//numtva acheteur
$filtre[] = array("id_filtre" => "f_tva_a", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_tva_a,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php.?type_tabmat=4");					

					$filtre[] = array("id_filtre" => "new_line");					

//numsiren vendeur
$filtre[] = array("id_filtre" => "f_siren_par", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_siren_par,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php?type_tabmat=5");
					
//numsiren acheteur
$filtre[] = array("id_filtre" => "f_siren_a", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_siren_a,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php.?type_tabmat=6");					

					$filtre[] = array("id_filtre" => "new_line");					
					
//Sens
require $DEFAULT_PATH."dataSources/dSComboSens.php";
$filtre[] = array("id_filtre" => "f_sens", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_sens,
					"ds_filtre" =>  $dataSrc);
					
//Fonction
$filtre[] = array("id_filtre" => "f_fonc", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_foncfact,
					"ds_filtre" => $pathFlow."dataSources/dSFonctionFact.php");

$filtre[] = array("id_filtre" => "new_line");

//Etat
$detail = ETAT_DETAIL_SIMPLE;
$type = "suivi";
$showNull = "1";
require $DEFAULT_PATH."dataSources/dSEtat.php";
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_etat,
					"ds_filtre" => $dataSrc);
					
//Devise de facture
$filtre[] = array("id_filtre" => "f_devise_fact", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_inv_filtre_lbl_devise,
                    "editable_filtre" => true,
                    "loadondropdown_filtre" => true,
                    "ds_filtre" => $pathFlow."dataSources/dSinfos_tabmat.php.?type_tabmat=17");		

$body_js = "";
	
mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("goBack" => ($DEMAT_CPT), "select" => false,
                                   "print" => array("show" => true, "title" => utf8_encode(addslashes($lang_sui_inv_grid_act_liste))),
                                   "csv" => true);

//visualiser et edifact et PDF
if (droit($droitRole, DROIT_LECT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_sui_inv_grid_act_detail,
	"icon" => $pathFlow."style/imgs/icons/loupe.gif",
	"action" => array("name" => "detailxml",
					"page" => "suivi/invoice/sui_inv_actDemat_fact.php",
					"callback" => "openPopUp",
					"get_params" => array('tma_id')));

	$option_toolbar[] = array("caption" => $lang_sui_inv_grid_act_detail_edi,
	"icon" => $pathFlow."style/imgs/icons/loupe.gif",
	"action" => array("name" => "edifact",
					"page" => "suivi/invoice/sui_inv_actDemat_factedi.php",
					"callback" => "openPopUp",
					"get_params" => array('tma_id')));

	//PDF
	$option_toolbar[] = array("caption" => $lang_lbl_PDF,
					"icon" => $pathStyle."imgs/icons/pdf.png",
					"action" => array("name" => "pdf",
									"page" => "suivi/invoice/sui_inv_actDemat_fact.php",
									"callback" => "changePage",
									"get_params" => array('tma_id', 'genPDF')));

	$option_toolbar[] = array("caption" => '',
					"icon" => '',
					"onClick" => '',
					"value" => '__SEPARATOR__');
					
	$body_js .= "
		rowAction.actions.pdf.check = function (params, list_params) {
		params.genPDF = 1;
		return true;
		};";
}

//Télécharger 1 et tous et liste récapitulative
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_sui_inv_grid_act_save,
	"icon" => $pathFlow."style/imgs/icons/save.png",
	"action" => array("name" => "telecharger",
					"page" => "suivi/invoice/sui_inv_actTelecharge.php",
					"callback" => "changePage",
					"get_params" => array('tma_id')));

					$option_toolbar[] = array("caption" => $lang_sui_inv_grid_act_save_all,
	"icon" => $pathFlow."style/imgs/icons/save.png",
	"action" => array("name" => "teltout",
					"page" => "suivi/invoice/sui_inv_actTelecharge_global.php?",
					"callback" => "changePage",
					"get_params" => array('tma_id')));

	$option_toolbar[] = array("caption" => $lang_sui_inv_grid_act_liste,
	"icon" => $pathFlow."style/imgs/icons/loupe.gif",
	"action" => array("name" => "liste",
					"page" => "suivi/invoice/sui_inv_ListeDemat_fact.php",
					"callback" => "openPopUp",
					"get_params" => array('tma_id')));
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>