<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."flow.php");

$culture_folder = $DEFAULT_PATH."culture";
$culture_content_type = "text/html; charset=ISO-8859-1";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$genPDF = pget('genPDF');
$echoDoc = '';

$TMA_ID 	= pget('tma_id');
$TMA_CHEMIN 	= pget('TMA_CHEMIN');
$req = "SELECT TMA_NUM_FACT, TMA_CHEMIN, TMA_ARCHIVE, TMA_SCEAU_XML, TMA_SCEAU_EDI 
		FROM TABLE_MATIERE
		WHERE TMA_ID = $TMA_ID";
		
$gDb->SQLQuery($req, 1);

$row = $gDb->SQLNextRow(1);

$tmp = explode ("\\", $row['TMA_ARCHIVE']);
if (! $tmp[1])
	$tmp = explode ("/", $row['TMA_ARCHIVE']);
	
$nomFicTmp =explode("_",$tmp[1] );

$nomFic=$nomFicTmp[0]."_".$nomFicTmp[1];
$edifact=$tmp[0]."/".$nomFic;	
	

if ($TMA_CHEMIN)
{
	$xml_file 		= $TMA_CHEMIN."/".$row['TMA_ARCHIVE'].".xml";
	$xsl_file 		= $TMA_CHEMIN."/".$tmp[0]."/"."IM.xsl";
	$sceau_file 	= $TMA_CHEMIN."/".$tmp[0]."/"."sceau.txt";
}
else
{
	$xml_file 		= $row['TMA_CHEMIN']."/".$row['TMA_ARCHIVE'].".xml";
	$xsl_file 		= $row['TMA_CHEMIN']."/".$tmp[0]."/"."IM.xsl";
	$sceau_file 	= $row['TMA_CHEMIN']."/".$tmp[0]."/"."sceau.txt";
}
//Rajout du test du sceau sur le xsl
$sceau_calcul= @md5_file($xsl_file);
$sceau_calcul_xml= @md5_file($xml_file);

$sceau_txt_fic=@fopen($sceau_file, "r");
$all_sceau = @fread($sceau_txt_fic,65); 
@fclose($sceau_txt_fic);
$sceau=explode(';', $all_sceau);
if ($sceau_calcul != $sceau[1])
{
	//Alerte, xsl modifié
	$msg = str_replace("%XSLFILE%", $xsl_file, utf8_decode($lang_sui_inv_act_demat_msg_xslmod));
	$echoDoc .= "<br><span class=msgr>$msg</span><br><br>";
}
if ($sceau_calcul_xml != $row['TMA_SCEAU_XML'])
{
	//Alerte, xml modifié
	$msg = str_replace("%XMLFILE%", $xml_file, utf8_decode($lang_sui_inv_act_demat_msg_visxmlmod));
	$echoDoc .= "<br><span class=msgr>$msg</span><br><br>";
}

$xml_parser = xml_parser_create();
$valid_xml=true;
$xml_fic 	= @fopen($xml_file, "r");
$data = @fread($xml_fic,@filesize($xml_file)); 

if (!@xml_parse($xml_parser, $data)) 
{
	$msg = str_replace(array("%XMLFILE%", "%NUMLINE%"), array($xml_file, xml_get_current_line_number($xml_parser)), utf8_decode($lang_sui_inv_act_demat_msgerr_parsexml));
	$echoDoc .= $msg;
	$valid_xml=false;
}
@fclose($xml_fic);

@xml_parser_free($xml_parser);

if (($fd = @fopen ($xml_file, "r")) > 0 && $valid_xml)
	{	
		$taille = @filesize ($xml_file);
		if ($taille == 0)
		$echoDoc .= "<center>".utf8_decode($lang_sui_inv_act_demat_msgerr_emptyxml)."</center>";
		else
		{
			$xsl = false;
			$xml_handle 	= @fopen($xml_file, "r");
			if (!$xml_handle)
			{
				$msg = str_replace("%XMLFILE%", $xml_file, utf8_decode($lang_sui_inv_act_demat_msgerr_openxml));
				$echoDoc .= "<br>$msg";
			}
			$xsl_handle 	= @fopen($xsl_file, "r");
			if (!$xsl_handle) 
			{
				$msg = str_replace("%XSLFILE%", $xsl_file, utf8_decode($lang_sui_inv_act_demat_msgerr_openxsl));
				$echoDoc .= "<br>$msg";
				$xsl=true;
			}
			$xml_content = @fread($xml_handle, @filesize($xml_file));
			if (!$xml_content)
			{
				$msg = str_replace("%XMLFILE%", $xml_file, utf8_decode($lang_sui_inv_act_demat_msgerr_readxml));
				$echoDoc .= "<br>$msg";
			}
			$xsl_content = @fread($xsl_handle, @filesize($xsl_file));
			if (!$xsl_content) 
			{
				$msg = str_replace("%XSLFILE%", $xsl_file, utf8_decode($lang_sui_inv_act_demat_msgerr_readxsl));
				$echoDoc .= "<br>$msg";
				$xsl=true;
			}
			@fclose($xml_handle);
			@fclose($xsl_handle);
	
			$xslt_args = array('/_xml' => $xml_content, '/_xsl' => $xsl_content);
			$xslt_params = array('num_fact'	=> $row['TMA_NUM_FACT']);

			$xh = @xslt_create();
			$doc = @xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $xslt_args, $xslt_params); 

			if (!$doc) 	
			{
				$msg = str_replace("%XSLFILE%", $xsl_file, utf8_decode($lang_sui_inv_act_demat_msgerr_applyxsl));
				$echoDoc .= "<br>$msg";
				$xsl=true;
			}
			if ($xsl) 
			{
				$res = @fread($fd,@filesize($xml_file));
				$res = str_ireplace("<","&lt;",$res);
        		$res = str_ireplace(">","&gt;",$res);
        		$echoDoc .= "<br><br>".utf8_decode($lang_sui_inv_act_demat_msg_ficsrc).$xml_file." : <br><br> ".$res;
			}
			
			$doc = str_replace("<br>", "<br/>", $doc);
			$doc = str_replace("<hr>", "<hr/>", $doc);
			if(!isset($genPDF) || $genPDF==0)
				$doc .= '<br/><input type="button" value='.$lang_lbl_print.' onClick="javascript:window.print();"/>';
			$echoDoc .= $doc;
			xslt_free($xh);
		}	
	}
else 
if ($valid_xml)
{
	//AS 14012009 
	$msg = str_replace("%FILENAME%",$xml_file, utf8_decode($lang_sui_inv_act_demat_msgerr_nofic));
	$echoDoc .= "
		<html><head><title>".utf8_decode($lang_sui_inv_act_demat_lbl_invoice)."</title>
		</head>
		<body onLoad=\"javascript:window.open('sui_inv_actAdr.php?TMA_ID=$TMA_ID','compte','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=650,height=250,top=200,left=200');\">
		<center>$msg</center>
		</body>";
	//fin AS 14012009 
}

@fclose ($fd);

if(!isset($genPDF) || $genPDF==0)
	echo $echoDoc;
else
{
	require_once($DEFAULT_PATH.'inc/mpdf/mpdf.php');
	$mpdf=new mPDF('c');
	$mpdf->WriteHTML($echoDoc);
	$mpdf->Output();
}
?>
