<?php
$DEFAULT_PATH = "../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");

$droitRole = PRO;
$lmcse = DROIT_LECT + DROIT_EXEC;

require_once("$culture_folder/culture.php");
require_once ($DEFAULT_PATH."flow.php");
require_once ($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
$page_courante = "suivi/proc/sui_proc.php";

$action = pget('action');
$proc = pget('proc');

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$onsuccess = '';
$return = -1;

$req = "SELECT FCO_VERSION, FCO_REPBIN_IHM, FCO_REPLOG_IHM, FCO_REPTMP_IHM, 
		FCO_REPCOM_IHM, FCO_OS_WEB  
		FROM FLOWCONF";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);

$fco_version	= $row['FCO_VERSION'];
$fco_repbin_ihm	= $row['FCO_REPBIN_IHM'];
$fco_replog_ihm	= $row['FCO_REPLOG_IHM'];
$fco_reptmp_ihm	= $row['FCO_REPTMP_IHM'];
$fco_repcom_ihm	= $row['FCO_REPCOM_IHM'];
$fco_os_web	= $row['FCO_OS_WEB'];
$gDb->SQLFermeQuery(1);

$req = "SELECT PRO_OS_MOTEUR
		FROM PROCESSUS";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);
$fco_os_moteur	= $row['PRO_OS_MOTEUR'];

if ($action == "stop")
{
	if (droit($droitRole, DROIT_EXEC,null,null,null,null))
	{
		if ($fco_os_web == FCO_OS_WEB_WIN && $fco_os_moteur == PRO_OS_MOTEUR_WIN)
		{
			unset($buf);
			session_write_close();
			exec("net stop $proc", $buf, $res);
			
			if ($res == 1)
			{
				$msg = $lang_sui_proc_act_stop_msgerr;
				$return = 1;
			}
			else
			{
				//$msg = $lang_sui_proc_act_stop_msgok;
				$onsuccess = "setTimer();";
				$return = 0;
			}
		}
		if ($fco_os_web == FCO_OS_WEB_LINUX && $fco_os_moteur == PRO_OS_MOTEUR_LINUX)
		{
			unset($buf);
			session_write_close();
			exec("cd $fco_repbin_ihm && ./".$proc."d stop", $buf, $res);
			
			if ($res == 1)
			{
				$msg = $lang_sui_proc_act_stop_msgerr;
				$return = 1;
			}
			else
			{
				//$msg = $lang_sui_proc_act_stop_msgok;
				$onsuccess = "setTimer();";
				$return = 0;
			}
		}
	}
	else
	{
		$msg = $lang_sui_proc_act_msg_err_droit;
		$return = 1;
	}
}

if ($action == "run")
{
	if (droit($droitRole, DROIT_EXEC,null,null,null,null))
	{
		if ($fco_os_web == FCO_OS_WEB_WIN && $fco_os_moteur == PRO_OS_MOTEUR_WIN)
		{
			unset($buf);
			session_write_close();
			exec("net start $proc", $buf, $res);
			if ($res == 1)
			{
				$msg = $lang_sui_proc_act_start_msgerr;
				$return = 1;
			}
			else
			{
				//$msg = $lang_sui_proc_act_start_msgok;
				$onsuccess = "setTimer();";
				$return = 0;
			}
		}
		if ($fco_os_web == FCO_OS_WEB_LINUX && $fco_os_moteur ==
		PRO_OS_MOTEUR_LINUX)
		{
			session_write_close();
			exec("cd $fco_repbin_ihm && sh ./".$proc."d start > /dev/null", $buf, $res);
		}
		if ($res == 1)
		{
			$msg = $lang_sui_proc_act_start_msgerr;
			$return = 1;
		}
		else
		{
			//$msg = $lang_sui_proc_act_start_msgok;
			$onsuccess = "setTimer();";
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_sui_proc_act_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = $onsuccess;
echo encode_JSON($reponse);
?>