<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PRO;
$lmcse = DROIT_LECT + DROIT_EXEC;

require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
require_once ($DEFAULT_PATH."flow.php");
require_once ($DEFAULT_PATH."flow_tools.php");

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "suivi/proc/sui_proc_actLire.php";

$vtp = new VTemplate;

$proc 		= pget('proc');
$action 	= pget('action');

$req = "SELECT FCO_VERSION, FCO_REPBIN_IHM, FCO_REPLOG_IHM, FCO_REPTMP_IHM, 
		FCO_REPCOM_IHM, FCO_OS_WEB  
		FROM FLOWCONF";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$fco_version	= $row['FCO_VERSION'];
$fco_repbin_ihm	= $row['FCO_REPBIN_IHM'];
$fco_replog_ihm	= $row['FCO_REPLOG_IHM'];
$fco_reptmp_ihm	= $row['FCO_REPTMP_IHM'];
$fco_repcom_ihm	= $row['FCO_REPCOM_IHM'];
$fco_os_web	= $row['FCO_OS_WEB'];

$req = "SELECT PRO_OS_MOTEUR 
		FROM PROCESSUS";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);
$fco_os_moteur	= $row['PRO_OS_MOTEUR'];

$mode 	= "batch";
$os	= "windows";
$local	= "non";


if ($fco_os_moteur == FCO_OS_WEB_WIN) $sep = "\\"; else $sep = "/";

if ($action == "conf")
{
	$title = str_replace("%PROCNAME%", $proc, $lang_sui_proc_act_lire_lbl_conf);
	$file = $fco_repbin_ihm.$sep.$proc.".cnf";
	
	$title .= "(".@filesize($file)." octets)";
}
else
{
	$title = str_replace("%PROCNAME%", $proc, $lang_sui_proc_act_lire_lbl_log);
	$file = $fco_replog_ihm.$sep.$proc.".err";
	$title .= "(".@filesize($file)." octets)";
}

$form = $vtp->Open("sui_proc_actLire.vtp");
$vtp->addSession($form, "gest");

if (@file_exists($file))
{
	if ($fd = @fopen($file, "r"))
	{
		$res = @fread($fd, @filesize ($file));
		@fclose($fd);
		
		$i = -1; $result = "";
		while ($i < strlen($res)-1)
		{
			$i++;
			if (($res[$i] == "\n") || ($res[$i] == "\r")) $result .= "<br>";
			else $result .= hi_disp($res[$i]);
		}
		
		$vtp->setVar($form, "gest.texte", "<b>".$result."<b>");
	}
	else
	$vtp->setVar($form, "gest.texte", "<center>$lang_sui_proc_act_lire_msgerr_read</center>");
}
else
$vtp->setVar($form, "gest.texte", "<center>$lang_sui_proc_act_lire_msgerr_notfound</center>");
	
$vtp->setVar($form, "gest.title", $title);
$vtp->setVar($form, "gest.style", $pathStyle);
include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "gest.page_headers", $page_headers);
$vtp->closeSession($form, "gest");
$vtp->Display(); 
?>