<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole = PRO;
$lmcse = DROIT_LECT + DROIT_EXEC;
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$req = "SELECT FCO_VERSION, FCO_REPBIN_IHM, FCO_REPLOG_IHM, FCO_REPTMP_IHM,
		FCO_REPCOM_IHM, FCO_OS_WEB
		FROM FLOWCONF";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);

$fco_version	= $row['FCO_VERSION'];
$fco_repbin_ihm	= $row['FCO_REPBIN_IHM'];
$fco_replog_ihm	= $row['FCO_REPLOG_IHM'];
$fco_reptmp_ihm	= $row['FCO_REPTMP_IHM'];
$fco_repcom_ihm	= $row['FCO_REPCOM_IHM'];
$fco_os_web	= $row['FCO_OS_WEB'];
$gDb->SQLFermeQuery(1);


$req="SELECT PRO_NOM, PRO_LIBELLE, PRO_TYPE_MOTEUR, PRO_DATE_START, PRO_DATE_END FROM PROCESSUS ORDER BY PRO_TYPE_MOTEUR,PRO_NOM";

$champs = array();
$champs[] = array("nom" => $lang_sui_proc_grid_head_nom, "toolTip" => $lang_sui_proc_grid_head_nom_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_proc_grid_head_label, "toolTip" => $lang_sui_proc_grid_head_label_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_proc_grid_head_statut, "toolTip" => $lang_sui_proc_grid_head_statut_tooltip, "sortMode" => "1");
if (droit($droitRole, DROIT_EXEC, null,null,null,null))
	$champs[] = array("nom" => $lang_sui_proc_grid_head_action, "toolTip" => $lang_sui_proc_grid_head_action_tooltip, "sortMode" => "1");
//$champs[] = array("nom" => "Dernier arret", "toolTip" => "Dernier arret", "sortMode" => "1");
//$champs[] = array("nom" => "Dernier demarrage", "toolTip" => "Dernier demarrage", "sortMode" => "1");	

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT count(*) AS MAX_ROW FROM PROCESSUS', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

$gDb->SQLQuery($req, 1);

session_write_close();
//Recuperer la liste des services actifs 
if ($fco_os_web == FCO_OS_WEB_WIN)
    exec("net start", $buf, $res);

if ($fco_os_web == FCO_OS_WEB_LINUX)
    exec("ps -A", $buf, $res);

if ($res == 1)
{
    $statut = $lang_sui_proc_grid_lbl_statutinconnu;
    $icon = $pathFlow."style/imgs/icons/help.png";
    $onClick = "";
}

while ($row = $gDb->SQLNextRow(1))
{
	//echo '<row>';
	$detail_tmp_1='<b><i>'.$lang_sui_proc_grid_lbl_last_stop.' : </i></b>'.sql2Date($row['PRO_DATE_END']).'';
	$detail_tmp_2='<b><i>'.$lang_sui_proc_grid_lbl_last_launch.' : </i></b>'.sql2Date($row['PRO_DATE_START']).'';
	$detail = hi_disp('<table><tr><td>'.$detail_tmp_1.'</td></tr><tr><td>'.$detail_tmp_2.'</td></tr></table>');
	echo '<row detail="'.$detail.'">';

	$params = array();
	$params['proc'] = $row['PRO_NOM'];
	$params['droits'] = array('log' => true,
							'conf' => true);
							
	switch($row['PRO_TYPE_MOTEUR'])
	{
		case '1': $icoMoteur = $pathFlow."style/imgs/icons/exec.png"; break;
		case '2': $icoMoteur = $pathFlow."style/imgs/icons/menu/flux.gif"; break;
		case '3': $icoMoteur = $pathFlow."style/imgs/icons/serveur.gif"; break;
		case '4': $icoMoteur = $pathFlow."style/imgs/icons/menu/srv_pesit.png"; break;
		case '5': $icoMoteur = $pathFlow."style/imgs/icons/menu/folder_find.png"; break;
	}

	echo '<item icon="'.$icoMoteur.'" caption="'.hi_disp($row['PRO_NOM']).'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.hi_disp($row['PRO_LIBELLE']).'"/>';

    if ($res != 1)
    {
    	$url = $pathFlow."suivi/proc/sui_proc_actAction.php?proc=".$row['PRO_NOM'];

	   $statut = $lang_sui_proc_grid_lbl_stopped;
	   $libelAction = $lang_sui_proc_grid_act_launch;
	   $icon = $pathFlow."style/imgs/icons/rond_rouge.png";
	   $onClick = " prlExec(urldecode('".urlencode($url."&action=run")."'), true);";
    
    	foreach($buf as $rr)
    	{
		  if (preg_match("/".$row['PRO_NOM']."$/", $rr))
		  {
    	   	 $statut = $lang_sui_proc_grid_lbl_launched;
			 $libelAction = $lang_sui_proc_grid_act_stop;
			 $icon = $pathFlow."style/imgs/icons/rond_vert.png";
			 $onClick = " prlExec(urldecode('".urlencode($url."&action=stop")."'), true);";
		  }
	   }
	}

	if (droit($droitRole, DROIT_EXEC, null,null,null,null))
	{
		echo '<item caption="'.$statut.'" icon="'.$icon.'" toolTip="'.$statut.'" onClick="'.$onClick.'"/>';
		echo '<item caption="'.hi_disp('<a style="cursor: pointer;">'.$libelAction.'</a>').'" toolTip="'.$libelAction.'" onClick="'.$onClick.'"/>';
	}
	else
	{
		echo '<item caption="'.$statut.'" icon="'.$icon.'" toolTip="'.$statut.'"/>';
	}

	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>