<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."suivi/rapproch/sui_rap_utils.php");

$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

$srap_id_srap = pget('srap_id_srap');
$srap_id = pget('srap_id');
$trap_sens = pget('trap_sens');
$trap_id = pget('trap_id');

if(!$srap_id || $srap_id==0) {
	$req = "SELECT ERAP_ID_ALLER, ERAP_ID_RET, ERAP_DATETRAIT, ERAP_ETAT, ERAP_LIBELLE, SRAP_ID_ALLER, SRAP_ID_RETOUR
			FROM ETAT_RAPPROCH 
			WHERE ".(($trap_sens == TRAP_SENS_ALLER)?("ERAP_ID_ALLER"):("ERAP_ID_RET"))." = $srap_id_srap
			ORDER BY ERAP_DATETRAIT DESC";
}
else {
	
	$req=  "SELECT ERAP_ID_ALLER, ERAP_ID_RET, ERAP_DATETRAIT, ERAP_ETAT, ERAP_LIBELLE
	 		FROM ETAT_RAPPROCH 
	 		WHERE ".(($trap_sens == TRAP_SENS_ALLER)?("SRAP_ID_ALLER"):("SRAP_ID_RETOUR"))." = $srap_id
	 		ORDER BY ERAP_DATETRAIT DESC";
}

$champs = array();
$champs[] = array("nom" => $lang_sui_rap_grid_head_libl, "toolTip" => $lang_sui_rap_grid_head_libl, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_rap_act_detail_lbl_date, "toolTip" => $lang_sui_rap_act_detail_lbl_date, "sortMode" => "1");

$gDb->SQLQuery($req, 1);

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	$id_dest = "";
	
	if ($trap_sens == TRAP_SENS_ALLER && $row["ERAP_ID_RET"])
		$id_dest = $row['ERAP_ID_RET'];
	elseif ($trap_sens == TRAP_SENS_RET && $row["ERAP_ID_ALLER"])
		$id_dest = $row['ERAP_ID_ALLER'];
		
	$lib_dest = "";
	if($id_dest) {
		$req = "SELECT TRAP_LIBELLE
				FROM TYPE_RAPPROCH, SUI_RAPPROCH 
				WHERE SRAP_ID = $id_dest 
					AND TYPE_RAPPROCH.TRAP_ID = SUI_RAPPROCH.TRAP_ID";
		
		$gDb->SQLQuery($req, 2);
		$row2 = $gDb->SQLNextRow(2);
		if($row2["TRAP_LIBELLE"])
			$lib_dest = $row2["TRAP_LIBELLE"]." ($id_dest)";
		$gDb->SQLFermeQuery(2);
	}
	
	if ($trap_sens == TRAP_SENS_ALLER)
		$trap_sens_dest = TRAP_SENS_RET;
	elseif ($trap_sens == TRAP_SENS_RET)
		$trap_sens_dest = TRAP_SENS_ALLER;
	
	$caption = "";
	if($lib_dest)
		$value=(($trap_sens == TRAP_SENS_ALLER)?($row['SRAP_ID_ALLER']):($row['SRAP_ID_RETOUR']));
		$caption = "<a href=\"sui_rap_actDetail.php?srap_id=$id_dest&trap_sens=$trap_sens_dest&sel=$id_dest\" >$lib_dest</a>";
		
		echo '<item caption="'.hi_disp($caption).'" value="'.$value.'"/>';
	$etat = get_etat_look($row['ERAP_ETAT']);
	if($row['ERAP_LIBELLE'])
		$etat['toolTip'] = $row['ERAP_LIBELLE'];
	echo '<item caption="'.sql2date($row['ERAP_DATETRAIT']).'" toolTip="'.$etat['toolTip'].'" icon="'.$etat['icon'].'"/>';
	
	echo '</row>';
}
echo '</databind>';
?>