<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."suivi/rapproch/sui_rap_utils.php");

$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

for ($i = 1; $i <= 5; $i++)
	${"DON_LIGNE_$i"} = pget("DON_LIGNE_$i"); 

$srap_id_srap = pget('srap_id_srap');

$req = "SELECT SRAP_ID, SRAP_DATETRAIT, 
			SRAP_DON_1, SRAP_DON_2, SRAP_DON_3, SRAP_DON_4, SRAP_DON_5, SRAP_LAST_ETAT, SRAP_LAST_LIB
		FROM SUI_RAPPROCH 
		WHERE SRAP_ID_SRAP = ".$srap_id_srap." 
				AND SRAP_TYPE = 2
		ORDER BY SRAP_DATETRAIT DESC";

$champs = array();
$champs[] = array("nom" => $lang_sui_rap_grid_head_trait, "toolTip" => $lang_sui_rap_grid_head_trait_tooltip, "sortMode" => "1");

for ($i = 1; $i <= 5; $i++) {
	$libel = ((${"DON_LIGNE_".$i})? ${"DON_LIGNE_".$i}: "$lang_tdoc_valid_lib_donnee $i");
	$champs[] = array("nom" =>  $libel, "toolTip" =>  $libel, "sortMode" => "1");
}

$gDb->SQLQuery($req, 1);

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row>';
	
	$etat = get_etat_look($row['SRAP_LAST_ETAT']);
	if($row['SRAP_LAST_LIB'])
		$etat['toolTip'] = $row['SRAP_LAST_LIB']; 
	echo '<item caption="'.sql2Date($row['SRAP_DATETRAIT']).'" toolTip="'.$etat['toolTip'].'" icon="'.$etat['icon'].'" value="'.$row['SRAP_ID'].'"/>';
	
	for($i = 1; $i <= 5; ++$i) {
		echo '<item caption="'.hi_disp($row["SRAP_DON_".$i]).'" />';
	}
	
	echo '</row>';
}
echo '</databind>';