<?php
$DEFAULT_PATH = "../../";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

function get_etat_look($id_etat)
{
	global $pathFlow, $lang_sui_rap_grid_lbl_etat_emisrecu, $lang_sui_rap_grid_lbl_etat_rapp,
	$lang_sui_rap_grid_lbl_etat_rappok, $lang_sui_rap_grid_lbl_etat_rappnook,
	$lang_sui_rap_grid_lbl_etat_norapp, $lang_lbl_indeter;
	
	$etat = array();
	
	switch ($id_etat)
    {
    	case ETAT_RAPPR_EMIS_RECU :
	       	$etat['icon'] = $pathFlow."style/imgs/icons/flux.gif";
			$etat['toolTip'] =  $lang_sui_rap_grid_lbl_etat_emisrecu;
			break;
            
		case ETAT_RAPPR_RAPPROCHE :
       		$etat['icon'] = $pathFlow."style/imgs/icons/rond_vert.png";
			$etat['toolTip'] = $lang_sui_rap_grid_lbl_etat_rapp;
			break;
	
		case ETAT_RAPPR_OK :
	        $etat['icon'] = $pathFlow."style/imgs/icons/valid_ok.png";
			$etat['toolTip'] = $lang_sui_rap_grid_lbl_etat_rappok;
			break;
			
		case ETAT_RAPPR_NOK :
			$etat['icon'] = $pathFlow."style/imgs/icons/rond_rouge.png";
			$etat['toolTip'] =  $lang_sui_rap_grid_lbl_etat_rappnook;
			break;
			
		case ETAT_RAPPR_NRAPPROCHE :
			$etat['icon'] = $pathFlow."style/imgs/icons/error.png";
			$etat['toolTip'] = $lang_sui_rap_grid_lbl_etat_norapp;
			break;
		case ETAT_RAPPR_OKPARTIEL :
			$etat['icon'] = $pathFlow."style/imgs/icons/rond_jaune.png";
			$etat['toolTip'] = $lang_sui_rap_grid_lbl_etat_rapppokpartiel;
			break;
		default:
			$etat['icon'] = $pathFlow."style/imgs/icons/help.png";
			$etat['toolTip'] = $lang_lbl_indeter;
    }
    return $etat;
}

function apply_xsl($xsl_file, $xml_file, $xslt_params, &$result)
{
	global $lang_sui_rap_act_detail_msgerr_noxml, $lang_sui_rap_act_detail_msgerr_open,
	$lang_sui_rap_act_detail_msgerr_read, $lang_sui_rap_act_detail_msgerr_initxsl;
	
	if(!($xml_handle = @fopen($xml_file, "r")))
	{
		$result = str_replace("%XMLFILE%", hi_disp($xml_file), $lang_sui_rap_act_detail_msgerr_noxml); 
		return false;
	}
	if(!($xsl_handle = @fopen($xsl_file, "r")))
	{
		$result = str_replace("%FILE%", $xsl_file, $lang_sui_rap_act_detail_msgerr_open);
		return false;
	}
	if(!($xml_content = @fread($xml_handle, @filesize($xml_file))))
	{
		$result = str_replace("%FILE%", $xml_file, $lang_sui_rap_act_detail_msgerr_read);
		return false;
	}
	if(!($xsl_content = @fread($xsl_handle, @filesize($xsl_file))))
	{
		$result = str_replace("%FILE%", $xsl_file, $lang_sui_rap_act_detail_msgerr_read);
		return false;
	}
	
	@fclose($xml_handle);
	@fclose($xsl_handle);
	$xslt_args = array('/_xml' => $xml_content, '/_xsl' => $xsl_content);
	
	if(!($xh = @xslt_create()))
	{
		$result = $lang_sui_rap_act_detail_msgerr_initxsl;
		return false;
	}
	if(!($result = @xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $xslt_args, $xslt_params)))
	{
		$result = str_replace(array("%XSLFILE%", "%XMLFILE%"), array($xsl_file, $xml_file), $lang_sui_rap_act_detail_msgerr_read);
		return false;
	}
	@xslt_free($xh);
	return true;
}
?>