<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");

$droitRole = PAR;//droit de gestion des partenaires
$lmcse = DROIT_LECT;//droits en lecture

$cltID = $_SESSION['CLT_ID'];

$f_partenaire = pget('f_partenaire');
$f_part_crit = pget('f_part_crit');
$f_date_deb = pget('f_date_deb');
$f_date_fin = pget('f_date_fin');
$f_sens = pget('f_sens');

$where = "";

if ($f_part_crit>0 && $f_partenaire)
{
	if ($f_part_crit==2)// part + fils
	{
		$fils="";
		trouve_fils($f_partenaire);
		if ($fils)
		$filsD=$f_partenaire.", ".$fils;
		else $filsD=$f_partenaire;

	}
	if ($f_part_crit==3) // que les fils
	{
		$fils="";
		trouve_fils($f_partenaire);
		$filsD=$fils;

	}
	if ($f_part_crit==4) //que le part
	{
		$filsD=$f_partenaire;
	}
	
	$where .=" and PAR_ID in ($filsD)";
}
else 
{
	if ($f_partenaire) 
		$where .= " and PAR_ID = '".dblQ($f_partenaire)."'";
	else
		$where .= " AND GRP_ID IS NULL";
}

// Rcupration de tous les partenaires selon le filtre
$req = "SELECT PAR_ID, PAR_NOM, PAR_ETAT
		FROM PART
		WHERE PAR_ETAT != ".ETAT_SUPPR."
			AND PAR_NOM != ' TOUS'
			AND CLT_ID= $cltID
			$where
		ORDER BY PAR_NOM";

$gDb->SQLQuery($req, 1);

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

while ($row = $gDb->SQLNextRow(1))
{
	//on vrifie les droits sur le partenaire en metteur et en destinataire
	if (!droit(SDO, $lmcse,$row['PAR_ID'],null,null,null) && !droit(SDO, $lmcse,null, $row['PAR_ID'],null,null))
		continue;

	$url = $pathFlow.'suivi/recap/sui_recap.php?f_recurse=1&f_partenaire='.$row['PAR_ID']."&f_date_deb=$f_date_deb&f_date_fin=$f_date_fin&f_sens=$f_sens";
	$caption = hi_disp("<a href=\"$url\" title=\"$lang_menu_lbl_recap_tooltip\">".$row['PAR_NOM'].'</a>');
	
	if ($row['PAR_ETAT'] == ETAT_INACTIF)
		$caption .= " ($lang_ds_etat_inact)";
	
	echo '<row caption="'.$caption.'" id="'.$row['PAR_ID'].'"/>';
}
	
$gDb->SQLFermeQuery(1);

echo '</databind>';

if ((!isset($_SESSION['RECAPDOC_FILTER']['remember'])) || ($_SESSION['RECAPDOC_FILTER']['remember']))
{
	$_SESSION['RECAPDOC_FILTER'] = array (
	'remember'		=> true,
	'f_partenaire' 	=> $f_partenaire,
	'f_part_crit'	=> $f_part_crit,
	'f_date_deb'	=> $f_date_deb,
	'f_date_fin' 	=> $f_date_fin,
	'f_sens'		=> $f_sens);
}
?>