<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SDR;
$lmcse = DROIT_LECT;
$page_courante = "suivi/serveurs/as2/sui_as2_actAction.php";

$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

require_once ($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

$liste	= pget('liste');
$action	= pget('action');

$tmp = '';
if ($liste)
	$tmp = explode("_",$liste);

if ($action == "trait")
{
	for($i = 0; isset($tmp[$i]) && $tmp[$i]; ++$i)
	{
		$date 	= date("Y-m-d H:i:s");
		
		if($ini_typeBase != 'oracle')
			$req = "UPDATE SERVAS2 
					SET SA2_ETATTRAIT = ".ETAT_TRAIT.",
					SA2_DATETRAIT = '$date'  
				WHERE SA2_ID = ".$tmp[$i];
		else
			$req = "UPDATE SERVAS2 
					SET SA2_ETATTRAIT = ".ETAT_TRAIT.",
					SA2_DATETRAIT = TO_DATE('$date','YYYY/MM/DD HH24:MI:SS')   
				WHERE SA2_ID = ".$tmp[$i];
			
		if(!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_sui_as2_act_modifetat_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_sui_as2_act_modifetat_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
		
		if($return == 1)
			break;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
echo encode_JSON($reponse);
?>