<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = SDR;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;
$page_courante = "suivi/serveurs/pesit/sui_pesit.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$title = "$lang_menu_lbl_serverPESIT_caption - $lang_sui_pesit_page_fichiers";

$dateJour = date ('d/m/Y', mktime(0, 0, 0, date("m"), date("d"), date("Y")) - (DateDefaut));
$f_date_deb = $dateJour;
$f_sens = "";
$f_part_emet = "";
$f_part_dest = "";
$f_fichier = "";

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/srv_pesit.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/serveurs/pesit/sui_pesit_dSGridFic.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.help_id", "suivi_pesit_fichiers");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

$filtre[] = array("id_filtre" => "new_line");

//Sens
$filtre[] = array("id_filtre" => "f_sens", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_sens,
					"value_filtre" => $f_sens,
					"ds_filtre" => $pathFlow."dataSources/dSComboSens.php?showNull=1");

// Fichier
$filtre[] = array("id_filtre" => "f_fichier", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_ds_modestock_fic);

$filtre[] = array("id_filtre" => "new_line");

// Partenaire émetteur
$filtre[] = array("id_filtre" => "f_part_emet", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_lbl_emet,
					"value_filtre" => $f_part_emet,
					"defaultcaption_filtre" => getPartnerName($f_part_emet),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?droitRole=$droitRole&showNull=1");

// Partenaire destinataire
$filtre[] = array("id_filtre" => "f_part_dest", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_lbl_dest,
					"value_filtre" => $f_part_dest,
					"defaultcaption_filtre" => getPartnerName($f_part_dest),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_as2_filtre_lbl_datedeb,
					"value_filtre" => $f_date_deb);

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => addslashes($lang_sui_as2_filtre_lbl_datefin));

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => true,
						"detail" => true,
						"print" => array("show" => true, "title" => addslashes($title)),
						"csv" => true);

//visualiser
$option_toolbar[] = array("caption" => $lang_lbl_visu,
						"icon" => $pathStyle."imgs/icons/loupe.gif",
						"action" => array("name" => "visu",
									"page" => "actions/actListing_fic.php",
									"callback" => "openPopUp",
									"get_params" => array('fic_id')));

//Telecharger
$option_toolbar[] = array("caption" => $lang_lbl_telecharger,
						"icon" => $pathStyle."imgs/icons/save.png",
						"action" => array("name" => "download",
									"page" => "actions/actTelecharge.php",
									"callback" => "changePage",
									"get_params" => array('fic_id')));

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>