<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = DRO;//droit de gestion des droits
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$where = "";

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "utilisateurs/familles/utr_fam_actAffich.php";

$vtp = new VTemplate;

$rol_id	= pget('rol_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20070716153219");
//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

switch($action){
	case 'detail':
		$panelTitle=$lang_utr_drt_grid_act_detail;
		$panelIcon = $pathStyle.'imgs/icons/loupe.gif';
		$readOnly = true;
		break;
	case 'create':
		$panelTitle=$lang_lbl_create;
		$panelIcon = $pathStyle.'imgs/icons/doc_dupliq.gif';
		$readOnly = false;
		break;
	case 'modif':
		$panelTitle=$lang_utr_drt_grid_act_modif;
		$panelIcon = $pathStyle.'imgs/icons/admin.gif';
		$readOnly = false;
		break;
}

$vtp->setVar($form, "global.readOnly", ($readOnly?'true':'false'));

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_utr_drt_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/utr_drt.png");

//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", addslashes($panelTitle));
$vtp->setVar($form, "global.panelIcon", $panelIcon);

function checkLMCSE ($rol)
{
	global $action, $lang_utr_drt_aff_lbl_lmcse_oui, $lang_utr_drt_aff_lbl_lmcse_non;
	$ret = '';
	switch($rol)
	{
		case LMCSE_NA:
			$ret = (($action=='detail')?'N.A.':'disabled=true');
			break;
		case LMCSE_OUI:
			$ret = (($action=='detail')?"$lang_utr_drt_aff_lbl_lmcse_oui":'checked');
			break;
		case LMCSE_NON:
			$ret = (($action=='detail')?"$lang_utr_drt_aff_lbl_lmcse_non":'');
			break;
	}
	return $ret;
}

$head_javascript = "
document.combo = {'fam':'', 'tdoc':'', 'exp':'', 'dest':''};
document.parentCombo = {'fam':'', 'tdoc':'', 'exp':'', 'dest':''};

function verifForm()
{
	var ret = true;
	if (document.getElementById('rol_nom').value.length == 0)
	{
		alert('$lang_utr_drt_aff_msg_err_libelle_null');
		ret = false;
		document.getElementById('rol_nom').focus();
	}					
	if (ret && submitForm(this.document.forms['filtre'], 'utr_drt_actAction.php', prlExec) == 0){
		changePage('utr_drt.php');
	}
}

function switchLMCSE (rol, autho)
{
	if (autho == '1')
	{
		document.getElementById(rol).disabled = false;
	}
	else
	{
		document.getElementById(rol).checked = false;
		document.getElementById(rol).disabled = true;
	}
}

function switchInfo (type, autho)
{
	var rol_type = document.combo[type];
	var td = document.parentCombo[type];
					
	if(autho == '1')
	{
		if(!document.getElementById('rol_'+type))
		{
			td.innerHTML = '';
			td.appendChild(document.combo[type]);
		}
	}
	else
	{
		if(document.getElementById('rol_'+type))
		{
			td.removeChild(rol_type);
			td.innerHTML = '$lang_utr_drt_aff_lbl_nonapp';
		}	
	}
}
function updateForm (info)
{
	var infoSplit = info.value.split(';;');
	
	if(document.forms['filtre'].action.value!='detail')
	{
		switchLMCSE('rol_l', infoSplit[1]);
		switchLMCSE('rol_m', infoSplit[2]);
		switchLMCSE('rol_c', infoSplit[3]);
		switchLMCSE('rol_s', infoSplit[4]);
		switchLMCSE('rol_e', infoSplit[5]);
	}
	
	switchInfo('fam', infoSplit[6]);
	switchInfo('tdoc', infoSplit[7]);
	switchInfo('exp', infoSplit[8]);
	switchInfo('dest', infoSplit[9]);
	
	prlCombo.result(info.caption, infoSplit[0], document.getElementById('rol_trol'), false); 
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

if(isset($rol_id))
{
	$req = "SELECT ROL_DATE_TRAIT, ROL_DATE_CREAT, ROL_ETAT,
				ROL_NOM, ROL_LECTURE, ROL_MODIF, ROL_EXEC,
				ROL_CREAT, ROL_SUPPR, FAM_ID, TDOC_ID, EXPEDITEUR,
				DESTINATAIRE, TROL_ID
		 	FROM ROLE 
		 	WHERE ROL_ID = $rol_id";

	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	
	$rol_nom = hi_disp($row['ROL_NOM']);
	$rol_etat = $row['ROL_ETAT'];
	$rol_l = $row['ROL_LECTURE'];
	$rol_m = $row['ROL_MODIF'];
	$rol_c = $row['ROL_CREAT'];
	$rol_s = $row['ROL_SUPPR'];
	$rol_e = $row['ROL_EXEC'];
	$rol_fam_id = $row['FAM_ID'];
	$rol_trol_id = $row['TROL_ID'];
	$rol_tdoc_id = $row['TDOC_ID'];
	$rol_dest = $row['DESTINATAIRE'];
	$rol_exp = $row['EXPEDITEUR'];
	$rol_date_creat = $row['ROL_DATE_CREAT']; 
	$rol_date_trait = $row['ROL_DATE_TRAIT'];
	
	$gDb->SQLFermeQuery(1);
	
	$vtp->addSession($form, "form_input_hidden");
	$vtp->setVar($form, "form_input_hidden.name", "rol_id");
	$vtp->setVar($form, "form_input_hidden.value", $rol_id);
	$vtp->closeSession($form, "form_input_hidden");

	// Nom
	$javascript = "with(new prlTextBox('rol_nom', prlTextBox.formats.any, '$rol_nom')){
		maxLength  = 35;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'$lang_utr_drt_aff_msg_err_libelle_null\'); this.focus();}';
		readOnly = '$readOnly';
		create();
	}";
								
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_non.(!$readOnly? " (*)":""));
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$req = "SELECT TROL_LECT_AUTHO, TROL_EXEC_AUTHO, TROL_MODIF_AUTHO, 
				TROL_SUPPR_AUTHO, TROL_CREAT_AUTHO, TROL_FAMIL_AUTHO,
				TROL_TDOC_AUTHO, TROL_EXP_AUTHO, TROL_DEST_AUTHO
			FROM TYPE_ROLE
			WHERE TROL_ID = $rol_trol_id";
	
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	
	$rol_trol_info = $rol_trol_id.";;".$row['TROL_LECT_AUTHO'].";;".$row['TROL_MODIF_AUTHO'].";;".$row['TROL_CREAT_AUTHO'].";;";
	$rol_trol_info .= $row['TROL_SUPPR_AUTHO'].";;".$row['TROL_EXEC_AUTHO'].";;".$row['TROL_FAMIL_AUTHO'].";;";
	$rol_trol_info .= $row['TROL_TDOC_AUTHO'].";;".$row['TROL_EXP_AUTHO'].";;".$row['TROL_DEST_AUTHO'];
	
	$gDb->SQLFermeQuery(1);
	
	// Type de role
	$javascript = "with(new prlComboList('rol_trol', '$rol_trol_info')){
		dataSource = '${pathFlow}dataSources/dSTypeRole.php?info=full';
		dropDown.width = '255';
		dropDown.height = '170';
		onClick = 'updateForm(prlComboList.getSelected(\'rol_trol\'));';
		readOnly = '$readOnly';
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_typerol);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");

	// Etat
	$javascript = "with(new prlComboList('rol_etat', '$rol_etat')){
		add('Actif', '', '', '".ETAT_ACTIF."');
		add('Inactif', '', '', '".ETAT_INACTIF."');
		readOnly = '$readOnly';
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_etat);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
			
	if($action != "create")
	{
		$req = "SELECT COMPTE.CPT_LOGIN
				FROM COMPTE, COMPTE_ROLE
				WHERE COMPTE_ROLE.ROL_ID = $rol_id
					AND CPT_ETAT != ".ETAT_SUPPR."
					AND COMPTE_ROLE.CPT_ID = COMPTE.CPT_ID ";
		
		$gDb->SQLQuery($req, 1);
		$rol_cpt = '';
		while($row = $gDb->SQLNextRow(1))
			$rol_cpt.= hi_disp($row['CPT_LOGIN'])."<br/>";
			
		$gDb->SQLFermeQuery(1);
		
		// Date de cration
		$vtp->addSession($form, "form_field");
		$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_datecreat);
		$vtp->setVar($form, "form_field.javascript", '');
		$vtp->setVar($form, "form_field.content", $rol_date_creat);
		$vtp->closeSession($form, "form_field");

		// Date de modif
		$vtp->addSession($form, "form_field");
		$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_datemodif);
		$vtp->setVar($form, "form_field.javascript", '');
		$vtp->setVar($form, "form_field.content", $rol_date_trait);
		$vtp->closeSession($form, "form_field");

		// Comptes lis
		$vtp->addSession($form, "form_field");
		$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_cptlink);
		$vtp->setVar($form, "form_field.javascript", '');
		$vtp->setVar($form, "form_field.content", $rol_cpt);
		$vtp->closeSession($form, "form_field");
	}
	
	// Groupe li
	$javascript = "with(new prlComboList('rol_fam', '$rol_fam_id')){
		dataSource = '${pathFlow}dataSources/dSFamille.php';
		readOnly = '$readOnly';
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_grplink);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");

	// Types doc authoriss
	$javascript = "with(new prlComboList('rol_tdoc', '$rol_tdoc_id')){
		dataSource = '${pathFlow}dataSources/dSTypeDoc.php?showNull=1&tous=1';
		dropDown.width = '255';
		dropDown.height = '170';
		readOnly = '$readOnly';
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_tdocauth);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	// Destinataire
	$javascript = "with(new prlComboTree('rol_dest', '$rol_dest')){
		dataSource = '${pathFlow}dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&tous=1';
		readOnly = '$readOnly';
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_dest);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");

	// Emetteur
	$javascript = "with(new prlComboTree('rol_exp', '$rol_exp')){
		dataSource = '${pathFlow}dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&tous=1';
		readOnly = '$readOnly';
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_emet);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	// Droits lis
	$content = '<table cellspacing=0 width="100%">';
	$content .= "<thead><tr><td class='fieldCaption'>$lang_utr_drt_aff_lmcse_lbl_lect</td><td class='fieldCaption'>$lang_utr_drt_aff_lmcse_lbl_modif</td><td class='fieldCaption'>$lang_utr_drt_aff_lmcse_lbl_creat</td><td class='fieldCaption'>$lang_utr_drt_aff_lmcse_lbl_suppr</td><td class='fieldCaption'>$lang_utr_drt_aff_lmcse_lbl_exec</td></tr></thead><tbody><tr>";
	if($action=='detail')
	{
		$content .= '<td class="fieldValue" style="text-align:center"><span id="rol_l" name="rol_l">'.checkLMCSE($rol_l).'</span></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><span id="rol_m" name="rol_m">'.checkLMCSE($rol_m).'</span></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><span id="rol_c" name="rol_c">'.checkLMCSE($rol_c).'</span></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><span id="rol_s" name="rol_s">'.checkLMCSE($rol_s).'</span></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><span id="rol_e" name="rol_e">'.checkLMCSE($rol_e).'</span></td>';
	}
	else
	{
		$content .= '<td class="fieldValue" style="text-align:center"><input type="checkbox" id="rol_l" name="rol_l" '.checkLMCSE($rol_l).'></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><input type="checkbox" id="rol_m" name="rol_m" '.checkLMCSE($rol_m).'></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><input type="checkbox" id="rol_c" name="rol_c" '.checkLMCSE($rol_c).'></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><input type="checkbox" id="rol_s" name="rol_s" '.checkLMCSE($rol_s).'></td>';
		$content .= '<td class="fieldValue" style="text-align:center"><input type="checkbox" id="rol_e" name="rol_e" '.checkLMCSE($rol_e).'></td>';
	}
	$content .= '</tr></tbody></table>';
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_utr_act_cptcreate_lbl_linkdrt);
	$vtp->setVar($form, "form_field.javascript", '');
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
}

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);

$page_footer = "<script language='JavaScript' type='text/javascript'>
	document.combo.fam  = document.getElementById('rol_fam');
	document.parentCombo.fam  = document.combo.fam.parentNode;
	document.combo.tdoc = document.getElementById('rol_tdoc');
	document.parentCombo.tdoc = document.combo.tdoc.parentNode;
	document.combo.exp  = document.getElementById('rol_exp');
	document.parentCombo.exp  = document.combo.exp.parentNode;
	document.combo.dest = document.getElementById('rol_dest');
	document.parentCombo.dest = document.combo.dest.parentNode;
	updateForm(prlComboList.getSelected('rol_trol'));
</script>";
$vtp->setVar($form, "global.page_footer", $page_footer);

$vtp->closeSession($form, "global");
$vtp->Display();
?>