<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, creations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = FAM; //droit de gestion des familles
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$page_courante = "utilisateurs/familles/utr_fam.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.head_javascript", "top.help.id = '20070716151041';");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_utr_fam_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/utr_fam.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."utilisateurs/familles/utr_fam_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");


$f_date_fin = pget('f_date');
$f_date_deb = pget('f_dateF');

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_lbl_afficher,
"value_filtre" => $ini_taille_page_suivi,
"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

$filtre[] = array("id_filtre" => "f_nom", "type_filtre" => "prlFiltreField.types.prlTextBox",
"libelle_filtre" => $lang_utr_fam_grid_head_nom);

$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date", "type_filtre" => "prlFiltreField.types.prlComboDate",
"libelle_filtre" => $lang_utr_fam_grid_head_datecreat,
"value_filtre" => $f_date_deb);

$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_utr_fam_grid_head_etat,
"ds_filtre" => $pathFlow."dataSources/dSEtat.php?type=activite&showNull=1");

$filtre[] = array("id_filtre" => "new_line");

//Date fin
$filtre[] = array("id_filtre" => "f_dateF", "type_filtre" => "prlFiltreField.types.prlComboDate",
"libelle_filtre" => $lang_utr_fam_grid_head_datemodif,
"value_filtre" => $f_date_fin);


mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
						, "title" => addslashes($lang_utr_fam_title)),
						"csv" => true);

$body_js = "";
						
//Creer
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
	"icon" => $pathFlow."style/imgs/icons/add.gif",
	"onClick" => "changePage(\'utr_fam_actAffich.php?action=create\');"
);
}
//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_utr_fam_grid_act_modif,
								"icon" => $pathFlow."style/imgs/icons/admin.gif",
								"action" => array("name" => "modif",
								"page" => "utilisateurs/familles/utr_fam_actAffich.php",
								"callback" => "changePage",
								"get_params" => array('fam_id','action')));
	$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}

//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_utr_fam_grid_act_suppr,
								"icon" => $pathFlow."style/imgs/icons/trash.png",
								"action" => array("name" => "suppr",
								"page" => "utilisateurs/familles/utr_fam_actAction.php",
								"callback" => "prlExecGrid",
								"get_params" => array('fam_id','action')));
	$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_utr_fam_grid_quest_suppr)."';
	return confirm(msg_suppr);
};
";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);


$vtp->closeSession($form, "global");
$vtp->Display();
?>
