<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = FAM; //droit de gestion des familles
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once ($DEFAULT_PATH."inc/php/utils.php");

$where = "";

//recuperation des donnees du filtre
$f_etat = pget('f_etat');
$f_nom = pget('f_nom');
$f_date_deb = pget('f_date');
$f_date_fin = pget('f_dateF');
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

if ($f_nom)
	$where .= "  AND FAM_NOM like '%".dblQ($f_nom)."%' ";
	
if ($f_etat)
	$where .= " AND FAM_ETAT = '$f_etat' ";

	
// traitement des dates
if($f_date_deb) {
	if($f_date_fin) {
		if($ini_typeBase == "oracle"){
				$date_deb_sql = "TO_DATE('$f_date_deb','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_sql = "TO_DATE('$f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND FAM_DATE_CREAT BETWEEN $date_deb_sql AND $date_fin_sql";
		}
		else{
			$where .= " AND FAM_DATE_CREAT BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND FAM_DATE_CREAT >= TO_DATE('$f_date_deb', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND FAM_DATE_CREAT >= '".date2Sql($f_date_deb, "00:00:00")."'";
		}
	}
}
else if($f_date_fin) {
	if($ini_typeBase == "oracle"){
		$where .= " AND FAM_DATE_CREAT <= TO_DATE('$f_date_fin 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND FAM_DATE_CREAT <= '".date2Sql($f_date_fin, "23:59:59")."'";
	}		
}			
//Traitement date
//if($f_date_deb)	$where .= " AND FAM_DATE_CREAT BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_deb, "23:59:59")."'";
//if($f_date_fin)	$where .= " AND FAM_DATE_TRAIT BETWEEN '".date2Sql($f_date_fin, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";

$cltID 	= $_SESSION['CLT_ID'];

$req = "SELECT SQL_CALC_FOUND_ROWS FAM_NOM, FAM_ID, FAM_ETAT, FAM_DATE_CREAT, FAM_DATE_TRAIT
		FROM FAMILLE
			WHERE CLT_ID = $cltID
			AND FAM_NOM <> ' TOUTES'
			$where 
			AND FAM_ETAT != ".ETAT_SUPPR."
			ORDER BY FAM_NOM";

$gDb->SQLQuery($req, 1,($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

$champs = array();
$champs[] = array("nom" => $lang_utr_fam_grid_head_nom, "toolTip" => $lang_utr_fam_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_utr_fam_grid_head_etat, "toolTip" => $lang_utr_fam_grid_head_etat, "sortMode" => "1");
$champs[] = array("nom" => $lang_utr_fam_grid_head_datecreat, "toolTip" => $lang_utr_fam_grid_head_datecreat, "sortMode" => "1");
$champs[] = array("nom" => $lang_utr_fam_grid_head_datemodif, "toolTip" => $lang_utr_fam_grid_head_datemodif, "sortMode" => "1");

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while($row = $gDb->SQLNextRow(1))
{

	$params = array();
	$params['fam_id'] = $row['FAM_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));
	
// detail-----------------------------------------------------------------------------------------------------------------------							
	$req3 = "SELECT UTR_NOM
			FROM UTILISATEUR
			WHERE FAM_ID='".$row['FAM_ID']."'
			AND UTR_ETAT!=".ETAT_SUPPR;
	$gDb->SQLQuery($req3, 3);
	$utr="";
	$detail="";
	while ($row3 = $gDb->SQLNextRow(3)){
		$utr .= (($utr=="")?(""):htmlentities(("<br/>"))).$row3['UTR_NOM'];
	}
	$gDb->SQLFermeQuery(3);

	if ($utr!=""){
		$detail =htmlentities("<table>");
		$detail.=htmlentities("<tr><td><b>").$lang_utr_fam_aff_lbl_utrlink.htmlentities("</b></td><td>").$utr.htmlentities("</td></tr>");
		$detail.=htmlentities("</table>");
	} else {
		$detail="";						
	}
//fin detail--------------------------------------------------------------------------------------------------------------------		
	echo '<row detail="'.$detail.'">';
	
	$caption = "";
	$toolTip = "";
	$caption = hi_disp($row['FAM_NOM']);
		
	echo '<item caption="'.$caption.'" icon="'.$pathFlow.'style/imgs/icons/user_group.png" toolTip="'.$toolTip.'" value="'.row_encode_JSON($params).'"/>';
	
	$icon = "";
	$toolTip = "";	
	switch($row['FAM_ETAT'])
	{
		case ETAT_ACTIF:
			$icon = $pathFlow.'style/imgs/icons/lamp_on.png';
			$toolTip = "Actif";
			break;
		case ETAT_INACTIF:
			$icon = $pathFlow.'style/imgs/icons/lamp_off.png';
			$toolTip = "Inactif";
			break;
	}
	echo '<item icon="'.$icon.'" toolTip="'.$toolTip.'"/>';
	
	echo '<item caption="'.sql2Date($row['FAM_DATE_CREAT']).'"/>';
	echo '<item caption="'.sql2Date($row['FAM_DATE_TRAIT']).'"/>';
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>