<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require($DEFAULT_PATH."vtemplate.class.php");

$droitRole = UTR;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

$page_courante = "utr/fam/utr_utr.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_utr_utr_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/utr_utr.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."utilisateurs/utilisateurs/utr_utr_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "20070716151741");
//*
//* Création du filtre
//*
$filtre = array();

//Nom
$filtre[] = array("id_filtre" => "f_name", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_utr_utr_filtre_lbl_nom);
//Prenom
$filtre[] = array("id_filtre" => "f_name", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_utr_utr_filtre_lbl_prenom);

$filtre[] = array("id_filtre" => "new_line");

//Etat
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_utr_utr_filtre_lbl_etat,
					"ds_filtre" => $pathFlow."dataSources/dSEtat.php?type=activite&showNull=1");
					
//Groupe
$filtre[] = array("id_filtre" => "f_fam", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_utr_utr_filtre_lbl_group,
					"ds_filtre" => $pathFlow."utilisateurs/utilisateurs/utr_utr_dSFamille.php?droitRole=".$droitRole."&showNull=1");
					
$filtre[] = array("id_filtre" => "new_line");

//Date
$filtre[] = array("id_filtre" => "f_date", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_utr_utr_filtre_lbl_datedeb);
$filtre[] = array("id_filtre" => "f_dateF", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_utr_utr_filtre_lbl_datefin);
					
$filtre[] = array("id_filtre" => "new_line");

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						 "detail" => true,
						 "print" => array("show" =>true,
						 				"title" => addslashes($lang_utr_utr_title)),
						 "csv" => true);

//visualiser				
$option_toolbar[] = array("caption" => addslashes($lang_utr_utr_grid_act_detail),
							"icon" => $pathFlow."style/imgs/icons/loupe.gif",
							"action" => array("name" => "detail",
											"page" => "utilisateurs/utilisateurs/utr_utr_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('utr_id','action')));

$body_js = "
rowAction.actions.detail.check = function (params) {
	params.action = 'detail';
	return true;
}
";

$dc = droit($droitRole, DROIT_CREAT,null,null,null,null);
$dm = droit($droitRole, DROIT_MODIF,null,null,null,null);
$ds = droit($droitRole, DROIT_SUPPR,null,null,null,null);

if ($dc || $dm || $ds)
	$option_toolbar[] = array(
		"caption" => '',
		"icon" => '',
		"onClick" => '',
		"value" => '__SEPARATOR__'
	);

//Creer
if ($dc) {
	$option_toolbar[] = array(
		"caption" => addslashes($lang_ds_action_new_caption),
		"icon" => $pathFlow."style/imgs/icons/add.gif",
		"onClick" => "changePage(Flow.path+\'utilisateurs/utilisateurs/utr_utr_actAffich.php?action=create\');"
	);
}
//Modifier
if ($dm) {
	$option_toolbar[] = array("caption" => $lang_utr_drt_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
											"page" => "utilisateurs/utilisateurs/utr_utr_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('utr_id','action')));
	$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';

	return true;
};
";
}
//Supprimer
if ($ds) {
	$option_toolbar[] = array("caption" => addslashes($lang_utr_utr_grid_act_suppr),
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
											"page" => "utilisateurs/utilisateurs/utr_utr_actAction.php",
											"callback" => "prlExecGrid",
											"get_params" => array('utr_id','action')));
	$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_utr_utr_grid_quest_suppr)."';
	msg_suppr = msg_suppr.replace('%UTRNOM%', params.utr_nom);
	return confirm(msg_suppr);
};
";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>