<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole 	= UTR;	//droits de traitement des flux
$lmcse		= DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
require_once($DEFAULT_PATH."msg.php");				//prototype des messages d'erreur

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "utilisateurs/utilisateurs/utr_utr_print.php";

$vtp = new VTemplate;

$utr_id			= pget('utr_id');

$form = $vtp->Open("utr_utr_print.vtp");
$vtp->addSession($form, "gest");
	
if (droit($droitRole, $lmcse,null,null,null,null)) //Aucune action demand�e --> affichage de la liste
{
	$req = "select UTR_CIVILITE, UTR_NOM, UTR_PRENOM, UTR_MAIL, UTR_TEL, FAM_ID  
			from UTILISATEUR 
			where UTILISATEUR.UTR_ID = $utr_id";
   	$gDb->SQLQuery($req,1);
   	$row = $gDb->SQLNextRow(1);
	$fam_id = $row['FAM_ID'];
   
	if ($row['UTR_CIVILITE'] == UTR_CIVILITE_MLLE)	$utr_civilite = "Mlle";
	if ($row['UTR_CIVILITE'] == UTR_CIVILITE_MME)	$utr_civilite = "Mme";
	if ($row['UTR_CIVILITE'] == UTR_CIVILITE_MR)	$utr_civilite = "Mr";
	$vtp->setVar($form, "gest.utr_civilite", 	$utr_civilite);
   	$vtp->setVar($form, "gest.utr_nom", 		hi_disp($row['UTR_NOM']));
   	$vtp->setVar($form, "gest.utr_prenom", 		hi_disp($row['UTR_PRENOM']));
   	$vtp->setVar($form, "gest.utr_mail", 		hi_disp($row['UTR_MAIL']));
   	$vtp->setVar($form, "gest.utr_tel", 		hi_disp($row['UTR_TEL']));
   	
   	$vtp->setVar($form, "gest.groupe", 	    	$lang_utr_utr_lbl_grp);
   	$vtp->setVar($form, "gest.telephone", 		$lang_utr_utr_lbl_tel);
   	$vtp->setVar($form, "gest.email",   		$lang_utr_utr_lbl_email);
   	
	$gDb->SQLFermeQuery(1);
	
	$req = "select FAM_NOM 
			from FAMILLE 
			where FAM_ID = $fam_id";
	$gDb->SQLQuery($req,1);
   	$row = $gDb->SQLNextRow(1);
	$vtp->setVar($form, "gest.fam_nom", 		hi_disp($row['FAM_NOM']));
	$gDb->SQLFermeQuery(1);
	
	$req = "select CPT_LOGIN, CPT_QUESTION, CPT_REPONSE, CPT_ETAT, CPT_PWD 
			from COMPTE 
			where UTR_ID = $utr_id 
			and CPT_ETAT != ".ETAT_SUPPR." 
			order by CPT_ID ";
	$gDb->SQLQuery($req,1);
   	while ($row = $gDb->SQLNextRow(1))
	{
		$vtp->addSession($form, "COMPTE");
		$vtp->setVar($form, "COMPTE.cpt_login", 	hi_disp($row['CPT_LOGIN']));
		$vtp->setVar($form, "COMPTE.login",     	$lang_utr_utr_lbl_login);
		$vtp->closeSession($form, "COMPTE");
	}
	$gDb->SQLFermeQuery(1);
}
else
{
	$msg_err = $lang_utr_utr_act_print_msg_err_print;
	$vtp->setVar($form, "gest.msg_err", message($msg_err, "erreur"));
}

$vtp->closeSession($form, "gest");
$vtp->Display();
?>
