<?php
	@$file_extension = (($culture_type_support == "JS")? ".js": ".php");
	
	//récuperation des langues  de l'utilisateur
	if(!isset($culture_shortLanguage) || $culture_shortLanguage=='')
	{
		//Définition de la langue par défaut
		$culture_default = 'fr-FR';
		
		//Nom du fichier de la langue par défaut
		@$culture_fileName = "lang_$culture_default$file_extension";
		$culture_shortLanguage = "fr-FR";
		
		$culture_user = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
	
		//découpage des différentes langues
		preg_match_all("/([a-z]+)(?:\-([a-z]+))?(?:;[^,]+)?(?:,|$)/i", $culture_user, $culture_user_ar, PREG_SET_ORDER);
			
		//Analyse des langues
		for ($i=0;$i<count($culture_user_ar);$i++)
		{
			if(!isset($culture_user_ar[$i][2]) || (isset($culture_user_ar[$i][2]) && strlen($culture_user_ar[$i][2]) == 0))
				$culture_user_ar[$i][2] = $culture_user_ar[$i][1];
				
			$culture_fileNameTmp = 'lang_'.strtolower($culture_user_ar[$i][1]).'-'.strtoupper($culture_user_ar[$i][2]).$file_extension;
			
			//fin si une langue correspond à un fichier de langue existent
			if (file_exists($culture_fileNameTmp))
			{
				$culture_fileName = $culture_fileNameTmp;
				$culture_shortLanguage = strtolower($culture_user_ar[$i][1]).'-'.strtoupper($culture_user_ar[$i][2]);
				break;
			}
		}
	}
	else
	{
		$culture_fileName = 'lang_'.$culture_shortLanguage.$file_extension;
	}
	
	//chargement de la langue
	require_once($culture_fileName);
?>