<?php
$culture_shortLanguage = $_GET['INI_DISTRIB_LANG'];
require_once("culture.php");

require("setuptools.php");
require("vtemplate.class.php");

require_once("Site/flow/duplication.inc.php");

function mycallback($level)
{
	global $lang_admin_exp_migration_msg_nbEnreg;
	ob_implicit_flush(true);
	echo "<div class='nbEnreg' style='position:absolute;top:5em;left:0;'>$level $lang_admin_exp_migration_msg_nbEnreg</div>";
}

$action = pget("action");
if ($action != "")
{
	echo "<html>
		<head>
			<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
			<link href='setup.css' rel='stylesheet' type='text/css'/>
			<link rel='icon' href='favicon.ico' type='image/x-icon'/>
			<link rel='shortcut icon' href='favicon.ico' type='image/x-icon'/>
		</head>
		<body class='i-fond'>
			<br/><center>";
	if($action=='test')
		echo "<span class='nbEnreg'>$lang_admin_exp_migration_testpatience&nbsp;&nbsp;</span>";
	else
		echo "<span class='nbEnreg'>$lang_admin_exp_migration_patience&nbsp;&nbsp;</span>";
	
	// Horodatage dbut execution
	$startTime = microtime(true); 
	
	$ret = duplicateDatabase("Site/flow/", $_POST['INI_TYPE_DB_SRC'], $_POST['INI_URL_BDD_SRC'], $_POST['INI_ODBC_DRIVER_SRC'], $_POST['INI_PORT_BDD_SRC'], $_POST['INI_LOGIN_BDD_SRC'], $_POST['INI_PWD_BDD_SRC'], $_POST['INI_NOM_BDD_SRC'], $_POST['INI_TYPE_DB_DST'], $_POST['INI_URL_BDD_DST'], $_POST['INI_ODBC_DRIVER_DST'], $_POST['INI_PORT_BDD_DST'], $_POST['INI_LOGIN_BDD_DST'], $_POST['INI_PWD_BDD_DST'], $_POST['INI_NOM_BDD_DST'], ($action=='test'), 'mycallback');

	switch($ret['return'])
	{
		case 0:
			if($action=='test')
				$reponse = $lang_admin_exp_migration_test_connect_source.'<br/><br/>'.$lang_admin_exp_migration_test_connect_cible;
			else
				$reponse = $lang_admin_exp_migration_ok.'<br/><br/>'.$lang_admin_exp_migration_warn_CNF;
			break;

		case 1:
			$reponse = $lang_admin_exp_migration_error_connect_source;
			break;

		case 2:
			$reponse = $lang_admin_exp_migration_error_connect_cible;
			break;

		case 3:
			$reponse = $lang_admin_exp_migration_error_createdb.$_POST['INI_NOM_BDD_DST'];
			break;

		case 4:
			$reponse = $lang_admin_exp_migration_error_createtable.$ret['msg'];
			break;

		case 5:
			$reponse = $lang_admin_exp_migration_error_insert.$ret['msg'];
			break;

		case 6:
			$reponse = $lang_admin_exp_migration_error_constraint.$ret['msg'];
			break;

		case 7:
			$reponse = $lang_admin_exp_migration_error_index.$ret['msg'];
			break;

		case 8:
			$reponse = $lang_admin_exp_migration_error_procedure.$ret['msg'];
			break;

		case 9:
			$reponse = $lang_admin_exp_migration_error_generic;
			break;
			
		case 10:
			$reponse = $lang_admin_exp_migration_error_column;
			break;
	}

	// Horodatage fin execution + temps d'execution
	$endTime = microtime(true);  
	$tempSec = $endTime - $startTime;     
	$tempHMS = gmdate("H:i:s", $tempSec);
	if($action!='test')
		echo "<span class='h-stitre'><b>$lang_lbl_execution_time $tempHMS</b></span><br/>";	
		
	echo "<br/><span class='h-stitre'><b>$reponse</b></span><br/><br/>";
	
	if($action=='test' || $ret['return']!=0)
		echo "<input type='button' class='h-bout' onClick='javascript:history.back();' value='$lang_lbl_retour_msg'/>";
	else
	{
		if($_POST['INI_TYPE_DB_DST']=='mysql') $tdb = 1;
		else if($_POST['INI_TYPE_DB_DST']=='mssql') $tdb = 2;
		else $tdb = 3;
		
		echo "<input type='button' class='h-bout' onClick=\"window.location.href='maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=$tdb';\" value='$lang_lbl_maj_btn_msg'/>";
	}
	echo "<style type='text/css'>
		.nbEnreg{
		display:none;
		}	
	</style>";

	echo"</center></body></html>";
	return;
}

$ODBCList = '';
$type_install = 1;
$type_db = 1;

//Application de la feuille de style pour extraire les variables du formulaire de saisie
$xsl_file	= "scripts/maj/maj.xsl";
$xml_file	= "scripts/maj/dupliq_".$culture_shortLanguage.".xml";

if(version_os()==1)
	$ODBCList = exec('ODBCDriversList.exe "<option>%s</option>"');

$xslt_params = array(
	"TYPE_OS" 		=> version_mot($msg),
	"TYPE_INSTALL" 	=> $type_install,
	"TYPE_DB" 		=> $type_db,
	"ODBC_DRIVERS" 	=> $ODBCList,
	"BTN_TEST" 		=> true
	);

if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
{
	echo page_html("msgr", $result, "index.php");
	return;
}

reset($var_reserve);
while (list ($key, $val) = each ($var_reserve))
{
	$result = str_replace("[@$key]", $val, $result);
}

//Affichage du formulaire de saisie
echo $result;
echo '<script language="javascript">
		var srcObj = document.getElementById("INI_TYPE_DB_SRC");
		var dstObj = document.getElementById("INI_TYPE_DB_DST");
		
		function ChangeType()
		{
			if(srcObj.value=="mysql")
				document.getElementById("INI_ODBC_DRIVER_SRC").parentNode.parentNode.parentNode.parentNode.style.display="none";
			else
				document.getElementById("INI_ODBC_DRIVER_SRC").parentNode.parentNode.parentNode.parentNode.style.display="table";
				
			if(dstObj.value=="mysql")
				document.getElementById("INI_ODBC_DRIVER_DST").parentNode.parentNode.parentNode.parentNode.style.display="none";
			else
				document.getElementById("INI_ODBC_DRIVER_DST").parentNode.parentNode.parentNode.parentNode.style.display="table";
		}
		
		if( document.all) // IE
		{
			srcObj.onchange = ChangeType;
			dstObj.onchange = ChangeType;
		}
		else
		{
			srcObj.setAttribute("onchange", "ChangeType();");
			dstObj.setAttribute("onchange", "ChangeType();");
		}
		ChangeType();
	</script>';
?>