<?php
$culture_shortLanguage = $_GET['INI_DISTRIB_LANG'];
require_once("culture.php");

require("setuptools.php");
require("vtemplate.class.php");

// L'execution de ce script ne doit pas etre stoppe par le timeout php
set_time_limit(0);

//Modif FG le 27/01/12
// Recuperer le type de DB pr test prerequis
$type_db = pget("TYPE_DB");

$type_install= 1; // au 1er coup on le fixe à standard

if (!prerequis($msg,$type_db))
{
	echo page_html("msgr", $msg, "index.php");
	return;
}

if (pget("action") == "valid")
{
//Enregistrement des variables nécessaires à l'install dans ini.php
	reset($_POST);
	$file = @fopen("ini.php","w");
	if (!$file)
	{
		echo page_html("msgr", $lang_lbl_creation_ini_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}
	// Modif LTK le 12/02/08 : PHP5
	// La balise doit etre < ? php
	@fwrite($file, "<?php\n");
	while (list ($key, $val) = each ($_POST))
	{
		if (preg_match("/INI_/", $key))
			@fwrite($file, "\$var_ini[\"".$key."\"] = \"".dblS(pget($key))."\";\n");
	}

	@fwrite($file, "\$var_ini[\"INI_DISTRIB_LANG\"] = \"$culture_shortLanguage\";\n");
	
	// Modif FG le 30/01/12 :
	// Ajouter le type de DB
	@fwrite($file, "\$var_ini[\"TYPE_DB\"] = ".$type_db.";\n");
	
	switch($type_db)
	{
	
		case 1: //MYSQL
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = "."\"mysql\"".";\n");
			@fwrite($file, "\$var_ini[\"INI_ODBC_DRIVER_FMT\"] = '';\n");
			break;

		case 2: //MSSQL
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = "."\"mssql\"".";\n");
			@fwrite($file, "\$var_ini[\"INI_ODBC_DRIVER_FMT\"] = '{'.".'$var_ini["INI_ODBC_DRIVER"]'.".'}';\n");
			break;

		case 3: //ORACLE
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = "."\"oracle\"".";\n");
			@fwrite($file, "\$var_ini[\"INI_ODBC_DRIVER_FMT\"] = '{'.".'$var_ini["INI_ODBC_DRIVER"]'.".'}';\n");
			break;
		
		default:
			break;
	}
	
	@fwrite($file, "\n?>");
	@fclose($file);

	require("ini.php");

	if($type_db==1) //MYSQL
	{
		require("sql.inc.php");
		
		$gDb = new Db();

		if (!$gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]))
		{
			echo page_html("msgr", $lang_lbl_connexion_param_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
			return;
		}
		
		if (!pre_requis_mysql($msg))
		{
			echo page_html("msgr", $msg, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
			return;
		}
	}
	else //MSSQL et ORACLE
	{
		require("pdo.inc.php");
		
		$gDb = new Db();

		if (!$gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]))
		{
			echo page_html("msgr", $lang_lbl_connexion_param_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
			return;
		}
		
		if($type_db==2) // MSSQL
		{
			if (!pre_requis_mssql($msg))
			{
				echo page_html("msgr", $msg, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
		}
		
		if($type_db==3) // ORACLE
		{
			if (!pre_requis_oracle($msg))
			{
				echo page_html("msgr", $msg, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
		}
		
		
	}

	if (!current_version($version_flow, $msg))
	{
		echo page_html("msgr", $msg, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}

	if ($_POST["INI_VERSION_FLOW"] == $version_flow)
	{
		echo page_html("msgr", $lang_lbl_version_a_jour_msg, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}

	if (!($dir = @opendir($_POST["INI_REP_SFLOW"])))
	{
		echo page_html("msgr", $lang_lbl_repertoire_site_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}
	@closedir($dir);

	if (!($dir = @opendir($_POST["INI_REP_MOTEUR"])))
	{
		echo page_html("msgr", $lang_lbl_repertoire_moteurs_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}
	@closedir($dir);

	//Application de la feuille de style pour extraire les variables du formulaire de saisie
	$xml_file	= "scripts/maj/maj_".$culture_shortLanguage.".xml";
	$xsl_file	= "scripts/maj/maj_specif.xsl";

	$cur_version_flow = version_to_int($version_flow);
	
	// Recuperer le type d'install
	$type_install = current_station('1', $result);

	$station_type = '';
	switch($type_install)
	{
		case 1: /* Station standard : on affiche rien */ break;
		case 2: $station_type = " ($lang_lbl_type_mailfse_msg)"; break;
		case 3: $station_type = " ($lang_lbl_type_mailfse_etebac_msg)"; break;
		case 4: $station_type = " ($lang_lbl_type_demat_msg)"; break;
	}

	$xslt_params = array(
		"TYPE_OS" 		=> version_mot($msg),
		"TYPE_INSTALL" 	=> $type_install,
		"CUR_VERSION_FLOW"	=> $cur_version_flow,
		"VERSION_FLOW"	=> $version_flow,
		"TYPE_DB" => $type_db,
		"STATION_TYPE" => $station_type
		);
	if (!apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
	{
		echo page_html("msgr", $result, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}

	//Toutes les variables du formulaires sont appliquées aux requetes SQL
	if (@file_exists("ini.php"))
	{
		require("ini.php");
		reset($var_ini);
		while (list ($key, $val) = each ($var_ini))
		{
			$result = str_replace("[@$key]", $val, $result);
		}
	}
	reset($var_reserve);
	while (list ($key, $val) = each ($var_reserve))
	{
		$result = str_replace("[@$key]", $val, $result);
	}

	if (!nom_client($var_macro["MACRO_NOM_CLIENT"]))
	{
		echo page_html("msgr", $var_macro["MACRO_NOM_CLIENT"], "javascript:history.back();");
		return;
	}
	mail_admin($var_macro['MACRO_MAIL_ADMIN'], $var_ini["INI_REP_SFLOW"]);
	path_log_sql($var_macro['MACRO_PATH_LOG_SQL'], $var_ini["INI_REP_SFLOW"]);

	reset($var_macro);
	while (list ($key, $val) = each ($var_macro))
	{
		$result = str_replace("[@$key]", $val, $result);
	}

	//Affichage du formulaire de saisie
	echo $result;
	
	return;
}

if (pget("action") == "valid_var")
{
//Enregistrement des variables nécessaires à l'install dans ini.php
	reset($_POST);
	$file = @fopen("ini.php","a");
	if (!$file)
	{
		echo page_html("msgr", $lang_lbl_ouverture_ini_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}
	// Modif LTK le 12/02/08 : PHP5
	// La balise doit etre < ? php
	@fwrite($file, "<?php\n");
	while (list ($key, $val) = each ($_POST))
	{
		if (preg_match("/INI_/", $key))
			@fwrite($file, "\$var_ini[\"".$key."\"] = \"".dblS(pget($key))."\";\n");
	}
	
	// Modif FG le 30/01/12 :
	// Ajouter le type de DB
	@fwrite($file, "\$var_ini[\"TYPE_DB\"] = ".$type_db.";\n");
	
	switch($type_db)
	{
		case 1: //MYSQL
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = "."\"mysql\"".";\n");
			break;

		case 2: //MSSQL
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = "."\"mssql\"".";\n");
			break;

		case 3: //ORACLE
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = "."\"oracle\"".";\n");
			break;
		
		default:
			break;
	}
	
	@fwrite($file, "\n?>");
	@fclose($file);

	require("ini.php");
	
	if($type_db==1) //MYSQL
	{
		require("sql.inc.php");

		$gDb = new Db();
		
		if (!$gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]))
		{
			echo page_html("msgr", $lang_lbl_connexion_param_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
			return;
		}
	}
	else // MSSQL et ORACLE
	{
		require("pdo.inc.php");
		
		$gDb = new Db();

		if (!$gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]))
		{
			echo page_html("msgr", $lang_lbl_connexion_param_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_DB=".$var_ini["TYPE_DB"]);
			return;
		}
	}

	if (!current_version($version_flow, $msg))
	{
		echo page_html("msgr", $msg, "javascript:history.back();");
		return;
	}
	$cur_version_flow = version_to_int($version_flow);
	
	$type_install = current_station('1', $result);

//Démarrage de l'installation
	$xml_file	= "scripts/maj/maj_".$culture_shortLanguage.".xml";
	$xsl_file	= "scripts/maj/maj_var.xsl";
	$xslt_params = array(
		"TYPE_INSTALL" 		=> $type_install,
		"CUR_VERSION_FLOW"	=> $cur_version_flow,
		"TYPE_DB" => $type_db
	);
	if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
	{
		echo page_html("msgr", $result, "javascript:history.back();");
		return;
	}
	@eval($result);

	$level = null;
	if (@file_exists("log_level.php"))
	{
		require("log_level.php");
		if (isset($LOG_ID_LEVEL) && $LOG_ID_LEVEL)
			$level = $LOG_ID_LEVEL;
	}
	$vtp = new VTemplate;
	$form = $vtp->Open("progress.vtp");
	$vtp->addSession($form,"form");
	$vtp->setVar($form, "form.lib_title", $lang_lbl_installation_msg);
	$vtp->setVar($form, "form.lib_progress", $lang_lbl_maj_en_cours_msg);
	$vtp->setVar($form, "form.shortLanguage", $culture_shortLanguage);
	$vtp->setVar($form, "form.page_dest", "maj_ini.php");
	$vtp->setVar($form, "form.id_next_level", "$level");
	$vtp->setVar($form, "form.next_etape", "1");
	$vtp->setVar($form, "form.lib_next_level", $lib_cur_level);
	$vtp->setVar($form, "form.count_level", $count_level);
	$vtp->closeSession($form,"form");
	$vtp->Display();
	
	// cas particulier, MySQL et anciennes bases
	if($type_db==1)
	{
		$req = "UPDATE MYSQL.USER SET SUPER_PRIV='Y' WHERE USER='".$var_ini["INI_LOGIN_BDD"]."';";
		$num = $gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		// Mise à jour de la table compte pour suppression de la contrainte et de la clé étrangère sur STY_ID ainsi que du champ et suppression de la table STYLE
		$req = "SHOW CREATE TABLE compte;";
		$num = $gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);

		$tmp = $row[1];
		$patern = '/`(\w+)` FOREIGN KEY \(`STY_ID`\)/';
		preg_match($patern, $tmp, $res);

		if(isset($res[1]) && $res[1])
		{
			$req = "ALTER TABLE compte DROP FOREIGN KEY `".$res[1]."`;";
			$gDb->SQLQuery($req, 1);
			$gDb->SQLFermeQuery(1);

			$req = "ALTER TABLE compte DROP INDEX STY_ID;";
			$gDb->SQLQuery($req, 1);
			$gDb->SQLFermeQuery(1);

			$req = "ALTER TABLE compte DROP STY_ID;";
			$gDb->SQLQuery($req, 1);
			$gDb->SQLFermeQuery(1);
		}

		$req = "DROP TABLE IF EXISTS style;";
		$gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
	}
	
	return;
}

$ODBCList = '';

//Application de la feuille de style pour extraire les variables du formulaire de saisie
$xsl_file	= "scripts/maj/maj.xsl";
$xml_file	= "scripts/maj/maj_".$culture_shortLanguage.".xml";

if(version_os()==1 && $type_db!=1)
	$ODBCList = exec('ODBCDriversList.exe "<option>%s</option>"');

$xslt_params = array(
	"TYPE_OS" 		=> version_mot($msg),
	"TYPE_INSTALL" 	=> $type_install,
	"TYPE_DB" 		=> $type_db,
	"ODBC_DRIVERS" 	=> $ODBCList,
	"BTN_TEST" 		=> false
	);
if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
{
	echo page_html("msgr", $result, "index.php");
	return;
}

reset($var_reserve);
while (list ($key, $val) = each ($var_reserve))
{
	$result = str_replace("[@$key]", $val, $result);
}

//Affichage du formulaire de saisie
echo $result;
?>