<?php
DEFINE('SQL_DUP_CHAMP',-2);

DEFINE('REQUEST_LOG',1);

if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="./";

$filename="ini.php";#setup

if (!file_exists($DEFAULT_PATH.$filename)) 
{
	$filename="flow.ini.php";#configurator
	DEFINE('INSTALL_DB',0);
}
else
	DEFINE('INSTALL_DB',1);

require_once($DEFAULT_PATH.$filename);

$filename="ini.php";#setup

if (file_exists($DEFAULT_PATH.$filename)) #case setup
	$ini_typeBase=$var_ini["TYPE_DB_NAME"];

#echo "ini_typeBase: $ini_typeBase";

if($ini_typeBase == "mssql")
	DEFINE('ORACLE',0);
else	
	DEFINE('ORACLE',1);

//////////////// A UTILSER A LA PLACE DE STRISTR ////////////////
// Recherche de texte hors valeur à insérer :
//   La fonction stristr ne peut être directement utilisée 
//   car des mots issus des valeurs d'une requête peuvent 
//   matcher alors qu'ils ne le doivent pas (ex: from, set, ...)
/////////////////////////////////////////////////////////////////
function hasCommand($query, $text)
{
	// on supprime les valeurs de chaine pour n'avoir que les commmandes
	$reste = '';
    $inQuote = false;

    for($i=0; $i<strlen($query); $i++)
    {
        if($query[$i]=='\'')
            $inQuote = !$inQuote;
        if($inQuote==false)
            $reste .= $query[$i];
    }
	
	return stristr($reste, $text);
}

/**
 * Interface une base de données via PDO
 */
class Db
{
	var $NumReq = 10;  //Nombre max de requetes simultanées
	var $ConnectionID;
	var $DatabaseName;
	var $Result;
	var $TotAff;
	var $Row;
	
	//PDO VERSION
	var $dbh;
	var $lastid;
	var $currenttablename;

	var $tableinfos_array;
	var $tablename_seq;
	
	var $tablevariable_array= Array();
	var $tablevariable_replace_array= Array();
	
	//ORACLE VERSION; used for prefix of index
	var $user;
	
	//END PDO
		
///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLConnect($driver, $host, $user, $passwd, $database) 
	/* for pdo
	 * $host: empty
	 * $user: user
	 * $passwd: passwd
	 * $database: dsn
	*/
///////////////////////////////////////////////////////////////	
	{
		//$this->ConnectionID = @mysql_connect($host, $user, $passwd);
		
		$driver = '{'.$driver.'}';
		
		//PDO VERSION
		try 
		{
			//$dbh = new PDO("mysql:host=$hostname;dbname=UseitRepository", $username, $password);
			//$dbh = new PDO("odbc:DRIVER={SQL Native Client};Server=250.156.0.1;Database=myDataBase; Uid=userName;Pwd=thePassword;");
			//odbc:DSN=SAMPLE;UID=john;PWD=mypass
			
			//$dsn="odbc:DSN=MSSQLTestServer;Uid=" . $user . ";Pwd=" . $passwd . ";";			
			//$dsn="odbc:MSSQLTestServer";
			//$dsn = 'DRIVER=FreeTDS;SERVERNAME=172.17.162.51\SQLEXPRESS;DATABASE=imebase;';
			//$dsn = 'DRIVER=FreeTDS;SERVER=172.17.162.51\SQLEXPRESS;DATABASE=imebase;';
			
			//version windows: 	odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;
			//$dsn = "odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;";
			
			//$dsn="odbc:DSN=" . $database . ";Uid=" . $user . ";Pwd=" . $passwd . ";";
			
			//SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],
			//$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], null))
			//Server=myServerAddress;Port=3306;Database=myDataBase
			
			
			#$gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], null))
			list($hostname, $port)=explode(":",$host);
			
			//$dsn = "odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;";
			
			$this->user=$user;
			
			$msg="SQLCONNECT: $host\n";
			
			$this->WriteLog($msg);
	
			if(!ORACLE)
			{
				if($database)
					$dsn="odbc:DRIVER=$driver; SERVER=$hostname; PORT=$port ; DATABASE=$database; Uid=$user; Pwd=$passwd";
				else
					$dsn="odbc:DRIVER=$driver; SERVER=$hostname; PORT=$port; Uid=$user; Pwd=$passwd";
					
				$msg="SQLCONNECT FOR MSSQL: $dsn\n";
	
				$this->WriteLog($msg);
			}
			else
			{
			
				#$var_ini["INI_URL_BDD"] = "{Oracle dans OraCLient11g_home1}172.17.218.160";
				#$var_ini["INI_PORT_BDD"] = "1521";
				#$var_ini["INI_NOM_BDD"] = "uif";
				#$var_ini["INI_LOGIN_BDD"] = "nicolas";
				#$var_ini["INI_PWD_BDD"] = "nicolas";
				
				//Driver={Oracle dans OraCLient11g_home1};Dbq=//172.17.218.160:1521/uif;Uid=%s;Pwd=%s
				
				if($database)
					#$dsn="odbc:DRIVER=" . $driver . ";dbq=//". $hostname . ":" . $port . "/" . $database . ";Uid=" . $user . ";Pwd=" . $passwd;
					$dsn="odbc:DRIVER=$driver; dbq=//$host/$database; Uid=$user; Pwd=$passwd";
				else
					$dsn="odbc:DRIVER=$driver; dbq=//$host; Uid=$user; Pwd=$passwd";
					
				$msg="SQLCONNECT FOR ORACLE: $dsn\n";
	
				$this->WriteLog($msg);
				
			}
			//echo 'new PDO with : ' .  $dsn . '<br>';
			
			$this->dbh = new PDO($dsn);
			
			//echo 'end new PDO';
			
			/*** echo a message saying we have connected ***/
			//echo 'Connected to database<br>';
			
			/*** set the error reporting attribute ***/
			$this->dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

			try
			{
				// connexion avec timeout à 400 secondes
				// MSSQL Express 2005 genere une exception. Dans ce cas, on l'ignore
				$this->dbh->setAttribute(PDO::ATTR_TIMEOUT, 400);
			}
			catch(PDOException $e)
			{
				$this->WriteLog($e->getMessage());
			}
		
			if(!ORACLE)
				$this->dbh->exec('SET DATEFORMAT ymd');

			//echo 'setAttribute';
		
			//$this->ConnectionID=$dbh;
					
		}
		catch(PDOException $e)
		{
			//echo "Error new PDO";
			#echo $e->getMessage();
			
			$this->erreur($e->getMessage());
			return false;
		}
			
		//echo 'test dbh';
		
		//END PDO VERSION
		if (!$this->dbh)
		{
			//echo "Error dbh empty";
			#$this->erreur("Erreur de connexion");
			$this->erreur("Error dbh empty");
			return false;
		}

		//echo "end test dbh;
		
		//add log
					
		if ($database) return( $this->SQLSelectDatabase($database) );

		//echo "cnx OK";
		return true;
	}

///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLSelectDatabase($database)
	 //$database: dsn
///////////////////////////////////////////////////////////////
	{
		//echo "begin SQLSelectDatabase";
	
		$this->DatabaseName = $database;
		
		return true;
		
		//echo "end SQLSelectDatabase";

//MYSQL VERSION		
/*
		if ($this->ConnectionID)
			return @mysql_select_db($database, $this->ConnectionID);
		else
		{
			erreur("Erreur de selection de la base de donn�es");
			return false;
		}
*/
	}
	
	// On ne passera pas dans le parserMSSQL/ORACLE cas des balises MYSQL, MSSQL et ORACLE du fichier d'install
	// La requete doit être conforme à la base utlisée
	function SQLQueryDirect($query, $num = '0')
	{
 		$msg=sprintf("DIRECT QUERY : %s\n",$query);

		$this->WriteLog($msg);
						
		if($query != "")
			$result = $this->dbh->query($query);
						
		if($result === FALSE)
		{
			$this->Result[$num]=FALSE;
		}
		else
		{
			$this->currentpdostatement=$this->Result[$num]=$result;
			$msg=sprintf("RESULT OF DIRECT QUERY, NUM: %d\n",$num);
			$this->WriteLog($msg);
			$this->Result[$num]=TRUE;
		}
		return $this->Result[$num];
	}

///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLQuery($query, $num = '0', $start = '', $limit = '')
///////////////////////////////////////////////////////////////	
	{
		# nettoyage global des "espace" "double espace" "saut de ligne" "tab"
		$query = str_replace(array("\n","\r","\t", "  "), " ", "$query");
		
		//TO DO
		#if ($start != '' || $limit != '')
		#	$query .= ' LIMIT '.$start.','.$limit;

		if ((utf8_encode(utf8_decode($query)) == $query))
		{
			//echo $query;
			
			$query = utf8_decode($query);
		}

		#CASE DROP/CREATE ... IF EXISTS/NOT EXISTS : INSTALL ORACLE	
		if(ORACLE) 
		{
			# analyse du "if exists" ou du "if not exists"
			if( hasCommand($query, 'if exists') || hasCommand($query, 'if not exists') )
			{
				# remplace les tab, saut de ligne par des espaces
				$query = str_replace(array("\n","\r","\t"), " ", "$query");
				# analyse du cas à traiter
				if( hasCommand($query, 'table') ) {$type_exists='table';} 
				if( hasCommand($query, 'trigger') ) {$type_exists='trigger';} 
				#  récupération du nom de la variable suivant la clause "exists"
				$debpos_exists=stripos($query,' exists');
				$subquery1 = substr($query,$debpos_exists+strlen(' exists'));
				$subquery1 = str_replace(" ", "", "$subquery1");
				# motifs juste après l'identifiant de la table
				$tmp = strpbrk("$subquery1","( ), ");
				# longueur de l'identifiant de la table
				$long_table = stripos("$subquery1", "$tmp[0]");
				# recupere le nom de la table
				if ($long_table > 0)
				{
					$type_name = substr($subquery1,0, $long_table);
				} else
				{
					$type_name = $subquery1;
				}
				# construction requête d'appel à la fonction (renvoie "1" si existence)
				$query_exists=sprintf("SELECT %s_exist('%s') FROM DUAL",$type_exists,$type_name);
				# appel fonction via SGBD
				$this->SQLQuery("$query_exists", 1);
				$row = $this->SQLNextRow(1);
				$test_exists = $row[0];
				# réécriture de la requête analysée
				if( $test_exists == "1" && hasCommand($query, 'IF EXISTS'))
				{	
					$query = str_replace("IF EXISTS", " ", $query);
				}
				elseif( $test_exists != "1" && hasCommand($query, 'IF NOT EXISTS'))
				{
					$query = str_replace("IF NOT EXISTS", " ", $query);
				}
				else
				{
					$query= "";
				}
			}
		} else {
			if(hasCommand($query,"DROP TABLE IF EXISTS "))
				$query="";	
		}	
		
		//case CREATE TRIGGER
		if(hasCommand($query,'CREATE TRIGGER'))
		{
			$this->ExecCreateTrigger($query);
			return TRUE;
		}
		
		#CASE DROP TABLE IF EXISTS FOR ACTIVITY	
		//NOT PROCESSING
		if(hasCommand($query,"DROP TABLE IF EXISTS "))
			$query="";	

		$msg=sprintf("SQLQUERY: %s, NUM: %d\n",$query,$num);
		
		$this->WriteLog($msg);	
		
		if(!ORACLE)
			$this->SQLQueryForMSSQL($query, $num);
		else
			$this->SQLQueryForORACLE($query, $num);	
 			
		#var_dump($this->Result[$num]);		
		return $this->Result[$num];	
	}
	
///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLQueryForMSSQL($query, $num = '0')
///////////////////////////////////////////////////////////////	
	{	
		#echo "SQLQueryForMSSQL";

		# CASE CONCAT		
		if(stristr($query,'CONCAT(') && !stristr($query,'PFL_INIT')) // on ne prend pas en compte les concat présents dans les requetes de PFL_INIT qui seront remplacées par le PDO du site
		{
			$query=$this->parseConcatMSSQL($query); // BG : 28/03/2012 : refonte de la fonction parseConcat pour MSSQL et ORACLE (pour l'instant :différenciation pour les 2 types de BdD)
		}
		
		# CASE LAST_INSERT_ID
		if(stristr($query,'LAST_INSERT_ID()'))
		{		
			$identity=$this->get_IDENTITY();
			$query=str_ireplace('LAST_INSERT_ID()',$identity,$query);
		}

		if(hasCommand($query,'SHOW TABLES FROM '))	
			$query="select name from sysobjects where xtype = 'U' order by name";
		
		# CASE NOW
		if(stristr($query,'NOW()'))		
			$query=str_ireplace('NOW()','GETDATE()',$query);
		
		#CASE UPDATE FLOWCONF SET FCO_URL_WS=
		if((hasCommand($query,'SET ')) && (!hasCommand($query,'UPDATE ')))
		{
			#echo "SET";		
			#SET @REPCLIIHM=CONCAT('[@INI_REP_MOTEUR]',CONCAT('cli[@SEP_CAR]','[@INI_NOM_CLIENT]'))
			
			$debpos=stripos($query,'SET ');
			
			$set=substr($query,$debpos);

			#echo "set: $set\n";
			
			$endpos = stripos($set, ';');
			
			if($endpos !== false)
				$set=substr($set,0,$endpos);
			else
				$set=substr($set,0);
				
			#echo "set: $set\n";
			
			list($var, $value) = explode("=",$set,2); 
			
			#echo $var;
			
			$pos = strpos($var, "@");
			
			#echo $pos;
			
			if ($pos > 0)
			{ 
				$varname=substr($var,$pos);
				
				$varname=rtrim($varname);
				$varname=rtrim($varname,':');
				#echo "varname:" . $varname;
			}
					
			if(hasCommand($value,'FROM '))			
			{
				#SELECT -> SET @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
				
				$debpos=stripos($value,'FROM ');
			
				$var=substr($value,0,$debpos);
				
				$var=trim($var);
				
				#echo "var: $var\n";
				 				
				$value=sprintf("SELECT %s",$value);
							
				$this->SQLQuery($value, 1);
	
				$row = $this->SQLNextRow(1);
				
				#print_r($row);

				$value = $row[$var];
				
			}
				
			$value=trim($value);
			$value=rtrim($value,')');
			$value=$this->parseSQLVar($value);
			if($value[0]=="'") $this->tablevariable_array[$varname]=$value;
			else $this->tablevariable_array[$varname]="'".$value."'";
				
			#print_r($this->tablevariable_array);
				
			$this->Result[$num]=TRUE;
				
			$msg=sprintf("SET: %s: %s\n",$varname,$value);
				
			#echo $msg;
				
			$this->WriteLog($msg);			
			
			return $this->Result[$num];
											
			#echo "\nquery after set: $query\n"; 
		}
		
		#CASE MD5
		if(stristr($query,'md5('))
		{					
			#echo "MD5\n";
			#md5('[@INI_PWD_ADMIN]')
			#to HashBytes('MD5',('toto' +'titi' +'tutu'))
			
			$beginpos =$pos = stripos($query, 'md5(');
			
			#print "pos:" . $pos . "\n";
			
			$stringreplace="";
			
			if ($pos > 0)
			{ 
				$md5param=substr($query,$pos+strlen('md5('));
				$endpos = stripos($md5param, ')');
				$md5param=substr($md5param,0,$endpos);
				
				$stringreplace=substr($query,$beginpos,strlen('md5(')+strlen($md5param)+1);
				
				#echo "stringreplace: $stringreplace\n";
			}
			
			#$HashBytes=sprintf("HashBytes('MD5',%s)",$md5param);
			#SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5', 'admin')), 3, 32)
			
			$HashBytes=sprintf("SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5',%s)), 3, 32)",$md5param);
			
			$query=str_ireplace($stringreplace,$HashBytes,$query);
			
			#echo "query after replace md5: $query\n";
			 
		}
			
		#CASE BEGIN
		if(hasCommand($query,'BEGIN'))	
		{	
			#echo "\nbegin: $query\n";	
			if(!hasCommand($query,'CREATE PROCEDURE') && !hasCommand($query,'CREATE LOGIN'))
				$query=str_ireplace('BEGIN','',$query);
			/*
			if($this->SQLTransact())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}

		#CASE COMMIT
		if(hasCommand($query,'COMMIT'))
		{
			#echo "\ncommit: \n";		
			$query=str_ireplace('COMMIT','',$query);
			/*
			if($this->SQLCommit())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}
		
		$found_ignore=false;
	
		#CASE INSERT IGNORE			
		if(hasCommand($query,'INSERT IGNORE'))
		{
			$query=str_ireplace('INSERT IGNORE','INSERT',$query);	
			$found_ignore=true;	
		}
					
		#####################################			
		#CASE SELECT,REPLACE,INSERT			
		#####################################			
		
		try 
		{	
			
			if(!hasCommand($query,'CREATE PROCEDURE'))
			{
				//CASE SELECT		
			
				#if(stristr($query,'SELECT'))
				#{
				
				$pos=stripos($query,'SELECT'); # case select in field
				
				$caseselect=false;
				
				#echo "pos: $pos";
				
				if($pos !== false)
				{
					if($pos > 0)
					{
						$pos-=1;
						
						#echo "query:" . $query[$pos];
						
						if(($query[$pos] != "'") && ($query[$pos] != "("))#case (SELECT CLT_ID FROM CLIENT)
						{
							#echo "not find quote";
							
							#case 'PI 3 dans select'
							if($query[$pos+strlen("select")+1] != "'") 
							{
								#$char=$query[$pos+strlen("select")+1];
								#echo "not find quote: $char";
								$caseselect=true;
							}
							else
								$caseselect=false;
						}
						else
						{
							#echo "find quote";				
							$caseselect=false;
							/*
							Ce traitement ci-dessous n'a pas lieu d'être, la requête concernée est maintenant éclatée suivant le type de base.
							Celà provoquait une erreur sur la gestion de !=''
							
							#case 
							#select concat(''#{'', concat(AFX_ID,''.FIC_ID}'')),
							#AFX_LIBEL from ACTFLUX where FLX_ID=[@FLX_ID] and AFX_ACTIF=1 order by AFX_LIBEL
							$substr=substr($query,$pos);
							
							#until',
							
							$pos=stripos($substr,"','");
							
							#echo "pos: $pos,$substr";
							
							$substr=substr($substr,0,$pos);
							
							#echo "substr: $substr";
							
							$newsubstr=str_ireplace("''",'"',$substr);	
			
							$query=str_ireplace($substr,$newsubstr,$query);	
							
							#echo $query;
							*/
						}
					}
					else
						$caseselect=true;			
				}
							
				if($caseselect)
				{
					#echo "case select for MSSQL";

					$query=$this->parseSELECTMSSQL($query,$num);
					
					if($query == "")
						return $this->Result[$num];
					else
					{					
						#echo "current table: $this->currenttablename";	
						
						#test if cursor is open
							
						if($this->Result[$num])
						{
							$msg="*** implicit closeCursor() ***";
							
							$this->WriteLog($msg);
						
							if(is_object($this->Result[$num]))
								$this->Result[$num]->closeCursor();
								
							$this->Result[$num]=NULL;
							$this->currentpdostatement=NULL;
						}
									
						$msg=sprintf("QUERY FOR MSSQL: %s\n",$query);
						
						#echo $msg;
						
						$this->WriteLog($msg);
						
						if($query != "")
							$result = $this->dbh->query($query);
						
						if($result === FALSE)
						{
							 //return error
							 #echo "error\n";
							 $this->Result[$num]=FALSE;
						}
						else
						{
							#echo "return of select\n"; 	
							#var_dump($result);
							
							$this->currentpdostatement=$this->Result[$num]=$result;
							
							#echo "current table: $this->currenttablename";	
									
							$msg=sprintf("RESULT OF QUERY FOR MSSQL, NUM: %d\n",$num);
						
							#echo $msg;
						
							$this->WriteLog($msg);
						}
					}	
				}
				else
				{				
					if(hasCommand($query,'REPLACE '))
					{				
						//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
	
						$query=$this->parseREPLACEMSSQL($query,$num);
					
						if($query == "")
							return $this->Result[$num];
						else
						{					
							//echo "current table: $this->currenttablename";	
										
							$msg=sprintf("QUERY FOR MSSQL: %s\n",$query);
							
							#echo $msg;
							
							$this->WriteLog($msg);
							
							if($query != "")
								$result = $this->dbh->query($query);
							
							if($result === FALSE)
							{
								 //return error
								 #echo "error\n";
								 $this->Result[$num]=FALSE;
							}
							else
							{
								echo "return of select\n"; 	
								$this->currentpdostatement=$this->Result[$num]=$result;
							}
						}		
					}
					
					//insert, delete
					
					//INSERT CASE
					if(hasCommand($query,'INSERT'))
					{				
						$explodequery = explode(" ", $query);
						
						$tablename=$explodequery[2];
						
						$this->currenttablename = trim($tablename);
						
						//echo "current table: $tablename";
						
						$query=$this->parseSQLVar($query);
						
						//case autonumber
						//now IDENTITY		
					}
				
					//echo "QUERY\r\n";
					#var_dump($this);
					
					$msg=sprintf("EXEC FOR MSSQL: %s\n",$query);
					
					#echo $msg;
					
					$this->WriteLog($msg);
					
					#DebugBreak();
					
					if($query != "")	
						$result = $this->dbh->exec($query);
				
					if(isset($result) && $result === FALSE)
					{
						//return error
						$this->Result[$num]=$result;
					}
					else
					{
						//echo "count of query: " .  $result;
						if(isset($result))
							$this->TotAff[$num]=$result;
						else
							$this->TotAff[$num]='';
						$this->Result[$num]=TRUE;					
					}
				}
			
			}#end if not a procedure
			else
			{	
				//echo "QUERY\r\n";
				#var_dump($this);
				
				$msg=sprintf("EXEC FOR MSSQL: %s\n",$query);
				
				#echo $msg;
				
				$this->WriteLog($msg);
				
				#DebugBreak();
				
				if($query != "")	
					$result = $this->dbh->exec($query);
			
				 if($result === FALSE)
				 {
					 //return error
					 $this->Result[$num]=$result;
				 }
				 else
				 {
					//echo "count of query: " .  $result;
					$this->TotAff[$num]=$result;
					$this->Result[$num]=TRUE;
					
				}
			}
		}
		catch(PDOException $e)
		{
			$msg=sprintf("*** Error on EXEC FOR MSSQL: error: %d, message: %s ***\n",$e->getCode(),$e->getMessage());
					
			$result=FALSE;
			$this->Result[$num]=$result;

			$error_message=$e->getMessage();
			
			if($e->getCode()==2627) //????
			//TO DO
			// ... duplicate key ...
			{					
				#echo "CONCURRENT ACCESS FOR SQLSERVER";					
			}
			else
			{
				if($e->getCode()==22007) //Invalid datetime format
				{
					$pos = stripos($error_message, "SQLExecDirect[242]"); // valable pour 0000-00-00 00:00:00 qui n'est pas valide sous MsSQL
					if ($pos !== false)
					{
						$this->dbh[$num]->exec("set dateformat ymd"); // ça peut être aussi un problème d'inversion mois/jour donc on le force
						$msg .="*** REPLACE INVALID NULL DATE BY EMPTY DATE ***\n";
						$this->WriteLog($msg);
						
						// on reformate les dates trouvées dans la requete et on refait la requete
						$query = str_replace('0000-00-00 00:00:00', '', $query);
						$this->Result[$num] = $this->SQLQueryForMSSQL($query, $num, $start, $limit);
						return $this->Result[$num];
					}
				}
				else if($e->getCode()==23000) //Violation de la contrainte UNIQUE KEY
				{
					if($found_ignore)//case INSERT IGNORE
					{
						$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
						$this->WriteLog($msg);
						$result=TRUE;
						$this->Result[$num]=$result;
					}	
					else
					{
						$res[0] = SQL_DUP_CHAMP;
						return $res;
					}
				}	

				$pos = stripos($error_message, "SQLExecDirect[3701]"); // valable pour DROP TABLE et DROP TRIGGER
				if ($pos !== false) 
				{
					$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
					$this->WriteLog($msg);
	
					$result=TRUE;
					$this->Result[$num]=$result;
				}
                                
				$pos = stripos($error_message, "SQLExecDirect[102]");
				if ($pos !== false) 
				{		
					if($found_ignore)
					{
						$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
						$this->WriteLog($msg);
		
						$result=TRUE;
						$this->Result[$num]=$result;
					}
				}

				$pos = stripos($error_message, "SQLExecDirect[2714]");
				if ($pos !== false) 
				{			
					$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
					$this->WriteLog($msg);
		
					$result=TRUE;
					$this->Result[$num]=$result;
				}

				$pos = stripos($error_message, "SQLExecDirect[1913]");
				if ($pos !== false) 
				{			
					$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
					$this->WriteLog($msg);
		
					$result=TRUE;
					$this->Result[$num]=$result;
				}
				
			}
			
			if(!$this->Result[$num])
			{
				$msg=sprintf("QUERY: %s, NUM: %d",$query,$num);
				$this->erreur($msg,$num);
			}
			
		}		
		
		return $this->Result[$num];
	}

///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLQueryForORACLE($query, $num = '0')
///////////////////////////////////////////////////////////////	
	{	
		# CASE CONCAT		
		if(stristr($query,'CONCAT(') && !stristr($query,'PFL_INIT')) // on ne prend pas en compte les concat présents dans les requetes de PFL_INIT qui seront remplacées par le PDO du site
		{
			$query=$this->parseConcatORACLE($query); // BG : 28/03/2012 : rrefonte de la fonction parseConcat pour MSSQL et ORACLE (pour l'instant :différenciation pour les 2 types de BdD)
		}
		
		//  BG 13/06/2012 : inutile, rajoute le nom de  la table à la fin fin du nom de l'index ... 
		//                                 PB de longueur des identifiants sous ORACLE (chaine<30).
		//                                 erreur décellée en install Mail_FSE (car installation du rapprochement + pdo.inc.php de l'install)
		//                                  erreur non remontée lors de la config ajout d'activité rapprochement car pdo.inc.php différents !!!!!!!! 
		/*
		# CASE CREATE INDEX  OR CREATE TABLE WITH USER PREFIX		
		
		if(stristr($query,'CREATE '))
		{
			#echo "create found\n";
	
			#CREATE INDEX IX_21_CLT_ID ON TYPE_DOC (CLT_ID)
			if(stristr($query,'CREATE INDEX'))#because diff with index in the table
			{
				#echo "create index\n";
				#CREATE INDEX IX_CLT_ID ON TYPE_ROLE (CLT_ID)
				
				$beginpos = stripos($query, 'CREATE INDEX');
			
				if($beginpos !== false)
				{
					$createindex=substr($query, $beginpos);
					
					$explodequery = explode(" ", $createindex);
			
					if(stristr($explodequery[3],'ON'))				
					{
				
						$tablename=rtrim($explodequery[4]);
					
						$namereplace=trim($explodequery[2]) ;
					
						//$newname=  $namereplace . '_' . $tablename; // BG 13/06/2012 : inutile ??? (finalement on commente toute la condition CREATE ...) 
						$newname=  $namereplace;
					}
					
				}
				
				$query=str_ireplace($namereplace,$newname,$query,$count);
				#echo $query;
			}
			
			
			
			#echo $query . "count: " .$count;
			
		}
		*/
		
		
		# CASE LAST_INSERT_ID
		if(stristr($query,'LAST_INSERT_ID()'))
		{		
			$identity=$this->get_IDENTITY();
			$query=str_ireplace('LAST_INSERT_ID()',$identity,$query);
		}

		if(hasCommand($query,'SHOW TABLES FROM '))	
			$query="SELECT TABLE_NAME FROM USER_TABLES";
			
		# CASE NOW
		if(stristr($query,'NOW()'))		
			$query=str_ireplace('NOW()','SYSDATE',$query);
		
		#CASE UPDATE FLOWCONF SET FCO_URL_WS=
		if((hasCommand($query,'SET ')) && (!hasCommand($query,'UPDATE ')))
		{
			#echo "SET";		
			#SET @REPCLIIHM=CONCAT('[@INI_REP_MOTEUR]',CONCAT('cli[@SEP_CAR]','[@INI_NOM_CLIENT]'))
			
			$debpos=stripos($query,'SET ');
			
			$set=substr($query,$debpos);

			#echo "set: $set\n";
			
			$endpos = stripos($set, ';');
			
			if($endpos !== false)
				$set=substr($set,0,$endpos);
			else
				$set=substr($set,0);
				
			#echo "set: $set\n";
			
			list($var, $value) = explode("=",$set,2); 
			
			#echo $var;
			
			$pos = strpos($var, "@");
			
			#echo $pos;
			
			if ($pos > 0)
			{ 
				$varname=substr($var,$pos);
				
				$varname=rtrim($varname);
				$varname=rtrim($varname,':');
				#echo "varname:" . $varname;
			}
					
			if(hasCommand($value,'FROM '))			
			{
				#SELECT -> SET @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
				
				$debpos=stripos($value,'FROM ');
			
				$var=substr($value,0,$debpos);
				
				$var=trim($var);
				
				#echo "var: $var\n";
				 				
				$value=sprintf("SELECT %s",$value);
							
				$this->SQLQuery($value, 1);
	
				$row = $this->SQLNextRow(1);
				
				#print_r($row);

				$value = $row[$var];
				
			}

			$value=trim($value);
			$value=rtrim($value,')');
			$value=$this->parseSQLVarORACLE($value);
			if($value[0]=="'") $this->tablevariable_array[$varname]=$value;
			else $this->tablevariable_array[$varname]="'".$value."'";

			#print_r($this->tablevariable_array);
				
			$this->Result[$num]=TRUE;
				
			$msg=sprintf("SET: %s: %s\n",$varname,$value);
				
			#echo $msg;
				
			$this->WriteLog($msg);
							
			return $this->Result[$num];
											
			#echo "\nquery after set: $query\n"; 
		}
		
		#CASE MD5
		if(stristr($query,'md5('))
		{					
			#echo "MD5\n";
			#md5('[@INI_PWD_ADMIN]')
			#to HashBytes('MD5',('toto' +'titi' +'tutu'))
			
			$beginpos =$pos = stripos($query, 'md5(');
			
			#print "pos:" . $pos . "\n";
			
			$stringreplace="";
			
			if ($pos > 0)
			{ 
				$md5param=substr($query,$pos+strlen('md5('));
				$endpos = stripos($md5param, ')');
				$md5param=substr($md5param,0,$endpos);
				
				$stringreplace=substr($query,$beginpos,strlen('md5(')+strlen($md5param)+1);
				
				#echo "stringreplace: $stringreplace\n";
			}
			
			#$HashBytes=sprintf("HashBytes('MD5',%s)",$md5param);
			#SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5', 'admin')), 3, 32)
			
			#$HashBytes=sprintf("SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5',%s)), 3, 32)",$md5param);
			#DBMS_CRYPTO.HASH(RAWTOHEX(%s),2)
			#$HashBytes=sprintf("SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5',%s)), 3, 32)",$md5param);
			
			#$HashBytes=sprintf("SUBSTR(RAWTOHEX(DBMS_CRYPTO.HASH(RAWTOHEX(%s),2)), 3, 32)",$md5param);
			$HashBytes=sprintf("SUBSTR(RAWTOHEX(DBMS_CRYPTO.HASH(RAWTOHEX(%s),2)), 1, 32)",$md5param);
			
			$query=str_ireplace($stringreplace,$HashBytes,$query);
			
			#echo "query after replace md5: $query\n";
			 
		}
		
		#CASE BEGIN
		if(hasCommand($query,'BEGIN'))	
		{	
			#echo "\nbegin: $query\n";	
			if(!hasCommand($query,'CREATE OR REPLACE PROCEDURE') && !hasCommand($query,'CREATE OR REPLACE FUNCTION'))
				$query=str_ireplace('BEGIN','',$query);
			/*
			if($this->SQLTransact())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}

		#CASE COMMIT
		if(hasCommand($query,'COMMIT'))
		{
			#echo "\ncommit: \n";		
			$query=str_ireplace('COMMIT','',$query);
			/*
			if($this->SQLCommit())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}
		
		$found_ignore=false;
	
		#CASE INSERT IGNORE			
		if(hasCommand($query,'INSERT IGNORE'))
		{
			$query=str_ireplace('INSERT IGNORE','INSERT',$query);	
			$found_ignore=true;	
		}
					
		#####################################			
		#CASE SELECT,REPLACE,INSERT			
		#####################################			
		
		try 
		{	
			if(!hasCommand($query,'CREATE OR REPLACE PROCEDURE') && !hasCommand($query,'CREATE OR REPLACE FUNCTION'))
			{
			
				//CASE SELECT	
				#if(stristr($query,'SELECT')) case insert and select

				// remplacement des quotes dans le cas des champs vide par IS NULL , IS NOT NULL (Bz 4445 : BG 11/04/2012)
				if(stristr($query,"!=''''"))
					$query=str_ireplace("!=''''"," IS NOT NULL",$query);			
				if(stristr($query,"=''''"))
					$query=str_ireplace("=''''"," IS NULL",$query);	
				
				$pos = stripos(ltrim($query), 'SELECT');
				
				#print "pos:" . $pos . "\n";
				
				if(($pos !== false) && ($pos == 0))
				{
					#echo "case select";
					
					$query=$this->parseSELECTforORACLE($query,$num);
					
					if($query == "")
						return $this->Result[$num];
					else
					{					
						//echo "current table: $this->currenttablename";	
									
						$msg=sprintf("QUERY FOR ORACLE, case SELECT: %s\n",$query);
						
						#echo $msg;
						
						$this->WriteLog($msg);
						
						if($query != "")
							$result = $this->dbh->query($query);
						
						if($result === FALSE)
						{
							 //return error
							 #echo "error\n";
							 $this->Result[$num]=FALSE;
						}
						else
						{
							#echo "return of select\n"; 	
							$this->Result[$num]=$result;
						}
					}		
				}
				else
				{				
					if(hasCommand($query,'REPLACE '))
					{				
						//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
	
						$query=$this->parseREPLACEORACLE($query,$num);
						#$query=str_ireplace('REPLACE ','MERGE ',$query);	
					
						if($query == "")
							return $this->Result[$num];
						else
						{					
							//echo "current table: $this->currenttablename";	
										
							$msg=sprintf("QUERY FOR ORACLE, case REPLACE: %s\n",$query);
							
							#echo $msg;
							
							$this->WriteLog($msg);
							
							if($query != "")
								$result = $this->dbh->query($query);
							
							if($result === FALSE)
							{
								 //return error
								 #echo "error\n";
								 $this->Result[$num]=FALSE;
							}
							else
							{
								//echo "return of select\n"; 	
								$this->Result[$num]=$result;
							}
						}		
					}
					
					//insert, delete
					
					//INSERT CASE
					
				
					if(hasCommand($query,'INSERT'))
					{				
						#  BG 28/03/2012 (bugzilla 3996) : récupère le nom de la table   suite à un pb sous ORACLE 
						$pos_into=stripos(strtolower($query),'into');
						$subquery=substr($query,$pos_into+strlen('into'));
						$explodequery = explode(" ", $subquery);
						$tablename=$explodequery[1];
						
						$this->currenttablename = trim($tablename);
						
						if($this->currenttablename != "SEQUENCES")
						{
							#echo "current table: $tablename";
							
							$query=$this->parseSQLVarORACLE($query);
							
							#echo $query;
							
							//case autonumber
							
							//select field from SEQUENCES with table name
							
							$formatreq = "select FIELD_NAME from SEQUENCES where TABLE_NAME='%s'";
							
							$current_table_name = $this->currenttablename;
							
							// bgz 4796 : Duplication : cas où on trouve des double quotes
							$current_table_name = str_replace('"','',$current_table_name);
							
							$req=sprintf($formatreq,$current_table_name);
							
							#DebugBreak();
									
							$this->SQLQuery($req, 1);
							
			
							$row = $this->SQLNextRow(1);
							
							if($row)
							{
								$var='FIELD_NAME';
						
								#print_r($row);
	
								$fieldname = $row[$var];
							
								//next val
							
								$suffixe="_SEQ";
									
								$this->tablename_seq=$this->currenttablename . $suffixe;
									
								//echo "begin SQLNewID";
									
								$lastid=$this->SQLNewID();
								
								#echo "query: $query\r\n";		
								
								#echo "lastid: $lastid\r\n";		
								
								if($lastid)
								{
									//add field in the request
									
									//$req = "INSERT INTO TEST_IDENT (F1, F2) VALUES  ('997', 'Prologue')"; 
									
									$pos_values = stripos(ltrim($query), 'VALUES');
									
									if(($pos_values !== false))
									{
										$varlist=substr(ltrim($query),0,$pos_values);
									
										$varvalue=substr(ltrim($query),$pos_values+strlen('VALUES'));
									}
									
									#$explodequery = explode("values", strtolower($query));
									#$varlist=$explodequery[0];
									#$varvalue=$explodequery[1];
									
									#case:
									
									#"INSERT INTO COMPTE_ROLE (CPT_ID, ROL_ID, CLT_ID) 
									#SELECT CPT_ID, 2, 3 FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
									#WHERE TROL_NUM=16 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND COMPTE_ROLE.ROL_ID=ROLE.ROL_ID"
									
									#echo "varlist: $varlist";
									
									if($varvalue == "")
									{
										#echo "varvalue empty";
										
										$pos_select = stripos(ltrim($query), 'SELECT');
				
										#print "pos:" . $pos . "\n";
				
										if(($pos_select !== false))
										{
											#$selectstring=substr($query,$pos);
											
											#echo $selectstring;
											
											#$explodequery = explode("select", strtolower($query));
											
											$varlist=substr(ltrim($query),0,$pos_select);
									
											#echo "varlist: $varlist";
											
											$varvalue=substr(ltrim($query),$pos_select+strlen('SELECT'));
											
											#echo "varvalue: $varvalue";
											
											#$varlist=$explodequery[0];
											#$varvalue=$explodequery[1];
											
											$newvarlist=rtrim(rtrim($varlist),')');
									
											$newvarlist=$newvarlist . "," . $fieldname .") SELECT "; 
											
											#echo $varvalue;
											
											#$explodevarvalue = explode("from", strtolower($varvalue));
											
											$pos_from = stripos(ltrim($varvalue), 'FROM ');
											
											if(($pos_from !== false))
											{
												$prefrom=substr(ltrim($varvalue),0,$pos_from);
										
												$suffxfrom=substr(ltrim($varvalue),$pos_from+strlen('FROM '));
									
												$newvarvalue=$prefrom ."," . $lastid. " FROM " . $suffxfrom; 			
											}
											
											#echo $newvarlist;
											
											$query=$newvarlist . $newvarvalue ; 
											
											#echo $query;
											
											#case multi records on a selec, add rownum
											
											#$explodewhere = explode("where", strtolower($query));
											/*
											$pos_where = stripos(ltrim($query), 'WHERE');
											
											if(($pos_where !== false))
											{
												$prewhere=substr(ltrim($query),0,$pos_where);
										
												$suffxwhere=substr(ltrim($query),$pos_where+strlen('WHERE'));
										
												$query=$prewhere . " WHERE ROWNUM=1 AND " . $suffxwhere; 
											}
											*/
											
											/*
											SELECT * FROM (SELECT CPT_ID,  25, 1 
											,33 FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
											WHERE TROL_NUM=5 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND 
											COMPTE_ROLE.ROL_ID=ROLE.ROL_ID group by CPT_ID)
											WHERE  ROWNUM=1
											*/
											
											$pos_insert = stripos($query, 'INSERT INTO ACTIVITE');
											
											if($pos_insert === false)
											{										
												#case != INSERT INTO ACTIVITE
												#INSERT INTO ACTIVITE (TAC_NUM,ACT_LIBEL,ACT_NUMPROC,CLT_ID,ACT_ETAT,ACT_ID)  
												#SELECT * FROM (SELECT  TYPE_ACT.TAC_NUM, TYPE_ACT.TAC_LIBEL,1,CLIENT.CLT_ID,1 ,3 
												#FROM TYPE_ACT,CLIENT WHERE TYPE_ACT.TAC_NUM=18) WHERE ROWNUM=1
												
												$pos_select = stripos($query, 'SELECT');
															
												if(($pos_select !== false))
												{
													$preselect=substr(ltrim($query),0,$pos_select);
											
													$suffxselect=substr(ltrim($query),$pos_select+strlen('SELECT'));
											
													$query=$preselect . " SELECT * FROM (SELECT " . $suffxselect .") WHERE ROWNUM=1"; 
												}
											}
											
											#echo $query;
											
										}
										
									}
									else # bugzilla 4482, BG 17/04/2012 : optimisation de la condition de recherche du "fieldname" dans la requête 
									{
										// on cherche le "fieldname" dans la chaine
										$query_tmp = $query;
										$query_tmp = str_replace(array("\n","\r","\t"), " ", "$query_tmp");
										while (stristr($query_tmp,$fieldname)):
											// on cherche les caracteres de la chaine avant et apres le mot "fieldname"
											$debpos=stripos($query_tmp,$fieldname);
											$subquery1=substr($query_tmp, 0, $debpos + strlen($fieldname));
											$caractere_suiv=$query_tmp[$debpos + strlen($fieldname)];
											$caractere_prec=$query_tmp[$debpos-1];
											$tmp_suiv = strpbrk("$caractere_suiv","( ), ");
											$tmp_prec = strpbrk("$caractere_prec","( ), ");
											$query_tmp = substr($query_tmp,strlen($subquery1));
											// on determine si la chaine "fieldname" est strictement le mot entier sinon on continue à scrtuer le reste de la requête	
											if ($tmp_suiv and $tmp_prec)
											{
												$query = $varlist ." VALUES " . $varvalue;
												$trouve = 1;
												$query_tmp='';
											}
										endwhile;
										// si le mot "fieldname" strictement n'est pas présent dans la requête on rajoute la colonne (auto increment) "fieldname" et la valeur associée
										if ($trouve != 1) 
										{
											$varlist=rtrim(rtrim($varlist),')');
											$varvalue=rtrim(rtrim($varvalue),')');
											$query=$varlist . "," . $fieldname .") VALUES " . $varvalue ."," . $lastid . ")"; 
										}
									}							
								}	
							}
						}
					}
											
					//echo "QUERY\r\n";
					//var_dump($this);
					
					$msg=sprintf("QUERY FOR ORACLE (exec): %s\n",$query);
					
					#echo $msg;
					
					$this->WriteLog($msg);
					
					#DebugBreak();
					
					if($query != "")	
						$result = $this->dbh->exec($query);
				
					 if($result === FALSE)
					 {
						 //return error
						 $this->Result[$num]=$result;
					 }
					 else
					 {
						//echo "count of query: " .  $result;
						$this->TotAff[$num]=$result;
						$this->Result[$num]=TRUE;
						
					}
				}
			}#end not create procedure
			else
			{
				$msg=sprintf("QUERY FOR ORACLE (exec): %s\n",$query);
				
				#echo $msg;
				
				$this->WriteLog($msg);
				
				if($query != "")	
					$result = $this->dbh->exec($query);
			
				 if($result === FALSE)
				 {
					 //return error
					 $this->Result[$num]=$result;
				 }
				 else
				 {
					//echo "count of query: " .  $result;
					$this->TotAff[$num]=$result;
					$this->Result[$num]=TRUE;
					
				}
			}
		}
		
		catch(PDOException $e)
		{
			$msg="PDO EXCEPTION, MESSAGE: " . $e->getMessage() . ", CODE: " . $e->getCode() . "\n";
			
			$result=FALSE;
			$this->Result[$num]=$result;

			$error_message=$e->getMessage();
			
			if($e->getCode()==23000)//Violation de la contrainte UNIQUE KEY
			{

				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				 $this->WriteLog($msg);
				
				// Notez notre utilisation de ===.  == ne fonctionnerait pas comme attendu
				// car la position peut-être la 0-ième (premier) caractère.
				$pos = stripos($error_message, "ORA-00001");
				if ($pos === false) 
				{
					#echo "erreur ORACLE";
				}
				else
				{
					if($found_ignore)//case INSERT IGNORE
					{
						$result=TRUE;
						$this->Result[$num]=$result;
					}	
					else
					{
						$res[0] = SQL_DUP_CHAMP;
						return $res;
					}
				}				
			}
				
			$pos = stripos($error_message, "ORA-01843"); // valable pour la date 0000-00-00 00:00:00 qui n'est pas valide sous Oracle
			$pos1 = stripos($error_message, "ORA-01841"); // not a valid month (timestamp sous ORACLE)
			if ($pos !== false or $pos1 !== false)
			{
				$msg .="*** REPLACE INVALID NULL DATE BY EMPTY DATE ***\n";
				$this->WriteLog($msg);
				
				// on reformate les dates trouvées dans la requete et on refait la requete (correction pour les 2 codes erreurs)
				$query = str_replace("TIMESTAMP ''", "''", $query);
				$query = str_replace('0000-00-00 00:00:00', '', $query);
				$this->Result[$num] = $this->SQLQueryForORACLE($query, $num, $start, $limit);
				return $this->Result[$num];
			}
			
			$pos = stripos($error_message, "ORA-01861"); // Oracle a besoin de TIMESTAMP devant la valeur d'un champ de type DATE
			if ($pos !== false)
			{
				$msg .="*** ADD TIMESTAMP BEFORE DATE VALUE ***\n";
				$this->WriteLog($msg);
				
				// on reformate les dates trouvées dans la requete et on refait la requete
				$rech="/('\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}')/";	# Time Stamp au format 'AAAA-MM-JJ hh:mm:ss'
				$query = preg_replace($rech, 'TIMESTAMP ${1}', $query);
				
				$this->Result[$num] = $this->SQLQueryForORACLE($query, $num, $start, $limit);
				return $this->Result[$num];
			}
			
			$pos = stripos($error_message, "ORA-02443");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-02443: Cannot drop constraint  - nonexistent constraint
				#echo "CATCH ERROR 2443\n"; 
				$this->Result[$num]=TRUE;
			}
			
			$pos = stripos($error_message, "ORA-00942");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-00942: table or view does not exist
				#echo "CATCH ERROR 942\n"; 
				$this->Result[$num]=TRUE;
			}
					
			$pos = stripos($error_message, "ORA-04080");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-04080 trigger does not exist
				#echo "CATCH ERROR 4080\n"; 
				$this->Result[$num]=TRUE;
			}	
			
			$pos = stripos($error_message, "ORA-02289");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-02289: sequence does not exist
				#echo "CATCH ERROR 2289\n"; 
				$this->Result[$num]=TRUE;
			}
	
			$pos = stripos($error_message, "ORA-00955");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-00955: sequence exists / name is already being used
				#echo "CATCH ERROR 955\n"; 
				$this->Result[$num]=TRUE;
			}
			
			#Erreur  : [Oracle][ODBC][Ora]ORA-01408: such column list already indexed
			#(SQLExecDirect[1408] at ext\pdo_odbc\odbc_driver.c:246)
			$pos = stripos($error_message, "ORA-01408");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				$this->Result[$num]=TRUE;
			}
			
			#Erreur  : [Oracle][ODBC][Ora]ORA-02264: name already used by an existing constraint
			#(SQLExecDirect[2264] at ext\pdo_odbc\odbc_driver.c:246)
			# BG 22/03/2012 : spécifique à la config. : ajout d'activité "rapprochement générique" (non repportée dans le pdo.inc.php "Base")
			$pos = stripos($error_message, "ORA-02264");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				$this->Result[$num]=TRUE;
			}	
			
			if(!$this->Result[$num])
				$this->erreur("$query",$num);	
				
		}	
		
		return $this->Result[$num];
	}
		
//////////////////////////////////////////////////
//PDO VERSION
// FOR MSSQL
	function parseREPLACEMSSQL($query,$num)
//////////////////////////////////////////////////
{
	#echo "case replace" . "<br>";
	
	$explodequery = explode(" ", ltrim($query));
	
	#print_r($explodequery);
	
	$tablename=$explodequery[2];
					
	if(stristr($tablename,'(')) # case Tabulation or no space
	{
					
		$pos=stripos($tablename,'(');
						
		$tablename=substr($tablename,0,$pos);
						
	}	
	
	$this->currenttablename = trim($tablename);
	
	#print $this->currenttablename;
	
	$stringparse=$query;
	
	//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
	//TO	
	//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
	//Add Where TAC_NUM=18
	
	$debpos=stripos($stringparse,'(');

	if($debpos !== false)	
	{
		//$varlist
		$varandvalue=substr($stringparse,$debpos);
		
		#echo "varandvalue: $varandvalue";

		$debpos=stripos($varandvalue,"(SELECT"); 
		#CASE
		//REPLACE INTO PAR_GEN   (CLT_ID,PGE_ETAT,TPG_NUM,PGE_LIBEL) 
		//VALUES ((SELECT CLT_ID FROM CLIENT), 1, 20 , 'Configuration Dématérialisation')

		if($debpos !== false)	
		{			
			$explodevarvalue = explode("VALUES", rtrim($varandvalue));

			$varlist=trim($explodevarvalue[0]);
			
			#echo "varlist: $varlist";
						
			$values=trim($explodevarvalue[1]);
				
			$debpos=stripos($values,'(');

			if($debpos !== false)	
				$values=substr($values,$debpos+1);

		
			//if brace in string
			$endpos=strripos($values,')');
			
			if($endpos !== false)	
				$valuelist=substr($values,0,$endpos);

			#echo "values: $values";
			
			$listcar = array("(", ")");				 
			$varlist = str_replace($listcar, "", $varlist);
			
			#echo "varlist: $varlist\n";
			
			$varexplode = explode(",", $varlist);
			
			#print_r($varexplode);
			
			#$valuelist = str_replace($listcar, "", $valuelist);
			//if brace in string
				
			#echo "valuelist: $valuelist\n";
		
			//$valueexplode = explode(",", $valuelist);
			$valueexplode = $this->searchValue($valuelist);
			
			#print_r($valueexplode);
		}
		else
		{	
			$endpos=stripos($varandvalue,')');
			
			if($endpos !== false)	
				$varlist=substr($varandvalue,0,$endpos);

			//$varvalue
			
			$varandvalue=substr($varandvalue,$endpos);
			
			#echo "varandvalue: $varandvalue";
			
			$debpos=stripos($varandvalue,'(');

			if($debpos !== false)	
				$value=substr($varandvalue,$debpos);

			//$endpos=stripos($value,')');
			//if brace in string
			$endpos=strripos($value,')');
			
			if($endpos !== false)	
				$valuelist=substr($value,0,$endpos);

			$listcar = array("(", ")");				 
			$varlist = str_replace($listcar, "", $varlist);
			
			#echo "varlist: $varlist\n";
			
			$varexplode = explode(",", $varlist);
			
			#print_r($varexplode);
			
			#$valuelist = str_replace($listcar, "", $valuelist);
			//if brace in string
			
			$valuelist=ltrim($valuelist,"(");
			$valuelist=rtrim($valuelist,")");
			
			#echo "valuelist: $valuelist\n";
		
			//$valueexplode = explode(",", $valuelist);
			$valueexplode = $this->searchValue($valuelist);
		}
		
		#print_r($valueexplode);
	
		$i=0;
		
		//if brace in string
		/*
		foreach($varexplode as $var)
		{
			$this->tablevariable_replace_array[$var]=$valueexplode[$i];
			
			$i++;
		}
			
		print_r($this->tablevariable_replace_array);
		*/
		
		//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
		$query_update=sprintf("UPDATE %s SET ",$this->currenttablename);
		
		$i=0;
		$stringwithcomma=false;
		$valofstringwithcomma="";
		
		#foreach ($this->tablevariable_replace_array as $var => $value)
		//if brace in string
		foreach ($valueexplode as $value)
		{
			//ctrl if  ',' in string
			
			$val=$value;
			
			//$val=trim($val); // plus necessaire car fait par searchValue
			
			if($stringwithcomma)
			{	
				$valofstringwithcomma.=',';
				$valofstringwithcomma.=$value;
				
				#echo "rest of string with comma: $valofstringwithcomma\n";
				
				if($val[strlen($val)-1] != "'")
					$stringwithcomma=true;
				else
				{
					$stringwithcomma=false;
					$value=$valofstringwithcomma;
					#echo "end of string with comma: $valofstringwithcomma\n";
				}					
			}
			else
			{
				if($val[0] == "'")
				{
					#echo "string\n";
					
					if($val[strlen($val)-1] != "'")
					{
						#echo "string with comma: $val\n";
						$stringwithcomma=true;
						$valofstringwithcomma=$value;
		
					}
					else
						$stringwithcomma=false;
					
				}
			}
			
			//end of ctrl if  ',' in string
			
			if(!$stringwithcomma)
			{
				#$var_value=sprintf("%s = %s,",$var,$value);
				//if brace in string
				$var_value=sprintf("%s = %s,",$varexplode[$i],$value);
				
				#echo "$var_value\n";
			
				if($i == 0)
					$begin_var_value=$var_value;
					
				$query_update.=$var_value; 	
				
				$i++;
			}
		
			
		}
		
		$query_update=rtrim($query_update,",");
		
		$query_update.=" WHERE $begin_var_value";
		
		$query_update=rtrim($query_update,",");
		
		$msg=sprintf("QUERY FOR MSSQL (exec, case replace): %s\n",$query_update);
			
		#echo $msg;
		
		$this->WriteLog($msg);
		
		if($query != "")	
			$result = $this->dbh->exec($query_update);
	
		 if($result === FALSE)
		 {
			 //return error
			 $this->Result[$num]=$result;
		 }
		 else
		 {
			//echo "count of query: " .  $result;
			$this->TotAff[$num]=$result;
			$this->Result[$num]=TRUE;
			
		}
		
		$count=$this->get_COUNT($num);
		
		#echo "count: $count\n";
		
		if($count == 0)
		{
			//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			//TO
			//if @@rowcount = 0
		    //  insert into TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			$count=1;
			$query=str_ireplace("REPLACE","INSERT",$query,$count);	
			$this->SQLQuery($query,$num);
		}
		else
		{
			//case replace OK
			#echo "case replace OK\n";
		}
		
		$this->Result[$num]=TRUE;
		$query="";
		unset($this->tablevariable_replace_array);
																				
	}	
	
	return $query;

}
//////////////////////////////////////////////////
//PDO VERSION
function searchValue($valuelist)
//////////////////////////////////////////////////
{
    $exploded = Array();
    $inQuote = false;
    $deb = 0;

    for($i=0; $i<strlen($valuelist); $i++)
    {
        if($valuelist[$i]=='\'')
            $inQuote = !$inQuote;
        if($valuelist[$i]==',' && $inQuote==false)
        {
            $exploded[] = trim(substr($valuelist, $deb, $i-$deb));
            $deb = $i + 1;
        }
    }
    
    $reste = trim(substr($valuelist, $deb, $i-$deb));
    if(strlen($reste)>0)
        $exploded[] = $reste;

    return $exploded;
}

//////////////////////////////////////////////////
//PDO VERSION
	function parseREPLACEORACLE($query,$num)
//////////////////////////////////////////////////
{
	#echo "case replace" . "<br>";
			
	$explodequery = explode(" ", ltrim($query));
	
	#print_r($explodequery);
	
	$tablename=$explodequery[2];
					
	if(stristr($tablename,'(')) # case Tabulation or no space
	{
					
		$pos=stripos($tablename,'(');
						
		$tablename=substr($tablename,0,$pos);
						
	}	
	
	$this->currenttablename = trim($tablename);
	
	#print $this->currenttablename;
	
	$stringparse=$query;
	
	//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
	//TO	
	//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
	//Add Where TAC_NUM=18

	$debpos=stripos($stringparse,'(');

	if($debpos !== false)	
	{
		//$varlist
		$varandvalue=substr($stringparse,$debpos);
		
		$endpos=stripos($varandvalue,')');
		
		if($endpos !== false)	
			$varlist=substr($varandvalue,0,$endpos);

		//$varvalue
		
		$varandvalue=substr($varandvalue,$endpos);
		
		$debpos=stripos($varandvalue,'(');

		if($debpos !== false)	
			$value=substr($varandvalue,$debpos);

		//$endpos=stripos($value,')');
		//if brace in string
		$endpos=strripos($value,')');
			
		if($endpos !== false)	
			$valuelist=substr($value,0,$endpos);

		#echo "valuelist: $valuelist\n";
	
		$listcar = array("(", ")");				 
		$varlist = str_replace($listcar, "", $varlist);
		
		#echo "varlist: $varlist\n";
		
		$varexplode = explode(",", $varlist);
		
		#print_r($varexplode);
		
		#$valuelist = str_replace($listcar, "", $valuelist);
		//if brace in string
	
		$valuelist=ltrim($valuelist,"(");
		
		$valuelist=rtrim($valuelist,")");
		
		#echo "valuelist: $valuelist\n";
		
		//$valueexplode = explode(",", $valuelist);
			$valueexplode = $this->searchValue($valuelist);		
			
		#print_r($valueexplode);
	
		$i=0;
		
		//if brace in string
		/*
		foreach($varexplode as $var)
		{
			$this->tablevariable_replace_array[$var]=$valueexplode[$i];
			
			$i++;
		}
			
		print_r($this->tablevariable_replace_array);
		*/
		
		//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
		$query_update=sprintf("UPDATE %s SET ",$this->currenttablename);
		
		$i=0;
		$stringwithcomma=false;
		$valofstringwithcomma="";
		
		#foreach ($this->tablevariable_replace_array as $var => $value)
		//if brace in string
		foreach ($valueexplode as $value)
		{
		
			#echo "value: $value\n"; 
			
			//ctrl if  ',' in string
			
			#case select with brace but not a string
			if(($value[strlen($value)-1] == ")") && ($value[0] != "'"))
				$value='('.$value;
				
			//$val=trim($value);  // plus necessaire car fait par searchValue
			
			#echo "val: $val"; 
			
			if($stringwithcomma)
			{	
				$valofstringwithcomma.=',';
				$valofstringwithcomma.=$value;
				
				#echo "rest of string with comma: $valofstringwithcomma\n";
				
				if($val[strlen($val)-1] != "'")
					$stringwithcomma=true;
				else
				{
					$stringwithcomma=false;
					$value=$valofstringwithcomma;
					#echo "end of string with comma: $valofstringwithcomma\n";
				}					
			}
			else
			{
				#echo "val[0]: $val[0],val[1]: $val[1]\n";
				if($val[0] == "'")
				{
					#echo "string: $val\n";
					
					if($val[strlen($val)-1] != "'")
					{
						
						$stringwithcomma=true;
						$valofstringwithcomma=$value;
						#echo "string with comma: $valofstringwithcomma\n";
		
					}
					else
						$stringwithcomma=false;
					
				}
			}
			
			//end of ctrl if  ',' in string
			
			if(!$stringwithcomma)
			{
				#$var_value=sprintf("%s = %s,",$var,$value);
				//if brace in string
				$var_value=sprintf("%s = %s,",$varexplode[$i],$value);
				
				#echo "$var_value\n";
			
				if($i == 0)
					$begin_var_value=$var_value;
					
				$query_update.=$var_value; 	
				
				$i++;
			}
		
			
		}
		
		$query_update=rtrim($query_update,",");
		
		$query_update.=" WHERE $begin_var_value";
		
		$query_update=rtrim($query_update,",");
		
		$msg=sprintf("QUERY FOR ORACLE (exec case replace): %s\n",$query_update);
			
		#echo $msg;
		
		$this->WriteLog($msg);
		
		if($query != "")	
			$result = $this->dbh->exec($query_update);
			
		if($result === FALSE)
		{
			 //return error
			 #echo "error";
			 $this->Result[$num]=$result;
			 
			 $count=0;
		}
		else
		{
			#echo "result: $result";
			//echo "count of query: " .  $result;
			$this->TotAff[$num]=$result;
			$this->Result[$num]=TRUE;
			
			$count=$result;
		}	
			
		//$count=$this->get_COUNT($num);
		
		#echo "count: $count\n";
		
		if($count == 0)
		{
			//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			//TO
			//if @@rowcount = 0
		    //  insert into TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			$count=1;
			$query=str_ireplace("REPLACE","INSERT",$query,$count);	
			$this->SQLQuery($query,$num);
		}
		else
		{
			//case replace OK
			#echo "case replace OK\n";
		}
		
		$this->Result[$num]=TRUE;
		$query="";
		unset($this->tablevariable_replace_array);
																				
	}	
	
	return $query;

}

//////////////////////////////////////////////////
//PDO VERSION
	function parseSELECTforORACLE($query,$num)
//////////////////////////////////////////////////
{
	#echo "case select" . "<br>";
	
	#TODO FOR SELECT BUT NOT USED FOR INSTALL
	#$explodequery = explode(" ", $query);
		
	#$this->currenttablename=$explodequery[3];
	
	#case LIKE BINARY
	if(stristr($query,'CPT_LOGIN LIKE BINARY '))	
		$query=str_ireplace('CPT_LOGIN LIKE BINARY ','CPT_LOGIN LIKE ',$query);

	#case LIKE
	if(hasCommand($query,'LIKE '))	
	{
		$debpos=stripos($query,'LIKE ');
		
		$subquery=substr($query,$debpos+strlen('LIKE '));
			
		$subquery=ltrim($subquery);
		
		#echo "subquery: $subquery";
		
		//case inverted comma with like
		$pos=stripos($subquery,'"');
	
		if($pos === 0)
		{
			#echo "find inverted comma";
			$newsubquery=$subquery;
			$newsubquery[0]="'";
			$subquery1=substr($subquery,1);
	
			$pos=stripos($subquery1,'"');
	
			if($pos !== false)
				$newsubquery[$pos+1]="'";//+1 because subquery1
			
			#echo "$subquery,$newsubquery";
			$query=str_ireplace($subquery,$newsubquery,$query);
			#echo $query;
		}
	}
	
	# CASE SQL_CALC_FOUND_ROWS		
	if(stristr($query,'SQL_CALC_FOUND_ROWS'))
		$query=str_ireplace('SQL_CALC_FOUND_ROWS','',$query);

	# CASE FOUND_ROWS()		
	if(stristr($query,'FOUND_ROWS()'))
	{
		#test SQL%ROWCOUNT KO
		$currentpdostatement= $this->Result[$num];
		
		if(is_object($currentpdostatement))
			//PDO rowcount
			$rowcount=$currentpdostatement->rowCount();
		
		$query=str_ireplace('FOUND_ROWS()',$rowcount,$query);
	}
				
	$stringparse=ltrim($query);
	
	if(stristr($stringparse,'@') !== false)
	{ 		
		$debpos=strpos($stringparse,'@');
		
		$charafter=$stringparse[$debpos+1];

		#if($charafter != '@')//case @@IDENTITY
		#{	
			$beforevar=substr($stringparse,0,$debpos);
		
			//case, SELECT @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
			// but 
			//INSERT INTO COMPTE_ROLE (CPT_ID, ROL_ID, CLT_ID) 
			//SELECT CPT_ID, @ID_ROLE, @ID_CLIENT FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
			//WHERE TROL_NUM=16 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND COMPTE_ROLE.ROL_ID=ROLE.ROL_ID";
			
			#echo "case select,beforevar: $beforevar\n";
				
			$debpos=stripos($beforevar,'SELECT');
			
			#echo "debpos: $debpos\n";
			
			if(($debpos == 0) || ($debpos == 1))
			{
				$betweenselectandvar=substr($beforevar,$debpos+strlen('SELECT'));
				
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
			
				$betweenselectandvar=ltrim($betweenselectandvar);
		
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
				
				if($betweenselectandvar == "")
				{
					#echo "no space\n";
					#echo "stringparse: $stringparse\n";
					
					$count=1;
					
					$stringparse=str_ireplace("SELECT","SET",$stringparse,$count);
					
					#echo "stringparse: $stringparse\n";
					$this->SQLQuery($stringparse);	
					
					$this->Result[$num]=TRUE;
					
					$query="";					
													
				}
				else
				{
					
					#echo "case select first position but parsevar inside \n";
  					//diff SELECT @ID_PART_TOUS:= 
					//SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
					$query=$this->parseSQLVarORACLE($query);
				}				
			}
			else
			{
				#echo "parseSQLVar\n";
				$query=$this->parseSQLVarORACLE($query);
			}
		#}
	}
	
	return $query;
}


//////////////////////////////////////////////////
//PDO VERSION
// FOR MSSQL
	function parseSELECTMSSQL($query,$num)
//////////////////////////////////////////////////
{
	#echo "case select" . "<br>";
	
	#case LIKE BINARY
	if(stristr($query,'CPT_LOGIN LIKE BINARY '))	
		$query=str_ireplace('CPT_LOGIN LIKE BINARY ','CPT_LOGIN LIKE ',$query);

	#case LIKE
	if(hasCommand($query,'LIKE '))	
	{
		$debpos=stripos($query,'LIKE ');
		
		$subquery=substr($query,$debpos+strlen('LIKE '));
			
		$subquery=ltrim($subquery);
		
		#echo "subquery: $subquery";
		
		//case inverted comma with like
		$pos=stripos($subquery,'"');
	
		if($pos === 0)
		{
			#echo "find inverted comma";
			$newsubquery=$subquery;
			$newsubquery[0]="'";
			$subquery1=substr($subquery,1);
	
			$pos=stripos($subquery1,'"');
	
			if($pos != -1)
				$newsubquery[$pos+1]="'";//+1 because subquery1
			
			#echo "$subquery,$newsubquery";
			$query=str_ireplace($subquery,$newsubquery,$query);
			#echo $query;
		}
	}
	
	# CASE SQL_CALC_FOUND_ROWS		
	if(stristr($query,'SQL_CALC_FOUND_ROWS'))
		$query=str_ireplace('SQL_CALC_FOUND_ROWS','',$query);

	# CASE FOUND_ROWS()		
	if(stristr($query,'FOUND_ROWS()'))
		$query=str_ireplace('FOUND_ROWS()','@@ROWCOUNT',$query);
				
	$stringparse=ltrim($query);
	
	if(stristr($stringparse,'@') !== false)
	{ 		
		$debpos=strpos($stringparse,'@');
		
		$charafter=$stringparse[$debpos+1];

		if($charafter != '@')//case @@IDENTITY
		{	
			$beforevar=substr($stringparse,0,$debpos);
		
			//case, SELECT @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
			// but 
			//INSERT INTO COMPTE_ROLE (CPT_ID, ROL_ID, CLT_ID) 
			//SELECT CPT_ID, @ID_ROLE, @ID_CLIENT FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
			//WHERE TROL_NUM=16 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND COMPTE_ROLE.ROL_ID=ROLE.ROL_ID";
			
			#echo "case select,beforevar: $beforevar\n";
				
			$debpos=stripos($beforevar,'SELECT');
			
			#echo "debpos: $debpos\n";
			
			if(($debpos == 0) || ($debpos == 1))
			{
				$betweenselectandvar=substr($beforevar,$debpos+strlen('SELECT'));
				
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
			
				$betweenselectandvar=ltrim($betweenselectandvar);
		
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
				
				if($betweenselectandvar == "")
				{
					#echo "no space\n";
					#echo "stringparse: $stringparse\n";
					
					$count=1;
					
					$stringparse=str_ireplace("SELECT","SET",$stringparse,$count);
					
					#echo "stringparse: $stringparse\n";
					$this->SQLQuery($stringparse);	
					
					$this->Result[$num]=TRUE;
					
					$query="";					
													
				}
				else
				{
					
					#echo "case selct first position but parsevar inside \n";
  					//diff SELECT @ID_PART_TOUS:= 
					//SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
					$query=$this->parseSQLVar($query);
				}				
			}
			else
			{
				#echo "parseSQLVar\n";
				$query=$this->parseSQLVar($query);
			}
		}
	}
	
	return $query;
}

//////////////////////////////////////////////////
//PDO VERSION
	function parseSQLVar($query)
//////////////////////////////////////////////////
{
	# remplace les tab, saut de ligne par des espaces
	$query = str_replace(array("\n","\r","\t"), " ", $query);
		
	$stringparse=$query;
	
	#echo "parseSQLVarMSSQL\n";
	
	while(stristr($stringparse,'@') !== false)
	{			
		$debpos=strpos($stringparse,'@');
		
		#SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
		#echo "debpos: $debpos";

		$charbefore=$stringparse[$debpos-1];
		$charafter=$stringparse[$debpos+1];
		
		#echo "stringparse: $char";
		
		if((($charbefore == ',') || ($charbefore == ' ') || ($charbefore == '') || ($charbefore == '(') || ($charbefore == '=')) && ($charafter != '@'))//case @@IDENTITY
		{
			$var=substr($stringparse,$debpos);

			#echo "var: $var\n";

			$endpos = strpos($var, ',');
			
			if($endpos !== false)
			{
				$var=substr($var,0,$endpos);
				
				$endpos = strpos($var, ' ');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);//case @ID_CLIENT FROM ROLE,	
			}
			else
			{
				$endpos = strpos($var, ')');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);
				else
				{
					$endpos = strpos($var, ' ');
					if($endpos !== false)
						$var=substr($var,0,$endpos);
					else	
						$var=substr($var,0);
				}
			}
					
			#print_r($this->tablevariable_array);
			
			$pluspos = strpos($var, '+');#case CONCAT
			
			if($pluspos !== false)
				$var=substr($var,0,$pluspos);
			
			$varvalue=$this->tablevariable_array[$var];
		
			#echo "varvalue: $var: $varvalue\n";
			
			$msg="PARSESQLVAR FOR MSSQL, replace, var: $var, varvalue: $varvalue\n";
			
			$this->WriteLog($msg);
			
			$query=str_ireplace($var,$varvalue,$query);
			$stringparse=str_ireplace($var,$varvalue,$stringparse);
			
			#echo "query after replace: $query\n";
			
		}
		else
		{
			$stringparse=substr($stringparse,$debpos+1);
		}
	}
	
	return $query;
}		


//////////////////////////////////////////////////
//PDO VERSION
	function parseSQLVarORACLE($query)
//////////////////////////////////////////////////
{
	# remplace les tab, saut de ligne par des espaces
	$query = str_replace(array("\n","\r","\t"), " ", $query);
		
	$stringparse=$query;
	
	#echo "parseSQLVar\n";
	
	while(stristr($stringparse,'@') !== false)
	{			
		$debpos=strpos($stringparse,'@');
		
		#SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
		#echo "debpos: $debpos";

		$charbefore=$stringparse[$debpos-1];
		$charafter=$stringparse[$debpos+1];
		
		#echo "stringparse: $char";
		
		if((($charbefore == ',') || ($charbefore == ' ') || ($charbefore == '') || ($charbefore == '(') || ($charbefore == '=')) && ($charafter != '@'))//case @@IDENTITY
		{
			$var=substr($stringparse,$debpos);

			#echo "var: $var\n";

			$endpos = strpos($var, ',');
			
			if($endpos !== false)
			{
				$var=substr($var,0,$endpos);
				
				$endpos = strpos($var, ' ');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);//case @ID_CLIENT FROM ROLE,	
			}
			else
			{
				$endpos = strpos($var, ')');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);
				else
				{
					$endpos = strpos($var, ' ');
					if($endpos !== false)
						$var=substr($var,0,$endpos);
					else	
						$var=substr($var,0);
				}
			}
					
			#print_r($this->tablevariable_array);
			
			$pipepos = strpos($var, '||');#case CONCAT
			
			if($pipepos !== false)
				$var=substr($var,0,$pipepos);
			
			$varvalue=$this->tablevariable_array[$var];
		
			#echo "varvalue: $var: $varvalue\n";
			
			$msg="PARSESQLVARORACLE, replace, var: $var, varvalue: $varvalue\n";
			
			$this->WriteLog($msg);
			
			$query=str_ireplace($var,$varvalue,$query);
			$stringparse=str_ireplace($var,$varvalue,$stringparse);
			
			#echo "query after replace: $query\n";
			
		}
		else
		{
			$stringparse=substr($stringparse,$debpos+1);
		}
	}
	
	return $query;
}

//////////////////////////////////////////////////
//PDO VERSION
	function parseConcatORACLE($query)
//////////////////////////////////////////////////
	{
		# remplace les "sauts", "tab" et "retour chariot" par des "espaces"
		$query = str_replace(array("\n","\r","\t"), " ", "$query");
		# init variable
		$result="";	
		#caracteres de liaison "concaténation" de chaines;
		# RQ : différenciation ORACLE et MSSQL effectuée à l'origine et testée (OK) pour les 2 types de BdD
		#         condition laissée pour le jour où on fusionnera les 2 parseConcat ORACLE et MSSQL
		#         il suffira de renommer la fonction parseConcatORACLE et de commenter ou supprimer la fonction parseConcatMSSQL (et parseConcatParam)
		if(!ORACLE) 
		{
			$caractere="+";
		}
		else
		{
			$caractere="||";
		}		
		# compte nombre de "concat" dans la chaine
		$count=substr_count(strtolower($query), 'concat'); 
		
		# scrute la requête si "concat"
		$temp=1;
		while ($temp !=0)
		{
			# position du 1er "concat" dans la chaine
			$pos = stripos($query, 'concat');
			if ($pos > 0)
			{ 
				#requete AVANT et A PARTIR DU "concat"
				$beginquery=substr($query,0,$pos);
				$subquery=substr($query,$pos);
			}
			
			# requête finale partielle (on conserve jusqu'au "concat")
			$result.=$beginquery;//SET @REPCLIIHM=	
			
			# concat : position = 0
			$pos = stripos(strtolower($subquery), 'concat');
			
			# variable à concaténer et reste de la requête
			$subquery=substr($subquery,strlen('concat'));
			$pos1 = stripos(strtolower($subquery), ')');
			$beginsubquery=substr($subquery,1,$pos1-1);
			$beginsubquery=str_replace(',',$caractere,$beginsubquery);
			# particularité "concat" imbriqués
			$beginsubquery=str_replace(array('CONCAT(','concat('),'',$beginsubquery);
			$subquery=substr($subquery,$pos1+1);
			$subqueryrest=$subquery;
			if($subqueryrest[0] != ',')
			{
				$pos2 = stripos($subqueryrest, ','); // 1ere virgule = fin du concat
				$subqueryrest = substr($subqueryrest,$pos2,strlen($subqueryrest));
			}
			$result.=$beginsubquery;
			
			$query = $subquery;
			$temp = substr_count(strtolower($query), 'concat');
		}
		
		# compte nombre de ( et ) dans la requete // partie un peu "bricolage" en attendant  de trouver mieux //
		$countPar1fin=substr_count(strtolower($result), '('); 
		$countPar2fin=substr_count(strtolower($result), ')');
		# élimination des reliquats de "concat" imbriqués (cas particulier)
		if($countPar1fin == 0 && $countPar2fin != 0) 
			$result=str_replace(')','',$result);
		
		# resultat final
		$result.=$subqueryrest;
			
		return $result;
	}
	
//////////////////////////////////////////////////
//PDO VERSION
	function parseConcatMSSQL($query)
//////////////////////////////////////////////////
	{
		# remplace les "sauts", "tab" et "retour chariot" par des "espaces"
		$query = str_replace(array("\n","\r","\t"), " ", "$query");
		# init variable
		$result="";	
		#caracteres de liaison "concaténation" de chaines;
		# RQ : différenciation ORACLE et MSSQL effectuée à l'origine et testée (OK) pour les 2 types de BdD
		#         condition laissée pour le jour où on fusionnera les 2 parseConcat ORACLE et MSSQL
		#         il suffira de renommer la fonction parseConcatORACLE et de commenter ou supprimer la fonction parseConcatMSSQL (et parseConcatParam)
		if(!ORACLE) 
		{
			$caractere="+";
		}
		else
		{
			$caractere="||";
		}		
		# compte nombre de "concat" dans la chaine
		$count=substr_count(strtolower($query), 'concat'); 
		
		# scrute la requête si "concat"
		$temp=1;
		while ($temp !=0)
		{
			# position du 1er "concat" dans la chaine
			$pos = stripos($query, 'concat');
			if ($pos > 0)
			{ 
				#requete AVANT et A PARTIR DU "concat"
				$beginquery=substr($query,0,$pos);
				$subquery=substr($query,$pos);
			}
			
			# requête finale partielle (on conserve jusqu'au "concat")
			$result.=$beginquery;//SET @REPCLIIHM=	
			
			# concat : position = 0
			$pos = stripos(strtolower($subquery), 'concat');
			
			# variable à concaténer et reste de la requête
			$subquery=substr($subquery,strlen('concat'));
			$pos1 = stripos(strtolower($subquery), ')');
			$beginsubquery=substr($subquery,1,$pos1-1);
			$beginsubquery=str_replace(',',$caractere,$beginsubquery);
			# particularité "concat" imbriqués
			$beginsubquery=str_replace(array('CONCAT(','concat('),'',$beginsubquery);
			$subquery=substr($subquery,$pos1+1);
			$subqueryrest=$subquery;
			if($subqueryrest[0] != ',')
			{
				$pos2 = stripos($subqueryrest, ','); // 1ere virgule = fin du concat
				$subqueryrest = substr($subqueryrest,$pos2,strlen($subqueryrest));
			}
			$result.=$beginsubquery;
			
			$query = $subquery;
			$temp = substr_count(strtolower($query), 'concat');
		}

		# compte nombre de ( et ) dans la requete // partie un peu "bricolage" en attendant  de trouver mieux //
		$countPar1fin=substr_count(strtolower($result), '('); 
		$countPar2fin=substr_count(strtolower($result), ')');
		# élimination des reliquats de "concat" imbriqués (cas particulier)
		if($countPar1fin == 0 && $countPar2fin != 0) 
			$result=str_replace(')','',$result);
			
		# resultat final
		$result.=$subqueryrest;
			
		return $result;
	}
	
//////////////////////////////////////////////////
//PDO VERSION
	function ParseConcatParam($param)
//////////////////////////////////////////////////
	{
		// BG 19/04/2012 : pour info si fusion des 2 parseConcatXXXX : mis en variable du caractere de concaténation ORACLE et MSSQL
		if(!ORACLE) 
		{
			$caractere="+";
		}
		else
		{
			$caractere="||";
		}	
		
		#echo "ParseConcatParam: $param\n";
		
		$result=$param;
	
		if($result)
		{
			$result=str_replace('(','',$result);
			
			$count=substr_count($result, ',');
			
			#echo "count: $count\n";
						
			if($count > 1)
			{
				 		 
				$pos = strpos(rtrim($result), ',');
				
				#echo "pos: " . $pos;
				 		
				if ($pos !== false)
				{
					#$result[$pos]=' ';#sample: ('c:\flow\fmoteur\','bin'),
					if ($pos != 0)   #,'log'),	
					{						
						#echo "add plus in parseconcatparam\n";
						$result[$pos]=$caractere;
					}
					else
						$result[$pos]=' ';
				}
			}	
			else		
				$result=str_replace(',','',$result);
			
			$result=str_replace(')','',$result);
			
			$posquote = strpos($result, "'");
			
			if($posquote === false)
			{
				$result=rtrim($result);
				
				#echo "result for rtrim: $result\n";
			}
		}
		
		#echo "ParseConcatParam, result: $result\n";
		return $result;
	}	

	
//////////////////////////////////////////////////
//PDO VERSION
	function SQLTotAff($num)
//////////////////////////////////////////////////
	{
		return $this->TotAff[$num];
	}

//////////////////////////////////////////////////
//NOT USED
	function SQLNumRows($num = '0')
//////////////////////////////////////////////////
	{
		$count = @mysql_num_rows($this->Result[$num]);
		if ($count == -1)
		{
			$this->erreur("Erreur de nombre de ligne");
			return false;
		}
		return $count;
	}

//////////////////////////////////////////////////
//PDO VERSION
	function SQLNumFields($num = '0')
//////////////////////////////////////////////////	
	{
		if ($num < 0 || $num > $this->NumReq) return false;
		//$count = @mysql_num_fields($this->Result[$num]);
		
		//PDOStatement::columnCount
		$currentpdostatement= $this->Result[$num];
		
		$count=$currentpdostatement->columnCount();
		
		if ($count == -1)
		{
			$this->erreur("Erreur de nombre de colonne");
			return false;
		}
		
		return $count;
	}

//////////////////////////////////////////////////
//PDO VERSION
	function SQLFieldName($i = '1', $num = '0')
//////////////////////////////////////////////////
	{
		//return mysql_field_name($this->Result[$num],$i);
		//$currentpdostatement= $this->Result[$num];
		
		//not supported for oracle odbc
		//$meta = $currentpdostatement->getColumnMeta($i);
		//var_dump($meta);
		//return $meta['name'];
		
		return $this->GetFieldNameFromCurrentTable ($i) ;
		
	}
	  
//////////////////////////////////////////////////
//PDO VERSION
	function SQLFieldType($i='1', $num='0')
//////////////////////////////////////////////////
	{
		//return mysql_field_type($this->Result[$num],$i);
		
		return $this->GetFieldTypeFromCurrentTable ($i) ;
	}
	  
//////////////////////////////////////////////////
//PDO VERSION
	function SQLFieldFlags($i='1', $num='0')
//////////////////////////////////////////////////
	{
		//return mysql_field_flags($this->Result[$num],$i);
		// TO DO
	}

/////////////////////////////////////////////////////
//PDO VERSION
	function SQLNextRow($num='0')
/////////////////////////////////////////////////////	
	{
		//$this->Row = @mysql_fetch_array($this->Result[$num]);
		
		#var_dump($this->Result[$num]);
		
		$msg="SQLNEXTROW NUM: $num\n";
	
		$this->WriteLog($msg);
		
		if($this->Result[$num] != NULL)
		{
			#if(is_object($this->Result[$num]))
			#	$this->Row = $this->Result[$num]->fetch(PDO::FETCH_ASSOC); 
			if(is_object($this->Result[$num]))
				$this->Row = $this->Result[$num]->fetch(PDO::FETCH_BOTH); 
			else
				$this->Row=NULL;
			
		}
		else
		{
			#echo "Result is NULL\n";
			$msg="*** SQLNEXTROW, Result is NULL ***\n";
	
			$this->WriteLog($msg);
			
			$this->Row=NULL;
		}	
		
		//$fieldNumber = $this->SQLNumFields($num);  
		
		if (is_array($this->Row))
		{
			
			//echo "SQLNextRow: Row is_array";
			
			foreach($this->Row as $key => $strWork)
			{
				if (is_string($strWork))
				{
					$utf8Decode = utf8_decode($strWork);
					if (($utf8Decode != $strWork) && (utf8_encode($utf8Decode) == $strWork))
					{
						$this->Row[$key] = $strWork;
					}
					else
					{
						$this->Row[$key] = utf8_encode($strWork);
					} 
				}
			}
		}
		
		return $this->Row;
	}

/////////////////////////////////////////////////////
//PDO VERSION
	function SQLLoadLob($num, $query)
/////////////////////////////////////////////////////
	{
		if ($num < 0 || $num > $this->NumReq)
		{
			$this->erreur("Numéro de statement incorrect");
			return false;
		}
		
		//$this->Result[$num] = @mysql_query($query, $this->ConnectionID);
				
		$this->SQLQuery($query, $num);
				
		if(!$this->Result[$num])
		{
			$this->erreur("$query");
			return false;
		}

		$currentpdostatement= $this->Result[$num];
		
		if(is_object($currentpdostatement))
		{
			//echo "loadlob is_object";
			$res = $currentpdostatement->fetch(PDO::FETCH_BOTH); 
		}
		else	
			$res[0]="";
			
		//$res = mysql_fetch_array($this->Result[$num]);

		//@mysql_free_result($this->Result[$num]);

		return $res[0];
	}

/////////////////////////////////////////////////////////
//PDO VERSION
	function SQLFermeQuery($num='0')
/////////////////////////////////////////////////////////	
	{
		/*
		if ($num < 0 || $num > $this->NumReq) return false;
		if (!@mysql_free_result($this->Result[$num])) return false;
		else return true;
		*/
		
		if($this->Result[$num])
		{
			$this->Result[$num]=null;
		}
		
	}

	/**
	 * Se positionne en mode AutoCommit Off
	 * @return boolean succès de l'opération
	 */
/////////////////////////////////////////////////////////
//PDO VERSION
	function SQLTransact()
/////////////////////////////////////////////////////////
	{
		//$res = @mysql_query("BEGIN", $this->ConnectionID);
		echo "** SQLTransact **\r\n";
		$res = $this->dbh->beginTransaction();
		
		if(!$res)
		{
			$this->erreur("Erreur transaction");
			return false;
		}
		
		return true;
	}

	/**
	 * Valide une transaction
	 * @return boolean succès de l'opération
	 */
/////////////////////////////////////////////////////////	
//PDO VERSION
	function SQLCommit()
/////////////////////////////////////////////////////////	
	{
		//$res = @mysql_query("COMMIT", $this->ConnectionID);
		echo "** SQLCommit **\r\n";
		
		$res = $this->dbh->commit();
		
		if(!$res)
		{
			$this->erreur("Erreur commit");
			return false;
		}
		
		return true;
	}
	
	/**
	 * Annule la dernière transaction
	 * @return boolean succès de l'op�ration
	 */
/////////////////////////////////////////////////////////		
//PDO VERSION
	function SQLRollBack()
/////////////////////////////////////////////////////////		
	{
		//$res = @mysql_query("ROLLBACK", $this->ConnectionID);
		$res = $this->dbh->rollBack();
		
		if(!$res)
		{
			$this->erreur("Erreur RollBack");
			return false;
		}
		return true;
	}

	/**
	 * Retourne la derniere clé (autoincrement) générée dans la connexion courante
	 * @return boolean/string false en cas d'échec, la valeur de la clé sinon
	 */	
		
/////////////////////////////////////////////////////////		
//PDO VERSION
	function SQLNewID()
/////////////////////////////////////////////////////////			
	{
		$this->lastid=$this->get_seqID();
		
		return $this->lastid;
	}

/////////////////////////////////////////////////////////		
//PDO VERSION
	function SQLLastCle()
/////////////////////////////////////////////////////////			
	{
		//$res = @mysql_insert_id();
		//$res=$this->lastid;
		return $this->get_IDENTITY();
/*		
		if(!$res)
		{
			$this->erreur("Erreur LastCle");
			return false;
		}
		
		return $res;
*/		
	}
/////////////////////////////////////////////////////////			   
//PDO VERSION
	function SQLlastID()
/////////////////////////////////////////////////////////				
    {
		//return mysql_insert_id();
		//return $this->lastid;
		return $this->get_IDENTITY();
		
    }

/////////////////////////////////////////////////////////	
//PDO VERSION		
//ExecCreateTrigger($query);	
	function	ExecCreateTrigger($query)
/////////////////////////////////////////////////////////			
	{
		$result=FALSE;
		
		if($query != "")	
			$result = $this->dbh->exec($query);
		
		$this->Result[0]=$result;
		
		return $this->Result[0];
	}

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function get_IDENTITY()
/////////////////////////////////////////////////////////			
{
 
	if(!ORACLE)
	{             
		$req ="SELECT @@IDENTITY AS SEQID";	           
		
		$this->SQLQuery($req, 1);
	
		$row = $this->SQLNextRow(1);

		$SeqID = $row['SEQID'];
	}
	else
	{
		$SeqID=$this->lastid;
	}	
	
	#echo "req: $req<br>";
	
	return $SeqID;
}	

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function get_COUNT($num=0)
/////////////////////////////////////////////////////////			
{
	$CountRecord=0;
	
	$msg="GET_COUNT, NUM: $num\n";
		
	$this->WriteLog($msg);

	if(!ORACLE)
	{             
		$req ="SELECT @@ROWCOUNT AS COUNTRECORD";	           
		
		$this->SQLQuery($req, 1);
		
		$row = $this->SQLNextRow(1);

		$CountRecord = $row['COUNTRECORD'];
	}
	else
	{
		#NOT USED; USED the return of exec
		#echo "ORACLE";
		
		#$currentpdostatement= $this->Result[$num];
		$currentpdostatement= $this->TotAff[$num];
		
		if(is_object($currentpdostatement))
		{
			//PDO rowcount
			echo "rowCount";
			$CountRecord=$currentpdostatement->rowCount();
		}
	
		$req ="SELECT SQL%ROWCOUNT AS COUNTRECORD";	           
		
		$this->SQLQuery($req, 1);
		
		$row = $this->SQLNextRow(1);

		$CountRecord = $row['COUNTRECORD'];
	
	}	
	
	#echo "req: $req<br>";
	
	$msg="GET_COUNT: $CountRecord\n";
	
	$this->WriteLog($msg);	
	
	return $CountRecord;
}	

/////////////////////////////////////////////////////////	
//ADD FOR PDO VERSION		
	function Quote($string)
/////////////////////////////////////////////////////////			
{
	$stringafterquote=$this->dbh->quote($string);
	
	$msg="QUOTE: $string, After quote: $stringafterquote\n";
		
	$this->WriteLog($msg);
	
	//TO DO: for mssql quote return a empty string
	#return $stringafterquote;
	return $string;
}

/////////////////////////////////////////////////////////			
//PDO VERSION
	function SQLErreur()
/////////////////////////////////////////////////////////				
	{
		//return " Erreur mysql n°:".mysql_errno()." libellé: ".mysql_error();
		
		$array_error=$this->dbh->errorInfo();
		
		return " Erreur sql n°:". $this->dbh->errorCode() ." libellé: ". $array_error[2];
		
	}

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function get_seqID()
/////////////////////////////////////////////////////////			
{
// get a new ID from sequence

	if(!ORACLE)
	{
		$SeqID = $this->get_LastID();

		$SeqID++;
		
		//echo "SeqID: " . $SeqID;

		while(!$this->set_seqID($SeqID))
		{ // while not valid SeqID
			echo "not valid seqID";
			$SeqID++;
			echo "seqID: $SeqID";
		}
	}
	else
	{
		//case ORACLE
		
		$req ="SELECT " . $this->tablename_seq . ".NEXTVAL from dual";
		
		//echo "req: $req<br>";
		
		$this->SQLQuery($req, 1);
		
		//echo "SQLNextRow";
		
		$row = $this->SQLNextRow(1);

		$SeqID = $row['NEXTVAL'];
	}

	//echo "seqID: $SeqID";

	return $SeqID;
}

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function get_LastID()
/////////////////////////////////////////////////////////			
{
// Get top SeqID 
 
	if(!ORACLE)
	{             
		$req ="SELECT TOP 1 * FROM $this->tablename_seq order by SeqID DESC";	           
	}
	else
	{
		$req ="SELECT * FROM $this->tablename_seq WHERE ROWNUM < 2 order by SeqID DESC "; // Get Last Value		
	}	
	
	//echo "req: $req<br>";
	
	$this->SQLQuery($req, 1);
	
	$row = $this->SQLNextRow(1);

	$SeqID = $row['SEQID'];

	return $SeqID;
}	

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function set_seqID($SeqID=0)
/////////////////////////////////////////////////////////	

// insert rows into table
{ 

	$req ="INSERT INTO $this->tablename_seq VALUES(" . $SeqID . ")";           
	
	//echo "req: $req<br>";
	
	return $this->SQLQuery($req, 1);
	
}

/////////////////////////////////////////////////////////			
//PDO VERSION
	function erreur($fonction)
/////////////////////////////////////////////////////////			
	
	{
		global $page_courante;
		
		if(INSTALL_DB)
			$res = $fp = @fopen("setup_sql_flow.log", "a");
		else	
			$res = $fp = @fopen(PATH_LOG_SQL."flowmanager_sql_site.log", "a");
				
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Le chemin d\'acc�s au fichier de log SQL n\'existe pas, \\nou les permissions ne sont pas accord�es au serveur pour ecrire dans le r�pertoire.\"); 
					</script>";
			return false;
		}
		
		if($this->dbh)
		{
			$array_error=$this->dbh->errorInfo();
	
			$msg_err = 	"ERR_SQL**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Requete : $fonction\r\n".
					//"Erreur  : ".mysql_error()."\r\n";
					"Erreur  : ". $array_error[2] ."\r\n";
		}
		else
		{
			$msg_err = 	"ERR_SQL**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Erreur : $fonction\r\n";
		}
		
					
		$res = @fputs($fp, $msg_err);
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Une erreur SQL s\'est produite, \\nmais le serveur Web ne dispose pas des droits n�cessaire pour �crire dans le fichier des logs.\");
					</script>";
			return false;
		}
		@fclose($fp);
	}

/////////////////////////////////////////////////////////			
//PDO VERSION
		function GetFieldNameFromCurrentTable ($index) 
/////////////////////////////////////////////////////////			
{
	$i=0;
	$nom="";
	
	//echo "GetFieldNameFromTable: " . $this->currenttablename;
	
	$tableName=$this->currenttablename; #TODO FOR SELECT BUT NOT USED FOR INSTALL
	
	try
	{
		$query="select column_name from user_tab_columns where table_name = '" . $tableName . "'";
		$recordset = $this->dbh->query($query);
		$fields = $recordset->fetchAll(PDO::FETCH_ASSOC);
				
		foreach ($fields as $field)
		{
			//echo "foreach getfieldname";
			
			//var_dump($field);
			
			if($i == $index)
				$nom = $field['COLUMN_NAME'];
			
			$i++;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
		
		$this->erreur("$query");
	}

	return $nom;
}

/////////////////////////////////////////////////////////			
//PDO VERSION
		function GetFieldTypeFromCurrentTable ($index) 
/////////////////////////////////////////////////////////			
{
	$i=0;
	$type="";
	
	//echo "GetFieldNameFromTable: " . $this->currenttablename;
	
	$tableName=$this->currenttablename;#TODO FOR SELECT BUT NOT USED FOR INSTALL
	
	try
	{
		$query="select data_type from user_tab_columns where table_name = '" . $tableName . "'";
		$recordset = $this->dbh->query($query);
		$fields = $recordset->fetchAll(PDO::FETCH_ASSOC);
				
		foreach ($fields as $field)
		{
			//echo "foreach getfieldname";
			
			//var_dump($field);
			
			if($i == $index)
				$type = $field['DATA_TYPE'];
			
			$i++;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
		
		$this->erreur("$query");
	}

	return $type;
}

/////////////////////////////////////////////////////////			
//PDO VERSION
		function WriteLog($msg) 
/////////////////////////////////////////////////////////			
{
	if(REQUEST_LOG)
	{
		global $page_courante;
		
		if(INSTALL_DB)
			$fp = @fopen("query_install.log", "a");
		else	
			$fp = @fopen(PATH_LOG_SQL."query_config.log", "a");	
		
		$msg_log = 	"**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Message : $msg\r\n";
		
		
		@fputs($fp, $msg_log);
		
		@fclose($fp);	
	}
}
}
?>
