<?php
$DEFAULT_PATH = "./";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = "OK";
$lmcse = DROIT_LECT;
$DROITS = DROIT_LECT+DROIT_MODIF+DROIT_CREAT+DROIT_SUPPR+DROIT_EXEC;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$cptID = $_SESSION['CPT_ID'];
$cltID = $_SESSION['CLT_ID'];

$pos = "style='margin-right:7px;'";

$page_content = "";
$col_left = "";
$col_right = "";
$div_bottom = "";

//Doit changer le mdp ?
$req = "SELECT CPT_CHANGE_PWD, CPT_ANNONCE, CPT_PROCESSUS, CPT_SUIVI_DOC, CPT_ALERTES, CPT_RSS , CPT_TBORD
		FROM COMPTE 
		WHERE CPT_ID = $cptID";
$gDb->SQLQuery($req,1);
$paramCpt = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);
if ($paramCpt['CPT_CHANGE_PWD'] != 0 && droit(CPT, $DROITS,null,null,null,null))
{
	$page_content = "<div CLASS='changepwd'>
		<a href='informations/monCPT.php'/>
		<center>$lang_accueil_lbl_changepwd</center>
	</div>";
}
else
{
	if($paramCpt['CPT_ANNONCE']==ETAT_ACTIF)
	{
		$req = "SELECT CLT_ANNONCE
				FROM CLIENT 
				WHERE CLT_ID = $cltID";
		$gDb->SQLQuery($req,1);
		$annonce = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if ($annonce[0])
		{
			$col_left .= "<div id='spn_annonce' $pos>
				<div id='cnt_annonce' style='padding:5px;'>${annonce[0]}</div>
				<script>
					var cnt = new Prologue.panel('$lang_accueil_lbl_annonce', '${pathStyle}imgs/icons/menu/quote.png');
					cnt.contentID = 'cnt_annonce';
					cnt.create();
					annonce_id = cnt.id;
				</script>
				</div>";
		}
	}
		
	if ($paramCpt['CPT_PROCESSUS']==ETAT_ACTIF && droit(PRO , $DROITS,null,null,null,null))
	{
		$col_left .= "<div id='div_proc' $pos>
			<script	language='JavaScript' type='text/javascript'>
				var cont = new Prologue.panel('$lang_accueil_lbl_suiviproc', '${pathStyle}imgs/icons/exec.png');
				var procGrid = new Prologue.grid();
				procGrid.columns.addLastColumn = false;
				procGrid.dataSource = '${pathFlow}dataSources/acc_proc_dSGrid.php';
				cont.content = procGrid.html();
				cont.create();
				processus_id = cont.id;
			</script>
		</div>";
	}

	if ($paramCpt['CPT_SUIVI_DOC']==ETAT_ACTIF && droit(SDO, $DROITS,null,null,null,null))
	{
		$col_left .= "<div id='div_tdoc' $pos>
			<script	language='JavaScript' type='text/javascript'>
				var cont = new Prologue.panel('$lang_accueil_lbl_suividoc', '${pathStyle}imgs/icons/document.png');
				var listDoc = new prlList();
				listDoc.dataSource = '${pathFlow}dataSources/dSTypeDocAcceuil.php';
				cont.content = listDoc.html();
				cont.create();
				suivi_doc_id = cont.id;
			</script>
		</div>";
	}

	$hasAlertes = false;
	if ($paramCpt['CPT_ALERTES']==ETAT_ACTIF && (droit(CTA, $DROITS,null,null,null,null) || droit(CMA, $DROITS,null,null,null,null)))
	{
		$col_right .= "<div id='div_alerte' style='float:left;'>
			<script	language='JavaScript' type='text/javascript'>
				var cont = new Prologue.panel('$lang_accueil_lbl_consultalert', '${pathStyle}imgs/icons/menu/alertes.gif');
				var procGrid = new Prologue.grid();
				procGrid.columns.addLastColumn = false;
				procGrid.dataSource = '${pathFlow}dataSources/dSAccueil_alertes.php?pageSize=20&pageNum=1';
				cont.content = procGrid.html();
				cont.create();
			</script>
		</div>";
		$hasAlertes = true;
	}
	
	if($paramCpt['CPT_TBORD']==ETAT_ACTIF && droit(TAB, $DROITS,null,null,null,null))
	{
		// on affiche le rsultat du tableau de bord si il est actif pour l'accueil, soit sous forme de grid soit sous forme graphique s'il en possde 1
		$req = "SELECT TAB_ID, TAB_LIBEL, TAB_REQ, TAB_NBRE_LIGNE, TAB_GRAPH_TYPE, TAB_GRAPH_TAILLE
			FROM TABLEAU_BORD 
			WHERE TAB_ACCUEIL = ".ETAT_ACTIF;
		$gDb->SQLQuery($req, 1);
		
		$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
		$row = $gDb->SQLNextRow(2);
		if($row['MAX_ROW']>1)
			$pos = "style='width:49%;'";
		$gDb->SQLFermeQuery(2);
	
		$tbord = array();
		$nb = 0;
		while ($row = $gDb->SQLNextRow(1))
		{
			$nb++;
			$tb = "<div id='spn_tbord_$nb' $pos>
				<script>
					var tbord = new Prologue.panel('${row['TAB_LIBEL']}', '${pathStyle}imgs/icons/menu/control.gif');";
					
			if($row['TAB_GRAPH_TYPE']==0)
			{
				$tb .= "var tbordGrid = new Prologue.grid();
					tbordGrid.columns.addLastColumn = false;
					if($ini_typeBase == 'mysql')
						tbordGrid.dataSource = '${pathFlow}dataSources/mysql_datasource_ds.php?sql=".urlencode($row['TAB_REQ'])."&pageSize=${row['TAB_NBRE_LIGNE']}';
					else
						tbordGrid.dataSource = '${pathFlow}dataSources/pdo_datasource_ds.php?sql=".urlencode($row['TAB_REQ'])."&pageSize=${row['TAB_NBRE_LIGNE']}';					
					tbord.content = tbordGrid.html();";
			}
			else
			{
				$tb .= "tbord.content = \"<img src='${pathFlow}admin/tab/admin_tab_actGraph.php?tab_id=${row['TAB_ID']}'/>\";";
			}
			
			$tb .= "tbord.create();
				</script>
			</div>";
			
			$tbord[] = $tb;
		}
		$gDb->SQLFermeQuery(1);

		if($hasAlertes)
			$div_bottom .= implode($tbord);
		else
			$col_right .= implode($tbord);
		
		// reste  faire le choix Graphique / Grid
	}

	if($paramCpt['CPT_RSS']==ETAT_ACTIF && droit(RSS, $DROITS,null,null,null,null))
	{
		$req = "SELECT SQL_CALC_FOUND_ROWS RSS_TITRE, RSS_URL, RSS_NB_ITEM 
				FROM RSS 
				WHERE RSS_ACTIF=".ETAT_ACTIF." AND CLT_ID=$cltID";

		$gDb->SQLQuery($req,1);

		$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
		$row = $gDb->SQLNextRow(2);
		if($row['MAX_ROW']>1)
			$pos = "style='float:left;width:49%;'";
		$gDb->SQLFermeQuery(2);
	
		$rss = array();
		$nb = 0;
		while ($row = $gDb->SQLNextRow(1))
		{
			$nb++;
			$rss[] = "<div id='spn_rss_$nb' $pos>
				<script>
					var rss = new Prologue.rss('${row['RSS_TITRE']}', '${pathStyle}imgs/icons/menu/rss.png');
					rss.url = '${row['RSS_URL']}';
					rss.itemsQty = ${row['RSS_NB_ITEM']};
					rss.create();
				</script>
			</div>";
		}
		$gDb->SQLFermeQuery(1);
		$div_bottom .= implode($rss);
	}
}

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/accueil.vtp");
$vtp->addSession($form, "form");

$vtp->setVar($form, "form.style", $pathStyle);
$vtp->setVar($form, "form.title", $lang_accueil_title);

include($DEFAULT_PATH."header.php");

$page_headers .= "<link href='".$pathStyle."accueil.css' rel='stylesheet' type='text/css'/>";
$page_headers .= "<script language='JavaScript' type='text/javascript'>

var annonce_id = 0;
var processus_id = 0;
var suivi_doc_id = 0;

function resize_panels()
{
	var maxwidth = 0;
	var w_a = $('spn_annonce');
	if(w_a)
	{
		if(w_a.offsetWidth>maxwidth)
		maxwidth = w_a.offsetWidth;
	}

	var w_p = $('div_proc');
	if(w_p)
	{
		if(w_p.offsetWidth>maxwidth)
		maxwidth = w_p.offsetWidth;
	}

	var w_d = $('div_tdoc');
	if(w_d)
	{
		if(w_d.offsetWidth>maxwidth)
		maxwidth = w_d.offsetWidth;
	}
	
	if(annonce_id!=0)
		$(annonce_id).style.width = maxwidth +'px';
		
	if(processus_id!=0)
		$(processus_id).style.width = maxwidth +'px';
		
	if(suivi_doc_id!=0)
		$(suivi_doc_id).style.width = maxwidth +'px';
}

window.attachEvent('onload', resize_panels);
window.attachEvent('onresize', resize_panels);

</script>";
	
$vtp->setVar($form, "form.page_headers", $page_headers);

if ($page_content!='')
	$vtp->setVar($form, "form.page_content", $page_content);
else
{
	$vtp->setVar($form, "form.col_left", $col_left);
	$vtp->setVar($form, "form.col_right", $col_right);
	$vtp->setVar($form, "form.div_bottom", $div_bottom);
}

$vtp->closeSession($form, "form");
$vtp->Display();
?>