<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = ALE; //droit de gestion des alertes
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "admin/alert/admin_alert.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_admin_alert_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_alert.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/alert/admin_alert_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "20070717165810");

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

$filtre[] = array("id_filtre" => "f_type", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_admin_alert_filtre_lbl_filtre_type,
					"ds_filtre" => $pathFlow."dataSources/dSTypeAlert.php?showNull=1");
			
$filtre[] = array("id_filtre" => "new_line");
					
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_admin_alert_filtre_lbl_filtre_etat,
					"ds_filtre" => $pathFlow."dataSources/dSEtat.php?type=activite&showNull=1");

$filtre[] = array("id_filtre" => "f_dest", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_admin_alert_filtre_lbl_filtre_dest,
					"ds_filtre" => $pathFlow."dataSources/dSUtilisateur.php?showNull=1");
					
$filtre[] = array("id_filtre" => "new_line");

$filtre[] = array("id_filtre" => "f_destcc", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_admin_alert_filtre_lbl_filtre_destcc,
					"ds_filtre" => $pathFlow."dataSources/dSUtilisateur.php?showNull=1");

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						"detail" => false,
						"print" => array("show" => true
									, "title" => addslashes($lang_admin_alert_title)),
						"csv" => true);

$body_js = "";
									
//Creer
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(Flow.path+\'admin/alert/admin_alert_actAffich.php?action=create\');");
}
//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_tab_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
											"page" => "admin/alert/admin_alert_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('tal_id','action')));
	$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}

//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_tab_grid_act_suppr,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
											"page" => "admin/alert/admin_alert_actAction.php",
											"callback" => "prlExecGrid",
											"get_params" => array('tal_id','action')));
	$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_admin_alert_grid_question_suppr)."';
	return confirm(msg_suppr);
};
";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
