<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = ALE; //droit de gestion des alertes
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;
$where = "";

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "admin/alert/admin_alert_actAction.php";

$tal_id		= pget('tal_id');						//Num d'alerte
$action	= pget('action');						//action
$clt_id = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	$req = "SELECT COUNT(*) AS NB 
			FROM FLUX 
			WHERE TAL_ID = $tal_id 
				AND FLX_ACTIF != ".ETAT_SUPPR;
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	if ($row['NB'] != 0)
	{
		$msg = $lang_admin_alert_act_msg_cant_suppr;
		$return = 1;
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$gDb->SQLFermeQuery(1);
		$req = "UPDATE TYP_ALERTE 
				SET TAL_ETAT = ".ETAT_SUPPR." 
				WHERE TAL_ID = $tal_id";
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_admin_alert_act_suppr_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_alert_act_suppr_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
	}
	//$action = null;
}
else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$fatal = false;
		$tal_libel  	= pget('tal_libel');
		$tal_etat		= pget('tal_etat');
		$tal_type		= pget('tal_type');
		$tal_principal	= pget('tal_principal');
		$tal_dest_id	= pget('tal_dest_id');
		$tal_destcc_id	= pget('tal_destcc_id');
		
		$req = "SELECT COUNT(*) AS NB
				FROM TYP_ALERTE 
				WHERE CLT_ID = $clt_id 
				AND TAL_ETAT != ".ETAT_SUPPR." 
				AND TAL_LIBEL = '".dblQ($tal_libel)."'";
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		if ($row['NB'] != 0)
		{
			$msg = $lang_admin_alert_act_create_msg_mm_nom;
			$return = 1;
			$fatal = true;
		}
		
		if (!$fatal)
		{
			$req = "INSERT INTO TYP_ALERTE 
						(TAL_ETAT, TAL_LIBEL, TAL_TYPE, TAL_DEST_ID,
						TAL_DESTCC_ID, TAL_PRINCIPAL, CLT_ID)
					VALUES
						($tal_etat
						,'".dblQ($tal_libel)."'
						,'$tal_type'
						,$tal_dest_id 
						,".(($tal_destcc_id)?($tal_destcc_id):("NULL"))."
						,".TAL_PRINCIPAL_NON.",
						'$clt_id')";
			$res = $gDb->SQLQuery($req, 1);
			if (!$res)
			{
				$msg = $lang_admin_alert_act_create_msg_err;
				$return = 1;
			}
			else
				if ($res[0] == SQL_DUP_CHAMP)
				{
					$msg = $lang_admin_alert_act_create_msg_mm_libel;
					$return = 1;
				}
				else
				{
					$msg = $lang_admin_alert_act_create_msg_ok;
					$return = 0;
				}
			$gDb->SQLFermeQuery(1);
		}
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$fatal = false;
		$tal_libel  	= pget('tal_libel');
		$tal_etat		= pget('tal_etat');
		$tal_type		= pget('tal_type');
		$tal_principal	= pget('tal_principal');
		$tal_dest_id	= pget('tal_dest_id');
		$tal_destcc_id	= pget('tal_destcc_id');
		
		$req = "SELECT COUNT(*) AS NB 
				FROM TYP_ALERTE 
				WHERE CLT_ID = $clt_id 
					AND TAL_ETAT != ".ETAT_SUPPR." 
					AND TAL_LIBEL = '".dblQ($tal_libel)."' 
					AND TAL_ID != $tal_id";
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		if ($row['NB'] != 0)
		{
			$msg = $lang_admin_alert_act_modif_msg_mm_nom;
			$return = 1;
			$fatal = true;
		}
		if (!$fatal)
		{
			$req = "UPDATE TYP_ALERTE SET
						TAL_ETAT = $tal_etat, 
						TAL_LIBEL = '".dblQ($tal_libel)."', 
						TAL_TYPE = $tal_type, 
						TAL_DEST_ID = $tal_dest_id, 
						TAL_DESTCC_ID = ".(($tal_destcc_id)?($tal_destcc_id):("NULL"))." 
					WHERE TAL_ID = $tal_id";
			$res = $gDb->SQLQuery($req, 1);
			if (!$res)
			{
				$msg = $lang_admin_alert_act_modif_msg_err;
				$return = 1;
			}
			else
				if ($res[0] == SQL_DUP_CHAMP)
				{
					$msg = $lang_admin_alert_act_modif_msg_mm_libel;
					$return = 1;
				}
				else
				{
					$msg = $lang_admin_alert_act_modif_msg_ok;
					$return = 0;
				}
			$gDb->SQLFermeQuery(1);
		}
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>