<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = ALE; //droit de gestion des alertes
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;
$where = "";

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "admin/alert/admin_alert_actAffich.php";

$vtp = new VTemplate;

$tal_id	= pget('tal_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH.'template/form.vtp');
$vtp->addSession($form, "global");

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_admin_alert_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_alert.gif");
$vtp->setVar($form, "global.help_id", "20070717170230");

//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$head_javascript = "
	function verifForm()
	{
		var ret = true;	
		if(document.getElementById('tal_libel').value.length == 0)
		{
			alert('$lang_admin_alert_aff_msg_err_libelle_null');
			ret = false;
			document.getElementById('tal_libel').focus();
		}
		if(ret && (submitForm(this.document.forms['filtre'], Flow.path+'admin/alert/admin_alert_actAction.php', prlExec) == 0))
			changePage('admin_alert.php');
	}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

switch($action)
{
	case "create":
		$readOnly = 'false';
		$panelTitle = $lang_admin_alert_aff_pnl_title_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = 'false';
		$panelTitle = $lang_admin_alert_aff_pnl_title_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
	case "detail":
		$readOnly = 'true';
		$panelTitle = $lang_admin_alert_aff_pnl_title_detail;
		$panelIcon = $pathStyle."imgs/icons/loupe.gif";
		break;
}
//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", addslashes($panelTitle));
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.readOnly", $readOnly);

if(isset($tal_id))
{
	$req = "SELECT TAL_ETAT, TAL_LIBEL, TAL_TYPE, TAL_PRINCIPAL, 
				TAL_DEST_ID, TAL_DESTCC_ID 
			FROM TYP_ALERTE 
			WHERE TAL_ID = $tal_id";
	
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	
	$tal_libel  	= $row['TAL_LIBEL'];
	$tal_etat		= $row['TAL_ETAT'];
	$tal_type		= $row['TAL_TYPE'];
	$tal_principal	= $row['TAL_PRINCIPAL'];
	$tal_dest_id	= $row['TAL_DEST_ID'];
	$tal_destcc_id	= $row['TAL_DESTCC_ID'];
	$gDb->SQLFermeQuery(1);
}
else
{
	$tal_libel  	= '';
	$tal_etat		= '';
	$tal_type		= '';
	$tal_principal	= '';
	$tal_dest_id	= '';
	$tal_destcc_id	= '';
}

$javascript = "with(new prlTextBox('tal_libel', prlTextBox.formats.any, '".hi_disp($tal_libel)."')){
	maxLength  = 35;
	trim = prlTextBox.trimMode.both;
	readOnly = $readOnly;
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_alert_aff_lbl_libelle);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

if($tal_principal==TAL_PRINCIPAL_OUI)
	$principal_readOnly = 'true';
else
	$principal_readOnly = $readOnly;
 
$javascript = "with(new prlComboList('tal_etat', '$tal_etat')){
	dataSource = '${pathFlow}dataSources/dSEtat.php?type=activite';
	readOnly = $principal_readOnly;
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_alert_aff_lbl_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");
 
$javascript = "with(new prlComboList('tal_type', '$tal_type')){
	dataSource = '${pathFlow}dataSources/dSTypeAlert.php';
	readOnly = $principal_readOnly;
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_alert_aff_lbl_type);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");
 
$javascript = "with(new prlComboList('tal_dest_id', '$tal_dest_id')){
	dataSource = '${pathFlow}dataSources/dSUtilisateur.php';
	readOnly = $readOnly;
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_alert_aff_lbl_dest);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");
 
$javascript = "with(new prlComboList('tal_destcc_id', '$tal_destcc_id')){
	dataSource = '${pathFlow}dataSources/dSUtilisateur.php?showNull=1';
	readOnly = $readOnly;
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_alert_aff_lbl_destcc);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");
 
//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "tal_id");
$vtp->setVar($form, "form_input_hidden.value", $tal_id);
$vtp->closeSession($form, "form_input_hidden");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>