<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = ACT;//droit de gestion des activités
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "admin/confav/activite/admin_confav_act_dsGrid.php";

$maxRow=0;
$where = "";
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');
$f_type = pget('f_type');
$f_proc = pget('f_proc');
$f_flag = pget('f_flag');
$clt_id = $_SESSION['CLT_ID'];

if($f_flag>="0" && $f_flag<="2")
	$where .= " AND TAC_FLAG = ".$f_flag;
	
if(!empty($f_type))
	$where .= " AND ACTIVITE.TAC_NUM = ".dblQ($f_type);
	
if (!empty($f_proc))
	$where .= " AND ACT_NUMPROC = ".dblQ($f_proc);

$req = "SELECT SQL_CALC_FOUND_ROWS ACT_ID, TAC_NOM, TAC_FLAG, ACT_LIBEL, ACT_NUMPROC, TAC_LIBEL
		FROM ACTIVITE, TYPE_ACT 
		WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
			AND ACTIVITE.ACT_ETAT != ".ETAT_SUPPR." 
			AND ACTIVITE.CLT_ID = $clt_id 
			$where 
		ORDER BY TAC_NOM";


$champs = array();
$champs[] = array("nom" => $lang_admin_confav_act_grid_head_nom, "toolTip" => $lang_admin_confav_act_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_act_grid_head_proc, "toolTip" => $lang_admin_confav_act_grid_head_proc, "sortMode" => "2");
$champs[] = array("nom" => $lang_admin_confav_act_grid_head_type, "toolTip" => $lang_admin_confav_act_grid_head_type, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_act_grid_head_libelle, "toolTip" => $lang_admin_confav_act_grid_head_libelle, "sortMode" => "1");

$gDb->SQLQuery($req, 1,($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

if($maxRow)
{
	
	
	
	while ($row = $gDb->SQLNextRow(1))
	
	{
		$params = array();
		$params['act_id'] = $row['ACT_ID'];
		$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
								'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null))
								);
		
		$detail = "";
		$detail .= hi_disp("<table><tr><td><b>");
		$detail .= $lang_admin_confav_act_aff_lbl_activite;
		$detail .= hi_disp("</b></td><td>".$row['TAC_LIBEL']."</td></tr><tr><td><b>");
		$detail .= $lang_admin_confav_act_aff_lbl_numproc;
		$detail .= hi_disp("</b></td><td>".$row['ACT_NUMPROC']."</td></tr></table>");
		
		// $detail = hi_disp($detail);
		
		echo '<row detail="'.$detail.'">';
		$icon = $pathStyle."imgs/icons/loupe.gif";
				
		echo '<item caption="'.hi_disp($row['TAC_NOM']).'" toolTip="'.$lang_admin_confav_act_grid_act_detail.'" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
		
		echo '<item caption="'.$row['ACT_NUMPROC'].'"/>';
		
		$caption = "";
		switch($row['TAC_FLAG'])
		{
			case ACT_SIMPLE :
				$caption = $lang_admin_confav_act_grid_type_simple;
				break;
			case ACT_GROUPE :
				$caption = $lang_admin_confav_act_grid_type_group;
				break;
			case ACT_DEGROUPE :
				$caption = $lang_admin_confav_act_grid_type_degroup;
				break;
		}
		echo '<item caption="'.hi_disp($caption).'"/>';
		echo '<item caption="'.hi_disp($row['ACT_LIBEL']).'"/>'; 
		echo '</row>';
	}
	$gDb->SQLFermeQuery(2);
}
echo '</databind>';
?>