<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

$page_courante = "admin/confav/client/admin_confav_cli.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.help_id", "liste_cli");
$vtp->setVar($form, "global.title", addslashes($lang_admin_confav_cli_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_confav_cli.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/confav/client/admin_confav_cli_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

//Nom
$filtre[] = array("id_filtre" => "f_nom", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_admin_confav_cli_filtre_lbl_nom);

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");


mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						 "detail" => false,
						 "print" => array("show" =>true,
						 				"title" => addslashes($lang_admin_confav_cli_title)),
						 "csv" => true);

$dc = droit($droitRole, DROIT_CREAT,null,null,null,null);
$dm = droit($droitRole, DROIT_MODIF,null,null,null,null);

//Creer
if ($dc) {
	$option_toolbar[] = array(
		"caption" => addslashes($lang_ds_action_new_caption),
		"icon" => $pathFlow."style/imgs/icons/add.gif",
		"onClick" => "changePage(Flow.path+\'admin/confav/client/admin_confav_cli_actAffich.php?action=create\');"
	);
}
//Modifier
if ($dm) {
	$option_toolbar[] = array("caption" => addslashes($lang_admin_confav_cli_grid_act_modif),
  							  "icon" => $pathFlow."style/imgs/icons/admin.gif",
							  "action" => array("name" => "modif",
												"page" => "admin/confav/client/admin_confav_cli_actAffich.php",
												"callback" => "changePage",
												"get_params" => array('clt_id','action')));
}
if ($dc || $dm)
	$option_toolbar[] = array(
		"caption" => '',
		"icon" => '',
		"onClick" => '',
		"value" => '__SEPARATOR__'
);
//visualiser
$option_toolbar[] = array("caption" => addslashes($lang_admin_confav_cli_grid_act_detail),
						"icon" => $pathStyle."imgs/icons/loupe.gif",
						"action" => array("name" => "detail",
									"page" => "admin/confav/client/admin_confav_cli_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('clt_id', 'action')));

mkToolbar($vtp, $form, $option_toolbar);
						 
$body_js = "
rowAction.actions.detail.check = function (params) {
	params.action = 'detail';
	return true;
};

rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
