<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/confav/confgen/admin_confav_confgen_actAction.php";
$clt_id = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;
$action = "modif";

$flowIniFileName = $DEFAULT_PATH."flow.ini.php";
if (droit($droitRole, DROIT_LECT, null,null,null,null) && (is_writable($flowIniFileName)))
{
	$FCO_REPBIN_IHM = pget("FCO_REPBIN_IHM");
	$FCO_REPLOG_IHM = pget("FCO_REPLOG_IHM");
	$FCO_REPTMP_IHM = pget("FCO_REPTMP_IHM");
	$FCO_REPCOM_IHM = pget("FCO_REPCOM_IHM");
	$FCO_OS_WEB = pget("FCO_OS_WEB");
	$FCO_SERVEUR_SMTP = pget("FCO_SERVEUR_SMTP");
	$FCO_ADR_MAIL = pget("FCO_ADR_MAIL");
	$FCO_NOM_MAIL = pget("FCO_NOM_MAIL");
	$FCO_LOGIN_SMTP = pget("FCO_LOGIN_SMTP");
	$FCO_PWD_SMTP = pget("FCO_PWD_SMTP");
	$FCO_REP_STOCK_IHM = pget("FCO_REP_STOCK_IHM");
	$FCO_MODE_STOCK = pget("FCO_MODE_STOCK");
	$FCO_MAX_PURGE_FIC = pget("FCO_MAX_PURGE_FIC");

	$FCO_MAIL_ADMIN = pget("FCO_MAIL_ADMIN");
	$FCO_BDD_SIZE = pget("FCO_BDD_SIZE");
	$FCO_SESSION_DURATION = pget("FCO_SESSION_DURATION");
	$FCO_MAXCHAR_DOCVISU = pget("FCO_MAXCHAR_DOCVISU");
	$FCO_NBJOURS_SUIVI = pget("FCO_NBJOURS_SUIVI");
	$FCO_NBLIGNES = pget("FCO_NBLIGNES");
	$FCO_REMEMBER_FILTERS = pget("FCO_REMEMBER_FILTERS");
	$FCO_BOTTOM_NAVIGATE = pget("FCO_BOTTOM_NAVIGATE");
	$FCO_WS = pget("FCO_WS");
	$FCO_STRATEGIE_CERTIF = pget("FCO_STRATEGIE_CERTIF");
	$FCO_TLS_SMTP = pget("FCO_TLS_SMTP");
	$FCO_FILEVIEWER = pget("FCO_FILEVIEWER");
		
	$req = "UPDATE FLOWCONF SET 
				FCO_REPBIN_IHM='".dblQ($FCO_REPBIN_IHM)."', FCO_REPLOG_IHM='".dblQ($FCO_REPLOG_IHM)."', 
				FCO_REPTMP_IHM='".dblQ($FCO_REPTMP_IHM)."', FCO_REPCOM_IHM='".dblQ($FCO_REPCOM_IHM)."', 
				FCO_SERVEUR_SMTP='".dblQ($FCO_SERVEUR_SMTP)."', FCO_ADR_MAIL='".dblQ($FCO_ADR_MAIL)."', 
				FCO_NOM_MAIL='".dblQ($FCO_NOM_MAIL)."', FCO_LOGIN_SMTP='".dblQ($FCO_LOGIN_SMTP)."', 
				FCO_PWD_SMTP='".dblQ($FCO_PWD_SMTP)."', FCO_REP_STOCK_IHM='".dblQ($FCO_REP_STOCK_IHM)."', 
				FCO_MODE_STOCK=".$FCO_MODE_STOCK.", FCO_OS_WEB=".$FCO_OS_WEB.", FCO_MAX_PURGE_FIC=".$FCO_MAX_PURGE_FIC.", FCO_WS=".$FCO_WS.", FCO_BDD_SIZE='".$FCO_BDD_SIZE."',
	            FCO_STRATEGIE_CERTIF=".$FCO_STRATEGIE_CERTIF.", FCO_TLS_SMTP=".$FCO_TLS_SMTP.", FCO_FILEVIEWER='".dblQ($FCO_FILEVIEWER)."'";
	$res = $gDb->SQLQuery($req, 1);
	
	if ($res == null)
	{
   	 	 $msg = $lang_admin_confav_confgen_act_modif_msg_err;
   	 	 $return = 1;
	}
	else
	{
 		$flowIni = file_get_contents($flowIniFileName);
		$flowIni = preg_replace('/(ini_mail_administrateur[\s|\t]*=[\s|\t]*"?)([^";]*)("?;)/','${1}'.$FCO_MAIL_ADMIN.'${3}',$flowIni);
		$flowIni = preg_replace('/(ini_duree_connect[\s|\t]*=[\s|\t]*"?)([^";]*)("?;)/','${1}'.$FCO_SESSION_DURATION.'${3}',$flowIni);
		$flowIni = preg_replace('/(ini_sui_fic_visu_max[\s|\t]*=[\s|\t]*"?)([^";]*)("?;)/','${1}'.$FCO_MAXCHAR_DOCVISU.'${3}',$flowIni);
		$flowIni = preg_replace('/(ini_nb_jour_suivi[\s|\t]*=[\s|\t]*"?)([^";]*)("?;)/','${1}'.$FCO_NBJOURS_SUIVI.'${3}',$flowIni);
		$flowIni = preg_replace('/(ini_taille_page_suivi[\s|\t]*=[\s|\t]*"?)([^";]*)("?;)/','${1}'.$FCO_NBLIGNES.'${3}',$flowIni);
		$flowIni = preg_replace('/(remember_filters[\s|\t]*=[\s|\t]*"?)([^";]*)("?;)/','${1}'.$FCO_REMEMBER_FILTERS.'${3}',$flowIni);
		$flowIni = preg_replace('/(bottom_navigate[\s|\t]*=[\s|\t]*"?)([^";]*)("?;)/','${1}'.$FCO_BOTTOM_NAVIGATE.'${3}',$flowIni);
				
		if ((strlen($flowIni) == 0) || !($handle = fopen($flowIniFileName.'.new', 'w')) || (fwrite($handle, $flowIni) === FALSE)) {
			$msg = $lang_admin_confav_confgen_act_save_msg_err. "($flowIniFileName)";
			$return = 1;
   			if ($handle) fclose($handle);
		}
    	else{
    		fclose($handle);
			if(file_exists($flowIniFileName.'.old'))
				unlink($flowIniFileName.'.old');
    		if (rename($flowIniFileName,$flowIniFileName.'.old'))
    		{
    			if (rename($flowIniFileName.'.new',$flowIniFileName))
    			{
    				$msg = $lang_admin_confav_confgen_act_modif_msg_ok;
					$return = 0;
       			}
       			else
       			{
    				rename($flowIniFileName.'.old',$flowIniFileName);
    				$msg = $lang_admin_confav_confgen_act_modif_msg_err;
					$return = 1;
       			}
    		}
       		else
       		{
    			$msg = $lang_admin_confav_confgen_act_modif_msg_err;
				$return = 1;
       		}
    	}
	}
}
else
{
	$msg = $lang_admin_confav_confgen_act_msg_err_droit;
	$return = 1;
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>