<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="UTF-8" />
	<xsl:template match="/LISTERECAP">$tab_recap = array(<xsl:apply-templates />);
	</xsl:template>
	<xsl:template match="FACTURE">
		<xsl:number count="FACTURE" level="single" format="1" />=> array( 
		"TMA_ID" => '<xsl:value-of select="ID_RECAP" />',
		"TMA_NUM_FACT" => '<xsl:value-of select="NUM_FACT" />',
		"TMA_DATE_FACT" => '<xsl:value-of select="DATE" />',
		"TMA_TYPE" => '<xsl:value-of select="TYPE" />',
		"TMA_FONC" => '<xsl:value-of select="FONC" />',
		"TMA_DATE_REC" => '<xsl:value-of select="DATE_REC" />',
		"TMA_DATE_EMI" => '<xsl:value-of select="DATE_EMI" />', 
		"TMA_CODE_FACT_A" => '<xsl:value-of select="CODE_FACT_A" />',
		"TMA_NOM_FACT_A" => '<xsl:value-of select="NOM_FACT_A" />',
		"TMA_PAR_ID_FACT_A" => '<xsl:value-of select="PAR_ID_FACT_A" />',
		"TMA_CODE_FACT_PAR" => '<xsl:value-of select="CODE_FACT_PAR" />',
		"TMA_NOM_FACT_PAR" => '<xsl:value-of select="NOM_FACT_PAR" />',
		"TMA_PAR_ID_FACT_PAR" => '<xsl:value-of select="PAR_ID_FACT_PAR" />',
		"TMA_MONT_HT" => '<xsl:value-of select="MONT_HT" />',
		"TMA_MONT_TTC" => '<xsl:value-of select="MONTTTC" />',
		"TMA_DEVISE" => '<xsl:value-of select="DEVISE" />',
		"TMA_STATUT" => '<xsl:value-of select="STATUT" />',
		"TMA_DATE_ENTREE" => '<xsl:value-of select="TMA_DATE_ENTREE" />',
		"TMA_DATE_SORTIE" => '<xsl:value-of select="TMA_DATE_SORTIE" />',
		"TMA_SENS" => '<xsl:value-of select="SENS" />',
		"TMA_LOGICIEL" => '<xsl:value-of select="LOGICIEL" />',
		"TMA_CODE_ERR" => '<xsl:value-of select="CODE" />',
		"TMA_LIBEL_ERR" => '<xsl:value-of select="LIB" />',
		"TMA_ARCHIVE" => '<xsl:value-of select="FIC_ARCH" />',
		"TMA_CHEMIN" => '<xsl:value-of select="CHEM_ARCH" />',
		"TMA_CHEMIN_MOT" => '<xsl:value-of select="CHEM_ARCH_MOT" />',
		"TMA_EMET_NOM" => '<xsl:value-of select="EMET_NOM" />',
		"TMA_EMET_ID" => '<xsl:value-of select="EMET_ID" />',
		"TMA_TELE_EMET" => '<xsl:value-of select="TELE_EMET" />',
		"TMA_TELE_DEST" => '<xsl:value-of select="TELE_DEST" />',
		"TMA_DEST_NOM" => '<xsl:value-of select="DEST_NOM" />',
		"TMA_DEST_ID" => '<xsl:value-of select="DEST_ID" />',
		"TMA_MODE" => '<xsl:value-of select="MODE" />',
		"TMA_FORM" => '<xsl:value-of select="FORM" />',
		"CLT_ID" => '<xsl:value-of select="CLT_ID" />',
		"SCEAU_EDI" => '<xsl:value-of select="SCEAU_EDI" />',
		"SCEAU_XML" => '<xsl:value-of select="SCEAU_XML" />',
		"TMA_DATE_TRAIT" => '<xsl:value-of select="CUR_DATE" />',
		"TMA_CPT" => '<xsl:value-of select="TMA_CPT" />',
		"TMA_DEST_DEMAT" => '<xsl:value-of select="TMA_DEST_DEMAT" />',
		"TMA_EMET_DEMAT" => '<xsl:value-of select="TMA_EMET_DEMAT" />',
		"DATE_INTER" => '<xsl:value-of select="DATE_INTER" />',
		"NOM_ARCH" => '<xsl:value-of select="NOM_ARCH" />',
		"TMA_ADR_FACT_A" => '<xsl:value-of select="ADR_FACT_A" />',
		"TMA_SIREN_FACT_A" => '<xsl:value-of select="SIREN_FACT_A" />',
		"TMA_TVA_FACT_A" => '<xsl:value-of select="REF_TVA_FACT_A" />',
		"TMA_ADR_FACT_PAR" => '<xsl:value-of select="ADR_FACT_PAR" />',
		"TMA_SIREN_FACT_PAR" => '<xsl:value-of select="SIREN_FACT_PAR" />',
		"TMA_TVA_FACT_PAR" => '<xsl:value-of select="REF_TVA_FACT_PAR" />',
		),</xsl:template>
<xsl:template match="text()"/>
</xsl:stylesheet>
