<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");

$page_courante = "admin/confav/confgen/admin_confav_ldap.php";
$clt_id = $_SESSION['CLT_ID'];

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_menu_lbl_admin_ldap_caption));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/ldap.png");

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "config_ldap");

$vtp->setVar($form, "global.readOnly", "false");

$req = "SELECT LDA_ADRESSE, LDA_PORT, LDA_DN, LDA_FILTRE, LDA_NOM, LDA_PRENOM, LDA_TELEPHONE, LDA_MAIL, LDA_LOGIN, LDA_PWD, LDA_CHANGE_PWD, LDA_PWD_PERIODE 
		FROM LDAP WHERE CLT_ID = $clt_id";
$gDb->SQLQuery($req,1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$head_javascript = "
//Liste des champs obligatoires
var fieldListID = new Array('LDA_ADRESSE', 'LDA_PORT', 'LDA_DN', 'LDA_FILTRE', 'LDA_NOM',
							'LDA_MAIL', 'LDA_LOGIN', 'LDA_PWD');
			
//Liste des libellés de champs obligatoires								
var fieldListName = new Array('".addslashes($lang_lbl_admin_ldap_adresse)."',
								'".addslashes($lang_lbl_admin_ldap_port)."',
								'".addslashes($lang_lbl_admin_ldap_DN)."',
								'".addslashes($lang_lbl_admin_ldap_filtre)."',
								'".addslashes($lang_lbl_admin_ldap_nom)."',
								'".addslashes($lang_lbl_admin_ldap_mail)."',
								'".addslashes($lang_lbl_admin_ldap_login)."',
								'".addslashes($lang_lbl_admin_ldap_pwd)."');

function verifForm()
{
	var check = true;
	var msg_field_needed  = '".addslashes($lang_flux_tdoc_aff_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i)
	{
		var inpt = $(fieldListID[i]);
		if(inpt.value.length == 0)
		{
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
		else if(!prlTextBox.checkFormat(inpt))
		{
			inpt.onchange();
			check = false;
			inpt.focus();
			break;
		}
	}
	
	if(check && submitForm(this.document.forms['filtre'], 'admin_confav_ldap_actAction.php', prlExec)==0)
		changePage(Flow.path+'accueil.php');
}

function exec()
{
	var f = this.document.forms['filtre'];
	var url = Flow.path+'utilisateurs/ldap/utr_ldap_list.php?import=false';
	url += '&adresse='+f.LDA_ADRESSE.value;
	url += '&port='+f.LDA_PORT.value;
	url += '&dn='+f.LDA_DN.value;
	url += '&filtre='+f.LDA_FILTRE.value;
	url += '&nom='+f.LDA_NOM.value;
	url += '&prenom='+f.LDA_PRENOM.value;
	url += '&telephone='+f.LDA_TELEPHONE.value;
	url += '&mail='+f.LDA_MAIL.value;
	url += '&login='+f.LDA_LOGIN.value;
	url += '&pwd='+f.LDA_PWD.value;
	
	openPopUp(urlencode(url), '$lang_menu_lbl_admin_ldap_caption', 800, 600);
}

function suppr()
{
	this.document.forms['filtre'].action.value = 'suppr';

	if(confirm(\"$lang_lbl_admin_ldap_confirm_suppr\"))
	{
		if(submitForm(this.document.forms['filtre'], 'admin_confav_ldap_actAction.php', prlExec)==0)
			changePage(Flow.path+'accueil.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// message d'alerte
echo "<center><p style='color:red;font-weight:bold;'>$lang_lbl_admin_ldap_message</p></center>";

// adresse annuaire ldap
if($row['LDA_ADRESSE'])
{
	$LDA_ADRESSE = urlencode(hi_disp($row['LDA_ADRESSE']));
	$action = "modif";
}
else
{
	$LDA_ADRESSE = "";
	$action = "create";
}
$javascript = "
	with(new prlTextBox('LDA_ADRESSE', prlTextBox.formats.any, urldecode('$LDA_ADRESSE'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_adresse.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// port ldap
if($row['LDA_PORT'])
	$LDA_PORT = urlencode(hi_disp($row['LDA_PORT']));
else
	$LDA_PORT = '389';
$javascript = "
	with(new prlTextBox('LDA_PORT', prlTextBox.formats.uinteger, urldecode('$LDA_PORT'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 5;
		size = 5;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_port.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// champ DN
$LDA_DN = urlencode(hi_disp($row['LDA_DN']));
$javascript = "
	with(new prlTextBox('LDA_DN', prlTextBox.formats.any, urldecode('$LDA_DN'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_DN.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// filtre ldap
if($row['LDA_FILTRE'])
	$LDA_FILTRE = urlencode(hi_disp($row['LDA_FILTRE']));
else
	$LDA_FILTRE = '(sn=*)';
$javascript = "
	with(new prlTextBox('LDA_FILTRE', prlTextBox.formats.any, urldecode('$LDA_FILTRE'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_filtre.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// oid Nom
if($row['LDA_NOM'])
	$LDA_NOM = urlencode(hi_disp($row['LDA_NOM']));
else
	$LDA_NOM = 'cn';
$javascript = "
	with(new prlTextBox('LDA_NOM', prlTextBox.formats.any, urldecode('$LDA_NOM'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_nom.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// oid Prenom
if($row['LDA_PRENOM'])
	$LDA_PRENOM = urlencode(hi_disp($row['LDA_PRENOM']));
else
	$LDA_PRENOM = 'givenname';
$javascript = "
	with(new prlTextBox('LDA_PRENOM', prlTextBox.formats.any, urldecode('$LDA_PRENOM'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_prenom);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// oid telephone
if($row['LDA_TELEPHONE'])
	$LDA_TELEPHONE = urlencode(hi_disp($row['LDA_TELEPHONE']));
else
	$LDA_TELEPHONE = 'telephoneNumber';
$javascript = "
	with(new prlTextBox('LDA_TELEPHONE', prlTextBox.formats.any, urldecode('$LDA_TELEPHONE'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_telephone);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// oid Mail
if($row['LDA_MAIL'])
	$LDA_MAIL = urlencode(hi_disp($row['LDA_MAIL']));
else
	$LDA_MAIL = 'mail';
$javascript = "
	with(new prlTextBox('LDA_MAIL', prlTextBox.formats.any, urldecode('$LDA_MAIL'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_mail.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// oid Login
if($row['LDA_LOGIN'])
	$LDA_LOGIN = urlencode(hi_disp($row['LDA_LOGIN']));
else
	$LDA_LOGIN = 'uid';
$javascript = "
	with(new prlTextBox('LDA_LOGIN', prlTextBox.formats.any, urldecode('$LDA_LOGIN'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_login.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// oid password
if($row['LDA_PWD'])
	$LDA_PWD = urlencode(hi_disp($row['LDA_PWD']));
else
	$LDA_PWD = 'userPassword';
$javascript = "
	with(new prlTextBox('LDA_PWD', prlTextBox.formats.any, urldecode('$LDA_PWD'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 255;
		size = 35;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_pwd.' (*)');
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// forcer le changement de password
if($row['LDA_CHANGE_PWD'])
	$LDA_CHANGE_PWD = $row['LDA_CHANGE_PWD'];
else
	$LDA_CHANGE_PWD = '0';
$javascript = "
    with(new prlComboList('LDA_CHANGE_PWD', '$LDA_CHANGE_PWD')) {
		add('$lang_lbl_non', '', '', '0');
		add('$lang_lbl_oui', '', '', '1');
		create();
    };
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_admin_ldap_changepwd);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// periode de validité du password
$LDA_PWD_PERIODE = $row['LDA_PWD_PERIODE'];
$javascript = "
	with(new prlTextBox('LDA_PWD_PERIODE', prlTextBox.formats.uinteger, urldecode('$LDA_PWD_PERIODE'))) {
		trim = prlTextBox.trimMode.both;
		maxLength = 5;
		size = 5;
		create();
	};";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_act_cptcreate_lbl_periode);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", "");
$vtp->closeSession($form, "form_field");

// bouton Supprimer si on est en modif
if($action=="modif")
{
	$javascript="
	new prlButton('$lang_lbl_supprimer', 'suppr();', Prologue.Flow.images+'icons/trash.png').create();";
	$vtp->addSession($form, "form_button");
	$vtp->setVar($form, "form_button.javascript", $javascript);
	$vtp->closeSession($form, "form_button");
}

// bouton Exécuter
$javascript="
new prlButton('$lang_btn_test', 'exec();', Prologue.Flow.images+'icons/play.gif').create();";
$vtp->addSession($form, "form_button");
$vtp->setVar($form, "form_button.javascript", $javascript);
$vtp->closeSession($form, "form_button");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.back_fct", "changePage(Flow.path+\'accueil.php\');");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>