<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/confav/ldap/admin_confav_ldap_actAction.php";
$clt_id = $_SESSION['CLT_ID'];

$action = pget("action");

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if($action== "create" || $action== "modif")
{
	if (($action == "modif" && droit($droitRole, DROIT_MODIF, null,null,null,null)) || ($action== "create" && droit($droitRole, DROIT_CREAT, null,null,null,null)))
	{
		$LDA_ADRESSE = pget("LDA_ADRESSE");
		$LDA_PORT = pget("LDA_PORT");
		$LDA_DN = pget("LDA_DN");
		$LDA_FILTRE = pget("LDA_FILTRE");
		$LDA_NOM = pget("LDA_NOM");
		$LDA_PRENOM = pget("LDA_PRENOM");
		$LDA_TELEPHONE = pget("LDA_TELEPHONE");
		$LDA_MAIL = pget("LDA_MAIL");
		$LDA_LOGIN = pget("LDA_LOGIN");
		$LDA_PWD = pget("LDA_PWD");
		$LDA_CHANGE_PWD = pget("LDA_CHANGE_PWD");
		$LDA_PWD_PERIODE = pget("LDA_PWD_PERIODE");
		
		if($action=="modif")
		{
			$req = "UPDATE LDAP SET CLT_ID=$clt_id, 
					LDA_ADRESSE='".dblQ($LDA_ADRESSE)."', LDA_PORT=$LDA_PORT, 
					LDA_DN='".dblQ($LDA_DN)."', LDA_FILTRE='".dblQ($LDA_FILTRE)."', 
					LDA_NOM='".dblQ($LDA_NOM)."', LDA_PRENOM='".dblQ($LDA_PRENOM)."', 
					LDA_TELEPHONE='".dblQ($LDA_TELEPHONE)."', LDA_MAIL='".dblQ($LDA_MAIL)."', 
					LDA_LOGIN='".dblQ($LDA_LOGIN)."', LDA_PWD='".dblQ($LDA_PWD)."', 
					LDA_CHANGE_PWD=$LDA_CHANGE_PWD, LDA_PWD_PERIODE='".dblQ($LDA_PWD_PERIODE)."'";
		}
		else
		{
			$req = "INSERT INTO LDAP (CLT_ID, LDA_ADRESSE, LDA_PORT, LDA_DN, LDA_FILTRE, LDA_NOM, LDA_PRENOM, LDA_TELEPHONE, LDA_MAIL, LDA_LOGIN, LDA_PWD, LDA_CHANGE_PWD, LDA_PWD_PERIODE) VALUES ($clt_id, '".dblQ($LDA_ADRESSE)."', $LDA_PORT, '".dblQ($LDA_DN)."', '".dblQ($LDA_FILTRE)."', '".dblQ($LDA_NOM)."', '".dblQ($LDA_PRENOM)."', '".dblQ($LDA_TELEPHONE)."', '".dblQ($LDA_MAIL)."', '".dblQ($LDA_LOGIN)."', '".dblQ($LDA_PWD)."', $LDA_CHANGE_PWD, '".dblQ($LDA_PWD_PERIODE)."')";
		}
		$res = $gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		if ($res == null)
		{
			$msg = $lang_admin_confav_confgen_act_modif_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_confav_confgen_act_modif_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_admin_confav_confgen_act_msg_err_droit;
		$return = 1;
	}
}
else if($action=="suppr")
{
	if(droit($droitRole, DROIT_SUPPR, null,null,null,null))
	{
		$req = "DELETE FROM LDAP WHERE CLT_ID=$clt_id";
		$res = $gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		if ($res == null)
		{
			$msg = $lang_admin_confav_confgen_act_modif_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_confav_confgen_act_modif_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_admin_confav_confgen_act_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
echo encode_JSON($reponse);
?>