<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/confav/proc/admin_confav_proc_actAction.php";

$pro_id = pget('pro_id');
$action = pget('action');

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$flagNotExist = false;
		$pro_libelle = pget("pro_libelle");
        $pro_charge = pget("pro_charge");
		
		if ($pro_libelle == 1)
			$activite = $lang_admin_confav_proc_act_type_act;
		if ($pro_libelle == 2)
			$activite = $lang_admin_confav_proc_act_type_as2;
		if ($pro_libelle == 3)
			$activite = $lang_admin_confav_proc_act_type_pesit;
		if ($pro_libelle == 4)
			$activite = $lang_admin_confav_proc_act_type_watch;
			
		$req = "SELECT COUNT(*)
				FROM PROCESSUS
				WHERE PRO_LIBELLE LIKE '%$activite%'";

		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$nbtProc= $row[0];
		$gDb->SQLFermeQuery(1);
		
		$trouve = false;
		for ($i = 1; $i <= $nbtProc & !$trouve; $i++)
		{
			$req = "SELECT PRO_NOM
				FROM PROCESSUS 
				WHERE PRO_NUMPROC = $i AND PRO_LIBELLE LIKE '%$activite%'";
				
			$gDb->SQLQuery($req,1);
			$row = $gDb->SQLNextRow(1);
			if (!$row['PRO_NOM'])
			{
				$trouve = true;
				$nbtProc = $i;
			}
			$gDb->SQLFermeQuery(1);
		}
		if (!$trouve)
		{
			$nbtProc++;
		}
		
		// Nombre max de moteurs = 255
		if ($nbtProc < 256)
		{
			$manifest_nom = '';
			$manifest_src = '';
			if ($pro_libelle == 1) //moteur d'activité
			{
				$pro_nom = "flowma-".$nbtProc;
				$manifest_nom = "flowma-$nbtProc.exe.manifest";
				$manifest_src = 'flowma-1.exe.manifest';
				$pro_libelle = $lang_admin_confav_proc_act_type_act_lbl.$nbtProc;
			}
			if ($pro_libelle == 2) //serveur AS2
			{
				$pro_nom = "srvas2-".$nbtProc;
				$manifest_nom = "srvas2-$nbtProc.exe.manifest";
				$manifest_src = 'srvas2-1.exe.manifest';
				$pro_libelle = $lang_admin_confav_proc_act_type_as2_lbl.$nbtProc;
			}
			if ($pro_libelle == 3) //serveur PeSIT
			{
				$pro_nom = "srvpesit-".$nbtProc;
				$pro_libelle = $lang_admin_confav_proc_act_type_pesit_lbl.$nbtProc;
			}
                        if ($pro_libelle == 4) //Moniteur de répertoire
			{
				$pro_nom = "flowwatch-".$nbtProc;
				$pro_libelle = $lang_admin_confav_proc_act_type_watch_lbl.$nbtProc;
			}
			
			$req = "SELECT FCO_REPBIN_IHM 
					FROM FLOWCONF";
					
			$gDb->SQLQuery($req,1);
			$row = $gDb->SQLNextRow(1);
			
			$fco_repbin_ihm = $row[0];
			
			$gDb->SQLFermeQuery(1);
			
			$pro_shell = $fco_repbin_ihm."/".$pro_nom."d";
			
			$req = "SELECT PRO_OS_MOTEUR, PRO_REP_STOCK_MOT, PRO_NOM,  
						PRO_REPCOM_MOT, PRO_NUMPROC, PRO_NOM, PRO_SHELL, PRO_TYPE_MOTEUR
					FROM PROCESSUS 
					WHERE PRO_LIBELLE LIKE '%$activite%'";
					
			$gDb->SQLQuery($req,1);
			$row = $gDb->SQLNextRow(1);
			if (!$row['PRO_NOM'])
			{
				$req = "SELECT PRO_OS_MOTEUR, PRO_REP_STOCK_MOT,
							PRO_NOM, PRO_REPCOM_MOT, PRO_NUMPROC,
							PRO_SHELL, PRO_TYPE_MOTEUR
					FROM PROCESSUS";
				$gDb->SQLFermeQuery(1);
				$gDb->SQLQuery($req, 1);
				$row = $gDb->SQLNextRow(1);
				$flagNotExist = true;
			}
			$gDb->SQLFermeQuery(1);
			
			
			$req = "INSERT INTO PROCESSUS ( PRO_NUMPROC, PRO_NOM, PRO_LIBELLE, PRO_REPCOM_MOT,
						PRO_REP_STOCK_MOT, PRO_SHELL, PRO_OS_MOTEUR, PRO_TYPE_MOTEUR, PRO_LISSAGE_CHARGE)
					VALUES ($nbtProc, '".sql_disp_dblQ($pro_nom)."', '".sql_disp_dblQ($pro_libelle)."', '".dblQ($row['PRO_REPCOM_MOT'])."',  
					'".dblQ($row['PRO_REP_STOCK_MOT'])."', '".dblQ($pro_shell)."', ".$row['PRO_OS_MOTEUR'].", ".$row['PRO_TYPE_MOTEUR'].", ".$pro_charge.")";
			$res = $gDb->SQLQuery($req, 1); 
				
			$filename = $fco_repbin_ihm."/".$row['PRO_NOM'].".exe";
			$f = @fopen($filename, "rb");	
			if ($f == null)
			{
				@fclose($f);
				$filename = $fco_repbin_ihm."/".$row['PRO_NOM']; // Cas Linux
				$f = @fopen($filename, "rb");	
				if ($f == null)
				{
					$res=null;
					@fclose($f);
				}
			}
			if ($f != null && ! $flagNotExist)
			{
				$lg = @filesize ($filename);
				$exe = @fread($f, $lg);
				@fclose($f);
				//AS:22/10/2007-gestion linux nom binaire
				if ($row['PRO_OS_MOTEUR'] == PRO_OS_MOTEUR_WIN)
				{
					$filename = $fco_repbin_ihm."/".$pro_nom.".exe";
				}
				else
				{
					$filename = $fco_repbin_ihm."/".$pro_nom;
				}
				//AS:22/10/2007-fin gestion linux nom binaire
				$f = @fopen($filename, "wb");
				if ($f==null)
				{
					$res=null;
					@fclose($f);
				}
				else
				{
					@fwrite($f, $exe, $lg);
					@fclose($f);
				}
				//AS:22/10/2007-gestion linux, chmod+x sur binaire
				if ($row['PRO_OS_MOTEUR'] == PRO_OS_MOTEUR_LINUX)
				{
					$execchmod = 'chmod +x '.$fco_repbin_ihm.'/'.$pro_nom;
					exec($execchmod);
				}
				//AS:22/10/2007-fin gestion linux, chmod+x sur binaire
				$filename = $fco_repbin_ihm."/".$row['PRO_NOM'].".cnf";
				$f = @fopen($filename, "rb");
				if ($f==null)
				{
					$res=null;
					@fclose($f);
				}
				else
				{
					$lg = @filesize ($filename);
					$exe = @fread($f, $lg);
					@fclose($f);
			
					$filename=$fco_repbin_ihm."/".$pro_nom.".cnf";
					$f = @fopen($filename, "wb");
					if ($f==null)
					{
						$res=null;
						@fclose($f);
					}
					@fwrite($f, $exe, $lg);
					@fclose($f);
				}	
				// Declaration du service sous Windows et copie du manifest si besoin
				if ($row['PRO_OS_MOTEUR'] == PRO_OS_MOTEUR_WIN)
				{
					if($manifest_nom!='')
						copy($fco_repbin_ihm.'\\'.$manifest_src, $fco_repbin_ihm.'\\'.$manifest_nom);
						
					$execService = $fco_repbin_ihm.'\\'.$pro_nom.'.exe -i';
					exec($execService);
				}
				//AS:22/10/2007-gestion linux, création script lancement et chmod+x sur script
				else
				{
					$filename = "shell_gene.sh";
					$f = @fopen($filename, "rb");
					if ($f==null)
					{
						$res=null;
						@fclose($f);
					}
					else
					{
						$lg = @filesize ($filename);
						$script = @fread($f, $lg);
						@fclose($f);
					}
					
					$filename = $pro_shell;
					$f = @fopen($filename, "wb");
					if ($f==null)
					{
						$res=null;
						@fclose($f);
					}
					else
					{
						@fwrite($f, "#!/bin/sh\n");
						@fwrite($f, "#\n");
						@fwrite($f, "#". $pro_nom."\n");
						@fwrite($f, "#\n");
						@fwrite($f, "PIDFILE=./".$pro_nom.".pid\n");
						@fwrite($f, "#\n");
						@fwrite($f, "PRG='./".$pro_nom."'\n");
						@fwrite($f, $script."\n");
						@fclose($f);
						$execchmod = 'chmod +x '.$pro_shell;
						exec($execchmod);
					}
				}
				//AS:22/10/2007-fin gestion linux, création script lancement et chmod+x sur script
			}
			if ($res == null)
			{	
				$gDb->SQLRollBack();
				$msg = $lang_admin_confav_proc_act_create_msg_err;
				$return = 1;
			}		
			else
			{	
				$gDb->SQLCommit();
				$msg = $lang_admin_confav_proc_act_create_msg_ok;
				$return = 0;
			}
			$gDb->SQLFermeQuery(1);
		}
        else
		{
            $msg = $lang_admin_confav_proc_act_msg_err_max_moteurs;
            $return = 1;
        }
	}
	else
	{
		$msg = $lang_admin_confav_proc_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$pro_os_moteur = pget("pro_os_moteur");
		$pro_rep_stock_mot = pget("pro_rep_stock_mot");
		$pro_repcom_mot = pget("pro_repcom_mot");
		$pro_charge = pget("pro_charge");
		$gDb->SQLTransact();
		
		$req = "UPDATE PROCESSUS SET PRO_OS_MOTEUR=".$pro_os_moteur.", 
					PRO_REP_STOCK_MOT='".dblQ($pro_rep_stock_mot)."',
					PRO_REPCOM_MOT='".dblQ($pro_repcom_mot)."', 
                    PRO_LISSAGE_CHARGE=".$pro_charge."
				WHERE PRO_ID='".$pro_id."'";
		$res = $gDb->SQLQuery($req, 1);
		if ($res==null)
		{
			$gDb->SQLRollBack();
			$msg = $lang_admin_confav_proc_act_modif_msg_err;
			$return = 1;
		}
		else
		{
			$gDb->SQLCommit();
			$msg = $lang_admin_confav_proc_act_modif_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_admin_confav_proc_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "suppr")
{
	if (droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$msg="";
		$gDb->SQLTransact();
		$req = "SELECT PRO_NOM, PRO_OS_MOTEUR, PRO_LIBELLE
				FROM PROCESSUS
				WHERE PRO_ID = $pro_id";
		$res = $gDb->SQLQuery($req,1);
		
		if($res == null)
		{
			$msg = $lang_admin_confav_proc_act_suppr_msg_err;
			$return = 1;			
		}
			
		$row = $gDb->SQLNextRow(1);
		$pro_nom = $row['PRO_NOM'];
		$pro_os_moteur = $row['PRO_OS_MOTEUR'];
		$pro_libelle = hi_disp($row['PRO_LIBELLE']);
		$gDb->SQLFermeQuery(1);
	
		$req = "SELECT FCO_REPBIN_IHM
				FROM FLOWCONF";
		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$fco_repbin_ihm = $row[0];
		$gDb->SQLFermeQuery(1);

		if (strstr($pro_nom, 'srvas2')!=false)
			$req = "SELECT COUNT(*) 
		        	FROM PROCESSUS WHERE PRO_LIBELLE LIKE '%".sql_disp_dblQ($lang_admin_confav_proc_act_type_as2_lbl)."%'";
		else if(strstr($pro_nom, 'srvpesit')!=false)
			$req = "SELECT COUNT(*) 
				FROM PROCESSUS WHERE PRO_LIBELLE LIKE '%".sql_disp_dblQ($lang_admin_confav_proc_act_type_pesit_lbl)."%'";
                else if(strstr($pro_nom, 'flowwatch')!=false)
                        $req = "SELECT COUNT(*) 
				FROM PROCESSUS WHERE PRO_LIBELLE LIKE '%".sql_disp_dblQ($lang_admin_confav_proc_act_type_watch_lbl)."%'";
		else
			$req = "SELECT COUNT(*) 
				FROM PROCESSUS WHERE PRO_LIBELLE LIKE '%".sql_disp_dblQ($lang_admin_confav_proc_act_type_act_lbl)."%'";
		
		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$nbtProc = $row[0];
		$gDb->SQLFermeQuery(1);
		
 		if ($pro_os_moteur == PRO_OS_MOTEUR_WIN)
 		{
			$fichier = $fco_repbin_ihm."/".$pro_nom.".exe";
			// Suppression du service
			exec($fichier." -u");
			
			// Suppression du manifest s'il existe
			$manifest_nom = $fco_repbin_ihm."/".$pro_nom.".exe.manifest";
			if (file_exists($manifest_nom))
				unlink($manifest_nom);
 		}
		else
			$fichier = $fco_repbin_ihm."/".$pro_nom; // Cas Linux	
		
		$res = @unlink($fichier);
		if ($res == null)
		{
			$msg = $lang_admin_confav_proc_act_supprbin_msg_err;
			$return = 1;
		}
		//AS:22/10/2007-suppression du script
		if ($pro_os_moteur == PRO_OS_MOTEUR_LINUX)
		{
			$fichier = $fco_repbin_ihm."/".$pro_nom."d";
			$res = @unlink($fichier);
			if ($res == null)
			{
				$msg = $lang_admin_confav_proc_act_supprshell_msg_err;
				$return = 1;
			}
		}
		//AS:22/10/2007-fin suppression du script
					
		$fichier = $fco_repbin_ihm."/".$pro_nom.".cnf";
		$res = @unlink($fichier);
		
		if ($res == null)
		{
			$msg = $lang_admin_confav_proc_act_supprconf_msg_err;
			$return = 1;
		}
			
		$res = $gDb->SQLQuery("DELETE FROM PROCESSUS WHERE PRO_ID = $pro_id", 1);
		
		if ($res == null)
		{
			$msg = $lang_admin_confav_proc_act_suppr_msg_err;
			$return = 1;
		}

		if ($msg)
			$gDb->SQLRollBack();
		else
		{
			$gDb->SQLCommit();
			$msg = $lang_admin_confav_proc_act_suppr_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_admin_confav_proc_act_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>