<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");


$page_courante = "admin/confav/proc/admin_confav_proc_actAffich.php";

$vtp = new VTemplate;

$pro_id	= pget('pro_id');
$action = pget('action');
$pro_version = '';
$pro_type_moteur = '';

$form = $vtp->Open($DEFAULT_PATH.'template/form.vtp');
$vtp->addSession($form, "global");

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_admin_confav_proc_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_confav_proc.gif");
$vtp->setVar($form, "global.help_id", "liste_process");

//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

switch($action)
{
	case "create":
		$readOnly = 'false';
		$panelTitle = $lang_admin_confav_proc_aff_pnl_title_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = 'false';
		$panelTitle = $lang_admin_confav_proc_aff_pnl_title_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
	case "detail":
		$readOnly = 'true';
		$panelTitle = $lang_admin_confav_proc_aff_pnl_title_detail;
		$panelIcon = $pathStyle."imgs/icons/loupe.gif";
		break;
}

$head_javascript = "
	var action = '$action';
	function verifForm()
	{
		var ret = true;	
		if(action != 'create')
		{
			if(document.getElementById('pro_repcom_mot').value.length == 0)
			{
				alert('$lang_admin_confav_proc_aff_msg_err_repcom_null');
				ret = false;
				document.getElementById('pro_repcom_mot').focus();
			}
			if(document.getElementById('pro_rep_stock_mot').value.length == 0)
			{
				alert('$lang_admin_confav_proc_aff_msg_err_repstock_null');
				ret = false;
				document.getElementById('pro_rep_stock_mot').focus();
			}
		}
		if (ret)
		{
			if(submitForm(document.forms['filtre'], Flow.path+'admin/confav/proc/admin_confav_proc_actAction.php', prlExec) ==0)
			{
			   changePage('admin_confav_proc.php');
			}
		}
	}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

if($action == "create")
{
	$javascript = "with(new prlComboList('pro_libelle')){
		dataSource = Flow.path+'dataSources/dSTypeMot.php?showNull=0';
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_typemot);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "with(new prlComboList('pro_charge')){
		add('$lang_lbl_non', '', '', '".PRO_SANS_LISSAGE_CHARGE."');
		add('$lang_lbl_oui', '', '', '".PRO_AVEC_LISSAGE_CHARGE."');
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_lissage_charge);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
}
else if(isset($pro_id))
{
	$req = "SELECT PRO_LIBELLE, PRO_REP_STOCK_MOT, PRO_VERSION, PRO_OS_MOTEUR,
				PRO_TYPE_MOTEUR, PRO_REPCOM_MOT, PRO_SHELL, PRO_LISSAGE_CHARGE 
   			FROM PROCESSUS
			WHERE PRO_ID=".$pro_id;
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);

	$pro_version = $row['PRO_VERSION'];
	$pro_type_moteur = $row['PRO_TYPE_MOTEUR'];
	$panelTitle .= " : ".hi_disp(addslashes($row['PRO_LIBELLE']));

	if ($pro_type_moteur == TYPE_MOTEUR_ACT)
		$type = $lang_admin_confav_proc_aff_lbl_type_act;
	else if ($pro_type_moteur == TYPE_MOTEUR_FLUX)
		$type = $lang_admin_confav_proc_aff_lbl_type_flux;
	else if ($pro_type_moteur == TYPE_MOTEUR_AS2)
		$type = $lang_type_moteur_as2;
	else if ($pro_type_moteur == TYPE_MOTEUR_PESIT)
		$type = $lang_type_moteur_pesit;
	else if ($pro_type_moteur == TYPE_MOTEUR_WATCH)
		$type = $lang_type_moteur_watch;
		
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_typemot);
	$vtp->setVar($form, "form_field.javascript", '');
	$vtp->setVar($form, "form_field.content", $type);
	$vtp->closeSession($form, "form_field");
	
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_version);
	$vtp->setVar($form, "form_field.javascript", '');
	$vtp->setVar($form, "form_field.content", ($pro_version? $pro_version: "NC"));
	$vtp->closeSession($form, "form_field");

	$javascript = "with(new prlComboList('pro_os_moteur', '${row['PRO_OS_MOTEUR']}')){
		dataSource = '${pathFlow}dataSources/dSComboOS.php?showNull=0';
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_os);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");

	$javascript = "with(new prlTextBox('pro_repcom_mot', prlTextBox.formats.any, urldecode('".utf8_urlencode($row['PRO_REPCOM_MOT'])."'))){
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_comrep);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");

	$javascript = "with(new prlTextBox('pro_rep_stock_mot', prlTextBox.formats.any, urldecode('".utf8_urlencode($row['PRO_REP_STOCK_MOT'])."'))){
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_stockrep);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	$javascript = "with(new prlComboList('pro_charge','${row['PRO_LISSAGE_CHARGE']}')){
		add('$lang_lbl_non', '', '', '".PRO_SANS_LISSAGE_CHARGE."');
		add('$lang_lbl_oui', '', '', '".PRO_AVEC_LISSAGE_CHARGE."');
		readOnly = $readOnly;
		create();
	}";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_confav_proc_aff_lbl_lissage_charge);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
    $gDb->SQLFermeQuery(1);
}

//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", addslashes($panelTitle));
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.readOnly", $readOnly);

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "pro_id");
$vtp->setVar($form, "form_input_hidden.value", $pro_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "pro_type_moteur");
$vtp->setVar($form, "form_input_hidden.value", $pro_type_moteur);
$vtp->closeSession($form, "form_input_hidden");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>