<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = SAD;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$where = "";
$f_nom = pget('f_nom');

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$clt_id = $_SESSION['CLT_ID'];

if ($f_nom)
	$where = "  WHERE PRO_LIBELLE LIKE '%".dblQ($f_nom)."%' ";
		
$req = "SELECT SQL_CALC_FOUND_ROWS
		      PRO_LIBELLE
		    , PRO_REP_STOCK_MOT
		    , PRO_VERSION
		    , PRO_OS_MOTEUR
		    , PRO_TYPE_MOTEUR
		    , PRO_ID
		    , PRO_NOM
		    , PRO_LISSAGE_CHARGE
		 FROM PROCESSUS
			  $where
		ORDER BY PRO_TYPE_MOTEUR,PRO_NOM";
	
$champs = array();
$champs[] = array("nom" => $lang_admin_confav_proc_grid_head_nom, "toolTip" => $lang_admin_confav_proc_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_proc_grid_head_rep, "toolTip" => $lang_admin_confav_proc_grid_head_rep_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_proc_grid_head_version, "toolTip" => $lang_admin_confav_proc_grid_head_version, "sortMode" => "2livewii");
$champs[] = array("nom" => $lang_admin_confav_proc_grid_head_os, "toolTip" => $lang_admin_confav_proc_grid_head_os_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_proc_grid_head_type, "toolTip" => $lang_admin_confav_proc_grid_head_type, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_proc_grid_head_statut, "toolTip" => $lang_admin_confav_proc_grid_head_statut, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_confav_proc_grid_head_lissage, "toolTip" => $lang_admin_confav_proc_grid_head_lissage, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';

echo '<header>';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';	
echo '</header>';

$req = "SELECT FCO_OS_WEB  
        FROM FLOWCONF";
$gDb->SQLQuery($req, 2);
$row2 = $gDb->SQLNextRow(2);
$fco_os_web = $row2['FCO_OS_WEB'];
$gDb->SQLFermeQuery(2);
    
if ($fco_os_web == FCO_OS_WEB_WIN)
    exec("net start", $buf, $res);
    
if ($fco_os_web == FCO_OS_WEB_LINUX)
    exec("ps -A", $buf, $res);
        
if ($res == 1)
{
    $statut = $lang_admin_confav_proc_grid_lbl_proc_unknown;
    $iconStatus = $pathFlow."style/imgs/icons/help.png";
    $onClick = "";
}

while ($row = $gDb->SQLNextRow(1))
{
	$params = array();
	$params['pro_id'] = $row['PRO_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
								'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)),
								'detail' => (droit($droitRole, DROIT_MODIF,null,null,null,null)));
	
	echo '<row>';
	
	$icon = $pathStyle."imgs/icons/traitement.gif";
	echo '<item caption="'.hi_disp($row['PRO_NOM']).'" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
			
	echo '<item caption="'.$row['PRO_REP_STOCK_MOT'].'"/>';
	echo '<item caption="'.$row['PRO_VERSION'].'"/>';
	
	$os = "";
	$icon = "";
	
	if ($row['PRO_OS_MOTEUR'] == PRO_OS_MOTEUR_WIN)
	{
		$os = $lang_admin_confav_proc_grid_lbl_os_win;
		$icon = $pathFlow.'style/imgs/icons/winlogo.gif';
	}
	else if ($row['PRO_OS_MOTEUR'] == PRO_OS_MOTEUR_LINUX)
	{
		$os = $lang_admin_confav_proc_grid_lbl_os_linux;
		$icon = $pathFlow.'style/imgs/icons/xlogo.gif';
	}
	echo '<item caption="'.$os.'" icon="'.$icon.'"/>';
	
	$type = "";
	$icon = "";
	if ($row['PRO_TYPE_MOTEUR'] == TYPE_MOTEUR_ACT)
	{
		$type = $lang_admin_confav_proc_grid_lbl_type_act;
		$icon = $pathFlow.'style/imgs/icons/exec.png';
	}
	else if ($row['PRO_TYPE_MOTEUR'] == TYPE_MOTEUR_FLUX)
	{
		$type = $lang_admin_confav_proc_grid_lbl_type_flux;
		$icon = $pathFlow.'style/imgs/icons/flux.gif';
	}
	else if ($row['PRO_TYPE_MOTEUR'] == TYPE_MOTEUR_AS2)
	{
		$type = $lang_type_moteur_as2;
		$icon = $pathFlow.'style/imgs/icons/menu/serveur.gif';
	}
	else if ($row['PRO_TYPE_MOTEUR'] == TYPE_MOTEUR_PESIT)
	{
		$type = $lang_type_moteur_pesit;
		$icon = $pathFlow.'style/imgs/icons/menu/srv_pesit.png';
	}
	else if ($row['PRO_TYPE_MOTEUR'] == TYPE_MOTEUR_WATCH)
	{
		$type = $lang_type_moteur_watch;
		$icon = $pathFlow.'style/imgs/icons/menu/folder_find.png';
	}
	
	echo '<item caption="'.$type.'" icon="'.$icon.'"/>';
	
	if ($res != 1)
	{
	    $statut = $lang_admin_confav_proc_grid_lbl_proc_stopped;
	    $iconStatus = $pathFlow."style/imgs/icons/rond_rouge.png";
		
	    foreach($buf as $rr)
		{
			if (preg_match("/".$row['PRO_NOM']."$/", $rr))
			{
				$statut = $lang_admin_confav_proc_grid_lbl_proc_launched;
				$iconStatus = $pathFlow."style/imgs/icons/rond_vert.png";
			}	
		}
	}	
	echo '<item icon="'.$iconStatus.'" caption="'.$statut.'" toolTip="'.$statut.'"/>';
	
	if ($row['PRO_LISSAGE_CHARGE'] == 1)
	{
	   echo '<item caption="'.$lang_lbl_oui.'"/>';
	}
	else
	{
       echo '<item caption="'.$lang_lbl_non.'"/>';
	}
	
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>