<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = COP;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/cpteur/admin_cpteur_actAction.php";

$com_id		= pget('com_id');
$action	= pget('action');
$cltID = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	if(droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$req = "DELETE FROM COMPTEUR WHERE COM_ID = $com_id";	
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_admin_cpteur_act_suppr_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_cpteur_act_suppr_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$msg = $lang_admin_cpteur_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$req = "SELECT MAX(COM_NUMERO) FROM COMPTEUR";
		$res=$gDb->SQLQuery($req, 1); 
		$row=$gDb->SQLNextRow(1); 
		if ($res==null)
		{
			$msg = $lang_admin_cpteur_act_create_msg_err;
			$return = 1;
		}
		else
		{
	 		$com_numero = $row[0]+1;
	 		$com_nom = pget("com_nom");
			$req = "INSERT INTO COMPTEUR (COM_VALEUR, COM_NUMERO, CLT_ID, COM_NOM)
					VALUES (1, $com_numero, $cltID,'$com_nom')";
			
			$res=$gDb->SQLQuery($req, 1); 
			$gDb->SQLFermeQuery(1);
			
			if ($res==null)
			{
				$msg = $lang_admin_cpteur_act_create_msg_err;
				$return = 1;
			}
			else
			{
				$msg = $lang_admin_cpteur_act_create_msg_ok;
				$return = 0;
			}	
		}
	}
	else
	{
		$msg = $lang_admin_cpteur_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$com_valeur = pget("com_valeur");
		$com_nom = pget("com_nom");
		$req = "UPDATE COMPTEUR SET COM_VALEUR = $com_valeur, COM_NOM = '$com_nom' WHERE COM_ID = $com_id";
		
		$res=$gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_admin_cpteur_act_modif_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_cpteur_act_modif_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>