<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."flow.ini.php");#for MSSQL et ORACLE

$droitRole = ALE; //droit de gestion des alertes
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "admin/journal/admin_journal.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "admin_journal");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);

if($ini_typeBase == 'mysql')
	$gDb->SQLQuery('SELECT ckey_j,mkey_j,mkey_t from `key` where mkey_j<>"000-00-00 00:00:00" or mkey_t <>"000-00-00 00:00:00" order by mkey_t desc;', 2);
else
{
	if($ini_typeBase == 'mssql')
		$gDb->SQLQuery('SELECT ckey_j,mkey_j,mkey_t from "key" where mkey_j<>0 or mkey_t <>0 order by mkey_t desc;', 2);
	else
		// #$gDb->SQLQuery("SELECT ckey_j,mkey_j,mkey_t from key where mkey_j<>'000-00-00 00:00:00' or mkey_t <>'000-00-00 00:00:00' order by mkey_t desc;", 2); # BG : 15/03/2012 : erreur ORA-01847
		$gDb->SQLQuery("SELECT ckey_j,mkey_j,mkey_t from key where mkey_j is not null or mkey_t is not null order by mkey_t desc;", 2);
}	
$row = $gDb->SQLNextRow(2);
# BG : 15/03/2012 : contournement du problème de CASSE sous ORACLE (si omission des doubles quotes mkey_j => MKEY_J en sortie de requête)
#if ($row['mkey_j']) $date = $row['mkey_j'];
#if ($row['mkey_t']) $date = $row['mkey_t'];
if ($row[1]) $date = $row[1];
if ($row[2]) $date = $row[2];

if($ini_typeBase == 'mysql')
	$gDb->SQLQuery('SHOW TABLES like "journal";', 3);
else
{

	if($ini_typeBase == 'mssql')
		#$gDb->SQLQuery("SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE table_name = 'JOURNAL';", 3);
		$gDb->SQLQuery("select name from sysobjects where xtype = 'U' and name = 'JOURNAL';", 3);
	else
		$gDb->SQLQuery("SELECT TABLE_NAME FROM USER_TABLES WHERE table_name = 'JOURNAL';", 3);
}	
	
$row = $gDb->SQLNextRow(3);
if (!$row[0]) $date = date("Y-m-d H:i:s");

$gDb->SQLFermeQuery(3);

if($ini_typeBase == 'mysql')
	$gDb->SQLQuery('SELECT ckey_j from `key` order by ckey_j desc limit 1;', 4);
else
{
	if($ini_typeBase == 'mssql')
		$gDb->SQLQuery('SELECT top 1 ckey_j from "key" order by ckey_j desc;', 4);
	else
		# BG : 05/03/2012 : bugzilla 3996
		# ORACLE ne renvoie aucun résultat pour rownum = 1 (la valeur attendue se trouve à la ligne n°2), il faut donc aller chercher la valeur minimale
		#old : $gDb->SQLQuery('SELECT ckey_j from key where rownum < 2 order by ckey_j desc;', 4); 
		$gDb->SQLQuery('select min(ckey_j) as ckey_j from key;', 4);
}

$row = $gDb->SQLNextRow(4);
if ($row['ckey_j']) $create = $row['ckey_j'];

if ($date){
	$vtp->setVar($form, "global.title", addslashes("JOURNAL - ").sql2date($date));
	$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/journal.png");
} else {
	$vtp->setVar($form, "global.title", addslashes("JOURNAL - ").sql2date($create));
	$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_journal.gif");
}

$vtp->setVar($form, "global.url_grid", $pathFlow."admin/journal/admin_journal_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");


//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");
					
$filtre[] = array("id_filtre" => "f_date", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_admin_journal_filtre_lbl_filtre_date,
					"value_filtre" => "");

$filtre[] = array("id_filtre" => "new_line");
					
$filtre[] = array("id_filtre" => "h_action", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_admin_journal_filtre_lbl_filtre_event,
					"ds_filtre" => $pathFlow."dataSources/dSAction.php?histo_event=1");

$filtre[] = array("id_filtre" => "h_table", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_admin_journal_filtre_lbl_filtre_table,
					"ds_filtre" => $pathFlow."dataSources/dSHistoTable.php");


mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
									, "title" => addslashes($lang_admin_log_title)),
						"csv" => true);

$body_js = "";


//visualiser
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
$option_toolbar[] = array("caption" => $lang_lbl_visu,
					"icon" => $pathStyle."imgs/icons/loupe.gif",
					"action" => array("name" => "visu",
									"page" => "admin/journal/admin_journal_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('ID','action')));

$body_js .= "
rowAction.actions.visu.check = function (params) {
	params.action = 'visu';
	return true;
};
";
}

//Executer
/*
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_log_grid_act_exec,
							"icon" => $pathFlow."style/imgs/icons/play.gif",
							"action" => array("name" => "exec",
											"page" => "admin/journal/admin_journal_actAction.php",
											"callback" => "prlExecGrid",
											"get_params" => array('cmd_id','action')));
	
	$option_toolbar[] = array("caption" => '',
							"icon" => '',
							"onClick" => '',
							"value" => '__SEPARATOR__');
	$body_js .= "
rowAction.actions.exec.check = function (params) {
	params.action = 'exec';
	var msg_exec = '".addslashes($lang_admin_log_grid_question_exec)."';
	return confirm(msg_exec);
};
";
}
*/

//Creer
/*
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'admin_journal_actAffich.php?action=create\');"
);
}
//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_log_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
											"page" => "admin/journal/admin_journal_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('cmd_id','action')));
	$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}

//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_admin_log_grid_act_suppr,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
												"page" => "admin/journal/admin_journal_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('ID','action')));
	$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_admin_log_grid_question_suppr)."';
	return confirm(msg_suppr);
};
";
}
*/
mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
