<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = ALE; //droit de gestion des logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "admin/log/admin_journal_actAffich.php";

$vtp = new VTemplate;

$id	= pget('ID');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "admin_journal_affichage");

$panelTitle = $lang_admin_log_aff_pnl_title_modif;
$panelIcon = $pathStyle."imgs/icons/admin.gif";

//Variable générales
$vtp->setVar($form, "global.title", "Journal");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_log.gif");
//$vtp->setVar($form, "global.panelTitle", $panelTitle);
//$vtp->setVar($form, "global.panelIcon", $panelIcon);

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", "true");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "id");
$vtp->setVar($form, "form_input_hidden.value", $id);
$vtp->closeSession($form, "form_input_hidden");

//if(!empty($id))
//{

if($ini_typeBase == "mysql")	
	$req = "SELECT `DATE`, `ACTION`, `TABLE`, `CHAMP`, `OLD` , `NEW`, `USER`
			FROM JOURNAL 
			WHERE ID = $id";
else		
{	
	if($ini_typeBase == "mssql")	
		$req = "SELECT DATE, ACTION, \"TABLE\", CHAMP, OLD , NEW, \"USER\"
			FROM JOURNAL 
			WHERE ID = $id";
	else
		$req = "SELECT \"DATE\", ACTION, \"TABLE\", CHAMP, OLD , NEW, \"USER\"
			FROM JOURNAL 
			WHERE ID = $id";
}

	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
//}

$head_javascript = "function verifForm() {history.go(-1);}";

$vtp->setVar($form, "global.head_javascript", $head_javascript);

// DATE
$DATE = $row['DATE'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_journal_aff_date);
$vtp->setVar($form, "form_field.content", $DATE);
$vtp->closeSession($form, "form_field");

// ACTION
$ACTION = $row['ACTION'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_journal_aff_action);
$vtp->setVar($form, "form_field.content", $ACTION);
$vtp->closeSession($form, "form_field");

// TABLE
$TABLE = $row['TABLE'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_journal_aff_table);
$vtp->setVar($form, "form_field.content", $TABLE);
$vtp->closeSession($form, "form_field");

$detail ="<table >";
$champ = explode("::", $row['CHAMP']);
$new   = explode("::", $row['NEW']);
$old   = explode("::", $row['OLD']);
$i=0;
foreach ($champ as $champ_val){
	
		switch($row['TABLE']){

			case "certificat" :
				if ($champ_val=="par_id"){
					switch($row['ACTION']){
						case "INSERT" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "DELETE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "UPDATE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[1], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[1] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
					}
				}
			break;
			case "val_par_gen" :
				if ($champ_val=="vpg_val"){
					switch($row['ACTION']){
						case "INSERT" :
							$gDb->SQLQuery('select typ_par_gen.tpg_libel,par_gen.pge_libel,par_flow.pfl_libel from val_par_gen, par_gen, typ_par_gen, par_flow where par_gen.pge_id=val_par_gen.pge_id and par_gen.tpg_num=typ_par_gen.tpg_num and val_par_gen.pfl_id=par_flow.pfl_id and val_par_gen.vpg_id='.$new[0], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[2] .= " (".$row3['tpg_libel']."-->".$row3['pge_libel']."-->".$row3['pfl_libel'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "DELETE" :
							$gDb->SQLQuery('select typ_par_gen.tpg_libel,par_gen.pge_libel,par_flow.pfl_libel from val_par_gen, par_gen, typ_par_gen, par_flow where par_gen.pge_id=val_par_gen.pge_id and par_gen.tpg_num=typ_par_gen.tpg_num and val_par_gen.pfl_id=par_flow.pfl_id and val_par_gen.vpg_id='.$old[0], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[2] .= " (".$row3['tpg_libel']."-->".$row3['pge_libel']."-->".$row3['pfl_libel'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "UPDATE" :
							$gDb->SQLQuery('select typ_par_gen.tpg_libel,par_gen.pge_libel,par_flow.pfl_libel from val_par_gen, par_gen, typ_par_gen, par_flow where par_gen.pge_id=val_par_gen.pge_id and par_gen.tpg_num=typ_par_gen.tpg_num and val_par_gen.pfl_id=par_flow.pfl_id and val_par_gen.vpg_id='.$old[0], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[2] .= " (".$row3['tpg_libel']."-->".$row3['pge_libel']."-->".$row3['pfl_libel'].")";
							$gDb->SQLFermeQuery(3);
							$gDb->SQLQuery('select typ_par_gen.tpg_libel,par_gen.pge_libel,par_flow.pfl_libel from val_par_gen, par_gen, typ_par_gen, par_flow where par_gen.pge_id=val_par_gen.pge_id and par_gen.tpg_num=typ_par_gen.tpg_num and val_par_gen.pfl_id=par_flow.pfl_id and val_par_gen.vpg_id='.$new[0], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[2] .= "</b> (".$row3['tpg_libel']."-->".$row3['pge_libel']."-->".$row3['pfl_libel'].")<b>";
							$gDb->SQLFermeQuery(3);
							break;
					}
				}
			break;
			case "flux" :
				if ($champ_val=="par_emet_id"){
					switch($row['ACTION']){
						case "INSERT" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[2], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[2] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "DELETE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[2], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[2] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "UPDATE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[2], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[2] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[2], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[2] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
					}
				}
				if ($champ_val=="par_dest_id"){
					switch($row['ACTION']){
						case "INSERT" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[3], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[3] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "DELETE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[3], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[3] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "UPDATE" :
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$old[3], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[3] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							$gDb->SQLQuery('SELECT par_nom from part where par_id='.$new[3], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[3] .= " (".$row3['par_nom'].")";
							$gDb->SQLFermeQuery(3);
							break;
					}
				}
				if ($champ_val=="for_id"){
					switch($row['ACTION']){
						case "INSERT" :
							$gDb->SQLQuery('SELECT for_nom, for_norme, for_version from format where for_id='.$new[4], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[4] .= " (".$row3['for_nom']."/".$row3['for_norme']."/".$row3['for_version'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "DELETE" :
							$gDb->SQLQuery('SELECT for_nom, for_norme, for_version from format where for_id='.$old[4], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[4] .= " (".$row3['for_nom']."/".$row3['for_norme']."/".$row3['for_version'].")";
							$gDb->SQLFermeQuery(3);
							break;
						case "UPDATE" :
							$gDb->SQLQuery('SELECT for_nom, for_norme, for_version from format where for_id='.$old[4], 3);
							$row3 = $gDb->SQLNextRow(3);
							$old[4] .= " (".$row3['for_nom']."/".$row3['for_norme']."/".$row3['for_version'].")";
							$gDb->SQLFermeQuery(3);
							$gDb->SQLQuery('SELECT for_nom, for_norme, for_version from format where for_id='.$new[4], 3);
							$row3 = $gDb->SQLNextRow(3);
							$new[4] .= "</b> (".$row3['for_nom']."/".$row3['for_norme']."/".$row3['for_version'].")<b>";
							$gDb->SQLFermeQuery(3);
							break;
					}
				}
			break;
		}
	

	if (isset($old[$i])) $tmpold="<b>old : </b>"; else $tmpold="";
	if (isset($new[$i])) $tmpnew="<b>new : </b>"; else $tmpnew="";
	if (isset($old[$i]) && isset($new[$i]) && ($old[$i]<>$new[$i])) $new[$i]="<b><font color='#ff0000'>".$new[$i]."</font></b>";
	$detail.="<tr><td><b>champ : </b>$champ_val</td><td>".$tmpold.(isset($old[$i])?$old[$i]:'')."</td><td>".$tmpnew.(isset($new[$i])?$new[$i]:'')."</td></tr>";
	$i++;
}
$detail.="</table>";

/*
$param      = 'http://blogama.org/ip_query.php?ip=195.140.159.108&output=xml';
$fiche      = simplexml_load_file(urlencode($param));
echo "<pre>";
print_r($fiche);
echo "</pre>";
echo $fiche->Ip;
*/

// DETAILS
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_journal_aff_detail);
$vtp->setVar($form, "form_field.content", $detail);
$vtp->closeSession($form, "form_field");

// USER
$USER = $row['USER'];
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_journal_aff_user);
$vtp->setVar($form, "form_field.content", $USER);
$vtp->closeSession($form, "form_field");


include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");

$vtp->Display();

?>