<?php

if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../";

$culture_content_type = "application/json; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require("$culture_folder/culture.php");
require("$culture_folder/culture.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = ALE; //droit de gestion des Logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;
$where = "";

require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/log/admin_log_actAction.php";

$cmd_id	= pget('cmd_id');						//Num de commande
$action	= pget('action');						//action

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	$req = "SELECT COUNT(*) AS NB
			FROM PAR_CMD_LOG 
			WHERE CMD_ID = $cmd_id 
				AND CMD_ETAT != ".ETAT_SUPPR;
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	if ($row['NB'] != 1)
	{
		$msg = $lang_admin_log_act_msg_cant_suppr;
		$return = 1;
		$gDb->SQLFermeQuery(1);
	}
	else
	{
		$gDb->SQLFermeQuery(1);
		$req = "UPDATE PAR_CMD_LOG 
				SET CMD_ETAT = ".ETAT_SUPPR." 
				WHERE CMD_ID = $cmd_id";
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_admin_log_act_suppr_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_log_act_suppr_msg_ok;
			$return = 0;
		}
		$gDb->SQLFermeQuery(1);
	}
}

else if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		//global $lang_admin_alert_act_create_msg_mm_nom;
		$fatal = false;
		$cmd_libel  	= pget('cmd_libel');
		$cmd_interval	= pget('cmd_interval');
		$cmd			= pget('cmd');
		$cmd_etat		= pget('cmd_etat');
		
		$req = "SELECT COUNT(*) AS NB
				FROM PAR_CMD_LOG 
				WHERE CMD_ETAT != ".ETAT_SUPPR." 
				AND CMD_LIBEL = '".dblQ($cmd_libel)."'";
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		if ($row['NB'] != 0)
		{
			$msg = $lang_admin_alert_act_create_msg_mm_nom;
			$return = 1;
			$fatal = true;
		}
		
		if (!$fatal)
		{
		
			$req = "INSERT INTO PAR_CMD_LOG 
						(CMD_LIBEL, CMD_INTERVAL, CMD_DATE, CMD, CMD_ETAT)
						VALUES
						('".dblQ($cmd_libel)."'
						,'$cmd_interval'
						, now()
						,'".dblQ($cmd)."' 
						,'$cmd_etat'
						)";
			$res = $gDb->SQLQuery($req, 1);
			if (!$res)
			{
				$msg = $lang_admin_log_act_create_msg_err;
				$return = 1;
			}
			else
				if ($res[0] == SQL_DUP_CHAMP)
				{
					$msg = $lang_admin_log_act_create_msg_mm_libel;
					$return = 1;
				}
				else
				{
					$msg = $lang_admin_log_act_create_msg_ok;
					$return = 0;
				}
			$gDb->SQLFermeQuery(1);
		}
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$fatal = false;
		$cmd_libel  	= pget('cmd_libel');
		$cmd_etat		= pget('cmd_etat');
		$cmd_interval	= pget('cmd_interval');
		$cmd			= pget('cmd');
		
		$req = "SELECT COUNT(*) AS NB
				FROM PAR_CMD_LOG 
				WHERE CMD_ETAT != ".ETAT_SUPPR." 
					AND CMD_LIBEL = '".dblQ($cmd_libel)."' 
					AND CMD_ID != $cmd_id";
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		if ($row['NB'] != 0)
		{
			$msg = $lang_admin_log_act_modif_msg_mm_nom;
			$return = 1;
			$fatal = true;
		}
		if (!$fatal)
		{
			$req = "UPDATE PAR_CMD_LOG SET
						CMD_LIBEL = '".dblQ($cmd_libel)."', 
						CMD_INTERVAL = $cmd_interval,
						CMD = '".dblQ($cmd)."',
						CMD_ETAT = $cmd_etat 
					WHERE CMD_ID = $cmd_id";
			$res = $gDb->SQLQuery($req, 1);
			if (!$res)
			{
				$msg = $lang_admin_log_act_modif_msg_err;
				$return = 1;
			}
			else 
				if ($res[0] == SQL_DUP_CHAMP)
				{
					$msg = $lang_admin_log_act_modif_msg_mm_libel;
					$return = 1;
				}
				else
				{
					$msg = $lang_admin_log_act_modif_msg_ok;
					$return = 0;
				}
			$gDb->SQLFermeQuery(1);
		}
	}
	else
	{
		$msg = $lang_admin_alert_act_msg_err_droit;
		$return = 1;
	}
} 
else if ($action == "exec")
{
	if (droit($droitRole, DROIT_EXEC,null,null,null,null))
	{
			$req = "SELECT CMD
			FROM PAR_CMD_LOG 
			WHERE CMD_ID = $cmd_id";

			$gDb->SQLQuery($req, 1);
			$row = $gDb->SQLNextRow(1);
		
			$cmd = $row['CMD'];
			$gDb->SQLFermeQuery(1);

			if ($cmd){
			
				$fp=popen($cmd,"r");
				pclose($fp);

				$req = "UPDATE PAR_CMD_LOG
						SET CMD_DATE = now() 
						WHERE CMD_ID = $cmd_id";
	
				$gDb->SQLQuery($req, 1);
				$gDb->SQLFermeQuery(1);
			
				$msg = $lang_admin_log_act_exec_msg_ok;
				$return = 0;
			} else {
				$msg = $lang_admin_log_act_exec_msg_err;
				$return = 1;
			}
	}
}		
$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
	//Header("content-type: application/xml");
	//echo "<xml><res>".encode_JSON($reponse)."</res></xml>";
} else {
	echo encode_JSON($reponse);
}	

?>