<?php
$DEFAULT_PATH = "../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once ($DEFAULT_PATH."flow.ini.php");	
require_once ("uifws.php");

$hdr = file_get_contents("php://input");
if (strpos($hdr,'<SOAP-ENV:Header>')===false) {
	$hdr = null;
} else {
	$hdr = explode('<SOAP-ENV:Header>',$hdr);
	$hdr = explode('</SOAP-ENV:Header>',$hdr[1]);
	$hdr = $hdr[0];
}

ini_set("soap.wsdl_cache_enabled", "0");
$server = new SoapServer (NULL, array('uri' => 'http://UIF'));
$server->setClass('UIFWebService',$hdr);
if ($_SERVER["REQUEST_METHOD"] == "POST") {
	$server->handle();
} else {
    if ((isset($_GET['login'])) AND (isset($_GET['password']))) {

        $login=htmlentities($_GET['login']);
        $password=htmlentities($_GET['password']);
        if (isset($_GET['action']))    {$action=urldecode(htmlentities($_GET['action']));}        else notice($server);
        $hdr='<xml><login>'.$login.'</login><password>'.$password.'</password></xml>';
        $ws = new UIFWebService($hdr);
        $wscom='$ws->'.$action;
        $func=explode("(",$action);
        if (method_exists($ws, $func[0])) {
            eval('$res=' . $wscom . ';');
        } else notice($server);
        
        if ($res>=0 AND is_array($res)) {
            Header("content-type: application/xml");
            echo '<xml>';
            foreach($res as $nb=>$row) {
                echo '<row'.$nb.'>';
                $pair=false;
                foreach($row as $cle=>$valeur) {
                    if ($pair) {
                        echo '<' . $cle . '>';
                        echo $valeur;
                        echo '</' . $cle . '>';
                    $pair=false;    
                    } else {
                    $pair=true;
                    }
                }
                echo '</row'.$nb.'>';
            }
            echo '</xml>';
        } else {
            if ($res==-2)                                // erreur couche sécurité (login/password ou parametre manquant ou erroné)
                notice($server);
            else                                         // si  0 --> ok  
                if ($res) echo $res;   // si -1 --> erreur traitement lors d'une requete SQL ou action non autorisé
        }
    } else {
		if(isset($_GET['WSDL']) || isset($_GET['wsdl']))
			include 'makeWSDL.php';
		else
			notice($server);
    }    
}

function notice($server) {
	require_once('actions.php');
    
	echo '<xml><info><b>Ce serveur SOAP/REST peut gérer les fonctions suivantes :<br/><br/></b></info>';
    $functions = $server->getFunctions();
    foreach($functions as $func)
        if ($func!="__construct") echo "<func>$func()<br/></func>";
    
	echo '<br/><info><b>La fonction <i>exec_uif</i> accepte les actions suivantes :<br/><br/></b></info>';
	foreach($Actions as $act => $val)
		echo "<func>$act : <i>${val[1]}</i><br/></func>";
    
	echo '</xml>';
	
	echo "<br/><a href='${_SERVER['PHP_SELF']}?wsdl'>WSDL de la classe UIFWebService</a>";
	
	exit();
}

?>
