<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PUR;
$lmcse = DROIT_EXEC;

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "admin/purge/admin/admin_purge_actAction.php";

$action = pget('action');
$clt_id = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "modif")
{
	$CLT_HEURE_PURGE = pget('CLT_HEURE_PURGE');
	$CLT_DELAI_PURGE = pget('CLT_DELAI_PURGE');
	
	/*
	$req = "UPDATE CLIENT  
			SET CLT_HEURE_PURGE = '".dblQ($CLT_HEURE_PURGE)."',
			CLT_DELAI_PURGE = '".dblQ($CLT_DELAI_PURGE)."'
			WHERE CLT_ID = $clt_id";
	*/
	
	$heure_purge="'".dblQ($CLT_HEURE_PURGE)."'";
	$delai_purge="'".dblQ($CLT_DELAI_PURGE)."'";
	
	/* Bz 3996 BG 11/07/2012 : inutile de transformer en date car CLT_HEURE_PURGE et CLT_DELAI_PURGE => number(10,0)
	if($ini_typeBase == 'oracle')
	{
		$heure_purge="TO_DATE ($heure_purge, 'YYYY/MM/DD HH24:MI:SS')";
		$delai_purge="TO_DATE ($delai_purge, 'YYYY/MM/DD HH24:MI:SS')";
	}
	*/

	$req = "UPDATE CLIENT  
			SET CLT_HEURE_PURGE = $heure_purge,
			CLT_DELAI_PURGE = $delai_purge
			WHERE CLT_ID = $clt_id";
			
	if (!$gDb->SQLQuery($req, 1))
	{
		$msg = $lang_admin_purge_act_modif_msg_err;
		$return = 1;
	}
	else
	{
		$msg = $lang_admin_purge_act_modif_msg_ok;
		$return = 0;
	}
	$gDb->SQLFermeQuery(1);
}
else if ($action == "purge")
{
	$emet = pget('PRG_EMET');
	$dest = pget('PRG_DEST');
		
	if($emet == '1')
		$PRG_EMET = "NULL";
	else
		$PRG_EMET = $emet;
		
	if($dest == '1')
		$PRG_DEST = "NULL";
	else
		$PRG_DEST = $dest;
	
	$PRG_TDOC = ((pget('PRG_TDOC'))? pget('PRG_TDOC'):"-1") ;
	$PRG_DELAI = pget('PRG_DELAI');
	
	if ( !droit($droitRole,"xor",($PRG_EMET == "NULL"?null:$PRG_EMET),($PRG_DEST == "NULL"?null:$PRG_DEST),$PRG_TDOC,null))
	{
		$msg = $lang_admin_purge_act_msg_err_droit;
		$return = 1;
	}
	else
	{
		$dateModif = date("Y-m-d H:i:s");
		
		/*		
		$req = "INSERT INTO PURGES
				(PRG_EMET, PRG_DEST, PRG_DELAI, PRG_TDOC, PRG_DATE, PRG_MANUEL, CLT_ID)
				VALUES
				($PRG_EMET , $PRG_DEST, '".dblQ($PRG_DELAI)."',
				 $PRG_TDOC, '".dblQ($dateModif)."', 1, $clt_id)";
		*/
		
		
		$date="'".dblQ($dateModif)."'";
		
		if($ini_typeBase == 'oracle')
			$date="TO_DATE ($date, 'YYYY/MM/DD HH24:MI:SS')";
		else if($ini_typeBase == 'mssql')
			$date="convert(datetime, $date, 120)";

		$req = "INSERT INTO PURGES
				(PRG_EMET, PRG_DEST, PRG_DELAI, PRG_TDOC, PRG_DATE, PRG_MANUEL, CLT_ID, CPT_ID)
				VALUES
				($PRG_EMET , $PRG_DEST, '".dblQ($PRG_DELAI)."',
				 $PRG_TDOC, $date, 1, $clt_id, ${_SESSION['CPT_ID']})";
		
		if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_admin_purge_act_purge_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_admin_purge_act_purge_msg_ok;
			$return = 0;
		}

		$gDb->SQLFermeQuery(1);
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
} else {
	echo encode_JSON($reponse);
}
?>