<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$droitRole = PUR;
$lmcse = DROIT_EXEC;
$page_courante = "admin/purge/admin/admin_purge.php";
$clt_id = $_SESSION['CLT_ID'];

$vtp = new VTemplate;
$form = $vtp->Open("admin_purge.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.PATH", $pathFlow);
$vtp->setVar($form, "global.pathStyle", $pathStyle);
$vtp->setVar($form, "global.droitRole", $droitRole);
$vtp->setVar($form, "global.droits", $lmcse);
$vtp->setVar($form, "global.PART_EMET", PART_EMET);
$vtp->setVar($form, "global.PART_DEST", PART_DEST);

$req = "SELECT CLT_DELAI_PURGE, CLT_HEURE_PURGE
      	FROM CLIENT 
      	WHERE CLT_ID = $clt_id";
$gDb->SQLQuery($req,1);
$row = $gDb->SQLNextRow(1);
$CLT_DELAI_PURGE = $row['CLT_DELAI_PURGE'];
$CLT_HEURE_PURGE = $row['CLT_HEURE_PURGE'];
$gDb->SQLFermeQuery(1);

$vtp->setVar($form, "global.CLT_DELAI_PURGE", $CLT_DELAI_PURGE);
$vtp->setVar($form, "global.CLT_HEURE_PURGE", $CLT_HEURE_PURGE);


$vtp->setVar($form, "global.title", addslashes($lang_admin_purge_title));
$vtp->setVar($form, "global.pnl_title_auto", $lang_admin_purge_pnl_title_auto);
$vtp->setVar($form, "global.pnl_title_manuel", $lang_admin_purge_pnl_title_manuel);

$vtp->setVar($form, "global.lbl_delaiRejeu", $lang_admin_purge_lbl_delaiRejeu);
$vtp->setVar($form, "global.lbl_heurePurge", $lang_admin_purge_lbl_heurePurge);
$vtp->setVar($form, "global.lbl_jour", $lang_admin_purge_lbl_jour);
$vtp->setVar($form, "global.lbl_heure", $lang_admin_purge_lbl_heure);
$vtp->setVar($form, "global.msg_err_heure_null", $lang_admin_purge_msg_err_heure_null);
$vtp->setVar($form, "global.msg_err_delaiRejeu_null", $lang_admin_purge_msg_err_delaiRejeu_null);

$vtp->setVar($form, "global.lbl_emet", $lang_admin_purge_lbl_emet);
$vtp->setVar($form, "global.lbl_dest", $lang_admin_purge_lbl_dest);

$vtp->setVar($form, "global.lbl_delaiConserv", $lang_admin_purge_lbl_delaiConserv);
$vtp->setVar($form, "global.lbl_typeDoc", $lang_admin_purge_lbl_typeDoc);

$vtp->setVar($form, "global.btn_valid", $lang_admin_purge_btn_valid);
$vtp->setVar($form, "global.btn_launchPurge", $lang_admin_purge_btn_launchPurge);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.head_javascript", "top.help.id = '20040108130255;20040108130248';");
$vtp->closeSession($form, "global");
$vtp->Display();
?>
