<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = TAB;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");


$tab_req = pget('tab_req');
$limit = pget('limit');

if($tab_req)
{
	$req = $tab_req;
	$champs = array();
	
	if ($gDb->SQLQuery($req, 1))
	{
		$nbtotal = 0;
		while ($gDb->SQLNextRow(1)) 
		{
			if ($nbtotal == 0)
			{
				$nbcol = $gDb->SQLNumFields(1);
				for ($i = 0; $i < $nbcol; $i++) 
				{
					$nom_col[$i] = $gDb->SQLFieldName($i, 1);
					$champs[] = array("nom" => $gDb->SQLFieldName($i, 1), "toolTip" => $gDb->SQLFieldName($i, 1), "sortMode" => "1");
				}
			}
			$nbtotal++;
		}
		$gDb->SQLFermeQuery(1);
	}
	if($limit)
		$req .= " LIMIT $limit";
	 
	echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$nbtotal.'">';
	echo '<header>';
	
	foreach ($champs as $col)
		echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
	echo '</header>';
	
	$gDb->SQLQuery($req, 1);
	while ($row = $gDb->SQLNextRow(1))
	{
		echo '<row>';
		for ($i = 0; $i < $nbcol; $i++) 
			echo '<item caption="'.hi_disp($row[$nom_col[$i]]).'"/>';
		
		echo '</row>';
	}
	$gDb->SQLFermeQuery(1);
	echo '</databind>';
}
else
	echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="0"></databind>';
?>