<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
require_once ($DEFAULT_PATH."flow.php");
require_once ($DEFAULT_PATH."flow_tools.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = ACT;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$page_courante = "admin/trait/admin_trait_actAffich.php";

$TAC_NOM = pget("TAC_NOM");
$etat    = pget("etat");
$tableES = pget("tableES");

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_admin_trait_title)." ".$TAC_NOM);
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/admin_trait.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."admin/trait/admin_trait_act_dSGrid.php?TAC_NOM=".$TAC_NOM."&tableES=".$tableES."&etat=".$etat);
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "true");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "trait_en_cours");

$action = pget('action');
 

// titre de la page

if ($tableES =="S"){
	$libel="Sorties ";
	$ES="S_";
} else{
	$libel="Entrees ";
	$ES="E_";
}

if ($etat==ETATTRAIT_MANUEL){
	$whereEtat=" ".$ES."ETATTRAIT=".ETATTRAIT_MANUEL;
	$libel.="desactivees";
} else {
	$whereEtat=" ( ".$ES."ETATTRAIT  IS NULL or ".$tableES."_ETATTRAIT=0 ) ";
	$libel.="non traitees";
}

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);

//****************************************************
//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => true,
"detail" => false,
"print" => array("show" => false,
"title" => ""),
"csv" => false);

$body_js = "";

// Retour
$option_toolbar[] = array("caption" => "Retour",
		"icon" => $pathFlow."style/imgs/icons/retour.gif",
		"onClick" => "changePage(\'admin_trait.php\');");

$cap=($etat==1?$lang_lbl_desactiver:$lang_lbl_activer);
// Activer/Desactiver
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	
	$option_toolbar[] = array("caption" => '',
								"icon" => '',
								"onClick" => '',
								"value" => '__SEPARATOR__');
	
	$option_toolbar[] = array("caption" => $cap,
								"icon" => $pathFlow."style/imgs/icons/play.gif",
								"action" => array("name" => "valid",
													"page" => "admin/trait/admin_trait_actAction.php",
													"callback" => "prlExecGrid",
													"get_params" => array('action','liste','tableES','etat','TAC_NOM',$tableES.'_ID')));
	//visualiser
	$option_toolbar[] = array("caption" => $lang_lbl_visu,
								"icon" => $pathStyle."imgs/icons/loupe.gif",
								"action" => array("name" => "visu",
												"page" => "admin/trait/sui_listing_fic.php",
												"callback" => "openPopUp",
												"get_params" => array('doc','for_id')));
	$body_js .= "
rowAction.actions.valid.check = function (params, list_params) {
	params.action = 'valid';
	params.liste = '';
	for(var i = 0; i < list_params.length; ++i)
		params.liste +=  (i? '_'+list_params[i].".$tableES."_ID: list_params[i].".$tableES."_ID);	
	return true;
};

";

	// Supprimer
	if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
		$option_toolbar[] = array("caption" => $lang_lbl_supprimer,
									"icon" => $pathFlow."style/imgs/icons/trash.png",
									"action" => array("name" => "suppr",
														"page" => "admin/trait/admin_trait_actAction.php",
														"callback" => "prlExecGrid",
														"get_params" => array('action','liste','tableES','etat','TAC_NOM',$tableES.'_ID')));
														
		$body_js .= "
			rowAction.actions.suppr.check = function (params, list_params) {
				params.action = 'suppr';
				var msg_suppr = '".addslashes($lang_admin_confav_act_grid_question_suppr)."';
				var ret = confirm(msg_suppr);
				if(ret==true)
				{
					params.liste = '';
					for(var i = 0; i < list_params.length; ++i)
						params.liste +=  (i? '_'+list_params[i].".$tableES."_ID: list_params[i].".$tableES."_ID);
				}
				return ret;
			};
		";
	}
}



mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);
//****************************************************
$vtp->closeSession($form, "global");
$vtp->Display();
?>
