<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = ACT; //droit de gestion des familles
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$f_nom = pget('f_nom');
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');
$where="";

if($f_nom)
	$where = " AND ACT_LIBEL LIKE '%".dblQ($f_nom)."%' ";

/*
if ($where)
	$where = " AND " . $where;
*/	
$req = "SELECT ACT_LIBEL, ACT_ID, TAC_NOM
		FROM ACTIVITE, TYPE_ACT
		WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM"
		.$where.
		" ORDER BY ACT_LIBEL";

$champs = array();
$champs[] = array("nom" => $lang_admin_trait_grid_head_nom, "toolTip" => $lang_admin_trait_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_trait_grid_head_entree_non_trait, "toolTip" => $lang_admin_trait_grid_head_entree_non_trait, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_trait_grid_head_sortie_non_trait, "toolTip" => $lang_admin_trait_grid_head_sortie_non_trait, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_trait_grid_head_entree_off, "toolTip" => $lang_admin_trait_grid_head_entree_off, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_trait_grid_head_sortie_off, "toolTip" => $lang_admin_trait_grid_head_sortie_off, "sortMode" => "1");

$buf = '';
$maxRow = 0; 

$gDb->SQLQuery($req, 1);
/*
$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);
*/

while ($row = $gDb->SQLNextRow(1))
{
	$output = '';
	
	$tabReq = array();
	$tabReq[] = array("type" => "E", "where" => "(E_ETATTRAIT = 0 OR E_ETATTRAIT IS NULL)", "etat" => ETATTRAIT_OK);
	$tabReq[] = array("type" => "S", "where" => "(S_ETATTRAIT = 0 OR S_ETATTRAIT IS NULL)", "etat" => ETATTRAIT_OK);
	$tabReq[] = array("type" => "E", "where" => "E_ETATTRAIT = ".ETATTRAIT_MANUEL, "etat" => ETATTRAIT_MANUEL);
	$tabReq[] = array("type" => "S", "where" => "S_ETATTRAIT = ".ETATTRAIT_MANUEL, "etat" => ETATTRAIT_MANUEL);
	
	$hasItem = false;
	$temp = '';
	
	foreach($tabReq as $item)
	{
		$req = "SELECT COUNT(*) 
	       		FROM ".$item['type']."_".$row['TAC_NOM']."
				WHERE ".$item['where'];
		//print $req."    ";		
		$compteur=0;
		$gDb->SQLQuery($req, 2);
		$row1 = $gDb->SQLNextRow(2);
		$nbNonTrait = $row1[0];
		$gDb->SQLFermeQuery(2);
		
		if ($nbNonTrait >= 1)			
		{
			$temp .= '<item';
			$img = (($item['etat'] == ETATTRAIT_OK)?"rond_rouge.png":"rond_jaune.png");
			$temp .= ' toolTip="'.$lang_admin_trait_grid_lbl_statut.'" icon="'.$pathStyle.'imgs/icons/'.$img.'"';
			$url = $DEFAULT_PATH."admin/trait/admin_trait_actAffich.php?TAC_NOM=".$row['TAC_NOM']."&tableES=".$item['type']."&etat=".$item['etat'];
			$temp .= ' onClick="changePage(\''.urlencode($url).'\');"';
			$temp .= ' caption="'.hi_disp('<a>'.$nbNonTrait.'</a>').'"/>';
			$hasItem = true;
		}
		else
		{
			$temp .= '<item/>';
		}
	}
	
	if($hasItem)
	{
		$output .= $temp;
	}
	
	if($output)
	{
		++$maxRow;
		$buf .= '<row>';
		$buf .= '<item caption="'.hi_disp($row['ACT_LIBEL']).'"/>';
		$buf .= $output;
		$buf .= '</row>';
	} 
	
}
$gDb->SQLFermeQuery(1);
$page= '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
$page.='<header>';
foreach ($champs as $col)
	$page.= '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
$page.= '</header>';
echo $page;
echo $buf;
echo '</databind>';
?>