<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$droitRole = FRM;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;
$page_courante = "business/form/bus_form.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$vtp->setVar($form, "global.head_javascript", "");
$vtp->setVar($form, "global.help_id", "bus_form");

$vtp->setVar($form, "global.title", addslashes($lang_menu_lbl_frm_vierge));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/form.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."business/form/bus_form_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
"value_filtre" => $ini_taille_page_suivi,
"ds_filtre" => $dataSrc);

$filtre[] = array("id_filtre" => "new_line");


//Date debut

$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
"libelle_filtre" => $lang_lbl_datedeb,
"value_filtre" => (isset($f_date_deb))?$f_date_deb:'');

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
"libelle_filtre" => $lang_lbl_datefin,
"value_filtre" => (isset($f_date_fin))?$f_date_fin:'');

$filtre[] = array("id_filtre" => "new_line");

//Emetteur
$filtre[] = array("id_filtre" => "f_emetteur", "type_filtre" => "prlFiltreField.types.prlComboTree",
"libelle_filtre" => $lang_lbl_emet,
"value_filtre" => (isset($f_emetteur))?$f_emetteur:'',
"loadondropdown_filtre" => true,
"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Destinataire
$filtre[] = array("id_filtre" => "f_destinataire", "type_filtre" => "prlFiltreField.types.prlComboTree",
"libelle_filtre" => $lang_lbl_dest,
"value_filtre" => (isset($f_destinataire))?$f_destinataire:'',
"loadondropdown_filtre" => true,
"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");

//Criteres Emetteur
require $DEFAULT_PATH."dataSources/dSCriteres.php";
$filtre[] = array("id_filtre" => "fromPE", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_lbl_critere,
"value_filtre" => (isset($fromPE))?$fromPE:'',
"ds_filtre" => $dataSrc);
//Criteres Destinataire
$filtre[] = array("id_filtre" => "fromPD", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_lbl_critere,
"value_filtre" => (isset($fromPD))?$fromPD:'',
"ds_filtre" => $dataSrc);


mkFiltre($vtp, $form, $filtre);

//*
//* Création de la toolbar
//*

$option_toolbar = array("select" => true,
"detail" => false,
"print" => array("show" => false
, "title" => addslashes($lang_menu_lbl_frm_vierge)),
"csv" => false);

if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	//Saisir
	$option_toolbar[] = array("caption" => $lang_bus_frm_grid_act_saisir,
		"icon" => $pathFlow."style/imgs/icons/original.gif",
		"action" => array("name" => "saisir",
		"page" => "business/form/formsaisie/formSaisie.php",
		"callback" => "changePage",
		"get_params" => array('e_id', 'frm_id', 'action')));


	$option_toolbar[] = array("caption" => '',
			"icon" => '',
			"onClick" => '',
			"value" => '__SEPARATOR__');

	//Valider
	$option_toolbar[] = array("caption" => $lang_bus_val_grid_act_valid,
		"icon" => $pathFlow."style/imgs/icons/valid_ok.png",
		"action" => array("name" => "valider",
		"page" => "business/form/bus_form_actRV.php",
		"callback" => "changePage",
		"get_params" => array('e_id', 'action')));

	//Annuler traitement
	if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
		$option_toolbar[] = array("caption" => '',
			"icon" => '',
			"onClick" => '',
			"value" => '__SEPARATOR__');

		$option_toolbar[] = array("caption" => $lang_bus_frm_grid_act_annuler,
		"icon" => $pathFlow."style/imgs/icons/trash.png",
		"action" => array("name" => "rejeter",
		"page" => "business/form/bus_form_actRV.php",
		"callback" => "changePage",
		"get_params" => array('e_id','action')));
	}

	$body_js = "

rowAction.actions.saisir.check = function (params) {
	params.action = 'saisir';
	return true;
};

rowAction.actions.valider.check = function (params) {
	params.action = 'valider';
	return true;
};
";

	if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
		$body_js .= "
		rowAction.actions.rejeter.check = function (params) {
			params.action = 'rejeter';
			var msg_exec = '".addslashes($lang_bus_frm_grid_act_annuler_confirm)."';
			return confirm(msg_exec);
		};";
	}
}
else
{
	$body_js = "";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>