var actForm=''; //div du formulaire actif
var currentForm='';//formulaire actif
var precAction=''; //action précédente
var pereId=''; //utilisé lors de la validation du create
var rangId=''; //utilisé lors de la validation du modify

var div_height;

function mem_size(update)
{
	div_height = ($('tree_div').offsetParent.clientHeight -30)+ 'px'; // 30 = 25 hauteur bouton + 5 margin
	if(update==true)
	{
		for (key in Prologue.forms.form)
			if ($(key+'_div'))
				$('form_div_'+key).style.height= div_height;
	}
}

function enable_button(valid_create, valid_modify, valid_delete)
{
	Prologue.ui.setOpacity($('treeButton_create'), valid_create?100:20);
	Prologue.ui.setOpacity($('treeButton_modify'), valid_modify?100:20);
	Prologue.ui.setOpacity($('formButton_delete'), valid_delete?100:20);
}

function displayForm (form)
{
	var present = false;
	for (key in Prologue.forms.form)
	{
		if ($(key+'_div'))
		{
			if (key == form)
			{
				Prologue.page.display(key+'_div','');
				$('form_div_'+key).style.height= div_height;
				present = true;
				actForm = key+'_div';
				currentForm = key;
			}
			else
				Prologue.page.display(key+'_div','none');
		}
	}

	if (present == true)
		Prologue.page.display('button_div','');
	else
	{
		Prologue.page.display('button_div','none');
		actForm = '';
		currentForm = '';
	}
}

function getSelectedSeq (alertMessage)
{
	var sel=Prologue.treeView.getSelected('formTreeView');
	if (sel.value)
		return sel.value;
	else
	{
		alert(alertMessage);
		return false
	}
}

String.prototype.tokenValue = function (token, sep)
{
	var deb = this.indexOf(token) + token.length + 1;
	var end = this.indexOf(sep, deb);
	if(end>0)
		return this.substring(deb, end);
	else
		return this.substring(deb);
};

function loadSeq(actionType)
{
	if (actionType == 'delete')
	{
		if(Prologue.ui.getOpacity($('formButton_delete'))==100)
			var alertMessage = lang_select_RowToDelete;
		else
			return;
	}
	else if (actionType == 'modify')
	{
		if(Prologue.ui.getOpacity($('treeButton_modify'))==100)
			var alertMessage = lang_select_RowToModify;
		else
			return;
	}
	else if (actionType == 'create')
	{
		if(Prologue.ui.getOpacity($('treeButton_create'))==100)
			var alertMessage = lang_select_RowToCreate;
		else
			return;
	}
	else
		return;

	if (actionType == 'delete' && !confirm (lang_confirm_suppr))
		return;

	var value = getSelectedSeq (alertMessage);
	if (value != false)
	{
		if (confirmSaveCurrentForm())
		{
			var idForm = value.tokenValue('name', '&');
			var idRank = value.tokenValue('id', '&');
			var idPere = value.tokenValue('idPere', '&');

			if (idForm.toLowerCase() != '')
			{
				pereId = idPere;
				if(actionType == 'delete')
				{
					currentForm = idForm;
					rangId = idRank;
					formSubmit(actionType);
					currentForm = '';
					actionType = '';
				}
				else if(actionType == 'create')
				{
					//document.forms[idForm].reset();
					Prologue.form.resetAct(idForm);
					rangId = 0;
					displayForm(idForm);
				}
				else if(actionType == 'modify')
				{
					//document.forms[idForm].reset();
					Prologue.form.resetAct(idForm);
					rangId = idRank;
					updateForm (idForm, idRank);
				}
			}
		}
		precAction = actionType;
	}
}

function updateForm (idForm, idRank)
{
	Prologue.windowForm.update(idForm, 'treeView', idRank, 'modify');
	displayForm(idForm);
}

function confirmSaveCurrentForm ()
{
	if (currentForm != '')
	{
		if (confirm(lang_confirm_save))
			formSubmit(precAction);
	}
	return true;
}

function formSubmit (actionType)
{
	if (currentForm && $(currentForm))
	{
		form = $(currentForm);
		if (Prologue.forms.form[currentForm])
		{  //traitement des parametres en GET
			var act = Prologue.forms.form[currentForm].action;
			var other = (act.indexOf('?')!=-1);
			act += (other?'&':'?') + 'name=' + Prologue.forms.form[currentForm].id;
			act += '&id=' + rangId;
			act += '&idPere=' + pereId;
			act += '&actionType=' + actionType;
			$(currentForm).attributes.getNamedItem('action').value = act;
		}
	}
	else
		return;

	if(form.onsubmit())
		form.submit();
}

Prologue.textBox.formats.alphanum = {
	'name':'alphanum',
	'key':/[a-zA-Z0-9]/,
	'validate':/^[a-zA-Z0-9]*$/,
	'maxLength':0,
	'align':'left'
}