<?php
	$DEFAULT_PATH = "../../../";
	require_once ($DEFAULT_PATH."struct.php");	//liste des define
	require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
	require_once($DEFAULT_PATH."flow_tools.php");
	$TITLE = 'Formulaire de saisie';
	$header_nosession=false;
	$droitRole = FRM;
	$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;
	$page_courante = "business/form/formsaisie/formSaisie.php";

	$culture_folder = $DEFAULT_PATH."culture";
	require("$culture_folder/culture.php");

	require_once($DEFAULT_PATH."param.php");
	require_once($DEFAULT_PATH."inc/php/datasource.class.php");

	include($DEFAULT_PATH."header.php");

	require ($DEFAULT_PATH.'framework/php/framework.php');
	$framework_root_path = $DEFAULT_PATH.'framework/';

	$e_id = pget('e_id');
	$frm_id = pget('frm_id');
	$cltID = $_SESSION['CLT_ID'];

	$req = "SELECT FRM_TITRE, FRM_TEMPLATE FROM FORMULAIRE WHERE FRM_ID=$frm_id AND CLT_ID=$cltID";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$DocumentTitre = $row['FRM_TITRE'];
	$formulaireDir = $row['FRM_TEMPLATE'];
	$gDb->SQLFermeQuery(1);

	$req = "SELECT FIC_ID FROM E_FORMULAIRE WHERE E_ID=$e_id AND CLT_ID=$cltID";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$fic_id = $row['FIC_ID'];
	$gDb->SQLFermeQuery(1);

	$dataSourceLoader= "fileDataSource.php?file=$formulaireDir";

	$template_tree = $formulaireDir.'arbre.xml';
	$template_xml = $formulaireDir.'formulaire.xml';
	$template_inc = $formulaireDir.'formulaire.inc';
	$template_js = $formulaireDir.'formulaire.js';

	$datasourceFormTree = "treeDataSource.php?inc=$template_inc&amp;tree=$template_tree&amp;fic_id=$fic_id";
	$datasourceForm = "formDataSource.php?fic_id=$fic_id";

	$page_headers .= "<link rel=\"stylesheet\" href=\"${pathFlow}framework/formExt.css\" type=\"text/css\"/>
	<script language=\"JavaScript\" src=\"${pathFlow}framework/formExt.js\"></script>
	<script language=\"JavaScript\" src=\"formSaisie.js\"></script>
	<script language=\"JavaScript\">
		function reloadTree()
		{
			Prologue.page.reload('formTreeView', '".html_entity_decode($datasourceFormTree)."', 'treeView');
		}
	</script>
	";

	if(file_exists($template_js))
	{
		$page_headers .= '<script language="JavaScript">';
		$page_headers .= file_get_contents($template_js);
		$page_headers .= '</script>';
	}

	echo $page_headers.'</header>';

	if(file_exists($template_inc))
		require_once($template_inc);

	function formList ($xmlComponents)
	{
		$formList=array();

		if (count ($xmlComponents))
		{
			foreach ($xmlComponents as $component=>$elem)
			{
				$attr = $elem->attributes();
				if($component == "collection" && $attr['componentName'] == 'form')
					$formList[] = $attr;
			}
		}
		return $formList;
	}

	function displayHtmlForm ($formDef)
	{
		$formList = formList ($formDef->xmlComponents);
		if (count ($formList))
		{
			foreach ($formList as $formAttr)
			{
				?>
					<table id="<?php echo $formAttr['id']; ?>_div" style="width:100%;display:none;">
						<tr>
							<td>
								<span class="h-stitre" ><?php echo $formAttr['caption']; ?></span>
								<div id="form_div_<?php echo $formAttr['id']; ?>" style="background-color:#ffffff;width:100%;border:0;overflow:auto;">
									<center>
										<?php $formDef->display($formAttr['id']); ?>
									</center>
								</div>
							</td>
						</tr>
					</table>
				<?php
			}
		}
	}

	require_once ('formSaisie.inc');

	// Chargement des templates de formulaires
	$formEntSeq=new prlAdminComponents($template_xml, $framework_root_path.'php/framework.xml');

	// Chargement de la structure de l'écran de saisie
	$page=new prlAdminComponents('formSaisie.xml',$framework_root_path.'php/framework.xml');
?>

<body style="overflow: hidden;" onunload="confirmSaveCurrentForm();" onload="prlPage.elementCalcPosition();enable_button(false, false, false);mem_size(false);" onresize="prlPage.elementCalcPosition();mem_size(true);">
	<center>
		<?php
			echo "<table align='center' style='padding: 10px 0px; font-weight: bold;' class='h-stitre'><tbody><tr><td><img src='${pathFlow}style/imgs/icons/original.gif'></td><td>$DocumentTitre</td></tr></tbody></table>";
		?>
		<div id="div_grid" class="fond">
			<table class="prlPanel" style="height:100%;padding:10px;" cellspacing="5">
				<tr>
					<td class="prlPanelContent" style="height:100%;width:250px;vertical-align:top;border:2px inset #EFECE7;">
						<div id="tree_div">
							<?php $page->display('formTreeView'); ?>
						</div>
					</td>
					<td style="width:100%;border:2px inset #EFECE7;overflow:auto;">
						<?php displayHtmlForm($formEntSeq); ?>
					</td>
				</tr>
				<tr>
					<td>
						<table>
							<tr>
								<td>
									<?php
										$page->display('treeButton_create');
										echo '</td><td>';
										$page->display('treeButton_modify');
										echo '</td><td>';
										$page->display('formButton_delete');
									?>
								</td>
							</tr>
						</table>
					</td>
					<td>
						<table id="button_div"  align="right" style="display:none;">
							<tr>
								<td>
									<?php
										$page->display('formButton_submit');
										echo '</td><td>';
										$page->display('formButton_reset');
									?>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<script language="JavaScript">
				var wndConsole = new Prologue.page.console();
				wndConsole.create();
			</script>
		</div>
	</center>
</body>
</html>