<?php
	////////////////////////////////////////////////////////////////////
	// Traitement du résultat de la saisie d'une partie du formulaire //
	// Création : FG 15/02/2011                                       //
	////////////////////////////////////////////////////////////////////

	$DEFAULT_PATH = "../../../";
	require_once ($DEFAULT_PATH."struct.php");	//liste des define
	require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr?ations des variables $gDb et $erreur_connect
	require_once($DEFAULT_PATH."flow_tools.php");

	$culture_folder = $DEFAULT_PATH."culture";
	require("$culture_folder/culture.php");

	$droitRole = FRM;
	$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

	require_once ("formSaisie.inc");

	require_once('FormsTreeXML.class.php');

	$fic_id = pget('fic_id');
	$formType = pget('name');
	$id = pget('id');
	$idPere = pget('idPere');
	$action = pget('actionType');

	$ok = true;
	$ficNom = "";
	$contenu = "";
	$taille = 0;
	if (bddLoadFichier($gDb, $fic_id, $ficNom, $contenu, $taille))
	{
		if($contenu!='')
		{
			$xmlData = new FormsTreeXML($contenu);

			if($action=='create') // Création de noeud fils
			{
				$pere = $xmlData->findNode(array('id' => $idPere));
				$form = $xmlData->createForm($formType, $pere, true);
				$xmlData->addFieldList($_POST, $form);
			}
			else if($action=='modify') // Modification de noeud existant ou création de noeud non répétable
			{
				$pere = $xmlData->findNode(array('id' => $idPere));
				$form = $xmlData->findNode(array('id' => $id));
				if($form==null) // null si jamais saisi et formulaire non répétable
					$form = $xmlData->createForm($formType, $pere, false);
				else
					$xmlData->deleteFields($form);
				$xmlData->addFieldList($_POST, $form);
			}
			else if($action=='delete') // Supression de noeud répétable
				$xmlData->deleteForm($id);

			$contenu = $xmlData->getXML();

			$ok = bddUpdateFichier($gDb, $fic_id, $ficNom, $contenu);
		}
	}

	//******* Réponse en console
	Header("Content-type: text/xml");
	$buffer = '<?xml version="1.0" encoding="UTF-8"?><databind>';
	if($ok==false)
	{
		$buffer .= '<item type ="error" frame="" message="'.$lang_bus_et_act_majbdd_msg_err.'" />';
		$finalConsole = 'reloadTree();';
	}
	else
		$finalConsole = 'displayForm(\'none\'); reloadTree(); Prologue.page.console.close(\'prlPageWinConsole\');';

	$buffer .= '<resp type="custom"><item frame="" execute="'.$finalConsole.'" /></resp></databind>';

	$buffer = serializeXML($buffer);
	print $buffer;
?>