<?php
$DEFAULT_PATH = "../../";
$culture_folder = $DEFAULT_PATH."culture";
$page_courante = "business/signebxts/sui_eb.php";

require_once ($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_SUPPR + DROIT_EXEC;

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

//date par défaut = date d'aujourd'hui - une semaine
$dateJour = date ('d/m/Y', mktime(0, 0, 0, date("m"), date("d"), date("Y")) - (DateDefaut));
($ini_date	= pget('ini_date'))?($f_date_deb = $dateJour):($f_date_deb = pget('f_date_deb'));

$fromPE = '';
$fromPD = '';

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_bus_eb_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/bus_et.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."business/signebxts/bus_eb_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "20070709123840");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_bus_et_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $dataSrc);

//Type de documents
$filtre[] = array("id_filtre" => "f_tdoc", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_bus_et_filtre_lbl_tdoc,
					"ds_filtre" => $pathFlow."business/signebxts/bus_eb_dSTypeDoc.php");
					//"value_filtre" => '5',
					//"dd_height_filtre" => "170",
					//"dd_width_filtre" => "255");

$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_bus_et_filtre_lbl_datedeb,
					"value_filtre" => $f_date_deb);

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_bus_et_filtre_lbl_datefin);

$filtre[] = array("id_filtre" => "new_line");

//Emetteur
$filtre[] = array("id_filtre" => "f_emetteur", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_bus_et_filtre_lbl_emet,
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Destinataire
$filtre[] = array("id_filtre" => "f_destinataire", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_bus_et_filtre_lbl_dest,
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");

//Criteres Emetteur
require $DEFAULT_PATH."dataSources/dSCriteres.php";
$filtre[] = array("id_filtre" => "fromPE", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPE,
					"ds_filtre" => $dataSrc);

//Criteres Destinataire
$filtre[] = array("id_filtre" => "fromPD", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPD,
					"ds_filtre" => $dataSrc);
						
					
$filtre[] = array("id_filtre" => "new_line");

//Etat
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_bus_et_filtre_lbl_etat,
					"ds_filtre" => $pathFlow."business/signebxts/bus_eb_dSEtat.php?showNull=1");
			
					
mkFiltre($vtp, $form, $filtre);

$option_toolbar = array("select" => false,
"detail" => false,
"print" => array("show" => true
, "title" => addslashes($lang_bus_et_title)),
"csv" => true);

$body_js = "";

//Visualiser
if (droit($droitRole, DROIT_LECT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => "Visualiser",
	"icon" => $pathFlow."style/imgs/icons/loupe.gif",
	"action" => array("name" => "visualiser",
	"page" => "business/signebxts/bus_eb_actAxEbxPop.php",
	"callback" => "openPopUp",
	"get_params" => array('todo','action','ficId', 'forId','ficXmlId')));

$body_js .= "
rowAction.actions.visualiser.check = function (params) {
	return true;
};
";
}

//Signer
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
	$option_toolbar[] = array("caption" => "Signer",
	"icon" => $pathFlow."style/imgs/icons/certif.png",
	"action" => array("name" => "signer",
	"page" => "business/signebxts/bus_eb_actAxEbxPop.php",
	"callback" => "openPopUp",
	"get_params" => array('action','forId','sigId','nomFicTrace','typeInit','ficId','firstsignid','sigEtatSig','hostid','partid','userids','numsign','libelle_sign1', 'typeLecteur')));

$body_js .= "
rowAction.actions.signer.check = function (params) {
	params.action='signer';
	return true;
};
";
}



//Annuler traitement
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => "Annuler traitement",
	"icon" => $pathFlow."style/imgs/icons/trash.png",
	"action" => array("name" => "annuler_traitement",
	"page" => "business/signebxts/bus_eb_actAxEbxMajBdd.php",
	"callback" => "prlExecGrid",
	"get_params" => array('todo','sigId','sigEtatSig')));

mkToolbar($vtp, $form, $option_toolbar);
	
$body_js .= "
rowAction.actions.annuler_traitement.check = function (params) {
	params.todo='cnlSig';
	var msg_exec = '".addslashes($lang_admin_log_grid_question_exec)."';
	return confirm(msg_exec);
};
";
}

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>