<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = VAL;// droit de validation
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

//$maxRow=0;
$where = "";
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');
$f_emetteur		= pget('f_emetteur');		//filtre emetteur  
$f_destinataire	= pget('f_destinataire');	//filtre destinataire
$f_date_deb     = pget('f_date_deb');
$f_date_fin     = pget("f_date_fin");
$typeDoc	    = pget("typeDoc");
$cltID  		= $_SESSION['CLT_ID'];

Construit_restriction($droitRole, "E_VALID.PAR_EMET_ID", "E_VALID.PAR_DEST_ID", null, null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);

//Traitement de la date
$f_date_deb = pget('f_date_deb');
$f_date_fin = pget('f_date_fin');
if($f_date_deb) {
	if($f_date_fin) {
		if($ini_typeBase == "oracle"){
				$date_deb_sql = "TO_DATE('$f_date_deb','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_sql = "TO_DATE('$f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND E_DATECREAT BETWEEN $date_deb_sql AND $date_fin_sql";
		}
		else{
			$where .= " AND E_DATECREAT BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND E_DATECREAT >= TO_DATE('$f_date_deb', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND E_DATECREAT >= '".date2Sql($f_date_deb, "23:59:59")."'";
		}
	}
}
else if($f_date_fin) {
	if($ini_typeBase == "oracle"){
		$where .= " AND E_DATECREAT <= TO_DATE('$f_date_fin 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND E_DATECREAT <= '".date2Sql($f_date_fin, "23:59:59")."'";
	}		
}

// Criteres partenaires

$f_emetteur		= pget('f_emetteur');		//filtre émetteur
$f_destinataire	= pget('f_destinataire');	//filtre destinataire
$fromPE 		= pget('fromPE');
$fromPD 		= pget('fromPD');

if ($fromPD>0 && $f_destinataire)
{
	if ($fromPD==2)// part + fils
	{
		$fils="";
		trouve_fils($f_destinataire);
		if ($fils)
		$filsD=$f_destinataire.", ".$fils;
		else $filsD=$f_destinataire;

	}
	if ($fromPD==3) // que les fils
	{
		$fils="";
		trouve_fils($f_destinataire);
		$filsD=$fils;

	}
	if ($fromPD==4) //que le part
	{
		$filsD=$f_destinataire;
	}
}
if ($fromPE>0 && $f_emetteur)
{
	if ($fromPE==2)// part + fils
	{
		$fils="";
		trouve_fils($f_emetteur);
		if ($fils)
		$filsE=$f_emetteur.", ".$fils;
		else $filsE=$f_emetteur;
	}
	if ($fromPE==3) // que les fils
	{
		$fils="";
		trouve_fils($f_emetteur);
		$filsE=$fils;
	}
	if ($fromPE==4) //que le part
	{
		$filsE=$f_emetteur;
	}
}

//Traitement de l'émetteur

if ($fromPD>0){	if ($f_destinataire) $where .=" and PAR_DEST_ID in ($filsD)";}
else {if ($f_destinataire) $where .= " and PAR_DEST_ID = '".dblQ($f_destinataire)."'";}

if ($fromPE>0){ if ($f_emetteur) $where .=" and PAR_EMET_ID in ($filsE)";}
else {if ($f_emetteur)	$where .= " and PAR_EMET_ID = '".dblQ($f_emetteur)."'";}

/*	
if (!empty($f_destinataire))
$where .= " AND PAR_DEST_ID = $f_destinataire ";
	
if (!empty($f_emetteur))
	$where .= " AND PAR_EMET_ID = $f_emetteur ";
*/



$req = "SELECT SQL_CALC_FOUND_ROWS E_ID, E_DATECREAT, PAR_EMET_ID, PAR_DEST_ID, FIC_ID, E_VALID.FOR_ID,
		E_ZONE1, E_ZONE2, E_ZONE3, E_ZONE4, E_ZONE5
		FROM E_VALID, `FORMAT`   
		WHERE E_VALID.CLT_ID = $cltID 
		AND E_ETATTRAIT = 0	
		AND `FORMAT`.FOR_ID = E_VALID.FOR_ID
		AND TDOC_ID = $typeDoc
		$where
		$restrict
		ORDER BY E_ID";

$champs = array();
$champs[] = array("nom" => " ", "toolTip" => $lang_bus_val_grid_head_action, "sortMode" => "1");
$champs[] = array("nom" => " ", "toolTip" => $lang_bus_val_grid_head_visu, "sortMode" => "1");
$champs[] = array("nom" => $lang_bus_val_act_rv_grid_head_date, "toolTip" => "", "sortMode" => "1");
$champs[] = array("nom" => $lang_bus_val_act_rv_grid_head_emet, "toolTip" => "", "sortMode" => "1");
$champs[] = array("nom" => $lang_bus_val_act_rv_grid_head_dest, "toolTip" => "", "sortMode" => "1");
for ($i = 1; $i < 6; $i++)
	$champs[] = array("nom" => "Donnée ".$i, "toolTip" => "Zone $i", "sortMode" => "1");


$gDb->SQLQuery($req, 1,($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';
foreach ($champs as $col) echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';


if($maxRow)
{
	
	while ($row = $gDb->SQLNextRow(1))
	{
		echo '<row>';
		
		$params = array();
		$params['e_id'] = $row['E_ID'];
		$params['droits'] = array('valider' => (droit($droitRole, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc,null)),
								  'rejeter' => (droit($droitRole, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc,null)));
				
		$vis   = array('icon' => "", 'toolTip' => "", 'onClick' => "");
		
		if ($row['FIC_ID'])
		{
			if(droit($droitRole, DROIT_EXEC,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc,null))
			{
				$vis['icon'] = $pathFlow."style/imgs/icons/loupe.gif";
				$vis['toolTip'] = $lang_bus_val_grid_act_detail;
				$url = $pathFlow."actions/actListing_fic.php?doc=".$row['FIC_ID']."&for_id=".$row['FOR_ID']."&sui_type=".SUI_TYPE_VALID_MANU;
				$vis['onClick'] = "openPopUp(urldecode('".urlencode($url)."'));";
			}
		}
		echo '<item value="'.row_encode_JSON($params).'"/>';
		echo '<item icon="'.$vis['icon'].'" toolTip="'.$vis['toolTip'].'" onClick="'.$vis['onClick'].'"/>';
		
		if ($row['PAR_EMET_ID'])
		{
			$req = "SELECT PAR_NOM, PAR_ETAT  
					FROM PART 
					WHERE PAR_ID = ".$row['PAR_EMET_ID'];
			$gDb->SQLQuery($req, 2);
			$rowEmet = $gDb->SQLNextRow(2);
			$gDb->SQLFermeQuery(2);
		}
		
		if ($row['PAR_DEST_ID'])
		{
			$req = "SELECT PAR_NOM, PAR_ETAT  
					FROM PART 
					WHERE PAR_ID = ".$row['PAR_DEST_ID'];
			$gDb->SQLQuery($req,2);
			$rowDest = $gDb->SQLNextRow(2);
			$gDb->SQLFermeQuery(2);
		}
		
		$req = "SELECT TDOC_ETAT  
				FROM TYPE_DOC 
				WHERE TDOC_ID = $typeDoc";
		$gDb->SQLQuery($req,2);
		$rowTDoc = $gDb->SQLNextRow(2);
		$gDb->SQLFermeQuery(2);
		
		$valid = array('icon' => "", 'toolTip' => "", 'onClick' => "");
		$rejet = array('icon' => "", 'toolTip' => "", 'onClick' => "");
		
		if ($rowEmet['PAR_ETAT'] == ETAT_ACTIF && $rowDest['PAR_ETAT'] == ETAT_ACTIF && $rowTDoc['TDOC_ETAT'] == ETAT_ACTIF  &&
			(droit($droitRole, DROIT_MODIF, $row['PAR_EMET_ID'], $row['PAR_DEST_ID'], $typeDoc, null)))
		{
			$valid['icon'] = $pathFlow."style/imgs/icons/valid.png";
			$valid['toolTip'] = "Valider le ficher";
			$url = $pathFlow."business/valid/bus_val_actRV.php?liste=".$row['E_ID']."&action=1";
			$valid['onClick'] = "openPopUp(urldecode('".urlencode($url)."'));";
			
			$rejeu['icon'] = $pathFlow."style/imgs/icons/error.png";
			$rejeu['toolTip'] = "Rejeter le ficher";
			$url = $pathFlow."business/valid/bus_val_actRV.php?liste=".$row['E_ID']."&action=0";
			$rejeu['onClick'] = "openPopUp(urldecode('".urlencode($url)."'));";
		}
				
		$date = sql2Date($row['E_DATECREAT']);
		echo '<item caption="'.$date.'"/>';
		
		$deb = $fin = "";
		switch($rowEmet['PAR_ETAT'])
		{
			case ETAT_SUPPR:
				$deb = AFF_SUPPR_DEB;
				$fin = " $lang_lbl_etat_suppr_ini ";
				break;
			case ETAT_INACTIF:
				$deb = AFF_INACTIF_DEB;
				$fin = " $lang_lbl_etat_inact_ini ";
				break;
		}
		$emet = hi_disp($deb.$rowEmet['PAR_NOM'].$fin);
		
		$deb = $fin = "";
		switch($rowDest['PAR_ETAT'])
		{
			case ETAT_SUPPR:
				$deb = AFF_SUPPR_DEB;
				$fin = " $lang_lbl_etat_suppr_ini ";
				break;
			case ETAT_INACTIF:
				$deb = AFF_INACTIF_DEB;
				$fin = " $lang_lbl_etat_inact_ini ";
				break;
		}
		$dest = hi_disp($deb.$rowDest['PAR_NOM'].$fin); 
		
		echo '<item caption="'.$emet.'"/>';
		echo '<item caption="'.$dest.'"/>';
		
		for ($i = 0; $i < 5; $i++)
			echo '<item caption="'.$row["E_ZONE".($i + 1)].'"/>';
			
		echo '</row>';
	}
	$gDb->SQLFermeQuery(1);
}
echo '</databind>';
?>