<?php
$DEFAULT_PATH = "../";
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";// /!\ utils.php inclu déjà culture.php
require_once ($DEFAULT_PATH."struct.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once("$culture_folder/culture.php");
require_once ($DEFAULT_PATH."inc/php/utils.php"); 

if (droit(CTA, "xor",null,null,null,null))
	$droitRole = CTA;
else
	$droitRole = CMA;


$lmcse = DROIT_LECT;

$cltID 	= $_SESSION['CLT_ID'];
$cptID 	= $_SESSION['CPT_ID'];

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$where = " AND ALT_ETAT != ".ETAT_SUPPR." ";

// Si l'utilisateur a les droits suivi reseau et suivi document sans restriction 
// il peut consulter toutes les alertes sinon uniquement celles 
// pour lesquelles il est destinataire
$req = "SELECT UTR_ID
		FROM COMPTE 
		WHERE CPT_ID=".$cptID;

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$utr_id = $row[0];
$gDb->SQLFermeQuery(1);

if($droitRole == CMA)
$where .= " AND (ALT_DEST_ID = $utr_id OR ALT_DESTCC_ID = $utr_id) ";

//Récupération des libellés d'activité
$tab_afx_libel = array();
$req = "SELECT AFX_ID, AFX_LIBEL FROM ACTFLUX";
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
	$tab_afx_libel[$row['AFX_ID']] = $row['AFX_LIBEL'];
$gDb->SQLFermeQuery(1);

//Récupération des infos utilisateur
$tab_utr_name = array();
$req = "SELECT UTR_ID, UTR_NOM, UTR_PRENOM FROM UTILISATEUR";
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
	$tab_utr_name[$row['UTR_ID']] = array("UTR_NOM" => $row['UTR_NOM'], "UTR_PRENOM" => $row['UTR_PRENOM']);
$gDb->SQLFermeQuery(1);

$req = "SELECT SQL_CALC_FOUND_ROWS ALT_LIBEL, ALT_ID, ALT_ETAT, ALT_DEST_ID,
			AFX_ID, ALT_DATE, ALT_NIVEAU, SUI_ID, ALT_SUIVI
		FROM ALERTE  
		WHERE ALERTE.CLT_ID = '$cltID'
			$where
		ORDER BY ALT_DATE DESC";
		
$champs = array();
$champs[] = array("nom" => $lang_sui_alt_grid_head_date, "toolTip" => $lang_sui_alt_grid_head_date, "sortMode" => "3");
$champs[] = array("nom" => $lang_sui_alt_grid_head_nom, "toolTip" => $lang_sui_alt_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_alt_grid_head_act, "toolTip" => $lang_sui_alt_grid_head_act, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_alt_grid_head_dest, "toolTip" => $lang_sui_alt_grid_head_dest, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_alt_grid_head_etat, "toolTip" => $lang_sui_alt_grid_head_etat, "sortMode" => "0");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'"  pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while($row = $gDb->SQLNextRow(1))
{
	$urlDetail = urlencode('suivi/alertes/sui_alt_actDetail.php?alt_id='.$row['ALT_ID']);
	echo '<row onClick="parent.loadPage(\''.$urlDetail.'\');">';

	$toolTip = '';
	$icon = '';

	switch($row['ALT_NIVEAU'])
	{
		case ALT_NIV_ERR :
			$toolTip=$lang_sui_alt_grid_lbl_nivalt_err;
			$icon = $pathFlow."style/imgs/icons/error.png";
			break;
		case ALT_NIV_AVERT :
			$toolTip=$lang_sui_alt_grid_lbl_nivalt_avert;
			$icon=$pathFlow."style/imgs/icons/alert.gif";
			break;
		default :
			$toolTip=$lang_sui_alt_grid_lbl_nivalt_indeter;
			$icon=$pathFlow."style/imgs/icons/info.png";
	}
	echo '<item caption="'.sql2Date($row['ALT_DATE']).'" icon="'.$icon.'" toolTip="'.$toolTip.'"/>';
	echo '<item caption="'.hi_disp($row['ALT_LIBEL']).'"/>';

	echo '<item caption="'.hi_disp($tab_afx_libel[$row['AFX_ID']]).'"/>';

	echo '<item caption="'.hi_disp($tab_utr_name[$row['ALT_DEST_ID']]['UTR_PRENOM'].' '.$tab_utr_name[$row['ALT_DEST_ID']]['UTR_NOM']).'"/>';
	
	switch($row['ALT_ETAT'])
	{
		case ALT_ETAT_ATTENTE :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_act.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/clock.png"/>';
			break;
		case ALT_ETAT_VISU :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_inact.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/eye.png"/>';
			break;
		case ALT_ETAT_ARCHIVE :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_cloture.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/valid.png"/>';
			break;
		default :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_indeter.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/info.png"/>';
			break;
	}
	
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>