<?php
$DEFAULT_PATH = "../";
require_once($DEFAULT_PATH."struct.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$cltID = $_SESSION['CLT_ID'];
$id_activite = pget('id_act');
$activite = pget('activite');

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';
echo '<row><item caption="-" value=""/></row>';

$icon = array('collecte'   => $pathFlow.'style/imgs/icons/collect.gif',
			'pretrait'   => $pathFlow.'style/imgs/icons/import.gif',
			'traitement' => $pathFlow.'style/imgs/icons/progress.gif',
			'posttrait'  => $pathFlow.'style/imgs/icons/export.gif',
			'present'    => $pathFlow.'style/imgs/icons/document.gif',
			'rapproch'   => $pathFlow.'style/imgs/icons/flux.gif' );

$req = "SELECT ACT_ID, ACT_LIBEL, TYPE_ACT.TAC_NUM  
		FROM ACTIVITE, TYPE_ACT 
			WHERE CLT_ID = $cltID 
			AND ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
			AND ACT_ETAT != ".ETAT_SUPPR." 
			AND TAC_ROLE = '$id_activite' 
		ORDER BY ACT_LIBEL";

$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
{
	if (($row["TAC_NUM"] == TAC_NUM_RAPPROCH && $activite == "present") || ($row["TAC_NUM"] != TAC_NUM_RAPPROCH && $activite == "rapproch"))
		continue;
	
	echo '<row><item value="'.$row['ACT_ID'].'" icon="'.$icon[$activite].'" caption="'.$row['ACT_LIBEL'].'"/></row>';
}
$gDb->SQLFermeQuery(1);
echo '</databind>';
?>