<?php
$DEFAULT_PATH = "../";
require_once($DEFAULT_PATH."struct.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$cltID = $_SESSION['CLT_ID'];
$droit = pget('droit');
$showNull = pget('showNull');

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

if($showNull == '0');
else
echo '<row><item caption="-" value=""/></row>';

//Recherche des formats de document
$req = "SELECT FOR_ID, FOR_NOM, TDOC_NOM, `FORMAT`.TDOC_ID, FOR_NORME, FOR_VERSION 
		FROM `FORMAT`, TYPE_DOC 
		WHERE `FORMAT`.CLT_ID = $cltID 
			AND TYPE_DOC.TDOC_ID = `FORMAT`.TDOC_ID 
			AND TDOC_ETAT != ".ETAT_SUPPR." 
			AND FOR_ETAT != ".ETAT_SUPPR." 
		ORDER BY TDOC_NOM";

$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
{
	if (droit(FLX, $droit, null, null, $row['TDOC_ID'], null))	//on verifie les droits sur le type de documents TDOC_ID
	{
		$caption = $row['TDOC_NOM']." - ".$row['FOR_NORME']." - ".$row['FOR_NOM']." - ".$row['FOR_VERSION'];
		echo '<row><item caption="'.hi_disp($caption).'" icon="'.$pathFlow.'style/imgs/icons/document.png" value="'.$row['FOR_ID'].'"/></row>';
	}
}
$gDb->SQLFermeQuery(1);
echo '</databind>';
?>