<?php
if ((!isset($sync)) || ($sync != 1))
{
	$DEFAULT_PATH = "../";
	require_once($DEFAULT_PATH."struct.php");
	require_once($DEFAULT_PATH."flow.php");
	require_once($DEFAULT_PATH."flow_tools.php");
	
	$cltID = $_SESSION['CLT_ID'];
	$droitRole = "OK"; //droit pour tout
	
	$culture_content_type = "text/xml; charset=utf-8";
	$culture_folder = $DEFAULT_PATH."culture";
	require_once("$culture_folder/culture.php");
	require_once($DEFAULT_PATH."inc/php/utils.php");
	
	$fonction  = pget('fonction');
	$droitRole = pget('droitRole');
	$tous      = pget('tous');
	$showNull  = pget('showNull');
	$groupe    = pget('groupe');
	$lmcse     = pget('lmcse');
	$par_pere  = pget('f_pere');
	$next      = pget('f_next');
	$show      = pget('show');
	$except    = pget('f_except');
	$ieExcept  = pget('f_ieexcept');
}

$size = 200;

$grpIcon = $pathFlow."style/imgs/icons/partGrp.gif";
$oneIcon = $pathFlow."style/imgs/icons/part.gif";
$firstrow = false;
$where = "";
$datasource = $pathFlow."dataSources/dSPartenaires.php?f_ieexcept=$ieExcept&fonction=$fonction&droitRole=$droitRole&f_except=$except";
if ($groupe)
{
	$datasource .= "&groupe=$groupe";
}

// Si un pere (groupe) n'est pas valorise
if(!$par_pere)
{
	// Construction des restrictions : les partenaires que l'utilisateur a le droit de manipuler avec ses droits
	Construit_restriction_ex($droitRole,($fonction == PART_EMET)?"SUIVI.PAR_EMET_ID":null, false, ($fonction == PART_DEST)?"SUIVI.PAR_DEST_ID":null, false, null, null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam, $lmcse);
	$restrict = "";
	if(($fonction == PART_EMET) && $restrictFiltreEmet)
		$restrict .= $restrictFiltreEmet;
	else
		if(($fonction == PART_DEST) && $restrictFiltreDest)
			$restrict .= $restrictFiltreDest;
}
else
{
	// Un partenaire pere est valorise
	// On est dans le cas ou les restrictions ont deja ete calculees
	// et l'utilisateur a le droit d'acces a ce partenaire pere
	// et a ses fils
	$restrict = "";
}
	
if ($except)
{
	$except = " AND PAR_ID!=".$except;
}




$dataSrc = '<?xml version="1.0" encoding="UTF-8"?><databind>';

// Cas des combo tree avec valeur affichee
if ((($show) && (!$restrict)) || (($show) && (!ereg($show,$restrict))))
{
	// Dans ce cas, il faut charger en priorite l'arbre qui correspond
	// a la valeur a afficher 
	// On parcours donc tous les peres du partenaire a afficher
    if (($showNull) && (!$par_pere))   $dataSrc .= '<row><item caption="-" value=""/></row>';
	$reverseTree = '';
	$where_specif = '';
	if($groupe)
	    // Uniquement les groupes
	    $where_specif .= " AND PAR_TYPE ='1'";
	// Tant qu'il y a un partenaire
    while (($show) && ($show != 'NULL'))
    {
        // Recuperation du noeud et de son pere
        $req = "SELECT PAR_ID, PAR_NOM, PAR_ETAT, PAR_TYPE, GRP_ID
                FROM PART
                WHERE PAR_ETAT != ".ETAT_SUPPR."
                    AND CLT_ID = $cltID
                    AND PAR_ID = $show" ;
                    
		$gDb->SQLQuery($req, 1);
        if ($row = $gDb->SQLNextRow(1))
        {
        	// Si le partenaire fait partie d'un groupe
        	if (($row['GRP_ID']) && ($row['GRP_ID'] != 'NULL'))
        	{
        		// Les freres du partenaire sont affiches en asycnhrones
                $nextasync = ' nextasync="'.hi_disp("$datasource&f_next=0&f_except=$show&f_pere=").$row['GRP_ID'].'"';
        	}
        	else
        	{
                // Les partenaires racines sont affiches en asycnhrones
        		$nextasync = ' nextasync="'.hi_disp("$datasource&f_next=0&f_except=$show").'"';
            }
            // Type de partenaire
        	if ($row['PAR_TYPE'] == 1)
            {
            	// Groupe
            	$childasync = '';
            	if ($reverseTree == '')
            	{
	            	// Y-a-t-il des fils pour ce groupe ?
			       $req = "SELECT PAR_ID FROM PART
			                WHERE PAR_ETAT != ".ETAT_SUPPR."
			                    AND PAR_NOM != ' TOUS'
			                    AND CLT_ID= $cltID
			                    AND GRP_ID= ".$show."
			                    $where_specif $except LIMIT 1";
			        $gDb->SQLQuery($req, 2);
			        if ($gDb->SQLNextRow(2))
			        {
			            // Ce groupe possede des fils
			            // On utilise l'attribut 'childasync' pour dire au framework
			            // qu'il y a des fils a afficher, et qu'une
			            // demande asynchrone doit etre effectuee
			            $childasync = ' childasync="'.hi_disp($datasource.'&f_pere='.$show).'"'; 
			        }
			        $gDb->SQLFermeQuery(2);
            	}
                $reverseTree = '<row><item caption="'.hi_disp($row['PAR_NOM'].$next).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'"'.$nextasync.$childasync.'/>'.$reverseTree.'</row>';
            }
            else 
            {
            	// Partenaire
                $reverseTree = '<row><item caption="'.hi_disp($row['PAR_NOM'].$next).'" icon="'.$oneIcon.'" value="'.$row['PAR_ID'].'"'.$nextasync.'/>'.$reverseTree.'</row>';
            }
            // On traite le groupe du partenaire
            $show = $row['GRP_ID'];
        }
        else 
        {
        	$show = 'NULL';
        }  
    }   
    // On renvoie l'arbre 
    $dataSrc .= $reverseTree;
    // Les autres partenaires seront affiches en asynchrones
}
else
{
	// Faut-il afficher le choix 'Pas de partenaire' ?
	// A n'afficher que dans le cas ou on demande la liste des 
	// partenaires racines ($par_pere n'est pas valorise) 
	if (($showNull) && (!$par_pere))   $dataSrc .= '<row><item caption="-" value=""/></row>';
	// Si un pere (groupe) est valorise
	if($par_pere)
	{
		// On souhaite afficher les partenaires appartenant a ce groupe
	    // Recuperation du pere
	    $req = "SELECT PAR_ID, PAR_NOM, PAR_ETAT, PAR_TYPE
	            FROM PART
	            WHERE PAR_ETAT != ".ETAT_SUPPR."
	                AND PAR_NOM != ' TOUS'
	                AND CLT_ID = $cltID
	                AND PAR_ID = $par_pere "
	                .(($restrict == "")?"":"AND PAR_ID IN (".$restrict.")");
	    $gDb->SQLQuery($req, 1);
	    if ($row = $gDb->SQLNextRow(1))
	    {
	    	// Si la valeur $next n'est pas valorise, on est dans le cas
	    	// du premier appel pour obtenir les fils, on n'affiche donc
	        // le pere
	        // Dans les appels suivants (c'est a dire si ce groupe contient
	        // beaucoup de fils), seuls les fils sont retournes
	        if ($next=='')
	        {
	        	// Selon le type de partenaire
	            if ($row['PAR_TYPE'] == 1)
	            {
	               $dataSrc .= '<row><item caption="'.hi_disp($row['PAR_NOM']).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'"/>';
	            }
	            else 
	            {
	               $dataSrc .= '<row><item caption="'.hi_disp($row['PAR_NOM']).'" icon="'.$oneIcon.'" value="'.$row['PAR_ID'].'"/>';
	            }
	            $firstrow = true;
	        }
	    }
	    $gDb->SQLFermeQuery(1);
	    // Le requete suivante ne doit renvoyer que les partenaires
	    // appartenant a ce groupe
	    $where .= " AND GRP_ID= ".$par_pere;
	}
	else
	{
		// Le requete suivante ne doit renvoyer que les partenaires
        // restreints
        if ($restrict)
        {
	    	$where .= " AND PAR_ID IN (".$restrict.")";
       	}
       	else
       	{
       		// ou les partenaires racines
		    $where .= " AND GRP_ID IS NULL";
       	}
	}
	
	$where_specif = '';
	if($groupe)
	    // Uniquement les groupes
	    $where_specif .= " AND PAR_TYPE ='1'";
	
	if(!$tous)
	    // Sans le partenaire 'Tous'
	    $where_specif .= " AND PAR_NOM != ' TOUS'";
	
	if ($next)
	{
		// On souhaite afficher les partenaires suivants
		// appartenant a un meme groupe
		// Les $next premiers partenaires ont deja ete affiches
	    $limit = " LIMIT $next,".($size+1);
	    $next = $next + $size;
	}
	else
	{
        // On limite au $size partenaires
		$limit = " LIMIT ".($size+1);
	    $next = $size;
	}   
	
	
	// Recuperation des partenaires fils
	$req = "SELECT PAR_ID, PAR_NOM, PAR_ETAT, PAR_TYPE
	        FROM PART
	        WHERE PAR_ETAT != ".ETAT_SUPPR."
	            AND CLT_ID= $cltID
	            $where $where_specif $except 
	            ORDER BY PAR_NOM $limit";
	            
	$gDb->SQLQuery($req, 1);
	$maxrow = $gDb->SQLNumRows(1);
	$index = 0;
	$nextasync = "";
	// Tant qu'il y a des partenaires
	while (($row = $gDb->SQLNextRow(1)) && ($index < $size))
	{
	    $index = $index + 1;
	    if ($index == $size)
	    {
	        // Il y a encore des enregistrements
	        // On utilise l'attribut 'nextasync' pour dire au framework
	        // qu'il y a encore des objets a afficher, et qu'une
	        // demande asynchrone doit etre effectuee
	        if ($par_pere)
	        {
	            $nextasync = ' nextasync="'.hi_disp("$datasource&f_next=$next&f_pere=$par_pere").'"';
	        }
	        else
	        {
	            $nextasync = ' nextasync="'.hi_disp("$datasource&f_next=$next").'"';
	        }
	    }
	    // Traitement partenaire inactif
	    if ($row["PAR_ETAT"] == ETAT_INACTIF)
	    {
	        $parnom = AFF_INACTIF_DEB.$row['PAR_NOM']." $lang_lbl_etat_inact_ini ";
	    }
	    else
	    {
	        $parnom = $row['PAR_NOM'];
	    }
	    if ($row['PAR_TYPE'] == 1)
	    {
	        // Y-a-t-il des fils pour ce groupe ?
	       $req = "SELECT PAR_ID FROM PART
	                WHERE PAR_ETAT != ".ETAT_SUPPR."
	                    AND PAR_NOM != ' TOUS'
	                    AND CLT_ID= $cltID
	                    AND GRP_ID= ".$row['PAR_ID']."
	                    $where_specif LIMIT 1";
	        $gDb->SQLQuery($req, 2);
	        if ($gDb->SQLNextRow(2))
	        {
	            // Ce groupe possede des fils
	            // On utilise l'attribut 'childasync' pour dire au framework
	            // qu'il y a des fils a afficher, et qu'une
	            // demande asynchrone doit etre effectuee
	            $dataSrc .= '<row><item caption="'.hi_disp($parnom).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'" childasync="'.hi_disp($datasource.'&f_pere='.$row['PAR_ID']).'"'.$nextasync.'/></row>';
	        }
	        else 
	        {
	            $dataSrc .= '<row><item caption="'.hi_disp($parnom).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'"'.$nextasync.'/></row>';
	        }
	        $gDb->SQLFermeQuery(2);
	    }
	    else 
	    {
	        $dataSrc .= '<row><item caption="'.hi_disp($parnom).'" icon="'.$oneIcon.'" value="'.$row['PAR_ID'].'"'.$nextasync.'/></row>';
	    }
	}
	
	$gDb->SQLFermeQuery(1);
	
	if($firstrow)
	{
	    $dataSrc .= "</row>";
	}
}
    
$dataSrc .= '</databind>';

if ((!isset($sync)) || ($sync != 1)) echo $dataSrc;
?>