<?php
if ((!isset($sync)) || ($sync != 1))
{
	$DEFAULT_PATH = "../";
	require_once($DEFAULT_PATH."struct.php");
	
	require_once($DEFAULT_PATH."flow.php");
	include($DEFAULT_PATH."flow_tools.php");
	
	$cltID = $_SESSION['CLT_ID'];
	$droits = pget('droits');
	$role = pget('role');
	$showNull=pget('showNull');
	$tous=pget('tous');
	
	$culture_content_type = "text/xml; charset=utf-8";
	$culture_folder = $DEFAULT_PATH."culture";
	require_once("$culture_folder/culture.php");
	require_once($DEFAULT_PATH."inc/php/utils.php");
}

$dataSrc = '<?xml version="1.0" encoding="UTF-8"?><databind>';
if (!$showNull){
	$dataSrc .= '<row><item caption="-" value=""/></row>';
}

$req = "SELECT TDOC_ID, TDOC_NOM, TDOC_ETAT  
		FROM TYPE_DOC 
		WHERE TYPE_DOC.CLT_ID =".$cltID;
			
if (!$tous){
	$req .= " AND TDOC_NOM != ' TOUS'";
}

$req .= " ORDER BY TDOC_NOM";

$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
{
	//on verifie les droits sur le type de documents TDOC_ID
	if (($droits == "") || (isset($role) && droit($role, $droits,null,null,$row['TDOC_ID'],null)) 
						|| (!isset($role) && (droit(SDO, $droits,null,null,$row['TDOC_ID'],null)) 
						   				      || (droit(HIS, $droits,null,null,null,null))))
	{
		$deb = "";
		$fin = "";
		if ($row['TDOC_ETAT'] == ETAT_SUPPR)
		{
			$deb = AFF_SUPPR_DEB;
			$fin = " $lang_lbl_etat_suppr_ini ";
		}
		$dataSrc .= '<row><item caption="'.hi_disp($deb.$row['TDOC_NOM'].$fin).'" icon="'.$pathFlow.'style/imgs/icons/document.png" value="'.$row['TDOC_ID'].'"/></row>';
	}
}
$gDb->SQLFermeQuery(1);

$dataSrc .= '</databind>';

if ((!isset($sync)) || ($sync != 1)) echo $dataSrc;
?> 