<?php	
$DEFAULT_PATH = "../";
require($DEFAULT_PATH."struct.php");

require_once($DEFAULT_PATH."flow.php");
include($DEFAULT_PATH."flow_tools.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."flow.ini.php"); # BG : 12/04/2012 ; pour recuperer les variables de connexion ORACLE / MSSQL
require_once($DEFAULT_PATH."inc/php/utils.php");
$page_courante = "dataSources/pdo_datasource_ds.php";

function is_str_UTF8($string)
{
	return (utf8_encode(utf8_decode($string)) == $string);
}
        if (strlen(pget('pageNum'))!=0) $pageNum = pget('pageNum'); else $pageNum=1;
        if (strlen(pget('pageSize'))!=0) $pageSize = pget('pageSize'); else $pageSize=0; 
        
        // message d'erreur si éxécution de la requête en erreur
	$buffer = 'SQL statement not supported or You have an error in your SQL syntax';

	$encoding = 'UTF-8';
	$dateTimeFormat = '%d/%m/%Y';
	$colValue = '';
	$rowIcon = '';
	$dbNewLink = false;
	
	$sql = $_GET['sql'];
        
        // si utilisateur à fini sa requête par ';' on supprime le séparateur ';'
        if ($sql[strlen($sql)-1]==';')
            $sql = substr($sql,0,strlen($sql)-1);
        
	if($sql != "")
	{    
                // libellé de la table
		$explodequery = explode("from ", strtolower($sql));
		$tableName=$explodequery[1];
       
                // Premiere requete pour obtenir le nombre d'enregistrements
                $reqCount = "SELECT count(*) AS MAX_ROW FROM " .$tableName;
                $gDb->SQLQuery($reqCount, 3);
                $row = $gDb->SQLNextRow(3);
                $maxRow = $row['MAX_ROW'];
                $gDb->SQLFermeQuery(3);  

                // Calcul du nombre de pages
                if ($pageSize!=0) {
                        $pagesNumber = (int)($maxRow / $pageSize);
                } else {
                        $pagesNumber = 1;
                }       

		if($ini_typeBase == "mssql")
                {
                        $tableName = str_replace('[','',$tableName); // BG : cas où l'utilisateur utilise [] pour encadrer la table
                        $tableName = str_replace(']','',$tableName);
			$query="select COLUMN_NAME from INFORMATION_SCHEMA.COLUMNS where table_name='" . $tableName . "'";
                }
                else
                {
                        $tableName = str_replace('"','',$tableName); // BG : cas où l'utilisateur utilise "" pour encadrer la table
                        $tableName = strtoupper($tableName);
			$query="select column_name from user_tab_columns where table_name = '" . $tableName . "' order by column_id";
                }
               
                // récupération des libellés des champs 
                $recordset = $gDb->SQLQuery($query,1);						
		$fields = $recordset->fetchAll(PDO::FETCH_ASSOC);

                // exécution de la requête telle que l'a formulée l'utilisateur
                // avec gestion des pages
                if($pageNum == 1 && $pageSize == '100000000')
                {
                         if(strpos($sql, 'order') == FALSE)
                            $sql = $sql." order by ".$fields[0]["COLUMN_NAME"]." desc"; // pas besoin 
                        $resultquery = $gDb->SQLQuery($sql,2,0,$maxRow);
                }
                else
                {		
                        if(strpos($sql, 'order') == FALSE)
                            $sql = $sql." order by ".$fields[0]["COLUMN_NAME"]." desc"; // pas besoin 
                        $deb = $pageSize*($pageNum-1);
                        $resultquery = $gDb->SQLQuery($sql, 2, $deb, $pageSize);
                }
                
			if($resultquery !== FALSE )
			{
				$result = '<header>';
				$fType = array();
                         
                // recupere le nombre et le libellé des colonnes spécifiées dans la requête //
                $sqltmp = str_replace(array("\n","\r","\t","  ","   ","    ","      "), " ", "$sql");
                $pos1 = stripos($sqltmp, 'select');
                $pos2 = stripos($sqltmp, 'from');
                $temp1= substr($sqltmp,0,$pos2);
                $temp1= substr($temp1,$pos1+strlen('select'));
                $temp1 = str_replace(array(" "), "", "$temp1");
                $col_name= explode(",",$temp1);
                                // comptage des collonnes à afficher //                               
				if ($col_name[0] == '*')
                                {
					$count=$resultquery->columnCount();
                                        $shift=1;
                                }
                                else
                                {
					$count = sizeof($col_name);
                                        $shift=0;
                                }
                                
				for ($i=0;$i<($count-$shift);$i++)
				{
					$fType[$i]='';
					$align = 0;
					$sortMode = "0";
					if ($col_name[0] == '*') // cas particulier ou récupère toutes les colonnes //
						$result .= '<item caption="'.htmlspecialchars($fields[$i]["COLUMN_NAME"],null,$encoding).'" icon="" onClick="" toolTip="" sortMode="'.$sortMode.'" alignment="'.$align.'"/>';
					else // sinon libellés des colonnes de la requête
                                                $result .= '<item caption="'.htmlspecialchars($col_name[$i],null,$encoding).'" icon="" onClick="" toolTip="" sortMode="'.$sortMode.'" alignment="'.$align.'"/>';
				}
				$result .= '</header>';
				
				while ($row = $resultquery->fetch(PDO::FETCH_NUM))
				{
					$result .= '<row>';

					$firstCol = true;
                                        for ($j=1;$j<=($count+$shift);$j++) // on commence à 1 car 1ere colonne est le numéro de ligne
					{			
						//$tmp = $value;
                                                $tmp = $row[$j];
						$val = '';
								
						if(is_str_UTF8($tmp))	
                                                $tmp = utf8_decode($tmp);
						$tmp=utf8_encode(htmlspecialchars($tmp, ENT_COMPAT | ENT_HTML401, 'ISO-8859-1'));
                                                
						$result .= '<item caption="'.$tmp.'" icon="'.(($firstCol)?$rowIcon:'').'" onClick="" value="'.$val.'" toolTip=""/>';
						$firstCol = false;
					}
					$result .= '</row>';					
				}
				
				$result = '<?xml version="1.0" encoding="'.$encoding.'"?>' .
						  '<databind pageSize="'.$pageSize.'" pageNum="'.$pageNum.'" maxRow="'.$maxRow.'">' .
						  $result .
						  '</databind>';
				
				Header("Content-Type: text/xml; charset=UTF_8");
				echo $result;
			}
			else
			{
                            Header("Content-Type: text/xml; charset=UTF_8");
                            echo '<?xml version="1.0" encoding="UTF-8"?>';
                            echo '<databind pageSize="1" pageNum="1" maxRow="1">';
                            echo '<header><item caption="'.$lang_lbl_erreur.'"/></header>';
                            echo '<row><item caption="'.$buffer.'"/></row>';
                            echo '</databind>';
			}
		
                $gDb->SQLFermeQuery(1);
                $gDb->SQLFermeQuery(2);
	}
?>