<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

$page_courante = "flux/avance/export/flux_export/flux_export.php";

$action		 = "export";	   				// action
$id_clt	     = pget("id_clt");          // id client

if($id_clt=='')
	$id_clt=$_SESSION['CLT_ID'];

$vtp = new VTemplate;

include($DEFAULT_PATH."header.php");			//en_tete et javascript
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_av_exp_flux_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/export.png");
$vtp->setVar($form, "global.url_grid",$pathFlow."flux/avance/export/flux_export/flux_exportdSGrid.php?&action=".$action."&id_clt=".$id_clt);
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "export_flux");
//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

//Client
$filtre[] = array("id_filtre" => "id_clt", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_av_exp_flux_lbl_id_client,
				  	"value_filtre" => $id_clt,
					"ds_filtre" => $pathFlow."dataSources/dSClient.php");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => true,
						"detail" => true,
						"print" => array("show" => false,
										"title" => ""),
						"csv" => false);

//Exporter
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_av_exp_flux_lbl_exp_flux,
							"icon" => $pathFlow."style/imgs/icons/play.gif",
							"action" => array("name" => "export_flux",
											"page" => "flux/avance/export/flux_export/flux_exportAction.php",
											"callback" => "changePage",
											"get_params" => array('action','liste','id_clt')));
}

mkToolbar($vtp, $form, $option_toolbar);


$body_js = "

rowAction.actions.export_flux.check = function (params, list_params) {
	params.action = 'export_flux';
	params.liste = '';
	for(var i = 0; i < list_params.length; ++i)
		params.liste +=  (i? '_'+list_params[i].flx_id: list_params[i].flx_id);	
	return true;
};

";

$vtp->setVar($form, "global.body_javascript", $body_js);
$vtp->closeSession($form, "global");
$vtp->Display();

?>