<?php
if (!isset($snap))
	$snap = 0;
	
if ($snap != 1)
{
	$DEFAULT_PATH = "../../../../";
	require_once ($DEFAULT_PATH."XPath.class.php");
	require_once($DEFAULT_PATH."flow.php");
	require_once($DEFAULT_PATH."flow_tools.php");
	require_once ($DEFAULT_PATH."struct.php");
	$droitRole = SAD;
	$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
	$culture_folder = $DEFAULT_PATH."culture";
	require_once("$culture_folder/culture.php");
	
	require_once($DEFAULT_PATH."inc/php/utils.php");
	require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
	
	$page_courante = "flux/avance/export/flux_export/flux_exportAction.php";
	
	$action		 = pget('action');			// action
	$id_clt	     = pget("id_clt");          // id client
	$liste 	     = pget("liste");
}
else
{
	$liste=0;
	$action=export_flux;
}
//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = 0;

if ($action=='export_flux') {

	function remplace($monChamp)
	{
		$monChamp = @str_replace("&", "&amp;",$monChamp);
		$monChamp = @str_replace(">", "&gt;", $monChamp);
		$monChamp = @str_replace("<", "&lt;", $monChamp);
		return hi_disp($monChamp);
	}

	function pereDe($pere,$fils)
	{
		global $gDb;

		if ($pere)
		{
			$req = "select PAR_TYPE
				from PART 
				where PAR_ID = ".$pere." AND PAR_ETAT != ".ETAT_SUPPR;
			$gDb->SQLQuery($req, 7);
			$type = $gDb->SQLNextRow(7);
			if ($type['PAR_TYPE'] == 1)
			{
				$req = "select PAR_ID
					from PART 
					where GRP_ID = ".$pere." AND PAR_ETAT != ".ETAT_SUPPR;
				$gDb->SQLQuery($req, 7);
				$nbre_fils = 0;
				while ($row7 = $gDb->SQLNextRow(7))
				{
					if ($row7['PAR_ID'] == $fils) return true;
					$tabl[$nbre_fils] = $row7['PAR_ID'];
					$nbre_fils++;
				}
				for ($i = 0; $i < $nbre_fils; $i++)
				{
					if (pereDe($tabl[$i], $fils)) return true;
				}
			}
			else return false;
		}
		return false;
	}

	function insert_part($part_id)
	{
		global $gDb;
		global $content;
		global $fp;
		global $cpt;
		global $msg;
		global $filename;
		global $nomBase;
		global $lang_sui_rap_act_detail_msgerr_noxml;
		global $ini_typeBase;

		$req =	"select *
			from PART 
			where PAR_ID = ".$part_id." AND PAR_ETAT != ".ETAT_SUPPR;
		$gDb->SQLQuery($req, 1);
		$row9 = $gDb->SQLNextRow(1);
		$content = "		<part_$cpt>\n";
		$nbrecolonne = $gDb->SQLNumFields(1);
		for ($j = 0; $j < $nbrecolonne; $j++)
		{
			$colonne = $gDb->SQLFieldName($j, 1);
			$content .= "			<$colonne>".remplace($row9[$j])."</$colonne>\n";
		}
		$type = $row9['PAR_TYPE'];
		if (@fwrite($fp, $content) === false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}

		/****************************/
		/* traitement des adresse	*/
		/****************************/
		$req =	"select *
			from ADRESSE 
			where PAR_ID = ".$part_id;
		$gDb->SQLQuery($req, 1);
		while ($row9 = $gDb->SQLNextRow(1))
		{
			$content = "			<adresse>\n";
			$nbrecolonne = $gDb->SQLNumFields(1);
			for ($j = 0; $j < $nbrecolonne; $j++)
			{
				$colonne = $gDb->SQLFieldName($j, 1);
				$content .= "				<$colonne>".remplace($row9[$j])."</$colonne>\n";
			}
			if (@fwrite($fp, $content) === false)
			{
				$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
			}

			/*****************************/
			/* traitement des val_apr_adr*/
			/*****************************/
			$req = "select *
				from VAL_PAR_ADR 
				where ADR_ID = ".$row9['ADR_ID'];
			$gDb->SQLQuery($req, 2);
			while ($row92 = $gDb->SQLNextRow(2))
			{
				$content = "				<val_par_adr>\n";
				$nbrecolonne = $gDb->SQLNumFields(2);
				for ($j = 0; $j < $nbrecolonne; $j++)
				{
					$colonne = $gDb->SQLFieldName($j, 2);
					$content .= "					<$colonne>".remplace($row92[$j])."</$colonne>\n";
				}
				$content .= "				</val_par_adr>\n";
				if (@fwrite($fp, $content) === false)
				{
					$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
				}
			}
			$content = "			</adresse>\n\r";
			if (@fwrite($fp, $content) === false)
			{
				$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
			}
		}

		/****************************/
		/* traitement des ident		*/
		/****************************/
		$req = "select *
			from IDENT
			where PAR_ID = ".$part_id;
		$gDb->SQLQuery($req, 1);
		while ($row9 = $gDb->SQLNextRow(1))
		{
			$content = "			<ident>\n";
			$nbrecolonne = $gDb->SQLNumFields(1);
			for ($j = 0; $j < $nbrecolonne; $j++)
			{
				$colonne = $gDb->SQLFieldName($j, 1);
				$content .= "				<$colonne>".remplace($row9[$j])."</$colonne>\n";
			}
			$content .= "			</ident>\n";
			if (@fwrite($fp, $content) === false)
			{
				$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
			}
		}

		/****************************/
		/* traitement des part_demat*/
		/****************************/
		$req =	"SHOW TABLES FROM `".$nomBase."`";
		$gDb->SQLQuery($req, 1);
		$i = 0;
		$flagDEMAT = false;
		
		if($ini_typeBase == 'mysql')
			$table_name='Tables_in_'.$nomBase;
		else
		{
			if($ini_typeBase == 'mssql')
				$table_name="name";
			else
				$table_name="TABLE_NAME";	
		}
		
		while($row = $gDb->SQLNextRow(1))
		{
			if ($row[$table_name] == 'PART_DEMAT') $flagDEMAT = true;
			$i++;
		}
		if ($flagDEMAT)
		{
			$req = "select *
				from PART_DEMAT
				where PAR_ID=".$part_id;

			$gDb->SQLQuery($req,1);
			while ($row9 = $gDb->SQLNextRow(1))
			{
				$content = "			<part_demat>\n";
				$nbrecolonne = $gDb->SQLNumFields(1);
				for ($j = 0; $j < $nbrecolonne; $j++)
				{
					$colonne = $gDb->SQLFieldName($j, 1);
					$content .= "				<$colonne>".remplace($row9[$j])."</$colonne>\n";
				}
				$content .= "			</part_demat>\n";
				if (@fwrite($fp, $content) === false)
				{
					$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
				}
			}
		}

		$content = "		</part_$cpt>\n\r";
		$cpt++;
		if (@fwrite($fp,$content) === false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}

		/****************************/
		/* traitement des fils		*/
		/****************************/
		if ($type == 1)
		{
			$req =	"select PAR_ID
				from PART 
				where GRP_ID = ".$part_id." AND PAR_ETAT != ".ETAT_SUPPR;
			$gDb->SQLQuery($req, 10);
			$nbre_fils = 0;
			while ($row9 = $gDb->SQLNextRow(10))
			{
				$tabl[$nbre_fils] = ($row9['PAR_ID']);
				$nbre_fils++;
			}
			for ($i = 0; $i < $nbre_fils; $i++) insert_part($tabl[$i]);
		}
	}

	//recuperation des donnees
	global $cpt;
	if ($liste==0){
		$flux_id = array();
		$i=0;
		$req="SELECT FLX_ID FROM FLUX WHERE FLX_ACTIF !=".ETAT_SUPPR;
		$gDb->SQLQuery($req,1);
		while($row = $gDb->SQLNextRow(1)){
			$flx_id[$i]=$row['FLX_ID'];
			$i++;
		}
		$gDb->SQLFermeQuery(1);
	} else {
		$flx_id = @explode("_",$liste);
	}

	$i = 0;
	$flag = false;
	$filename = "flux_export.xml";

	if ($flx_id[0])
	{
		if ($fp = @fopen($filename, "w")) 
		{
			$flag=true;
		}
		else
		{
			$msg = str_replace('%FILENAME%',$filename,$lang_flux_part_act_export_msg_err_file_create);
			$return = 1;
		}
	}
	else
	{
		$msg = $lang_flux_av_exp_flux_act_export_msg_err_no_flux_select;
		$return = 1;
	}

	if ($flag)
	{
		$req = "SELECT FCO_VERSION FROM FLOWCONF";
		$gDb->SQLQuery($req,4);
		$base = $gDb->SQLNextRow(4);
		$content="<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<EXPORT_FLUX>\n<VERSION_BASE>".$base['FCO_VERSION']."</VERSION_BASE>\n";
		if (@fwrite($fp,$content)===false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}
	}

	while($flag && isset($flx_id[$i]) && $flx_id[$i])
	{
		$content="<flux_liste>\n";
		$cpt=1;

		if (@fwrite($fp,$content)===false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}

		/****************************/
		/* traitement des formats	*/
		/****************************/
		/*$req = "select `FORMAT`.*
		 from `FORMAT`, FLUX
		 where `FORMAT`.FOR_ID=FLUX.FOR_ID AND FLUX.FLX_ID=".$flx_id[$i]."
		 AND FLUX.FLX_ACTIF !=".ETAT_SUPPR;*/
		$req = "select `FORMAT`.TDOC_ID
				from `FORMAT`, FLUX   
				where `FORMAT`.FOR_ID=FLUX.FOR_ID AND FLUX.FLX_ID=".$flx_id[$i];
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$tdocID=$row['TDOC_ID'];

		$req = "select `FORMAT`.*
				from `FORMAT`    
				where `FORMAT`.TDOC_ID=".$tdocID;
		$gDb->SQLQuery($req,1);
		while ($row = $gDb->SQLNextRow(1))
		{
			$content="	<format>\n";
			$nbrecolonne=$gDb->SQLNumFields(1);
			for ($k=0; $k<$nbrecolonne; $k++)
			{
				$colonne=$gDb->SQLFieldName($k,1);
				$content.="		<$colonne>".remplace($row[$k])."</$colonne>\n";
			}
			if (@fwrite($fp,$content)===false)
			{
				$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
			}

			/****************************/
			/* traitement des tdoc		*/
			/****************************/
			$req = "select *
				from TYPE_DOC   
				where TDOC_ID=".$row['TDOC_ID']." AND TDOC_ETAT !=".ETAT_SUPPR;
			$gDb->SQLQuery($req,2);
			$row2 = $gDb->SQLNextRow(2);
			$content="		<type_doc>\n";
			$nbrecolonne=$gDb->SQLNumFields(2);
			for ($m=0; $m<$nbrecolonne; $m++)
			{
				$colonne=$gDb->SQLFieldName($m,2);
				$content.="			<$colonne>".remplace($row2[$m])."</$colonne>\n";
			}
			$content.="		</type_doc>\n";
			if (@fwrite($fp,$content)===false)
			{
				$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
			}
			$content="	</format>\n\r";
			if (@fwrite($fp,$content)===false)
			{
				$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
			}

		}
		/****************************/
		/* traitement des part		*/
		/****************************/
		$content="	<part_liste>\n\r";
		if (@fwrite($fp,$content)===false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}
		$req = "select PAR_EMET_ID, PAR_DEST_ID
				from FLUX
				where FLX_ID=".$flx_id[$i];
		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		insert_part($row['PAR_EMET_ID']);
		if ($row['PAR_EMET_ID']!=$row['PAR_DEST_ID'])
		{
			if( !(pereDe($row['PAR_EMET_ID'],$row['PAR_DEST_ID'])) and !(pereDe($row['PAR_DEST_ID'],$row['PAR_EMET_ID'])) )
			insert_part($row['PAR_DEST_ID']);
		}
		$DEST=$row['PAR_DEST_ID'];
		$EMET=$row['PAR_EMET_ID'];
		$content="	</part_liste>\n\r";
		if (@fwrite($fp,$content)===false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}

		/****************************/
		/* traitement des flux		*/
		/****************************/
		$req = "select *
				from FLUX   
				where FLX_ID=".$flx_id[$i]." AND FLX_ACTIF !=".ETAT_SUPPR;
		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$content="	<flux>\n";
		$nbrecolonne=$gDb->SQLNumFields(1);
		for ($k=0; $k<$nbrecolonne; $k++)
		{
			$colonne=$gDb->SQLFieldName($k,1);
			$content.="		<$colonne>".remplace($row[$k])."</$colonne>\n";
		}
		$content.="	</flux>\n";
		if (@fwrite($fp,$content)===false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}

		/****************************/
		/* traitement depart_to_part*/
		/****************************/
		$req = "SHOW TABLES FROM `".$nomBase."`";
		$gDb->SQLQuery($req, 1);
		//$i_t = 0;
		$flagPTP = false;
		
		if($ini_typeBase == 'mysql')
			$table_name='Tables_in_'.$nomBase;
		else
		{
			if($ini_typeBase == 'mssql')
				$table_name="name";
			else
				$table_name="TABLE_NAME";	
		}
	
		while($row = $gDb->SQLNextRow(1))
		{
			if ($row[$table_name] == 'PART_TO_PART' || $row[$table_name] == 'part_to_part')
			{
				$flagPTP = true;
			}
			//$i_t++;
		}
		if ($flagPTP)
		{
			$req = "select *
					from PART_TO_PART   
					where (PTP_EMET_ID=".$EMET." and PTP_DEST_ID=".$DEST.") or 
					(PTP_EMET_ID=".$DEST." and PTP_DEST_ID=".$EMET.") ";
			$gDb->SQLQuery($req,1);
			while ($row1 = $gDb->SQLNextRow(1))
			{
				$content="	<part_to_part>\n";
				$nbrecolonne=$gDb->SQLNumFields(1);
				for ($k=0; $k<$nbrecolonne; $k++)
				{
					$colonne=$gDb->SQLFieldName($k,1);
					$content.="		<$colonne>".remplace($row1[$k])."</$colonne>\n";
				}
				$content.="	</part_to_part>\n";
				if (@fwrite($fp,$content)===false)
				{
					$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
				}
			}
		}

		/****************************/
		/* traitement des planif	*/
		/****************************/
		if ($flx_id[$i])
		{
			$req = "select *
					from PLANIF 
					where FLX_ID=".$flx_id[$i];
			$gDb->SQLQuery($req,1);
			$row = $gDb->SQLNextRow(1);
			if ($row['PLA_ID'])
			{
				$content="	<planif>\n";
				$nbrecolonne=$gDb->SQLNumFields(1);
				for ($k=0; $k<$nbrecolonne; $k++)
				{
					$colonne=$gDb->SQLFieldName($k,1);
					$content.="		<$colonne>".remplace($row[$k])."</$colonne>\n";
				}
				$content.="	</planif>\n";
				if (@fwrite($fp,$content)===false)
				{
					$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
				}
			}
		}

		/****************************/
		/* traitement des actflux	liste*/
		/****************************/
		if ($flx_id[$i])
		{
			$req = "select AFX_ID, PGE_ID, ACT_ID
					from ACTFLUX  
					where FLX_ID=".$flx_id[$i]." AND AFX_ACTIF!=".ETAT_SUPPR." order by AFX_NUM";
			$gDb->SQLQuery($req,5);
			while ($row5= $gDb->SQLNextRow(5))
			{
				$content="	<liste_actflux>\n";
				if (@fwrite($fp,$content)===false)
				{
					$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
				}
					
				/****************************/
				/* traitement des par_gen	*/
				/****************************/
				if ($row5['PGE_ID'])
				{
					$req = "select *
							from PAR_GEN 
							where PGE_ID=".$row5['PGE_ID'];
					$gDb->SQLQuery($req,2);
					while ($row2 = $gDb->SQLNextRow(2))
					{
						$content="		<par_gen>\n";
						$nbrecolonne=$gDb->SQLNumFields(2);
						for ($l=0; $l<$nbrecolonne; $l++)
						{
							$colonne=$gDb->SQLFieldName($l,2);
							$content.="			<$colonne>".remplace($row2[$l])."</$colonne>\n";
						}
						if (@fwrite($fp,$content)===false)
						{
							$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
						}
							
						/*****************************/
						/* traitement des val_par_gen*/
						/*****************************/
						$req = "select *
								from VAL_PAR_GEN 
								where PGE_ID=".$row5['PGE_ID'];
						$gDb->SQLQuery($req,3);
						while ($row3 = $gDb->SQLNextRow(3))
						{
							$content="			<val_par_gen>\n";
							$nbrecolonne=$gDb->SQLNumFields(3);
							for ($n=0; $n<$nbrecolonne; $n++)
							{
								$colonne=$gDb->SQLFieldName($n,3);
								$content.="				<$colonne>".remplace($row3[$n])."</$colonne>\n";
							}
							$content.="			</val_par_gen>\n";
							if (@fwrite($fp,$content)===false)
							{
								$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
							}
						}
						$content="		</par_gen>\n";
						if (@fwrite($fp,$content)===false)
						{
							$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
						}
					}
				}

				/****************************/
				/* traitement des activite	*/
				/****************************/
				$req = "select *
						from ACTIVITE  
						where ACT_ID=".$row5['ACT_ID'];
				$gDb->SQLQuery($req,4);
				while ($row4 = $gDb->SQLNextRow(4))
				{
					$content="		<activite>\n";
					$nbrecolonne4 =$gDb->SQLNumFields(4);
					for ($l=0; $l<$nbrecolonne4; $l++)
					{
						$colonne=$gDb->SQLFieldName($l,4);
						$content.="			<$colonne>".remplace($row4[$l])."</$colonne>\n";
					}
					$content.="		</activite>\n";
					if (@fwrite($fp,$content)===false)
					{
						$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
					}
				}

				/****************************/
				/* traitement des actflux	*/
				/****************************/
				$req = "select *
						from ACTFLUX 
						where AFX_ID=".$row5['AFX_ID'];
				$gDb->SQLQuery($req,6);
				$row6 = $gDb->SQLNextRow(6);
				$content="		<actflux>\n";
				$nbrecolonne6=$gDb->SQLNumFields(6);
				for ($k=0; $k<$nbrecolonne6; $k++)
				{
					$colonne=$gDb->SQLFieldName($k,6);
					$content.="			<$colonne>".remplace($row6[$k])."</$colonne>\n";
				}

				/******************************/
				/* traitement des val_act_flux*/
				/******************************/
				$req = "select *
						from VAL_ACT_FLUX 
						where AFX_ID=".$row5['AFX_ID'];
				$gDb->SQLQuery($req,2);
				while ($row2 = $gDb->SQLNextRow(2))
				{
					$content.="		<val_act_flux>\n";
					$nbrecolonne=$gDb->SQLNumFields(2);
					for ($l=0; $l<$nbrecolonne; $l++)
					{
						$colonne=$gDb->SQLFieldName($l,2);
						$content.="			<$colonne>".remplace($row2[$l])."</$colonne>\n";
					}
					$content.="		</val_act_flux>\n";
				}
				$content.="		</actflux>\n";
				if (@fwrite($fp,$content)===false)
				{
					$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
				}
				$content="	</liste_actflux>\n";
				if (@fwrite($fp,$content)===false)
				{
					$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
				}
			}
		}

		$content="</flux_liste>\n";
		if (@fwrite($fp,$content)===false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}
		$i++;
	}
	if ($flag)
	{
		$content="</EXPORT_FLUX>";
		if (@fwrite($fp,$content)===false)
		{
			$msg = str_replace('%XMLFILE%',$filename,$lang_sui_rap_act_detail_msgerr_noxml);
		}
		@fclose($fp);
	}

	if (!$msg && $flag)
	{
		if ($snap==1) {
			if (is_file($filename)) $arc.= $filename;
		} else {
			@header("Content-type: application/download"); 
			@header("Content-Disposition: attachment; filename=$filename"); 
			@readfile("$filename");			
		}

	}
	else 
	{
		if ($snap==1) {
			$arc.= $filename;
		} else {
			@header("Content-Type: application/download\n");
			@header("Content-Disposition: attachment; filename=\"[erreur]fichier.txt\"");
			echo $msg.str_replace('%FILENAME%',$filename,$lang_flux_part_act_export_msg_err_file);
		}	 
	}

	$msg="Export ok";
	$return=0;
	$action="export";
}
$reponse['msg'] = utf8_urlencode($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
//echo encode_JSON($reponse);
?>
