<?php
$DEFAULT_PATH = "../../../../";
require_once($DEFAULT_PATH."struct.php");
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;  //droits en lmcs

//$cltID = $_SESSION['CLT_ID'];

Header("Content-Type: text/xml; charset=utf-8");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$action   = pget('action');
$id_clt   = pget('id_clt');

$tac_role = array();
$tac_role[1] = array("caption" => $lang_flux_gest_aff_title_coll, "icon" => $pathStyle.'imgs/icons/gest_flux/collecte.gif');
$tac_role[2] = array("caption" => $lang_flux_gest_aff_title_pretrait, "icon" => $pathStyle.'imgs/icons/gest_flux/pretrait.gif');
$tac_role[3] = array("caption" => $lang_flux_gest_aff_title_trait, "icon" => $pathStyle.'imgs/icons/gest_flux/traitement.gif');
$tac_role[4] = array("caption" => $lang_flux_gest_aff_title_posttrait, "icon" => $pathStyle.'imgs/icons/gest_flux/posttrait.gif');
$tac_role[5] = array("caption" => $lang_flux_gest_aff_title_present, "icon" => $pathStyle.'imgs/icons/gest_flux/present.gif');
$tac_role[6] = array("caption" => $lang_flux_gest_aff_title_rapproch, "icon" => $pathStyle.'imgs/icons/gest_flux/rapproch.gif');

function getActivites($flx_id)
{
	global $gDb, $tac_role;
	$req = "SELECT AFX_ID, AFX_NUM, AFX_LIBEL, TAC_ROLE, 
			ACTFLUX.ACT_ID, ACT_LIBEL, AFX_BACKUP_FROM, AFX_BACKUP_ID, TYPE_ACT.TAC_NUM
		FROM ACTFLUX, ACTIVITE, TYPE_ACT
		WHERE FLX_ID = $flx_id
			AND ACTFLUX.ACT_ID = ACTIVITE.ACT_ID 
			AND ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
			AND AFX_ACTIF != ".ETAT_SUPPR." 
		ORDER BY TAC_ROLE, AFX_NUM";
		
	$activite = array();
	$activiteBackup = array();

	for($i = 1; $i <= 6; ++$i)
		$activite[$i] = array();

	$gDb->SQLQuery($req, 3);
	while ($row = $gDb->SQLNextRow(3))
	{
		$i = (int) $row['TAC_ROLE'];
		
		$type = $row['ACT_LIBEL'];
		$libel = $row['AFX_LIBEL'];
		
		$isBackup = $row['AFX_BACKUP_FROM']!=NULL ? true : false;
		$backupID = (int) $row['AFX_BACKUP_ID'];
		
		if($i == 5 && $row['TAC_NUM'] == TAC_NUM_RAPPROCH)
			$j = 6;
		else $j = $i;
		
		if($isBackup==false)
			$activite[$j][] = array("type" => $type, "libel" => $libel, "backup_id" => $backupID);
		else
			$activiteBackup[(int)$row['AFX_ID']] = array("type" => $type, "libel" => $libel);
	}
	$gDb->SQLFermeQuery(3);

	$sortie ='<table>';
	for($i = 1; $i <= 6; ++$i)
	{
		if(count($activite[$i])>0)
		{
			$sortie .= '<tr><td><img src="'.$tac_role[$i]["icon"].'">&nbsp;'.$tac_role[$i]["caption"].'</td><td></td><td></td>';
			foreach($activite[$i] as $act)
			{
				$sortie .= '<tr><td></td><td>'.hi_disp($act['type']).' - '.hi_disp($act['libel']).'</td><td></td></tr>';
				
				// prsentation de backup
				if($i==5 && $act['backup_id']!=NULL)
				{
					$backup = $activiteBackup[(int)$act['backup_id']];
					$sortie .= '<tr><td></td><td></td><td>'.hi_disp($backup['type']).' - '.hi_disp($backup['libel']).'</td></tr>';
				}
			}
		}
	}
	$sortie.= '</table>';
	
	return hi_disp($sortie);
}

$req = "SELECT SQL_CALC_FOUND_ROWS FLX_LIBEL, FLX_ID, FLX_SENS,  FLX_COULEUR, FLX_RANG,
		PE.PAR_NOM EMET, PD.PAR_NOM DEST, FOR_NOM, FOR_NORME, FOR_VERSION, TDOC_NOM,
		PAR_EMET_ID, PAR_DEST_ID, `FORMAT`.TDOC_ID, PE.PAR_ETAT ETAT_E, PD.PAR_ETAT ETAT_D 
		FROM FLUX, PART PE, PART PD, `FORMAT`, TYPE_DOC 
		WHERE FLUX.CLT_ID=$id_clt AND FLX_ACTIF !=".ETAT_SUPPR." 
		AND PAR_EMET_ID = PE.PAR_ID 
			AND PAR_DEST_ID = PD.PAR_ID 
			AND FLUX.FOR_ID = `FORMAT`.FOR_ID 
			AND `FORMAT`.TDOC_ID = TYPE_DOC.TDOC_ID 
		ORDER BY FLX_RANG,FLX_LIBEL";
$gDb->SQLQuery($req,1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

$champs = array();
$champs[] = array("nom" => $lang_flux_av_exp_flux_grid_head_libel, "toolTip" => $lang_flux_av_exp_flux_grid_head_libel, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_rang, "toolTip" => $lang_flux_gest_aff_lbl_couleur.' / '.$lang_flux_gest_grid_head_rang, "sortMode" => "2");
$champs[] = array("nom" => $lang_flux_gest_grid_head_emet, "toolTip" => $lang_flux_gest_grid_head_emet, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_dest, "toolTip" => $lang_flux_gest_grid_head_dest, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_doc, "toolTip" => $lang_flux_gest_grid_head_doc, "sortMode" => "1");

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';

while($row = $gDb->SQLNextRow(1)) {
	
	$params = array();
	$params['flx_id'] = $row['FLX_ID'];
	$params['action'] = $action;
	$params['id_clt'] = $id_clt;
	$params['droits'] = array('export_flux' => (droit($droitRole, DROIT_EXEC,null,null,null,null)));
	if($row['FLX_SENS'] == EMISSION)
		$icon = $pathFlow."style/imgs/icons/aller.gif";
	else if($row['FLX_SENS'] == RECEPTION)
		$icon = $pathFlow."style/imgs/icons/retour.gif";
		
	$detail = getActivites($row['FLX_ID']);
	
	echo '<row detail="'.$detail.'">';
	echo '<item caption="'.hi_disp($row['FLX_LIBEL']).'" icon="'.$icon.'" value="'.row_encode_JSON($params).'"/>';
	if($row['FLX_COULEUR'])
	{
		$imgsrc = $pathFlow.'style/imgs/icons/puzzle_'.$row['FLX_COULEUR'].'.png';
		echo "<item caption='${row['FLX_RANG']}' toolTip='$lang_flux_gest_aff_lbl_couleur / $lang_flux_gest_grid_head_rang' value=\"${row['FLX_RANG']}\" icon=\"$imgsrc\"/>";
	}
	else
		echo "<item caption='${row['FLX_RANG']}' toolTip='$lang_flux_gest_grid_head_rang' value=\"${row['FLX_RANG']}\" alignment='1'/>";
	echo '<item caption="'.hi_disp($row['EMET']).'"/>';
	echo '<item caption="'.hi_disp($row['DEST']).'"/>';
	echo '<item caption="'.hi_disp($row['TDOC_NOM']." - ".$row['FOR_NORME']." - ".$row['FOR_NOM']." - ".$row['FOR_VERSION']).'"/>';
	echo '</row>';
}
echo '</databind>';
$gDb->SQLFermeQuery(1);
?>