<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

$page_courante = "flux/avance/export/part_export/part_export.php";
$action = "export";
$vtp = new VTemplate;

include($DEFAULT_PATH."header.php");			//en_tete et javascript
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_av_exp_part_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/export.png");
$vtp->setVar($form, "global.url_grid",$pathFlow."flux/avance/export/part_export/part_exportdSGrid.php?&action=".$action);
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "export_part");
//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => false,
						"print" => array("show" => false,
										"title" => ""),
						"csv" => false);

//Exporter
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_export,
							"icon" => $pathFlow."style/imgs/icons/play.gif",
							"action" => array("name" => "export_part",
							"page" => "flux/avance/export/part_export/part_exportAction.php",
											"callback" => "changePage",
											"get_params" => array('action','par_id','par_type','groupe')));
}

mkToolbar($vtp, $form, $option_toolbar);



$body_js = "

rowAction.actions.export_part.check = function (params) {
	params.action = 'export_part';
	if (params.groupe==1) 
		if (!confirm('".addslashes($lang_flux_part_act_export_quest_export_recurs)."')) params.groupe=0; 
	return true;
};";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();

?>
