<?php
$DEFAULT_PATH = "../../../../";
require_once($DEFAULT_PATH."struct.php");
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;  //droits en lmcs

$clt_id = $_SESSION['CLT_ID'];

Header("Content-Type: text/xml; charset=utf-8");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$action   = pget('action');

$req = "SELECT SQL_CALC_FOUND_ROWS PAR_NOM, PAR_ID, PAR_TYPE  FROM PART WHERE CLT_ID=$clt_id AND PAR_ETAT !=".ETAT_SUPPR;
$gDb->SQLQuery($req,1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';
echo '<item caption="'.$lang_flux_av_exp_part_grid_head_clic.'" icon="" onClick="" toolTip="" sortMode=""/>';
echo '</header>';

while($row = $gDb->SQLNextRow(1)) {
	
	$params = array();
	if ($row['PAR_ID']!=1){
		if ($row['PAR_TYPE']==PART_TYPE_GROUPE){
			$params['groupe'] = "1";
		} else {
			$params['groupe'] = "0";
		}
	}
	$params['par_id'] = $row['PAR_ID'];
	//$params['par_type'] = $row['PAR_TYPE'];
	$params['action'] = $action;
	//$params['id_clt'] = $id_clt;
	$params['droits'] = array('export_part' => (droit($droitRole, DROIT_EXEC,null,null,null,null)));
	
	$val="";
	$tab=" ";
	if ($row['PAR_TYPE']==PART_TYPE_GROUPE){
		$val="Grp";
		$tab=" + ";
	}

	
	echo '<row><item caption="'.$tab.hi_disp($row['PAR_NOM']).'" icon="'.$pathFlow.'style/imgs/icons/part'.$val.'.gif" value="'.row_encode_JSON($params).'"/></row>';
}
echo '</databind>';

?>