<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "flux/avance/import/flux_import/flux_import.php";

$vtp = new VTemplate;

$form = $vtp->Open($DEFAULT_PATH."template/param_form.vtp");
$vtp->addSession($form, "global");

//Variable générales
$vtp->setVar($form, "global.title", $lang_flux_av_imp_flux_title_defaut);
$vtp->setVar($form, "global.icon", $pathStyle.'imgs/icons/title/import.png');
$vtp->setVar($form, "global.readOnly", "false");
$vtp->setVar($form, "global.help_id", "import_flux");

$head_javascript="

function verifForm()
{
	var ret = true;	
	ret = submitForm(document.forms['filtre'], Flow.path+'flux/avance/import/flux_import/flux_importAction.php', prlExec);
	
	if (ret==0) {
		submitForm(document.forms['filtre'], Flow.path+'flux/avance/import/flux_import/flux_importAffich.php', changePage)
	}
}
";

$vtp->setVar($form, "global.head_javascript", $head_javascript);

$req = "select PRO_REPCOM_MOT
					from PROCESSUS
					where PRO_NUMPROC = 1";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$PRO_REPCOM_MOT = $row['PRO_REPCOM_MOT'];

// chemin
$javascript = "";
$content    = "<input type='text' name='import_chem' class='textBox' size='50' maxlength='255'>";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_av_imp_flux_lbl_xml_path);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// id client
$javascript = "
	with(new prlComboList('id_clt', '')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSClient.php';
		value='1';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_av_imp_flux_lbl_id_client);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", "verif");
$vtp->closeSession($form, "form_input_hidden");

include($DEFAULT_PATH."header.php");			//en_tete et javascript
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>
