<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

$page_courante = "flux/avance/import/flux_import/flux_importAffich.php";

$action		 = "import";	   				// action
$import_chem = pget('import_chem');		// chemin du xml a importer
$id_clt	     = pget("id_clt");          // id client

$vtp = new VTemplate;

include($DEFAULT_PATH."header.php");			//en_tete et javascript
$form = $vtp->Open($DEFAULT_PATH."template/listing_no_filtre.vtp");
$vtp->addSession($form, "global");

$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_av_imp_flux_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/import.png");
$vtp->setVar($form, "global.help_id", "import_flux_select");
$vtp->setVar($form, "global.url_grid",$pathFlow."flux/avance/import/flux_import/flux_importdSXmlGrid.php?import_chem=".urlencode($import_chem)."&action=".$action."&id_clt=".$id_clt);
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "true");
$vtp->setVar($form, "global.grid_pageSize", "5");


//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => true,
						"detail" => true,
						"print" => array("show" => false,
										"title" => ""),
						"csv" => false);

//Importer 
if (droit($droitRole, DROIT_EXEC,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_av_imp_flux_lbl_imp_flux,
							"icon" => $pathFlow."style/imgs/icons/play.gif",
							"action" => array("name" => "import_flux",
											"page" => "flux/avance/import/flux_import/flux_importAction.php",
											"callback" => "openPopUp",
											"get_params" => array('action','import_chem','liste','id_clt')));
}

mkToolbar($vtp, $form, $option_toolbar);


$body_js = "

rowAction.actions.import_flux.check = function (params, list_params) {

	params.action = 'import_flux';
	params.liste = '';

	for(var i = 0; i < list_params.length; ++i){
			params.liste +=  (i? '_'+list_params[i].flx_id: list_params[i].flx_id);
	}
	params.import_chem = urldecode('".urlencode($import_chem)."');	
	return true;

};

new prlPopUp().create();
";


$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();

?>
