<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="UTF-8" />

	<xsl:template match="/PARTENAIRES">
		$partenaire = array( <xsl:apply-templates /> );
	</xsl:template>

	<xsl:template match="PART">
		<xsl:number count="PART" level="single" format="1" /> => array( "PAR_NOM" =>'<xsl:value-of select="PAR_NOM" />', "PAR_TYPE" => '<xsl:value-of select="PAR_TYPE" />', "GRP_NOM" => '<xsl:value-of select="GRP_NOM" />',<xsl:if test="ADRESSE">"ADRESSE" => array(<xsl:apply-templates select="ADRESSE" />),</xsl:if><xsl:if test="IDENT">"IDENT" => array(<xsl:apply-templates select="IDENT" />),</xsl:if><xsl:if test="PART">"PART" => array(<xsl:apply-templates select="PART" />),</xsl:if> ),
	</xsl:template>

	<xsl:template match="ADRESSE">
		<xsl:number count="ADRESSE" level="single" format="1" /> => array( "ADR_TYPE" => '<xsl:value-of select="ADR_TYPE" />',<xsl:apply-templates select="VAL_PAR_ADR" /> ),
	</xsl:template>

	<xsl:template match="VAL_PAR_ADR">
		<xsl:number count="VAL_PAR_ADR" level="single" format="1" /> => array( "PFL_ID" => '<xsl:value-of select="PFL_ID" />', "VPA_VAL" => '<xsl:value-of select="VPA_VAL" />', ),
	</xsl:template>




	<xsl:template match="IDENT">
		<xsl:number count="IDENT" level="single" format="1" /> => array( "IDE_VAL" => '<xsl:value-of select="IDE_VAL" />', "IDE_PWD" => '<xsl:value-of select="IDE_PWD"/>', ),
	</xsl:template>


	<xsl:template match="text()"></xsl:template>

</xsl:stylesheet>


<!--	
	<xsl:number count="PAR_NOM" level="any" value="1" format="1"/>
	<xsl:number count="ADRESSE" value="1"  />
	
	
	
	<xsl:template match="ADRESSE">
	<xsl:number count="ADRESSE" value="1"  /> => array( "ADR_TYPE" => '<xsl:value-of select="ADR_TYPE"/>',
	<xsl:apply-templates />  		
	),	
	</xsl:template>
	
	<xsl:value-of select="PAR_NOM"/>
	<xsl:value-of select="PAR_TYPE"/>
	<xsl:for-each select="IDENT">
	<xsl:value-of select="IDE_VAL"/>
	</xsl:for-each>
	
	$partenaire = array
	(
	0 => array
	(
	"PAR_NOM"=>'NOM_1_1',
	"PAR_TYPE"=>1,
	"IDENT" => array
	(
	0=>'a123456',
	1=> 'a123'
	),
	"ADRESSE" => array
	( 
	0=> array
	(
	"ADR_TYPE"=>2,
	0 => array
	(
	"VPA_VAL"=>'mon mail',
	"PFL_ID"=>441
	),
	1 => array
	(
	"VPA_VAL"=>'test@almacom.fr',
	"PFL_ID"=>442
	)
	),	
	1=>	array
	(
	"ADR_TYPE"=>2,
	"VAL_PAR_ADR" => array
	(
	"VPA_VAL"=>'test22@almacom.fr',
	"PFL_ID"=>441
	)
	)				
	),
	0 => array //PART
	(
	"PAR_NOM"=>'AA NOM',
	"PAR_TYPE"=>1,
	"IDENT" => array
	(
	0=>'AA 123456',
	1=> 'AA 123'
	),
	
-->