<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."XPath.class.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$droitRole = SAD; 
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "flux/avance/import/part_import/part_importAction.php";
$msg = '';
$action		 = pget('action');			// action
$import_chem = pget('import_chem');		// chemin du xml a importer
$GRP_ID	     = pget("par_id");          // id partenaire (pere)
$id_clt 	 = $_SESSION['CLT_ID'];

If ($GRP_ID==0){
	$NomPere="null";
} else {
	$query= "SELECT PAR_NOM	FROM PART WHERE PAR_ID=$GRP_ID";
	$gDb->SQLQuery($query,1);
	$row = $gDb->SQLNextRow(1);
	$NomPere=$row['PAR_NOM'];
	$gDb->SQLFermeQuery(1);
}

//Variables pour la réponse en JSON
$reponse = array();
$msg="";
$return = 0;

// Indique si la liste chainee doit etre regeneree
$need_rebuild = false;

if ($action=='import') {
	
	/************************************************************/
	/* DEBUT fonctions											*/
	/************************************************************/
	function remplaceInverse($monChamp)
	{
		$monChamp=@str_replace("&gt;",">",$monChamp);
		$monChamp=@str_replace("&lt;","<",$monChamp);
		$monChamp=@str_replace("&amp;","&",$monChamp);
		return $monChamp;
	}

	function insert_part($PAR_TYPE,$PAR_NOM,$GRP_ID)
	{
		global $gDb;
		global $id_clt;
		global $msg;
        global $need_rebuild;
		
        $query= "INSERT INTO PART (CLT_ID, PAR_TYPE, GRP_ID, PAR_NOM, PAR_ETAT) values
	 			($id_clt, $PAR_TYPE, $GRP_ID, '".hi_disp(dblQ(remplaceInverse($PAR_NOM)))."', 1)";

		$res=$gDb->SQLQuery($query,1);		
		
		if ($res==null)
		{
			return (-1);
		}
		
		$id=$gDb->SQLlastID();
        // Un nouveau partenaire a ete ajoute
        // On doit recalcule les valeurs de la liste chainee
        $need_rebuild = true;
		
		return $id;
	}

	function existe_part($PAR_NOM)
	{
		global $gDb;
		global $id_clt;
		global $msg;
		global $lang_flux_av_imp_flux_act_lbl_part;
		global $lang_flux_av_imp_flux_act_insert_msg_err_dup;

		$query= "SELECT PAR_ID
				FROM PART WHERE CLT_ID=$id_clt and PAR_NOM='".dblQ($PAR_NOM)."'";
		// and PAR_ETAT!='".ETAT_SUPPR."' 
		$gDb->SQLQuery($query,1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);

		if ($row['PAR_ID'])
		{
			$msg.=$lang_flux_av_imp_flux_act_lbl_part.$PAR_NOM.$lang_flux_av_imp_flux_act_insert_msg_err_dup."<br/>";
			return $row['PAR_ID'];
		}
		else return(-1);
	}

	function existe_type_adr($ADR_TYPE)
	{
		global $gDb;
		$query= "SELECT PFL_ID
				FROM PAR_FLOW WHERE PFL_ADR=$ADR_TYPE";
		$gDb->SQLQuery($query,1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if ($row[0])
		{
			return $row[0];
		}
		else return(-1);
	}

	function existe_adr($ADR_TYPE,$VPA_VAL,$PFL_ID)
	{
		global $gDb;
		global $id_clt;
		global $msg;
		global $lang_flux_av_imp_flux_act_lbl_adr;
		global $lang_flux_av_imp_flux_act_insert_msg_err_dup;

		//correspondance type d'adresse et PFl_ID pour l'unicite
		$type[1]=270;
		$type[2]=442;
		$type[3]=3041;
		$type[4]=3141;
		//idem type adre et pfl_num � tester
		$num[1]=1;
		$num[2]=2;
		$num[3]=1;
		$num[4]=1;

		$query= "SELECT VPA_ID
				FROM VAL_PAR_ADR WHERE CLT_ID=$id_clt 
				AND VPA_VAL='".dblQ($VPA_VAL[$num[$ADR_TYPE]])."' 
				AND PFL_ID=".$type[$ADR_TYPE];
		$gDb->SQLQuery($query,1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if ($row[0])
		{
			$msg.=$lang_flux_av_imp_flux_act_lbl_adr.$VPA_VAL[$num[$ADR_TYPE]].$lang_flux_av_imp_flux_act_insert_msg_err_dup."<br/>";
			return $row[0];
		}
		else return(-1);
	}

	function insere_adr($ADR_TYPE,$VPA_VAL,$PFL_ID,$new_par_id)
	{
		global $gDb;
		global $id_clt;
		global $msg;
		global $lang_flux_av_imp_flux_act_lbl_adr;
		global $lang_flux_av_imp_flux_act_insert_msg_err;
		global $lang_flux_av_imp_flux_act_lbl_val_par_adr;
		
		$query= "INSERT INTO ADRESSE (CLT_ID, PAR_ID, ADR_TYPE) values
	 			($id_clt, $new_par_id, $ADR_TYPE)";
		$res=$gDb->SQLQuery($query,1);
		if ($res==null)
		{
			$msg.=$lang_flux_av_imp_flux_act_insert_msg_err.$lang_flux_av_imp_flux_act_lbl_adr."<br/>";
			return (-1);
		}
		$ADR_ID=$gDb->SQLlastID();
		$i=1;
		while(isset($VPA_VAL[$i]))
		{
			$query= "INSERT INTO VAL_PAR_ADR (CLT_ID, ADR_ID, PFL_ID, VPA_VAL) values
	 			($id_clt, $ADR_ID, ".$PFL_ID[$i].", '".dblQ(remplaceInverse($VPA_VAL[$i]))."')";
			$res=$gDb->SQLQuery($query,1);
			if ($res==null)
			{
				$msg.=$lang_flux_av_imp_flux_act_insert_msg_err.$lang_flux_av_imp_flux_act_lbl_val_par_adr.$VPA_VAL[$i]."<br/>";
				return (-1);
			}
			$i++;
		}

		return 0;
	}

	function existe_ident($IDE_VAL)
	{
		global $gDb;
		global $xp;
		global $id_clt;
		global $msg;
		global $lang_flux_av_imp_flux_act_lbl_id;
		global $lang_flux_av_imp_flux_act_insert_msg_err_dup;
		global $lang_flux_av_imp_flux_act_insert_msg_err;
		
		$query= "SELECT IDE_ID
				FROM IDENT WHERE CLT_ID=$id_clt AND IDE_VAL='".dblQ($IDE_VAL)."'";
		$gDb->SQLQuery($query,1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if ($row[0])
		{
			$msg.=$lang_flux_av_imp_flux_act_lbl_id.$IDE_VAL.$lang_flux_av_imp_flux_act_insert_msg_err_dup."<br/>";
			return $row[0];
		}
		else
		{
		/*
			$msg.=$lang_flux_av_imp_flux_act_insert_msg_err.$lang_flux_av_imp_flux_act_lbl_id.$IDE_VAL."<br/>";
		*/
			return(-1);
		}
	}

	function insere_ident($IDE_VAL, $IDE_PWD, $new_par_id)
	{
		global $gDb;
		global $id_clt;
		global $msg;
		global $lang_flux_av_imp_flux_act_insert_msg_err;
		global $lang_flux_av_imp_flux_act_lbl_id;
		
		$query= "INSERT INTO IDENT (CLT_ID, PAR_ID, IDE_VAL, IDE_PWD) values
	 			($id_clt, $new_par_id, '".dblQ(remplaceInverse($IDE_VAL))."', '".dblQ(remplaceInverse($IDE_PWD))."')";
		$res=$gDb->SQLQuery($query,1);
		if ($res==null)
		{
			$msg.=$lang_flux_av_imp_flux_act_insert_msg_err.$lang_flux_av_imp_flux_act_lbl_id.$IDE_VAL."<br/>";
			
			return (-1);
		}
		return 0;
	}

	function gere_part($tableau, $NomPere)
	{
		global $gDb;
		global $xp;
		global $msg;
		global $lang_flux_av_imp_flux_act_insert_msg_err;
		global $lang_flux_av_imp_flux_act_lbl_part;
		global $lang_flux_av_imp_flux_act_lbl_adr;
		global $lang_flux_av_imp_flux_act_lbl_id;
		
		$PAR_TYPE=$tableau["PAR_TYPE"];
		$PAR_NOM=$tableau["PAR_NOM"];
		If ($NomPere=="null") $GRP_ID="null";
		else
		{
			$query= "SELECT PAR_ID
				FROM PART WHERE PAR_NOM='$NomPere'";
			$gDb->SQLQuery($query,1);
			$row = $gDb->SQLNextRow(1);
			$GRP_ID=$row['PAR_ID'];
			$gDb->SQLFermeQuery(1);
		}
		//si le partenaire n'existe pas on le cree
		$new_par_id=existe_part($PAR_NOM);
		
		if ($new_par_id==-1)
		{			
			$new_par_id=insert_part($PAR_TYPE,$PAR_NOM,$GRP_ID);
			if ($new_par_id==-1)
			{
				$msg.=$lang_flux_av_imp_flux_act_insert_msg_err.$lang_flux_av_imp_flux_act_lbl_part.$PAR_NOM."<br/>";
			}
		}
		$Num_adr=1;
		while( isset($tableau["ADRESSE"][$Num_adr]["ADR_TYPE"]) )
		{
			$ADR_TYPE=$tableau["ADRESSE"][$Num_adr]["ADR_TYPE"];
			//on recupere toutes les informations de l'adresse
			$tmp=existe_type_adr($ADR_TYPE);
			if ($tmp>0)
			{
				$Num_val_adr=1;
				while( isset($tableau["ADRESSE"][$Num_adr][$Num_val_adr]["PFL_ID"]) )
				{
					//on recupere les val_par_adr
					$PFL_ID[$Num_val_adr]=$tableau["ADRESSE"][$Num_adr][$Num_val_adr]["PFL_ID"];
					$VPA_VAL[$Num_val_adr]=$tableau["ADRESSE"][$Num_adr][$Num_val_adr]["VPA_VAL"];
					$Num_val_adr++;
				}
				
				// BB 10/10/2007 Desactivé pour permettre d'importer plusieurs adresses identiques
				//$tmp=existe_adr($ADR_TYPE,$VPA_VAL,$PFL_ID);
				//if ($tmp==-1)
				$tmp2=insere_adr($ADR_TYPE,$VPA_VAL,$PFL_ID,$new_par_id);
				if ($tmp2==-1)
				{
					$msg.=$lang_flux_av_imp_flux_act_insert_msg_err.$lang_flux_av_imp_flux_act_lbl_adr."<br/>";
					return-1;
				}
			}
			$Num_adr++;
		}

		$Num_ident=1;

		while(isset($tableau["IDENT"][$Num_ident]["IDE_VAL"]))
		{
			$IDE_VAL=$tableau["IDENT"][$Num_ident]["IDE_VAL"];
			$IDE_PWD=$tableau["IDENT"][$Num_ident]["IDE_PWD"];
			$tmp=existe_ident($IDE_VAL);
			if ($tmp==-1)
			{				
				$tmp=insere_ident($IDE_VAL, $IDE_PWD, $new_par_id);
				if ($tmp==-1)
				{
					$msg.=$lang_flux_av_imp_flux_act_insert_msg_err.$lang_flux_av_imp_flux_act_lbl_id.$IDE_VAL."<br/>";
					return -1;
				}
			}
			$Num_ident++;
		}
		$nbrPartF=1;
		while(isset($tableau["PART"][$nbrPartF]["PAR_NOM"]))
		{
			$tmp=gere_part($tableau["PART"][$nbrPartF],$tableau["PART"][$nbrPartF]["GRP_NOM"]);
			$nbrPartF++;
			
		}

		return 1;
	}

	function apply_xsl($xsl_file, $xml_file, $xslt_params, &$result)
	{
	
		global $ini_typeBase;

		global $lang_admin_confav_addact_act_applyxsl_msg_err_cantinit;
		global $lang_sui_rap_act_detail_msgerr_applyxsl;
		global $tmp;
		
		
	if (!($xml_handle = @fopen($xml_file, "r"))) {$result = "Le fichier '$xml_file' n'existe pas ou n'est pas accessible depuis l'IHM"; return false;}
	if (!($xsl_handle = @fopen($xsl_file, "r"))) {$result = "Impossible d'ouvrir le fichier '$xsl_file'"; return false;}
	if (!($xml_content 	= @fread($xml_handle, @filesize($xml_file))))  {$result = "Impossible de lire le fichier '$xml_file'"; return false;}
	if (!($xsl_content 	= @fread($xsl_handle, @filesize($xsl_file))))  {$result = "Impossible de lire le fichier '$xsl_file'"; return false;}
	@fclose($xml_handle);
	@fclose($xsl_handle);
	$xslt_args = array('/_xml' => $xml_content, '/_xsl' => $xsl_content);
	if (!($xh = @xslt_create()))  {$result = $lang_admin_confav_addact_act_applyxsl_msg_err_cantinit."<br/>"; return false;}
	if (!($result = @xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $xslt_args, $xslt_params))){
		//  $xsl_file' au fichier '$xml_file'"
		$tmp=-1;
		$result = str_replace(array('%XSLFILE%','%XMLFILE%'),array($xsl_file,$xml_file),$lang_sui_rap_act_detail_msgerr_applyxsl)."<br/>"; return false;
	}
	
	@xslt_free($xh);	
	return true;
	}	

	/************************************************************/
	/* FIN fonctions											*/
	/************************************************************/	
	
	if ($xml_fic = @fopen($import_chem, "r")){
		$xslt_params = array();
		$xsl_file = "part_import.xsl"; 
		$xml_file = $import_chem;
		if (!apply_xsl($xsl_file, $xml_file, $xslt_params, $result)){
			$msg.=$result;
			$tmp=-1;
		} else {
			eval($result);	
			$gDb->SQLTransact();
			$tmp=0;
			$nbrPartPere =1;
			
			while (isset($partenaire[$nbrPartPere]["PAR_NOM"]) && $tmp>(-1)){
				$tmp=gere_part($partenaire[$nbrPartPere],$NomPere);
				$nbrPartPere++;
			}
		}

		// Modif LTK le 01/03/11 : Bugzilla #2963
		if ($need_rebuild)
		{
			// Les valeurs de la liste chainee des partenaires
			// doivent etre recalculees
			$query= "SET @@SESSION.max_sp_recursion_depth=50";
			$gDb->SQLQuery($query,1);
			$gDb->SQLFermeQuery(1);
			#$query= "CALL REBUILD_PART_TREE()";
			if($ini_typeBase == 'mysql')
				$query= "CALL REBUILD_PART_TREE()";
			else
			{	if($ini_typeBase == 'mssql')
					$query= "EXEC REBUILD_PART_TREE";
				else
					$query= "BEGIN REBUILD_PART_TREE; END;";
			}
			
			$gDb->SQLQuery($query,1);
			$gDb->SQLFermeQuery(1);
		}
			
		if ($tmp==-1){
			$msg.=$lang_flux_part_act_import_msg_err."<br/>";
			$gDb->SQLRollBack();
		} else {
			$msg.=$lang_flux_part_act_import_msg_ok."<br/>";
			$return =0;
			$gDb->SQLCommit();
		}
		
	} else {
		$msg = str_replace('%FILE%',$import_chem,$lang_sui_rap_act_detail_msgerr_open)."<br/>";
		$return = 1;
	}	
}
echo $msg;
?>
