<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX; //droit de gestion des types de documents
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/gest/activite/flux_gest_activite_actAffich.php";

$vtp = new VTemplate;

$afx_id = pget('afx_id');
$flx_id = pget('flx_id');
$tac_role = pget('tac_role');
$readOnly = pget('readOnly');
$for_id = pget('for_id');

$clt_id = $_SESSION["CLT_ID"];

$form = $vtp->Open($DEFAULT_PATH."template/act_form.vtp");
$vtp->addSession($form, "global");

if($readOnly == "0") {
	$action = "modif";
	$title = $lang_lbl_modif;
	$icon = $pathStyle."imgs/icons/admin.gif";
}
else {
	$action = "detail";
	$title = $lang_lbl_detail;
	$icon = $pathStyle."imgs/icons/loupe.gif";
}

//Variable générales
//ID Gemedoc pour l'aide

if($ini_typeBase == "mysql")
	$req = "SELECT TAC_NUM
		FROM ACTFLUX JOIN ACTIVITE USING (ACT_ID)
		WHERE AFX_ID = ".$afx_id;
else
	$req = "SELECT TAC_NUM
		FROM ACTFLUX JOIN ACTIVITE ON ACTFLUX.ACT_ID=ACTIVITE.ACT_ID
		WHERE AFX_ID = ".$afx_id;
		
		
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);
$tac_num = (int) $row['TAC_NUM'];

require_once($DEFAULT_PATH."inc/php/help_id.php");
$help_id = $act_help_id[$tac_num];

$vtp->setVar($form, "global.help_id", $help_id);
$vtp->setVar($form, "global.title", addslashes($title));
$vtp->setVar($form, "global.icon", $icon);

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

$req = "SELECT ACT_ID, PGE_ID
		FROM ACTFLUX
		WHERE AFX_ID = $afx_id";
$gDb->SQLQuery($req,1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$act_id = $row['ACT_ID'];
$pge_id = $row['PGE_ID'];

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "afx_id");
$vtp->setVar($form, "form_input_hidden.value", $afx_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "act_id");
$vtp->setVar($form, "form_input_hidden.value", $act_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "tac_role");
$vtp->setVar($form, "form_input_hidden.value", $tac_role);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "with_msg");
$vtp->setVar($form, "form_input_hidden.value", '1');
$vtp->closeSession($form, "form_input_hidden");

/*
$req = "SELECT AFX_LIBEL, AFX_ACTIF, AFX_SUIVI, AFX_NUMPROC
		FROM ACTFLUX
		WHERE AFX_ID = $afx_id";
*/
// Bz4208 : 06/02/2012 : B. Gardes : dév. en cours  : ajout chmaps AFX_TYPE_ALERTE au select
$req = "SELECT AFX_LIBEL, AFX_ACTIF, AFX_SUIVI, AFX_NUMPROC, AFX_TYPE_ALERTE
		FROM ACTFLUX
		WHERE AFX_ID = $afx_id";


$gDb->SQLQuery($req,1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

//Libellé
$AFX_LIBEL = addslashes(hi_disp($row['AFX_LIBEL']));
if($readOnly){
	$content = $AFX_LIBEL;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('afx_libel', prlTextBox.formats.any, '$AFX_LIBEL')) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		toolTip='$lang_flux_gest_aff_lbl_libelle';
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_aff_lbl_libelle." (*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//Parametre general
if ($pge_id != '')
{
	$reqPGE = "SELECT PGE_LIBEL, TPG_NUM
			   FROM PAR_GEN
			   WHERE PGE_ID = ".$pge_id;
	$gDb->SQLQuery($reqPGE,3);
	$rowPGE = $gDb->SQLNextRow(3);
	$gDb->SQLFermeQuery(3);
	if ($rowPGE['PGE_LIBEL'] != '')
	{
		if($readOnly){
			$content = $rowPGE['PGE_LIBEL'];
			$javascript = "";
		}else{
			$javascript = "with(new prlComboList('pge_id', '$pge_id')) {";
			$reqPGE = "SELECT PGE_LIBEL, PGE_ID, PGE_ETAT
				   FROM PAR_GEN
				   WHERE TPG_NUM = ".$rowPGE['TPG_NUM'].
 				   " AND PGE_ETAT != ".ETAT_SUPPR." ORDER BY PGE_LIBEL";
			$gDb->SQLQuery($reqPGE,4);
			while($rowPGE = $gDb->SQLNextRow(4))
			{
				$javascript .= "add('".addslashes(hi_disp($rowPGE['PGE_LIBEL']))."', '', '', '".$rowPGE['PGE_ID']."');";
			}
			$gDb->SQLFermeQuery(4);
			$javascript .= "toolTip='".addslashes($lang_flux_gest_aff_lbl_pargen_tooltip)."';create();};";
			$content = "";
		}
		$vtp->addSession($form, "form_field");
		$vtp->setVar($form, "form_field.caption", $lang_flux_gest_aff_lbl_pargen);
		$vtp->setVar($form, "form_field.javascript", $javascript);
		$vtp->setVar($form, "form_field.content", $content);
		$vtp->closeSession($form, "form_field");
	}
}
//Actif
$AFX_ACTIF = $row['AFX_ACTIF'];
if($AFX_ACTIF == ETAT_ACTIF) $ETAT = $lang_lbl_oui;
else $ETAT = $lang_lbl_non;
if($readOnly){
	$content = $ETAT;
	$javascript = "";
}
else {
	$javascript = "
		with(new prlComboList('afx_actif', '$AFX_ACTIF')) {
			add('$lang_lbl_oui', '', '', '".ETAT_ACTIF."');
			add('$lang_lbl_non', '', '', '".ETAT_INACTIF."');
			toolTip='$lang_flux_gest_aff_lbl_actif';
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_aff_lbl_actif);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//Numero de processus
if ($flx_id)
{
    $reqMoteurs = "SELECT FLX_MULTIMOTEURS
                   FROM FLUX
                   WHERE FLX_ID = '".$flx_id."'";
    $gDb->SQLQuery($reqMoteurs,5);
    $rowMoteur = $gDb->SQLNextRow(5);
    $multiMoteurs = $rowMoteur['FLX_MULTIMOTEURS'];
    $gDb->SQLFermeQuery(5);
    
	$AFX_NUMPROC = $row['AFX_NUMPROC'];
	if (($AFX_NUMPROC == 0) || ($multiMoteurs == FLX_MOTEURS_PAR_DEFAUT))
	{
  	    // Recuperer le moteur par defaut associe a ce type d'activite
        $reqMoteurs = "SELECT ACT_NUMPROC
	                   FROM ACTIVITE
	                   WHERE ACT_ID = '".$act_id."'";
	    $gDb->SQLQuery($reqMoteurs,5);
	    $rowMoteur = $gDb->SQLNextRow(5);
	    $AFX_NUMPROC = $rowMoteur['ACT_NUMPROC'];
	    $gDb->SQLFermeQuery(5);
		
	}
	// Si le moteur n'est pas modifiable
	// (lecture seule, moteur par defaut ou moteur commun a toutes les activites du flux
	if(($readOnly) || ($multiMoteurs != FLX_MULTI_MOTEURS))
	{
		// Si le moteur est defini selon la charge
		if ($multiMoteurs == FLX_MOTEURS_SELON_CHARGE)
		{
            $content = $lang_ds_moteurs_selon_charge;
		}
		else
		{
			// Recuperer le libelle du moteur
	        $reqMoteurs = "SELECT PRO_LIBELLE
	                       FROM PROCESSUS
	                       WHERE PRO_NUMPROC=$AFX_NUMPROC AND PRO_TYPE_MOTEUR = ".TYPE_MOTEUR_ACT;
	        $gDb->SQLQuery($reqMoteurs,5);
	        $rowMoteur = $gDb->SQLNextRow(5);
	        $content = $rowMoteur['PRO_LIBELLE'];
	        $gDb->SQLFermeQuery(5);
		}
	    $javascript = "";
	}
	else 
	{
		// Afficher une combo avec l'ensemble des moteurs
	    $javascript = "with(new prlComboList('afx_numproc', '$AFX_NUMPROC')) {";
	    $reqMoteurs = "SELECT PRO_LIBELLE, PRO_NUMPROC, PRO_TYPE_MOTEUR
	                   FROM PROCESSUS
	                   WHERE PRO_TYPE_MOTEUR = ".TYPE_MOTEUR_ACT;
	    $gDb->SQLQuery($reqMoteurs,5);
	    while($rowMoteur = $gDb->SQLNextRow(5))
	    {
	        $javascript .= "add('".addslashes(hi_disp($rowMoteur['PRO_LIBELLE']))."', '', '', '".$rowMoteur['PRO_NUMPROC']."');";
	    }
	    $gDb->SQLFermeQuery(5);
	    $javascript .= " create(); };";
	    $content = "";
	}
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_ds_typemot_act);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
}


// Bz4208 : 06/02/2012 : B. Gardes : dév. en cours 
//Emission Alertes
$AFX_TYPE_ALERTE = $row['AFX_TYPE_ALERTE'];
switch ($AFX_TYPE_ALERTE) {
	case ALERTE_ERR_WARN:
		$ETAT_ALERT = $lang_lbl_alerte_err_warn;
		break;
	case ALERTE_ERR_ONLY:
		$ETAT_ALERT = $lang_lbl_alerte_err_only;
		break;
	case ALERTE_SILENCE:
		$ETAT_ALERT = $lang_lbl_alerte_silence;
		break;
}
if($readOnly){
	$content = $ETAT_ALERT;
	$javascript = "";
}
else {
	$javascript = "
		with(new prlComboList('afx_type_alerte', '$AFX_TYPE_ALERTE')) {
			add('$lang_lbl_alerte_err_warn', '', '', '".ALERTE_ERR_WARN."');
			add('$lang_lbl_alerte_err_only', '', '', '".ALERTE_ERR_ONLY."');
			add('$lang_lbl_alerte_silence', '', '', '".ALERTE_SILENCE."');
			toolTip='$lang_flux_gest_aff_lbl_emission_alert ';
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_aff_lbl_emission_alert );
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Sélection du suivi uniquement sur les activités de traitement (et une seule à la fois)
if($tac_role == ID_TRAITEMENT) {
	$AFX_SUIVI = $row['AFX_SUIVI'];
	if($AFX_SUIVI == MODE_SUIVI) $SUIVI = $lang_lbl_oui;
	else $SUIVI = $lang_lbl_non;
	if($readOnly){
		$content = $SUIVI;
		$javascript = "";
	}
	else {
		$javascript = "
			with(new prlComboList('afx_suivi', '$AFX_SUIVI')) {
				add('$lang_lbl_oui', '', '', '".MODE_SUIVI."');
				add('$lang_lbl_non', '', '', '".MODE_NSUIVI."');
				toolTip='$lang_flux_gest_aff_lbl_suivi';
				create();
			};";
		$content = "";
	}
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_gest_aff_lbl_suivi);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
}

$req = "SELECT DISTINCT ACT_LIBEL, PFL_ID, PFL_NUM, PFL_ROLE, PFL_ADR, PFL_NOM,
			PFL_LIBEL, PFL_TYPE, PFL_LONGUEUR, PFL_DEFAUT,
			PFL_INIT, PFL_AIDE, PFL_AVANCE, PFL_OBLIG, PFL_FORMAT,
			TAC_NOM, PRO_REPCOM_MOT
		FROM PAR_FLOW, ACTIVITE, TYPE_ACT, PROCESSUS
		WHERE ACT_ID = $act_id
			AND PAR_FLOW.TAC_NUM = ACTIVITE.TAC_NUM
			AND PFL_ROLE = ".PARAM_ROLE_ACTIVITE."
			AND TYPE_ACT.TAC_NUM = ACTIVITE.TAC_NUM
			AND PROCESSUS.PRO_NUMPROC = ACTIVITE.ACT_NUMPROC
		ORDER BY PFL_NUM";

$gDb->SQLQuery($req,1);

$formulaire = array();
$formulaire_av = array();

while($row_act = $gDb->SQLNextRow(1))
{
	$libel_aide = $row_act["TAC_NOM"];
	$libel_activite = $row_act['ACT_LIBEL'];
	//$num = $nom_act."_".$afx_id."_".$act_id."_".$row_act['PFL_ID'];

	$req = "SELECT VAF_VAL
			FROM VAL_ACT_FLUX
			WHERE AFX_ID = $afx_id
				AND PFL_ID = ".$row_act['PFL_ID'];

	$gDb->SQLQuery($req, 2);
	$row_vaf_val = $gDb->SQLNextRow(2);
	$value = $row_vaf_val['VAF_VAL'];
	$gDb->SQLFermeQuery(2);

	if(!isset($value))
		$value = $row_act['PFL_DEFAUT'];

	if($row_act["PFL_TYPE"] == TYPE_PARACT_COMBO_SQL) {
		$choix = "";
		$req = $row_act['PFL_INIT'];
		$req = str_replace("[@CLT_ID]", $clt_id, $req);
		$req = str_replace("[@FLX_ID]", $flx_id, $req);
		$req = str_replace("[@FOR_ID]", $for_id, $req);

		$gDb->SQLQuery($req, 2);
		$first = true;
		while($row_select = $gDb->SQLNextRow(2)) {
			if(!$first)
				$choix .= "/";
			else {
				if($row_act["PFL_OBLIG"] != PFL_OBLIG) {
					$choix .= "0:-/";
				}
				$first = false;
			}

			$choix .= $row_select[0].":".$row_select[1];
		}
		$gDb->SQLFermeQuery(2);
	}

	else
		$choix = $row_act["PFL_INIT"];

	$info = array("afx_id" => $afx_id,
					"pfl_id" => $row_act["PFL_ID"],
					"libel" => hi_disp($row_act["PFL_LIBEL"]),
					"type" => $row_act["PFL_TYPE"],
					"length" => $row_act["PFL_LONGUEUR"],
					"value" => $value,
					"choix" => $choix,
					"toolTip" => hi_disp($row_act["PFL_AIDE"]),
					"oblig" => $row_act["PFL_OBLIG"] == "1",
					"format" => $row_act["PFL_FORMAT"],
					"def_path" => $row_act["PRO_REPCOM_MOT"],
	);

	if($row_act["PFL_AVANCE"] == "1")
		$formulaire_av[] = $info;
	else
		$formulaire[] = $info;
}
$gDb->SQLFermeQuery(1);

//Définition des types de champs pour la fonction de vérification du formulaire
$TYPE = array("NONE" => 0, "TEXT_BOX" => 1, "COMBO" => 2);

$param_oblig = array();
$param_oblig[] = array("id" => "afx_libel", "libel" => addslashes($lang_flux_gest_aff_lbl_libelle), "type" => $TYPE["TEXT_BOX"]);

function par_gen_form(&$form_obj) {
	global $readOnly, $pathFramework, $pathStyle, $param_oblig, $TYPE;
	global $lang_flux_gest_act_macro_lbl_edit_macro,
	$lang_flux_gest_act_macro_lbl_edit_macro_path,
	$lang_flux_gest_act_macro_lbl_edit_macro_rep,
	$lang_flux_gest_act_macro_lbl_edit_carte_appel;

	$ret = array();

	foreach($form_obj as $field) {
		$ret_field = array("caption" => "",
				"content" => "",
				"javascript" => "");

		$ret_field["caption"] = $field["libel"].($field["oblig"]? " (*)": "");

		if($readOnly == "0") {
			$content = "";
			$javascript = "";
			$type = $TYPE["NONE"];

			switch($field["type"]) {
				case TYPE_PARACT_MACRO:
				case TYPE_PARACT_CARTE_APPEL:
				case TYPE_PARACT_CHEMIN_MACRO:
				case TYPE_PARACT_REPERTOIRE_MACRO:
				case TYPE_PARACT_TXT:
				case TYPE_PARACT_PWD:
					$format = "prlTextBox.formats.any";
					$format_def = "";

					if(!empty($field["format"])) {
						$format_def = "prlTextBox.formats.perso = {'name':'perso',
							'key':/.*/,
							'validate':/".$field["format"]."/,
							'maxLength': ".$field["length"].",
							'align':'right'};";
						$format = "prlTextBox.formats.perso";
					}
					$javascript = "
						$format_def
						with(new prlTextBox('".$field["pfl_id"]."', $format, urldecode('".utf8_urlencode(hi_disp($field["value"]))."'))) {
							maxLength  = ".$field["length"].";
							trim = prlTextBox.trimMode.both;
							toolTip = '".addslashes($field["toolTip"])."';
							password = ".($field["type"] == TYPE_PARACT_PWD? "true": "false")."
							create();
						};";

					if($field["type"] == TYPE_PARACT_CARTE_APPEL || $field["type"] == TYPE_PARACT_MACRO || $field["type"] == TYPE_PARACT_CHEMIN_MACRO || $field["type"] == TYPE_PARACT_REPERTOIRE_MACRO) {
						$icon = "";
						$tooTip = "";
						switch($field["type"]) {
							case TYPE_PARACT_MACRO:
								$icon = $pathStyle."imgs/icons/exec.png";
								$toolTip = $lang_flux_gest_act_macro_lbl_edit_macro;
								break;
							case TYPE_PARACT_CARTE_APPEL:
								$icon = $pathStyle."imgs/icons/exec.png";
								$toolTip = $lang_flux_gest_act_macro_lbl_edit_carte_appel;
								break;
							case TYPE_PARACT_CHEMIN_MACRO:
								$icon = $pathStyle."imgs/icons/log.gif";
								$toolTip = $lang_flux_gest_act_macro_lbl_edit_macro_path;
								break;
							case TYPE_PARACT_REPERTOIRE_MACRO:
								$toolTip = $lang_flux_gest_act_macro_lbl_edit_macro_rep;
								$icon = $pathStyle."imgs/icons/client.gif";
								break;
						}
						$content = "<img src=\"$icon\" onClick=\"var txt_macro = encodeURIComponent($('".$field["pfl_id"]."').value); openPopUp(Flow.path+'flux/gest/macro/flux_gest_macro.php?afx_id=".$field["afx_id"]."&pfl_id=".$field["pfl_id"]."&pfl_type=".$field["type"]."&txt_macro='+txt_macro, null, 800, 500, false);\" style=\"cursor: pointer;\" title=\"$toolTip\" />";
					}

					$type = $TYPE["TEXT_BOX"];
					break;
				case TYPE_PARACT_COMBO:
				case TYPE_PARACT_COMBO_SQL:
					$list = "";
					$val = "";
					foreach(preg_split("/\//", $field["choix"]) as $champs) {
						$val = preg_split ("/:/", $champs);
						$list .= "add('".$val[1]."', '', '', '".$val[0]."');";
					}
					$javascript = "
						with(new Prologue.comboList('".$field["pfl_id"]."', urldecode('".utf8_urlencode(addslashes($field["value"]))."'))) {
							toolTip = '".addslashes($field["toolTip"])."';
							$list
							create();
						};";
					$type = $TYPE["COMBO"];

					break;
				case TYPE_PARACT_CHEMIN:
				case TYPE_PARACT_REPERTOIRE:
					$javascript = "
						var path_def = urldecode('".urlencode($field["def_path"])."');
						var path = urldecode('".utf8_urlencode($field["value"])."');
						with(new Prologue.comboPath('".$field["pfl_id"]."', path)) {
							textBox.format = Prologue.textBox.formats.any;
							dataSource= '".$pathFramework."pathDataSource.php?path='+path_def+'&sep=".urlencode('\\')."&showFiles=".($field["type"] == TYPE_PARACT_CHEMIN? "1": "0")."';
							toolTip = '".addslashes($field["toolTip"])."';
							editable = true;
							create();
						};";
					$type = $TYPE["COMBO"];
					break;
			}
			if($field["oblig"])
				$param_oblig[] = array("id" => $field["pfl_id"], "libel" => addslashes($field["libel"]), "type" => $type);
		}
		else {
			$javascript = '';
			switch($field["type"]) {
				case TYPE_PARACT_MACRO:
				case TYPE_PARACT_CHEMIN_MACRO:
				case TYPE_PARACT_REPERTOIRE_MACRO:
				case TYPE_PARACT_TXT:
				case TYPE_PARACT_CHEMIN:
				case TYPE_PARACT_REPERTOIRE:
				case TYPE_PARACT_CARTE_APPEL:
					$content = hi_disp($field["value"]);
					break;
				case TYPE_PARACT_PWD:
					$content = hi_disp("********");
					break;
				case TYPE_PARACT_COMBO:
				case TYPE_PARACT_COMBO_SQL:
					$val = "";
					$content = "";
					foreach(preg_split("/\//", $field["choix"]) as $champs) {
						$val = preg_split ("/:/", $champs);
						if($field["value"] == $val[0]) {
							$content = hi_disp($val[1]);
							break;
						}
					}
			}
		}

		$ret_field["content"] = $content;
		$ret_field["javascript"] = $javascript;
		$ret[] = $ret_field;
	}
	return $ret;
}

foreach(par_gen_form($formulaire) as $field) {
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $field["caption"]);
	$vtp->setVar($form, "form_field.javascript", $field["javascript"]);
	$vtp->setVar($form, "form_field.content", $field["content"]);
	$vtp->closeSession($form, "form_field");
}

$first = true;
foreach(par_gen_form($formulaire_av) as $field) {
	if($first) {
		$vtp->addSession($form, "form_av");
		$first = false;
	}

	$vtp->addSession($form, "form_field_av");
	$vtp->setVar($form, "form_field_av.caption", $field["caption"]);
	$vtp->setVar($form, "form_field_av.javascript", $field["javascript"]);
	$vtp->setVar($form, "form_field_av.content", $field["content"]);
	$vtp->closeSession($form, "form_field_av");
}
if(!$first)
	$vtp->closeSession($form, "form_av");

//On rajoute la propriété length pour pouvoir le parcourrir en JS
$param_oblig["length"] = count($param_oblig);

//Fonction de vérification du formulaire
$head_javascript = "
	var TYPE = ".encode_JSON($TYPE).";
	var param_oblig = ".encode_JSON($param_oblig).";
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';

	function verifForm(bNoReload)
	{
		var ret = true;
		for(var i = 0; i < param_oblig.length; ++i) {
			if(!ret) break;
			var obj = $(param_oblig[i].id);

			switch(param_oblig[i].type) {
				case TYPE.TEXT_BOX:
					if(obj.value.length == 0) {
						alert(msg_field_needed.replace('%FIELDNAME%', param_oblig[i].libel));
						ret = false;
						obj.focus();
					}
					break;
				case TYPE.COMBO:
					if(obj.rows[0].cells[0].firstChild.value.length == 0) {
						alert(msg_field_needed.replace('%FIELDNAME%', param_oblig[i].libel));
						ret = false;
						obj.focus();
					}
					break;
			}
		}
		var obj2 = $(param_oblig[0].id);
		obj2.focus();

		if (ret) {
			this.document.forms['filtre'].with_msg.value = (bNoReload==true)?'0':'1';
			if(submitForm(this.document.forms['filtre'], Flow.path+'flux/gest/activite/flux_gest_activite_actAction.php', prlExec) == 0) {
				if(bNoReload!=true)
				{
					parent.act_tree_reload();
					parent.paramLoadPage(Prologue.Flow.path+'flux/gest/activite/flux_gest_activite_blank.php');
				}
				return true;
			}
		}
		return false;
	}
";

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.head_javascript", $head_javascript);
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>