<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = FLX;												//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs
$page_courante = "flux/gest/flux_gest.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$selected = pget('selected');

$pageSize = $ini_taille_page_suivi;
$pageNum = strtr(pget('pageNum'),"''","");
$f_nom = "";
$f_emetteur = "";
$f_destinataire = "";
$fromPE = "";
$fromPD = "";
$f_statut = "";
$f_tdoc = "";
$f_etat = "";
$f_couleur = "";

if ($remember_filters)
{
	$_SESSION['FLUX_FILTER']['remember'] = true;

	if (isset($_SESSION['FLUX_FILTER']['f_nom'])) $f_nom = $_SESSION['FLUX_FILTER']['f_nom'];
	if (isset($_SESSION['FLUX_FILTER']['f_emetteur'])) $f_emetteur = $_SESSION['FLUX_FILTER']['f_emetteur'];
	if (isset($_SESSION['FLUX_FILTER']['f_destinataire'])) $f_destinataire = $_SESSION['FLUX_FILTER']['f_destinataire'];
	if (isset($_SESSION['FLUX_FILTER']['fromPE'])) $fromPE = $_SESSION['FLUX_FILTER']['fromPE'];
	if (isset($_SESSION['FLUX_FILTER']['fromPD'])) $fromPD = $_SESSION['FLUX_FILTER']['fromPD'];
	if (isset($_SESSION['FLUX_FILTER']['f_statut'])) $f_statut = $_SESSION['FLUX_FILTER']['f_statut'];
	if (isset($_SESSION['FLUX_FILTER']['f_tdoc'])) $f_tdoc = $_SESSION['FLUX_FILTER']['f_tdoc'];
	if (isset($_SESSION['FLUX_FILTER']['f_etat'])) $f_etat = $_SESSION['FLUX_FILTER']['f_etat'];
	if (isset($_SESSION['FLUX_FILTER']['f_couleur'])) $f_couleur = $_SESSION['FLUX_FILTER']['f_couleur'];

	if ((isset($_SESSION['FLUX_FILTER']['pageSize'])) && ($_SESSION['FLUX_FILTER']['pageSize'] != '')) $pageSize = $_SESSION['FLUX_FILTER']['pageSize'];
	if (($pageNum == '' || !isset($pageNum)) and (isset($_SESSION['FLUX_FILTER']['pageNum'])) && ($_SESSION['FLUX_FILTER']['pageNum'] != '')) $pageNum = $_SESSION['FLUX_FILTER']['pageNum'];
}
else
{
	$_SESSION['FLUX_FILTER']['remember'] = false;
}

if ($pageNum == '' || !isset($pageNum)) $pageNum = "1";

$head_javascript = "
prlPage.prototype.gridReload = function ()
{
    var urlReload = this.url.grid;
    $('grid').attributes.getNamedItem('prlPageSize').value = prlComboList.getSelected('limitStep').value;
    $('grid').attributes.getNamedItem('prlPageNum').value = $pageNum;
    if(typeof filList != 'undefined')
        urlReload += filList.getInfo();
    prlGrid.reload('grid', urlReload, true);
}

function move_callback(url)
{
	var row = prlGrid.getSelected('grid');
	if(prlExec(url)==0)
	{
		prlGrid.reload('grid', Flow.path+'flux/gest/flux_gest_dSGrid.php', false);
		var idx = 0;
		if(url.indexOf('action=move_up')!=-1)
			idx = row.index - 1;
		else
			idx = row.index + 1;
		prlGrid.selectRowByIndex('grid', idx);
	}
}
";

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.head_javascript", $head_javascript);
$vtp->setVar($form, "global.help_id", "20070724152504");
$vtp->setVar($form, "global.title", addslashes($lang_flux_gest_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/flux_gest.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."flux/gest/flux_gest_dSGrid.php?selected=$selected");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", $pageSize);
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");
$vtp->setVar($form, "global.on_click", "event.cancelBubble=true;");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_afficher,
					"value_filtre" => $pageSize,
					"ds_filtre" => $dataSrc);

//Nom
$filtre[] = array("id_filtre" => "f_nom", "type_filtre" => "prlFiltreField.types.prlTextBox",
				  "value_filtre" => $f_nom,
				  "libelle_filtre" => $lang_flux_gest_filtre_lbl_nom);

$filtre[] = array("id_filtre" => "new_line");

//Statut
$filtre[] = array("id_filtre" => "f_statut", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_statut,
				  	"value_filtre" => $f_statut,
					"ds_filtre" => $pathFlow."dataSources/dSStatut.php");

//Etat
$type = "activite";
$showNull = "1";
require $DEFAULT_PATH."dataSources/dSEtat.php";
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_etat,
				  	"value_filtre" => $f_etat,
					"ds_filtre" => $dataSrc);
	
$filtre[] = array("id_filtre" => "new_line");

//Type Doc
$filtre[] = array("id_filtre" => "f_tdoc", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_tdoc,
				    "value_filtre" => $f_tdoc,
					"ds_filtre" => $pathFlow."dataSources/dSTypeDoc.php",
					"dd_height_filtre" => "170",
					"dd_width_filtre" => "255");
					
//Groupe de couleur
$filtre[] = array("id_filtre" => "f_couleur", "type_filtre" => "prlFiltreField.types.prlComboImage",
					"libelle_filtre" => $lang_flux_gest_aff_lbl_couleur,
				  	"value_filtre" => $f_couleur,
					"ds_patern" => "${pathFlow}style/imgs/icons/puzzle_%VAL%.png",
					"ds_valpatern" => "%VAL%",
					"ds_filtre" => $pathFlow."dataSources/dSComboColorImage.php?tous=1");

$filtre[] = array("id_filtre" => "new_line");

//Emetteur
$filtre[] = array("id_filtre" => "f_emetteur", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_emet,
					"defaultcaption_filtre" => getPartnerName($f_emetteur),
					"loadondropdown_filtre" => true,
					"value_filtre" => $f_emetteur,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Destinataire
$filtre[] = array("id_filtre" => "f_destinataire", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_flux_gest_filtre_lbl_dest,
					"defaultcaption_filtre" => getPartnerName($f_destinataire),
					"loadondropdown_filtre" => true,
					"value_filtre" => $f_destinataire,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=1");
$filtre[] = array("id_filtre" => "new_line");

//Criteres Emetteur
require $DEFAULT_PATH."dataSources/dSCriteres.php";
$filtre[] = array("id_filtre" => "fromPE", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPE,
					"ds_filtre" => $dataSrc);

//Criteres Destinataire
$filtre[] = array("id_filtre" => "fromPD", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPD,
					"ds_filtre" => $dataSrc);

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						"print" => array("show" => true, "title" => addslashes($lang_flux_gest_title)),
						"csv" => true);

//Exécuter
$option_toolbar[] = array("caption" => $lang_flux_gest_grid_act_exec,
						"icon" => $pathStyle."imgs/icons/play.gif",
						"action" => array("name" => "exec",
									"page" => "flux/gest/flux_gest_actAction.php",
									"callback" => "prlExecGrid",
									"get_params" => array('flx_id', 'action')));

$option_toolbar[] = array("caption" => '',
							"icon" => '',
							"onClick" => '',
							"value" => '__SEPARATOR__');

//Création
if (droit($droitRole, DROIT_CREAT,null,null,null,null))
{
	$option_toolbar[] = array("caption" => $lang_lbl_creer,
							"icon" => $pathStyle."imgs/icons/add.gif",
							"onClick" => "var url = Prologue.Flow.path+\'flux/gest/flux_gest_actAction.php?action=create\'; var flx_id = prlExec(url); if(flx_id > 0) { changePage(\'flux_gest_actAffich.php?action=create&flx_id=\'+flx_id);};");
}

//Détail
$option_toolbar[] = array("caption" => $lang_flux_gest_grid_act_detail,
						"icon" => $pathStyle."imgs/icons/loupe.gif",
						"action" => array("name" => "detail",
									"page" => "flux/gest/flux_gest_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('flx_id', 'action')));

//Modif
$option_toolbar[] = array("caption" => $lang_flux_gest_grid_act_modif,
						"icon" => $pathStyle."imgs/icons/admin.gif",
						"action" => array("name" => "modif",
									"page" => "flux/gest/flux_gest_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('flx_id', 'action')));

//Dupliquer
$option_toolbar[] = array("caption" => $lang_flux_gest_grid_act_dup,
						"icon" => $pathStyle."imgs/icons/dupliq.gif",
						"action" => array("name" => "clone",
									"page" => "flux/gest/flux_gest_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('flx_id', 'action')));

//Supprinmer
$option_toolbar[] = array("caption" => $lang_flux_gest_grid_act_suppr,
						"icon" => $pathStyle."imgs/icons/trash.png",
						"action" => array("name" => "remove",
									"page" => "flux/gest/flux_gest_actAction.php",
									"callback" => "prlExecGrid",
									"get_params" => array('flx_id', 'action')));

$option_toolbar[] = array("caption" => '',
							"icon" => '',
							"onClick" => '',
							"value" => '__SEPARATOR__');

//haut
$option_toolbar[] = array("caption" => '',
						"icon" => $pathStyle."imgs/icons/gest_flux/up_on.gif",
						"action" => array("name" => "move_up",
									"page" => "flux/gest/flux_gest_actAction.php",
									"callback" => "move_callback",
									"get_params" => array('flx_id', 'action')));

//bas
$option_toolbar[] = array("caption" => '',
						"icon" => $pathStyle."imgs/icons/gest_flux/down_on.gif",
						"action" => array("name" => "move_down",
									"page" => "flux/gest/flux_gest_actAction.php",
									"callback" => "move_callback",
									"get_params" => array('flx_id', 'action')));
							
mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.exec.check = function (params) {
	params.action = 'exec';
	return (params.flx_etat == '".FLX_VALIDE_OK."' && params.flx_actif == '".ETAT_ACTIF."');
};

rowAction.actions.detail.check = function (params) {
	params.action = 'detail';
	return true;
};

rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	
	//Quand on modifie le flux on modifie son etat en non validé
	var url = Prologue.Flow.path+'flux/gest/flux_gest_actAction.php?action=set_no_valid&flx_id='+params.flx_id; 
	prlExec(url);
	return true;
};

rowAction.actions.clone.check = function (params) {
	params.action = 'clone';
	var url = Prologue.Flow.path+'flux/gest/flux_gest_actAction.php?action=clone&flx_id='+params.flx_id;
	params.flx_id = prlExec(url);
	return (params.flx_id > 0);
};

rowAction.actions.remove.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_gest_grid_question_suppr)."';
	msg_suppr = msg_suppr.replace('%FLXLIBEL%', params.flx_libel);
	return confirm(msg_suppr);
};

rowAction.actions.move_up.check = function (params) {
	params.action = 'move_up';
	return true;
};

rowAction.actions.move_down.check = function (params) {
	params.action = 'move_down';
	return true;
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>