<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow_tools.php");

$droitRole = FLX;												//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs

$cltID = $_SESSION['CLT_ID'];

$where = "";
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$selected = pget('selected');
 
$f_nom = pget('f_nom');
if ($f_nom)
	$where .= " AND FLX_LIBEL LIKE '%".dblQ($f_nom)."%' ";
	
	// Criteres partenaires

	$f_emetteur		= pget('f_emetteur');		//filtre émetteur
	$f_destinataire	= pget('f_destinataire');	//filtre destinataire
	$fromPE 		= pget('fromPE');
	$fromPD 		= pget('fromPD');

	if ($fromPD>0 && $f_destinataire)
	{
		if ($fromPD==2)// part + fils
		{
			$fils="";
			trouve_fils($f_destinataire);
			if ($fils)
			$filsD=$f_destinataire.", ".$fils;
			else $filsD=$f_destinataire;

		}
		if ($fromPD==3) // que les fils
		{
			$fils="";
			trouve_fils($f_destinataire);
			$filsD=$fils;

		}
		if ($fromPD==4) //que le part
		{
			$filsD=$f_destinataire;
		}
	}
	if ($fromPE>0 && $f_emetteur)
	{
		if ($fromPE==2)// part + fils
		{
			$fils="";
			trouve_fils($f_emetteur);
			if ($fils)
			$filsE=$f_emetteur.", ".$fils;
			else $filsE=$f_emetteur;
		}
		if ($fromPE==3) // que les fils
		{
			$fils="";
			trouve_fils($f_emetteur);
			$filsE=$fils;
		}
		if ($fromPE==4) //que le part
		{
			$filsE=$f_emetteur;
		}
	}

	//Traitement de l'émetteur

	if ($fromPD>0){	if ($f_destinataire) $where .=" and PAR_DEST_ID in ($filsD)";}
	else {if ($f_destinataire) $where .= " and PAR_DEST_ID = '".dblQ($f_destinataire)."'";}

	if ($fromPE>0){ if ($f_emetteur) $where .=" and PAR_EMET_ID in ($filsE)";}
	else {if ($f_emetteur)	$where .= " and PAR_EMET_ID = '".dblQ($f_emetteur)."'";}



$f_etat = pget('f_etat');
if ($f_etat)
	$where .= " AND FLX_ACTIF = ".$f_etat." ";
	
$f_statut = pget('f_statut');
if ($f_statut=='0' || $f_statut=='1' || $f_statut=='2')
	$where .= " AND FLX_ETAT = ".$f_statut." ";
	
$f_couleur = pget('f_couleur');
if ($f_couleur)
{
	if($f_couleur=='none')
		$where .= " AND FLX_COULEUR IS NULL ";
	else
		$where .= " AND FLX_COULEUR = '".$f_couleur."' ";
}
	
$f_tdoc = pget('f_tdoc');
if ($f_tdoc)
{
	$req = "SELECT FOR_ID
			FROM `FORMAT` 
				WHERE TDOC_ID = $f_tdoc";
	$gDb->SQLQuery($req, 1);
	
	$in = "";
	if ($row = $gDb->SQLNextRow(1))
	{
		$in = "(".$row[0];
		while($row = $gDb->SQLNextRow(1))
		{
			$in .= ", ";
			$in .= $row[0];
		}
		$in .= ")";
	}
	if ($in != "")
		$where .= " AND FLUX.FOR_ID IN $in ";
}

Construit_restriction($droitRole, "FLUX.PAR_EMET_ID", "FLUX.PAR_DEST_ID", "TYPE_DOC.TDOC_ID", null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);
if($restrictFiltreEmet)
	$restrictFiltreEmet=" AND PAR_ID IN (".$restrictFiltreEmet.") ";
if($restrictFiltreDest)
	$restrictFiltreDest=" AND PAR_ID IN (".$restrictFiltreDest.") ";
if($restrictFiltreTdoc)
	$restrictFiltreTdoc=" AND TDOC_ID IN (".$restrictFiltreTdoc.") ";
	
$req = "SELECT SQL_CALC_FOUND_ROWS FLX_ID, FLX_ACTIF, FLX_LIBEL, FLX_SENS, FLX_ETAT, FLX_COULEUR, FLX_RANG,
		PE.PAR_NOM EMET, PD.PAR_NOM DEST, FOR_NOM, FOR_NORME, FOR_VERSION, TDOC_NOM,
		PAR_EMET_ID, PAR_DEST_ID, `FORMAT`.TDOC_ID, PE.PAR_ETAT ETAT_E, PD.PAR_ETAT ETAT_D
		FROM FLUX, PART PE, PART PD, `FORMAT`, TYPE_DOC
			WHERE FLUX.CLT_ID = $cltID
			AND FLX_ACTIF != ".ETAT_SUPPR." 
			AND PAR_EMET_ID = PE.PAR_ID 
			AND PAR_DEST_ID = PD.PAR_ID 
			AND FLUX.FOR_ID = `FORMAT`.FOR_ID 
			AND `FORMAT`.TDOC_ID = TYPE_DOC.TDOC_ID 
			$where
			$restrict
		ORDER BY FLX_RANG,FLX_LIBEL ";

$champs = array();
$champs[] = array("nom" => $lang_flux_gest_grid_head_libelle, "toolTip" => $lang_flux_gest_grid_head_libelle, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_sens, "toolTip" => $lang_flux_gest_grid_head_sens, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_etat, "toolTip" => $lang_flux_gest_grid_head_etat, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_rang, "toolTip" => $lang_flux_gest_aff_lbl_couleur.' / '.$lang_flux_gest_grid_head_rang, "sortMode" => "2");
$champs[] = array("nom" => $lang_flux_gest_grid_head_planif, "toolTip" => $lang_flux_gest_grid_head_planif, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_emet, "toolTip" => $lang_flux_gest_grid_head_emet, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_dest, "toolTip" => $lang_flux_gest_grid_head_dest, "sortMode" => "1");
$champs[] = array("nom" => $lang_flux_gest_grid_head_doc, "toolTip" => $lang_flux_gest_grid_head_doc, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	if($row['FLX_ID']==$selected)
		echo '<row selected="true">';
	else
		echo "<row>"; // onClick='event.cancelBubble=true;'>";
		
	$detail = array('caption' => '', 'toolTip' => "", 'value' => "");
	
	$detail['caption'] = hi_disp($row['FLX_LIBEL']);
	switch ($row['FLX_ETAT'])
	{
		case FLX_NO_VALIDE :
			$detail['toolTip'] = $lang_flux_gest_grid_lbl_etat_noval;
			$detail['icon'] =  $pathFlow."style/imgs/icons/rond_rouge.png";
			break;
		case FLX_VALIDE_OK :
			$detail['toolTip'] = $lang_flux_gest_grid_lbl_etat_valok;
			$detail['icon'] =  $pathFlow."style/imgs/icons/valid_ok.png";
			break;
		case FLX_VALIDE_NOK :
			$detail['toolTip'] = $lang_flux_gest_grid_lbl_etat_valnok;
			$detail['icon'] =  $pathFlow."style/imgs/icons/rond_vert.png";
			break;
	}
	
	$params = array();
	$params['flx_id'] = $row['FLX_ID'];
	$params['flx_libel'] = addslashes(hi_disp($row['FLX_LIBEL']));
	$params['flx_actif'] = $row['FLX_ACTIF'];
	$params['flx_etat'] = $row['FLX_ETAT'];
	$params['flx_rang'] = $row['FLX_RANG'];
	$params['droits'] = array('exec' => (droit(FLX, DROIT_EXEC, $row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null) &&
										$row['FLX_ETAT']== FLX_VALIDE_OK && $row['FLX_ACTIF'] == ETAT_ACTIF),
							'detail' => droit(FLX, "xor", $row['PAR_EMET_ID'], $row['PAR_DEST_ID'], $row['TDOC_ID'], null),
							'modif' => droit(FLX, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null),
							'clone' => droit(FLX, DROIT_CREAT, $row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null),
							'remove' => droit(FLX, DROIT_SUPPR, $row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null),
							'move_up' => droit(FLX, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null) && $row['FLX_RANG']>1,
							'move_down' => droit(FLX, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null) && $row['FLX_RANG']<$maxRow
							);

	echo '<item caption="'.$detail['caption'].'" toolTip="'.$detail['toolTip'].'" icon="'.$detail['icon'].'" value="'.row_encode_JSON($params).'"/>';
	
	$sens = array('caption' => '', 'icon' => "", 'toolTip' => "");
	if($row['FLX_SENS'] == EMISSION)
	{
		$sens['caption'] = $lang_flux_gest_grid_lbl_emiss;
		$sens['toolTip'] = $lang_flux_gest_grid_lbl_emiss_tooltip;
		$sens['icon'] = $pathFlow."style/imgs/icons/aller.gif";
	}
	else if($row['FLX_SENS'] == RECEPTION)
	{
		$sens['caption'] = $lang_flux_gest_grid_lbl_recept;
		$sens['toolTip'] = $lang_flux_gest_grid_lbl_recept_tooltip;
		$sens['icon'] = $pathFlow."style/imgs/icons/retour.gif";
	}
	echo '<item caption="'.$sens['caption'].'" icon="'.$sens['icon'].'" alignment="1" toolTip="'.$sens['toolTip'].'"/>';

	$etat = array('icon' => "", 'toolTip' => "");
	$url=$pathFlow."flux/gest/flux_gest_dSGrid_action.php?flx_id=".$row['FLX_ID'];
	$urlreload="flux_gest_dSGrid.php?f_nom=".$f_nom."&f_statut=".$f_statut."&f_etat=".$f_etat."&f_couleur=".$f_couleur."&f_tdoc=".$f_tdoc."&f_emetteur=".$f_emetteur."&f_destinataire=".$f_destinataire."&fromPE=".$fromPE."&fromPD=".$fromPD."&pageSize=".$pageSize."&pageNum=".$pageNum;
	if($row['FLX_ACTIF'] == ETAT_ACTIF)
	{
		$etat['toolTip'] = $lang_flux_gest_grid_lbl_etat_actif;
		$etat['icon'] = $pathFlow."style/imgs/icons/lamp_on.png";
		//$etat['caption'] = hi_disp($lang_flux_gest_grid_lbl_etat_actif);
		$etat['caption'] = hi_disp("<a>".$lang_flux_gest_grid_lbl_etat_actif."</a>");
		$etat['onClick'] = "prlExec(urldecode('".urlencode($url."&action=inactif")."'), false); prlGrid.reload('grid',urldecode('".urlencode($urlreload)."')); event.cancelBubble=true; return false;";
	}
	else if($row['FLX_ACTIF'] == ETAT_INACTIF)
	{
		$etat['toolTip'] = $lang_flux_gest_grid_lbl_etat_inactif;
		$etat['icon'] = $pathFlow."style/imgs/icons/lamp_off.png";
		//$etat['caption'] = hi_disp($lang_flux_gest_grid_lbl_etat_inactif);
		$etat['caption'] = hi_disp("<a>".$lang_flux_gest_grid_lbl_etat_inactif."</a>");
		$etat['onClick'] = "prlExec(urldecode('".urlencode($url."&action=actif")."'), false); prlGrid.reload('grid',urldecode('".urlencode($urlreload)."')); event.cancelBubble=true; return false;";
	}//Prologue.grid.unselect('grid');
	
	echo '<item caption="'.$etat['caption'].'" icon="'.$etat['icon'].'" toolTip="'.$etat['toolTip'].'" onClick="'.$etat['onClick'].'"/>';
	
	if($row['FLX_COULEUR'])
	{
		$imgsrc = $pathFlow.'style/imgs/icons/puzzle_'.$row['FLX_COULEUR'].'.png';
		echo "<item caption='${row['FLX_RANG']}' toolTip='$lang_flux_gest_aff_lbl_couleur / $lang_flux_gest_grid_head_rang' value=\"${row['FLX_RANG']}\" icon=\"$imgsrc\"/>";
	}
	else
		echo "<item caption='${row['FLX_RANG']}' toolTip='$lang_flux_gest_grid_head_rang' value=\"${row['FLX_RANG']}\" alignment='1'/>";

	$gDb->SQLQuery("SELECT PLA_ACTIF FROM PLANIF WHERE CLT_ID=$cltID AND FLX_ID=".$row['FLX_ID']." ORDER BY PLA_ACTIF DESC", 3);
	$rowPlanif = $gDb->SQLNextRow(3);
	$gDb->SQLFermeQuery(3);
	$planif = array('caption' => '', 'icon' => "", 'toolTip' => "");
	if($rowPlanif['PLA_ACTIF']==1)
	{
		$planif['icon'] = $pathFlow."style/imgs/icons/clock.png";
		$planif['toolTip'] = $lang_lbl_planif;
	}
    if($rowPlanif['PLA_ACTIF']=='0')
	{
		$planif['icon'] = $pathFlow."style/imgs/icons/clockd.png";
		$planif['toolTip'] = $lang_lbl_planif;
	}
	echo '<item caption="'.$planif['caption'].'" icon="'.$planif['icon'].'" alignment="1" toolTip="'.$planif['toolTip'].'"/>';

	if ($row['ETAT_E'] == ETAT_INACTIF)
	{
		$deb = AFF_INACTIF_DEB;
		$fin = " $lang_lbl_etat_inact_ini ";
	}
	else $deb = $fin = "";
	echo '<item caption="'.hi_disp($deb.$row['EMET'].$fin).'"/>';
	
	if ($row['ETAT_D'] == ETAT_INACTIF)
	{
		$deb = AFF_INACTIF_DEB;
		$fin = AFF_INACTIF_FIN;
	}
	else $deb = $fin = "";
	echo '<item caption="'.hi_disp($deb.$row['DEST'].$fin).'"/>';

	
	echo '<item caption="'.hi_disp($row['TDOC_NOM']." - ".$row['FOR_NORME']." - ".$row['FOR_NOM']." - ".$row['FOR_VERSION']).'"/>';
	
	/*
	$modif = array('icon' => '', 'toolTip' => "", 'onClick' => "");
	if (droit(FLX, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null))
	{
		$modif['icon'] = $pathFlow."style/imgs/icons/admin.gif"; 
		$modif['toolTip'] = "Modifier le flux";
		$url = $pathFlow."flux/gest/flux_gest_actAffich.php?flux_id=".$row['FLX_ID']."&action=modif&$paramGET";
		$modif['onClick'] = "changePage(urldecode('".urlencode($url)."'));";
	}
	echo '<item icon="'.$modif['icon'].'" toolTip="'.$modif['toolTip'].'" onClick="'.$modif['onClick'].'"/>';
	
	
	$dupliq = array('icon' => '', 'toolTip' => "", 'onClick' => "");
	if (droit(FLX, DROIT_CREAT, $row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null))
	{
		$dupliq['icon'] = $pathFlow."style/imgs/icons/dBCopy.gif"; 
		$dupliq['toolTip'] = "Dupliquer le flux";
		$url = $pathFlow."flux/gest/flux_gest_actAffich.php?flux_id=".$row['FLX_ID']."&action=cree&evenement=duplic&$paramGET";
		$dupliq['onClick'] = "changePage(urldecode('".urlencode($url)."'));";
	}
	echo '<item icon="'.$dupliq['icon'].'" toolTip="'.$dupliq['toolTip'].'" onClick="'.$dupliq['onClick'].'"/>';
	
	
	$suppr = array('icon' => '', 'toolTip' => "", 'onClick' => "");
	if (droit(FLX, DROIT_SUPPR, $row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null))
	{
		$suppr['icon'] = $pathFlow."style/imgs/icons/trash.png"; 
		$suppr['toolTip'] = "Supprimer le flux";
		$url = $pathFlow."flux/gest/flux_gest_actAction.php?flux_id=".$row['FLX_ID']."&action=suppr&$paramGET";
		$suppr['onClick'] = "if (confirm('Voulez-vous vraiment supprimer le flux \'".hi_disp($row['FLX_LIBEL'])."\' ?')){";
		$suppr['onClick'] .= " if(prlExec(urldecode('".urlencode($url)."'))==0) page.gridReload();}";
	}
	echo '<item icon="'.$suppr['icon'].'" toolTip="'.$suppr['toolTip'].'" onClick="'.$suppr['onClick'].'"/>';

	
	$exec = array('icon' => '', 'toolTip' => "", 'onClick' => "");
	if (droit(FLX, DROIT_EXEC, $row['PAR_EMET_ID'],$row['PAR_DEST_ID'],$row['TDOC_ID'],null) &&
		$row['FLX_ETAT']== FLX_VALIDE_OK && $row['FLX_ACTIF'] == ETAT_ACTIF)
	{
		$exec['icon'] = $pathFlow."style/imgs/icons/play.gif"; 
		$exec['toolTip'] = "Ex�cuter maintenant";
		$url = $pathFlow."flux/gest/flux_gest_actAction.php?flux_id=".$row['FLX_ID']."&action=lancePlanif&$paramGET";
		$exec['onClick'] = "if(prlExec(urldecode('".urlencode($url)."')==0) page.gridReload();";
	}
	echo '<item icon="'.$exec['icon'].'" toolTip="'.$exec['toolTip'].'" onClick="'.$exec['onClick'].'"/>';
	*/
	echo '</row>';
}
echo '</databind>';
$gDb->SQLFermeQuery(1);

if ((!isset($_SESSION['FLUX_FILTER']['remember'])) || ($_SESSION['FLUX_FILTER']['remember']))
{
	$_SESSION['FLUX_FILTER'] = array (
	'remember'		=> true,
	'pageNum'		=> $pageNum,
	'pageSize' 		=> $pageSize,
	'f_nom'			=> $f_nom,
	'f_emetteur' 	=> $f_emetteur,
	'f_destinataire'=> $f_destinataire,
	'fromPE' 		=> $fromPE,
	'fromPD'		=> $fromPD,
	'f_statut'		=> $f_statut,
	'f_tdoc' 		=> $f_tdoc,
	'f_etat' 		=> $f_etat,
	'f_couleur' 	=> $f_couleur);
}
?>