<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$collecte = pget('collecte');
$pretrait = pget('pretrait');
$trait = pget('trait');
$posttrait = pget('posttrait');
$pres = pget('pres');

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

$icon = $pathFlow.'style/imgs/icons/gest_flux/maj.png';
$onClick = "act_tree_reload(); paramLoadPage(Prologue.Flow.path+'flux/gest/activite/flux_gest_activite_blank.php');";
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_ds_action_reload_caption.'" onClick="'.$onClick.'"/></row>';

echo '<row><item value="__SEPARATOR__"/></row>';

$icon = $pathFlow.'style/imgs/icons/zoom_out.png';
$onClick = "if(frames['ifmShema'].contentWindow) frames['ifmShema'].contentWindow.schema_zoom(false); else frames['ifmShema'].schema_zoom(false);";
echo '<row><item icon="'.$icon.'" toolTip="Zoom -" onClick="'.$onClick.'"/></row>';

$icon = $pathFlow.'style/imgs/icons/zoom_in.png';
$onClick = "if(frames['ifmShema'].contentWindow) frames['ifmShema'].contentWindow.schema_zoom(true); else frames['ifmShema'].schema_zoom(true);";
echo '<row><item icon="'.$icon.'" toolTip="Zoom +" onClick="'.$onClick.'"/></row>';

echo '<row><item value="__SEPARATOR__"/></row>';

$icon = $pathFlow.'style/imgs/icons/printer.png';
$onClick = "print_schema();";
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_lbl_print.'" onClick="'.$onClick.'"/></row>';

echo '<row><item value="__SEPARATOR__"/></row>';

if($collecte) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/collecte.gif';
	$onClick = "toolbar_dropDown_onclick(this, 1);";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/collecte_off.gif';
	$onClick = "return false;";			
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_flux_gest_aff_title_coll.'" onClick="'.$onClick.'"/></row>';

if($pretrait) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/pretrait.gif';
	$onClick = "toolbar_dropDown_onclick(this, 2);";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/pretrait_off.gif';
	$onClick = "return false;";
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_flux_gest_aff_title_pretrait.'" onClick="'.$onClick.'"/></row>';

if($trait) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/traitement.gif';
	$onClick = "toolbar_dropDown_onclick(this, 3);";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/traitement_off.gif';
	$onClick = "return false;";
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_flux_gest_aff_title_trait.'" onClick="'.$onClick.'"/></row>';

if($posttrait) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/posttrait.gif';
	$onClick = "toolbar_dropDown_onclick(this, 4);";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/posttrait_off.gif';
	$onClick = "return false;";
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_flux_gest_aff_title_posttrait.'" onClick="'.$onClick.'"/></row>';

if($pres) {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/present.gif';
	$onClick = "toolbar_dropDown_onclick(this, 5);";
}
else {
	$icon = $pathFlow.'style/imgs/icons/gest_flux/present_off.gif';
	$onClick = "return false;";
}
echo '<row><item icon="'.$icon.'" toolTip="'.$lang_flux_gest_aff_title_present.'" onClick="'.$onClick.'"/></row>';

echo '</databind>';
?>