<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/gest/macro/flux_gest_macro.php";

$vtp = new VTemplate;

//Récupération du type d'OS pour l'interface
$req = "SELECT FCO_OS_WEB FROM FLOWCONF";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$OS_WEB = $row['FCO_OS_WEB'];
$gDb->SQLFermeQuery(1);

//Récupération des paramètres GET
$afx_id = pget("afx_id");
$pfl_id	= pget("pfl_id");
$pfl_type = pget("pfl_type");
$txt_macro = pget("txt_macro");

$form = $vtp->Open($DEFAULT_PATH."template/macro_form.vtp");
$vtp->addSession($form, "global");

switch($pfl_type) {
	case TYPE_PARACT_MACRO:
		$panelTitle = $lang_flux_gest_act_macro_lbl_edit_macro;
		$panelIcon = $pathStyle."imgs/icons/exec.png";
		break;
	case TYPE_PARACT_CHEMIN_MACRO:
		$panelTitle = $lang_flux_gest_act_macro_lbl_edit_macro_path;
		$panelIcon = $pathStyle."imgs/icons/log.gif";
		break;
	case TYPE_PARACT_REPERTOIRE_MACRO:
		$panelTitle = $lang_flux_gest_act_macro_lbl_edit_macro_rep;
		$panelIcon = $pathStyle."imgs/icons/client.gif";
		break;
	case TYPE_PARACT_CARTE_APPEL:
		$panelTitle = $lang_flux_gest_act_macro_lbl_edit_carte_appel;
		$panelIcon = $pathStyle."imgs/icons/exec.png";
		break;
}

//Récupération de l'id du flux et de la position de l'activité
$req = "SELECT AFX_NUM, FLX_ID
		FROM ACTFLUX
		WHERE AFX_ID = ".$afx_id;
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$afx_num = $row['AFX_NUM'];
$flx_id = $row['FLX_ID'];

//Récupération du numéro de processus
$req = "SELECT ACT_NUMPROC
		FROM ACTFLUX, ACTIVITE
		WHERE AFX_NUM = ".$afx_num;
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$act_numproc = $row['ACT_NUMPROC'];

//Récupération du répertoire par défaut
$req = "SELECT PRO_REPCOM_MOT 
		FROM PROCESSUS
		WHERE PRO_NUMPROC = $act_numproc";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

$pro_repcom_mot = $row['PRO_REPCOM_MOT'];

//Variable générales

//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "window.close();");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", "valid");
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "afx_num");
$vtp->setVar($form, "form_input_hidden.value", $afx_num);
$vtp->closeSession($form, "form_input_hidden");
/*
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "pfl_id");
$vtp->setVar($form, "form_input_hidden.value", $pfl_id);
$vtp->closeSession($form, "form_input_hidden");
*/
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "flx_id");
$vtp->setVar($form, "form_input_hidden.value", $flx_id);
$vtp->closeSession($form, "form_input_hidden");
/*
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "pfl_type");
$vtp->setVar($form, "form_input_hidden.value", $pfl_type);
$vtp->closeSession($form, "form_input_hidden");
*/

//Fonction de vérification du formulaire

if($pfl_type == TYPE_PARACT_MACRO || $pfl_type == TYPE_PARACT_CARTE_APPEL)
	$get_value = ".value";
else
	$get_value = ".rows[0].cells[0].firstChild.value";

if($pfl_type == TYPE_PARACT_CARTE_APPEL)
{
	$head_javascript = "
	function verifForm() {
		if(submitForm(this.document.forms['filtre'], 'flux_gest_macro_actAction.php', prlExec) == 0){
			opener.$('$pfl_id').value = $('txt_macro1')$get_value + $('txt_macro2')$get_value + $('txt_macro3')$get_value + $('txt_macro4')$get_value;
			window.close();
		}
	}
	";
}
else
{
	$head_javascript = "
	function verifForm() {
		if(submitForm(this.document.forms['filtre'], 'flux_gest_macro_actAction.php', prlExec) == 0){
			opener.$('$pfl_id').value = $('txt_macro')$get_value;
			window.close();
		}
	}
	";
}
$vtp->setVar($form, "global.head_javascript", $head_javascript);

//Valeur de la macro
switch($pfl_type) {
	case TYPE_PARACT_MACRO:
		$javascript = "
			with(new prlTextBox('txt_macro', prlTextBox.formats.any, urldecode('".utf8_urlencode(hi_disp($txt_macro))."'))) {
				trim = prlTextBox.trimMode.both;
				width = '100%';
				create();
			};";
		break;
	case TYPE_PARACT_CHEMIN_MACRO:
	case TYPE_PARACT_REPERTOIRE_MACRO:
		$javascript = "
			var path_def = urldecode('".urlencode($pro_repcom_mot)."');
			var path = urldecode('".utf8_urlencode($txt_macro)."');
			with(new Prologue.comboPath('txt_macro', path)) {
				textBox.format = Prologue.textBox.formats.any;
				dataSource= '".$pathFramework."pathDataSource.php?path='+path_def+'&sep=".urlencode('\\')."&showFiles=".($pfl_type == TYPE_PARACT_CHEMIN_MACRO? "1": "0")."';
				editable = true;
				width = '100%';
				create();
			};";
		break;
	case TYPE_PARACT_CARTE_APPEL:
		$javascript = "
			getSelection = function(input)
			{
				var d = document;
				var o = d.createElement('input');
				var isStandard = 'selectionStart' in o;
				var isSupported = isStandard || (o = d.selection) && !!o.createRange();
		        if(isStandard) // cas de Firefox
		            return {start: input.selectionStart, end: input.selectionEnd};
		        else if(isSupported)
		        {
		            var s = (input.focus(), d.selection.createRange()), r, start, end, value;
		            if(s.parentElement() != input)
		                return {start: 0, end: 0};
		            else
		            {
		            	r = input.createTextRange();
		            	return r.setEndPoint('EndToStart', s), {start: r.text.length, end: r.text.length + s.text.length};
		            }
		        }
		        return {start: 0, end: 0};
			}
			
			charPos = function (input)
			{
				var e = document.getElementById('txt_pos');
				e.value = 'Position ' + (getSelection(input).end + 9);
			};
			
			clearPos = function()
			{
				var e = document.getElementById('txt_pos');
				e.value = '';
			};
			
			var ch = '$txt_macro';
			with(new prlTextBox('txt_macro1', {'name':'char', 'key':/[ARar]/, 'validate':/^(A|R)+$/, 'maxLength':1, 'align':'center'})) {
				value = ch.substr(0, 1);
				size = 1;
				caseMode = prlTextBox.caseMode.upper;
				trim = prlTextBox.trimMode.both;
				onClick = 'if(this.value==\'\') return alert(\''+errMesg+'\');';
				create();
			};
			with(new prlTextBox('txt_macro2', prlTextBox.formats.any)) {
				value = '   ';
				size = 3;
				readOnly = true;
				maxLength = 3;
				create();
			};
			with(new prlTextBox('txt_macro3', {'name':'int', 'key':/\d/, 'validate':/^\d{4}$/, 'maxLength':4, 'align':'center'})) {
				value = ch.substr(4, 4);7
				size = 4;
				maxLength = 4;
				trim = prlTextBox.trimMode.both;
				onClick = 'if(this.value==\'\') return alert(\''+errMesg+'\');';
				create();
			};
			with(tt = new prlTextBox('txt_macro4', prlTextBox.formats.any)) {
				value = ch.substr(8);
				size = 80;
				maxLength = 80;
				onKeyUp = 'return charPos(this);';
				onBlur = 'return clearPos();';
				onMouseUp = 'return charPos(this);';
				create();
			};
			document.write('<br/><center><input id=txt_pos type=text size=12 style=\'text-align: center;\' readonly></center>');
			";
		break;
}
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_macro);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

$vtp->setVar($form, "global.flx_id", $flx_id);
$vtp->setVar($form, "global.afx_num", $afx_num);
$vtp->setVar($form, "global.choix_act_container_title", $lang_flux_gest_act_macro_lbl_aide_saisie);

$vtp->setVar($form, "global.lbl_aide", $lang_lbl_aide);

$vtp->setVar($form, "global.lbl_format_param", $lang_flux_gest_act_macro_lbl_format_param);
$vtp->setVar($form, "global.lbl_id_act", $lang_flux_gest_act_macro_lbl_id_act);
$vtp->setVar($form, "global.lbl_id_par", $lang_flux_gest_act_macro_lbl_id_par);
$vtp->setVar($form, "global.lbl_pos_ch", $lang_flux_gest_act_macro_lbl_pos_ch);
$vtp->setVar($form, "global.lbl_long_ch", $lang_flux_gest_act_macro_lbl_long_ch);
$vtp->setVar($form, "global.lbl_date", $lang_flux_gest_act_macro_lbl_date);
$vtp->setVar($form, "global.lbl_dateprec", $lang_flux_gest_act_macro_lbl_dateprec);
$vtp->setVar($form, "global.lbl_datecour", $lang_flux_gest_act_macro_lbl_datecour);
$vtp->setVar($form, "global.lbl_exemple", $lang_flux_gest_act_macro_lbl_exemple);
$vtp->setVar($form, "global.lbl_format_contient", $lang_flux_gest_act_macro_lbl_format_contient);
$vtp->setVar($form, "global.lbl_format_siecle", $lang_flux_gest_act_macro_lbl_format_siecle);
$vtp->setVar($form, "global.lbl_format_an", $lang_flux_gest_act_macro_lbl_format_an);
$vtp->setVar($form, "global.lbl_format_mois", $lang_flux_gest_act_macro_lbl_format_mois);
$vtp->setVar($form, "global.lbl_format_jour", $lang_flux_gest_act_macro_lbl_format_jour);
$vtp->setVar($form, "global.lbl_format_heure", $lang_flux_gest_act_macro_lbl_format_heure);
$vtp->setVar($form, "global.lbl_format_min", $lang_flux_gest_act_macro_lbl_format_min);
$vtp->setVar($form, "global.lbl_format_sec", $lang_flux_gest_act_macro_lbl_format_sec);
$vtp->setVar($form, "global.lbl_format_quant", $lang_flux_gest_act_macro_lbl_format_quant);
$vtp->setVar($form, "global.lbl_macro_other", $lang_flux_gest_act_macro_lbl_macro_other);
$vtp->setVar($form, "global.lbl_format", $lang_flux_gest_act_macro_lbl_format);
$vtp->setVar($form, "global.lbl_format_int_n", $lang_flux_gest_act_macro_lbl_format_int_n);
$vtp->setVar($form, "global.lbl_format_int_m", $lang_flux_gest_act_macro_lbl_format_int_m);
$vtp->setVar($form, "global.lbl_flux", $lang_flux_gest_act_macro_lbl_flux);
$vtp->setVar($form, "global.lbl_exec", $lang_flux_gest_act_macro_lbl_exec);
$vtp->setVar($form, "global.lbl_ficin", $lang_flux_gest_act_macro_lbl_ficin);
$vtp->setVar($form, "global.lbl_ficout", $lang_flux_gest_act_macro_lbl_ficout);
$vtp->setVar($form, "global.lbl_ficres", $lang_flux_gest_act_macro_lbl_ficres);
$vtp->setVar($form, "global.lbl_emet", $lang_flux_gest_act_macro_lbl_emet);
$vtp->setVar($form, "global.lbl_dest", $lang_flux_gest_act_macro_lbl_dest);
$vtp->setVar($form, "global.lbl_script_type", $lang_flux_gest_act_macro_lbl_script_type);
$vtp->setVar($form, "global.lbl_script_source", $lang_flux_gest_act_macro_lbl_script_source);
$vtp->setVar($form, "global.lbl_script_param", $lang_flux_gest_act_macro_lbl_script_param);
$vtp->setVar($form, "global.lbl_part", $lang_flux_gest_act_macro_lbl_part);
$vtp->setVar($form, "global.lbl_part_ident", $lang_flux_gest_act_macro_lbl_part_ident);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>