<?php
$DEFAULT_PATH = "../../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole = FLX;												//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");

$flx_id =  pget('flx_id');
$afx_num =  pget('afx_num');

/*
Construction de l'arbre pour l'aide à la saisie

list_act[]____afx_libel
		  \___in[]__pfl_libel
	  	   \	  \_code
		    \_out[]__pfl_libel
				   \_code
*/


//Récupération des activités de position inferieure a l'acitivité courante
$req = "SELECT ACTFLUX.AFX_ID, AFX_LIBEL, TAC_ROLE
     	FROM ACTFLUX LEFT JOIN ACTIVITE ON ACTFLUX.ACT_ID = ACTIVITE.ACT_ID
			LEFT JOIN TYPE_ACT ON ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM
      	WHERE FLX_ID = $flx_id
	      	AND AFX_NUM < $afx_num
	      	AND AFX_ACTIF != ".ETAT_SUPPR."
      	ORDER BY TAC_ROLE, AFX_NUM";
$gDb->SQLQuery($req, 1);

$list_act = array();

$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
{
	$req = "SELECT PFL_ID, PFL_ROLE, PFL_LIBEL
         	FROM ACTFLUX
				LEFT JOIN ACTIVITE ON ACTFLUX.ACT_ID = ACTIVITE.ACT_ID
					LEFT JOIN PAR_FLOW ON ACTIVITE.TAC_NUM = PAR_FLOW.TAC_NUM 
         	WHERE AFX_ID = ".$row['AFX_ID']."
         	ORDER BY PFL_NUM";
	
  	$gDb->SQLQuery($req, 2);
  	$in = array();
  	$out = array();
  	$code = "#{".$row['AFX_ID'].".S_LIBELLE}";
  	$out[] = array("pfl_libel" => $lang_lbl_etat, "code" => $code);
  	$code = "#{".$row['AFX_ID'].".FIC_ID}";
  	$out[] = array("pfl_libel" => $lang_flux_gest_act_macro_lbl_ficid, "code" => $code);
  	$code = "#{".$row['AFX_ID'].".S_NUMERR}";
  	$out[] = array("pfl_libel" => $lang_flux_gest_act_macro_lbl_numerr, "code" => $code);
  	
  	while($row_param = $gDb->SQLNextRow(2)) {
  		$pfl_libel = $row_param['PFL_LIBEL'];
  		$code = "#{".$row['AFX_ID'].".".$row_param['PFL_ID']."}";
  		if($row_param['PFL_ID']) {
	  		if($row_param['PFL_ROLE'] == PARAM_ROLE_ACTIVITE) 
			{
				if($row['TAC_ROLE']!=ID_COLLECTE)//in si pas activité de collecte
					$in[] = array("pfl_libel" => $pfl_libel, "code" => $code);
			}
	  		else//out
				$out[] = array("pfl_libel" => $pfl_libel, "code" => $code);
  		}
  	}
  	$gDb->SQLFermeQuery(2);
  	
	$list_act[] = array("afx_id" => $row['AFX_ID'], "afx_libel" => $row['AFX_LIBEL'], "in" => $in, "out" => $out);
}
$gDb->SQLFermeQuery(1);

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

$act_icon = $pathStyle."imgs/icons/exec.png";
$in_icon = $pathStyle."imgs/icons/down.gif";
$out_icon = $pathStyle."imgs/icons/up.gif";
$param_icon = $pathStyle."imgs/icons/progress.gif";

foreach($list_act as $act) {
	echo '<row>';
	echo '<item caption="'.hi_disp($act["afx_libel"]).'" icon="'.$act_icon.'" value="" onClick="prlTreeView.expandNode(this.parentNode);"/>';
	
	if(count($act['in'])>0)
	{
		echo '<row>';
		echo '<item caption="'.$lang_flux_gest_act_macro_lbl_param_in.'" icon="'.$in_icon.'" value="" onClick="prlTreeView.expandNode(this.parentNode);"/>';
		foreach($act['in'] as $in)
			echo '<row><item caption="'.hi_disp($in['pfl_libel']).'" icon="'.$param_icon.'" value="'.$in['code'].'"/></row>';
		echo '</row>';
	}
	
	echo '<row>';
	echo '<item caption="'.$lang_flux_gest_act_macro_lbl_param_out.'" icon="'.$out_icon.'" value="" onClick="prlTreeView.expandNode(this.parentNode);"/>';
	foreach($act['out'] as $out)
		echo '<row><item caption="'.hi_disp($out['pfl_libel']).'" icon="'.$param_icon.'" value="'.$out['code'].'"/></row>';
	echo '</row>';
	
	echo '</row>';	
}
echo '</databind>';
?>