<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX; //droit de gestion des types de documents
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/gest/planif/flux_gest_planif_actAffich.php";

$vtp = new VTemplate;

$pla_id = pget('pla_id');
$flx_id = pget('flx_id');
$action = pget('action');

$clt_id = $_SESSION["CLT_ID"];

$form = $vtp->Open($DEFAULT_PATH."template/planif_form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$readOnly = false;
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable générales
$vtp->setVar($form, "global.title", addslashes("$lang_flux_gest_title ($lang_flux_gest_aff_lbl_planif)"));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/flux_gest.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id", "planif_flux");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "window.close();");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "pla_id");
$vtp->setVar($form, "form_input_hidden.value", $pla_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "flx_id");
$vtp->setVar($form, "form_input_hidden.value", $flx_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($pla_id)) {
	$req = "SELECT PLA_ACTIF, PLA_MOIS, PLA_JOUR, PLA_JOURSEM, PLA_HEURE, 
				PLA_MINUTE, PLA_DELAIDEM, PLA_DATEDER 
			FROM PLANIF 
			WHERE PLA_ID = $pla_id";
			$gDb->SQLQuery($req,1);
	
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}
else
	$row = array("PLA_ACTIF" => 0, "PLA_MOIS" => "*", "PLA_JOUR" => "*", "PLA_JOURSEM" => "*",
				"PLA_HEURE" => "*", "PLA_MINUTE" => 0, "PLA_DELAIDEM" => 1, "PLA_DATEDER" => "");

$vtp->setVar($form, "global.head_javascript", "
setMainTitle = opener.top.setMainTitle;
help = opener.top.help;

function verifForm() {
	if(submitForm(document.forms['filtre'], Flow.path+'flux/gest/planif/flux_gest_planif_actAction.php', prlExec) == 0) {
		opener.planif_grid_reload();
		window.close();
	}
}
");


//Actif
$PLA_ACTIF = $row['PLA_ACTIF'];
if($PLA_ACTIF == 1) $ETAT = $lang_lbl_oui;
else $ETAT = $lang_lbl_non;
if($readOnly){
	$content = $ETAT;
	$javascript = "";
}
else {
	$javascript = "
		with(new prlComboList('PLA_ACTIF', '$PLA_ACTIF')) {
			add('$lang_lbl_non', '', '', '0');
			add('$lang_lbl_oui', '', '', '1');
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_active);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Minutes
$PLA_MINUTE = (isset($row['PLA_MINUTE']) ? $row['PLA_MINUTE'] : "0");
if($readOnly){
	$content = $PLA_MINUTE;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('PLA_MINUTE', prlTextBox.formats.any, '$PLA_MINUTE')) {
		trim = prlTextBox.trimMode.both;
		readOnly = true;
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_min);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Heures
$PLA_HEURE = (isset($row['PLA_HEURE'])? $row['PLA_HEURE']: "*");
if($readOnly){
	$content = $PLA_HEURE;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('PLA_HEURE', prlTextBox.formats.any, '$PLA_HEURE')) {
		trim = prlTextBox.trimMode.both;
		readOnly = true;
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_heure);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Jours
$PLA_JOUR = (isset($row['PLA_JOUR'])? $row['PLA_JOUR']: "*");
if($readOnly){
	$content = $PLA_JOUR;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('PLA_JOUR', prlTextBox.formats.any, '$PLA_JOUR')) {
		trim = prlTextBox.trimMode.both;
		readOnly = true;
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_jour);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Jours de la semaine
$PLA_JOURSEM = (isset($row['PLA_JOURSEM'])? $row['PLA_JOURSEM']: "*");
if($readOnly){
	$content = $PLA_JOURSEM;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('PLA_JOURSEM', prlTextBox.formats.any, '$PLA_JOURSEM')) {
		trim = prlTextBox.trimMode.both;
		readOnly = true;
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_joursem);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Mois
$PLA_MOIS = (isset($row['PLA_MOIS'])? $row['PLA_MOIS']: "*");
if($readOnly){
	$content = $PLA_MOIS;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('PLA_MOIS', prlTextBox.formats.any, '$PLA_MOIS')) {
		trim = prlTextBox.trimMode.both;
		readOnly = true;
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_mois);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//Délai de démarrage
$PLA_DELAIDEM = ($row['PLA_DELAIDEM']? $row['PLA_DELAIDEM']: 1);
if($readOnly){
	$content = $PLA_DELAIDEM;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('PLA_DELAIDEM', prlTextBox.formats.uinteger, '$PLA_DELAIDEM')) {
		trim = prlTextBox.trimMode.both;
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_delai_dem);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

//Date de dernier démarrage
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_delaiplanif_lbl_date_dem);
$vtp->setVar($form, "form_field.javascript", "");
$vtp->setVar($form, "form_field.content", $row['PLA_DATEDER']);
$vtp->closeSession($form, "form_field");

function make_table ($unite, $min, $max, $mod, $tab_libel=null, $check_list=null) {
	$table = "<table>";
	
	$j = 0;
	for($i = $min; $i < $max; ++$i) {
		if(($j % $mod) == 0)
			$table .= '<tr>';
			
		$table .= "<td><input type=checkbox id=\"${unite}_${i}\" name=\"${unite}_${i}\" value=\"$i\"";
		$table .= " onClick=\"planif_update('$unite', $i, this.checked);\"";
		$table .= ($check_list[$i-$min]?" checked ": "")."/>".(($tab_libel)? $tab_libel[$i-$min]: $i)."</td>";
			
		if(($j % $mod) == ($mod - 1))
			$table .= '</tr>';
		++$j;
	}
	
	return $table .= "</table>";
}

class planif {
	var $type = array("PLA_MINUTE" => array(), "PLA_HEURE" => array(), "PLA_JOUR" => array(), "PLA_JOURSEM" => array(), "PLA_MOIS" => array());
	
	function planif (&$row) {
		global $lang_flux_gest_act_delaiplanif_lbl_min, $lang_flux_gest_act_delaiplanif_lbl_heure,
			$lang_flux_gest_act_delaiplanif_lbl_jour, $lang_flux_gest_act_delaiplanif_lbl_joursem,
			$lang_flux_gest_act_delaiplanif_lbl_mois, $lang_flux_gest_act_delaiplanif_lbl_lundi,
			$lang_flux_gest_act_delaiplanif_lbl_mardi, $lang_flux_gest_act_delaiplanif_lbl_mercredi,
			$lang_flux_gest_act_delaiplanif_lbl_jeudi, $lang_flux_gest_act_delaiplanif_lbl_vendredi,
			$lang_flux_gest_act_delaiplanif_lbl_samedi, $lang_flux_gest_act_delaiplanif_lbl_dimanche,
			$lang_flux_gest_act_delaiplanif_lbl_janvier, $lang_flux_gest_act_delaiplanif_lbl_fevrier,
			$lang_flux_gest_act_delaiplanif_lbl_mars, $lang_flux_gest_act_delaiplanif_lbl_avril,
			$lang_flux_gest_act_delaiplanif_lbl_mai, $lang_flux_gest_act_delaiplanif_lbl_juin,
			$lang_flux_gest_act_delaiplanif_lbl_juillet, $lang_flux_gest_act_delaiplanif_lbl_aout,
			$lang_flux_gest_act_delaiplanif_lbl_septembre, $lang_flux_gest_act_delaiplanif_lbl_octobre,
			$lang_flux_gest_act_delaiplanif_lbl_novembre, $lang_flux_gest_act_delaiplanif_lbl_decembre;
		
		$this->type["PLA_MINUTE"]["libel"] = $lang_flux_gest_act_delaiplanif_lbl_min;
		$this->type["PLA_HEURE"]["libel"] = $lang_flux_gest_act_delaiplanif_lbl_heure;
		$this->type["PLA_JOUR"]["libel"] = $lang_flux_gest_act_delaiplanif_lbl_jour;
		$this->type["PLA_JOURSEM"]["libel"] = $lang_flux_gest_act_delaiplanif_lbl_joursem;
		$this->type["PLA_MOIS"]["libel"] = $lang_flux_gest_act_delaiplanif_lbl_mois;
			
		$this->type["PLA_MINUTE"]["min"] = 0;
		$this->type["PLA_HEURE"]["min"] = 0;
		$this->type["PLA_JOUR"]["min"] = 1;
		$this->type["PLA_JOURSEM"]["min"] = 1;
		$this->type["PLA_MOIS"]["min"] = 1;
		
		$this->type["PLA_MINUTE"]["max"] = 60;
		$this->type["PLA_HEURE"]["max"] = 24;
		$this->type["PLA_JOUR"]["max"] = 32;
		$this->type["PLA_JOURSEM"]["max"] = 8;
		$this->type["PLA_MOIS"]["max"] = 13;
		
		$this->type["PLA_MINUTE"]["mod"] = 5;
		$this->type["PLA_HEURE"]["mod"] = 6;
		$this->type["PLA_JOUR"]["mod"] = 7;
		$this->type["PLA_JOURSEM"]["mod"] = 3;
		$this->type["PLA_MOIS"]["mod"] = 4;
		
		$this->type["PLA_MINUTE"]["tab_libel"] = null;
		$this->type["PLA_HEURE"]["tab_libel"] = null;
		$this->type["PLA_JOUR"]["tab_libel"] = null;
		$this->type["PLA_JOURSEM"]["tab_libel"] = array($lang_flux_gest_act_delaiplanif_lbl_lundi, $lang_flux_gest_act_delaiplanif_lbl_mardi,
													 $lang_flux_gest_act_delaiplanif_lbl_mercredi, $lang_flux_gest_act_delaiplanif_lbl_jeudi,
													 $lang_flux_gest_act_delaiplanif_lbl_vendredi, $lang_flux_gest_act_delaiplanif_lbl_samedi,
													 $lang_flux_gest_act_delaiplanif_lbl_dimanche);
													 
		$this->type["PLA_MOIS"]["tab_libel"] = array($lang_flux_gest_act_delaiplanif_lbl_janvier, $lang_flux_gest_act_delaiplanif_lbl_fevrier,
												$lang_flux_gest_act_delaiplanif_lbl_mars, $lang_flux_gest_act_delaiplanif_lbl_avril,
												$lang_flux_gest_act_delaiplanif_lbl_mai, $lang_flux_gest_act_delaiplanif_lbl_juin,
												$lang_flux_gest_act_delaiplanif_lbl_juillet, $lang_flux_gest_act_delaiplanif_lbl_aout,
												$lang_flux_gest_act_delaiplanif_lbl_septembre, $lang_flux_gest_act_delaiplanif_lbl_octobre,
												$lang_flux_gest_act_delaiplanif_lbl_novembre, $lang_flux_gest_act_delaiplanif_lbl_decembre);
		
		$this->type["PLA_MINUTE"]["check_list"] = array_fill(0, ($this->type["PLA_MINUTE"]["max"] - $this->type["PLA_MINUTE"]["min"]), false);
		$this->type["PLA_HEURE"]["check_list"] = array_fill(0, ($this->type["PLA_MINUTE"]["max"] - $this->type["PLA_MINUTE"]["min"]), false);
		$this->type["PLA_JOUR"]["check_list"] = array_fill(0, ($this->type["PLA_MINUTE"]["max"] - $this->type["PLA_MINUTE"]["min"]), false);
		$this->type["PLA_JOURSEM"]["check_list"] = array_fill(0, ($this->type["PLA_MINUTE"]["max"] - $this->type["PLA_MINUTE"]["min"]), false);
		$this->type["PLA_MOIS"]["check_list"] = array_fill(0, ($this->type["PLA_MINUTE"]["max"] - $this->type["PLA_MINUTE"]["min"]), false);
		
		foreach($this->type as $base_name => $type_info) {
			$temp = explode(",", $row[$base_name]);
			foreach($temp as $pla) {
				if (preg_match("/[*]/", $pla)) {
					for ($i = 0; $i <= ($type_info["max"] - $type_info["min"]); $i++)
						$this->type[$base_name]["check_list"][$i] = true;
				}
				else {
					if (preg_match("/[-]/", $pla)) {
						$tt = explode("-", $pla);
						for ($i = $tt[0]; $i <= $tt[1]; $i++) 
							$this->type[$base_name]["check_list"][$i-$type_info["min"]] = true;
					}
					else if ($pla != "")
						$this->type[$base_name]["check_list"][$pla-$type_info["min"]] = true;
				}
			}
		}
		
	} 
}

$planif = new planif($row);
$content = "";
$js_tab_list_id = "";
$js_tab_list_title = "";

$i = 0;
foreach($planif->type as $base_name => $type_info) {
	$content .= "<div id=\"${base_name}_div\">";
	//** toolbar d'action **//
	$content .= "<div style=\"background-color: #F8F8F8; width: 400px; height: 340px;\">
					<div style=\"background-color: #D0C8C1;\"><script language=\"JavaScript\" type=\"text/javascript\">
						var toolBar = new Prologue.toolbar('act_tlbr');
						toolBar.style = Prologue.toolbar.style.button;
						toolBar.dataSource = Prologue.Flow.path+'flux/gest/planif/flux_gest_planif_dSToolBar.php?type=$base_name';
						toolBar.create();
					</script></div>";
	$content .= "<div style=\"margin-top: 10px;\"><center>";
	$content .= make_table($base_name, $type_info["min"], $type_info["max"], $type_info["mod"], $type_info["tab_libel"], $type_info["check_list"]);
	$content .= "</center></div></div></div>";
	$js_tab_list_id .= ($i?",":"")."'$base_name'";
	$js_tab_list_title .= ($i++?",":"")."'".addslashes($type_info["libel"])."'";
}

$content .= "
<script language=\"JavaScript\" type=\"text/javascript\">
	var tab_list_id = [$js_tab_list_id];
	var tab_list_title = [$js_tab_list_title];
	
	with(new Prologue.tabStrip('tab_gest_planif')) {
		clientHeight = '340px';
		clientWidth = '400px';
		for(var i = 0; i < tab_list_id.length; ++i) {
			var page = add(tab_list_title[i]);
			page.contentID = tab_list_id[i]+'_div';
		}
		create();
	}
	$('tab_gest_planif').style.marginTop = '25px';

	var planif = ".encode_JSON($planif->type).";

	var planif_range = {all : -1, mod : -2}; 

	function planif_update (type, pos, check) {
		if(pos instanceof Array == true) {
			if(pos[0] == planif_range.mod) {
				planif_update(type, planif_range.all, false);

				for(var i=0; i < (planif[type].max - planif[type].min); ++i)
					if(i%pos[1] == 0)
						planif[type].check_list[i] = check;
				for(var i=planif[type].min; i < planif[type].max; ++i)
					if(i%pos[1] == 0)
						$(type+'_'+i).checked = check;
			}
			else {
				for(i in pos) {
					$(type+'_'+i).checked = check;
					planif[type].check_list[i-planif[type].min] = check;
				}
			}
		}
		else if(pos == planif_range.all) {
			for(var i=planif[type].min; i < planif[type].max; ++i)
				$(type+'_'+i).checked = check;
			for(var i=0; i < (planif[type].max - planif[type].min); ++i)
				planif[type].check_list[i] = check;
		}
		else {
			$(type+'_'+pos).checked = check;
			planif[type].check_list[pos-planif[type].min] = check;
		}
		update_input(type);
	}

	function update_input (type) {
		$(type).value = '';
		var first = true;
		var nb_select = 0;
		var tmp = '';

		for(var i = planif[type].min; i < planif[type].max; ++i) {
			if(planif[type].check_list[i-planif[type].min]) {
				tmp += (first?'':',')+i;
				first = false;
				++nb_select;
			}
		}
		if(nb_select == planif[type].max - planif[type].min)
			$(type).value = '*';
		else if(nb_select == 0)
			$(type).value = '0';
		else
			$(type).value = tmp;
	}
";
$content .= "
</script>
";

$vtp->setVar($form, "global.content", $content);

include($DEFAULT_PATH."header.php");
$page_headers .= "<script language=\"javascript\" src=\"${pathFlow}inc/js/rowAction.js\"></script>";
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>