<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = CERT;
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/pargen/certificat/crt_actAffich.php";

$vtp = new VTemplate;

$crt_id	= pget('crt_id');
$action = pget('action');
$type   = pget('type'); 
$cltID 	= $_SESSION['CLT_ID'];

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20070726152102");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_lbl_ajouter;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_lbl_modifier;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
	
	case "imprim_ebics":
		$readOnly = false;
		$panelTitle = "Lettre initialisation";
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
		
	case "extract":
		$readOnly = false;
		$panelTitle = $lang_lbl_extraire;
		$panelIcon = $pathStyle."imgs/icons/export.gif";
		break;
}

switch($type){
	case CRT_FOR_CER:
		$panelTitle .=" ".$lang_flux_pargen_crt_filtre_format_crt;
		break;
	case CRT_FOR_KEY:
		$panelTitle .=" ".$lang_flux_pargen_crt_filtre_format_cle;
		break;
	case CRT_FOR_CRL:
		$panelTitle .=" ".$lang_flux_pargen_crt_filtre_format_list_revoc;
		break;
	case CRT_FOR_AUTH:
		$panelTitle .=" ".$lang_flux_pargen_crt_filtre_format_cle_auth;
		break;
	case CRT_FOR_ENCR:
		$panelTitle .=" ".$lang_flux_pargen_crt_filtre_format_cle_encr;
		break;
	case CRT_FOR_CERT_TS:
		$panelTitle .=" ".$lang_flux_pargen_crt_filtre_format_certif_TS;
		break;
	case CRT_FOR_CERT_CA:
		$panelTitle .=" ".$lang_flux_pargen_crt_filtre_format_crt_ca;
		break;
		
}

//Variable générales
$vtp->setVar($form, "global.title", $lang_flux_pargen_crt_title_defaut);
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/bus_et.png");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

if(!empty($crt_id))
{
	$req = "SELECT PAR_ID, CRT_TYPE, CRT_ROLE, CRT_PROP_NOM, CRT_EMET_NOM 
			FROM CERTIFICAT 
			WHERE CRT_ID = $crt_id";
		$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$PAR_ID = $row['PAR_ID'];
	$CRT_TYPE = $row['CRT_TYPE'];
	$CRT_ROLE = $row['CRT_ROLE'];
	$CRT_PROP_NOM = $row['CRT_PROP_NOM'];
	$CRT_EMET_NOM = $row['CRT_EMET_NOM'];
	$gDb->SQLFermeQuery(1);
}
else
{
	$PAR_ID = '';
	$CRT_TYPE = '';
	$CRT_ROLE = '';
	$CRT_PROP_NOM = '';
	$CRT_EMET_NOM = '';
}

$head_javascript = "
//top.help = {id:''};

function verifForm() {
	
	var ret=true;
	
	if ('".$action."'=='create' && '".CRT_FOR_KEY."'=='".$type."'){
		if ($('pwd').value.length == 0){
			alert('".addslashes($lang_flux_pargen_crt_aff_msg_err_no_mdp)."');
			ret=false;	
		}
		if ($('pwd').value!=$('pwd2').value){
			alert('".addslashes($lang_flux_pargen_crt_aff_msg_err_diff_mdp)."');
			ret=false;	
		} 
	}
	var expr = /^ | $/;
	if ('".$action."'=='create'){
		if (($('alias').value.length == 0) || expr.exec($('alias').value) != null) {
			alert('".addslashes($lang_flux_pargen_crt_aff_msg_err_no_alias)."');
			ret=false;
		}
	}

	if (ret){
		
		if(submitForm(this.document.forms['filtre'], 'crt_actAction.php', prlExec) == 0) {
			changePage('crt_gest.php');
		}
	}
}
";

$vtp->setVar($form, "global.head_javascript", $head_javascript);

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "crt_id");
$vtp->setVar($form, "form_input_hidden.value", $crt_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "type");
$vtp->setVar($form, "form_input_hidden.value", $type);
$vtp->closeSession($form, "form_input_hidden");

//alias
if ($action=="create"){
	$javascript = "
		with(new prlTextBox('alias', prlTextBox.formats.any, '')) {
			maxLength  = 255;
			trim = prlTextBox.trimMode.both;
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_filtre_alias);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
} 

if (($type==CRT_FOR_CER || $type==CRT_FOR_CERT_TS) && $action!="imprim_ebics" && $action!="extract"){
	//partenaire lié
	// si le partenaire a été supprimé mais pas encore purgé, on donne la possibilité de réaffecter le certificat (bz 5030)
	$req = "SELECT PAR_ETAT FROM PART WHERE PAR_ID=$PAR_ID";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$PAR_ETAT = $row['PAR_ETAT'];
	$gDb->SQLFermeQuery(1);
	if($PAR_ETAT==ETAT_SUPPR)
		$par_id_tmp = '';
	else
		$par_id_tmp = $PAR_ID;
	$javascript = "
		with(new prlComboTree('crt_par', '$par_id_tmp')) {
			dataSource='".$DEFAULT_PATH."dataSources/dSPartenaires.php?droitRole=".$droitRole."&showNull=1&lmcse=".DROIT_CREAT."&fonction=".PART_EMET."';
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_aff_lbl_part_lie);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
}

if ($action=="create" && $type==CRT_FOR_CERT_TS){
	//partenaire lié
	$javascript = "
		with(new prlComboTree('crt_role', '$CRT_ROLE')) {
			dataSource='".$DEFAULT_PATH."dataSources/dSUtilSignTS.php?droitRole=".$droitRole."&showNull=1&lmcse=".DROIT_CREAT."&fonction=".PART_EMET."';
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_aff_lbl_part_role);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
}

if ($action=="create" && $type==CRT_FOR_KEY){
	$pwd="";
	//mot de passe
	$javascript = "
		with(new prlTextBox('pwd', prlTextBox.formats.any, '".$pwd."')) {
			maxLength  ='255' ;
			trim = prlTextBox.trimMode.both;
			password='true';
			create();
		};
	";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_aff_lbl_mdp);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");

	//mot de passe (bis)
	$javascript = "
		with(new prlTextBox('pwd2', prlTextBox.formats.any, '')) {
			maxLength  ='255';
			trim = prlTextBox.trimMode.both;
			password='true';
			create();
		};
	";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_aff_lbl_mdp." (bis)");
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");

	//certificat lié
	$javascript = "
		with(new prlComboTree('crt', '')) {
			dataSource='".$DEFAULT_PATH."dataSources/dSAliasCertif.php';
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_aff_lbl_crt_lie);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
}


//Nom banque (Ebics)
if (($type==CRT_FOR_CER || $type==CRT_FOR_CERT_TS) && $action=="imprim_ebics"){
	$javascript = "";
	$content    = "<input type='text' name='nom_bank' class='textBox' size='50' maxlength='255'>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", "Nom de la banque");
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
}

//chemin
if (($action=="create" && $type!=CRT_FOR_CERT_TS) || ($action=="extract" && $type==CRT_FOR_CERT_TS)){
	$javascript = "";
	$content    = "<input type='text' name='fic' class='textBox' size='50' maxlength='255'>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_aff_lbl_path);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
}


//chemin
if ($action=="extract" && $type==CRT_FOR_CERT_CA){
	$javascript = "";
	$content    = "<input type='text' name='fic' class='textBox' size='50' maxlength='255'>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_crt_aff_lbl_path_rep);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
}

//Utilisation certificat (auth, encr, sign,-) pour Ebics
if ($type==CRT_FOR_CER && $action!="imprim_ebics"){
		
	$javascript = "
		with(new prlComboTree('crt_util', '$CRT_TYPE')) {
			dataSource='".$DEFAULT_PATH."dataSources/dSUtilCertEbx.php?droitRole=".$droitRole."&showNull=1&lmcse=".DROIT_CREAT."&fonction=".PART_EMET."';
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_part_act_utilisation_certif);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
}




//Impression lettre init certif pour Ebics
if ($type==CRT_FOR_CERT_TS && $action=="imprim_ebics"){
		
	//Modification pour Bogue 3646
	$javascript = "
		with(new prlComboTree('crt_pargen', '')) {
			dataSource='".$DEFAULT_PATH."dataSources/dsParamGenEbicsTS.php';
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_part_act_utilisation_certif);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
}
//Impression lettre init certif pour Ebics
else if ($action=="imprim_ebics"){
		

	if($CRT_PROP_NOM==$CRT_EMET_NOM)
	{
		//Modification pour Bogue 3646
		$javascript = "
			with(new prlComboTree('crt_pargen', '')) {
				dataSource='".$DEFAULT_PATH."dataSources/dsParamGenEbics.php';
				create();
			};
		";
	}
	else
	{
		//Modification pour Bogue 3646
		$javascript = "
			with(new prlComboTree('crt_pargen', '')) {
				dataSource='".$DEFAULT_PATH."dataSources/dsParamGenEbicsTS.php';
				create();
			};
		";
	}
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_part_act_utilisation_certif);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
}

//PIN (Ebics TS)
if (($type==CRT_FOR_CERT_TS && $action=="imprim_ebics") || ($action=="extract")){
	$pwd="";
	//mot de passe
	$javascript = "
		with(new prlTextBox('pin', prlTextBox.formats.any, '')) {
			maxLength  ='255' ;
			trim = prlTextBox.trimMode.both;
			password='true';
			create();
		};
	";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", "PIN");
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");

}


include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>