<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$droitRole = CERT; 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "flux/pargen/certificat/crt_gest.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$pageSize = $ini_taille_page_suivi;
$pageNum = pget('pageNum');
$f_alias = "";
$f_partenaire = "";
$f_format = "";
if ($remember_filters)
{
	// On restaure les derniers parametres utilises pour le filtre
	$_SESSION['CERT_FILTER']['remember'] = true;

	if (isset($_SESSION['CERT_FILTER']['alias'])) $f_alias = $_SESSION['CERT_FILTER']['alias'];
	if (isset($_SESSION['CERT_FILTER']['partenaire'])) $f_partenaire = $_SESSION['CERT_FILTER']['partenaire'];
	if (isset($_SESSION['CERT_FILTER']['format'])) $f_format = $_SESSION['CERT_FILTER']['format'];
	
	if ((isset($_SESSION['CERT_FILTER']['pageSize'])) && ($_SESSION['CERT_FILTER']['pageSize'] != '')) $pageSize = $_SESSION['CERT_FILTER']['pageSize'];
	if (($pageNum == '') && (isset($_SESSION['CERT_FILTER']['pageNum'])) && ($_SESSION['CERT_FILTER']['pageNum'] != '')) $pageNum = $_SESSION['CERT_FILTER']['pageNum'];
$pageSize = 50;	
	
}
if ($pageNum == '') $pageNum = "1";

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_crt_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/bus_et.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."flux/pargen/certificat/crt_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "20070726151738");
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $pageSize,
					"editable_filtre" => true,
					"ds_filtre" => $dataSrc);

//Alias
$filtre[] = array("id_filtre" => "f_alias", "type_filtre" => "prlFiltreField.types.prlTextBox",
				  "value_filtre" => $f_alias,
				  "libelle_filtre" => $lang_flux_pargen_crt_grid_head_alias);

$filtre[] = array("id_filtre" => "new_line");
					
//Partenaire
$filtre[] = array("id_filtre" => "f_part", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_flux_pargen_crt_aff_lbl_part_lie,
					"loadondropdown_filtre" => true,
				    "value_filtre" => $f_partenaire,
					"defaultcaption_filtre" => getPartnerName($f_partenaire),
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Format
$filtre[] = array("id_filtre" => "f_format", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_flux_pargen_crt_filtre_format,
				    "value_filtre" => $f_format,
					"ds_filtre" => $pathFlow."dataSources/dSComboCert.php");
					
mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => false
									, "title" => ""),
						"csv" => false);

$body_js = "
function addCert_dropDown_hide()
{
	if (window.current_toolbar_dropDown)
	{
		window.current_toolbar_dropDown.style.visibility = 'hidden';
		window.current_toolbar_dropDown = null;
		window.detachEvent('onmouseup', addCert_dropDown_hide);
	}
}

function selectAdd()
{
	var val = Prologue.list.getSelected('type_cert').value;
	changePage('crt_actAffich.php?action=create&type='+val);
}

function selectAddExtract()
{
	var val = Prologue.list.getSelected('type_cert2').value;
	changePage('crt_actAffich.php?action=extract&type='+val);
}

function onClickAdd(btn, num)
{
	if(num==1)
		var dD = $('addCert_dropDown');
	else if (num==2)
		var dD = $('addCert_dropDown2');	
	var v = dD.style.visibility == 'visible';
	if(!v) {
		var dDPosition = {top : 0, left : 0};
		dDPosition.top = (parseInt(Prologue.ui.clientToScreen(btn).top, 10) + parseInt(btn.offsetHeight, 10));
		dDPosition.left = parseInt(Prologue.ui.clientToScreen(btn).left, 10);
		if (!Prologue.browser.ie)
			Prologue.ui.screenToClient(dD, dDPosition);

		Prologue.ui.moveTo(dD, dDPosition);
		if (dDPosition.top + dD.offsetHeight > document.body.clientHeight)
		{
			Prologue.ui.setHeight(dD, document.body.clientHeight - dDPosition.top);
		}			
		window.current_toolbar_dropDown = dD;
		window.attachEvent('onmouseup', addCert_dropDown_hide);
		dD.style.visibility='visible';
		dD.style.zIndex = '1000';
		
		if(num==1)
			dD.attachEvent('onclick', selectAdd);
		else if(num==2)	
			dD.attachEvent('onclick', selectAddExtract);
	}
	else
	{
		addCert_dropDown_hide();
		if(num==1)
			dD.detachEvent('onclick', selectAdd);
		else if(num==2)	
			dD.detachEvent('onclick', selectAddExtract);
	}
}
";
//Ajouter Certificat	
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_lbl_ajouter,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "onClickAdd(this,1)");
	/*
	$option_toolbar[] = array("caption" => $lang_lbl_ajouter." ".$lang_flux_pargen_crt_filtre_format_crt,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'crt_actAffich.php?action=create&type=".CRT_FOR_CER."\');");
//Ajouter clé
	$option_toolbar[] = array("caption" => $lang_lbl_ajouter." ".$lang_flux_pargen_crt_filtre_format_cle,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'crt_actAffich.php?action=create&type=".CRT_FOR_KEY."\');");
//Ajouter liste revok
	$option_toolbar[] = array("caption" => $lang_lbl_ajouter." ".$lang_flux_pargen_crt_filtre_format_list_revoc,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'crt_actAffich.php?action=create&type=".CRT_FOR_CRL."\');");
	*/
}

//Imprim Ebics
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_crt_filtre_format_lettre_init,
							"icon" => $pathFlow."style/imgs/icons/transfert.gif",
							"action" => array("name" => "imprim_ebics",
											"page" => "flux/pargen/certificat/crt_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('crt_id','action','type')));
	$body_js .= "
rowAction.actions.imprim_ebics.check = function (params) {
	params.action = 'imprim_ebics';
	return true;
};
";	
}

//Extraire
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => "Extraire",
							"icon" => $pathFlow."style/imgs/icons/export.gif",
							"onClick" => "onClickAdd(this,2)",
							"action" => array("name" => "extract",
											"page" => "flux/",
											"callback" => "prlExecGrid",
											"get_params" => array('crt_id','action','type')));
	
	$body_js .= "
rowAction.actions.extract.check = function (params) {
	params.action = 'extract';
	return true;
};
";	
}

//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_crt_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
											"page" => "flux/pargen/certificat/crt_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('crt_id','action','type')));
	$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}


//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_crt_grid_act_suppr,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
												"page" => "flux/pargen/certificat/crt_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('crt_id','action','type')));
	$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_pargen_crt_grid_quest_suppr)."';
	return confirm(msg_suppr);
};
";
}


//télécharger
if (droit(TEL, DROIT_LECT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_crt_grid_act_tele,
							"icon" => $pathFlow."style/imgs/icons/save.png",
							"action" => array("name" => "telecharger",
												"page" => "flux/pargen/certificat/crt_export.php",
												"callback" => "changePage",
												"get_params" => array('crt_id','action','type')));
	$body_js .= "
rowAction.actions.telecharger.check = function (params) {
	params.action = 'telecharger';
	return true;
};
";
}



mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
<div id="addCert_dropDown" style="overflow:auto;visibility: hidden; background-color: #FFF; border:1px solid #C4BBB2; position:absolute; width: 200px;">
	<script language="JavaScript" type="text/javascript">
		with(new Prologue.list("type_cert"))
		{
			dataSource = Flow.path+"dataSources/dsComboAddCert.php";
			create();
		};
	</script>
</div>
<div id="addCert_dropDown2" style="overflow:auto;visibility: hidden; background-color: #FFF; border:1px solid #C4BBB2; position:absolute; width: 200px;">
	<script language="JavaScript" type="text/javascript">
		with(new Prologue.list("type_cert2"))
		{
			dataSource = Flow.path+"dataSources/dsComboExtractCert.php";
			create();
		};
	</script>
</div>