<?php
$DEFAULT_PATH = "../../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PDM; //droit 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "flux/pargen/demat/archiv/arc_actAction.php";

$pad_id	= pget("pad_id");
$action	= pget('action');
$cltID 	= $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

/************************************************************/
/* DEBUT ACTION = SUPPRESSION 								*/
/************************************************************/
if ($action == "suppr" && droit($droitRole, DROIT_SUPPR, null,null,null,null))
{
	$req="DELETE FROM PART_DEMAT WHERE PAD_ID=".$pad_id;
	
	if (!$gDb->SQLQuery($req, 1))
	{
		$msg = $lang_flux_pargen_inv_arch_act_suppr_msg_err;
		$return = 1;
	}
	else
	$msg = $lang_flux_pargen_inv_arch_act_suppr_msg_ok;
	$return = 0;
}
/************************************************************/
/* FIN ACTION = SUPPRESSION 								*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = CLOTURE		 							*/
/************************************************************/

if ($action == "cloture" && droit($droitRole, DROIT_MODIF, null,null,null,null)) {

	$req="Select PAD_NUM_ARCH
			FROM PART_DEMAT
			WHERE PAD_ID=".$pad_id;	
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	$num_arch=$row['PAD_NUM_ARCH'];
	$num_arch++;
	$req = "update PART_DEMAT set PAD_NUM_ARCH = ".$num_arch."
			where PAD_ID = $pad_id";
	if (!$gDb->SQLQuery($req, 1)) {
		$msg = $lang_flux_pargen_inv_arch_act_modif_clot_msg_err;
		$return = 1;
	} else {
		$msg = $lang_flux_pargen_inv_arch_act_modif_clot_msg_ok;
		$return = 0;
	}	
}	

/************************************************************/
/* FIN ACTION = CLOTURE		 								*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = MODIFICATION 								*/
/************************************************************/
	
if ($action == "modif" && droit($droitRole, DROIT_MODIF, null,null,null,null)) {
		
	$chem_arch	= pget("chem_arch");
	$chem_arch_mot	= pget("chem_arch_mot");
	$taille_arch= pget("taille_arch");
	$delai_arch	= pget("delai_arch");

	$req = "update PART_DEMAT set PAD_TAILLE_ARCH = ".$taille_arch.", PAD_DELAI_CLOT_ARCH = ".$delai_arch.",
			PAD_CHEM_ARCH='".dblQ($chem_arch)."', PAD_CHEM_ARCH_MOT='".dblQ($chem_arch_mot)."' 
			where PAD_ID = $pad_id";
	
	if (!$gDb->SQLQuery($req, 1)) {
		$msg = $lang_flux_pargen_inv_arch_act_modif_msg_err;
		$return = 1;
	} else {
		$msg = $lang_flux_pargen_inv_arch_act_modif_msg_ok;
		$return = 0;
	}
}

/************************************************************/
/* FIN ACTION = MODIFICATION 								*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = CREATION		 							*/
/************************************************************/

if ($action == "create" && droit($droitRole, DROIT_CREAT, null,null,null,null))
{
	$nom_arch	   = pget("nom_arch");
	$part	       = pget("part");
	$chem_arch	   = pget("chem_arch");
	$chem_arch_mot = pget("chem_arch_mot");
	$taille_arch   = pget("taille_arch");
	$delai_arch	   = pget("delai_arch");

	if (droit($droitRole,"xor",$part,null,null,null)|| droit($droitRole,"xor",null,$part,null,null)) {
		
		$req="Select count(*) FROM PART_DEMAT
		      WHERE PAR_ID=".$part;		
		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$nb = $row[0];
		$gDb->SQLFermeQuery(1);
		
		if ($nb == 0) {
			
			$req = "INSERT INTO PART_DEMAT ( PAR_ID, PAD_NOM_ARCH, PAD_NUM_ARCH,
					PAD_CHEM_ARCH, PAD_TAILLE_ARCH, PAD_DELAI_CLOT_ARCH, CLT_ID, PAD_CHEM_ARCH_MOT)
                	VALUES ($part, '".dblQ($nom_arch)."', 000001, '".dblQ($chem_arch)."', 
					$taille_arch , $delai_arch, $cltID, '".dblQ($chem_arch_mot)."')";
			$res=$gDb->SQLQuery($req, 1);

			if ($res[0] == SQL_DUP_CHAMP) {
				
				$msg = dblQ($nom_arch).$lang_flux_av_imp_flux_act_insert_msg_err_dup;
				$return = 1;
			} else {
				if ($res==null)	{
					$msg = $lang_flux_pargen_inv_arch_act_create_msg_err;
					$return = 1;
				} else {
					$msg = $lang_flux_pargen_inv_arch_act_create_msg_ok;
					$return = 0;
				}
			}
		} else {
			$msg = $lang_menu_lbl_archiv_caption." ".$lang_menu_lbl_part_caption.$lang_flux_av_imp_flux_act_insert_msg_err_dup;
			$return = 1;
		}
	} else {
		$msg=$lang_msg_err_droit;
		$return = 1;
	}
}
/************************************************************/
/* FIN ACTION = CREATION 									*/
/************************************************************/

if ($action=="cloture") {
	echo "{";
	echo " pad_num_arch : '$num_arch',";
	echo " msg : '".addslashes($msg)."'";
	echo "}";
} else {
	$reponse['msg'] = addslashes($msg);
	$reponse['return'] = $return;
	$reponse['action'] = $action;
	$reponse['onsuccess'] = 'top.reload_menu()';
	echo encode_JSON($reponse);
}
?>