<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PDM; //droit 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$page_courante = "flux/pargen/demat/archiv/arc_actAffich.php";

$vtp = new VTemplate;

$action = pget('action');
$pad_id = pget('pad_id');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		$right = DROIT_CREAT;
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		$right = DROIT_MODIF;
		break;
}
//Variable générales
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_inv_arch_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/archiv.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id",  "aide_arch_demat");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "pad_id");
$vtp->setVar($form, "form_input_hidden.value", $pad_id);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($pad_id)) {
	$req="Select PAR_NOM, PART.PAR_ID, PAD_NOM_ARCH, PAD_CHEM_ARCH, PAD_TAILLE_ARCH,
		PAD_DELAI_CLOT_ARCH, PAD_CHEM_ARCH_MOT, PAD_DATE_CREAT_ARCH, PAD_NUM_ARCH
		FROM PART_DEMAT, PART
		WHERE PART_DEMAT.PAR_ID=PART.PAR_ID
		AND PAD_ID=".$pad_id;
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
}
//Construction de la fonction de vérification du formulaire
if ($action=="create"){
	$fieldListID = "'nom_arch', 'chem_arch', 'chem_arch_mot', 'taille_arch', 'delai_arch'";
	$fieldListName   = "'".addslashes($lang_flux_pargen_inv_arch_grid_head_nom_arch)."'";
	$fieldListName .= ",'".addslashes($lang_flux_pargen_inv_arch_grid_head_path_arch)."'";
	$fieldListName .= ",'".addslashes($lang_flux_pargen_inv_arch_grid_head_pathmot_arch)."'";
	$fieldListName .= ",'".addslashes($lang_flux_pargen_inv_arch_aff_lbl_size)."'";
	$fieldListName .= ",'".addslashes($lang_flux_pargen_inv_arch_aff_lbl_delai)."'";
} else {
	$fieldListID = "'chem_arch', 'chem_arch_mot', 'taille_arch', 'delai_arch'";
	$fieldListName   = "'".addslashes($lang_flux_pargen_inv_arch_grid_head_path_arch)."'";
	$fieldListName .= ",'".addslashes($lang_flux_pargen_inv_arch_grid_head_pathmot_arch)."'";
	$fieldListName .= ",'".addslashes($lang_flux_pargen_inv_arch_aff_lbl_size)."'";
	$fieldListName .= ",'".addslashes($lang_flux_pargen_inv_arch_aff_lbl_delai)."'";
}

/*
 
if(clotureInfo.pad_num_arch){
document.getElementById('pad_num_arch').textContent = clotureInfo.pad_num_arch;

}
  
*/

$head_javascript = "

//Liste des champs obligatoires
var fieldListID = new Array($fieldListID);
		
//Liste des libellés de champs obligatoires								
var fieldListName = new Array($fieldListName);

function clotureArchiv(pad_id) {
	var url = Flow.path+'flux/pargen/demat/archiv/arc_actAction.php?action=cloture&pad_id='+pad_id;
	var clotureInfo = jsonGet(url);
	if(clotureInfo.pad_num_arch){
		document.getElementById('pad_num_arch').textContent = clotureInfo.pad_num_arch;
		alert(clotureInfo.msg);
		changePage('arc_gest.php');
	}	
}

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
	}

	if(check && (submitForm(this.document.forms['filtre'], 'arc_actAction.php', prlExec))== 0) {
		changePage('arc_gest.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

if ($action=="create")
{
	// partenaire
	$javascript = "
		with(new prlComboTree('part', '')) {
			dataSource='".$DEFAULT_PATH."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=0&lmcse=".$right."';
			toolTip='".addslashes($lang_flux_pargen_inv_arch_filtre_part)."';
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_filtre_part);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
	// nom de l'archive
	$javascript = "
		with(new prlTextBox('nom_arch', prlTextBox.formats.any, '')) {
			maxLength  = 50;
			trim = prlTextBox.trimMode.both;
			toolTip='".addslashes($lang_flux_pargen_inv_arch_grid_head_nom_arch)."';
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_grid_head_nom_arch);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	$chem_arch='';
	$chem_arch_mot='';
	$taille_arch='';
	$delai_clot_arch='';
}
else
{
	$part=$row['PAR_NOM'];
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_filtre_part);
	$vtp->setVar($form, "form_field.content", $part);
	$vtp->closeSession($form, "form_field");
	$nom_arch=$row['PAD_NOM_ARCH'];
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_grid_head_nom_arch);
	$vtp->setVar($form, "form_field.content", $nom_arch);
	$vtp->closeSession($form, "form_field");
	$num_arch=$row['PAD_NUM_ARCH'];
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.id_fieldValue", "pad_num_arch");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_grid_head_num_arch);
	$vtp->setVar($form, "form_field.content", $num_arch);
	$vtp->closeSession($form, "form_field");
	$date_creat_arch=(!empty($row['PAD_DATE_CREAT_ARCH']))?($row['PAD_DATE_CREAT_ARCH']):($lang_flux_pargen_inv_arch_act_create_msg_err_noyet);
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_aff_lbl_date);
	$vtp->setVar($form, "form_field.content", $date_creat_arch);
	$vtp->closeSession($form, "form_field");
	$chem_arch=urlencode($row['PAD_CHEM_ARCH']);
	$chem_arch_mot=urlencode($row['PAD_CHEM_ARCH_MOT']);
	$taille_arch=$row['PAD_TAILLE_ARCH'];
	$delai_clot_arch=$row['PAD_DELAI_CLOT_ARCH'];
}
// chemin de l'archive
$javascript = "
	with(new prlTextBox('chem_arch', prlTextBox.formats.path, urldecode('".$chem_arch."'))) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_grid_head_path_arch);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// chemin de l'archive vu du moteur
$javascript = "
	with(new prlTextBox('chem_arch_mot', prlTextBox.formats.path, urldecode('".$chem_arch_mot."'))) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		toolTip='".addslashes($lang_flux_pargen_inv_arch_grid_head_pathmot_arch)."';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_grid_head_pathmot_arch);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// taille de l'archive
$javascript = "
	with(new prlTextBox('taille_arch', prlTextBox.formats.any, '$taille_arch')) {
		maxLength  = 10;
		trim = prlTextBox.trimMode.both;
		toolTip='".addslashes($lang_flux_pargen_inv_arch_aff_lbl_size)."';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_aff_lbl_size);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Delai de cloture
$javascript = "
	with(new prlTextBox('delai_arch', prlTextBox.formats.any, '$delai_clot_arch')) {
		maxLength  = 10;
		trim = prlTextBox.trimMode.both;
		toolTip='".addslashes($lang_flux_pargen_inv_arch_aff_lbl_delai)."';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_inv_arch_aff_lbl_delai);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

if ($action=="modif" && !empty($row['PAD_DATE_CREAT_ARCH'])) {
	
	$javascript="new prlButton('".$lang_flux_pargen_inv_arch_aff_btn_clot."', 'clotureArchiv(".$pad_id.");', Prologue.Flow.images+'icons/cloture.gif').create();
		
	";
	$vtp->addSession($form, "form_button");
	$vtp->setVar($form, "form_button.javascript", $javascript);
	$vtp->closeSession($form, "form_button");
}

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>