<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$droitRole = PDM; //droit 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "flux/pargen/demat/archiv/arc_gest.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

//$vtp->setVar($form, "global.head_javascript", $headScript);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_inv_arch_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/archiv.gif");
$vtp->setVar($form, "global.help_id", "aide_arch_demat");
$vtp->setVar($form, "global.url_grid", $pathFlow."flux/pargen/demat/archiv/arc_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $dataSrc);

$filtre[] = array("id_filtre" => "new_line");
//Partenaire
$filtre[] = array("id_filtre" => "f_part", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_flux_pargen_inv_arch_filtre_part,
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
						, "title" => addslashes($lang_flux_pargen_inv_arch_title_defaut)),
						"csv" => true);

$body_js = "";
						
//Creer
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							"icon" => $pathFlow."style/imgs/icons/add.gif",
							"onClick" => "changePage(\'arc_actAffich.php?action=create\');");
}

//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_lbl_modifier,
								"icon" => $pathFlow."style/imgs/icons/admin.gif",
								"action" => array("name" => "modif",
													"page" => "flux/pargen/demat/archiv/arc_actAffich.php",
													"callback" => "changePage",
													"get_params" => array('pad_id','action')));

$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}

//Supprimer
/*if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_lbl_supprimer,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
												"page" => "flux/pargen/demat/archiv/arc_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('pad_id','action')));

$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_pargen_inv_arch_grid_quest_suppr)."';
	return confirm(msg_suppr);
};
";
}*/

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
