<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PDM; //droit de Part de la demat
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "flux/pargen/demat/p2p/p2p_actAction.php";

$where = "";

$part1="";
$part2="";
$p2p_id="";
$action="";
$ptp_adresse_emet="";
$ptp_adresse_dest="";
$ptp_qualite_emet="";
$ptp_qualite_dest="";
$action	    = pget("action");
$p2p_id     = pget("ptp_id");
$part1	    = pget("part1");
$part2	    = pget("part2");
$ptp_statut	= pget("ptp_statut");
$id_dest    = pget("id_dest");
$id_emet    = pget("id_emet");
$ptp_adresse_emet	    = pget("ptp_adresse_emet");
$ptp_adresse_dest	    = pget("ptp_adresse_dest");
$ptp_qualite_emet	    = pget("ptp_qualite_emet");
$ptp_qualite_dest	    = pget("ptp_qualite_dest");
$cltID 	    = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;



/************************************************************/
/* DEBUT ACTION = SUPPRESSION		 						*/
/************************************************************/

if ($action == "suppr" && droit($droitRole, DROIT_SUPPR, null,null,null,null))
{

	
	$req="DELETE FROM PART_TO_PART WHERE PTP_EMET_ID=".$id_emet." AND PTP_DEST_ID=".$id_dest;

	if (!$gDb->SQLQuery($req, 1))
	{
		$msg = $lang_flux_pargen_inv_part_act_suppr_msg_err;
		$return = 1;
	}
	else
	$msg = $lang_flux_pargen_inv_part_act_suppr_msg_ok;
	$return = 0;
	
}

/************************************************************/
/* FIN ACTION = SUPPRESSION		 						    */
/************************************************************/

/************************************************************/
/* DEBUT ACTION = MODIFICATION	 							*/
/************************************************************/

if ($action == "modif" && droit($droitRole, DROIT_MODIF, null,null,null,null))
{
//ASGS1
	$req="Select PTP_STATUT, PTP_EMET_ID, PTP_DEST_ID, PTP_NOM_EMET, PTP_NOM_DEST, PTP_ADRESSE_EMET, PTP_ADRESSE_DEST, PTP_QUALITE_EMET, PTP_QUALITE_DEST FROM PART_TO_PART WHERE PTP_ID=".$p2p_id;

	if (!$gDb->SQLQuery($req, 1))
	{
		$msg = $lang_flux_pargen_inv_part_act_modif_msg_err;
		$return = 1;
	}
	else
	{
		$flag=true;
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		$date=date("Y-m-d H:i:s");
		$dateS = null;
		if ($row['PTP_STATUT']==ETAT_NON_DEMAT)
		{
			$gDb->SQLTransact();
			$req = "update PART_TO_PART set PTP_HISTO = 1 where PTP_ID =".$p2p_id;
			if (!$gDb->SQLQuery($req, 1)) $flag=false;
				
			$req2 = "INSERT INTO PART_TO_PART
				( PTP_EMET_ID, PTP_DEST_ID, PTP_STATUT, PTP_DATE_ENTREE, PTP_DATE_SORTIE, PTP_HISTO, CLT_ID, PTP_NOM_EMET, PTP_NOM_DEST, PTP_ADRESSE_EMET, PTP_ADRESSE_DEST, PTP_QUALITE_EMET, PTP_QUALITE_DEST ) 
				VALUES ( ".$row['PTP_EMET_ID'].", ".$row['PTP_DEST_ID'].", ".ETAT_DEMAT.", '".$date."', '".$dateS."' , 0, $cltID, '".addslashes($row['PTP_NOM_EMET'])."', '".addslashes($row['PTP_NOM_DEST'])."', '".addslashes($row['PTP_ADRESSE_EMET'])."', '".addslashes($row['PTP_ADRESSE_DEST'])."', '".$row['PTP_QUALITE_EMET']."', '".$row['PTP_QUALITE_DEST']."') ";

				if (! $gDb->SQLQuery($req2, 2)) $flag=false;
				
			if ($flag)
			{
				$gDb->SQLCommit();
				$msg = $lang_flux_pargen_inv_part_act_modif_msg_ok;
				$p2p_id="";
				$return = 0;
			}
			else
			{
				$gDb->SQLRollBack();
				$msg = $lang_flux_pargen_inv_part_act_modif_msg_err;
				$return = 1;
			}
		}
		if ($row['PTP_STATUT']==ETAT_DEMAT)
		{
			$req = "update PART_TO_PART set PTP_STATUT = ".ETAT_NON_DEMAT.", PTP_DATE_SORTIE = '".$date."' where PTP_ID = ".$p2p_id;
			if (!$gDb->SQLQuery($req, 1))
			{
				$msg = $lang_flux_pargen_inv_part_act_modif_msg_err;
				$return = 1;
			}
			else
			$msg = $lang_flux_pargen_inv_part_act_modif_msg_ok;
			$p2p_id="";
			$return=0;
		}


	}
	
}

/************************************************************/
/* FIN ACTION = MODIFICATION	 							*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = CREATION		 							*/
/************************************************************/
if ($action == "create" && droit($droitRole, DROIT_CREAT, null,null,null,null)) {
		
	if ( droit($droitRole,"xor",$part1,$part2,null,null) || droit($droitRole,"xor",$part2,$part1,null,null)) {

//ASGS1
$nom_part_1="";
$nom_part_2="";
//récupération nom part1
$req = "SELECT PAR_NOM FROM PART WHERE PAR_ID=".$part1;
$res=$gDb->SQLQuery($req, 1);
if ($res==null)	{
				$msg = $lang_admin_flux_pargen_inv_cre_nompart1_msg_err;
				$return = 1;
				}
$row = $gDb->SQLNextRow(1);				
$nom_part_1=$row[0];
$gDb->SQLFermeQuery(1);
//récupération nom part2
$req = "SELECT PAR_NOM FROM PART WHERE PAR_ID=".$part2;
$res=$gDb->SQLQuery($req, 1);
if ($res==null)	{
				$msg = $lang_admin_flux_pargen_inv_cre_nompart2_msg_err;
				$return = 1;
				}
$row = $gDb->SQLNextRow(1);
$nom_part_2=$row[0];
$gDb->SQLFermeQuery(1);
//ASGS1 fin
	
		$dateS = $dateE = null;
		
		$req="Select count(*) FROM PART_TO_PART
			WHERE (PTP_EMET_ID=".$part1." AND PTP_DEST_ID=".$part2.") 
			OR (PTP_EMET_ID=".$part2." AND PTP_DEST_ID=".$part1.")";		

		$gDb->SQLQuery($req,1);
		$row = $gDb->SQLNextRow(1);
		$nb = $row[0];
		$gDb->SQLFermeQuery(1);
		
		if ($nb == 0) {
			if ($ptp_statut==ETAT_NON_DEMAT)
			$dateS=date("Y-m-d H:i:s");
			if ($ptp_statut==ETAT_DEMAT)
			$dateE=date("Y-m-d H:i:s");
			//ASGS1
			$req = "INSERT INTO PART_TO_PART ( PTP_STATUT, PTP_EMET_ID, PTP_DEST_ID,
				PTP_DATE_ENTREE, PTP_DATE_SORTIE, PTP_HISTO, CLT_ID,PTP_NOM_EMET,PTP_ADRESSE_EMET,PTP_QUALITE_EMET,PTP_NOM_DEST,PTP_ADRESSE_DEST,PTP_QUALITE_DEST)
                VALUES (".$ptp_statut.",".$part1.",".$part2.",'".$dateE."','".$dateS."',0, ".$cltID.",'".addslashes($nom_part_1)."', '".addslashes($ptp_adresse_emet)."', '".$ptp_qualite_emet."', '".addslashes($nom_part_2)."', '".addslashes($ptp_adresse_dest)."', '".$ptp_qualite_dest."')";
			//ASGS1 fin
			$res=$gDb->SQLQuery($req, 1);
			
			if ($res==null)	{
				$msg = $lang_flux_pargen_inv_part_act_create_msg_err;
				$return = 1;
			} else {
				$msg = $lang_flux_pargen_inv_part_act_create_msg_ok;
				$return = 0;
			}
		} else {
			$msg = $lang_flux_pargen_inv_part_act_create_msg_err_dup;
			$return = 1;
		}
	} else {
		$msg=$lang_flux_pargen_inv_part_act_create_msg_err;
		$return = 1;
	}
}

/************************************************************/
/* FIN ACTION = CREATION		 							*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = MODIFAD (adresse,qualité) 
/***************************************************
*********/

if ($action == "modifad" && droit($droitRole, DROIT_MODIF, null,null,null,null))
{
	if ( droit($droitRole,"xor",$part1,$part2,null,null) || droit($droitRole,"xor",$part2,$part1,null,null)) {
	if ($p2p_id!="")
	{
	$req = "update PART_TO_PART set PTP_ADRESSE_EMET = '".addslashes($ptp_adresse_emet)."', PTP_ADRESSE_DEST = '".addslashes($ptp_adresse_dest)."', PTP_QUALITE_EMET = '".$ptp_qualite_emet."', PTP_QUALITE_DEST = '".$ptp_qualite_dest."' WHERE PTP_ID=".$p2p_id;
	if (!$gDb->SQLQuery($req, 1))
		{
			$msg = $lang_flux_pargen_inv_part_act_change_msg_err;
			$return = 1;
		}
		else
		{
		$msg = $lang_flux_pargen_inv_part_act_change_msg_ok;
		$p2p_id="";
		$return=0;
		}
	}
	}
}

/************************************************************/
/* FIN ACTION = MODIFAD (adresse,qualité) 							*/
/************************************************************/

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = 'top.reload_menu()';
echo encode_JSON($reponse);
?>