<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PDM; //droit de gestion des logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/pargen/demat/p2p/p2p_actChange.php";

$vtp = new VTemplate;

$add1= (pget('add1')=='null'?"":pget('add1'));
$v1= pget('v1');
$add2= (pget('add2')=='null'?"":pget('add2'));
$v2= pget('v2');
$action = pget('action');
$ptp_id = pget('ptp_id');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

$readOnly = false;
$panelTitle = $lang_lbl_modif;
$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";

//Variable générales
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_inv_part_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/part.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id",  "aide_arch_partenaires");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

$action="modifad";

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "ptp_id");
$vtp->setVar($form, "form_input_hidden.value", $ptp_id);
$vtp->closeSession($form, "form_input_hidden");



$head_javascript = "
function verifForm() {
    if ($('ptp_adresse_emet').value.length == 0) 
    {
        alert('".$lang_flux_pargen_inv_part_aff_msg_err_adremet_vide."');
    }
    else if ($('ptp_adresse_dest').value.length == 0) 
    {
        alert('".$lang_flux_pargen_inv_part_aff_msg_err_adrdest_vide."');
    }
	else if (Prologue.comboList.getSelected('ptp_qualite_emet').value==Prologue.comboList.getSelected('ptp_qualite_dest').value)
	{
		alert('".$lang_flux_pargen_inv_part_aff_msg_err_same_qualite."');
	}
	else
	{
		if (submitForm(this.document.forms['filtre'], 'p2p_actAction.php', prlExec)==0)
		{
			changePage('p2p_gest.php');
		}
	}
}

";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

//ASGS1

//adresse emet
$javascript = "
	with(new prlTextBox('ptp_adresse_emet', prlTextBox.formats.any, '$add1')) {
		maxLength  = 85;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field","");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_adr_part1." (*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//qualite emet
if ($v1=="A")
{
	$qualite1=$lang_sui_inv_act_im_lbl_part_by;
	$tmp1=$lang_sui_inv_act_im_lbl_part_se;
	$tmp2="V";
}
else
{
	$v1="V";
	$qualite1=$lang_sui_inv_act_im_lbl_part_se;
	$tmp1=$lang_sui_inv_act_im_lbl_part_by;
	$tmp2="A";
}

$javascript = "
	with(new prlComboList('ptp_qualite_emet', '$qualite1')) {
		add('$qualite1', '', '', '$v1');
		add('$tmp1', '', '', '$tmp2');
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_qual_part1);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//adresse dest
$javascript = "
	with(new prlTextBox('ptp_adresse_dest', prlTextBox.formats.any, '$add2')) {
		maxLength  = 85;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field","");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_adr_part2." (*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//qualite dest
if 	($v2=="V")
{
	$qualite2=$lang_sui_inv_act_im_lbl_part_se;
	$tmp1=$lang_sui_inv_act_im_lbl_part_by;
	$tmp2="A";
}
else
{
	$v2="A";
	$qualite2=$lang_sui_inv_act_im_lbl_part_by;
	$tmp1=$lang_sui_inv_act_im_lbl_part_se;
	$tmp2="V";
}
$javascript = "
	with(new prlComboList('ptp_qualite_dest', '$qualite2')) {
	add('$qualite2', '', '', '$v2');
	add('$tmp1', '', '', '$tmp2');
	create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_admin_flux_pargen_inv_qual_part2);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//ASGS1 fin

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>