<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../../";
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";

require_once ($DEFAULT_PATH."struct.php");
$droitRole = FRM;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "flux/pargen/form/frm_actAction.php";

$frm_id	= pget('frm_id');
$action	= pget('action');
$cltID = $_SESSION['CLT_ID'];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;

if ($action == "suppr")
{
	if(droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$req = "SELECT count(*) AS nb FROM VAL_ACT_FLUX, ACTFLUX WHERE PFL_ID=6101 AND VAL_ACT_FLUX.CLT_ID=$cltID AND VAF_VAL=$frm_id and AFX_ACTIF!=".ETAT_SUPPR." AND ACTFLUX.AFX_ID=VAL_ACT_FLUX.AFX_ID";
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		if ($row['nb'] != 0)
		{
			$msg = $lang_flux_pargen_act_suppr_msg_err_act_flux_lie;
			$return = 1;
		}
		else
		{
			$req = "UPDATE FORMULAIRE 
			SET FRM_ETAT = ".ETAT_SUPPR."
			WHERE FRM_ID = $frm_id";	
			if (!$gDb->SQLQuery($req, 1))
			{
				$msg = $lang_flux_pargen_as2_act_suppr_msg_err;
				$return = 1;
			}
			else
			{
				$msg = $lang_flux_pargen_as2_act_suppr_msg_ok;
				$return = 0;
			}
			$gDb->SQLFermeQuery(1);
		}
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "create")
{
	 if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$frm_titre = pget("frm_titre");
		$frm_template = pget("frm_template");
		$frm_template = str_replace('\\', '/', $frm_template);
		if($frm_template[strlen($frm_template)-1]!='/')
			$frm_template .= '/';
		$for_id = pget("for_id");
		$req = "INSERT INTO FORMULAIRE (CLT_ID, FRM_ETAT, FRM_TITRE, FRM_TEMPLATE, FOR_ID)
				VALUES ($cltID, 1, '$frm_titre', '$frm_template', $for_id)";
		
		$res=$gDb->SQLQuery($req, 1); 
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_pargen_as2_act_create_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_pargen_as2_act_create_msg_ok;
			$return = 0;
		}	
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}
else if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
	{
		$frm_titre = pget("frm_titre");
		$frm_template = pget("frm_template");
		$frm_template = str_replace('\\', '/', $frm_template);
		if($frm_template[strlen($frm_template)-1]!='/')
			$frm_template .= '/';
		$for_id = pget("for_id");
		$req = "UPDATE FORMULAIRE SET FRM_TITRE = '$frm_titre', FRM_TEMPLATE = '$frm_template', FOR_ID = $for_id WHERE FRM_ID = $frm_id";
		
		$res=$gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);
		
		if ($res==null)
		{
			$msg = $lang_flux_pargen_as2_act_modif_msg_err;
			$return = 1;
		}
		else
		{
			$msg = $lang_flux_pargen_as2_act_modif_msg_ok;
			$return = 0;
		}
	}
	else
	{
		$msg = $lang_msg_err_droit;
		$return = 1;
	}
}

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = 'top.reload_menu()';
echo encode_JSON($reponse);
?>