<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = FRM;//droit de gestion des types de documents
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$page_courante = "flux/pargen/form/frm_gest.php";
$clt_id = $_SESSION['CLT_ID'];

$pageNum = strtr(pget('pageNum'),"''","");
if ($pageNum == '' || !isset($pageNum)) $pageNum = "1";

$vtp = new VTemplate;
include($DEFAULT_PATH."header.php");			//en_tete et javascript
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_menu_lbl_frm_tooltip));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/form.png");
$vtp->setVar($form, "global.url_grid",$pathFlow."flux/pargen/form/frm_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");
$vtp->setVar($form, "global.on_click", "event.cancelBubble=true;");
$vtp->setVar($form, "global.help_id", "pargen_form_list");

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => true,
						"detail" => false,
						"print" => array("show" => true, "title" => utf8_encode(addslashes($lang_flux_pargen_title_defaut." : ".$lang_menu_lbl_frm_tooltip))),
						"csv" => false);

//créer
if (droit($droitRole, DROIT_CREAT,null,null,null,null))
{
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							  "icon" => $pathFlow."style/imgs/icons/add.gif",
							  "onClick" => "changePage(\'${pathFlow}flux/pargen/form/frm_actAffich.php?action=create\');");
}

//modifier
$option_toolbar[] = array("caption" => $lang_flux_tdoc_grid_act_modif,
					"icon" => $pathStyle."imgs/icons/admin.gif",
					"action" => array("name" => "modif",
								"page" => "flux/pargen/form/frm_actAffich.php",
								"callback" => "changePage",
								"get_params" => array('frm_id', 'action')));
//supprimer
$option_toolbar[] = array("caption" => $lang_flux_tdoc_grid_act_suppr,
					"icon" => $pathStyle."imgs/icons/trash.png",
					"action" => array("name" => "suppr",
								"page" => "flux/pargen/form/frm_actAction.php",
								"callback" => "prlExecGrid",
								"get_params" => array('frm_id', 'action')));

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};

rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_pargen_as2_grid_quest_suppr)."';
	return confirm(msg_suppr);
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>