<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow_tools.php");

(isset($_POST['p_role']))?($p_role = $_POST['p_role']):($p_role = $_GET['p_role']);
if ($p_role == 5 || $p_role == 1) 	$droitRole = RES;
else 								$droitRole = TRA;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; //lmcs

$cltID = $_SESSION['CLT_ID'];

$where = "";
$tpg_num	= pget("tpg_num");
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$req1 = "select SQL_CALC_FOUND_ROWS PGE_ID, PGE_LIBEL
		from PAR_GEN
		where PGE_ETAT != ".ETAT_SUPPR."
		and PAR_GEN.TPG_NUM ='".$tpg_num."' ORDER BY PGE_LIBEL";

$gDb->SQLQuery($req1, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row2 = $gDb->SQLNextRow(2);
$maxRow = $row2['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

$champs = array();


$req3="select PFL_LIBEL, PFL_TYPE
	from PAR_FLOW 
	where tpg_num ='".$tpg_num."' 
	order by PFL_NUM";

$gDb->SQLQuery($req3, 3);
$nb_col=1;
while ($nb_col <= 5 && $row3=$gDb->SQLNextRow(3)) {
	if ($row3['PFL_TYPE']!=TYPE_PARACT_PWD){
		$champs[] = array("nom" => $row3['PFL_LIBEL'], "toolTip" => "", "sortMode" => "0");
		$nb_col++;
	}
}
$gDb->SQLFermeQuery(3);

echo '<item caption="'.$lang_flux_pargen_grid_head_libel.'" icon="" onClick="" toolTip="'.$lang_flux_pargen_grid_head_libel.'" sortMode="1"/>';

foreach ($champs as $col)
	echo '<item caption="'.hi_disp($col['nom']).'" icon="" onClick="" toolTip="'.hi_disp($col['toolTip']).'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row1 = $gDb->SQLNextRow(1))
{
	
	$params = array();
	$params['pge_id'] = $row1['PGE_ID'];
	$params['tpg_num'] = $tpg_num;
	$params['p_role'] = $p_role;
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							  'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)),
							  'dupliq' => (droit($droitRole, DROIT_CREAT,null,null,null,null)),
							  'create' => (droit($droitRole, DROIT_CREAT,null,null,null,null))
	);
	
	// Début du détail
	
	$detail = "";
	$req4="select VPG_VAL, PFL_LIBEL, PFL_TYPE, PFL_AVANCE, PFL_INIT
				from VAL_PAR_GEN, PAR_FLOW 
				where PGE_ID = '".$row1['PGE_ID']."' 
				and PAR_FLOW.PFL_ID = VAL_PAR_GEN.PFL_ID 
				order by PFL_NUM";

	$gDb->SQLQuery($req4, 4);
	$nb_col=1;
	while ($row4=$gDb->SQLNextRow(4)) {
		if ($row4['PFL_TYPE'] == TYPE_PARACT_COMBO){
			$combo = explode("/", $row4['PFL_INIT']);
			foreach($combo as $comb){
				$default = explode (":", $comb);
				if ($default[0] == $row4['VPG_VAL']) $Donnees = $default[1];
			}
			$detail .= "<tr><td><b>".hi_disp($row4['PFL_LIBEL'])." : </b></td><td>".hi_disp($Donnees)."</td></tr>";
		} else if ($row4['PFL_TYPE']==TYPE_PARACT_PWD){
			$detail .= "<tr><td><b>".hi_disp($row4['PFL_LIBEL'])." : </b></td><td>".$aff=(empty($row4['VPG_VAL']))?(''):('*****')."</td></tr>";
		} else {	
			$detail .= "<tr><td><b>".hi_disp($row4['PFL_LIBEL'])." : </b></td><td>".hi_disp($row4['VPG_VAL'])."</td></tr>";
		}
		$nb_col++;
	}
	$gDb->SQLFermeQuery(4);
	$detail = hi_disp('<table>'.$detail.'</table>');

	// Fin du détail

	echo '<row detail="'.$detail.'">';
	

	echo '<item caption="'.$row1['PGE_LIBEL'].'" value="'.row_encode_JSON($params).'"/>';
	
	
	$req5="select VPG_VAL, PFL_TYPE, PFL_INIT
	from VAL_PAR_GEN, PAR_FLOW
	where PAR_FLOW.PFL_ID = VAL_PAR_GEN.PFL_ID
	and PGE_ID ='".$row1['PGE_ID']."' ORDER BY PFL_NUM";

	$gDb->SQLQuery($req5, 5);
	$nb_col=1;
	while ($nb_col <= 5 && $row5=$gDb->SQLNextRow(5)) {
		if ($row5['PFL_TYPE']!=TYPE_PARACT_PWD){
			if ($row5['PFL_TYPE'] == TYPE_PARACT_COMBO)
			{
				$combo = explode("/", $row5['PFL_INIT']);
				foreach($combo as $comb)
				{
					$default = explode (":", $comb);
					if ($default[0] == $row5['VPG_VAL']) $Donnees = $default[1];
				}
				echo '<item caption="'.hi_disp($Donnees).'"/>';
			} else {
			echo '<item caption="'.hi_disp($row5['VPG_VAL']).'"/>';
			}
			$nb_col++;
		}
	}
	$gDb->SQLFermeQuery(5);

	echo '</row>';
}
echo '</databind>';
$gDb->SQLFermeQuery(1);
?>