<?php
$DEFAULT_PATH = str_repeat("../", (substr_count($_SERVER["PHP_SELF"], "/") - 2));
require_once ($DEFAULT_PATH."struct.php");
$droitRole = RES;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "flux/pargen/pesit/flux_pargen_pesit_actAffich.php";

$vtp = new VTemplate;

$spp_id	= pget('spp_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_pesit_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/srv_pesit.png");

//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//ID Gemedoc pour l'aide
$vtp->setVar($form, "global.help_id", "cre_modif_serveur_pesit");

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$head_javascript = "function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_flux_pargen_as2_aff_msg_err_nonom)."';
	
	var inpt = $('spp_port');	
	
	if(inpt.value.length == 0) {
		alert(msg_field_needed);
		check = false;
		inpt.focus();
	}
	else if(false == prlTextBox.checkFormat(inpt) && inpt.value.length != 0) {
		inpt.onchange();
		check = false;
		inpt.focus();
	}

	if(check && (submitForm(this.document.forms['filtre'], 'flux_pargen_pesit_actAction.php', prlExec) == 0)) {
		changePage('flux_pargen_pesit.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "spp_id");
$vtp->setVar($form, "form_input_hidden.value", $spp_id);
$vtp->closeSession($form, "form_input_hidden");

if($action!='create')
{
	$req = "SELECT SQL_CALC_FOUND_ROWS PRO_NOM, SRVPESIT_PARAM.PRO_ID, PAR_ID, SPP_PORT, SPP_SSL, SPP_AUTH, SPP_METH, SPP_LOG, SPP_LOG_TAILLE, SPP_LOG_NBFIC FROM PROCESSUS, SRVPESIT_PARAM WHERE PROCESSUS.PRO_ID=SRVPESIT_PARAM.PRO_ID AND SPP_ID = $spp_id";
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	$SPP_PORT = $row['SPP_PORT'];
	$PRO_NOM = $row['PRO_NOM'];
	$PAR_ID = $row['PAR_ID'];
	$SPP_SSL = $row['SPP_SSL'];
	$SPP_AUTH = $row['SPP_AUTH'];
	$SPP_METH = $row['SPP_METH'];
	$SPP_LOG = $row['SPP_LOG'];
	$SPP_LOG_TAILLE = $row['SPP_LOG_TAILLE'];
	$SPP_LOG_NBFIC = $row['SPP_LOG_NBFIC'];
}
else
{
	$SPP_PORT = 102;
	$PRO_NOM = '';
	$PAR_ID = 0;
	$SPP_SSL = 0;
	$SPP_AUTH = 0;
	$SPP_METH = 1;
	$SPP_LOG = 0;
	$SPP_LOG_TAILLE = 1000000;
	$SPP_LOG_NBFIC = 5;
}

//Port
$javascript = "
	with(new prlTextBox('spp_port', prlTextBox.formats.integer, '$SPP_PORT')) {
		maxLength  = 35;
		trim = prlTextBox.trimMode.both;
		onClick = 'if(this.value.length == 0){ alert(\'$lang_flux_pargen_as2_aff_msg_err_nonom\'); this.focus();}';
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_as2_aff_lbl_port);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Non du processus
if($PRO_NOM){
	$content = $PRO_NOM;
	$javascript = "";
	
	$vtp->addSession($form, "form_input_hidden");
	$vtp->setVar($form, "form_input_hidden.name", "pro_id");
	$vtp->setVar($form, "form_input_hidden.value", $row['PRO_ID']);
	$vtp->closeSession($form, "form_input_hidden");
}
else {
	$javascript = "
		with(affich = new prlComboList('pro_id', '')) {
			dataSource = '".$pathFlow."flux/pargen/pesit/flux_pargen_pesit_dSProc.php';
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_as2_aff_lbl_proc);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Partenaire
$javascript = "
	with(affich = new prlComboTree('par_id', '$PAR_ID')) {
		dataSource = '".$pathFlow."dataSources/dSPartenaires.php';
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_as2_aff_lbl_part);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// SSL
$javascript = "
	with(new prlComboList('spp_ssl', '$SPP_SSL')) {
		add('$lang_lbl_non', '', '', 0);
		add('$lang_lbl_oui', '', '', 1);
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_pesit_grid_head_ssl);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Authentification client
$javascript = "
	with(new prlComboList('spp_auth', '$SPP_AUTH')) {
		add('$lang_lbl_non', '', '', 0);
		add('$lang_lbl_oui', '', '', 1);
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", "($lang_flux_pargen_pesit_grid_head_ssl) $lang_flux_part_act_utilisation_certif_Auth");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// SSL Version
$javascript = "
	with(new prlComboList('spp_meth', '$SPP_METH')) {
		add('Compatibilité SSL V2, SSL V3, TLS V1', '', '', 1);
		add('SSL V2', '', '', 2);
		add('SSL V3', '', '', 3);
		add('TLS V1', '', '', 4);
		add('Compatibilité SSL V3, TLS V1', '', '', 5);
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", "($lang_flux_pargen_pesit_grid_head_ssl) $lang_lbl_version");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Log
$javascript = "
	with(new prlComboList('spp_log', '$SPP_LOG')) {
		add('$lang_lbl_non', '', '', 0);
		add('$lang_lbl_oui', '', '', 1);
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_pargen_pesit_lbl_log);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Taille Log
$javascript = "
	with(new prlTextBox('spp_log_taille', prlTextBox.formats.integer, '$SPP_LOG_TAILLE')) {
		maxLength  = 8;
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_pargen_pesit_lbl_log_taille);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// Nb fichier Log
$javascript = "
	with(new prlTextBox('spp_log_nbfic', prlTextBox.formats.integer, '$SPP_LOG_NBFIC')) {
		maxLength  = 1;
		trim = prlTextBox.trimMode.both;
		create();
	};";
$content = "";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_pargen_pesit_lbl_log_nbfic);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>