<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX;  
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/pargen/rapproch/regles/reglrapp_gest_actAffich.php";

$vtp = new VTemplate;

$RRAP_ID	= pget('RRAP_ID');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_flux_pargen_rapproch_rule_grid_act_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable générales
$vtp->setVar($form, "global.title", $lang_flux_pargen_rapproch_rule_title_defaut);
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/regle.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id", "20041216204620");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "RRAP_ID");
$vtp->setVar($form, "form_input_hidden.value", $RRAP_ID);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($RRAP_ID))
{
	$req = "select RRAP_LIBELLE, RRAP_ID_ALLER, RRAP_ID_RET,
						RRAP_REGLE_1, RRAP_ALT_ID_1, RRAP_LIB_1, RRAP_ETAT_1,  
						RRAP_REGLE_2, RRAP_ALT_ID_2, RRAP_LIB_2, RRAP_ETAT_2, 
						RRAP_REGLE_3, RRAP_ALT_ID_3, RRAP_LIB_3, RRAP_ETAT_3, 
						RRAP_REGLE_4, RRAP_ALT_ID_4, RRAP_LIB_4, RRAP_ETAT_4, 
						RRAP_REGLE_5, RRAP_ALT_ID_5, RRAP_LIB_5, RRAP_ETAT_5 
						from REGLE_RAPPROCH 
						where RRAP_ID = $RRAP_ID";
		$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

$head_javascript = "
//top.help = {id:''};

function Pop_Rapp(nom, param) 
{
	url = param;
	if (nom == 'aller')
		rapp=window.open(url,nom,'toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=550,height=350,top=100,left=100');
	else
		rapp=window.open(url,nom,'toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=550,height=350,top=100,left=400');
	window.rapp.focus();
}

function Pop_Aide(param) 
{
	url = param;
	rapp=window.open(url,'aide_s','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=550,height=350,top=100,left=100');
	window.rapp.focus();
}


function verifForm() {
	var check = true;

	var expr = /^ | $/;
	if (this.document.forms['filtre'].RRAP_LIBELLE.value.length == 0 || expr.exec(this.document.forms['filtre'].RRAP_LIBELLE.value) != null) 
	{
		alert('$lang_flux_pargen_rapproch_rule_aff_msg_err_no_lib');
		this.document.forms['filtre'].RRAP_LIBELLE.focus();
		check=false;
	}

	if(check && (submitForm(this.document.forms['filtre'], 'reglrapp_gest_actAction.php', prlExec) == 0)) {
		changePage('reglrapp_gest.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// libellé de la regle de rapprochement
$content="";
$RRAP_LIBELLE = isset($row['RRAP_LIBELLE'])?$row['RRAP_LIBELLE']:'';
$javascript = "
	var totalWidth = document.body.clientWidth * 80/100;
	var ctlWidth = totalWidth - 20;
	with(new prlTextBox('RRAP_LIBELLE', prlTextBox.formats.any, '$RRAP_LIBELLE')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		width = totalWidth;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_grid_head_libel."(*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

// aller / retour
$RRAP_ID_ALLER = isset($row['RRAP_ID_ALLER'])?$row['RRAP_ID_ALLER']:'';
$RRAP_ID_RET   = isset($row['RRAP_ID_RET'])?$row['RRAP_ID_RET']:'';
$content = "<table><tr><td><script type='text/javascript' language='JavaScript'>";
$content .= "with(new prlComboList('RRAP_ID_ALLER', '$RRAP_ID_ALLER')) {dataSource='".$DEFAULT_PATH."dataSources/dSRrap.php?type=".TRAP_SENS_ALLER."'; create();};";
$content .= '</script></td><td>';
$content .= "<a href='javascript:Pop_Rapp(\"aller\",\"detail/detail_rapproch.php?TRAP_ID=\"+Prologue.comboList.getSelected(\"RRAP_ID_ALLER\").value);'>";
$content .= "<img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
$content .= "</td></tr></table>";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_filtre_sens_aller);
$vtp->setVar($form, "form_field.javascript", "");
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

$content = "<table><tr><td><script type='text/javascript' language='JavaScript'>";
$content .= "with(new prlComboList('RRAP_ID_RET', '$RRAP_ID_RET')) {dataSource='".$DEFAULT_PATH."dataSources/dSRrap.php?type=".TRAP_SENS_RET."'; create();};";
$content .= '</script></td><td>';
$content .= "<a href='javascript:Pop_Rapp(\"retour\",\"detail/detail_rapproch.php?TRAP_ID=\"+Prologue.comboList.getSelected(\"RRAP_ID_RET\").value);'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
$content .= "</td></tr></table>";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_filtre_sens_retour);
$vtp->setVar($form, "form_field.javascript", "");
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

$data=1;
// regle de rapprochement 1

	// text : regle de rapprochement 1
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++);
	$vtp->closeSession($form, "form_group");
	
	// condition 1
	$RRAP_REGLE_1 = isset($row['RRAP_REGLE_1'])?$row['RRAP_REGLE_1']:'';
	$javascript = "
			with(new prlTextBox('RRAP_REGLE_1', prlTextBox.formats.any, '$RRAP_REGLE_1')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
		";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_condition);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	//alerte 1
	$RRAP_ALT_ID_1  = isset($row['RRAP_ALT_ID_1'])?$row['RRAP_ALT_ID_1']:'';
	$javascript = "
			with(new prlComboList('RRAP_ALT_ID_1', '$RRAP_ALT_ID_1')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSAlerte.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_alert);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// libellé 1
	$RRAP_LIB_1 = isset($row['RRAP_LIB_1'])?$row['RRAP_LIB_1']:'';
	$javascript = "
			with(new prlTextBox('RRAP_LIB_1', prlTextBox.formats.any, '".addslashes($RRAP_LIB_1)."')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
			";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_grid_head_libel);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// etat 1
	$RRAP_ETAT_1  = isset($row['RRAP_ETAT_1'])?$row['RRAP_ETAT_1']:'';
	$javascript = "
			with(new prlComboList('RRAP_ETAT_1', '$RRAP_ETAT_1')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSComboRappr.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
// regle de rapprochement 2

	// text : regle de rapprochement 2
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++);
	$vtp->closeSession($form, "form_group");
	
	// condition 2
	$RRAP_REGLE_2 = isset($row['RRAP_REGLE_2'])?$row['RRAP_REGLE_2']:'';
	$javascript = "
			with(new prlTextBox('RRAP_REGLE_2', prlTextBox.formats.any, '$RRAP_REGLE_2')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
		";
	$content = "<a href='javascript:Pop_Aide(\"detail_cond.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_condition);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	//alerte 2
	$RRAP_ALT_ID_2  = isset($row['RRAP_ALT_ID_2'])?$row['RRAP_ALT_ID_2']:'';
	$javascript = "
			with(new prlComboList('RRAP_ALT_ID_2', '$RRAP_ALT_ID_2')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSAlerte.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_alert);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// libellé 2
	$RRAP_LIB_2 = isset($row['RRAP_LIB_2'])?$row['RRAP_LIB_2']:'';
	$javascript = "
			with(new prlTextBox('RRAP_LIB_2', prlTextBox.formats.any, '".addslashes($RRAP_LIB_2)."')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
			";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_grid_head_libel);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// etat 2
	$RRAP_ETAT_2  = isset($row['RRAP_ETAT_2'])?$row['RRAP_ETAT_2']:'';
	$javascript = "
			with(new prlComboList('RRAP_ETAT_2', '$RRAP_ETAT_2')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSComboRappr.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
// regle de rapprochement 3

	// text : regle de rapprochement 3
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++);
	$vtp->closeSession($form, "form_group");
	
	// condition 3
	$RRAP_REGLE_3 = isset($row['RRAP_REGLE_3'])?$row['RRAP_REGLE_3']:'';
	$javascript = "
			with(new prlTextBox('RRAP_REGLE_3', prlTextBox.formats.any, '$RRAP_REGLE_3')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
		";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_condition);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	//alerte 3
	$RRAP_ALT_ID_3  = isset($row['RRAP_ALT_ID_3'])?$row['RRAP_ALT_ID_3']:'';
	$javascript = "
			with(new prlComboList('RRAP_ALT_ID_3', '$RRAP_ALT_ID_3')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSAlerte.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_alert);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// libellé 3
	$RRAP_LIB_3 = isset($row['RRAP_LIB_3'])?$row['RRAP_LIB_3']:'';
	$javascript = "
			with(new prlTextBox('RRAP_LIB_3', prlTextBox.formats.any, '".addslashes($RRAP_LIB_3)."')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
			";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_grid_head_libel);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// etat 3
	$RRAP_ETAT_3  = isset($row['RRAP_ETAT_3'])?$row['RRAP_ETAT_3']:'';
	$javascript = "
			with(new prlComboList('RRAP_ETAT_3', '$RRAP_ETAT_3')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSComboRappr.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
// regle de rapprochement 4

	// text : regle de rapprochement 4
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++);
	$vtp->closeSession($form, "form_group");
	
	// condition 4
	$RRAP_REGLE_4 = isset($row['RRAP_REGLE_4'])?$row['RRAP_REGLE_4']:'';
	$javascript = "
			with(new prlTextBox('RRAP_REGLE_4', prlTextBox.formats.any, '$RRAP_REGLE_4')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
		";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_condition);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	//alerte 4
	$RRAP_ALT_ID_4  = isset($row['RRAP_ALT_ID_4'])?$row['RRAP_ALT_ID_4']:'';
	$javascript = "
			with(new prlComboList('RRAP_ALT_ID_4', '$RRAP_ALT_ID_4')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSAlerte.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_alert);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// libellé 4
	$RRAP_LIB_4 = isset($row['RRAP_LIB_4'])?$row['RRAP_LIB_4']:'';
	$javascript = "
			with(new prlTextBox('RRAP_LIB_4', prlTextBox.formats.any, '".addslashes($RRAP_LIB_4)."')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
			";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_grid_head_libel);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// etat 4
	$RRAP_ETAT_4  = isset($row['RRAP_ETAT_4'])?$row['RRAP_ETAT_4']:'';
	$javascript = "
			with(new prlComboList('RRAP_ETAT_4', '$RRAP_ETAT_4')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSComboRappr.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");

// regle de rapprochement 5

	// text : regle de rapprochement 5
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_rapp.$data++);
	$vtp->closeSession($form, "form_group");
	
	// condition 5
	$RRAP_REGLE_5 = isset($row['RRAP_REGLE_5'])?$row['RRAP_REGLE_5']:'';
	$javascript = "
			with(new prlTextBox('RRAP_REGLE_5', prlTextBox.formats.any, '$RRAP_REGLE_5')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
		";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_cond.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_condition);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	//alerte 5
	$RRAP_ALT_ID_5  = isset($row['RRAP_ALT_ID_5'])?$row['RRAP_ALT_ID_5']:'';
	$javascript = "
			with(new prlComboList('RRAP_ALT_ID_5', '$RRAP_ALT_ID_5')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSAlerte.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_alert);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// libellé 5
	$RRAP_LIB_5 = isset($row['RRAP_LIB_5'])?$row['RRAP_LIB_5']:'';
	$javascript = "
			with(new prlTextBox('RRAP_LIB_5', prlTextBox.formats.any, '".addslashes($RRAP_LIB_5)."')) {
				maxLength  = 255;
				trim = prlTextBox.trimMode.both;
				width = ctlWidth;
				create();
			};
			";
	$content = "<a href='javascript:Pop_Aide(\"detail/detail_lib.php\");'><img src='".$pathStyle."imgs/icons/menuToolBar/help.png' border=0 title=".$lang_flux_pargen_rapproch_rule_grid_act_detail."></a>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_grid_head_libel);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	// etat 5
	$RRAP_ETAT_5  = isset($row['RRAP_ETAT_5'])?$row['RRAP_ETAT_5']:'';
	$javascript = "
			with(new prlComboList('RRAP_ETAT_5', '$RRAP_ETAT_5')) {
				dataSource='".$DEFAULT_PATH."dataSources/dSComboRappr.php';
				create();
			};
			";
	$content="";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_rule_aff_lbl_regl_etat);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>