<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = FLX; 
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "flux/pargen/rapproch/types/typrapp_gest.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_flux_pargen_rapproch_type_title_defaut));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/type.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."flux/pargen/rapproch/types/typrapp_gest_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "20041216201021");
//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");
//sens
$filtre[] = array("id_filtre" => "f_sens", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_flux_pargen_rapproch_type_filtre_sens,
					"ds_filtre" => $pathFlow."dataSources/dSSens.php");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
											, "title" => addslashes($lang_flux_pargen_rapproch_type_title_defaut)),
						"csv" => true);

$body_js = "";
											
//Creer aller
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption." ".$lang_flux_pargen_rapproch_type_filtre_sens_aller,
							"icon" => $pathFlow."style/imgs/icons/aller.gif",
							"onClick" => "changePage(\'typrapp_gest_actAffich.php?action=create&TRAP_SENS=".TRAP_SENS_ALLER."\');"
);
}

//Creer retour
if (droit($droitRole, DROIT_CREAT,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption." ".$lang_flux_pargen_rapproch_type_filtre_sens_retour,
							"icon" => $pathFlow."style/imgs/icons/retour.gif",
							"onClick" => "changePage(\'typrapp_gest_actAffich.php?action=create&TRAP_SENS=".TRAP_SENS_RET."\');"
);
}

//Modifier
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_rapproch_type_grid_act_modif,
							"icon" => $pathFlow."style/imgs/icons/admin.gif",
							"action" => array("name" => "modif",
											"page" => "flux/pargen/rapproch/types/typrapp_gest_actAffich.php",
											"callback" => "changePage",
											"get_params" => array('TRAP_ID','action','TRAP_SENS')));
$body_js .= "
rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};
";
}
//Supprimer
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	$option_toolbar[] = array("caption" => $lang_flux_pargen_rapproch_type_grid_act_suppr,
							"icon" => $pathFlow."style/imgs/icons/trash.png",
							"action" => array("name" => "suppr",
												"page" => "flux/pargen/rapproch/types/typrapp_gest_actAction.php",
												"callback" => "prlExecGrid",
												"get_params" => array('TRAP_ID','action')));
$body_js .= "
rowAction.actions.suppr.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_pargen_rapproch_type_grid_quest_suppr)."';
	return confirm(msg_suppr);
};
";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>
