<?php
$DEFAULT_PATH = "../../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FLX; //droit de gestion des logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/pargen/rapproch/types/typrapp_gest_actAffich.php";

$vtp = new VTemplate;

$TRAP_ID   = pget('TRAP_ID');
$action    = pget('action');
$trap_sens = pget('TRAP_SENS');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_flux_pargen_rapproch_rule_grid_act_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

(!empty($trap_sens) && $trap_sens==TRAP_SENS_ALLER)?($panelTitle.=" ".$lang_flux_pargen_rapproch_type_filtre_sens_aller):($panelTitle.=" ".$lang_flux_pargen_rapproch_type_filtre_sens_retour);

//Variable générales
$vtp->setVar($form, "global.title", $lang_flux_pargen_rapproch_type_title_defaut);
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/type.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id", "20041216201021");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "TRAP_ID");
$vtp->setVar($form, "form_input_hidden.value", $TRAP_ID);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "TRAP_SENS");
$vtp->setVar($form, "form_input_hidden.value", $trap_sens);
$vtp->closeSession($form, "form_input_hidden");

if(!empty($TRAP_ID))
{
	$req = "select TRAP_LIBELLE, TRAP_LIB_DG_1, TRAP_LIB_DG_2, TRAP_LIB_DG_3,
						TRAP_LIB_DG_4, TRAP_LIB_DG_5, TRAP_FIC_TRAD, TRAP_SENS, 
						TRAP_NRET_DELAI, TRAP_NRET_MHJ, TRAP_NRET_ALT_ID, TRAP_NRET_LIB, 
						TRAP_DELAI_MAX, TRAP_DELAI_ALT_ID    
						from TYPE_RAPPROCH 
						where TRAP_ID = $TRAP_ID";
		$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}


//$head_javascript = "top.help = {id:''};";
$head_javascript = '';

if ($trap_sens==TRAP_SENS_ALLER){

	$head_javascript.= "function verifForm() {
		var check=true;
	
		var expr = /^ | $/;
		if (this.document.forms['filtre'].TRAP_LIBELLE.value.length == 0 || expr.exec(this.document.forms['filtre'].TRAP_LIBELLE.value) != null) 
		{
			alert('$lang_flux_pargen_rapproch_type_aff_msg_err_no_lib');
			this.document.forms['filtre'].TRAP_LIBELLE.focus();
			check=false;
		}
	
		var expr = /^[1-9][0-9]{0,1}$/;
		if (expr.exec(this.document.forms['filtre'].TRAP_DELAI_MAX.value) == null) 
		{
			alert('1 < '+'$lang_flux_pargen_rapproch_type_aff_lbl_delai'+'< 99');
			this.document.forms['filtre'].TRAP_DELAI_MAX.focus();
			check=false;
		}
	
		var expr = /^[0-9]{1,10}$/;
		if (expr.exec(this.document.forms['filtre'].TRAP_NRET_DELAI.value) == null) 
		{
			alert('$lang_flux_pargen_rapproch_type_aff_lbl_delai');
			this.document.forms['filtre'].TRAP_NRET_DELAI.focus();
			check=false;
		}
	
		if(check && (submitForm(this.document.forms['filtre'], 'typrapp_gest_actAction.php', prlExec) == 0)) {
			changePage('typrapp_gest.php');
		}
	}
	";
} else {
	$head_javascript.= "function verifForm() {
		var check=true;
	
		var expr = /^ | $/;
		if (this.document.forms['filtre'].TRAP_LIBELLE.value.length == 0 || expr.exec(this.document.forms['filtre'].TRAP_LIBELLE.value) != null) 
		{
			alert('$lang_flux_pargen_rapproch_type_aff_msg_err_no_lib');
			this.document.forms['filtre'].TRAP_LIBELLE.focus();
			check=false;
		}
		if(check && (submitForm(this.document.forms['filtre'], 'typrapp_gest_actAction.php', prlExec) == 0)) {
			changePage('typrapp_gest.php');
		}
	}
	";
}
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// libellé du type de rapprochement
$TRAP_LIBELLE = isset($row['TRAP_LIBELLE'])?$row['TRAP_LIBELLE']:'';
$javascript = "
	with(new prlTextBox('TRAP_LIBELLE', prlTextBox.formats.any, '$TRAP_LIBELLE')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_grid_head_libel."(*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

$data=1;
// Libelle donnee 1
$TRAP_LIB_DG_1 = isset($row['TRAP_LIB_DG_1'])?$row['TRAP_LIB_DG_1']:'';
$javascript = "
	with(new prlTextBox('TRAP_LIB_DG_1', prlTextBox.formats.any, '$TRAP_LIB_DG_1')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee));
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Libelle donnee 2
$TRAP_LIB_DG_2 = isset($row['TRAP_LIB_DG_2'])?$row['TRAP_LIB_DG_2']:'';
$javascript = "
	with(new prlTextBox('TRAP_LIB_DG_2', prlTextBox.formats.any, '$TRAP_LIB_DG_2')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee));
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Libelle donnee 3
$TRAP_LIB_DG_3 = isset($row['TRAP_LIB_DG_3'])?$row['TRAP_LIB_DG_3']:'';
$javascript = "
	with(new prlTextBox('TRAP_LIB_DG_3', prlTextBox.formats.any, '$TRAP_LIB_DG_3')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee));
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Libelle donnee 4
$TRAP_LIB_DG_4 = isset($row['TRAP_LIB_DG_4'])?$row['TRAP_LIB_DG_4']:'';
$javascript = "
	with(new prlTextBox('TRAP_LIB_DG_4', prlTextBox.formats.any, '$TRAP_LIB_DG_4')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee));
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// Libelle donnee 5
$TRAP_LIB_DG_5 = isset($row['TRAP_LIB_DG_5'])?$row['TRAP_LIB_DG_5']:'';
$javascript = "
	with(new prlTextBox('TRAP_LIB_DG_5', prlTextBox.formats.any, '$TRAP_LIB_DG_5')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", str_replace('%NUMDONNEE%',$data++,$lang_flux_pargen_rapproch_type_aff_lbl_libel_donnee));
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// fichier de traduction
if ($action=="create"){
	$javascript = "";
	$content    = "<input type='text' name='TRAP_FIC_TRAD' class='textBox' size='50' maxlength='255'>";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_trad_fic);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
} else if ($action=="modif"){
	$TRAP_FIC_TRAD = urlencode($row['TRAP_FIC_TRAD']);
	$javascript = "
	with(new prlTextBox('TRAP_FIC_TRAD', prlTextBox.formats.path, urldecode('".$TRAP_FIC_TRAD."'))) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_trad_fic);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
}

if ($trap_sens==TRAP_SENS_ALLER){
	// Texte : action en cas de non rapprochement
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", "$lang_flux_pargen_rapproch_type_aff_lbl_act_non_rapproch");
	$vtp->closeSession($form, "form_group");

	//delai
	$TRAP_NRET_DELAI  = isset($row['TRAP_NRET_DELAI'])?$row['TRAP_NRET_DELAI']:'';
	$TRAP_NRET_MHJ = isset($row['TRAP_NRET_MHJ'])?$row['TRAP_NRET_MHJ']:'';
	$javascript = "
	with(new prlTextBox('TRAP_NRET_DELAI', prlTextBox.formats.any, '$TRAP_NRET_DELAI')) {
		maxLength  = 10;
		trim = prlTextBox.trimMode.both;
		create();
	};
	with(new prlComboList('TRAP_NRET_MHJ', '$TRAP_NRET_MHJ')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSComboDelai.php';
		create();
	};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_delai." (".$lang_flux_pargen_rapproch_type_aff_lbl_delai_null.")");
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
	//alerte
	$TRAP_NRET_ALT_ID  = isset($row['TRAP_NRET_ALT_ID'])?$row['TRAP_NRET_ALT_ID']:'';
	$javascript = "
	with(new prlComboList('TRAP_NRET_ALT_ID', '$TRAP_NRET_ALT_ID')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSAlerte.php';
		create();
	};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_alert);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
	// libellé 
	$TRAP_NRET_LIB = isset($row['TRAP_NRET_LIB'])?$row['TRAP_NRET_LIB']:'';
	$javascript = "
	with(new prlTextBox('TRAP_NRET_LIB', prlTextBox.formats.any, '$TRAP_NRET_LIB')) {
		maxLength  = 255;
		trim = prlTextBox.trimMode.both;
		create();
	};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_grid_head_libel);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
	// Texte : delai max au dela duquel ...
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", "$lang_flux_pargen_rapproch_type_aff_delai_max");
	$vtp->closeSession($form, "form_group");
	
	//delai
	$TRAP_DELAI_MAX  = isset($row['TRAP_DELAI_MAX'])?$row['TRAP_DELAI_MAX']:'';
	$javascript = "
	with(new prlTextBox('TRAP_DELAI_MAX', prlTextBox.formats.any, '$TRAP_DELAI_MAX')) {
		maxLength  = 10;
		trim = prlTextBox.trimMode.both;
		create();
	};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_delai." (".$lang_ds_planif_jour.")");
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
	//alerte
	$TRAP_DELAI_ALT_ID  = isset($row['TRAP_DELAI_ALT_ID'])?$row['TRAP_DELAI_ALT_ID']:'';
	$javascript = "
	with(new prlComboList('TRAP_DELAI_ALT_ID', '$TRAP_DELAI_ALT_ID')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSAlerte.php';
		create();
	};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_flux_pargen_rapproch_type_aff_lbl_alert." (".$lang_flux_pargen_rapproch_type_aff_lbl_if_not_rapproch.")");
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");

}

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>