<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/part/adr/flux_part_adr_actAffich.php";

$vtp = new VTemplate;

$adr_id = pget('adr_id');
$par_id = pget('par_id');
$pfl_adr = pget('pfl_adr');
$action = pget('action');

$clt_id = $_SESSION["CLT_ID"];

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$readOnly = false;
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable générales
$vtp->setVar($form, "global.title", addslashes("$lang_flux_part_title ($lang_flux_part_act_detail_lbl_adr)"));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/flux_part.gif");
$vtp->setVar($form, "global.help_id", "cre_modif_part");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "window.close();");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "adr_id");
$vtp->setVar($form, "form_input_hidden.value", $adr_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "par_id");
$vtp->setVar($form, "form_input_hidden.value", $par_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "pfl_adr");
$vtp->setVar($form, "form_input_hidden.value", $pfl_adr);
$vtp->closeSession($form, "form_input_hidden");

if($pfl_adr)
	$req = "SELECT PAR_FLOW.PFL_ID, PFL_ROLE, PFL_ADR, PFL_NOM, PFL_LIBEL, PFL_TYPE, 
				PFL_LONGUEUR, PFL_DEFAUT, PFL_INIT, PFL_AIDE, PFL_AVANCE, PFL_OBLIG, PFL_FORMAT
			FROM PAR_FLOW
			WHERE PFL_ROLE = ".PARAM_ROLE_ADRESSE."
				AND PFL_ADR = $pfl_adr
			ORDER BY PFL_NUM";
else if($adr_id)
	$req = "SELECT PAR_FLOW.PFL_ID, PFL_ROLE, PFL_ADR, PFL_NOM, PFL_LIBEL, PFL_TYPE, 
				PFL_LONGUEUR, PFL_DEFAUT, PFL_INIT, PFL_AIDE, PFL_AVANCE, PFL_OBLIG, PFL_FORMAT, 
				VPA_VAL, VPA_ID
			FROM VAL_PAR_ADR JOIN PAR_FLOW ON (PAR_FLOW.PFL_ID = VAL_PAR_ADR.PFL_ID)
			WHERE PFL_ROLE = ".PARAM_ROLE_ADRESSE."
				AND ADR_ID = $adr_id
			ORDER BY PFL_NUM";
$gDb->SQLQuery($req, 1);
$formulaire = array();

while($row_param = $gDb->SQLNextRow(1))
{
	if (isset($row_param['VPA_VAL']))
	   $value = $row_param['VPA_VAL'];
    else
       $value = $row_param['PFL_DEFAUT'];

    $choix = $row_param["PFL_INIT"];
	
	$info = array("id" => $row_param["PFL_ID"].(isset($row_param["VPA_ID"])&&$row_param["VPA_ID"]?"_".$row_param["VPA_ID"]:""),
					"libel" => hi_disp($row_param["PFL_LIBEL"]),
					"type" => $row_param["PFL_TYPE"],
					"length" => $row_param["PFL_LONGUEUR"],
					"value" => $value,
					"choix" => $choix,
					"toolTip" => hi_disp($row_param["PFL_AIDE"]),
					"oblig" => $row_param["PFL_OBLIG"] == "1",
					"format" => $row_param["PFL_FORMAT"],
	);
	$formulaire[] = $info;
}		
$gDb->SQLFermeQuery(1);

$TYPE = array("NONE" => 0, "TEXT_BOX" => 1, "COMBO" => 2);

$param_oblig = array();

function param_form(&$form_obj) {
	global $readOnly, $pathFramework, $pathStyle, $param_oblig, $TYPE;
	global $lang_flux_gest_act_macro_lbl_edit_macro, $gDb,
	$lang_flux_gest_act_macro_lbl_edit_macro_path,
	$lang_flux_gest_act_macro_lbl_edit_macro_rep,
	$lang_flux_gest_act_macro_lbl_edit_carte_appel;
	
	$ret = array();
	
	foreach($form_obj as $field) {
		$ret_field = array("caption" => "",
				"content" => "",
				"javascript" => "");
				
		$ret_field["caption"] = $field["libel"].($field["oblig"]? " (*)": "");
		
		if($readOnly == "0") {
			$content = "";
			$javascript = "";
			$type = $TYPE["NONE"];
			
			switch($field["type"]) {
				case TYPE_PARACT_TXT:
				case TYPE_PARACT_PWD:
					$format = "prlTextBox.formats.any";
					$format_def = "";
					
					if(!empty($field["format"])) {
						$format_def = "prlTextBox.formats.perso = {'name':'perso',
							'key':/.*/,
							'validate':/".$field["format"]."/,
							'maxLength': ".$field["length"].",
							'align':'right'};";
						$format = "prlTextBox.formats.perso";
					}
					$javascript = "
						$format_def
						with(new prlTextBox('".$field["id"]."', $format, urldecode('".urlencode($field["value"])."'))) {
							maxLength  = ".$field["length"].";
							trim = prlTextBox.trimMode.both;
							toolTip = '".addslashes($field["toolTip"])."';
							password = ".($field["type"] == TYPE_PARACT_PWD? "true": "false")."
							create();
						};";					
					$type = $TYPE["TEXT_BOX"];
					break;
				case TYPE_PARACT_COMBO:
					$list = "";
					foreach(preg_split("/\//", $field["choix"]) as $champs) {
						$val = preg_split ("/:/", $champs);
						$list .= "add('".$val[1]."', '', '', '".$val[0]."');";
					}
					$javascript = "
						with(new Prologue.comboList('".$field["id"]."', urldecode('".urlencode(addslashes($field["value"]))."'))) {
							toolTip = '".addslashes($field["toolTip"])."';
							$list
							create();
						};";
					$type = $TYPE["COMBO"];
					
					break;
				
				case TYPE_PARACT_COMBO_SQL:
					$list = "";
					$req = $field["choix"];
					/*$req = str_replace("[@CLT_ID]", $clt_id, $req);
					$req = str_replace("[@FLX_ID]", $flx_id, $req);
					$req = str_replace("[@FOR_ID]", $for_id, $req);*/
					$gDb->SQLQuery($req, 2);
					$first = true;
					while($row_select = $gDb->SQLNextRow(2)) {
						$list .= "add('".$row_select[1]."', '', '', '".$row_select[0]."');";
					}
					$javascript = "
						with(new Prologue.comboList('".$field["id"]."', urldecode('".urlencode(addslashes($field["value"]))."'))) {
							toolTip = '".addslashes($field["toolTip"])."';
							$list
							create();
						};";
					$type = $TYPE["COMBO"];
					$gDb->SQLFermeQuery(2);
					
					break;
				
			}
			if($field["oblig"])
				$param_oblig[] = array("id" => $field["id"], "libel" => addslashes($field["libel"]), "type" => $type);
		}
		else {
			switch($field["type"]) {
				case TYPE_PARACT_TXT:
				case TYPE_PARACT_PWD:
				case TYPE_PARACT_CHEMIN:
				case TYPE_PARACT_REPERTOIRE:
					$content = $field["value"];
					break;
				case TYPE_PARACT_COMBO:
					foreach(preg_split("/\//", $field["choix"]) as $champs) {
						$val = preg_split ("/:/", $champs);
						if($field["value"] == $val[0]) {
							$content = $val[1];
							break;
						}
					}
			}
		}
		
		$ret_field["content"] = $content;
		$ret_field["javascript"] = $javascript;
		$ret[] = $ret_field;
	}
	return $ret;
}

foreach(param_form($formulaire) as $field) {
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $field["caption"]);
	$vtp->setVar($form, "form_field.javascript", $field["javascript"]);
	$vtp->setVar($form, "form_field.content", $field["content"]);
	$vtp->closeSession($form, "form_field");
}

//On rajoute la propriété length pour pouvoir le parcourrir en JS
$param_oblig["length"] = count($param_oblig);

//Construction de la fonction de vérification du formualaire
$fieldListID = "'ide_val'";
$fieldListName = "'".addslashes($lang_flux_part_act_createident_lbl_nom)."'";

//Fonction de vérification du formulaire
$head_javascript = "
	var TYPE = ".encode_JSON($TYPE)."; 
	var param_oblig = ".encode_JSON($param_oblig).";
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';

	function verifForm()
	{
		var ret = true;	
		for(var i = 0; i < param_oblig.length; ++i) {
			if(!ret) break;
			var obj = $(param_oblig[i].id);
			
			switch(param_oblig[i].type) {
				case TYPE.TEXT_BOX:
					if(obj.value.length == 0) {
						alert(msg_field_needed.replace('%FIELDNAME%', param_oblig[i].libel));
						ret = false;
						obj.focus();
					}
					break;
				case TYPE.COMBO:
					if(obj.rows[0].cells[0].firstChild.value.length == 0) {
						alert(msg_field_needed.replace('%FIELDNAME%', param_oblig[i].libel));
						ret = false;
						obj.focus();
					}
					break;
			}
		}

		if (ret) {
			if(submitForm(this.document.forms['filtre'], Flow.path+'flux/part/adr/flux_part_adr_actAction.php', prlExec) == 0) {
				opener.reloadAdrGrid();
				window.close();
			}
		}
	}
	help = opener.top.help;
	setMainTitle = opener.top.setMainTitle;
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>