<?php
if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="../../";
//$DEFAULT_PATH = "../../";
$culture_content_type = "application/json; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$page_courante = "flux/part/flux_part_actAction.php";

//Récupération des paramètres du POST
$action = pget("action");
$par_id = pget("par_id");
$clt_id = $_SESSION["CLT_ID"];

//Variables pour la réponse en JSON
$reponse = array();
$msg = '';
$return = -1;
$onsuccess = "";

// Ajout LTK le 28/01/11 : Bugzilla #2963
// Deplace un partenaire 
// Met a jour les indices de la table imbriquee
function move_part($partId, $grpId, $oldGrpId)
{
	global $gDb;
	$ret = false;
	
	// Ouvrir une transaction
	if ($gDb->SQLTransact())
	{
		// Recuperer les positions du partenaire
		$req = "SELECT PAR_LEFT, PAR_RIGHT FROM PART WHERE PAR_ID = $partId";
		$res = $gDb->SQLQuery($req,1);
		if ($row = $gDb->SQLNextRow(1))
		{
			$iItemPosLeft = $row['PAR_LEFT'];
			$iItemPosRight = $row['PAR_RIGHT'];
			$gDb->SQLFermeQuery(1);
			
			// Recuperer les positions du groupe
			if ($grpId == "NULL")
				$grpId = 1;

			$req = "SELECT PAR_RIGHT FROM PART WHERE PAR_ID = $grpId";
			$res = $gDb->SQLQuery($req,1);
			if ($row = $gDb->SQLNextRow(1))
			{
				$iParentPosRight = $row['PAR_RIGHT'];
				$gDb->SQLFermeQuery(1);
				// Calcul de la taille du noeud a deplacer
				$iSize = $iItemPosRight - $iItemPosLeft + 1;

				// Suppression temporaire du noeud (et de ses fils)
				$req = "UPDATE PART	SET PAR_LEFT = 0-(PAR_LEFT), PAR_RIGHT = 0-(PAR_RIGHT)
				    		WHERE PAR_LEFT >= $iItemPosLeft AND PAR_RIGHT <= $iItemPosRight;";
				if ($gDb->SQLQuery($req))
				{
					// On comble le vide 
					$req = "UPDATE PART	SET PAR_LEFT = PAR_LEFT - $iSize
					    		WHERE PAR_LEFT >  $iItemPosRight;";
					if ($gDb->SQLQuery($req))
					{
						$req = "UPDATE PART	SET PAR_RIGHT = PAR_RIGHT - $iSize
						    		WHERE PAR_RIGHT >  $iItemPosRight;";
						if ($gDb->SQLQuery($req))
						{
							// On fait de la place dans le nouveau groupe	
							$req = "UPDATE PART	SET PAR_LEFT = PAR_LEFT + $iSize
							    		WHERE PAR_LEFT >= ".($iParentPosRight > $iItemPosRight ? $iParentPosRight - $iSize : $iParentPosRight).";";
							if ($gDb->SQLQuery($req))
							{
								$req = "UPDATE PART	SET PAR_RIGHT = PAR_RIGHT + $iSize
								    		WHERE PAR_RIGHT >= ".($iParentPosRight > $iItemPosRight ? $iParentPosRight - $iSize : $iParentPosRight).";";
								if ($gDb->SQLQuery($req))
								{
									// On ajoute le noeud au groupe
									$req = "UPDATE PART	SET PAR_LEFT = 0-(PAR_LEFT)+".($iParentPosRight > $iItemPosRight ? $iParentPosRight - $iItemPosRight - 1 : $iParentPosRight - $iItemPosRight - 1 + $iSize)."
														  , PAR_RIGHT = 0-(PAR_RIGHT)+".($iParentPosRight > $iItemPosRight ? $iParentPosRight - $iItemPosRight - 1 : $iParentPosRight - $iItemPosRight - 1 + $iSize)."
									    		WHERE PAR_LEFT <= ".(0-$iItemPosLeft)." AND PAR_RIGHT >= ".(0-$iItemPosRight).";";
									if ($gDb->SQLQuery($req))
									{
										if ($grpId == "1")
										{
											$req = "UPDATE PART SET GRP_ID=NULL WHERE PAR_ID=$partId;";
										}
										else
										{
											$req = "UPDATE PART SET GRP_ID = $grpId WHERE PAR_ID=$partId;";
										}
										if ($gDb->SQLQuery($req))
										{
											// Commit
											if ($gDb->SQLQuery($req))
											{
												if ($gDb->SQLCommit())
												{
													$ret = true;
												}
											}											
										}
									}
								}
							}
						}												
					}
				}
			}
		}
		$gDb->SQLFermeQuery(1);
	}
	if (!$ret)
	{
		$gDb->SQLRollBack();
	}
}
/************************/
/* DEBUT ACTION = SUPPR	*/
/************************/
if ($action == "suppr")
{
	if (droit($droitRole, DROIT_SUPPR,null,null,null,null))
	{
		$msg = null;
		$demat = false;
		
		if($ini_typeBase == 'mysql')
			$req = "SHOW TABLES FROM `$nomBase` WHERE `Tables_in_$nomBase` LIKE 'PART_TO_PART'";
		elseif($ini_typeBase == 'mssql')
			$req = "select name from sysobjects where xtype = 'U' and name = 'PART_TO_PART'";
		else
			$req = "SELECT TABLE_NAME FROM USER_TABLES WHERE table_name = 'PART_TO_PART'";
			
	 	$gDb->SQLQuery($req, 1);
	 	if ($gDb->SQLNextRow(1))
		{
			$req = "SELECT PTP_ID 
					FROM PART_TO_PART 
					WHERE (PTP_EMET_ID = $par_id OR PTP_DEST_ID = $par_id)";						
			$res = $gDb->SQLQuery($req, 2);
			if ($res == null)
			{
				$msg = $lang_flux_part_act_suppr_msg_err;
				$return = 1;
			}
			else 
			{
				if ($gDb->SQLNextRow(2))
				{
					$msg = $lang_flux_part_act_suppr_msg_err_demat_echange;
					$return = 1;
				}
			}
			$gDb->SQLFermeQuery(2);
		}
		$gDb->SQLFermeQuery(1);
		if (!$msg)
		{
			//$req = "SHOW TABLES FROM `$nomBase` WHERE `Tables_in_$nomBase` LIKE 'PART_DEMAT'";
			
			if($ini_typeBase == 'mysql')
				$req = "SHOW TABLES FROM `$nomBase` WHERE `Tables_in_$nomBase` LIKE 'PART_DEMAT'";
			elseif($ini_typeBase == 'mssql')
				$req = "select name from sysobjects where xtype = 'U' and name = 'PART_DEMAT'";
			else
				$req = "SELECT TABLE_NAME FROM USER_TABLES WHERE table_name = 'PART_DEMAT'";
	
			$gDb->SQLQuery($req, 1);
		 	if ($gDb->SQLNextRow(1))
			{
				$req = "SELECT PAD_ID 
						FROM PART_DEMAT 
						WHERE PAR_ID = $par_id";						
				$res = $gDb->SQLQuery($req, 2);
				if ($res == null)
				{
					$msg = $lang_flux_part_act_suppr_msg_err;
					$return = 1;
				}
				else 	
				{
					if ($gDb->SQLNextRow(2))
					{
						$msg = $lang_flux_part_act_suppr_msg_err_demat_archive;
						$return = 1;
					}
				}
				$gDb->SQLFermeQuery(2);
			}
			$gDb->SQLFermeQuery(1);
		}
		
		if (!$msg)
		{	
			$req = "SELECT FLX_ID 
					FROM FLUX 
					WHERE (PAR_EMET_ID = $par_id OR PAR_DEST_ID = $par_id) 
					AND FLX_ACTIF != ".ETAT_SUPPR;						
			$res = $gDb->SQLQuery($req, 1);
			if ($res == null)
			{
				$msg = $lang_flux_part_act_suppr_msg_err;
				$return = 1;
				$gDb->SQLFermeQuery(1);
			}
		}
		if (!$msg)
		{
			$res = $gDb->SQLNextRow(1);
			if ($res[0] != null)
			{
				$msg = $lang_flux_part_act_suppr_msg_err_flux_actifs;
				$return = 1;
			}
			$gDb->SQLFermeQuery(1);
		}
		if (!$msg)
		{
			$req = "SELECT ROL_ID 
					FROM ROLE 
					WHERE (EXPEDITEUR = $par_id OR DESTINATAIRE = $par_id) 
					AND ROL_ETAT != ".ETAT_SUPPR;
			$res = $gDb->SQLQuery($req, 1);
			if ($res == null)
			{
				$msg = $lang_flux_part_act_suppr_msg_err;
				$return = 1;
				$gDb->SQLFermeQuery(1);
			}
		}
		if (!$msg)
		{
			$res = $gDb->SQLNextRow(1);
			if ($res[0] != null)
			{
				$msg = $lang_flux_part_act_suppr_msg_err_droits_actifs;
				$return = 1;
			}
			$gDb->SQLFermeQuery(1);
		}
		if (!$msg)
		{
			$req = "SELECT PAR_ID 
					FROM PART 
					WHERE GRP_ID = $par_id 
					AND PAR_ETAT != ".ETAT_SUPPR;
			$res = $gDb->SQLQuery($req, 1);
			if ($res == null)
			{
				$msg = $lang_flux_part_act_suppr_msg_err;
				$return = 1;
				$gDb->SQLFermeQuery(1);
			}
		}
		if (!$msg)
		{
			$res = $gDb->SQLNextRow(1);
			if ($res[0] != null)
			{
				$msg = $lang_flux_part_act_suppr_msg_err_parts_actifs;
				$return = 1;
				$gDb->SQLFermeQuery(1);
			}	
		}
		if (!$msg)
		{	
			$req = "UPDATE PART 
					SET PAR_ETAT = ".ETAT_SUPPR." 
					WHERE PAR_ID = $par_id";	
			if (!$gDb->SQLQuery($req, 1)) 
			{
				$msg = $lang_flux_part_act_suppr_msg_err;
				$return = 1;
			}
			$gDb->SQLFermeQuery(1);
		}
		if (!$msg) {
			$return = 0;
			$msg = $lang_flux_part_act_suppr_msg_ok;
			$onsuccess = "act_tree_reload ();";
		}
	}
	else
	{
		$msg = $lang_flux_tdoc_act_msg_err_droit;
		$return = 1;
	}
}
/************************/
/* FIN ACTION = SUPPR	*/
/************************/

/************************************************************/
/* DEBUT ACTION = MODIF		 								*/
/************************************************************/
if ($action == "modif")
{
	if (droit($droitRole, DROIT_MODIF + DROIT_CREAT,null,null,null,null))
	{
		$par_nom = pget('par_nom');
		$par_type = pget('par_type');
		$grp_id = (pget('grp_id')?pget('grp_id'): "NULL");
		$par_etat = pget('par_etat');
		
		// Recuperer l'ancien grp_id
		$req = "SELECT GRP_ID FROM PART WHERE PAR_ID = $par_id";
		$res = $gDb->SQLQuery($req,1);
		if ($row = $gDb->SQLNextRow(1))
		{
			$old_grp_id = $row['GRP_ID'];
			if ($old_grp_id == '')
			{
				$old_grp_id = "NULL";
			}
		}
		$gDb->SQLFermeQuery(1);
		
		
		$req = "UPDATE PART 
				SET PAR_NOM = '".dblQ($par_nom)."', 
				PAR_TYPE = $par_type, 
				PAR_ETAT = $par_etat 
				WHERE PAR_ID = $par_id";
				
		$res = $gDb->SQLQuery($req);
		if($res == null) {
			$msg = $lang_flux_part_act_modif_msg_err;
			$return = 1;
		}
		else {
			if($res[0] == SQL_DUP_CHAMP) {
				$msg = str_replace("%PARTNOM%", $par_nom, $lang_flux_part_act_import_msg_err_dup_part);
				$return = 1;	
			}
			else
			{
				// En cas de changement de groupe
				if ($old_grp_id != $grp_id)
				{
					// Deplacement du partenaire
					move_part($par_id, $grp_id, $old_grp_id);
				}
				$return = 0;
			}
		}
	}
	else
	{
		$msg = $lang_flux_tdoc_act_msg_err_droit;
		$return = 1;
	}
}
/************************************************************/
/* FIN ACTION = MODIF		 								*/
/************************************************************/

/************************************************************/
/* DEBUT ACTION = CREATE		 							*/
/************************************************************/
if ($action == "create")
{
	if (droit($droitRole, DROIT_CREAT,null,null,null,null))
	{
		$req = "SELECT PAR_RIGHT FROM PART WHERE PAR_ID=1";
		$res = $gDb->SQLQuery($req,1);
		$root = $gDb->SQLNextRow(1);
		$root_right = $root['PAR_RIGHT'];
	    $gDb->SQLFermeQuery(1);
		
		$req = "INSERT INTO PART (PAR_NOM, PAR_TYPE, GRP_ID, CLT_ID, PAR_ETAT, PAR_LEFT, PAR_RIGHT)
				VALUES ('new_part', ".PART_TYPE_PART.", NULL, $clt_id, ".ETAT_ACTIF.",".$root_right.",".($root_right+1).")";
		$res = $gDb->SQLQuery($req,1);
		
		if($res == null) {
			$msg = $lang_flux_part_act_create_msg_err;
			$return = -1;
		}
		else
		{
			if ($res[0] == SQL_DUP_CHAMP)
			{
				$msg = str_replace("%PARTNOM%", "new_part", $lang_flux_part_act_import_msg_err_dup_part);
				$return = -1;
			}
			else
			{
				$return = $gDb->SQLlastID();
				$req = "UPDATE PART SET PAR_RIGHT=".($root_right+2)." WHERE PAR_ID=1";
				$res = $gDb->SQLQuery($req,1);
			    $gDb->SQLFermeQuery(1);
			}
		}
	}
	else
	{
		$msg = $lang_flux_tdoc_act_msg_err_droit;
		$return = 1;
	}
}
/************************************************************/
/* FIN ACTION = CREATE		 								*/
/************************************************************/

$reponse['msg'] = addslashes($msg);
$reponse['return'] = $return;
$reponse['action'] = $action;
$reponse['onsuccess'] = $onsuccess;
if (pget('Mode')=='ws') {
	$res=encode_JSON($reponse);
	//Header("content-type: application/xml");
	//echo "<xml><res>".encode_JSON($reponse)."</res></xml>";
} else {
	echo encode_JSON($reponse);
}
?>