<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/part/flux_part_actAffich.php";

$vtp = new VTemplate;

$par_id = pget('par_id');
$action = pget('action');
$clt_id = $_SESSION["CLT_ID"];

$form = $vtp->Open($DEFAULT_PATH."template/act_form.vtp");
$vtp->addSession($form, "global");

// Nombre d'identifiant et d'adresse du partenaire
// IDentifiant
$req = "SELECT COUNT(IDE_VAL) AS NBID FROM IDENT WHERE PAR_ID = $par_id";
$gDb->SQLQuery($req, 1);
$rowId = $gDb->SQLNextRow(1);
$noId = false;
if($rowId['NBID']==0 OR $rowId[0]==0) // multibase ordre des champs nommés et numériques =/=
    $noId = true;
$gDb->SQLFermeQuery(1);
// Adresse
$req = "SELECT COUNT(ADR_ID) AS NBADR FROM ADRESSE WHERE PAR_ID = $par_id";
$gDb->SQLQuery($req, 1);
$rowAdr = $gDb->SQLNextRow(1);
$noAdr = false;
if($rowAdr['NBADR']==0 OR $rowAdr[0]==0) //  multibase ordre des champs nommés et numériques =/=
    $noAdr = true;
$gDb->SQLFermeQuery(1);

switch($action) {
	case 'create':
		$readOnly = false;
		$title = $lang_lbl_create;
		$icon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$readOnly = false;
		$title = $lang_lbl_modif;
		$icon = $pathStyle."imgs/icons/admin.gif";
		break;
	case 'detail':
	default:
		$readOnly = true;
		$title = $lang_lbl_detail;
		$icon = $pathStyle."imgs/icons/loupe.gif";
}

//Variable générales
//ID Gemedoc pour l'aide

$req = "SELECT PART.PAR_TYPE, PART.GRP_ID, PART.PAR_NOM, PART.PAR_ETAT, PERE.PAR_NOM AS PERE_NOM
		FROM PART LEFT JOIN PART AS PERE ON PART.GRP_ID = PERE.PAR_ID
		WHERE PART.PAR_ID = ".$par_id;

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);


$vtp->setVar($form, "global.help_id", "cre_modif_part");
$vtp->setVar($form, "global.title", addslashes($title));
$vtp->setVar($form, "global.icon", $icon);

//Le formulaire est-il en lecture seule ?
$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

$vtp->setVar($form, "global.drop_down", "
<div id=\"toolbar_dropDown\" style=\"visibility: hidden; background-color: #FFF; border:1px solid #C4BBB2; position:absolute; width: 255px;\">
	<script language=\"JavaScript\" type=\"text/javascript\">
		with(new Prologue.list('opt_toolbar')) {
			dataSource = Prologue.Flow.path+'flux/part/adr/flux_part_adr_dSDropDown.php?par_id=$par_id';
			create();
		}
	</script>
</div>
");

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "par_id");
$vtp->setVar($form, "form_input_hidden.value", $par_id);
$vtp->closeSession($form, "form_input_hidden");


//NOM
$PAR_NOM = addslashes($row['PAR_NOM']);
if($readOnly){
	$content = $PAR_NOM;
	$javascript = "";
}
else {
	$javascript = "
	with(new prlTextBox('par_nom', prlTextBox.formats.any, '$PAR_NOM')) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		create();
	};";
	$content = "";
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_part_grid_head_nom." (*)");
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//TYPE
$PAR_TYPE = $row['PAR_TYPE'];
switch ($PAR_TYPE) {
	case PART_TYPE_GROUPE:
		$TYPE = $lang_flux_part_grid_lbl_type_grp;
		break;
	case PART_TYPE_PART:
	default:
		$TYPE = $lang_flux_part_grid_lbl_type_part;
}
if($readOnly){
	$content = $TYPE;
	$javascript = "";
}
else {
	$javascript = "
		with(new prlComboList('par_type', '$PAR_TYPE')) {
			add('$lang_flux_part_grid_lbl_type_grp', '".$pathFlow."style/imgs/icons/partGrp.gif', '', '".PART_TYPE_GROUPE."');
			add('$lang_flux_part_grid_lbl_type_part', '".$pathFlow."style/imgs/icons/part.gif', '', '".PART_TYPE_PART."');
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_part_grid_head_type);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//PERE
$GRP_ID = $row['GRP_ID'];
$PERE_NOM = ($row['PERE_NOM']?$row['PERE_NOM']: $lang_flux_gest_act_macro_lbl_none);
if($readOnly){
	$content = $PERE_NOM;
	$javascript = "";
}
else {
	$javascript = "
		with(new prlComboTree('grp_id', '$GRP_ID')) {
			dataSource = Prologue.Flow.path+'dataSources/dSPartenaires.php?groupe=1&showNull=1&f_except=$par_id';
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_part_filtre_lbl_group);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//ETAT
$PAR_ETAT = $row['PAR_ETAT'];
switch ($PAR_ETAT) {
	case ETAT_ACTIF:
		$ETAT = $lang_ds_etat_act;
		break;
	case ETAT_INACTIF:
		$ETAT = $lang_ds_etat_inact;
		break;
}
if($readOnly){
	$content = $ETAT;
	$javascript = "";
}
else {
	$javascript = "
		with(new prlComboList('par_etat', '$PAR_ETAT')) {
			add('$lang_ds_etat_act', '', '', '".ETAT_ACTIF."');
			add('$lang_ds_etat_inact', '', '', '".ETAT_INACTIF."');
			create();
		};";
	$content = "";
}
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_part_grid_head_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");


//Identifiants
if(!$readOnly) {
	$row_actions = "
	function prlExecIdGrid (url) {
		if(prlExec(url) == 0)
			reloadIdGrid();
	};
	function reloadIdGrid () {
		Prologue.grid.reload('idGrid');
	}
	rowAction.add('id_modif', 'flux/part/id/flux_part_id_actAffich.php', openPopUp, ['action', 'ide_id']);
	rowAction.add('id_remove', 'flux/part/id/flux_part_id_actAction.php', prlExecIdGrid, ['action', 'ide_id']);

	rowAction.actions.id_modif.check = function (params) {
		params.action = 'modif';
		return true;
	};

	rowAction.actions.id_remove.check = function (params) {
		params.action = 'suppr';
		return true;
	};";
	
	if($noId==true)
	{
		$action_js = "
		add('$lang_lbl_creer', '${pathStyle}imgs/icons/add.gif', 'openPopUp(\'id/flux_part_id_actAffich.php?action=create&par_id=$par_id\');');";  
		}else
	{
		$action_js = "
		add('$lang_lbl_creer', '${pathStyle}imgs/icons/add.gif', 'openPopUp(\'id/flux_part_id_actAffich.php?action=create&par_id=$par_id\');');
		add('$lang_lbl_modifier', '${pathStyle}imgs/icons/admin.gif', 'rowAction.grid_id = \'idGrid\'; rowAction.exec(\'id_modif\'); Prologue.grid.reload(\'idGrid\');');
		add('$lang_lbl_supprimer', '${pathStyle}imgs/icons/trash.png', 'rowAction.grid_id = \'idGrid\'; rowAction.exec(\'id_remove\'); Prologue.grid.reload(\'idGrid\');');";
	}
}
else {
$row_actions = "";
$action_js = "";
}

$javascript = "
	$row_actions
	document.write('<div style=\"background-color: #D0C8C1; border-color: #C4BBB2 #AAAAAA #AAAAAA #C4BBB2;\">');
	with(new Prologue.gridPageToolBar('idGridTbr')) {
		$action_js
		gridId = 'idGrid';
		create();
	}
	document.write('</div>');

	with(new prlGrid('idGrid')) {
		async = true;
		pageSize = 5;
		pageToolBarId = 'idGridTbr';
		dataSource = '${pathFlow}flux/part/id/flux_part_id_dSGrid.php?par_id=".(isset($par_id)? $par_id: "")."';
		create();
	}
";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_part_act_detail_lbl_listid);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");


//Adresses
if(!$readOnly) {
	$row_actions = "
	function prlExecAdrGrid (url) {
		if(prlExec(url) == 0)
			Prologue.grid.reload('adrGrid');
	};

	function reloadAdrGrid () {
		Prologue.grid.reload('adrGrid');
	}
	rowAction.add('adr_modif', 'flux/part/adr/flux_part_adr_actAffich.php', openPopUp, ['action', 'adr_id', 'par_id']);
	rowAction.add('adr_remove', 'flux/part/adr/flux_part_adr_actAction.php', prlExecAdrGrid, ['action', 'adr_id']);

	rowAction.actions.adr_modif.check = function (params) {
		params.action = 'modif';
		params.par_id = '$par_id';
		return true;
	};

	rowAction.actions.adr_remove.check = function (params) {
		params.action = 'suppr';
		return true;
	};";
	
	if($noAdr==true)
	{	
		$action_js = "
		add('$lang_lbl_creer', '${pathStyle}imgs/icons/add.gif', 'toolbar_dropDown_onclick(this);');";
	}
	else
	{
		$action_js = "
		add('$lang_lbl_creer', '${pathStyle}imgs/icons/add.gif', 'toolbar_dropDown_onclick(this);');
		add('$lang_lbl_modifier', '${pathStyle}imgs/icons/admin.gif', 'rowAction.grid_id = \'adrGrid\'; rowAction.exec(\'adr_modif\')');
		add('$lang_lbl_supprimer', '${pathStyle}imgs/icons/trash.png', 'rowAction.grid_id = \'adrGrid\'; rowAction.exec(\'adr_remove\')');";
	}
}
else {
$row_actions = "";
$action_js = "";
}
	//add('$lang_lbl_creer', '${pathStyle}imgs/icons/add.gif', '');

$javascript = "
	$row_actions
	document.write('<div style=\"background-color: #D0C8C1; border-color: #C4BBB2 #AAAAAA #AAAAAA #C4BBB2;\">');
	with(new Prologue.gridPageToolBar('adrGridTbr')) {
		$action_js
		gridId = 'adrGrid';
		btnDetail = false;
		create();
	}
	document.write('</div>');
	
	with(new prlGrid('adrGrid')) {
		async = true;
		pageSize = 5;
		pageToolBarId = 'adrGridTbr';
		dataSource = '${pathFlow}flux/part/adr/flux_part_adr_dSGrid.php?par_id=".(isset($par_id)? $par_id: "")."';
		create();
	}
";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_part_act_detail_lbl_listadr);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//Fonction de vérification du formulaire
$head_javascript = "
	function verifForm()
	{
		var ret = true;
		if ($('par_nom').value.length == 0) {
			alert('".addslashes(str_replace("%FIELDNAME%", $lang_flux_part_act_create_lbl_nom, $lang_msg_err_no_field))."');
			ret = false;
			$('par_nom').focus();
		}

		if (ret) {
			if(submitForm(this.document.forms['filtre'], Flow.path+'flux/part/flux_part_actAction.php', prlExec) == 0) {
				parent.act_tree_reload();
				parent.paramLoadPage(Prologue.Flow.path+'flux/part/flux_part_blank.php');
			}
		}
	}
	
		toolbar_dropDown_hide = function() {
		if (window.current_toolbar_dropDown) {
			window.current_toolbar_dropDown.style.visibility = 'hidden';
			window.current_toolbar_dropDown = null;
			window.detachEvent('onmouseup', toolbar_dropDown_hide);
		}
	};
	
	toolbar_dropDown_onclick = function (table) {
		var dD = $('toolbar_dropDown');
		var v = dD.style.visibility == 'visible';
		if(!v) {
			var dDPosition = {top : 0, left : 0};
			dDPosition.top = (parseInt(Prologue.ui.clientToScreen(table).top, 10) + parseInt(table.offsetHeight, 10));
			dDPosition.left = parseInt(Prologue.ui.clientToScreen(table).left, 10);
			if (!Prologue.browser.ie)
				Prologue.ui.screenToClient(dD, dDPosition);

			Prologue.ui.moveTo(dD, dDPosition);

			window.current_toolbar_dropDown = dD;
			window.attachEvent('onmouseup', toolbar_dropDown_hide);
			dD.style.visibility='visible';
		}
		else
			toolbar_dropDown_hide();
	}
";

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.head_javascript", $head_javascript);
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>