<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");

$size = 200;

$clt_id = $_SESSION['CLT_ID'];
$par_nom = pget('f_nom');
$par_pere = pget('f_pere');
$next = pget('f_next');

$like = '';
$where = '';
$grpIcon = $pathFlow."style/imgs/icons/partGrp.gif";
$oneIcon = $pathFlow."style/imgs/icons/part.gif";
$firstrow = false;
$datasource = $pathFlow."flux/part/flux_part_dSTree.php?f_nom=$par_nom";

echo '<?xml version="1.0" encoding="UTF-8"?><databind>';

// Filtre par nom
if(!empty($par_nom))
{
    $like = " AND PAR_NOM LIKE '%$par_nom%'";
}
else
{
	if($par_pere)
	{
		// Recuperation du pere
		$req = "SELECT PAR_ID, PAR_NOM, PAR_ETAT, PAR_TYPE
		        FROM PART
		        WHERE PAR_ETAT != ".ETAT_SUPPR."
		            AND PAR_NOM != ' TOUS'
		            AND CLT_ID = $clt_id
		            AND PAR_ID = $par_pere";
		$gDb->SQLQuery($req, 1);
		if ($row = $gDb->SQLNextRow(1))
		{
			if (!$next)
			{
		        if ($row['PAR_TYPE'] == 1)
		        {
		          echo '<row><item caption="'.hi_disp($row['PAR_NOM']).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'"/>';
		        }
		        else 
		        {
		          echo '<row><item caption="'.hi_disp($row['PAR_NOM']).'" icon="'.$oneIcon.'" value="'.$row['PAR_ID'].'"/>';
		        }
		        $firstrow = true;
			}
		}
	    $gDb->SQLFermeQuery(1);
	    $where .= " AND GRP_ID= ".$par_pere;
	}
	else
	{
		$where .= " AND GRP_ID IS NULL";
	}
}
	
$start=0;
	
if ($next)
{
    $limit = " LIMIT $next,".($size+1);
	
	$start=$next;
	
    $next = $next + $size;
		
}
else
{
    $limit = " LIMIT ".($size+1);
    $next = $size;
	
	
}	

$quantity=$size+1;

// Recuperation des partenaires fils ou dont le nom est recherche
if($ini_typeBase == 'mysql')
{
	$req = "SELECT PAR_ID, PAR_NOM, PAR_ETAT, PAR_TYPE
		FROM PART
		WHERE PAR_ETAT != ".ETAT_SUPPR."
			AND PAR_NOM != ' TOUS'
			AND CLT_ID= $clt_id
		    $where $like
		    ORDER BY PAR_NOM $limit";

	$gDb->SQLQuery($req, 1);
}
else
{
	$req = "SELECT PAR_ID, PAR_NOM, PAR_ETAT, PAR_TYPE
		FROM PART
		WHERE PAR_ETAT != ".ETAT_SUPPR."
			AND PAR_NOM != ' TOUS'
			AND CLT_ID= $clt_id
		    $where $like
		    ORDER BY PAR_NOM";

	$gDb->SQLQuery($req, 1,$start,$quantity);

}
	
	
$maxrow = $gDb->SQLNumRows(1);
$index = 0;
$nextasync = "";
while (($row = $gDb->SQLNextRow(1)) && ($index < $size))
{
    $index = $index + 1;
    if ($index == $size)
    {
        // Il y a encore des enregistrements
        if ($par_pere)
        {
            $nextasync = ' nextasync="'.hi_disp("$datasource&f_next=$next&f_pere=").$par_pere.'"';
        }
        else
        {
            $nextasync = ' nextasync="'.hi_disp("$datasource&f_next=$next").'"';
        }
    }
	if ($row["PAR_ETAT"] == ETAT_INACTIF)
	{
        $l_fin = " $lang_lbl_etat_inact_ini ";		$parnom = AFF_INACTIF_DEB.$row['PAR_NOM']." $lang_lbl_etat_inact_ini ";
	}
	else
	{
        $parnom = $row['PAR_NOM'];
	}
    if ($row['PAR_TYPE'] == 1) 
    {
    	if (empty($par_nom))
    	{
			if($ini_typeBase == 'mysql')
			{
		    	// Y-a-t-il des fils pour ce groupe ?
			   $req = "SELECT PAR_ID FROM PART
			            WHERE PAR_ETAT != ".ETAT_SUPPR."
			                AND PAR_NOM != ' TOUS'
			                AND CLT_ID= $clt_id
			                AND GRP_ID= ".$row['PAR_ID'].$like." LIMIT 1";
			}
			else
			{
				if($ini_typeBase == 'mssql')
					$req = "SELECT TOP 1 PAR_ID FROM PART
			            WHERE PAR_ETAT != ".ETAT_SUPPR."
			                AND PAR_NOM != ' TOUS'
			                AND CLT_ID= $clt_id
			                AND GRP_ID= ".$row['PAR_ID'].$like;
				else
					$req = "SELECT PAR_ID FROM PART
			            WHERE PAR_ETAT != ".ETAT_SUPPR."
			                AND PAR_NOM != ' TOUS'
			                AND CLT_ID= $clt_id
			                AND GRP_ID= ".$row['PAR_ID'].$like." AND rownum < 2";
				
			}
			
		    $gDb->SQLQuery($req, 2);
		    if ($gDb->SQLNextRow(2))
		    {
	            echo '<row><item caption="'.hi_disp($parnom).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'" childasync="'.hi_disp("$datasource&f_pere=".$row['PAR_ID']).'"'.$nextasync.'/></row>';
		    }
		    else 
	        {
	            echo '<row><item caption="'.hi_disp($parnom).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'"'.$nextasync.'/></row>';
	        }
		    $gDb->SQLFermeQuery(2);
    	}
    	else
    	{
            echo '<row><item caption="'.hi_disp($parnom).'" icon="'.$grpIcon.'" value="'.$row['PAR_ID'].'"'.$nextasync.'/></row>';
    	}
    }
    else 
    {
        echo '<row><item caption="'.hi_disp($parnom).'" icon="'.$oneIcon.'" value="'.$row['PAR_ID'].'"'.$nextasync.'/></row>';
    }
}

$gDb->SQLFermeQuery(1);

if($firstrow)
{
    echo "</row>";
}

echo '</databind>';
?>