<?php
$DEFAULT_PATH = "../../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = PAR; //droit de gestion des partenaires
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "flux/part/id/flux_part_id_actAffich.php";

$vtp = new VTemplate;

$ide_id = pget('ide_id');
$par_id = pget('par_id');
$action = pget('action');

$clt_id = $_SESSION["CLT_ID"];

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");

switch($action) {
	case 'create':
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/add.gif";
		break;
	case 'modif':
		$readOnly = false;
		$panelTitle = $lang_lbl_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable générales
$vtp->setVar($form, "global.title", addslashes("$lang_flux_part_title ($lang_flux_part_act_create_lbl_id)"));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/flux_part.gif");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);
$vtp->setVar($form, "global.help_id", "cre_modif_part");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "window.close();");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "ide_id");
$vtp->setVar($form, "form_input_hidden.value", $ide_id);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "par_id");
$vtp->setVar($form, "form_input_hidden.value", $par_id);
$vtp->closeSession($form, "form_input_hidden");

// liste des identifiants du partenaire
if($ide_id)
{
	$req = "SELECT IDE_VAL, IDE_PWD FROM IDENT WHERE IDE_ID =".$ide_id;
	$gDb->SQLQuery($req, 1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	$IDE_VAL = $row['IDE_VAL'];
	$IDE_PWD = $row['IDE_PWD'];
}
else
{
	$IDE_VAL = '';
	$IDE_PWD = '';
}

//Construction de la fonction de vérification du formualaire
$fieldListID = "'ide_val'";
$fieldListName = "'".addslashes($lang_flux_part_act_createident_lbl_nom)."'";

$head_javascript = "

//Liste des champs obligatoires
var fieldListID = new Array($fieldListID);
			
//Liste des libellés de champs obligatoires								
var fieldListName = new Array($fieldListName);

function verifForm() {
	var check = true;
	var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
		
	for(var i = 0; i < fieldListID.length; ++i) {
		var inpt = $(fieldListID[i]);
		if(inpt.value.length == 0) {
			alert(msg_field_needed.replace('%FIELDNAME%', fieldListName[i]));
			check = false;
			$(fieldListID[i]).focus();
			break;
		}
		else if(false == prlTextBox.checkFormat(inpt) && inpt.value.length != 0) {
			inpt.onchange();
			check = false;
			inpt.focus();
			break;
		}
	}

	if(check && (submitForm(this.document.forms['filtre'], 'flux_part_id_actAction.php', prlExec) == 0)) {
		window.close();
	}
}

help = opener.top.help;
setMainTitle = opener.top.setMainTitle;
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

//Nom de l'identifiant
$javascript = "
	with(new prlTextBox('ide_val', prlTextBox.formats.any, '$IDE_VAL')) {
		maxLength  = 50;
		toolTip = '".addslashes($lang_flux_gest_act_macro_lbl_part)."';
		trim = prlTextBox.trimMode.both;
		create();
	};
";
if($action=='create')
{
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", $lang_lbl_create.' : '.$lang_flux_part_act_create_lbl_id);
	$vtp->closeSession($form, "form_group");
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_part_act_createident_lbl_nom);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

//Allias de l'identifiant (pour PeSIT = Logon2)
$javascript = "
	with(new prlTextBox('ide_pwd', prlTextBox.formats.any, '$IDE_PWD')) {
		maxLength  = 50;
		toolTip = '".addslashes($lang_lbl_alias)." (PeSIT Logon2)';
		trim = prlTextBox.trimMode.both;
		create();
	};
";

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_lbl_alias);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

if($action=='create')
{
	$vtp->addSession($form, "form_group");
	$vtp->setVar($form, "form_group.groupTitle", $lang_menu_lbl_import_caption.' : '.$lang_flux_part_act_detail_lbl_listid);
	$vtp->closeSession($form, "form_group");

	//Chemin du fichier d'import d'indentifiants
	$req="SELECT FCO_REPCOM_IHM FROM FLOWCONF";
	$gDb->SQLQuery($req, 1); 
	$rep_com = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);	
	$rep_com = $rep_com['FCO_REPCOM_IHM'];
	$javascript = "
		with(new prlComboPath('ide_file_import', '')) {
			dataSource='".$pathFramework."pathDataSource.php?path=".urlencode($rep_com)."&sep=".urlencode('\\')."&showFiles=1';
			toolTip = '".addslashes($lang_flux_av_imp_part_lbl_txt_path)."';
			value='';
			editable=true;
			create();
		};
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_lbl_chemin);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->closeSession($form, "form_field");
	
	$javascript="function import_ident()
	{
		if(prlComboPath.getSelected('ide_file_import').value!='')
		{
			var url = 'flux_part_id_importAffich.php?action=import&par_id=$par_id&clt_id=$clt_id&ide_file_import=' + urlencode(prlComboPath.getSelected('ide_file_import').value);
			changePage(url);
		}
		else
		{
			var msg_field_needed  = '".addslashes($lang_msg_err_no_field)."';
			alert(msg_field_needed.replace('%FIELDNAME%', '$lang_lbl_chemin'));
		}
	}
	new prlButton('$lang_menu_lbl_import_caption', 'import_ident();', Prologue.Flow.images+'icons/import.gif').create();";
	$vtp->addSession($form, "form_button");
	$vtp->setVar($form, "form_button.javascript", $javascript);
	$vtp->closeSession($form, "form_button");
}

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>