<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = DOC;//droit de gestion des types de documents
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;//droits en lmcs
$page_courante = "flux/tdoc/flux_tdoc.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$cltID = $_SESSION['CLT_ID'];

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.head_javascript", "");
$vtp->setVar($form, "global.title", addslashes($lang_flux_tdoc_title_defaut));
$vtp->setVar($form, "global.help_id", "20040108125743;20040108125752");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/flux_tdoc.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."flux/tdoc/flux_tdoc_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "20");


//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_doc_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

//Nom
$filtre[] = array("id_filtre" => "f_nom", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_flux_tdoc_filtre_nom);

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
									, "title" => addslashes($lang_flux_tdoc_title_defaut)),
						"csv" => true);
						
//créer
if (droit($droitRole, DROIT_CREAT,null,null,null,null))
{
	$option_toolbar[] = array("caption" => $lang_ds_action_new_caption,
							  "icon" => $pathFlow."style/imgs/icons/add.gif",
							  "onClick" => "changePage(\'${pathFlow}flux/tdoc/flux_tdoc_actAffich.php?action=create\');");
}
//detail
$option_toolbar[] = array("caption" => $lang_lbl_visu,
					"icon" => $pathStyle."imgs/icons/loupe.gif",
					"action" => array("name" => "detail",
									"page" => "flux/tdoc/flux_tdoc_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('tdoc_id', 'action')));

//modifier
$option_toolbar[] = array("caption" => $lang_flux_tdoc_grid_act_modif,
					"icon" => $pathStyle."imgs/icons/admin.gif",
					"action" => array("name" => "modif",
									"page" => "flux/tdoc/flux_tdoc_actAffich.php",
									"callback" => "changePage",
									"get_params" => array('tdoc_id', 'action')));
									
//supprimer
$option_toolbar[] = array("caption" => $lang_flux_tdoc_grid_act_suppr,
					"icon" => $pathStyle."imgs/icons/trash.png",
					"action" => array("name" => "remove",
									"page" => "flux/tdoc/flux_tdoc_actAction.php",
									"callback" => "prlExecGrid",
									"get_params" => array('tdoc_id', 'action')));

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.detail.check = function (params) {
	params.action = 'detail';
	return true;
};

rowAction.actions.modif.check = function (params) {
	params.action = 'modif';
	return true;
};

rowAction.actions.remove.check = function (params) {
	params.action = 'suppr';
	var msg_suppr = '".addslashes($lang_flux_tdoc_grid_quest_suppr)."';
	msg_suppr = msg_suppr.replace('%TDOCNOM%', params.tdoc_nom);
	return confirm(msg_suppr);
};
";

$vtp->setVar($form, "global.body_javascript", $body_js);
$vtp->closeSession($form, "global");
$vtp->Display();
?>