<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");

require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."tableau.php");			//class tableau
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flux/tdoc/flux_tdoc_struct.php");

$page_courante = "flux/tdoc/flux_tdoc_actPrint.php";

$vtp = new VTemplate;

$style_for = array(0 => "premier", 1 => "deuxieme");

$tdoc_id = pget('tdoc_id');

$clt_id = $_SESSION['CLT_ID'];

/************************************************************/
/* DEBUT ACTION = impression	 							*/
/************************************************************/

	$req = "SELECT TDOC_NOM, TDOC_SUI, TDOC_CONSERV, TDOC_VALID   
			FROM TYPE_DOC 
			WHERE TDOC_ID = $tdoc_id";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	$form = $vtp->Open("flux_tdoc_actPrint.vtp");
	$vtp->addSession($form, "gest");
	
	$vtp->setVar($form, "gest.title", "$lang_flux_tdoc_title_defaut - $lang_lbl_detail");
	$vtp->setVar($form, "gest.lbl_nom", $lang_flux_tdoc_aff_lbl_nom);
	$vtp->setVar($form, "gest.lbl_delai", $lang_flux_tdoc_aff_lbl_delai);
	
	$vtp->setVar($form, "gest.lbl_param", $lang_flux_tdoc_aff_lbl_param);
	$vtp->setVar($form, "gest.lbl_libel", $lang_flux_tdoc_aff_lbl_libel);
	$vtp->setVar($form, "gest.lbl_toaffich", $lang_flux_tdoc_aff_lbl_toaffich);
	$vtp->setVar($form, "gest.lbl_tosearch", $lang_flux_tdoc_aff_lbl_tosearch);
	
	$vtp->setVar($form, "gest.lbl_param_val", $lang_flux_tdoc_aff_lbl_param_val);
	
	$vtp->setVar($form, "gest.head_formats", $lang_flux_tdoc_grid_head_formats);
	
	
	$vtp->setVar($form, "gest.TDOC_NOM", hi_disp($row['TDOC_NOM']));
	$vtp->setVar($form, "gest.TDOC_CONSERV", hi_disp($row['TDOC_CONSERV']));
	$TDOC_SUI = $row['TDOC_SUI'];
	$TDOC_VALID = $row['TDOC_VALID'];
	
	$SUI = explode(";;", $TDOC_SUI);
	$i = 0;
	foreach($SUI as $zone)
	{
		$zz = explode("::", $zone);
		${"SUI_LIB_".$i} = $zz[0];
		${"SUI_AFF_".$i} = $zz[1];
		${"SUI_REC_".$i} = $zz[2];
		$i++;
	}
	$gDb->SQLFermeQuery(1);
	
	$VALID = explode(";;", $TDOC_VALID);
	$i = 0;
	foreach($VALID as $zone)
	{
		${"VALID_LIB_".$i} = $zone;
		$i++;
	}
	$gDb->SQLFermeQuery(1);
	
	$i = 0;
	foreach($TDOC_SUI_LIB as $lib_par)
	{
		$vtp->addSession($form, "TDOC_SUI");
		$NOM = str_replace("%NOMZONE%", $lib_par, $lang_flux_tdoc_aff_lbl_zone);
		$vtp->setVar($form, "TDOC_SUI.NOM", $NOM);
		$vtp->setVar($form, "TDOC_SUI.LIB", ${"SUI_LIB_".$i});
		if (${"SUI_AFF_".$i})
			$vtp->setVar($form, "TDOC_SUI.AFF_CHECK", $lang_flux_tdoc_aff_lbl_affich_oui);
		else
			$vtp->setVar($form, "TDOC_SUI.AFF_CHECK", $lang_flux_tdoc_aff_lbl_non);
		if (${"SUI_REC_".$i})
			$vtp->setVar($form, "TDOC_SUI.REC_CHECK", $lang_flux_tdoc_aff_lbl_affich_oui);
		else
			$vtp->setVar($form, "TDOC_SUI.REC_CHECK", $lang_flux_tdoc_aff_lbl_non);
		$vtp->closeSession($form, "TDOC_SUI");
		$i++;
	}
	
	$i = 0;
	foreach($TDOC_VALID_LIB as $lib_valid)
	{
		$vtp->addSession($form, "TDOC_VALID");
		$vtp->setVar($form, "TDOC_VALID.NOM", $lib_valid);
		$vtp->setVar($form, "TDOC_VALID.LIB", ${"VALID_LIB_".$i});
		$vtp->closeSession($form, "TDOC_VALID");
		$i++;
	}
	
	$req = "SELECT FOR_ID, FOR_NOM, FOR_NORME, FOR_VERSION, FOR_STYLE 
			FROM `FORMAT` 
			WHERE TDOC_ID = $tdoc_id 
			AND FOR_ETAT != ".ETAT_SUPPR;
	$gDb->SQLQuery($req,1);
	$i = 0;
	while ($row = $gDb->SQLNextRow(1))
	{
		$i++;
		if ($i == 1) $vtp->addSession($form, "FORMAT");
		$vtp->setVar($form, "FORMAT.lbl_format_norme", $lang_flux_tdoc_aff_lbl_format_norme);
		$vtp->setVar($form, "FORMAT.lbl_msg", $lang_flux_tdoc_aff_lbl_msg);
		$vtp->setVar($form, "FORMAT.lbl_version", $lang_flux_tdoc_aff_lbl_version);
		$vtp->setVar($form, "FORMAT.lbl_style", $lang_flux_tdoc_aff_lbl_style);
		
		$vtp->addSession($form, "FORMAT_L");
		$vtp->setVar($form, "FORMAT_L.FOR_NOM", 	hi_disp($row['FOR_NOM']));
		$vtp->setVar($form, "FORMAT_L.FOR_NORME",	hi_disp($row['FOR_NORME']));
		$vtp->setVar($form, "FORMAT_L.FOR_VERSION", hi_disp($row['FOR_VERSION']));
		$vtp->setVar($form, "FORMAT_L.FOR_STYLE", 	hi_disp($row['FOR_STYLE']));
		$vtp->setVar($form, "FORMAT_L.class", 		$style_for[$i%2]);
		$vtp->closeSession($form, "FORMAT_L");
	}
	if ($i >= 1) $vtp->closeSession($form, "FORMAT");
	$gDb->SQLFermeQuery(1);	
	
	$vtp->closeSession($form, "gest");

/************************************************************/
/* FIN ACTION = impression		 							*/
/************************************************************/
$vtp->Display();
?>