<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="UTF-8"/>

<xsl:template match="rss/channel">{
title:'<xsl:apply-templates select="title"/>'
,link:'<xsl:apply-templates select="link"/>'
,description:'<xsl:apply-templates select="description"/>'
,'items':[<xsl:apply-templates select="item"/>]
}</xsl:template>

<xsl:template match="item">
<xsl:if test="position()!=1">,</xsl:if>{
	title:'<xsl:value-of select="title/text()"/>'
	,link:'<xsl:value-of select="link/text()"/>'
	,description:'<xsl:value-of select="description/text()"/>'
	,pubDate:'<xsl:value-of select="pubDate/text()"/>'
}
</xsl:template>

</xsl:stylesheet>