<?php
$path = '';
if (isset($_GET['path'])) $path = $_GET['path'];

Header('Pragma: no-cache');
Header('Expires: -1');
header('Cache-Control: no-cache, must-revalidate, post-check=0, pre-check=0');
Header('Content-type: text/plain; charset=utf-8');

if (version_compare(PHP_VERSION,'5','>='))
{
	require_once("../domxml-php4-to-php5.php");
	require_once("../xslt-php4-to-php5.php");
}

$ch = curl_init($path);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_ENCODING , '');
$xml = curl_exec($ch);
curl_close($ch);

//Remplacement des apostrophes
$xml = preg_replace("/[\']/i", "\\\'", $xml);
$xml = preg_replace("/&#039;/i", "\\\'", $xml);

$rss=false;
$atom=false;
if (strpos($xml, '<rss ')) {
	$rss=true;
	$file=fopen("rss2json.xsl","r");
}
else if (strpos($xml, '<feed ')) {
	$atom=true;
	$xml = preg_replace('/ xmlns="[^\"]+"/i', '', $xml); //Suppression du namespace de base qui bloque le xsl
	$file=fopen("atom2json.xsl","r");
}

if ($file) {
	$xsl=fread($file,65536);
	fclose($file);

	$arguments = array(
		'/_xml' => $xml
		,'/_xsl' => $xsl
	);

	$xh = @xslt_create();
	$buffer = @xslt_process($xh, 'arg:/_xml', 'arg:/_xsl', NULL, $arguments);
	xslt_free($xh);
	//Formatage des dates
	$pattern = '/pubDate:\'([^\']+)\'/e';
	if ($rss)
		$replacement = '"pubDate:\'".@date("d/m/Y H:i", @strtotime("\\1"))."\'"';
	if ($atom)
		$replacement = '"pubDate:\'".@date("d/m/Y H:i", @strtotime(preg_replace("/Z/i"," GMT",preg_replace("/T/i", " ", "\\1"))))."\'"';
	$buffer = preg_replace($pattern, $replacement, $buffer);
	//Remplacement des retours charriot et tabulations
	$buffer = preg_replace('/[\n\r\t]/i', '', $buffer);
}
echo $buffer;
?>