if (typeof Prologue.Flow == 'undefined') Prologue.Flow = {};
Prologue.Flow.mainFrame = function(id, caption, icon)
{
	Prologue.Flow.mainFrame.callBaseConstructor(this, id);
	this.imagesPath = 'style/imgs';
	this.caption = (caption||'Use it Flow');
	this.icon = (icon||'/icons/logoUseIt.gif');
	this.background = 'fond_bkg.png';
	this.contentID = '';
	this.onResize = null;
	this.embeded = (window != top);
	this.attributes = function() {
		var tmp = Prologue.Flow.mainFrame.callBaseMethod(this, 'attributes');
		tmp += ' cellspacing="0"'
			+  ' cellpadding="0"'
			+  ' width="100%"';
		return tmp;
	};
	this.create = function() {
		Prologue.Flow.mainFrame.callBaseMethod(this, 'create');
		var me = $(this.id);
		if (me) {
			var cnt = $('tdFrame');
				if (cnt) {
				if (this.contentID) {
					var obj = $(this.contentID);
					if (obj) {
						cnt.innerHTML = '';
						cnt.appendChild(obj);
					}
				}
			}
			me.prlObject = this;
		}
		window.attachEvent('onresize', new Function(
			  "var h = $('"+this.id+"');"
			+ "h.prlObject.resize();"
		));
		window.attachEvent('onload', new Function(
			  "var h = $('"+this.id+"');"
			+ "h.prlObject.resize();"
		));
	}
	this.html = function() {
		var tmp = '';
		if (this.embeded) {
			tmp = '<table'+this.attributes()+'>'
				+ '<tr>'
				+ '<td id="mainTitle" class="mainTitleEmbeded" width="100%">'
				+ this.caption
				+ '</td>'
				+ '</tr>'
				+ '<tr>'
				+ '<td id="tdFrame"'
				+ ((this.background)?' style="background-image: url('+this.imagesPath+'/'+this.background+'); background-attachment:fixed; background-repeat:no-repeat; background-position: 50% 50%;"':'')
				+ '>'
				+ '&nbsp;'
				+ '</td>'
				+ '</tr>'
				+ '</table>';
		}
		else {
			tmp = '<table'+this.attributes()+'>'
				+ '<tr>'
				+ '<td>'
				+ '<table style="width:100%;" cellspacing="0" cellpadding="0">'
				+ '<tr>'
				+ '<td><img src="'+this.imagesPath+'/coin_onglet_gauche.gif" /></td>'
				+ '<td style="background-image:url('+this.imagesPath+'/pixel_onglet_haut.gif);">'
				+ '<img src="'+this.imagesPath+'/icons/logoUseIt.gif" />'
				+ '</td>'
				+ '<td id="mainTitle" class="titre1" style="background-image:url('+this.imagesPath+'/pixel_onglet_haut.gif);">'+this.caption+'</td>'
				+ '<td><img src="'+this.imagesPath+'/coin_onglet_droit.gif" /></td>'
				+ '</tr>'
				+ '</table>'
				+ '</td>'
				+ '</tr>'
				+ '<tr>'
				+ '<td id="tdFrame" class="rightPanel"'
				+ ((this.background)?' style="background-image: url('+this.imagesPath+'/'+this.background+'); background-attachment:fixed; background-repeat:no-repeat; background-position: 50% 50%;"':'')
				+ '>'
				+ '&nbsp;'
				+ '</td>'
				+ '</tr>'
				+ '</table>';
		}
		return tmp;
	}
	this.resize = function() {
		var h = document.body.clientHeight;
		var w = document.body.clientWidth;
		var main = $(this.id);
		h -= main.rows[0].cells[0].offsetHeight;
		var cs = main.rows[1].cells[0].currentStyle;

		h -= parseInt(document.body.currentStyle.marginTop);
		w -= parseInt(document.body.currentStyle.marginLeft);
		h -= parseInt(document.body.currentStyle.marginBottom);
		w -= parseInt(document.body.currentStyle.marginRight);

		main.style.position = 'absolute';
		main.rows[1].firstChild.style.position = 'absolute';
		main.style.top = parseInt(document.body.currentStyle.marginTop);
		if(Prologue.browser.moz)
			main.rows[1].firstChild.style.top = parseInt(document.body.currentStyle.marginTop) + main.rows[0].cells[0].offsetHeight - 5;
		else
			main.rows[1].firstChild.style.top = main.rows[0].cells[0].offsetHeight;
		
		if (top.plugSideMenu.menuIsPlugged()) {
			w -= $('menuSideBar').clientWidth;
			main.style.left = $('menuSideBar').clientWidth + parseInt(document.body.currentStyle.marginLeft) + 'px';
		} else {
			main.style.left = parseInt(document.body.currentStyle.marginLeft) + 'px';
		}
		main.rows[0].cells[0].firstChild.style.width = w + 'px';

		h -= parseInt(cs.borderTopWidth, 10)||0;
		w -= parseInt(cs.borderLeftWidth, 10)||0;
		h -= parseInt(cs.borderBottomWidth, 10)||0;
		w -= parseInt(cs.borderRightWidth, 10)||0;
		
		main.rows[1].firstChild.style.width = w + 'px';
		
		h -= parseInt(cs.paddingTop, 10)||0;
		w -= parseInt(cs.paddingLeft, 10)||0;
		h -= parseInt(cs.paddingBottom, 10)||0;							
		w -= parseInt(cs.paddingRight, 10)||0;
		
		if (typeof this.onResize == 'function')
			this.onResize.call(this, h, w);
	}
	this.setTitle = function(title, img)
	{
		var tmp = this.caption;
		var td = $('mainTitle');
		if (td) {
			if(title)
				tmp += ' - '+title;					
			if(img) {
				tmp = '<table style="margin:auto;">'
					+ '<tr>'
					+ '<td>'
					+ '<img src="'+img+'" />'
					+ '</td>'
					+ '<td class="'+((this.embeded)?'mainTitleEmbeded':'mainTitle')+'">'
					+ tmp
					+ '</td>';
			}
			td.innerHTML = tmp;
		}
	}
}
Prologue.Flow.mainFrame.extend(Prologue.control);
