<?php
	class ds_item
	{
		var $data;
	
		function ds_item($array=NULL)
		{
			$this->data = array();
			if(!is_null($array))
				$this->append($array);
		}
	
		function append($array)
		{
			foreach($array as $att => $val)
			$this->data[$att] = $val;
		}
	
		function get_data()
		{
			return $this->data;
		}
	}
	
	class ds_row
	{
		var $items;
	
		function ds_row($item=NULL)
		{
			$this->items = array();
			if(!is_null($item))
				$this->append($item);
		}
	
		function append($item)
		{
			if(is_a($item, 'ds_item'))
				$this->items[] = $item;
			elseif(is_array($item))
			{
				foreach($item as $one_item)
					$this->append($one_item);
			}
		}
	
		function get_items()
		{
			return $this->items;
		}
	}
	
	class datasource
	{
		var $dump;
		var $isCloture;
		
		function datasource()
		{
			$this->dump = '<?xml version="1.0" encoding="UTF-8"?><databind>';
			$this->isCloture = false;
		}
		
		function add_row($row)
		{
			if(is_a($row, 'ds_row') && !$this->isCloture)
			{
				$this->dump .= '<row>';
				$items = $row->get_items();
				foreach ($items as $item)
					$this->_add_item($item);

				$this->dump .= '</row>';
			}
			elseif(is_array($row))
				foreach($row as $one_row)
					$this->add_row($one_row);
		}
		
		function _add_item($item)
		{
			if(!$this->isCloture)
			{
				$this->dump .= '<item';
				$data = $item->get_data();
				foreach ($data as $att => $val)
					$this->dump .= ' '.$att.'="'.$val.'"';
				$this->dump .= '/>';
			}
		}
		
		function get_dump()
		{
			if(!$this->isCloture)
			{
				$this->dump .= "</databind>";
				$this->isCloture = true;
			}
			return $this->dump;
		}
	}
?>