<?php
$DEFAULT_PATH = "../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = INFO; //droit de gestion des logs
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
$page_courante = "informations/info.php";

$vtp = new VTemplate;


$form = $vtp->Open($DEFAULT_PATH."template/form_info.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20040108130129");
//Variable générales
$vtp->setVar($form, "global.title", "");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/accueil.png");
$vtp->setVar($form, "global.panelTitle", addslashes($lang_info_about_title_page));
$vtp->setVar($form, "global.panelIcon", $pathStyle."imgs/icons/title/info.png");
$vtp->setVar($form, "global.readOnly", "true");

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "changePage(Flow.path+\'accueil.php\');");

// Bouton licenses tiers
$vtp->addSession($form, "form_button");
$action_btn = "openPopUp(\'${DEFAULT_PATH}informations/tiers/licensesTiers.php\', \'\', 800, 680);";
$btn_js = "new prlButton('$lang_menu_lbl_licence_caption', '$action_btn', Prologue.Flow.images+'icons/menuToolBar/scroll.png').create();";
$vtp->setVar($form, "form_button.javascript", $btn_js);
$vtp->closeSession($form, "form_button");

if ($_SERVER['SERVER_SIGNATURE'] != "")
{
	$tmp=explode("/",$_SERVER['SERVER_SIGNATURE']);
	$apache=explode("S",$tmp[1]);
}
else
{
	$tmp=explode("/",$_SERVER['SERVER_SOFTWARE']);
	$apache=explode(" ",$tmp[1]);
}

if($ini_typeBase == "mysql")	
{
	$req = "SHOW VARIABLES";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	while ($row['Variable_name']!="version")
	{
		$row = $gDb->SQLNextRow(1);
	}
}
else if($ini_typeBase == "mssql")
{
	$req = "SELECT CAST(SERVERPROPERTY('productversion') AS VARCHAR) + ' - ' + CAST(SERVERPROPERTY('productlevel') AS VARCHAR) + ' (' + CAST(SERVERPROPERTY('edition') AS VARCHAR) + ')' AS Value";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
}
else if($ini_typeBase == "oracle")
{
	# BG : 05/03/2012 : bugzilla 3996
	# encadrement général de la requête : remplacement des  "  par  '  pour éviter l'analyse du $ par php (v$instance est une table systeme native de ORACLE) 
	# encadrement de Value par " pour conserver la casse (particularité d'ORACLE) : obsolete (voir bugzilla 4407)
	# BG : 14/03/2012 : bugzilla 4407 : ajout des doubles quotes en amont dans pdo.inc.php (fsite)
	$req = 'SELECT version AS Value FROM v$instance'; 
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
}

$versionBase=$row['Value'];
$gDb->SQLFermeQuery(1);
$php=phpversion();
$req = "SELECT FCO_VERSION, FCO_STATION_TYPE, FCO_URL_WS FROM FLOWCONF";
$gDb->SQLQuery($req,1);
$base = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);
$site=$_SERVER["HTTP_HOST"].$pathFlow;

$dateCur = date("H, i, s");
$js_heure = "
var obj_heure;
var srv_date = new Date(0, 0, 0, $dateCur)
var srv_s = srv_date.getSeconds() + 1;
var srv_m = srv_date.getMinutes();
var srv_h = srv_date.getHours();

function srv_calc()
{
	srv_s++;
	if (srv_s < 10)
		srv_s = '0' + Math.round(srv_s);
	else if(srv_s >= 60)
	{
		srv_s = '00';
		srv_m++;
	}
	if (srv_m < 10)
		srv_m = '0' + Math.round(srv_m);
	else if(srv_m >= 60)
	{
		srv_m = '00';
		srv_h++;
	}
	if (srv_h < 10)
		srv_h = '0' + Math.round(srv_h);
	else if(srv_h >= 24)
		srv_h = '00';
	obj_heure.innerHTML = srv_h + ':' + srv_m + ':' + srv_s;
}
";

$content = date('(e) Y-m-d').'&nbsp;<span id="srv_heure"/>
<script type="text/javascript">
	obj_heure = $("srv_heure");
	setInterval("srv_calc()", 1000);
</script>
';

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_flux_gest_act_macro_lbl_datecour);
$vtp->setVar($form, "form_field.javascript", $js_heure);
$vtp->setVar($form, "form_field.content", $content);
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_apache);
$vtp->setVar($form, "form_field.content", $apache[0]);
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_field");
$bODBC = false;
if($ini_typeBase == "mysql")
	$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_mysql);
else if($ini_typeBase == "mssql")
{
	$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_mssql);
	$bODBC = true;
}
else if($ini_typeBase == "oracle")
{
	$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_oracle);
	$bODBC = true;
}
$vtp->setVar($form, "form_field.content", $versionBase);
$vtp->closeSession($form, "form_field");

if($bODBC)
{
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_admin_exp_migration_driver);
	$vtp->setVar($form, "form_field.content", $ini_driverBase);
	$vtp->closeSession($form, "form_field");
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_php);
$php_info = $DEFAULT_PATH . "informations/phpinfo.php";
$vtp->setVar($form, "form_field.content", "<a href='$php_info' target='about:blank'>$php</a>");
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_flow);
$vtp->setVar($form, "form_field.content", $versionFM);
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_db);
$versionType = $base['FCO_VERSION'];
if($base['FCO_STATION_TYPE'] == 2)
	$versionType .= ' (MailFSE)';
else if($base['FCO_STATION_TYPE'] == 3)
	$versionType .= ' (MailFSE - Etebac)';
else if($base['FCO_STATION_TYPE'] == 4)
	$versionType .= " ($lang_db_type_act_tac_libel_demat_fisc)";
$vtp->setVar($form, "form_field.content", $versionType);
$vtp->closeSession($form, "form_field");

$req = "SELECT PRO_NOM, PRO_VERSION FROM PROCESSUS order by PRO_NOM";
$gDb->SQLQuery($req, 1);

while($moteur=$gDb->SQLNextRow(1))
{
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_mot.$moteur['PRO_NOM']);
	$vtp->setVar($form, "form_field.content", $moteur['PRO_VERSION']);
	$vtp->closeSession($form, "form_field");
}

$gDb->SQLFermeQuery(1);

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_ver_framework);
$vtp->setVar($form, "form_field.javascript", "document.write(Prologue.framework.version);");
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_url_site);
$vtp->setVar($form, "form_field.content", "http://".$site);
$vtp->closeSession($form, "form_field");

//FCO_URL_WS
$url_ws = preg_replace('/maj.php/', 'moniteur.php', $base['FCO_URL_WS']);
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", 'Web Services Use it Flow');
$vtp->setVar($form, "form_field.content", "<a href='$url_ws' target='about:blank'>$url_ws</a>");
$vtp->closeSession($form, "form_field");

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_nom_base);
$vtp->setVar($form, "form_field.content", $nomBase);
$vtp->closeSession($form, "form_field");

if($ini_typeBase == "mysql")
{
	$req = "SELECT round(sum(data_length+index_length)/1024/1024,2) FROM information_schema.tables WHERE table_schema='$nomBase'";
	$gDb->SQLQuery($req, 1);
	$tailleDB = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);

	$req = "SELECT round(sum(data_length+index_length)/1024/1024,2) FROM information_schema.tables WHERE table_schema='$nomBase' AND table_name='SUIVI'";
	$gDb->SQLQuery($req, 1);
	$tailleSuivi = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}
else if($ini_typeBase == "mssql")
{
	$req = "SELECT str(convert(dec(15),sum(size))* 8192 / 1048576,10,2) FROM sys.database_files where name='$nomBase' or name='${nomBase}_log'";
	$gDb->SQLQuery($req, 1);
	$tailleDB = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	
	$req = "SELECT str(convert(dec(15),sum(a.used_pages))* 8192 / 1048576,10,2) FROM sys.objects as o inner join sys.indexes as i on o.object_id = i.object_id inner join sys.partitions as p on p.object_id = i.object_id and p.index_id = i.index_id inner join sys.allocation_units as a on a.container_id = p.partition_id WHERE o.name='SUIVI'";
	$gDb->SQLQuery($req, 1);
	$tailleSuivi = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}
else if($ini_typeBase == "oracle")
{
	$req  = "SELECT to_char(sum(bytes)/1048576,'9999999990.99') FROM user_extents WHERE segment_type='TABLE'";
	$gDb->SQLQuery($req, 1);
	$tailleDB = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	
	$req = "SELECT to_char(sum(bytes)/1048576,'9999999990.99') FROM user_extents WHERE segment_name='SUIVI'";
	$gDb->SQLQuery($req, 1);
	$tailleSuivi = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
}

$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_taille_base);
$vtp->setVar($form, "form_field.content", $tailleDB[0].$lang_info_about_lbl_taille_unite);
$vtp->closeSession($form, "form_field");

$req = "SELECT count(*) FROM SUIVI";
$gDb->SQLQuery($req, 1);
$nbLigne = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_info_about_lbl_taille_suivi);
$vtp->setVar($form, "form_field.content", $tailleSuivi[0].$lang_info_about_lbl_taille_unite." - ".$nbLigne[0].$lang_info_about_lbl_ligne_suivi);
$vtp->closeSession($form, "form_field");

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>