<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole = LIC; //droit de gestion des licences
$lmcse = DROIT_LECT + DROIT_CREAT + DROIT_MODIF + DROIT_SUPPR;

$page_courante = "informations/licence/licence.php";

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20040202132040");
//$vtp->setVar($form, "global.head_javascript", $headScript);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_info_lic_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/licence.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."informations/licence/licence_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes

$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
"libelle_filtre" => $lang_sui_alt_filtre_lbl_afficher,
"value_filtre" => $ini_taille_page_suivi,
"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

mkFiltre($vtp, $form, $filtre);

//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
"detail" => false,
"print" => array("show" => true
, "title" => addslashes($lang_info_lic_title)),
"csv" => true);

$body_js = '';
if (droit($droitRole, DROIT_MODIF,null,null,null,null)) {
	//Modifier
	$option_toolbar[] = array("caption" => $lang_lbl_modifier,
	"icon" => $pathFlow."style/imgs/icons/admin.gif",
	"action" => array("name" => "modif",
	"page" => "informations/licence/licence_actAffich.php",
	"callback" => "changePage",
	"get_params" => array('lic_id','action')));

	//Commander
	$option_toolbar[] = array("caption" => addslashes($lang_info_lic_aff_print_lbl_cmd_title),
								"icon" => $pathFlow."style/imgs/icons/admin.gif",
								"onClick" => "openPopUp(\'".$DEFAULT_PATH."informations/licence/licence_print.php\');");

	$body_js .= "
	rowAction.actions.modif.check = function (params) {
		params.action = 'modif';
		return true;
	};";
}
if (droit($droitRole, DROIT_SUPPR,null,null,null,null)) {
	//Supprimer
	$option_toolbar[] = array("caption" => addslashes($lang_info_lic_aff_print_lbl_supp_title),
								"icon" => $pathFlow."style/imgs/icons/trash.png",
								"action" => array("name" => "suppr",
													"page" => "informations/licence/licence_actAction.php",
													"callback" => "prlExecGrid",
													"get_params" => array('lic_id','action')));

	$body_js .= "
	rowAction.actions.suppr.check = function (params) {
		params.action = 'suppr';
		var msg_suppr = '".addslashes($lang_info_lic_aff_print_lbl_supp_confirm)."';
		return confirm(msg_suppr);
	};";
}

mkToolbar($vtp, $form, $option_toolbar);

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>