<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
Header("Content-Type: text/xml; charset=utf-8");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$droitRole = LIC; //droit 
$lmcse = DROIT_MODIF + DROIT_SUPPR;

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$champs = array();
$champs[] = array("id" => "LIC_NOMACT", "nom" => $lang_info_lic_grid_head_comp_logic, "toolTip" => $lang_info_lic_grid_head_comp_logic, "sortMode" => "1");
$champs[] = array("id" => "LIC_CODELOCAL", "nom" => $lang_info_lic_grid_head_num_serie, "toolTip" => $lang_info_lic_grid_head_num_serie, "sortMode" => "2");
$champs[] = array("id" => "LIC_NBJOURS", "nom" => $lang_info_lic_grid_head_valid, "toolTip" => $lang_info_lic_grid_head_valid, "sortMode" => "2");
$champs[] = array("id" => "LIC_CODEDEVER", "nom" => $lang_info_lic_grid_head_debloq_code, "toolTip" => $lang_info_lic_grid_head_debloq_code, "sortMode" => "2");

$req = "SELECT SQL_CALC_FOUND_ROWS LIC_ID, LIC_NOMACT, LIC_CODELOCAL, LIC_NBJOURS, LIC_CODEDEVER FROM LICENCE WHERE LIC_ETAT!=".ETAT_SUPPR;
$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';
foreach ($champs as $col)
{
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
}
echo '</header>';


while($row = $gDb->SQLNextRow(1))
{
	$params = array();
	$params['lic_id'] = $row['LIC_ID'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));
	
	echo '<row>';

	echo '<item caption="'.$row['LIC_NOMACT'].'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.$row['LIC_CODELOCAL'].'"/>';
	echo '<item caption="'.$row['LIC_NBJOURS'].'"/>';
	echo '<item caption="'.strtoupper($row['LIC_CODEDEVER']).'"/>';

	/*
	echo '<item caption="'.$row[1].'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.$row[2].'"/>';
	echo '<item caption="'.$row[3].'"/>';
	echo '<item caption="'.strtoupper($row[4]).'"/>';
	*/
	
	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>