<?php
$DEFAULT_PATH = '../../';
require_once ($DEFAULT_PATH.'struct.php');
$droitRole = INFO; //droit de gestion des logs
	
$culture_folder = $DEFAULT_PATH.'culture';
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH.'inc/php/utils.php');

require_once($DEFAULT_PATH.'flow.php');
require_once($DEFAULT_PATH.'flow_tools.php');

require_once($DEFAULT_PATH.'vtemplate.class.php');	//class template
$page_courante = 'informations/tiers/info.php';

$vtp = new VTemplate;

$form = $vtp->Open($DEFAULT_PATH.'template/form_info.vtp');
$vtp->addSession($form, 'global');
$vtp->setVar($form, 'global.help_id', '');
//Variable gnrales
$vtp->setVar($form, 'global.panelTitle', addslashes($lang_menu_lbl_licence_caption));
$vtp->setVar($form, 'global.panelIcon', $pathStyle.'imgs/icons/title/licence.png');
$vtp->setVar($form, 'global.readOnly', 'true');

//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, 'global.back_fct', 'window.close();');

$dirLic = $DEFAULT_PATH.'informations/tiers/';

if ($dir = @opendir($dirLic))
{
	while (($file = readdir($dir)) !== false) 
    {
		if(is_file($file) && stripos($file, '.txt')==strlen($file)-4)
		{
			$name = substr($file, 0, -4);
			$vtp->addSession($form, 'form_field');
			$vtp->setVar($form, 'form_field.caption', $name);
			$vtp->setVar($form, 'form_field.content', "<a href='$dirLic$file' target='licence'>$lang_lbl_afficher</a>");
			$vtp->closeSession($form, 'form_field');
		}
	}
	closedir($dir);

	$vtp->addSession($form, 'form_field_param_panel');
	$vtp->setVar($form, 'form_field_param_panel.javascript', '');
	$vtp->setVar($form, 'form_field_param_panel.content', '<iframe name="licence" style="width:600px;height:200px;"></iframe>');
}

include($DEFAULT_PATH.'header.php');
$vtp->setVar($form, 'global.page_headers', $page_headers);
$vtp->closeSession($form, 'global');
$vtp->Display();
?>