<?php
if(!defined('SQL_DUP_CHAMP'))
	DEFINE('SQL_DUP_CHAMP',-2);

if(!defined('REQUEST_LOG'))
	DEFINE('REQUEST_LOG',0);

if (!isset($DEFAULT_PATH))$DEFAULT_PATH ="./";

$filename="ini.php";#setup

if (!file_exists($DEFAULT_PATH.$filename)) 
{
	$filename="flow.ini.php";#configurator
	DEFINE('INSTALL_DB',0);
}
else
	DEFINE('INSTALL_DB',1);
	
DEFINE('ORACLE_LENGTH_IDENTIFIER',30);	

require_once($DEFAULT_PATH.$filename);

$filename="ini.php";#setup

if (file_exists($DEFAULT_PATH.$filename) && isset($var_ini["TYPE_DB_NAME"])) #case setup
	$ini_typeBase=$var_ini["TYPE_DB_NAME"];

#echo "ini_typeBase: $ini_typeBase";

$ORACLE = 0;
if(isset($ini_typeBase) && $ini_typeBase == "oracle")
{
	$ORACLE = 1;
	$flagAs = False;
}

//////////////// A UTILSER A LA PLACE DE STRISTR ////////////////
// Recherche de texte hors valeur à insérer :
//   La fonction stristr ne peut être directement utilisée 
//   car des mots issus des valeurs d'une requête peuvent 
//   matcher alors qu'ils ne le doivent pas (ex: from, set, ...)
/////////////////////////////////////////////////////////////////
function hasCommand($query, $text)
{
	// on supprime les valeurs de chaine pour n'avoir que les commmandes
	$reste = '';
    $inQuote = false;

    for($i=0; $i<strlen($query); $i++)
    {
        if($query[$i]=='\'')
            $inQuote = !$inQuote;
        if($inQuote==false)
            $reste .= $query[$i];
    }
	
	return stristr($reste, $text);
}

/**
 * Interface une base de données via PDO
 */
class Db
{
	#var $NumReq = 10;  //Nombre max de requetes simultanées
	var $NumReq = 1;  //Nombre max de requetes simultanées
	#NumReq=11 reserved, for intrenal request
	var $defaultrequestnum = 11;
	#var $defaultrequestnum = 3;
	var $ConnectionID;
	var $DriverName;
	var $DatabaseName;
	var $Result;
	var $TotAff;
	var $Row;
	var $TypeBase;
	
	//PDO VERSION
	var $dbh;#array
	var $lastid;
	var $currenttablename = Array(); // transformé en tableau de tables pour les imbrications de requêtes. Utilise le même indice que les statements.
	var $currentpdostatement;
	var	$currentselectrequest;
	
	#var $currentrequestwithtransact='-1';

	var $tableinfos_array;
	var $tablename_seq;
	
	var $tablevariable_array= Array();
	var $tablevariable_replace_array= Array();
	
	//ORACLE VERSION; used for prefix of index
	var $user;
	
	//Optimization
	
	var	$host;
	var $passwd;
	
	//END PDO
	
///////////////////////////////////////////////////////////////
//PDO VERSION
	function GetCnx($num) 
	/* for pdo
	 * $num: statement number
	*/
///////////////////////////////////////////////////////////////	
	{
		global $ORACLE;
		//$this->ConnectionID = @mysql_connect($host, $user, $passwd);
			
		$msg="GetCnx: $this->host,Num: $num\n";
			
		$this->WriteLog($msg);
		
		if(isset($this->dbh[$num])) #test if cnx ok
			return true;
		
		//PDO VERSION
				
		try 
		{
			//$dbh = new PDO("mysql:host=$hostname;dbname=UseitRepository", $username, $password);
			//$dbh = new PDO("odbc:DRIVER={SQL Native Client};Server=250.156.0.1;Database=myDataBase; Uid=userName;Pwd=thePassword;");
			//odbc:DSN=SAMPLE;UID=john;PWD=mypass
			
			//$dsn="odbc:DSN=MSSQLTestServer;Uid=" . $user . ";Pwd=" . $passwd . ";";			
			//$dsn="odbc:MSSQLTestServer";
			//$dsn = 'DRIVER=FreeTDS;SERVERNAME=172.17.162.51\SQLEXPRESS;DATABASE=imebase;';
			//$dsn = 'DRIVER=FreeTDS;SERVER=172.17.162.51\SQLEXPRESS;DATABASE=imebase;';
			
			//version windows: 	odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;
			//$dsn = "odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;";
			
			//$dsn="odbc:DSN=" . $database . ";Uid=" . $user . ";Pwd=" . $passwd . ";";
			
			//SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],
			//$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], NULL))
			//Server=myServerAddress;Port=3306;Database=myDataBase
			
			
			#$gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], NULL))
			list($hostname, $port)=explode(":",$this->host);
			
			//$dsn = "odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;";
		
			if(!$ORACLE)
			{
				if($this->DatabaseName)
					$dsn="odbc:DRIVER=$this->DriverName; SERVER=$hostname; PORT=$port; DATABASE=$this->DatabaseName; Uid=$this->user; Pwd=$this->passwd";
				else
					$dsn="odbc:DRIVER=$this->DriverName; SERVER=$hostname; PORT=$port; Uid=$this->user; Pwd=$this->passwd";
					
				$msg="GetCnx FOR MSSQL: $dsn,Num: $num\n";
	
				$this->WriteLog($msg);
			}
			else
			{			
				#$var_ini["INI_URL_BDD"] = "{Oracle dans OraCLient11g_home1}172.17.218.160";
				#$var_ini["INI_PORT_BDD"] = "1521";
				#$var_ini["INI_NOM_BDD"] = "uif";
				#$var_ini["INI_LOGIN_BDD"] = "nicolas";
				#$var_ini["INI_PWD_BDD"] = "nicolas";
				
				//Driver={Oracle dans OraCLient11g_home1};Dbq=//172.17.218.160:1521/uif;Uid=%s;Pwd=%s
				
				//list($driver, $hostnameandport)=explode("}",$this->host);
				
				//$driver.='}';
				
				if($this->DatabaseName)
					#$dsn="odbc:DRIVER=" . $driver . ";dbq=//". $hostname . ":" . $port . "/" . $database . ";Uid=" . $user . ";Pwd=" . $passwd;
					$dsn="odbc:DRIVER=$this->DriverName; DBQ=//$this->host/$this->DatabaseName; UID=$this->user; PWD=$this->passwd";
				else
					$dsn="odbc:DRIVER=$this->DriverName; DBQ=//$this->host; UID=$this->user; PWD=$this->passwd";
				
				$msg="GetCnx FOR ORACLE: $dsn,Num: $num\n";
	
				$this->WriteLog($msg);
				
			}
			//echo 'new PDO with : ' .  $dsn . '<br>';
			
			$this->dbh[$num] = new PDO($dsn);
			
			//echo 'end new PDO';
			
			/*** echo a message saying we have connected ***/
			//echo 'Connected to database<br>';
							
			/*** set the error reporting attribute ***/
			$this->dbh[$num]->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			
			//echo 'setAttribute';
			
			//$this->ConnectionID=$dbh;
					
		}
		catch(PDOException $e)
		{
			//echo "Error new PDO";
			#echo $e->getMessage();
			
			$this->erreur($e->getMessage(),$num);
			return false;
		}
						
		//echo 'test dbh';
		
		//END PDO VERSION
		
		if (!$this->dbh[$num])
		{
			//echo "Error dbh empty";
			#$this->erreur("Erreur de connexion");
			$this->erreur("Error dbh empty",$num);
			return false;
		}
	
		//echo "cnx OK";
		return true;
	}
			
///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLConnect($driver, $host, $user, $passwd, $database) 
	/* for pdo
	 * $host: empty
	 * $user: user
	 * $passwd: passwd
	 * $database: dsn
	*/
///////////////////////////////////////////////////////////////	
	{
		global $ORACLE;
		//$this->ConnectionID = @mysql_connect($host, $user, $passwd);
		
		$driver = '{'.$driver.'}';
		
		//PDO VERSION
		
		$msg="SQLConnect: $host, $user, $passwd, $database\n";
			
		$this->WriteLog($msg);
						
		if(is_object($this->dbh[0])) #optimisation
			return true;
			
		//Optimization	
		$this->host=$host;
		$this->user=$user;
		$this->passwd=$passwd;
		$this->database=$database;	
		
			
		#for($i=0;$i <= $this->NumReq+1; $i++)#NumReq+default request num
		for($i=0;$i < $this->NumReq; $i++)#NumReq
		{
			try 
			{
				//$dbh = new PDO("mysql:host=$hostname;dbname=UseitRepository", $username, $password);
				//$dbh = new PDO("odbc:DRIVER={SQL Native Client};Server=250.156.0.1;Database=myDataBase; Uid=userName;Pwd=thePassword;");
				//odbc:DSN=SAMPLE;UID=john;PWD=mypass
				
				//$dsn="odbc:DSN=MSSQLTestServer;Uid=" . $user . ";Pwd=" . $passwd . ";";			
				//$dsn="odbc:MSSQLTestServer";
				//$dsn = 'DRIVER=FreeTDS;SERVERNAME=172.17.162.51\SQLEXPRESS;DATABASE=imebase;';
				//$dsn = 'DRIVER=FreeTDS;SERVER=172.17.162.51\SQLEXPRESS;DATABASE=imebase;';
				
				//version windows: 	odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;
				//$dsn = "odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;";
				
				//$dsn="odbc:DSN=" . $database . ";Uid=" . $user . ";Pwd=" . $passwd . ";";
				
				//SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],
				//$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], NULL))
				//Server=myServerAddress;Port=3306;Database=myDataBase
				
				
				#$gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], NULL))
				list($hostname, $port)=explode(":",$host);
				
				//$dsn = "odbc:DRIVER={SQL Native Client}; SERVER=TEST35-NT52EFC\SQLEXPRESS; DATABASE=fm;;Uid=sa;Pwd=123;";
				
				$this->user=$user;
				$this->DriverName = $driver;
				
				$msg="SQLCONNECT: $host\n";
				
				$this->WriteLog($msg);
		
				if(!$ORACLE)
				{
					$this->TypeBase = 'mssql';
					
					if($database)
						$dsn="odbc:DRIVER=$driver; SERVER=$hostname; PORT=$port; DATABASE=$database; Uid=$user; Pwd=$passwd";
					else
						$dsn="odbc:DRIVER=$driver; SERVER=$hostname; PORT=$port; Uid=$user; Pwd=$passwd";
						
					$msg="SQLCONNECT FOR MSSQL: $dsn\n";
		
					$this->WriteLog($msg);
				}
				else
				{
					$this->TypeBase = 'oracle';
					
					#$var_ini["INI_URL_BDD"] = "{Oracle dans OraCLient11g_home1}172.17.218.160";
					#$var_ini["INI_PORT_BDD"] = "1521";
					#$var_ini["INI_NOM_BDD"] = "uif";
					#$var_ini["INI_LOGIN_BDD"] = "nicolas";
					#$var_ini["INI_PWD_BDD"] = "nicolas";
					
					//Driver={Oracle dans OraCLient11g_home1};Dbq=//172.17.218.160:1521/uif;Uid=%s;Pwd=%s
					
					//list($driver, $hostnameandport)=explode("}",$host);
					
					//$driver.='}';
					
					if($database)
						#$dsn="odbc:DRIVER=" . $driver . ";dbq=//". $hostname . ":" . $port . "/" . $database . ";Uid=" . $user . ";Pwd=" . $passwd;
						$dsn="odbc:DRIVER=$driver; DBQ=//$host/$database; UID=$user; PWD=$passwd";
					else
						$dsn="odbc:DRIVER=$driver; DBQ=//$host; UID=$user; PWD=$passwd";
						
					$msg="SQLCONNECT FOR ORACLE: $dsn\n";
		
					$this->WriteLog($msg);
					
				}
				//echo 'new PDO with : ' .  $dsn . '<br>';
				
				$this->dbh[$i] = new PDO($dsn);
				
				//echo 'end new PDO';
				
				/*** echo a message saying we have connected ***/
				//echo 'Connected to database<br>';
								
				/*** set the error reporting attribute ***/
				$this->dbh[$i]->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				
				try
				{
					// connexion avec timeout à 150 secondes
					// MSSQL Express 2005 genere une exception. Dans ce cas, on l'ignore
					$this->dbh[$i]->setAttribute(PDO::ATTR_TIMEOUT, 150);
				}
				catch(PDOException $e)
				{
					$this->WriteLog($e->getMessage());
				}

				if(!$ORACLE)
					$this->dbh[$i]->exec('SET DATEFORMAT ymd');
				
				//echo 'setAttribute';
				
				//$this->ConnectionID=$dbh;
						
			}
			catch(PDOException $e)
			{
				//echo "Error new PDO";
				#echo $e->getMessage();
				
				$this->erreur($e->getMessage(),$i);
				return false;
			}
					
			//echo 'test dbh';
			
			//END PDO VERSION
			#test the zero by default
			$num=0;
			
			if (!$this->dbh[$num])
			{
				//echo "Error dbh empty";
				#$this->erreur("Erreur de connexion");
				$this->erreur("Error dbh empty",$num);
				return false;
			}
		}
		
		//default request
		
		$this->dbh[$this->defaultrequestnum] = new PDO($dsn);
		
		//echo 'end new PDO';
		
		/*** echo a message saying we have connected ***/
		//echo 'Connected to database<br>';
						
		/*** set the error reporting attribute ***/
		$this->dbh[$this->defaultrequestnum]->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

		try
		{
			// connexion avec timeout à 150 secondes
			// MSSQL Express 2005 genere une exception. Dans ce cas, on l'ignore
			$this->dbh[$this->defaultrequestnum]->setAttribute(PDO::ATTR_TIMEOUT, 150);
		}
		catch(PDOException $e)
		{
			$this->WriteLog($e->getMessage());
		}
		
		if(!$ORACLE)
			$this->dbh[$this->defaultrequestnum]->exec('SET DATEFORMAT ymd');

		//end default request
		
		//echo "end test dbh;
							
		if ($database) return( $this->SQLSelectDatabase($database) );

		//echo "cnx OK";
		return true;
	}

///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLSelectDatabase($database)
	 //$database: dsn
///////////////////////////////////////////////////////////////
	{
		//echo "begin SQLSelectDatabase";
	
		$this->DatabaseName = $database;
		
		return true;
		
		//echo "end SQLSelectDatabase";

//MYSQL VERSION		
/*
		if ($this->ConnectionID)
			return @mysql_select_db($database, $this->ConnectionID);
		else
		{
			erreur("Erreur de selection de la base de donn�es");
			return false;
		}
*/
	}

	// On ne passe pas dans le parserMSSQL/ORACLE (utilisée dans la duplication pour créer les procédures)
	// La requete doit être conforme à la base utlisée
	function SQLQueryDirect($query, $num = '0')
	{
		$result = '';
 		$msg=sprintf("DIRECT QUERY : %s\n",$query);

		$this->WriteLog($msg);
		
		$this->GetCnx($num);
						
		if($query != "")
			$result = $this->dbh[$num]->query($query);
						
		if($result === FALSE)
		{
			$this->Result[$num]=FALSE;
		}
		else
		{
			$this->currentpdostatement=$this->Result[$num]=$result;
			$msg=sprintf("RESULT OF DIRECT QUERY, NUM: %d\n",$num);
			$this->WriteLog($msg);
			$this->Result[$num]=TRUE;
		}
		return $this->Result[$num];
	}
	
///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLQuery($query, $num = '0', $start = '', $limit = '')
///////////////////////////////////////////////////////////////	
	{
		global $ORACLE;
		
		# nettoyage global des "espace" "double espace" "saut de ligne" "tab"
		$query = str_replace(array("\n","\r","\t", "  "), " ", "$query");
		
		#debugbreak();
		
		$msg=sprintf("SQLQUERY: %s,start: %s,limit: %s, NUM: %d\n",$query,$start,$limit,$num);
		#echo $msg;
		
		$this->WriteLog($msg);	
		
		$this->GetCnx($num);
		
		if ((utf8_encode(utf8_decode($query)) == $query))
		{
			//echo $query;
			
			$query = utf8_decode($query);
		}

	
		//case CREATE TRIGGER
		
		if(hasCommand($query,'CREATE TRIGGER'))
		{
			$this->ExecCreateTrigger($query);
			return TRUE;
		}
		
		//mysql
		#if ($start != '' || $limit != '')
		#	$query .= ' LIMIT '.$start.','.$limit;
	
		#CASE :ORDER BY PAR_NOM  LIMIT 201
		
		if(hasCommand($query,'LIMIT '))
		{
			$debpos=stripos($query,'LIMIT ');
				
			if($debpos !== false)
				$query=substr($query,0,$debpos);
		}
		

		#CASE :FORMAT with quote
		
		if(stristr($query,"`FORMAT`"))
			$query=str_ireplace("`FORMAT`","FORMAT",$query);
			
		#CASE DROP/CREATE ... IF EXISTS/NOT EXISTS : INSTALL ORACLE	
		if($ORACLE) 
		{
			# analyse du "if exists" ou du "if not exists"
			if( hasCommand($query, 'if exists') || hasCommand($query, 'if not exists') )
			{
				# remplace les tab, saut de ligne par des espaces
				$query = str_replace(array("\n","\r","\t"), " ", "$query");
				# analyse du cas à traiter
				if( hasCommand($query, 'table') ) {$type_exists='table';} 
				if( hasCommand($query, 'trigger') ) {$type_exists='trigger';} 
				#  récupération du nom de la variable suivant la clause "exists"
				$debpos_exists=stripos($query,' exists');
				$subquery1 = substr($query,$debpos_exists+strlen(' exists'));
				$subquery1 = str_replace(" ", "", "$subquery1");
				# motifs juste après l'identifiant de la table
				$tmp = strpbrk("$subquery1","( ), ");
				# longueur de l'identifiant de la table
				$long_table = stripos("$subquery1", "$tmp[0]");
				# recupere le nom de la table
				if ($long_table > 0)
				{
					$type_name = substr($subquery1,0, $long_table);
				} else
				{
					$type_name = $subquery1;
				}
				# construction requête d'appel à la fonction (renvoie "1" si existence)
				$query_exists=sprintf("SELECT %s_exist('%s') FROM DUAL",$type_exists,$type_name);
				# appel fonction via SGBD
				$this->SQLQuery("$query_exists", 1);
				$row = $this->SQLNextRow(1);
				$test_exists = $row[0];
				# réécriture de la requête analysée
				if( $test_exists == "1" && hasCommand($query, 'IF EXISTS'))
				{	
					$query = str_replace("IF EXISTS", " ", $query);
				}
				elseif( $test_exists != "1" && hasCommand($query, 'IF NOT EXISTS'))
				{
					$query = str_replace("IF NOT EXISTS", " ", $query);
				}
				else
				{
					$query= "";
				}
			}
		} else {
			if(hasCommand($query,"DROP TABLE IF EXISTS "))
				$query="";	
		}	
		
//MYSQL VERSION
/*	
		if ((isset($_SESSION['CPT_ID'])) && (!strstr($query,'SELECT'))) {
			$query_user="UPDATE compte set CPT_LAST_ACT=now() where CPT_ID=".$_SESSION['CPT_ID'].";";
			//$query_user="SET @cur_user=".$_SESSION['CPT_ID'].";";
			@mysql_query($query_user, $this->ConnectionID);
		}
*/		
/*
		$this->Result[$num] = @mysql_query($query, $this->ConnectionID); //mysql_unbuffered_query?
		$this->TotAff[$num] = @mysql_affected_rows($this->ConnectionID);
		if(!$this->Result[$num])
		{
			if (mysql_errno() == 1062)
			{
				$res[0] = SQL_DUP_CHAMP;
				return $res;
			}
			$this->erreur("$query");
		}
*/
//PDO VERSION

		#$explodequery = explode(" ", $query);
			
		#$this->currenttablename=$explodequery[1];
			
		$explodequery = explode("from ", strtolower($query));
		
		if(isset($explodequery[1]))
			$currenttablename=$explodequery[1];
		else	
			$currenttablename="";
		
		if(hasCommand($currenttablename,'WHERE '))	
			$tab_currenttablename = explode("where ", strtolower($currenttablename));
		else
			$tab_currenttablename[0]=$currenttablename;
		
		$tab_currenttablename[0] = trim($tab_currenttablename[0]);
		
		if($tab_currenttablename[0]!='')
			$this->currenttablename[$num] = $tab_currenttablename[0];
		
		if(!$ORACLE)
			$this->SQLQueryForMSSQL($query, $num,$start,$limit);
		else
			$this->SQLQueryForORACLE($query, $num,$start,$limit);
//END PDO VERSION	
 			
		#var_dump($this->Result[$num]);		
		return $this->Result[$num];
	}
	
///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLQueryForMSSQL($query, $num = '0',$start = '', $limit = '')
///////////////////////////////////////////////////////////////	
	{	
		#echo "SQLQueryForMSSQL";
		#debugbreak();
		$result = '';
		
		if($start != '' || $limit != '')
		{
			/* 
			example:
			La requête :

			SELECT SQL_CALC_FOUND_ROWS ACT_ID, TAC_NOM, TAC_FLAG, ACT_LIBEL, ACT_NUMPROC, TAC_LIBEL
					FROM ACTIVITE, TYPE_ACT 
					WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
						AND ACTIVITE.ACT_ETAT != 2 
						AND ACTIVITE.CLT_ID = 1 
						 
					ORDER BY TAC_NOM,start: 0,limit: 20

			Devient:

			SELECT * FROM
			( SELECT
			    ROW_NUMBER() OVER (ORDER BY TAC_NOM) AS ROW_NUMBER,
			    *
			  FROM (SELECT  ACT_ID, TAC_NOM, TAC_FLAG, ACT_LIBEL, ACT_NUMPROC, TAC_LIBEL
					FROM ACTIVITE, TYPE_ACT 
					WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
						AND ACTIVITE.ACT_ETAT != 2 
						AND ACTIVITE.CLT_ID = 1) t
			) t
			WHERE ROW_NUMBER <= 20

			La différence par rapport à ORACLE porte sur le OVER en précisant le ORDER BY et de nommer les SELECT imbriqués.
			
			*/
			
			# CASE SQL_CALC_FOUND_ROWS		
			if(stristr($query,'SELECT SQL_CALC_FOUND_ROWS'))
				$query=str_ireplace('SQL_CALC_FOUND_ROWS','',$query);
				
			$this->currentselectrequestwithoutstartandlimit=$query;
			
			$selectpos = stripos(ltrim($query), 'SELECT ');
			
			if($selectpos === false) #case line return
				$selectpos = stripos($query, 'SELECT');
			
			if($selectpos !== false)
			{
				if($selectpos == 0)
				{
						
					$debpos=stripos($query,'ORDER BY ');
					
					if($debpos == false) 		
					{			
						
						$substring=substr($query,$selectpos+strlen('SELECT '));
						
						$endfirstfield = stripos(ltrim($substring), ',');
						
						if($endfirstfield !== false)
							$firstfield=substr(ltrim($substring),0,$endfirstfield);
						else						
						{
							#case one field
							
							$endfirstfield = stripos(ltrim($substring), 'FROM ');
							
							if($endfirstfield !== false)
								$firstfield=substr(ltrim($substring),0,$endfirstfield);
						
						}
				
						$prefixfirstfield = stripos($firstfield, '.');
								
						if($prefixfirstfield !== false)
							$firstfield=substr($firstfield,$prefixfirstfield+1);
								
						$orderby=sprintf("order by %s",$firstfield);
						
						$select=$query;
						
			
					}	
					else
					{
						$orderby=substr($query,$debpos);
					
						$select=substr($query,0,$debpos);
					}

					$query=sprintf("SELECT * FROM (SELECT ROW_NUMBER() OVER (%s) AS r,t1.* FROM (%s) t1) t2 WHERE r BETWEEN (%s) AND (%s)",$orderby,$select,$start+1,$start+$limit);
				}
			}			
		}
		
		// bgz 4796 : duplication BdD MsSQL pour les colonnes IDENTITY
		// retourne True/False et sort de la boucle spécifique MSSQL pour éviter la suite de l'analyse de la req
		if(hasCommand($query,'SET IDENTITY_INSERT ')) 
		{
			$msg=sprintf("EXEC FOR MSSQL: %s\n",$query);
			$this->WriteLog($msg);
			$result = $this->dbh[$num]->exec($query);
			
			if($result === FALSE)
			{
					$this->Result[$num]=$result;
					return $this->Result[$num];
			}
			else
			{
				$this->TotAff[$num]=$result;
				$this->Result[$num]=TRUE;
				return $this->Result[$num];
			}
		}		
		
		
		#case SHOW TABLES TO select name from fm5Q1..sysobjects where xtype = 'U'
		
		if(hasCommand($query,'SHOW TABLES FROM '))	
			$query="select name from sysobjects where xtype = 'U' order by name";
			
		# CASE CONCAT		
		if(stristr($query,'CONCAT('))
			$query=$this->parseConcatMSSQL($query); // BG : 28/03/2012 : refonte de la fonction parseConcat  pour ORACLE(différenciation de la fonction pour les 2types de BdD)

		# CASE LAST_INSERT_ID
		if(stristr($query,'LAST_INSERT_ID()'))
		{		
			$identity=$this->get_IDENTITY();
			$query=str_ireplace('LAST_INSERT_ID()',$identity,$query);
		}

		# CASE NOW
		if(stristr($query,'NOW()'))		
			$query=str_ireplace('NOW()','GETDATE()',$query);
		
		#CASE UPDATE FLOWCONF SET FCO_URL_WS=
		if((hasCommand($query,'SET ')) && (!hasCommand($query,'UPDATE ')))
		{
			#echo "SET";		
			#SET @REPCLIIHM=CONCAT('[@INI_REP_MOTEUR]',CONCAT('cli[@SEP_CAR]','[@INI_NOM_CLIENT]'))
			
			$debpos=stripos($query,'SET ');
			
			$set=substr($query,$debpos);

			#echo "set: $set\n";
			
			$endpos = stripos($set, ';');
			
			if($endpos !== false)
				$set=substr($set,0,$endpos);
			else
				$set=substr($set,0);
				
			#echo "set: $set\n";
			
			list($var, $value) = explode("=",$set,2); 
			
			#echo $var;
			
			$pos = strpos($var, "@");
			
			#echo $pos;
			
			if ($pos > 0)
			{ 
				$varname=substr($var,$pos);
				
				$varname=rtrim($varname);
				$varname=rtrim($varname,':');
				#echo "varname:" . $varname;
			}
					
			if(hasCommand($value,'FROM '))			
			{
				#SELECT -> SET @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
				
				$debpos=stripos($value,'FROM ');
			
				$var=substr($value,0,$debpos);
				
				$var=trim($var);
				
				#echo "var: $var\n";
				 				
				$value=sprintf("SELECT %s",$value);
							
				$this->SQLQuery($value, $this->defaultrequestnum);
	
				$row = $this->SQLNextRow($this->defaultrequestnum);
				
				#print_r($row);

				$value = $row[$var];
				
			}
				
			$value=trim($value);
			$value=rtrim($value,')');
			$value=$this->parseSQLVarMSSQL($value);
			if($value[0]=="'") $this->tablevariable_array[$varname]=$value;
			else $this->tablevariable_array[$varname]="'".$value."'";
				
			#print_r($this->tablevariable_array);
				
			$this->Result[$num]=TRUE;
				
			$msg=sprintf("SET: %s: %s\n",$varname,$value);
				
			#echo $msg;
				
			$this->WriteLog($msg);			
			
			return $this->Result[$num];
											
			#echo "\nquery after set: $query\n"; 
		}
		
		#CASE MD5
		if(stristr($query,'md5('))
		{					
			#echo "MD5\n";
			#md5('[@INI_PWD_ADMIN]')
			#to HashBytes('MD5',('toto' +'titi' +'tutu'))
			
			$beginpos =$pos = stripos($query, 'md5(');
			
			#print "pos:" . $pos . "\n";
			
			$stringreplace="";
			
			if ($pos > 0)
			{ 
				$md5param=substr($query,$pos+strlen('md5('));
				$endpos = stripos($md5param, ')');
				$md5param=substr($md5param,0,$endpos);
				
				$stringreplace=substr($query,$beginpos,strlen('md5(')+strlen($md5param)+1);
				
				#echo "stringreplace: $stringreplace\n";
			}
			
			#$HashBytes=sprintf("HashBytes('MD5',%s)",$md5param);
			#SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5', 'admin')), 3, 32)
			
			$HashBytes=sprintf("SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5',%s)), 3, 32)",$md5param);
			
			$query=str_ireplace($stringreplace,$HashBytes,$query);
			
			#echo "query after replace md5: $query\n";
			 
		}
			
		#CASE BEGIN
		if(hasCommand($query,'BEGIN'))	
		{	
			#echo "\nbegin: $query\n";
			if(!stristr($query,'CREATE PROCEDURE') && !stristr($query,'CREATE LOGIN'))
				$query=str_ireplace('BEGIN','',$query);
			/*
			if($this->SQLTransact())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}

		#CASE COMMIT
		if(hasCommand($query,'COMMIT'))
		{
			#echo "\ncommit: \n";		
			$query=str_ireplace('COMMIT','',$query);
			/*
			if($this->SQLCommit())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}
		
		$found_ignore=false;
	
		#CASE INSERT IGNORE			
		if(hasCommand($query,'INSERT IGNORE'))
		{
			$query=str_ireplace('INSERT IGNORE','INSERT',$query);	
			$found_ignore=true;	
		}
					
		#####################################			
		#CASE SELECT,REPLACE,INSERT			
		#####################################			
		
		try 
		{	
			//CASE SELECT		
			
			#if(hasCommand($query,'SELECT'))
			#{
			
			$pos=stripos($query,'SELECT'); # case select in field
			
			$caseselect=false;
			
			#echo "pos: $pos";
			
			if($pos !== false)
			{
				if($pos > 0)
				{
					$pos-=1;
					
					#echo "query:" . $query[$pos];
					
					if(($query[$pos] != "'") && ($query[$pos] != "("))#case (SELECT CLT_ID FROM CLIENT)
					{
						#echo "not find quote";
						
						#case 'PI 3 dans select'
						if($query[$pos+strlen("select")+1] != "'") 
						{
							#$char=$query[$pos+strlen("select")+1];
							#echo "not find quote: $char";
							$caseselect=true;
						}
						else
							$caseselect=false;
					}
					else
					{
						#echo "find quote";				
						$caseselect=false;
						/*
						Ce traitement ci-dessous n'a pas lieu d'être, la requête concernée est maintenant éclatée suivant le type de base.
						Celà provoquait une erreur sur la gestion de !=''
						
						#case 
						#select concat(''#{'', concat(AFX_ID,''.FIC_ID}'')),
						#AFX_LIBEL from ACTFLUX where FLX_ID=[@FLX_ID] and AFX_ACTIF=1 order by AFX_LIBEL
						$substr=substr($query,$pos);
						
						#until',
						
						$pos=stripos($substr,"','");
						
						#echo "pos: $pos,$substr";
						
						$substr=substr($substr,0,$pos);
						
						#echo "substr: $substr";
						
						$newsubstr=str_ireplace("''",'"',$substr);	
		
						$query=str_ireplace($substr,$newsubstr,$query);	
						
						#echo $query;
						*/
					}
				}
				else
					$caseselect=true;			
			}
						
			if($caseselect)
			{
				#echo "case select for MSSQL";

				$query=$this->parseSELECTMSSQL($query,$num);
				
				if($query == "")
					return $this->Result[$num];
				else
				{					
					#echo "current table: $this->currenttablename";	
					
					#test if cursor is open
						
					if(isset($this->Result[$num]) && $this->Result[$num])
					{
						$msg="*** implicit closeCursor() ***";
						
						$this->WriteLog($msg);
					
						if(is_object($this->Result[$num]))
							$this->Result[$num]->closeCursor();
							
						$this->Result[$num]=NULL;
						$this->currentpdostatement=NULL;
					}
								
					$msg=sprintf("QUERY FOR MSSQL: %s\n",$query);
					
					#echo $msg;
					
					$this->WriteLog($msg);
					
					if($query != "")
						$result = $this->dbh[$num]->query($query);
					
					if($result === FALSE)
					{
						 //return error
						 #echo "error\n";
						 $this->Result[$num]=FALSE;
					}
					else
					{
						#echo "return of select\n"; 	
						#var_dump($result);
						
						$this->currentpdostatement=$this->Result[$num]=$result;
						
						#echo "current table: $this->currenttablename";	
								
						$msg=sprintf("RESULT OF QUERY FOR MSSQL, NUM: %d\n",$num);
					
						#echo $msg;
					
						$this->WriteLog($msg);
					}
				}	
			}
			else
			{				
				if(hasCommand($query,'REPLACE '))
				{		
					#echo "find REPLACE";
					
					//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)

					$query=$this->parseREPLACEMSSQL($query,$num);
				
					if($query == "")
						return $this->Result[$num];
					else
					{					
						//echo "current table: $this->currenttablename";	
									
						$msg=sprintf("QUERY FOR MSSQL: %s\n",$query);
						
						#echo $msg;
						
						$this->WriteLog($msg);
						
						if($query != "")
							$result = $this->dbh[$num]->query($query);
						
						if($result === FALSE)
						{
							 //return error
							 #echo "error\n";
							 $this->Result[$num]=FALSE;
						}
						else
						{
							#echo "return of select\n"; 	
							$this->currentpdostatement=$this->Result[$num]=$result;
						}
					}		
				}
				
				//insert, delete
				
				//INSERT CASE
				if(hasCommand($query,'INSERT'))
				{				
					#replace \' by ''
					#not used for configurator
					#$query=str_ireplace("\'","''",$query);
					
					$explodequery = explode(" ", $query);
					
					$tablename=$explodequery[2];
					
					if(stristr($tablename,'(')) # case Tabulation
					{
					
						$pos=stripos($tablename,'(');
						
						$tablename=substr($tablename,0,$pos);
						
					}	
					
					$this->currenttablename[$num] = trim($tablename);
					
					//echo "current table: $tablename";
					
					$query=$this->parseSQLVarMSSQL($query);
					
					//case autonumber
					//now IDENTITY		
				}
							
				//echo "QUERY\r\n";
				#var_dump($this);
				
				$msg=sprintf("EXEC FOR MSSQL: %s\n",$query);
				
				#echo $msg;
				
				$this->WriteLog($msg);
				
				$result=FALSE;
								
				if($query != "")	
					$result = $this->dbh[$num]->exec($query);
				else	
					$result = TRUE;#for install activity
					
				#$msg=sprintf("*** End of EXEC FOR MSSQL: result: %d ***\n",$result);
						
				#$this->WriteLog($msg);

				 if($result === FALSE)
				 {
					#$msg=sprintf("*** FALSE on EXEC FOR MSSQL ***\n");
					
					 //return error
					 $this->Result[$num]=$result;
				 }
				 else
				 {
				 
					#$msg=sprintf("*** TRUE on EXEC FOR MSSQL ***\n");
						
					//echo "count of query: " .  $result;
					$this->TotAff[$num]=$result;
					$this->Result[$num]=TRUE;
					
				}
				
				#$this->WriteLog($msg);
			}
		}
		catch(PDOException $e)
		{
			$msg=sprintf("*** Error on EXEC FOR MSSQL: error: %d, message: %s ***\n",$e->getCode(),$e->getMessage());
					
			$result=FALSE;
			$this->Result[$num]=$result;

			$error_message=$e->getMessage();
			
			if($e->getCode()==2627) //????
			//TO DO
			// ... duplicate key ...
			{					
				#echo "CONCURRENT ACCESS FOR SQLSERVER";					
			}
			else
			{
				if($e->getCode()==22007) //Invalid datetime format
				{
					$pos = stripos($error_message, "SQLExecDirect[242]"); // valable pour 0000-00-00 00:00:00 qui n'est pas valide sous MsSQL
					if ($pos !== false)
					{
						$this->dbh[$num]->exec("set dateformat ymd"); // ça peut être aussi un problème d'inversion mois/jour donc on le force
						$msg .="*** REPLACE INVALID NULL DATE BY EMPTY DATE ***\n";
						$this->WriteLog($msg);
						
						// on reformate les dates trouvées dans la requete et on refait la requete
						$query = str_replace('0000-00-00 00:00:00', '', $query);
						$this->Result[$num] = $this->SQLQueryForMSSQL($query, $num, $start, $limit);
						return $this->Result[$num];
					}
				}
				else if($e->getCode()==23000) //Violation de la contrainte UNIQUE KEY
				{
					if($found_ignore)//case INSERT IGNORE
					{
						$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
						$this->WriteLog($msg);
						$result=TRUE;
						$this->Result[$num]=$result;
					}	
					else
					{
						$res[0] = SQL_DUP_CHAMP;
						return $res;
					}
				}	

				$pos = stripos($error_message, "SQLExecDirect[3701]"); // valable pour DROP TABLE et DROP TRIGGER
				if ($pos !== false) 
				{
					$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
					$this->WriteLog($msg);
	
					$result=TRUE;
					$this->Result[$num]=$result;
				}
                                
				$pos = stripos($error_message, "SQLExecDirect[102]");
				if ($pos !== false) 
				{		
					if($found_ignore)
					{
						$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
						$this->WriteLog($msg);
		
						$result=TRUE;
						$this->Result[$num]=$result;
					}
				}

				$pos = stripos($error_message, "SQLExecDirect[2714]");
				if ($pos !== false) 
				{			
					$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
					$this->WriteLog($msg);
		
					$result=TRUE;
					$this->Result[$num]=$result;
				}

				$pos = stripos($error_message, "SQLExecDirect[1913]");
				if ($pos !== false) 
				{			
					$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
					$this->WriteLog($msg);
		
					$result=TRUE;
					$this->Result[$num]=$result;
				}
				
			}
			
			if(!$this->Result[$num])
			{
				$msg=sprintf("QUERY: %s, NUM: %d",$query,$num);
				$this->erreur($msg,$num);
			}
			
		}		

		return $this->Result[$num];
	}

///////////////////////////////////////////////////////////////
//PDO VERSION
	function SQLQueryForORACLE($query, $num = '0',$start = '', $limit = '')
///////////////////////////////////////////////////////////////	
	{	
		$result = '';
		if($start != '' || $limit != '')
		{
			/* 
			example:
			SELECT SQL_CALC_FOUND_ROWS ACT_ID, TAC_NOM, TAC_FLAG, ACT_LIBEL, ACT_NUMPROC, TAC_LIBEL
			FROM ACTIVITE, TYPE_ACT 
			WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
			AND ACTIVITE.ACT_ETAT != 2 
			AND ACTIVITE.CLT_ID = 1 			 
			ORDER BY TAC_NOM,start: 0,limit: 20

			TO
			
			SELECT * FROM
			(
			SELECT ACT_ID, TAC_NOM, TAC_FLAG, ACT_LIBEL, ACT_NUMPROC, TAC_LIBEL
					FROM ACTIVITE, TYPE_ACT 
					WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
						AND ACTIVITE.ACT_ETAT != 2 
						AND ACTIVITE.CLT_ID = 1 ORDER BY TAC_NOM)
			WHERE rownum BETWEEN (0) AND (20)			
			*/
			
			# CASE CONCAT
			if(stristr($query,'CONCAT('))
				$query=$this->parseConcatORACLE($query);

			# CASE SQL_CALC_FOUND_ROWS		
			if(stristr($query,'SELECT SQL_CALC_FOUND_ROWS'))
				$query=str_ireplace('SQL_CALC_FOUND_ROWS','',$query);
				
			$this->currentselectrequestwithoutstartandlimit=$query;
			
			$selectpos = stripos($query, 'SELECT ');
			
			if($selectpos === false) #case line return
				$selectpos = stripos($query, 'SELECT');

            // BG 19/11/2012 : bgz3996 pas de 'limit' si stripos($query, 'SELECT ROWNUM')===false 
			// cas pour l'affichage lorsque on pôsitionne un filtre sur nb lignes
			// if($selectpos !== false  and stripos($query, 'SELECT ROWNUM') !==false)
			if($selectpos !== false )   
			{
				if($selectpos == 0)
				{
					#$query=substr($query,$selectpos+strlen('SELECT'));
					
					#$debpos=stripos($query,'ORDER BY ');
					
					#$orderby=substr($query,$debpos);

					/*	
					SELECT * FROM ( SELECT ROWNUM AS r,t.*  FROM (SELECT ACT_ID, TAC_NOM, TAC_FLAG, ACT_LIBEL, ACT_NUMPROC, TAC_LIBEL
					FROM ACTIVITE, TYPE_ACT 
					WHERE ACTIVITE.TAC_NUM = TYPE_ACT.TAC_NUM 
					AND ACTIVITE.ACT_ETAT != 2 
					AND ACTIVITE.CLT_ID = 1 
					ORDER BY TAC_NOM) t) WHERE r > 20 AND r <= 30 OK
					*/
	
					//$query=sprintf("SELECT * FROM (SELECT rownum as r,%s) WHERE r BETWEEN (%s) AND (%s)	%s",$query,$start+1,$start+$limit,$orderby);
					$query=sprintf("SELECT * FROM (SELECT ROWNUM AS r,t.* FROM (%s)t) WHERE r BETWEEN (%s) AND (%s)",$query,$start+1,$start+$limit);
				}
			}			
		}
		
		if(hasCommand($query,'SHOW TABLES FROM '))	
			$query="SELECT TABLE_NAME FROM USER_TABLES ORDER BY TABLE_NAME"; # bgz 4730


	
		//  BG 13/06/2012 : inutile, rajoute le nom de  la table à la fin fin du nom de l'index ... 
		//                                 PB de longueur des identifiants sous ORACLE (chaine<30).
		//                                 erreur décellée en install Mail_FSE (car installation du rapprochement + pdo.inc.php de l'install)
		//                                  erreur non remontée lors de la config ajout d'activité rapprochement car pdo.inc.php différents !!!!!!!! 
		/*
		# CASE CREATE INDEX  OR CREATE TABLE WITH USER PREFIX		
		
		if(hasCommand($query,'CREATE '))
		{
			#echo "create found\n";
	
			#CREATE INDEX IX_21_CLT_ID ON TYPE_DOC (CLT_ID)
			if(stristr($query,'CREATE INDEX'))#because diff with index in the table
			{
				#echo "create index\n";
				#CREATE INDEX IX_CLT_ID ON TYPE_ROLE (CLT_ID)
				
				$beginpos = stripos($query, 'CREATE INDEX');
			
				if($beginpos !== false)
				{
					$createindex=substr($query, $beginpos);
					
					$explodequery = explode(" ", $createindex);
			
					if(stristr($explodequery[3],'ON'))				
					{
				
						$tablename=rtrim($explodequery[4]);
					
						$namereplace=trim($explodequery[2]) ;
					
						//$newname=  $namereplace . '_' . $tablename; // BG 13/06/2012 : inutile ??? (finalement on commente toute la condition CREATE ...) 
						//$newname=substr($newname,0,ORACLE_LENGTH_IDENTIFIER);  // DIFFERENCE AVEC PDO INSTALL donc pas d'erreur lors du rajout d'activite rapprochement !!!!!
						$newname=  $namereplace;
					}		
				}
				
				$query=str_ireplace($namereplace,$newname,$query,$count);
				#echo $query;
			}			
			
			#echo $query . "count: " .$count;
			
		}
		*/
				
		# CASE LAST_INSERT_ID
		if(stristr($query,'LAST_INSERT_ID()'))
		{		
			$identity=$this->get_IDENTITY();
			$query=str_ireplace('LAST_INSERT_ID()',$identity,$query);
		}

		# CASE NOW
		if(stristr($query,'NOW()'))		
			$query=str_ireplace('NOW()','SYSDATE',$query);
		
		#CASE UPDATE FLOWCONF SET FCO_URL_WS=
		if((hasCommand($query,'SET ')) && (!hasCommand($query,'UPDATE ')))
		{
			#echo "SET";		
			#SET @REPCLIIHM=CONCAT('[@INI_REP_MOTEUR]',CONCAT('cli[@SEP_CAR]','[@INI_NOM_CLIENT]'))
			
			$debpos=stripos($query,'SET ');
			
			$set=substr($query,$debpos);

			#echo "set: $set\n";
			
			$endpos = stripos($set, ';');
			
			if($endpos !== false)
				$set=substr($set,0,$endpos);
			else
				$set=substr($set,0);
				
			#echo "set: $set\n";
			
			list($var, $value) = explode("=",$set,2); 
			
			#echo $var;
			
			$pos = strpos($var, "@");
			
			#echo $pos;
			
			if ($pos > 0)
			{ 
				$varname=substr($var,$pos);
				
				$varname=rtrim($varname);
				$varname=rtrim($varname,':');
				#echo "varname:" . $varname;
			}
					
			if(hasCommand($value,'FROM '))			
			{
				#SELECT -> SET @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
				
				$debpos=stripos($value,'FROM ');
			
				$var=substr($value,0,$debpos);
				
				$var=trim($var);
				
				#echo "var: $var\n";
				 				
				$value=sprintf("SELECT %s",$value);
							
				$this->SQLQuery($value, $this->defaultrequestnum);
	
				$row = $this->SQLNextRow($this->defaultrequestnum);
				
				#print_r($row);

				$value = $row[$var];
				
			}
				
			$value=trim($value);
			$value=rtrim($value,')');
			$value=$this->parseSQLVarORACLE($value);
			if($value[0]=="'") $this->tablevariable_array[$varname]=$value;
			else $this->tablevariable_array[$varname]="'".$value."'";
				
			#print_r($this->tablevariable_array);
				
			$this->Result[$num]=TRUE;
				
			$msg=sprintf("SET: %s: %s\n",$varname,$value);
				
			#echo $msg;
				
			$this->WriteLog($msg);
							
			return $this->Result[$num];
											
			#echo "\nquery after set: $query\n"; 
		}
		
		#CASE MD5
		if(stristr($query,'md5('))
		{					
			#echo "MD5\n";
			#md5('[@INI_PWD_ADMIN]')
			#to HashBytes('MD5',('toto' +'titi' +'tutu'))
			
			$beginpos =$pos = stripos($query, 'md5(');
			
			#print "pos:" . $pos . "\n";
			
			$stringreplace="";
			
			if ($pos > 0)
			{ 
				$md5param=substr($query,$pos+strlen('md5('));
				$endpos = stripos($md5param, ')');
				$md5param=substr($md5param,0,$endpos);
				
				$stringreplace=substr($query,$beginpos,strlen('md5(')+strlen($md5param)+1);
				
				#echo "stringreplace: $stringreplace\n";
			}
			
			#$HashBytes=sprintf("HashBytes('MD5',%s)",$md5param);
			#SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5', 'admin')), 3, 32)
			
			#$HashBytes=sprintf("SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5',%s)), 3, 32)",$md5param);
			#DBMS_CRYPTO.HASH(RAWTOHEX(%s),2)
			#$HashBytes=sprintf("SUBSTRING(master.dbo.fn_varbintohexstr(HashBytes('MD5',%s)), 3, 32)",$md5param);
			
			#$HashBytes=sprintf("SUBSTRING(RAWTOHEX(DBMS_CRYPTO.HASH(RAWTOHEX(%s),2)), 3, 32)",$md5param);
			$HashBytes=sprintf("SUBSTRING(RAWTOHEX(DBMS_CRYPTO.HASH(RAWTOHEX(%s),2)), 1, 32)",$md5param);
			
			$query=str_ireplace($stringreplace,$HashBytes,$query);
			
			#echo "query after replace md5: $query\n";
			 
		}
		
		#CASE BEGIN
		if(hasCommand($query,'BEGIN'))	
		{	
			#echo "\nbegin: $query\n";	
			if(!hasCommand($query,'END')) #case procedure
				$query=str_ireplace('BEGIN','',$query);
			/*
			if($this->SQLTransact())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}

		#CASE COMMIT
		if(hasCommand($query,'COMMIT'))
		{
			#echo "\ncommit: \n";		
			$query=str_ireplace('COMMIT','',$query);
			/*
			if($this->SQLCommit())
				$this->Result[$num]=TRUE;
			else
				$this->Result[$num]=FALSE;
				
			return $this->Result[$num];
			*/		
		}
		
		$found_ignore=false;
	
		#CASE INSERT IGNORE			
		if(hasCommand($query,'INSERT IGNORE'))
		{
			$query=str_ireplace('INSERT IGNORE','INSERT',$query);	
			$found_ignore=true;	
		}


		#####################################			
		#CASE SELECT,REPLACE,INSERT			
		#####################################			
		
		try 
		{	
			//CASE SELECT		
			#if(stristr($query,'SELECT'))
			#{

			$pos=stripos($query,'SELECT'); # case select in field
			
			$caseselect=false;
			
			// remplacement des quotes dans le cas des champs vide par IS NULL , IS NOT NULL (Bz 4445 : BG 11/04/2012)
			if(stristr($query,"!=''''"))
				$query=str_ireplace("!=''''"," IS NOT NULL",$query);			
			if(stristr($query,"=''''"))
				$query=str_ireplace("=''''"," IS NULL",$query);	
			
			#echo $query;
			
			#echo "pos: $pos";
			
			if($pos !== false)
			{
				#print "case select  !== false";
				
				if($pos > 0)
				{
					$pos-=1;
					
					#echo "query:" . $query[$pos];
					
					if(($query[$pos] != "'") && ($query[$pos] != "("))#case (SELECT CLT_ID FROM CLIENT)
					{
						#echo "not find quote";
						
						#case 'PI 3 dans select'
						if($query[$pos+strlen("select")+1] != "'") 
						{
							#$char=$query[$pos+strlen("select")+1];
							#echo "not find quote: $char";
							$caseselect=true;
						}
						else
							$caseselect=false;
					}
					else
					{
						#echo "find quote";				
						$caseselect=false;
						/*
						#case 
						#select concat(''#{'', concat(AFX_ID,''.FIC_ID}'')),
						#AFX_LIBEL from ACTFLUX where FLX_ID=[@FLX_ID] and AFX_ACTIF=1 order by AFX_LIBEL
						$substr=substr($query,$pos);
						
						#until',
						
						$pos=stripos($substr,"','");
						
						#echo "pos: $pos,$substr";
						
						$substr=substr($substr,0,$pos);
						
						#echo "substr: $substr";
						
						$newsubstr=str_ireplace("''",'"',$substr);	
		
						$query=str_ireplace($substr,$newsubstr,$query);	
						
						#echo $query;
						*/
					}
				}
				else
					$caseselect=true;			
			}
			
			if($caseselect)
			{ //case select with insert: for oracle, manage the sequence
			
				if(hasCommand($query,'INSERT'))
				{
				
					$query=$this->parseSELECTORACLE($query,$num);
					

					if($query == "")
						return $this->Result[$num];
						
					$caseselect=false;	
				}
			}
			
			if($caseselect)
			{
				#echo "case select";
				
				$query=$this->parseSELECTORACLE($query,$num);
			

				if($query == "")
					return $this->Result[$num];
				else
				{					
					//echo "current table: $this->currenttablename";	
								
					$msg=sprintf("QUERY FOR ORACLE: %s\n",$query);
					
					#echo $msg;
					
					$this->WriteLog($msg);
					
					if($query != "")
						$result = $this->dbh[$num]->query($query);
					
					if($result === FALSE)
					{
						 //return error
						 #echo "error\n";
						 $this->Result[$num]=FALSE;
					}
					else
					{
						#echo "return of select\n"; 	
						$this->currentpdostatement=$this->Result[$num]=$result;
					}
				}		
			}
			else
			{				
				if(hasCommand($query,'REPLACE '))
				{				
					//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)

					#replace \' by ''
					#used for install
					#$query=str_ireplace("\'","''",$query);
					
					$query=$this->parseREPLACEORACLE($query,$num);


					if($query == "")
						return $this->Result[$num];
					else
					{					
						//echo "current table: $this->currenttablename";	
									
						$msg=sprintf("QUERY FOR ORACLE: %s\n",$query);
						
						#echo $msg;
						
						$this->WriteLog($msg);
						
						if($query != "")
							$result = $this->dbh[$num]->query($query);
						
						if($result === FALSE)
						{
							 //return error
							 #echo "error\n";
							 $this->Result[$num]=FALSE;
						}
						else
						{
							//echo "return of select\n"; 	
							$this->currentpdostatement=$this->Result[$num]=$result;
						}
					}		
				}
				
				//insert, delete
				
				//INSERT CASE
				if(hasCommand($query,'INSERT'))
				{				
					#  BG 28/03/2012 (bugzilla 3996) : récupère le nom de la table suite à un pb sous ORACLE 
					$pos_into=stripos(strtolower($query),'into');
					$subquery=substr($query,$pos_into+strlen('into'));
					$explodequery = explode(" ", $subquery);
					$tablename=$explodequery[1];
					
					if(stristr($tablename,'(')) # case Tabulation
					{
					
						$pos=stripos($tablename,'(');
						
						$tablename=substr($tablename,0,$pos);
						
					}	
					
					$this->currenttablename[$num] = trim($tablename);
					
					//echo "current table: $tablename";
					
					if($this->currenttablename[$num] != "SEQUENCES")
					{
						#echo "current table: $tablename";
						
						$query=$this->parseSQLVarORACLE($query);
						
						#echo $query;
						
						//case autonumber
						
						//select field from SEQUENCES with table name
						
						$formatreq = "select FIELD_NAME from SEQUENCES where TABLE_NAME='%s'";
						
						$current_table_name = $this->currenttablename[$num];
                        // bgz 4796 : Duplication : cas où on trouve des doubles quotes
                        $current_table_name = str_replace('"','',$current_table_name);
                                                
						$req=sprintf($formatreq, $current_table_name);
								
						$this->SQLQuery($req, $this->defaultrequestnum);
		
						$row = $this->SQLNextRow($this->defaultrequestnum);
						
						#print $req;
						#var_dump($row);
					
						if($row)
						{
							$var='FIELD_NAME';
				
							#print_r($row);

							$fieldname = $row[$var];
					
							//next val
					
							$suffixe="_SEQ";
							
							$this->tablename_seq= $current_table_name . $suffixe;
							
							#echo "begin SQLNewID";
							
							#$lastid=$this->SQLNewID();

							#if($lastid)
							#{
								//add field in the request
								
								#echo $lastid;
								
								//$req = "INSERT INTO TEST_IDENT (F1, F2) VALUES  ('997', 'Prologue')"; 
								
								$pos_values = stripos(ltrim($query), 'VALUES');
								$varvalue = '';
								if(($pos_values !== false))
								{
									$varlist=substr(ltrim($query),0,$pos_values);
								
									$varvalue=substr(ltrim($query),$pos_values+strlen('VALUES'));
								}
								
								#$explodequery = explode("values", strtolower($query));
								#$varlist=$explodequery[0];
								#$varvalue=$explodequery[1];
								
								#case:
								
								#"INSERT INTO COMPTE_ROLE (CPT_ID, ROL_ID, CLT_ID) 
								#SELECT CPT_ID, 2, 3 FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
								#WHERE TROL_NUM=16 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND COMPTE_ROLE.ROL_ID=ROLE.ROL_ID"
								
								#echo "varlist: $varlist";
								
								if($varvalue == "")
								{
									#echo "varvalue empty";
									
									$pos_select = stripos(ltrim($query), 'SELECT');
			
									#print "pos:" . $pos . "\n";
			
									if(($pos_select !== false))
									{
										#$selectstring=substr($query,$pos);
											
										#echo $selectstring;
										
										#$explodequery = explode("select", strtolower($query));
										
										$varlist=substr(ltrim($query),0,$pos_select);
								
										#echo "varlist: $varlist";
										
										$varvalue=substr(ltrim($query),$pos_select+strlen('SELECT'));
										
										#echo "varvalue: $varvalue";
										
										#$varlist=$explodequery[0];
										#$varvalue=$explodequery[1];
										
										$newvarlist=rtrim(rtrim($varlist),')');
								
										$newvarlist=$newvarlist . "," . $fieldname .") SELECT "; 
										
										#echo $varvalue;
										
										#$explodevarvalue = explode("from", strtolower($varvalue));
										
										$pos_from = stripos(ltrim($varvalue), 'FROM ');
										
										if(($pos_from !== false))
										{
											$prefrom=substr(ltrim($varvalue),0,$pos_from);
									
											$suffxfrom=substr(ltrim($varvalue),$pos_from+strlen('FROM '));
								
											#$lastid=$this->tablename_seq . ".NEXTVAL"; #case multi records from the select
											$lastid="GETNEXTVAL('$this->tablename_seq')"; # FUNCTION GETNEXTVAL
											
											$newvarvalue=$prefrom ."," . $lastid. " FROM " . $suffxfrom; 			
										}
										
										#echo $newvarlist;
										
										$query=$newvarlist . $newvarvalue ; 
										
										#echo $query;
										
										#case multi records on a select, add rownum
										
										#$explodewhere = explode("where", strtolower($query));
										/*
										$pos_where = stripos(ltrim($query), 'WHERE');
										
										if(($pos_where !== false))
										{
											$prewhere=substr(ltrim($query),0,$pos_where);
									
											$suffxwhere=substr(ltrim($query),$pos_where+strlen('WHERE'));
									
											$query=$prewhere . " WHERE ROWNUM=1 AND " . $suffxwhere; 
										}
										*/
										
										/*
										SELECT * FROM (SELECT CPT_ID,  25, 1 
										,33 FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
										WHERE TROL_NUM=5 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND 
										COMPTE_ROLE.ROL_ID=ROLE.ROL_ID group by CPT_ID)
										WHERE  ROWNUM=1
										*/
										
										$pos_insert = stripos($query, 'INSERT INTO ACTIVITE');
										
										if($pos_insert === false)
										{										
											#case != INSERT INTO ACTIVITE
											#INSERT INTO ACTIVITE (TAC_NUM,ACT_LIBEL,ACT_NUMPROC,CLT_ID,ACT_ETAT,ACT_ID)  
											#SELECT * FROM (SELECT  TYPE_ACT.TAC_NUM, TYPE_ACT.TAC_LIBEL,1,CLIENT.CLT_ID,1 ,3 
											#FROM TYPE_ACT,CLIENT WHERE TYPE_ACT.TAC_NUM=18) WHERE ROWNUM=1
											
											$pos_select = stripos($query, 'SELECT');
														
											if(($pos_select !== false))
											{
												$preselect=substr(ltrim($query),0,$pos_select);
										
												$suffxselect=substr(ltrim($query),$pos_select+strlen('SELECT'));
										
												$query=$preselect . " SELECT * FROM (SELECT " . $suffxselect .") WHERE ROWNUM=1"; 
											}
										}
										
										#echo $query;
										
									}
								}
								else # bugzilla 4482, BG 17/04/2012 : optimisation de la condition de recherche du "fieldname" dans la requête 
								{
									// on cherche le "fieldname" dans la chaine
									$query_tmp = $query;
									$query_tmp = str_replace(array("\n","\r","\t"), " ", "$query_tmp");
									$trouve = 0;
									while (stristr($query_tmp,$fieldname)):
										// on cherche les caracteres de la chaine avant et apres le mot "fieldname"
										$debpos=stripos($query_tmp,$fieldname);
										$subquery1=substr($query_tmp, 0, $debpos + strlen($fieldname));
										$caractere_suiv=$query_tmp[$debpos + strlen($fieldname)];
										$caractere_prec=$query_tmp[$debpos-1];
										$tmp_suiv = strpbrk("$caractere_suiv","( ), ");
										$tmp_prec = strpbrk("$caractere_prec","( ), ");
										$query_tmp = substr($query_tmp,strlen($subquery1));
										// on determine si la chaine "fieldname" est strictement le mot entier sinon on continue à scrtuer le reste de la requête	
										if ($tmp_suiv and $tmp_prec)
										{
											$query = $varlist ." VALUES " . $varvalue;
											$trouve = 1;
											$query_tmp='';
										}
									endwhile;
									// si le mot "fieldname" strictement n'est pas présent dans la requête on rajoute la colonne (auto increment) "fieldname" et la valeur associée
									if ($trouve != 1) 
									{
										$lastid=$this->SQLNewID();
										if($lastid)
										{
											$varlist=rtrim(rtrim($varlist),')');
											$varvalue=rtrim(rtrim($varvalue),')');
											$query=$varlist . "," . $fieldname .") VALUES " . $varvalue ."," . $lastid . ")"; 
										}
									}
								}
							#}
						}
					}
				}
							
				//echo "QUERY\r\n";
				//var_dump($this);


				
				$msg=sprintf("QUERY FOR ORACLE (exec): %s\n",$query);
				
				#echo $msg;
				
				$this->WriteLog($msg);
				
				if(trim($query) != "")	
					$result = $this->dbh[$num]->exec($query);
			
				 if($result === FALSE)
				 {
					 //return error
					 $this->Result[$num]=$result;
				 }
				 else
				 {
					//echo "count of query: " .  $result;
					$this->TotAff[$num]=$result;
					$this->Result[$num]=TRUE;
					
				}
			}
		}
		
		catch(PDOException $e)
		{
			$msg="PDO EXCEPTION, MESSAGE: " . $e->getMessage() . ", CODE: " . $e->getCode() . "\n";
			
			$result=FALSE;
			$this->Result[$num]=$result;

			$error_message=$e->getMessage();
			
			if($e->getCode()==23000)//Violation de la contrainte UNIQUE KEY
			{

				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				 $this->WriteLog($msg);
				
				// Notez notre utilisation de ===.  == ne fonctionnerait pas comme attendu
				// car la position peut-être la 0-ième (premier) caractère.
				$pos = stripos($error_message, "ORA-00001");
				if ($pos === false) 
				{
					#echo "erreur ORACLE";
				}
				else
				{
					if($found_ignore)//case INSERT IGNORE
					{
						$result=TRUE;
						$this->Result[$num]=$result;
					}	
					else
					{
						$res[0] = SQL_DUP_CHAMP;
						return $res;
					}
				}				
			}
				
			$pos = stripos($error_message, "ORA-01843"); // valable pour la date 0000-00-00 00:00:00 qui n'est pas valide sous Oracle
			$pos1 = stripos($error_message, "ORA-01841"); // not a valid month (timestamp sous ORACLE)
			if ($pos !== false or $pos1 !== false)
			{
				$msg .="*** REPLACE INVALID NULL DATE BY EMPTY DATE ***\n";
				$this->WriteLog($msg);
				// ne pas repasser par la gestion de la clause As 
				// on reformate les dates trouvées dans la requete et on refait la requete (correction pour les 2 codes erreurs)
				$query = str_replace("TIMESTAMP ''", "''", $query);
				$query = str_replace("TIMESTAMP''", "''", $query);
				$query = str_replace('0000-00-00 00:00:00', '', $query);
				$this->Result[$num] = $this->SQLQueryForORACLE($query, $num, $start, $limit);
				return $this->Result[$num];
			}
			
			$pos = stripos($error_message, "ORA-01861"); // Oracle a besoin de TIMESTAMP devant la valeur d'un champ de type DATE
			if ($pos !== false)
			{
				$msg .="*** ADD TIMESTAMP BEFORE DATE VALUE ***\n";
				$this->WriteLog($msg);
				
				// on reformate les dates trouvées dans la requete et on refait la requete
				$rech="/('\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}')/";	# Time Stamp au format 'AAAA-MM-JJ hh:mm:ss'
				$query = preg_replace($rech, 'TIMESTAMP ${1}', $query);
				
				$this->Result[$num] = $this->SQLQueryForORACLE($query, $num, $start, $limit);
				return $this->Result[$num];
			}
			
			$pos = stripos($error_message, "ORA-02443");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-02443: Cannot drop constraint  - nonexistent constraint
				#echo "CATCH ERROR 2443\n"; 
				$this->Result[$num]=TRUE;
			}
			
			$pos = stripos($error_message, "ORA-00942");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-00942: table or view does not exist
				#echo "CATCH ERROR 942\n"; 
				$this->Result[$num]=TRUE;
			}
					
			$pos = stripos($error_message, "ORA-04080");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-04080 trigger does not exist
				#echo "CATCH ERROR 4080\n"; 
				$this->Result[$num]=TRUE;
			}	
			
			$pos = stripos($error_message, "ORA-02289");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-02289: sequence does not exist
				#echo "CATCH ERROR 2289\n"; 
				$this->Result[$num]=TRUE;
			}
	
			$pos = stripos($error_message, "ORA-00955");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				#ORA-00955: sequence exists / name is already being used
				#echo "CATCH ERROR 955\n"; 
				$this->Result[$num]=TRUE;
			}
			
			#Erreur  : [Oracle][ODBC][Ora]ORA-01408: such column list already indexed
			#(SQLExecDirect[1408] at ext\pdo_odbc\odbc_driver.c:246)
			$pos = stripos($error_message, "ORA-01408");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				$this->Result[$num]=TRUE;
			}
			
			#Erreur  : [Oracle][ODBC][Ora]ORA-02264: name already used by an existing constraint
			#(SQLExecDirect[2264] at ext\pdo_odbc\odbc_driver.c:246)
			# BG 22/03/2012 : spécifique à la config. : ajout d'activité "rapprochement générique" (non repportée dans le pdo.inc.php "Base")
			$pos = stripos($error_message, "ORA-02264");
			if ($pos !== false) 
			{
				$msg .= "*** PDO EXCEPTION IGNORED ON PURPOSE ***\n";
				$this->WriteLog($msg);
				$this->Result[$num]=TRUE;
			}	
			
			if(!$this->Result[$num])
				$this->erreur("$query",$num);	
				
		}		
									
		return $this->Result[$num];
	}
		
//////////////////////////////////////////////////
//PDO VERSION
// FOR MSSQL
	function parseREPLACEMSSQL($query,$num)
//////////////////////////////////////////////////
{
	#echo "case replace" . "<br>";
	$result = '';
	$explodequery = explode(" ", ltrim($query));
	
	#print_r($explodequery);
	
	$tablename=$explodequery[2];
					
	if(stristr($tablename,'(')) # case Tabulation or no space
	{
					
		$pos=stripos($tablename,'(');
						
		$tablename=substr($tablename,0,$pos);
						
	}	
	
	$this->currenttablename[$num] = trim($tablename);
	
	#print $this->currenttablename;
	
	$stringparse=$query;
	
	//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
	//TO	
	//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
	//Add Where TAC_NUM=18
	
	$debpos=stripos($stringparse,'(');

	if($debpos !== false)	
	{
		//$varlist
		$varandvalue=substr($stringparse,$debpos);
		
		#echo "varandvalue: $varandvalue";

		$debpos=stripos($varandvalue,"(SELECT"); 
		#CASE
		//REPLACE INTO PAR_GEN   (CLT_ID,PGE_ETAT,TPG_NUM,PGE_LIBEL) 
		//VALUES ((SELECT CLT_ID FROM CLIENT), 1, 20 , 'Configuration Dématérialisation')

		if($debpos !== false)	
		{			
			$explodevarvalue = explode("VALUES", rtrim($varandvalue));

			$varlist=trim($explodevarvalue[0]);
			
			#echo "varlist: $varlist";
						
			$values=trim($explodevarvalue[1]);
				
			$debpos=stripos($values,'(');

			if($debpos !== false)	
				$values=substr($values,$debpos+1);

		
			//if brace in string
			$endpos=strripos($values,')');
			
			if($endpos !== false)	
				$valuelist=substr($values,0,$endpos);

			#echo "values: $values";
			
			$listcar = array("(", ")");				 
			$varlist = str_replace($listcar, "", $varlist);
			
			#echo "varlist: $varlist\n";
			
			$varexplode = explode(",", $varlist);
			
			#print_r($varexplode);
			
			#$valuelist = str_replace($listcar, "", $valuelist);
			//if brace in string
				
			#echo "valuelist: $valuelist\n";
		
			//$valueexplode = explode(",", $valuelist);
			$valueexplode = $this->searchValue($valuelist);
			
			#print_r($valueexplode);
		}
		else
		{	
			$endpos=stripos($varandvalue,')');
			
			if($endpos !== false)	
				$varlist=substr($varandvalue,0,$endpos);

			//$varvalue
			
			$varandvalue=substr($varandvalue,$endpos);
			
			#echo "varandvalue: $varandvalue";
			
			$debpos=stripos($varandvalue,'(');

			if($debpos !== false)	
				$value=substr($varandvalue,$debpos);

			//$endpos=stripos($value,')');
			//if brace in string
			$endpos=strripos($value,')');
			
			if($endpos !== false)	
				$valuelist=substr($value,0,$endpos);

			$listcar = array("(", ")");				 
			$varlist = str_replace($listcar, "", $varlist);
			
			#echo "varlist: $varlist\n";
			
			$varexplode = explode(",", $varlist);
			
			#print_r($varexplode);
			
			#$valuelist = str_replace($listcar, "", $valuelist);
			//if brace in string
			
			$valuelist=ltrim($valuelist,"(");
			$valuelist=rtrim($valuelist,")");
			
			#echo "valuelist: $valuelist\n";
		
			//$valueexplode = explode(",", $valuelist);
			$valueexplode = $this->searchValue($valuelist);
		}
		
		#print_r($valueexplode);
	
		$i=0;
		
		//if brace in string
		/*
		foreach($varexplode as $var)
		{
			$this->tablevariable_replace_array[$var]=$valueexplode[$i];
			
			$i++;
		}
			
		print_r($this->tablevariable_replace_array);
		*/
		
		//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
		$query_update=sprintf("UPDATE %s SET ",$this->currenttablename[$num]);
		
		$i=0;
		
		#foreach ($this->tablevariable_replace_array as $var => $value)
		//if brace in string
		foreach ($valueexplode as $value)
		{
			$val=$value;
			
			#$var_value=sprintf("%s = %s,",$var,$value);
			//if brace in string
			$var_value=sprintf("%s = %s,",$varexplode[$i],$value);
			
			#echo "$var_value\n";
		
			if($i == 0)
				$begin_var_value=$var_value;
				
			$query_update.=$var_value; 	
			
			$i++;
		}
		
		$query_update=rtrim($query_update,",");
		
		$query_update.=" WHERE $begin_var_value";
		
		$query_update=rtrim($query_update,",");
		
		$msg=sprintf("QUERY FOR MSSQL (exec case replace): %s\n",$query_update);
			
		#echo $msg;
		
		$this->WriteLog($msg);
		
		if($query != "")	
			$result = $this->dbh[$num]->exec($query_update);
	
		 if($result === FALSE)
		 {
			 //return error
			 $this->Result[$num]=$result;
		 }
		 else
		 {
			//echo "count of query: " .  $result;
			$this->TotAff[$num]=$result;
			$this->Result[$num]=TRUE;
			
		}
		
		$count=$this->get_COUNT($num);
		
		#echo "count: $count\n";
		
		if($count == 0)
		{
			//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			//TO
			//if @@rowcount = 0
		    //  insert into TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			$count=1;
			$query=str_ireplace("REPLACE","INSERT",$query,$count);	
			$this->SQLQuery($query,$num);
		}
		else
		{
			//case replace OK
			#echo "case replace OK\n";
		}
		
		$this->Result[$num]=TRUE;
		$query="";
		unset($this->tablevariable_replace_array);
																				
	}	
	
	return $query;

}
//////////////////////////////////////////////////
//PDO VERSION
function searchValue($valuelist)
//////////////////////////////////////////////////
{
    $exploded = Array();
    $inQuote = false;
    $deb = 0;

    for($i=0; $i<strlen($valuelist); $i++)
    {
        if($valuelist[$i]=='\'')
            $inQuote = !$inQuote;
        if($valuelist[$i]==',' && $inQuote==false)
        {
            $exploded[] = trim(substr($valuelist, $deb, $i-$deb));
            $deb = $i + 1;
        }
    }
    
    $reste = trim(substr($valuelist, $deb, $i-$deb));
    if(strlen($reste)>0)
        $exploded[] = $reste;

    return $exploded;
}

//////////////////////////////////////////////////
//PDO VERSION
	function parseREPLACEORACLE($query,$num)
//////////////////////////////////////////////////
{
	#echo "case replace" . "<br>";
	$result = '';
	$explodequery = explode(" ", ltrim($query));
	
	#print_r($explodequery);
	
	$tablename=$explodequery[2];
					
	if(stristr($tablename,'(')) # case Tabulation or no space
	{
					
		$pos=stripos($tablename,'(');
						
		$tablename=substr($tablename,0,$pos);
						
	}	
	
	$this->currenttablename[$num] = trim($tablename);
	
	#print $this->currenttablename;
	
	$stringparse=$query;

	//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
	//TO	
	//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
	//Add Where TAC_NUM=18

	$debpos=stripos($stringparse,'(');

	if($debpos !== false)	
	{
		//$varlist
		$varandvalue=substr($stringparse,$debpos);
		
		$endpos=stripos($varandvalue,')');
		
		if($endpos !== false)	
			$varlist=substr($varandvalue,0,$endpos);

		//$varvalue
		
		$varandvalue=substr($varandvalue,$endpos);
		
		$debpos=stripos($varandvalue,'(');

		if($debpos !== false)	
			$value=substr($varandvalue,$debpos);

		//$endpos=stripos($value,')');
		//if brace in string
		$endpos=strripos($value,')');
			
		if($endpos !== false)	
			$valuelist=substr($value,0,$endpos);

		#echo "valuelist: $valuelist\n";
	
		$listcar = array("(", ")");				 
		$varlist = str_replace($listcar, "", $varlist);
		
		#echo "varlist: $varlist\n";
		
		$varexplode = explode(",", $varlist);
		
		#print_r($varexplode);
		
		#$valuelist = str_replace($listcar, "", $valuelist);
		//if brace in string
	
		$valuelist=ltrim($valuelist,"(");
		
		$valuelist=rtrim($valuelist,")");
		
		#echo "valuelist: $valuelist\n";
		
		//$valueexplode = explode(",", $valuelist);
			$valueexplode = $this->searchValue($valuelist);		
			
		#print_r($valueexplode);
	
		$i=0;
		
		//if brace in string
		/*
		foreach($varexplode as $var)
		{
			$this->tablevariable_replace_array[$var]=$valueexplode[$i];
			
			$i++;
		}
			
		print_r($this->tablevariable_replace_array);
		*/
		
		//update TYPE_ACT set TAC_NUM=18, TAC_NOM='CONTROL', TAC_LIBEL='Contrôle', TAC_ROLE=3, TAC_FLAG=0, TPG_NUM=NULL
		$query_update=sprintf("UPDATE %s SET ",$this->currenttablename[$num]);
		
		$i=0;

		#foreach ($this->tablevariable_replace_array as $var => $value)
		//if brace in string
		foreach ($valueexplode as $value)
		{
			#case select with brace but not a string
			if(($value[strlen($value)-1] == ")") && ($value[0] != "'"))
				$value='('.$value;
				
			#$var_value=sprintf("%s = %s,",$var,$value);
			//if brace in string
			$var_value=sprintf("%s = %s,",$varexplode[$i],$value);
			
			#echo "$var_value\n";
		
			if($i == 0)
				$begin_var_value=$var_value;
				
			$query_update.=$var_value; 	
			
			$i++;
		}
		
		$query_update=rtrim($query_update,",");
		
		$query_update.=" WHERE $begin_var_value";
		
		$query_update=rtrim($query_update,",");
		
		$msg=sprintf("QUERY FOR ORACLE (exec case replace): %s\n",$query_update);
			
		#echo $msg;
		
		$this->WriteLog($msg);
		
		if($query != "")	
			$result = $this->dbh[$num]->exec($query_update);
			
		if($result === FALSE)
		{
			 //return error
			 #echo "error";
			 $this->Result[$num]=$result;
			 
			 $count=0;
		}
		else
		{
			#echo "result: $result";
			//echo "count of query: " .  $result;
			$this->TotAff[$num]=$result;
			$this->Result[$num]=TRUE;
			
			$count=$result;
		}	
			
		//$count=$this->get_COUNT($num);
		
		#echo "count: $count\n";
		
		if($count == 0)
		{
			//REPLACE INTO TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			//TO
			//if @@rowcount = 0
		    //  insert into TYPE_ACT (TAC_NUM,TAC_NOM,TAC_LIBEL,TAC_ROLE,TAC_FLAG,TPG_NUM) VALUES (18, 'CONTROL', 'Contrôle', 3, 0, NULL)
			$count=1;
			$query=str_ireplace("REPLACE","INSERT",$query,$count);	
			$this->SQLQuery($query,$num);
		}
		else
		{
			//case replace OK
			#echo "case replace OK\n";
		}
		
		$this->Result[$num]=TRUE;
		$query="";
		unset($this->tablevariable_replace_array);
																				
	}	
	
	return $query;

}

//////////////////////////////////////////////////
//PDO VERSION
	function parseSELECTORACLE($query,$num)
//////////////////////////////////////////////////
{
	#echo "case select" . "<br>";

	#case AS with JOIN
	
	$replacequery=$query;

	if((hasCommand($replacequery,'AS ')) && (hasCommand($replacequery,'JOIN ')))
	{
		while(hasCommand($replacequery,'JOIN '))	
		{
			$debpos=stripos($replacequery,'JOIN ');

			$subquery=substr($replacequery,$debpos+strlen('JOIN '));
			
			#echo $subquery;

			$endpos=stripos($subquery,' ON ');
			
			$subquery=substr($subquery,0,$endpos);
					
			#LEFT JOIN PART as DEST ON DEST.PAR_ID=SUIVI.PAR_DEST_ID		
			
			$subqueryreplace=str_ireplace(' as ',' ',$subquery);
			
			#echo "\r\n" . $subquery . "--" . $subqueryreplace . "\r\n";
			$query=str_ireplace($subquery,$subqueryreplace,$query);
			
			$replacequery=substr($replacequery,$debpos+$endpos);
		}
	}
	
	#echo $query;

	#case LIKE BINARY
	if(stristr($query,'CPT_LOGIN LIKE BINARY '))	
		$query=str_ireplace('CPT_LOGIN LIKE BINARY ','CPT_LOGIN LIKE ',$query);

	#case LIKE
	if(hasCommand($query,'LIKE '))	
	{
		$debpos=stripos($query,'LIKE ');
		
		$subquery=substr($query,$debpos+strlen('LIKE '));
			
		$subquery=ltrim($subquery);
		
		#echo "subquery: $subquery";
		
		//case inverted comma with like
		$pos=stripos($subquery,'"');
	
		if($pos === 0)
		{
			#echo "find inverted comma";
			$newsubquery=$subquery;
			$newsubquery[0]="'";
			$subquery1=substr($subquery,1);
	
			$pos=stripos($subquery1,'"');
	
			if($pos !== false)
				$newsubquery[$pos+1]="'";//+1 because subquery1
			
			#echo "$subquery,$newsubquery";
			$query=str_ireplace($subquery,$newsubquery,$query);
			#echo $query;
		}
	}
	
	# CASE SQL_CALC_FOUND_ROWS		
	if(stristr($query,'SQL_CALC_FOUND_ROWS'))
		$query=str_ireplace('SQL_CALC_FOUND_ROWS','',$query);
				
	if(stristr($query,'FOUND_ROWS() AS MAX_ROW'))
	{
		#$currentpdostatement= $this->Result[$num];
		#test rowCount KO, change the client
		
		/*
		$currentpdostatement= $this->currentpdostatement;
		
		if(is_object($currentpdostatement))
			//PDO rowcount
			$rowcount=$currentpdostatement->rowCount();
		
		$query=str_ireplace('FOUND_ROWS()',$rowcount,$query);
		*/
		//use the current select request
		
		//SELECT FOUND_ROWS() AS MAX_ROW
		#echo "FOUND_ROWS() AS MAX_ROW";
		
		if(isset($this->currentselectrequestwithoutstartandlimit) && $this->currentselectrequestwithoutstartandlimit)
			$currentselectrequest=$this->currentselectrequestwithoutstartandlimit;
		else
			$currentselectrequest=$this->currentselectrequest;
		
		$debpos=stripos($currentselectrequest,'SELECT');
		
		#echo "currentselectrequest: $this->currentselectrequest,debpos: $debpos\n";
		
		if(($debpos == 0) || ($debpos == 1))
		{
			$endpos=stripos($currentselectrequest,' FROM '); # bgz 4730 (suite à la colonne AFX_BACKUP_FROM)
			$betweenselectandfrom=substr($currentselectrequest,$debpos,$endpos);
			
			#echo "betweenselectandfrom: $betweenselectandfrom\n";
			
			$query=str_ireplace($betweenselectandfrom,"SELECT count(*) AS MAX_ROW",$currentselectrequest);
			
			$debpos=stripos($query,'ORDER BY');
			
			if($debpos !== false)
				$query=substr($query,0,$debpos);
			
			#case join
			
			$maxrow=0;
			
			try
			{					
				$recordset = $this->dbh[0]->query($query);
				$fields = $recordset->fetchAll(PDO::FETCH_ASSOC);
						
				foreach ($fields as $field)
				{
					//echo "foreach getfieldname";
					
					//var_dump($field);
					
					$maxrow += (int)$field['MAX_ROW'];
											
				}
			}
			catch(PDOException $e)
			{
				echo $e->getMessage();
				
				$this->erreur("$query",$this->defaultrequestnum);
			}

			$query=sprintf("SELECT %d AS MAX_ROW FROM DUAL",$maxrow);	
		}
	}			

	// Bugzilla 4407 : BG : 14/03/2012   la clause AS suivie de la variable encadrée par des doubles quotes
	# update1 : correction lorsque la variable de la clause as est reprise dans la meme requête  (ex : select ACT_ID as id from ACTIVITE where id = 2;) 
	# update2 : correction lorsque plusieurs as dans la requête
	# update3 : $flagAs on ne repasse pas 2 fois par la case AS (cas de l'ajout de timestamp en exception)
	if( (hasCommand($query,' AS ')) or (hasCommand($query,' as ')))
	{
		global $flagAs;
		if($flagAs == False)
		{
			$flagAs = True;
			# recherche des clauses AS
			$query_final = '';
			while(hasCommand($query,' AS ')):
				# remplace les tab, saut de ligne par des espaces
				$query = str_replace(array("\n","\r","\t"), " ", "$query");
				# analyse jusqu'au AS et extraction de la variable
				$debpos_as=stripos($query,'AS ');
				$subquery1=substr($query, 0, $debpos_as + strlen('AS '));
				$tmpquery=substr($query, strlen($subquery1));
				# motif possible devant la variable de la clause AS  
				$tmp = strpbrk("$tmpquery","( ),");
				# longueur de la variable suivant le AS
				$long_var_as = stripos("$tmpquery", "$tmp[0]");
				# contruction des blocs de requête utiles
				$subquery2=substr($query, strlen($subquery1), $long_var_as);		
				$subquery3=substr($query, strlen($subquery1)+$long_var_as);
				# ajout des doubles cotes de part et d'autre de la variable
				$subquery3 = str_replace(" $subquery2 ", " \""."$subquery2"."\" ", "$subquery3");			
				$query_tmp = $subquery1." \"".$subquery2."\" ";	
				# construction de la requête finale
				$query_final = $query_final.$query_tmp;
				# reste à analyser (while)
				$query = $subquery3;
			endwhile;
			# requête finale 
			$query = $query_final.$query;
		}
	}	
	
	$stringparse=ltrim($query);
	
	if(stristr($stringparse,'@') !== false)
	{ 		
		$debpos=strpos($stringparse,'@');
		
		$charafter=$stringparse[$debpos+1];

		#if($charafter != '@')//case @@IDENTITY
		#{	
			$beforevar=substr($stringparse,0,$debpos);
		
			//case, SELECT @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
			// but 
			//INSERT INTO COMPTE_ROLE (CPT_ID, ROL_ID, CLT_ID) 
			//SELECT CPT_ID, @ID_ROLE, @ID_CLIENT FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
			//WHERE TROL_NUM=16 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND COMPTE_ROLE.ROL_ID=ROLE.ROL_ID";
			
			#echo "case select,beforevar: $beforevar\n";
				
			$debpos=stripos($beforevar,'SELECT');
			
			#echo "debpos: $debpos\n";
			
			if(($debpos == 0) || ($debpos == 1))
			{
				$betweenselectandvar=substr($beforevar,$debpos+strlen('SELECT'));
				
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
			
				$betweenselectandvar=ltrim($betweenselectandvar);
		
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
				
				if($betweenselectandvar == "")
				{
					#echo "no space\n";
					#echo "stringparse: $stringparse\n";
					
					$count=1;
					
					$stringparse=str_ireplace("SELECT","SET",$stringparse,$count);
					
					#echo "stringparse: $stringparse\n";
					$this->SQLQuery($stringparse,$this->defaultrequestnum);	
					
					$this->Result[$num]=TRUE;
					
					$query="";					
													
				}
				else
				{
					
					#echo "case select first position but parsevar inside \n";
  					//diff SELECT @ID_PART_TOUS:= 
					//SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
					$query=$this->parseSQLVarORACLE($query);
				}				
			}
			else
			{
				#echo "parseSQLVarORACLE\n";
				$query=$this->parseSQLVarORACLE($query);
			}
		#}
	}
			
	//init the current select request
	$this->currentselectrequest=$query;
	
	return $query;
}


//////////////////////////////////////////////////
//PDO VERSION
// FOR MSSQL
	function parseSELECTMSSQL($query,$num)
//////////////////////////////////////////////////
{
	#echo "case select" . "<br>";
	
	#case LIKE BINARY
	if(stristr($query,'CPT_LOGIN LIKE BINARY '))	
		$query=str_ireplace('CPT_LOGIN LIKE BINARY ','CPT_LOGIN LIKE ',$query);

	#case LIKE
	if(hasCommand($query,'LIKE '))	
	{
		$debpos=stripos($query,'LIKE ');
		
		$subquery=substr($query,$debpos+strlen('LIKE '));
			
		$subquery=ltrim($subquery);
		
		#echo "subquery: $subquery";
		
		//case inverted comma with like
		$pos=stripos($subquery,'"');
	
		if($pos === 0)
		{
			#echo "find inverted comma";
			$newsubquery=$subquery;
			$newsubquery[0]="'";
			$subquery1=substr($subquery,1);
	
			$pos=stripos($subquery1,'"');
	
			if($pos != -1)
				$newsubquery[$pos+1]="'";//+1 because subquery1
			
			#echo "$subquery,$newsubquery";
			$query=str_ireplace($subquery,$newsubquery,$query);
			#echo $query;
		}
	}
	
	# CASE SQL_CALC_FOUND_ROWS		
	if(stristr($query,'SQL_CALC_FOUND_ROWS'))
		$query=str_ireplace('SQL_CALC_FOUND_ROWS','',$query);

	# CASE FOUND_ROWS()		
	#if(stristr($query,'FOUND_ROWS()'))
	#	$query=str_ireplace('FOUND_ROWS()','@@ROWCOUNT',$query);
	
	# CASE FOUND_ROWS()		
	#SELECT FOUND_ROWS() AS MAX_ROW
	if(stristr($query,'FOUND_ROWS() AS MAX_ROW'))
	{
		#$currentpdostatement= $this->Result[$num];
		#test rowCount KO, change the client
		
		/*
		$currentpdostatement= $this->currentpdostatement;
		
		if(is_object($currentpdostatement))
			//PDO rowcount
			$rowcount=$currentpdostatement->rowCount();
		
		$query=str_ireplace('FOUND_ROWS()',$rowcount,$query);
		*/
		
		//use the current select request
		
		//SELECT FOUND_ROWS() AS MAX_ROW
		#echo "FOUND_ROWS() AS MAX_ROW";
		
		if(isset($this->currentselectrequestwithoutstartandlimit) && $this->currentselectrequestwithoutstartandlimit)
			$currentselectrequest=$this->currentselectrequestwithoutstartandlimit;
		else
			$currentselectrequest=$this->currentselectrequest;
		

		if($currentselectrequest)
		{
			$debpos=stripos($currentselectrequest,'SELECT');
			
			#echo "currentselectrequest: $this->currentselectrequest,debpos: $debpos\n";
			
			if(($debpos == 0) || ($debpos == 1))
			{
				$endpos=stripos($currentselectrequest,' FROM '); # bgz 4730 (suite à la colonne AFX_BACKUP_FROM)
				
				$betweenselectandfrom=substr($currentselectrequest,$debpos,$endpos);
				
				#echo "betweenselectandfrom: $betweenselectandfrom\n";		
				
				$query=str_ireplace($betweenselectandfrom,"SELECT count(*) AS MAX_ROW ",$currentselectrequest);
				
				$debpos=stripos($query,'ORDER BY');
				
				if($debpos !== false)
					$query=substr($query,0,$debpos);
					
				#case join
				
				$maxrow=0;
				
				try
				{					
					$recordset = $this->dbh[0]->query($query);
					$fields = $recordset->fetchAll(PDO::FETCH_ASSOC);
							
					foreach ($fields as $field)
					{
						//echo "foreach getfieldname";
						
						//var_dump($field);
						
							$maxrow += (int)$field['MAX_ROW'];
												
					}
				}
				catch(PDOException $e)
				{
					echo $e->getMessage();
					
					$this->erreur("$query",$this->defaultrequestnum);
				}

				$query=sprintf("SELECT %d AS MAX_ROW ",$maxrow);	
			}
		}	
	}
				
	$stringparse=ltrim($query);
	
	if(stristr($stringparse,'@') !== false)
	{ 		
		$debpos=strpos($stringparse,'@');
		
		$charafter=$stringparse[$debpos+1];

		if($charafter != '@')//case @@IDENTITY
		{	
			$beforevar=substr($stringparse,0,$debpos);
		
			//case, SELECT @ID_PART_TOUS:= PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
			// but 
			//INSERT INTO COMPTE_ROLE (CPT_ID, ROL_ID, CLT_ID) 
			//SELECT CPT_ID, @ID_ROLE, @ID_CLIENT FROM ROLE, COMPTE_ROLE, TYPE_ROLE 
			//WHERE TROL_NUM=16 AND ROLE.TROL_ID=TYPE_ROLE.TROL_ID AND COMPTE_ROLE.ROL_ID=ROLE.ROL_ID";
			
			#echo "case select,beforevar: $beforevar\n";
				
			$debpos=stripos($beforevar,'SELECT');
			
			#echo "debpos: $debpos\n";
			
			if(($debpos == 0) || ($debpos == 1))
			{
				$betweenselectandvar=substr($beforevar,$debpos+strlen('SELECT'));
				
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
			
				$betweenselectandvar=ltrim($betweenselectandvar);
		
				#echo "$betweenselectandvar: --$betweenselectandvar-- \n";
				
				if($betweenselectandvar == "")
				{
					#echo "no space\n";
					#echo "stringparse: $stringparse\n";
					
					$count=1;
					
					$stringparse=str_ireplace("SELECT","SET",$stringparse,$count);
					
					#echo "stringparse: $stringparse\n";
					$this->SQLQuery($stringparse,$this->defaultrequestnum);	
					
					$this->Result[$num]=TRUE;
					
					$query="";					
													
				}
				else
				{
					
					#echo "case selct first position but parsevar inside \n";
  					//diff SELECT @ID_PART_TOUS:= 
					//SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
					$query=$this->parseSQLVarMSSQL($query);
				}				
			}
			else
			{
				#echo "parseSQLVarMSSQL\n";
				$query=$this->parseSQLVarMSSQL($query);
			}
		}
	}
	
	//init the current select request
	$this->currentselectrequest=$query;
	
	return $query;
}

//////////////////////////////////////////////////
//PDO VERSION
// FOR MSSQL
	function parseSQLVarMSSQL($query)
//////////////////////////////////////////////////
{
	# remplace les tab, saut de ligne par des espaces
	$query = str_replace(array("\n","\r","\t"), " ", $query);
		
	$stringparse=$query;
	
	#echo "parseSQLVarMSSQL\n";
	
	while(hasCommand($stringparse,'@') !== false)
	{			
		$debpos=strpos($stringparse,'@');
		
		#SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
		#echo "debpos: $debpos";

		$charbefore=$stringparse[$debpos-1];
		$charafter=$stringparse[$debpos+1];
		
		#echo "stringparse: $char";
		
		if((($charbefore == ',') || ($charbefore == ' ') || ($charbefore == '') || ($charbefore == '(') || ($charbefore == '=')) && ($charafter != '@'))//case @@IDENTITY
		{
			$var=substr($stringparse,$debpos);

			#echo "var: $var\n";

			$endpos = strpos($var, ',');
			
			if($endpos !== false)
			{
				$var=substr($var,0,$endpos);
				
				$endpos = strpos($var, ' ');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);//case @ID_CLIENT FROM ROLE,	
			}
			else
			{
				$endpos = strpos($var, ')');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);
				else
				{
					$endpos = strpos($var, ' ');
					if($endpos !== false)
						$var=substr($var,0,$endpos);
					else	
						$var=substr($var,0);
				}
			}
					
			#print_r($this->tablevariable_array);
			
			$pluspos = strpos($var, '+');#case CONCAT
			
			if($pluspos !== false)
				$var=substr($var,0,$pluspos);
			
			$varvalue=$this->tablevariable_array[$var];
		
			#echo "varvalue: $var: $varvalue\n";
			
			$msg="PARSESQLVAR FOR MSSQL, replace, var: $var, varvalue: $varvalue\n";
			
			$this->WriteLog($msg);
			
			$query=str_ireplace($var,$varvalue,$query);
			$stringparse=str_ireplace($var,$varvalue,$stringparse);
			
			#echo "query after replace: $query\n";
			
		}
		else
		{
			$stringparse=substr($stringparse,$debpos+1);
		}
	}
	
	return $query;
}		


//////////////////////////////////////////////////
//PDO VERSION
	function parseSQLVarORACLE($query)
//////////////////////////////////////////////////
{
	# remplace les tab, saut de ligne par des espaces
	$query = str_replace(array("\n","\r","\t"), " ", $query);
		
	$stringparse=$query;
	
	#echo "parseSQLVarORACLE\n";
	
	while(hasCommand($stringparse,'@') !== false)
	{			
		$debpos=strpos($stringparse,'@');
		
		#SELECT  PAR_ID FROM PART WHERE CLT_ID=@ID_CLIENT AND PAR_NOM=' TOUS'
		#echo "debpos: $debpos";

		$charbefore=$stringparse[$debpos-1];
		$charafter=$stringparse[$debpos+1];
		
		#echo "stringparse: $char";
		
		if((($charbefore == ',') || ($charbefore == ' ') || ($charbefore == '') || ($charbefore == '(') || ($charbefore == '=')) && ($charafter != '@'))//case @@IDENTITY
		{
			$var=substr($stringparse,$debpos);

			#echo "var: $var\n";

			$endpos = strpos($var, ',');
			
			if($endpos !== false)
			{
				$var=substr($var,0,$endpos);
				
				$endpos = strpos($var, ' ');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);//case @ID_CLIENT FROM ROLE,	
			}
			else
			{
				$endpos = strpos($var, ')');
				
				if($endpos !== false)
					$var=substr($var,0,$endpos);
				else
				{
					$endpos = strpos($var, ' ');
					if($endpos !== false)
						$var=substr($var,0,$endpos);
					else	
						$var=substr($var,0);
				}
			}
					
			#print_r($this->tablevariable_array);
						
			$pipepos = strpos($var, '||');#case CONCAT
			
			if($pipepos !== false)
				$var=substr($var,0,$pipepos);
			
			$varvalue=$this->tablevariable_array[$var];
		
			#echo "varvalue: $var: $varvalue\n";
			
			$msg="PARSESQLVARORACLE, replace, var: $var, varvalue: $varvalue\n";
			
			$this->WriteLog($msg);
			
			$query=str_ireplace($var,$varvalue,$query);
			$stringparse=str_ireplace($var,$varvalue,$stringparse);
			
			#echo "query after replace: $query\n";
			
		}
		else
		{
			$stringparse=substr($stringparse,$debpos+1);
		}
	}
	
	return $query;
}

//////////////////////////////////////////////////
//PDO VERSION
	function parseConcatORACLE($query)
//////////////////////////////////////////////////
	{
		global $ORACLE;

		# remplace les "sauts", "tab" et "retour chariot" par des "espaces"
		$query = str_replace(array("\n","\r","\t"), " ", "$query");
		# init variable
		$result="";	
		#caracteres de liaison "concaténation" de chaines;
		# RQ : différenciation ORACLE et MSSQL effectuée à l'origine et testée (OK) pour les 2 types de BdD
		#         condition laissée pour le jour où on fusionnera les 2 parseConcat ORACLE et MSSQL
		#         il suffira de renommer la fonction parseConcatORACLE et de commenter ou supprimer la fonction parseConcatMSSQL (et parseConcatParam)
		if(!$ORACLE) 
		{
			$caractere="+";
		}
		else
		{
			$caractere="||";
		}		
		# compte nombre de "concat" dans la chaine
		$count=substr_count(strtolower($query), 'concat'); 
		
		# scrute la requête si "concat"
		$temp=1;
		while ($temp !=0)
		{
			# position du 1er "concat" dans la chaine
			$pos = stripos($query, 'concat');
			if ($pos > 0)
			{ 
				#requete AVANT et A PARTIR DU "concat"
				$beginquery=substr($query,0,$pos);
				$subquery=substr($query,$pos);
			}
			
			# requête finale partielle (on conserve jusqu'au "concat")
			$result.=$beginquery;//SET @REPCLIIHM=	
			
			# concat : position = 0
			$pos = stripos(strtolower($subquery), 'concat');
			
			# variable à concaténer et reste de la requête
			$subquery=substr($subquery,strlen('concat'));
			$pos1 = stripos(strtolower($subquery), ')');
			$beginsubquery=substr($subquery,1,$pos1-1);
			$beginsubquery=str_replace(',',$caractere,$beginsubquery);
			# particularité "concat" imbriqués
			$beginsubquery=str_replace(array('CONCAT(','concat('),'',$beginsubquery);
			$subquery=substr($subquery,$pos1+1);
			$subqueryrest=$subquery;
			if($subqueryrest[0] != ',')
			{
				$pos2 = stripos($subqueryrest, ','); // 1ere virgule = fin du concat
				$subqueryrest = substr($subqueryrest,$pos2,strlen($subqueryrest));
			}
			$result.=$beginsubquery;
			
			$query = $subquery;
			$temp = substr_count(strtolower($query), 'concat');
		}

		# compte nombre de ( et ) dans la requete // partie un peu "bricolage" en attendant  de trouver mieux //
		$countPar1fin=substr_count(strtolower($result), '('); 
		$countPar2fin=substr_count(strtolower($result), ')');
		# élimination des reliquats de "concat" imbriqués (cas particulier)
		if($countPar1fin == 0 && $countPar2fin != 0) 
			$result=str_replace(')','',$result);
			
		# resultat final
		$result.=$subqueryrest;
			
		return $result;
	}

//////////////////////////////////////////////////
//PDO VERSION
	function parseConcatMSSQL($query)
//////////////////////////////////////////////////
	{
		global $ORACLE;

		# remplace les "sauts", "tab" et "retour chariot" par des "espaces"
		$query = str_replace(array("\n","\r","\t"), " ", "$query");
		# init variable
		$result="";	
		#caracteres de liaison "concaténation" de chaines;
		# RQ : différenciation ORACLE et MSSQL effectuée à l'origine et testée (OK) pour les 2 types de BdD
		#         condition laissée pour le jour où on fusionnera les 2 parseConcat ORACLE et MSSQL
		#         il suffira de renommer la fonction parseConcatORACLE et de commenter ou supprimer la fonction parseConcatMSSQL (et parseConcatParam)
		if(!$ORACLE) 
		{
			$caractere="+";
		}
		else
		{
			$caractere="||";
		}		
		# compte nombre de "concat" dans la chaine
		$count=substr_count(strtolower($query), 'concat'); 
		
		# scrute la requête si "concat"
		$temp=1;
		while ($temp !=0)
		{
			# position du 1er "concat" dans la chaine
			$pos = stripos($query, 'concat');
			if ($pos > 0)
			{ 
				#requete AVANT et A PARTIR DU "concat"
				$beginquery=substr($query,0,$pos);
				$subquery=substr($query,$pos);
			}
			
			# requête finale partielle (on conserve jusqu'au "concat")
			$result.=$beginquery;//SET @REPCLIIHM=	
			
			# concat : position = 0
			$pos = stripos(strtolower($subquery), 'concat');
			
			# variable à concaténer et reste de la requête
			$subquery=substr($subquery,strlen('concat'));
			$pos1 = stripos(strtolower($subquery), ')');
			$beginsubquery=substr($subquery,1,$pos1-1);
			$beginsubquery=str_replace(',',$caractere,$beginsubquery);
			# particularité "concat" imbriqués
			$beginsubquery=str_replace(array('CONCAT(','concat('),'',$beginsubquery);
			$subquery=substr($subquery,$pos1+1);
			$subqueryrest=$subquery;
			if($subqueryrest[0] != ',')
			{
				$pos2 = stripos($subqueryrest, ','); // 1ere virgule = fin du concat
				$subqueryrest = substr($subqueryrest,$pos2,strlen($subqueryrest));
			}
			# ajout de CAST (spécifique MSSQL) pour transformer les type int en varchar  
			$paramconcats = explode("+",$beginsubquery);
			$concat="cast($paramconcats[0] as varchar) ";
			for($i=1;$i<count($paramconcats);$i++)
			{
				$concat .= "+cast($paramconcats[$i] as varchar) ";
			}
			$result.= $concat;
			
			$query = $subquery;
			$temp = substr_count(strtolower($query), 'concat');
		}
		
		# compte nombre de ( et ) dans la requete // partie un peu "bricolage" en attendant  de trouver mieux //
		$countPar1fin=substr_count(strtolower($result), '('); 
		$countPar2fin=substr_count(strtolower($result), ')');
		# élimination des reliquats de "concat" imbriqués (cas particulier)
		if($countPar1fin == 0 && $countPar2fin != 0) 
			$result=str_replace(')','',$result);	
			
		# resultat final
		$result.=$subqueryrest;
			
		return $result;
	}

//////////////////////////////////////////////////
//PDO VERSION
	function SQLTotAff($num)
//////////////////////////////////////////////////
	{
			
		return $this->TotAff[$num];
	}

//////////////////////////////////////////////////
//NOT USED
	function SQLNumRows($num = '0')
//////////////////////////////////////////////////
	{
		#$count = @mysql_num_rows($this->Result[$num]);
		#if ($count == -1)
		#{
		#	$this->erreur("Erreur de nombre de ligne");
		#	return false;
		#}
		$count=0;
		
		return $count;
	}

//////////////////////////////////////////////////
//PDO VERSION
	function SQLNumFields($num = '0')
//////////////////////////////////////////////////	
	{
		//if ($num < 0 || $num > $this->NumReq) return false;
		if ($num < 0) return false;
		
		//$count = @mysql_num_fields($this->Result[$num]);
		
		if(!$this->Result[$num]) return false;
		
		//PDOStatement::columnCount
		$currentpdostatement= $this->Result[$num];
		
		if(is_object($currentpdostatement))
			$count=$currentpdostatement->columnCount();
		else
			$count=0;
			
		if ($count == -1)
		{
			$this->erreur("Erreur de nombre de colonne",$num);
			return false;
		}
		
		$msg="SQLNumFields: COUNT: $count, NUM: $num\n";
	
		$this->WriteLog($msg);
	
		return $count;
	}

//////////////////////////////////////////////////
//PDO VERSION
	function SQLFieldName($i = '1', $num = '0')
//////////////////////////////////////////////////
	{
		//return mysql_field_name($this->Result[$num],$i);
		//$currentpdostatement= $this->Result[$num];
		
		//not supported for oracle odbc
		//$meta = $currentpdostatement->getColumnMeta($i);
		//var_dump($meta);
		//return $meta['name'];
			
		#return $this->GetFieldNameFromCurrentTable ($i) ;
		$name=$this->GetFieldNameFromCurrentTable ($i, $num);
		
		$msg="SQLFieldName: $i, NAME: $name, NUM: $num\n";
	
		$this->WriteLog($msg);
		
		return $name;
	
	}
	  
//////////////////////////////////////////////////
//PDO VERSION
	function SQLFieldType($i='1', $num='0')
//////////////////////////////////////////////////
	{
		//return mysql_field_type($this->Result[$num],$i);
							
		$type=$this->GetFieldTypeFromCurrentTable ($i, $num);
		
		$msg="SQLFieldType: $i, TYPE: $type, NUM: $num\n";
	
		$this->WriteLog($msg);

		return $type;
	}
	  
//////////////////////////////////////////////////
//PDO VERSION
	function SQLFieldFlags($i='1', $num='0')
//////////////////////////////////////////////////
	{
		//return mysql_field_flags($this->Result[$num],$i);
		// TO DO
	}

/////////////////////////////////////////////////////
//PDO VERSION
	function SQLNextRow($num='0')
/////////////////////////////////////////////////////	
	{
		//$this->Row = @mysql_fetch_array($this->Result[$num]);
		
		#var_dump($this->Result[$num]);
		
		$msg="SQLNEXTROW NUM: $num\n";
	
		$this->WriteLog($msg);
		
		if($this->Result[$num] != NULL)
		{
			#$this->Row = $this->Result[$num]->fetch(PDO::FETCH_ASSOC); 
			if(is_object($this->Result[$num]))
				$this->Row = $this->Result[$num]->fetch(PDO::FETCH_BOTH); 
			else
				$this->Row=NULL;
		}
		else
		{
			#echo "Result is NULL\n";
			$msg="*** SQLNEXTROW, Result is NULL ***\n";
	
			$this->WriteLog($msg);
			
			$this->Row=NULL;
		}	
		
		//$fieldNumber = $this->SQLNumFields($num);  
		
		if (is_array($this->Row))
		{
			
			//echo "SQLNextRow: Row is_array";
			
			foreach($this->Row as $key => $strWork)
			{
				if (is_string($strWork))
				{
					$utf8Decode = utf8_decode($strWork);
					if (($utf8Decode != $strWork) && (utf8_encode($utf8Decode) == $strWork))
					{
						$this->Row[$key] = $strWork;
					}
					else
					{
						$this->Row[$key] = utf8_encode($strWork);
					} 
				}
			}
		}
		
		return $this->Row;
	}

/////////////////////////////////////////////////////
//PDO VERSION
	function SQLLoadLob($num, $query)
/////////////////////////////////////////////////////
	{
		//if ($num < 0 || $num > $this->NumReq)
		if ($num < 0)
		{
			$this->erreur("Numéro de statement incorrect",$num);
			return false;
		}
		
		//$this->Result[$num] = @mysql_query($query, $this->ConnectionID);
				
		$this->SQLQuery($query, $num);
				
		if(!$this->Result[$num])
		{
			$this->erreur("$query",$num);
			return false;
		}

		$currentpdostatement= $this->Result[$num];
		
		if(is_object($currentpdostatement))
		{
			//echo "loadlob is_object";
			$res = $currentpdostatement->fetch(PDO::FETCH_BOTH); 
		}
		else	
			$res[0]="";
			
		//$res = mysql_fetch_array($this->Result[$num]);

		//@mysql_free_result($this->Result[$num]);

		return $res[0];
	}

/////////////////////////////////////////////////////////
//PDO VERSION
	#function SQLFermeQuery($num='0')
	function SQLFermeQuery()
/////////////////////////////////////////////////////////	
	{
		/*
		if ($num < 0 || $num > $this->NumReq) return false;
		if (!@mysql_free_result($this->Result[$num])) return false;
		else return true;
		*/
        global $flagAs;
		$flagAs = False;
        
		$numargs = func_num_args();
		#echo "Nombre d'arguments : $numargs<br />\n";

		$num='0';
		
		#CASE SQLFermeQuery($req, 1);
		if ($numargs >= 2) {
	         #echo "Le second argument est : " . func_get_arg(1) . "<br />\n";
			 $request=func_get_arg(0);
			 $num=func_get_arg(1);
			 $msg="SQLFermeQuery NUM: $num with request: $request\n";
	     }
		 else
		 {
			if ($numargs == 1)
			{
				$num=func_get_arg(0);				
				$msg="SQLFermeQuery NUM: $num\n";
			}
			else
				$msg="SQLFermeQuery without NUM\n";
			
			
		}
			
		$this->WriteLog($msg);
			
		if(isset($this->Result[$num]) && $this->Result[$num])
		{
			if(is_object($this->Result[$num]))
				$this->Result[$num]->closeCursor();
				
			$this->Result[$num]=NULL;
			$this->currentpdostatement=NULL;
		}		
	}

	/**
	 * Se positionne en mode AutoCommit Off
	 * @return boolean succès de l'opération
	 */
/////////////////////////////////////////////////////////
//PDO VERSION
	function SQLTransact($num='1')#1 by default...
/////////////////////////////////////////////////////////
	{
		//$res = @mysql_query("BEGIN", $this->ConnectionID);
		
		$msg="SQLTransact\n";

		$this->WriteLog($msg);
		
		#$res = $this->dbh[$num]->beginTransaction();
		/*
		$this->currentrequestwithtransact=$num;
			
		if(!$res)
		{
			$this->erreur("Erreur transaction",$num);
			return false;
		}
		*/
		return true;
	}

	/**
	 * Valide une transaction
	 * @return boolean succès de l'opération
	 */
/////////////////////////////////////////////////////////	
//PDO VERSION
	function SQLCommit($num='1')#1 by default...
/////////////////////////////////////////////////////////	
	{
		//$res = @mysql_query("COMMIT", $this->ConnectionID);
		#echo "** SQLCommit **\r\n";
		
		$msg="SQLCommit\n";

		$this->WriteLog($msg);
		/*	
		$res = $this->dbh[$num]->commit();
		
		$this->currentrequestwithtransact='-1';
		
		if(!$res)
		{
			$this->erreur("Erreur commit",$num);
			return false;
		}
		*/
		return true;
	}
	
	/**
	 * Annule la dernière transaction
	 * @return boolean succès de l'op�ration
	 */
/////////////////////////////////////////////////////////		
//PDO VERSION
	function SQLRollBack($num='1')#1 by default..
/////////////////////////////////////////////////////////		
	{
		//$res = @mysql_query("ROLLBACK", $this->ConnectionID);
		
		$msg="SQLRollBack\n";

		$this->WriteLog($msg);
		/*
		$res = $this->dbh[$num]->rollBack();
		
		$this->currentrequestwithtransact='-1';
	
		if(!$res)
		{
			$this->erreur("Erreur RollBack",$num);
			return false;
		}
		*/
		
		return true;
	}

	/**
	 * Retourne la derniere clé (autoincrement) générée dans la connexion courante
	 * @return boolean/string false en cas d'échec, la valeur de la clé sinon
	 */	
		
/////////////////////////////////////////////////////////		
//PDO VERSION
	function SQLNewID()#TODO request num in parameter
/////////////////////////////////////////////////////////			
	{
		$this->lastid=$this->get_seqID();
				
		return $this->lastid;
	}

/////////////////////////////////////////////////////////		
//PDO VERSION
	function SQLLastCle($num='1')#1 by default...
/////////////////////////////////////////////////////////			
	{
		//$res = @mysql_insert_id();
		//$res=$this->lastid;
		return $this->get_IDENTITY($num);
/*		
		if(!$res)
		{
			$this->erreur("Erreur LastCle");
			return false;
		}
		
		return $res;
*/		
	}
/////////////////////////////////////////////////////////			   
//PDO VERSION
	function SQLlastID($num='1')#1 by default...
/////////////////////////////////////////////////////////				
    {
		//return mysql_insert_id();
		//return $this->lastid;
		return $this->get_IDENTITY($num);
		
    }

/////////////////////////////////////////////////////////	
//PDO VERSION		
//ExecCreateTrigger($query);	
	function	ExecCreateTrigger($query)
/////////////////////////////////////////////////////////			
	{
		$result=FALSE;
		
		if($query != "")	
			$result = $this->dbh[0]->exec($query);
		
		$this->Result[0]=$result;
		
		return $this->Result[0];
	}

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function get_IDENTITY($num='1')#1 by default...
/////////////////////////////////////////////////////////			
{
	global $ORACLE;
 
	if(!$ORACLE)
	{             
		#$req ="SELECT @@IDENTITY AS SEQID";	           
		
		#$req ="SELECT SCOPE_IDENTITY() AS SEQID";	#because pb with TRIGGER, but KO
		
		$tablename="'" . $this->currenttablename[$num] . "'";
		
		$req ="SELECT IDENT_CURRENT($tablename) AS SEQID"; #because pb with TRIGGER
		
		$this->SQLQuery($req, $num);
	
		$row = $this->SQLNextRow($num);

		$SeqID = $row['SEQID'];
	}
	else
	{
		$SeqID=$this->lastid;
	}	
	
	#echo "req: $req<br>";
	
	$msg="get_IDENTITY: $SeqID\n";

	$this->WriteLog($msg);
	
	return $SeqID;
}	

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function get_COUNT($num='0')
/////////////////////////////////////////////////////////			
{
	global $ORACLE;

	$CountRecord=0;
	
	$msg="GET_COUNT, NUM: $num\n";
		
	$this->WriteLog($msg);

	if(!$ORACLE)
	{    
		/* NOT USED, client is modified*/
		/* Because busy request */
		
		$req ="SELECT @@ROWCOUNT AS COUNTRECORD";	           
		
		$this->SQLQuery($req, $num);
		
		$row = $this->SQLNextRow($num);

		$CountRecord = $row['COUNTRECORD'];
		
		/*
		$currentpdostatement= $this->Result[$num];
		
		if(is_object($currentpdostatement))
			//PDO rowcount
			$CountRecord=$currentpdostatement->rowCount();
		*/
	}
	else
	{
		#NOT USED; USED the return of exec
		$currentpdostatement= $this->Result[$num];
		
		if(is_object($currentpdostatement))
			//PDO rowcount
			$CountRecord=$currentpdostatement->rowCount();
	}	
	
	#echo "req: $req<br>";
	
	$msg="GET_COUNT: $CountRecord\n";
	
	$this->WriteLog($msg);	
	
	return $CountRecord;
}	

/////////////////////////////////////////////////////////	
//ADD FOR PDO VERSION		
	function Quote($string)
/////////////////////////////////////////////////////////			
{
	#TO DO with req num
	#$stringafterquote=$this->dbh->quote($string);
	
	#$msg="QUOTE: $string, After quote: $stringafterquote\n";
	$msg="QUOTE: $string\n";
		
	$this->WriteLog($msg);
	
	//TO DO: for mssql quote return a empty string
	#return $stringafterquote;
	return $string;
}

/////////////////////////////////////////////////////////			
//PDO VERSION
	function SQLErreur($num='1')#1 by default..
/////////////////////////////////////////////////////////				
	{
		//return " Erreur mysql n°:".mysql_errno()." libellé: ".mysql_error();
			
		$array_error=$this->dbh[$num]->errorInfo();
		
		return " Erreur sql n°:". $this->dbh[$num]->errorCode() ." libellé: ". $array_error[2];
		
	}

/////////////////////////////////////////////////////////	
//PDO VERSION		
	function get_seqID()
/////////////////////////////////////////////////////////			
{
	// get a new ID from sequence
	
	//case ORACLE
		
	$req ="SELECT " . $this->tablename_seq . ".NEXTVAL from dual";
	
	//echo "req: $req<br>";
	
	$this->SQLQuery($req, $this->defaultrequestnum);
	
	//echo "SQLNextRow";
	
	$row = $this->SQLNextRow($this->defaultrequestnum);

	$SeqID = $row['NEXTVAL'];

	//echo "seqID: $SeqID";

	return $SeqID;
}

/////////////////////////////////////////////////////////			
//PDO VERSION
	function erreur($fonction,$num=0)
/////////////////////////////////////////////////////////			
	
	{
		global $page_courante;
		
		if(INSTALL_DB)
			$res = $fp = @fopen("setup_sql_flow.log", "a");
		else	
			$res = $fp = @fopen(PATH_LOG_SQL."flowmanager_sql_site.log", "a");
				
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Le chemin d\'acc�s au fichier de log SQL n\'existe pas, \\nou les permissions ne sont pas accord�es au serveur pour ecrire dans le r�pertoire.\"); 
					</script>";
			return false;
		}
		
		if($this->dbh[$num])
		{
			$array_error=$this->dbh[$num]->errorInfo();
	
			$msg_err = 	"ERR_SQL**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Requete : $fonction\r\n".
					//"Erreur  : ".mysql_error()."\r\n";
					"Erreur  : ". $array_error[2] ."\r\n";
		}
		else
		{
			$msg_err = 	"ERR_SQL**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Erreur : $fonction\r\n";
		}
		
					
		$res = @fputs($fp, $msg_err);
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Une erreur SQL s\'est produite, \\nmais le serveur Web ne dispose pas des droits n�cessaire pour �crire dans le fichier des logs.\");
					</script>";
			return false;
		}
		@fclose($fp);
	}

/////////////////////////////////////////////////////////			
//PDO VERSION
		function GetFieldNameFromCurrentTable ($index, $num) 
/////////////////////////////////////////////////////////			
{
	global $ORACLE;

	$i=0;
	$nom="";
	
	//echo "GetFieldNameFromTable: " . $this->currenttablename;
	
	$tableName=$this->currenttablename[$num];
	
	try
	{		
		if(!$ORACLE)
		{
			$tableName=trim($tableName,"\"");
			
		   $query="select COLUMN_NAME from INFORMATION_SCHEMA.COLUMNS where table_name='" . $tableName . "'";
		}
		else
		{
			$query="select column_name from user_tab_columns where table_name = '" . strtoupper($tableName) . "' order by column_id";
		}		

		
		
		$msg="GetFieldNameFromCurrentTable, index: $index, query: $query\n";
		
		$this->WriteLog($msg);

		$recordset = $this->dbh[$this->defaultrequestnum]->query($query);
		$fields = $recordset->fetchAll(PDO::FETCH_ASSOC);
				
		foreach ($fields as $field)
		{
			//echo "foreach getfieldname";
			
			#var_dump($field);
			
			if($i == $index)
			{
				$nom = $field['COLUMN_NAME'];
				break;
			}
			
			$i++;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
		
		$this->erreur("$query",$this->defaultrequestnum);
	}

	return $nom;
}

/////////////////////////////////////////////////////////			
//PDO VERSION
		function GetFieldTypeFromCurrentTable ($index, $num) 
/////////////////////////////////////////////////////////			
{
	global $ORACLE;

	$i=0;
	$type="";
	
	//echo "GetFieldNameFromTable: " . $this->currenttablename;
	
	$tableName=$this->currenttablename[$num];
	
	try
	{		
		if(!$ORACLE)
		{
			$tableName=trim($tableName,"\""); //case key words
		
			$query="select DATA_TYPE from INFORMATION_SCHEMA.COLUMNS where table_name='" . $tableName . "'";
		}
		else
			$query="select data_type from user_tab_columns where table_name = '" . strtoupper($tableName) . "' order by column_id";
				
		#echo $query;		
		$recordset = $this->dbh[$this->defaultrequestnum]->query($query);
		#var_dump($recordset);
		$fields = $recordset->fetchAll(PDO::FETCH_ASSOC);
				
		foreach ($fields as $field)
		{
			#echo "foreach getfieldname";
			
			#var_dump($field);
			
			if($i == $index)
			{
				$type = $field['DATA_TYPE'];
				break;
			}
			
			$i++;
		}
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
		
		$this->erreur("$query",$this->defaultrequestnum);
	}

	return $type;
}

/////////////////////////////////////////////////////////			
//PDO VERSION
		function WriteLog($msg) 
/////////////////////////////////////////////////////////			
{
	if(REQUEST_LOG)
	{
		global $page_courante;
		
		if(INSTALL_DB)
			$fp = @fopen("query_install.log", "a");
		else	
			$fp = @fopen(PATH_LOG_SQL."query_config.log", "a");	
		
		$msg_log = 	"**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Message : $msg\r\n";
		
		
		@fputs($fp, $msg_log);
		
		@fclose($fp);	
	}
}
}
?>
