<?php
$culture_content_type = "plain/text; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once($DEFAULT_PATH."struct.php");
require_once("$culture_folder/culture.php");

function mb_sql_regcase($string,$encoding='auto'){
  $max=strlen($string);
  for ($i = 0; $i < $max; $i++) {
    $char=substr($string,$i,1);
    $up=strtoupper ($char);
    $low=strtolower($char);
    @$ret.=($up!=$low)?'['.$up.$low.']' : $char;
  }
  return $ret;
}

$Table = array 
(
	0	=> 'ACTFLUX',
	1 	=> 'ACTIVITE', 
	2 	=> 'ETAT_NUM',
	3	=> 'FAMILLE', 
	4 	=> 'FORMAT', 
	5 	=> 'NUM_DOC_COL',
	6	=> 'NUM_DOC_PRE',
	7	=> 'PART',
	8	=> 'SUIVI',
/*	
	9	=> 'SUI_RAPPROCH',
	10	=> 'TYPE_DOC',
	11	=> 'UTILISATEUR',
	12  => 'ALERTE'
*/
#error with MSSQL/ORACLE, because SUI_RAPPROCH doesn't exist
	9	=> 'TYPE_DOC',
	10	=> 'UTILISATEUR',
	11  => 'ALERTE'


);

function reqValide($req, &$msg_err, &$res)
{
	global $Table;
	global $_SESSION;
	global $lang_reqvalide_msgerr_notable;
	global $lang_reqvalide_msgerr_selectonly;
	global $lang_reqvalide_msgerr_cantotherstat;
	
	$req_clt = "";
	
	if (preg_match("/".mb_sql_regcase("UPDATE|INSERT|DELETE|GRANT|ALTER|REPLACE")."/", $req))	
	{
		$msg_err = "$lang_reqvalide_msgerr_selectonly\n$lang_reqvalide_msgerr_cantotherstat";
		return 0;
	}
	
	$extract=mb_sql_regcase("EXTRACT");
	$from=mb_sql_regcase("FROM");
	$espace="( )";
	$nimporteQuelCaracter="([a-z]|[A-Z]|[0-9]|_)";
	$machaine=$extract.$espace."*\\(".$espace."*".$nimporteQuelCaracter."+".$espace."+".$from."".$espace."+".$nimporteQuelCaracter."+".$espace."*\\)";
		
	$chaine=preg_split("/".$machaine."/", trim($req));
	$i=0;
	while(@$chaine[$i])
	{
		$temp = preg_split("/".mb_sql_regcase("FROM")."/", trim($chaine[$i]));
		$temp = preg_split("/".mb_sql_regcase("WHERE")."/", $temp[1]);
		$temp = preg_split("/".mb_sql_regcase("GROUP")."/", $temp[0]);
		$temp = preg_split("/".mb_sql_regcase("ORDER")."/", $temp[0]);
		$list = explode(",", $temp[0]);
		$nb = 0;
		foreach($list as $ll)
		{
			$ll = preg_replace("/\t|\r|\n|[.]{3,3}/", "", trim($ll));
			$tab = explode(" ", trim($ll)); // dans le cas d'un alias ex: part as p1
			if (@$tab[2]) // dans le cas alias de type 'table as alias'
				$alias=$tab[2];
				elseif (@$tab[1]) // dans le cas de type 'table alias'
					$alias=$tab[1];
					else $alias=$tab[0]; // dans le cas où l'on n'a pas d'alias
			$ll = trim($tab[0]);
			if ($ll)
			{
				$ok = false;
				foreach($Table as $tt) 
				{
					if (strtoupper($ll) == $tt)
					{
						$nb++; 
						$ok = true;
						$ll = $alias;
						if ($nb == 1) $req_clt = " $ll.CLT_ID = ".$_SESSION['CLT_ID']." ";
						else $req_clt .= " and $ll.CLT_ID = ".$_SESSION['CLT_ID']." ";
					}
				}
				if (!$ok)
				{
					$msg_err = str_replace("%TABLE%", $ll, $lang_reqvalide_msgerr_notable);
					return 0;
				}
			}
		}
	$i++;
	}
	
	if ($nb > 0)
	{
		if (preg_match("/".mb_sql_regcase("WHERE")."/", $req)) 
			{
			$req = str_replace(mb_sql_regcase("WHERE"), "WHERE".$req_clt." and ", $req);
			}			
		else
			if (preg_match("/".mb_sql_regcase("ORDER")."/", $req)) 
			{
				$temp = preg_split("/".mb_sql_regcase("ORDER")."/", $req);
				if (preg_match("/".mb_sql_regcase("GROUP")."/", $temp[0])) 
					$req = str_replace(mb_sql_regcase("GROUP"), " WHERE ".$req_clt." GROUP", $req);
				else $req = str_replace(mb_sql_regcase("ORDER"), " WHERE ".$req_clt." ORDER", $req);
			}
			else
				if (preg_match("/".mb_sql_regcase("GROUP")."/", $req)) 
				{
					$temp = preg_split("/".mb_sql_regcase("GROUP")."/", $req);
					if (preg_match("/".mb_sql_regcase("ORDER")."/", $temp[0])) 
						$req = str_replace(mb_sql_regcase("ORDER"), " WHERE ".$req_clt." ORDER", $req);
					else $req = str_replace(mb_sql_regcase("GROUP"), " WHERE ".$req_clt." GROUP", $req);
				}
				else $req .= " WHERE ".$req_clt;
	}
	$res = $req;	
	return 1;
}
?>