<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";// /!\ utils.php inclu déjà culture.php
require_once("$culture_folder/culture.php");
require_once ($DEFAULT_PATH."inc/php/utils.php"); 

if (droit(CTA, "xor",null,null,null,null))
	$droitRole = CTA;
else
	$droitRole = CMA;

$lmcse = DROIT_LECT;
$where = "";

$alt_id = pget('alt_id');
$f_etat = pget('f_etat');
$f_type = pget('f_type');
$f_date = pget('f_date');
$f_niv 	= pget('f_niv');
$f_emet = pget('f_emet');
$f_suivi = pget('f_suivi');
$f_cloture = pget('f_cloture');
$cltID 	= $_SESSION['CLT_ID'];
$cptID 	= $_SESSION['CPT_ID'];

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

//Traitement de l'�tat
if ($f_etat)
	$where .= " AND ALERTE.ALT_ETAT = '$f_etat' ";
else
	$where .= " AND ALERTE.ALT_ETAT != ".ALT_ETAT_SUPPR." ";

//Traitement du type
if ($f_type)
	$where .= " AND ALERTE.ALT_TYPE = '$f_type' ";

//Traitement du niveau d'alerte
if ($f_niv)
	$where .= " AND ALERTE.ALT_NIVEAU = '$f_niv' ";

//Traitement date de début
if ($f_date)
	if($ini_typeBase == "oracle"){
		$where .= " AND ALERTE.ALT_DATE >= TO_DATE('$f_date', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND ALERTE.ALT_DATE >= '".date2Sql($f_date, "00:00:00")."'";
	}
	
//Traitement de l'activité émettrice
if ($f_emet)
	$where .= " AND ACTFLUX.ACT_ID=".$f_emet;
	
//Traitement date de suvi
if ($f_suivi)
	if($ini_typeBase == "oracle"){
		$where .= " AND ALERTE.ALT_DATE_SUIVI >= TO_DATE('".$f_suivi." 00:00:00', 'DD/MM/YYYY HH24:MI:SS') AND ALERTE.ALT_DATE_SUIVI <= TO_DATE('".$f_suivi." 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND ALERTE.ALT_DATE_SUIVI >= '".date2Sql($f_suivi, "00:00:00")."' AND ALERTE.ALT_DATE_SUIVI <= '".date2Sql($f_suivi, "23:59:59")."'";
	}
	
	
//Traitement date de cloture
if ($f_cloture)
	if($ini_typeBase == "oracle"){
		$where .= " AND ALERTE.ALT_DATE_CLOTURE >= TO_DATE('".$f_cloture." 00:00:00', 'DD/MM/YYYY HH24:MI:SS') AND ALERTE.ALT_DATE_CLOTURE <= TO_DATE('".$f_cloture." 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND ALERTE.ALT_DATE_CLOTURE >= '".date2Sql($f_cloture, "00:00:00")."' AND ALERTE.ALT_DATE_CLOTURE <= '".date2Sql($f_cloture, "23:59:59")."'";
	}
		
	
// Si l'utilisateur a les droits suivi reseau et suivi document sans restriction 
// il peut consulter toutes les alertes sinon uniquement celles 
// pour lesquelles il est destinataire
$req = "SELECT UTR_ID
		FROM COMPTE 
		WHERE CPT_ID=".$cptID;

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$utr_id = $row[0];
$gDb->SQLFermeQuery(1);

if($droitRole == CMA)
	$where .= " AND (ALERTE.ALT_DEST_ID = $utr_id OR ALERTE.ALT_DESTCC_ID = $utr_id) ";

$req = "SELECT SQL_CALC_FOUND_ROWS 
	        ALT_ID
	      , ALT_LIBEL
	      , ALT_ETAT
		  , ALT_TYPE
	      , ALT_DEST_ID
	      , ALT_DESTCC_ID
	      , DEST.UTR_NOM as UTR_NOM
		  , DEST.UTR_PRENOM as UTR_PRENOM
	      , ALERTE.AFX_ID
	      , ACTFLUX.AFX_LIBEL AFX_LIBEL
	      , ALT_DATE
	      , ALT_NIVEAU
	      , ALERTE.SUI_ID
	      , ALT_SUIVI
	      , SUIVI.SUI_TYP_NUM
	      , ALT_ERREUR
	      , ALT_TXTERREUR
	      , ALT_TXTDETAIL
	      , ALT_DATE_SUIVI
		  , ALT_DATE_CLOTURE
		  , ALT_DIAGNOSTIC
	      , CC.UTR_NOM CC_NOM
		  , CC.UTR_PRENOM CC_PRENOM
	   FROM ALERTE
	   JOIN UTILISATEUR DEST ON DEST.UTR_ID = ALERTE.ALT_DEST_ID AND DEST.CLT_ID = ALERTE.CLT_ID
	   LEFT JOIN UTILISATEUR CC ON CC.UTR_ID = ALERTE.ALT_DESTCC_ID AND CC.CLT_ID = ALERTE.CLT_ID
	   JOIN ACTFLUX ON ACTFLUX.AFX_ID = ALERTE.AFX_ID AND ACTFLUX.CLT_ID = ALERTE.CLT_ID
	   LEFT JOIN SUIVI ON SUIVI.SUI_ID = ALERTE.SUI_ID AND SUIVI.CLT_ID = ALERTE.CLT_ID
	  WHERE ALERTE.CLT_ID='$cltID' $where
	  ORDER BY ALT_DATE DESC";
	    
	  

$champs = array();
$champs[] = array("nom" => $lang_sui_alt_grid_head_date, "toolTip" => $lang_sui_alt_grid_head_date, "sortMode" => "3");
$champs[] = array("nom" => $lang_sui_alt_grid_head_nom, "toolTip" => $lang_sui_alt_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_alt_grid_head_act, "toolTip" => $lang_sui_alt_grid_head_act, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_alt_grid_head_dest, "toolTip" => $lang_sui_alt_grid_head_dest, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_alt_grid_head_etat, "toolTip" => $lang_sui_alt_grid_head_etat, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_alt_grid_head_date_suivi, "toolTip" => $lang_sui_alt_grid_head_date_suivi, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_alt_grid_head_date_cloture, "toolTip" => $lang_sui_alt_grid_head_date_cloture, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_alt_grid_head_diagnostic, "toolTip" => $lang_sui_alt_lbl_diagnostic, "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'"  pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while($row = $gDb->SQLNextRow(1))
{
	$detail = "<table>
				  <tr>
				    <td><b>".$lang_sui_alt_act_detail_lbl_coderr."</b> : ".$row['ALT_ERREUR']."</td>
					<td><b>".$lang_sui_alt_act_detail_lbl_lblerr."</b> : ".$row['ALT_TXTERREUR']."</td>
                  </tr>
				  <tr>
				    <td><b>".$lang_sui_alt_act_detail_lbl_lblerrdet."</b> : ".$row['ALT_TXTDETAIL']."</td>
					<td><b>".$lang_sui_alt_act_detail_lbl_destcc."</b> : ".$row['CC_NOM']." ".$row['CC_PRENOM']."</td>
                  </tr>
			   </table>";
	echo '<row detail="'.hi_disp($detail).'">';

	$toolTip = '';
	$icon = '';	
	switch($row['ALT_NIVEAU'])
	{
		case ALT_NIV_ERR :
			$toolTip=$lang_sui_alt_grid_lbl_nivalt_err;
			$icon='error.png';
			break;
		case ALT_NIV_AVERT :
			$toolTip=$lang_sui_alt_grid_lbl_nivalt_avert;
			$icon='alert.gif';
			break;
		default :
			$toolTip=$lang_sui_alt_grid_lbl_nivalt_indeter;
			$icon='info.png';
	}
	
	$params = array();
	$params['alt_id'] = $row['ALT_ID'];
	$params['liste'] = $row['ALT_ID'];
	$params['sui_typ_num'] = $row['SUI_TYP_NUM'];
	//$params['SUI_ID'] = $row['SUI_ID'];
	$params['alt_suivi'] = $row['ALT_SUIVI'];
	$params['alt_libel'] = addslashes(hi_disp($row['ALT_LIBEL']));
	$params['alt_diagnostic'] = addslashes(hi_disp($row['ALT_DIAGNOSTIC']));
	
	$params['droits'] = array('detail' => true,
							'histo' => true,
							'cloture' => ($row['ALT_ETAT']==ALT_ETAT_VISU &&
										 (droit(CTA, DROIT_SUPPR,null,null,null,null) || 
										 (droit(CMA, DROIT_SUPPR,null,null,null,null) && ($row['ALT_DEST_ID']==$utr_id || $row['ALT_DESTCC_ID']==$utr_id)))),
							'remove' => (droit(CTA, DROIT_SUPPR,null,null,null,null) || 
										 (droit(CMA, DROIT_SUPPR,null,null,null,null) && ($row['ALT_DEST_ID']==$utr_id || $row['ALT_DESTCC_ID']==$utr_id))));
	
	echo '<item caption="'.sql2Date($row['ALT_DATE']).'" icon="'.$pathFlow.'style/imgs/icons/'.$icon.'" toolTip="'.$toolTip.'" value="'.row_encode_JSON($params).'"/>';
	
	switch($row['ALT_TYPE'])
	{
		case ALT_TYPE_SYS:
			$icon = $pathFlow."style/imgs/icons/system.gif";
			$toolTip = $lang_ds_tal_sys;
			break;
		case ALT_TYPE_APPLI:
			$icon = $pathFlow."style/imgs/icons/appli.gif";
			$toolTip = $lang_ds_tal_app;
			break;
	}
	
	echo '<item caption="'.hi_disp($row['ALT_LIBEL']).'" toolTip="'.$toolTip.'" icon="'.$icon.'"/>';

	echo '<item caption="'.hi_disp($row['AFX_LIBEL']).'"/>';

	echo '<item caption="'.hi_disp($row['UTR_NOM']).' '.hi_disp($row['UTR_PRENOM']).'"/>';

	switch($row['ALT_ETAT'])
	{
		case ALT_ETAT_ATTENTE :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_act.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/clock.png"/>';
			echo '<item caption=" "/>';
			echo '<item caption=" "/>';
			echo '<item caption=" "/>';
			break;
		case ALT_ETAT_VISU :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_inact.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/eye.png"/>';
			echo '<item caption="'.sql2Date($row['ALT_DATE_SUIVI']).'"/>';
			echo '<item caption=" "/>';
			echo '<item caption=" "/>';
			break;
		case ALT_ETAT_ARCHIVE :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_cloture.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/valid.png"/>';
			echo '<item caption="'.sql2Date($row['ALT_DATE_SUIVI']).'"/>';
			if($row['ALT_DATE_CLOTURE'])
				echo '<item caption="'.sql2Date($row['ALT_DATE_CLOTURE']).'"/>';
			else
				echo '<item caption="'.sql2Date($row['ALT_DATE_SUIVI']).'"/>'; // pour les versions où la date de cloture n'existe pas
			if($row['ALT_DIAGNOSTIC'])
				echo '<item caption="'.hi_disp($row['ALT_DIAGNOSTIC']).'"/>';
			else
				echo '<item caption=" "/>';
			break;
		default :
			echo '<item toolTip="'.$lang_sui_alt_grid_lbl_etatalt_indeter.'" alignment="1" icon="'.$pathFlow.'style/imgs/icons/info.png"/>';
			echo '<item caption=" "/>';
			echo '<item caption=" "/>';
			echo '<item caption=" "/>';
			break;
	}

	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';

if ((!isset($_SESSION['HISTOALE_FILTER']['remember'])) || ($_SESSION['HISTOALE_FILTER']['remember']))
{
	$_SESSION['HISTOALE_FILTER'] = array (
	'remember'		=> true,
	'pageNum'		=> $pageNum,
	'pageSize' 		=> $pageSize,
	'f_etat'		=> $f_etat,
	'f_type' 		=> $f_type,
	'f_date'		=> $f_date,
	'f_niv' 		=> $f_niv,
	'f_emet'		=> $f_emet,
	'f_suivi'		=> $f_suivi,
	'f_cloture'		=> $f_cloture);
}
?>