<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."flux/tdoc/flux_tdoc_struct.php");

$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

$cptID = $_SESSION['CPT_ID'];
$cltID = $_SESSION['CLT_ID'];


$typeDoc = pget('typeDoc');
$numCol = pget('numCol');
$suiTYPE = pget('suiTYPE');

$where = "";

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$f_sens = pget('f_sens');
if ($f_sens)
    $where .= " AND SUI_SENS='".$f_sens."'";
    
    // Criteres partenaires

    $f_emetteur     = pget('f_emetteur');       //filtre émetteur
    $f_destinataire = pget('f_destinataire');   //filtre destinataire
    $fromPE         = pget('fromPE');
    $fromPD         = pget('fromPD');

    if ($fromPD>0 && $f_destinataire)
    {
        if ($fromPD==2)// part + fils
        {
            $fils="";
            trouve_fils($f_destinataire);
            if ($fils)
            $filsD=$f_destinataire.", ".$fils;
            else $filsD=$f_destinataire;

        }
        if ($fromPD==3) // que les fils
        {
            $fils="";
            trouve_fils($f_destinataire);
            $filsD=$fils;

        }
        if ($fromPD==4) //que le part
        {
            $filsD=$f_destinataire;
        }
    }
    if ($fromPE>0 && $f_emetteur)
    {
        if ($fromPE==2)// part + fils
        {
            $fils="";
            trouve_fils($f_emetteur);
            if ($fils)
            $filsE=$f_emetteur.", ".$fils;
            else $filsE=$f_emetteur;
        }
        if ($fromPE==3) // que les fils
        {
            $fils="";
            trouve_fils($f_emetteur);
            $filsE=$fils;
        }
        if ($fromPE==4) //que le part
        {
            $filsE=$f_emetteur;
        }
    }

    //Traitement de l'émetteur

    if ($fromPD>0){ if ($f_destinataire) $where .=" and PAR_DEST_ID in ($filsD)";}
    else {if ($f_destinataire) $where .= " and PAR_DEST_ID = '".dblQ($f_destinataire)."'";}

    if ($fromPE>0){ if ($f_emetteur) $where .=" and PAR_EMET_ID in ($filsE)";}
    else {if ($f_emetteur)  $where .= " and PAR_EMET_ID = '".dblQ($f_emetteur)."'";}

 

// traitement des dates
$f_date_deb = pget('f_date_deb');
$f_date_fin = pget('f_date_fin');
if($f_date_deb) {
	if($f_date_fin) {
		if($ini_typeBase == "oracle"){
				$date_deb_sql = "TO_DATE('$f_date_deb','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_sql = "TO_DATE('$f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND ETN_DATE BETWEEN $date_deb_sql AND $date_fin_sql";
		}
		else{
			$where .= " AND ETN_DATE BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND ETN_DATE >= TO_DATE('$f_date_deb', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND ETN_DATE >= '".date2Sql($f_date_deb, "00:00:00")."'";
		}
	}
}
else if($f_date_fin) {
	if($ini_typeBase == "oracle"){
		$where .= " AND ETN_DATE <= TO_DATE('$f_date_fin 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND ETN_DATE <= '".date2Sql($f_date_fin, "23:59:59")."'";
	}		
}


$f_etat = pget('f_etat');
if($f_etat)
    $where .= " AND ETN_ETAT = '".$f_etat."'";

Construit_restriction($droitRole, "PAR_EMET_ID", "PAR_DEST_ID", null, null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);

if ($restrictFiltreEmet)
    $restrictFiltreEmet=" and PAR_ID in (".$restrictFiltreEmet.") ";
    
if ($restrictFiltreDest)
    $restrictFiltreDest=" and PAR_ID in (".$restrictFiltreDest.") ";

//Champs spécifiques à afficher
$req = "SELECT TDOC_SUI
        FROM TYPE_DOC
            WHERE TDOC_ID = $typeDoc";

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$TDOC_SUI = $row['TDOC_SUI'];
$gDb->SQLFermeQuery(1);

$doc_sui = explode(";;", $TDOC_SUI);

$champsSpe = array();

$sui_doc_val = "%";
$haveToSearch = false;
$affich_champs = array();
foreach($doc_sui as $tdoc)
{
    $sui_doc_lib = explode("::", $tdoc);
    if ($sui_doc_lib[1]) // a afficher
    {
        $affich_champs[] = true;
        $id = preg_replace('/[^a-zA-Z0-9]/', '', $sui_doc_lib[0]);
        $val = pget($id); 
        $champsSpe[] = array("libelle" => $sui_doc_lib[0], "name" => $id, "value" => $val);
        if($val)
        {
            $sui_doc_val .= $val."%";
            $haveToSearch = true;
        }
    }
    else
        $affich_champs[] = false;
}

if ($haveToSearch)
    $where.=" AND SUI_TDOC LIKE '$sui_doc_val' ";

//Récupération des détails
$tab_detail = array();
$req = "SELECT PFL_ID, PFL_LIBEL FROM PAR_FLOW";
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
    $tab_detail[$row['PFL_ID']] = $row['PFL_LIBEL'];
$gDb->SQLFermeQuery(1);

//Récupération des partenaires
$tab_part = array();
$req = "SELECT PAR_ID, PAR_NOM FROM PART";
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
    $tab_part[$row['PAR_ID']] = $row['PAR_NOM'];
$gDb->SQLFermeQuery(1);

$where = ltrim($where, "AND and");

if (!isset($_SESSION['histoMaxRow']) || !isset($noRefresh) || ($noRefresh == ''))
{
    // Premiere requete pour obtenir le nombre d'enregistrements
    $reqCount = "SELECT count(*) AS MAX_ROW
                 FROM ARCHIVE_PER_MONTH_$typeDoc"; 
	if ($where != "") $reqCount .= " WHERE ".$where;
    $gDb->SQLQuery($reqCount, 2);
    $row = $gDb->SQLNextRow(2);
    $maxRow = $row['MAX_ROW'];
    $_SESSION['histoMaxRow'] = $maxRow;
    $gDb->SQLFermeQuery(2);
}
else
{
    // Utiliser la derniere valeur utilisee
    $maxRow = $_SESSION['histoMaxRow'];
}

// Calcul du nombre de pages
$pagesNumber = (int)($maxRow / $pageSize);

$req = "SELECT SUI_ID, SUI_NUMERO, ETN_DATE, SUI_SENS,
            PAR_EMET_ID, PAR_DEST_ID,  
            ETN_ETAT, ETN_LIBEL, SUI_DETAIL, SUI_TDOC, FIC_ID
        FROM ARCHIVE_PER_MONTH_$typeDoc";
if ($where != "") $req .= " WHERE ".$where;

$lastRows = $maxRow - ($pagesNumber * $pageSize);
if ($pageNum > $pagesNumber)
    $gDb->SQLQuery($req, 1, 0, $lastRows);
else
    $gDb->SQLQuery($req, 1, $lastRows + ($pageSize*($pagesNumber-$pageNum)), $pageSize);

$champs = array();
$champs[] = array("nom" => $lang_sui_doc_grid_head_num_caption, "toolTip" => $lang_sui_doc_grid_head_num_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_doc_grid_head_date_caption, "toolTip" => $lang_sui_doc_grid_head_date_tooltip, "sortMode" => "3");
$champs[] = array("nom" => $lang_sui_doc_grid_head_sens_caption, "toolTip" => $lang_sui_doc_grid_head_sens_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_doc_grid_head_emet_caption, "toolTip" => $lang_sui_doc_grid_head_emet_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_doc_grid_head_dest_caption, "toolTip" => $lang_sui_doc_grid_head_dest_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_doc_grid_head_etat_caption, "toolTip" => $lang_sui_doc_grid_head_etat_tooltip, "sortMode" => "2");

foreach($champsSpe as $tmp)
    $champs[] = array("nom" => hi_disp($tmp["libelle"]), "toolTip" => hi_disp($tmp["libelle"]), "sortMode" => "1");

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
    echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
    
echo '</header>';

$displayedRows = array();
$index = 0;

while ($row = $gDb->SQLNextRow(1))
{
    $temp = explode(";;", $row['SUI_DETAIL']);
    $detail = "";
    $i = 0;
    foreach($temp as $tt)
    {
        $val = explode("::", $tt);
        if (count($val) > 1)
        {
            $libel = $tab_detail[$val[0]];
            $val[1]=preg_replace("/[^\x20-\xFF]/","",$val[1]);
            if($libel)
            {
                if($i%2 == 0)
                    $detail .= '<tr>';
                $detail .= "<td><b>".$libel."</b> : ".$val[1]."</td>";
                if($i%2 == 1)
                    $detail .= '</tr>';
                ++$i;
            }
        }
    }
    if($detail)
    {
        if($i%2 == 0)
            $detail .= '</tr>';
        $detail = hi_disp('<table>'.$detail.'</table>');
    }
    
    
    $displayedRows[$index] =  '<row detail="'.$detail.'">';
    
    $params = array();
    $params['sui_type'] = $suiTYPE;
    $params['fic_id'] = $row['FIC_ID'];
    $params['sui_numero'] = $row['SUI_NUMERO'];
    $params['from'] = 'doc';
    
    //spécifique pour la liaison histo
    $params['f_tdoc'] = $typeDoc;
    $params['f_date_fin'] = $f_date_fin;
    $params['f_date_deb'] = $f_date_deb;
    $params['f_sens'] = $f_sens;
    $params['f_emetteur'] = $f_emetteur;
    $params['f_destinataire'] = $f_destinataire;
    $params['f_etat'] = $f_etat;
    $params['fromPE'] = $fromPE;
    $params['fromPD'] = $fromPD;
    
    
    $params['droits'] = array('visu' => ($row['FIC_ID'] && droit(SDO, DROIT_EXEC,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc, null)),
                            'download' => ($row['FIC_ID'] && droit(TEL, DROIT_LECT,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc,null)),
                            'histo' => true,
                            'rejeu' => droit(SDO, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc, null));
        
    $icon = $pathFlow.'style/imgs/icons/valid.png';
    $toolTip = $lang_sui_doc_grid_progress_fin_tooltip;
    
    $displayedRows[$index] .= '<item caption="'.$row['SUI_NUMERO'].'" icon="'.$icon.'" toolTip="'.$toolTip.'" value="'.row_encode_JSON($params).'"/>';
    $displayedRows[$index] .= '<item caption="'.sql2Date($row['ETN_DATE']).'"/>';
    
    $displayedRows[$index] .= '<item';
    if($row['SUI_SENS'] == RECEPTION)
        $displayedRows[$index] .= ' caption="'.$lang_sui_doc_grid_recept_caption.'" toolTip="'.$lang_sui_doc_grid_recept_tooltip.'" icon="'.$pathFlow.'style/imgs/icons/retour.gif"';
    else if($row['SUI_SENS'] == EMISSION)
        $displayedRows[$index] .= ' caption="'.$lang_sui_doc_grid_emiss_caption.'" toolTip="'.$lang_sui_doc_grid_emiss_tooltip.'" icon="'.$pathFlow.'style/imgs/icons/aller.gif"';
    
    $displayedRows[$index] .= '/>';
        
    $displayedRows[$index] .= '<item caption="'.hi_disp($tab_part[$row['PAR_EMET_ID']]).'"/>';   
    $displayedRows[$index] .= '<item caption="'.hi_disp($tab_part[$row['PAR_DEST_ID']]).'"/>';
    
    $displayedRows[$index] .= '<item';
    
    switch($row['ETN_ETAT'])
    {
        case SUI_ETAT_OK :
            $displayedRows[$index] .= ' icon="'.$pathFlow.'style/imgs/icons/rond_vert.png" toolTip="'.$lang_ds_etat_ok.'"';
            break;
        case SUI_ETAT_INFO :
            $displayedRows[$index] .= ' icon="'.$pathFlow.'style/imgs/icons/info.png" toolTip="'.$lang_ds_etat_info.'"';
            break;
        case SUI_ETAT_AVERT :
            $displayedRows[$index] .= ' icon="'.$pathFlow.'style/imgs/icons/alert.gif" toolTip="'.$lang_ds_etat_avert.'"';
            break;
        case SUI_ETAT_ERR :
            $displayedRows[$index] .= ' icon="'.$pathFlow.'style/imgs/icons/error.png" toolTip="'.$lang_ds_etat_err.'"';
            break;
        default :
    }
    $displayedRows[$index] .= ' caption="'.hi_disp($row['ETN_LIBEL']).'"/>';
    
    $val_sui_doc = explode(";;", $row['SUI_TDOC']);
    $i = 0;
    foreach($TDOC_SUI_LIB as $temp)
    {
        if ($affich_champs[$i])
            $displayedRows[$index] .= '<item caption="'.hi_disp($val_sui_doc[$i]).'"/>';
        ++$i;
    }
    $displayedRows[$index] .= '</row>';
    $index++;
}   
$gDb->SQLFermeQuery(1);

for ($i = ($index-1); $i >= 0; $i--) echo $displayedRows[$i];       
echo '</databind>';

if ((!isset($_SESSION['ARCHIVEDOC_FILTER_'.$typeDoc]['remember'])) || ($_SESSION['ARCHIVEDOC_FILTER_'.$typeDoc]['remember']))
{
    $_SESSION['ARCHIVEDOC_FILTER_'.$typeDoc] = array (
    'remember'      => true,
    'pageNum'       => $pageNum,
    'pageSize'      => $pageSize,
    'suiTYPE'       => $suiTYPE,
    'f_sens'        => $f_sens,
    'f_emetteur'    => $f_emetteur,
    'f_destinataire'=> $f_destinataire,
    'fromPE'        => $fromPE,
    'fromPD'        => $fromPD,

    'f_date_deb'    => $f_date_deb,
    'f_date_fin'    => $f_date_fin,
    'f_etat'        => $f_etat);
}
?>