<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
$droitRole = SDR;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;
$page_courante = "suivi/collecte/sui_col.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
include($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

$cltID = $_SESSION['CLT_ID'];
$suiType = pget("suiType");

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");


//date par défaut = date d'aujourd'hui - une semaine
$dateJour = date ('d/m/Y', mktime(0, 0, 0, date("m"), date("d"), date("Y")) - (DateDefaut));
($ini_date	= pget('ini_date'))?($f_date_deb = $dateJour):($f_date_deb = pget('f_date_deb'));

if (isset($suiType) && $suiType == SUI_TYPE_COL) {
	$type = "col";
	$type_act = $lang_sui_col_title_col;
	$type_post = "numCol";
}
else {
	$type = "pres";
	$type_act = $lang_sui_col_title_pres;
	$type_post = "numPres";
}

$pageSize = $ini_taille_page_suivi;
$pageNum = pget('pageNum');
// Si l'historique affiche a ete demande depuis un autre ecran (par exemple la collecte)
// on ne sauvegarde pas les parametres du filtre
$f_emetteur = "";
$f_destinataire = "";
$fromPE = "";
$fromPD = "";
$f_date_deb = "";
$f_date_fin = "";
$f_sens = "";
$f_etat = "";
$f_progress = "";
$f_tdoc = "";
if ($remember_filters)
{
	// On restaure les derniers parametres utilises pour le filtre
	$_SESSION['HISTOCOL_FILTER']['remember'] = true;

	if (isset($_SESSION['HISTOCOL_FILTER']['f_emetteur'])) $f_emetteur = $_SESSION['HISTOCOL_FILTER']['f_emetteur'];
	if (isset($_SESSION['HISTOCOL_FILTER']['f_destinataire'])) $f_destinataire = $_SESSION['HISTOCOL_FILTER']['f_destinataire'];
	if (isset($_SESSION['HISTOCOL_FILTER']['fromPE'])) $fromPE = $_SESSION['HISTOCOL_FILTER']['fromPE'];
	if (isset($_SESSION['HISTOCOL_FILTER']['fromPD'])) $fromPD = $_SESSION['HISTOCOL_FILTER']['fromPD'];
	if (isset($_SESSION['HISTOCOL_FILTER']['f_date_deb'])) $f_date_deb = $_SESSION['HISTOCOL_FILTER']['f_date_deb'];
	if (isset($_SESSION['HISTOCOL_FILTER']['f_date_fin'])) $f_date_fin = $_SESSION['HISTOCOL_FILTER']['f_date_fin'];
	if (isset($_SESSION['HISTOCOL_FILTER']['f_sens'])) $f_sens = $_SESSION['HISTOCOL_FILTER']['f_sens'];
	if (isset($_SESSION['HISTOCOL_FILTER']['f_etat'])) $f_etat = $_SESSION['HISTOCOL_FILTER']['f_etat'];
	if (isset($_SESSION['HISTOCOL_FILTER']['f_progress'])) $f_progress = $_SESSION['HISTOCOL_FILTER']['f_progress'];
	if (isset($_SESSION['HISTOCOL_FILTER']['f_tdoc'])) $f_tdoc = $_SESSION['HISTOCOL_FILTER']['f_tdoc'];

	if ((isset($_SESSION['HISTOCOL_FILTER']['pageSize'])) && ($_SESSION['HISTOCOL_FILTER']['pageSize'] != '')) $pageSize = $_SESSION['HISTOCOL_FILTER']['pageSize'];
	if (($pageNum == '') && (isset($_SESSION['HISTOCOL_FILTER']['pageNum'])) && ($_SESSION['HISTOCOL_FILTER']['pageNum'] != '')) $pageNum = $_SESSION['HISTOCOL_FILTER']['pageNum'];
}
if ($pageNum == '') $pageNum = "1";

$title = str_replace("%TYPESUIVI%", $type_act, $lang_sui_col_title);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.head_javascript", "");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($title));
$vtp->setVar($form, "global.help_id", "20070717111841");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_col.png");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/collecte/sui_col_dSGrid.php?suiType=$suiType");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "true");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", $pageSize);
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");


//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_afficher,
					"value_filtre" => $pageSize,
					"editable_filtre" => true,
					"ds_filtre" => $dataSrc);
	
//Sens
require $DEFAULT_PATH."dataSources/dSComboSens.php";
$filtre[] = array("id_filtre" => "f_sens", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_sens,
					"value_filtre" => $f_sens,
					"ds_filtre" => $dataSrc);

$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_datedeb,
					"value_filtre" => $f_date_deb);

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
				  "value_filtre" => $f_date_fin,
				  "libelle_filtre" => $lang_sui_col_filtre_lbl_datefin);

$filtre[] = array("id_filtre" => "new_line");

//Emetteur
$filtre[] = array("id_filtre" => "f_emetteur", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_emet,
					"value_filtre" => $f_emetteur,
					"defaultcaption_filtre" => getPartnerName($f_emetteur),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Destinataire
$filtre[] = array("id_filtre" => "f_destinataire", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_dest,
					"value_filtre" => $f_destinataire,
					"defaultcaption_filtre" => getPartnerName($f_destinataire),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");

//Criteres Emetteur
require $DEFAULT_PATH."dataSources/dSCriteres.php";
$filtre[] = array("id_filtre" => "fromPE", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPE,
					"ds_filtre" => $dataSrc);

//Criteres Destinataire
$filtre[] = array("id_filtre" => "fromPD", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPD,
					"ds_filtre" => $dataSrc);

	
$filtre[] = array("id_filtre" => "new_line");

//Progression
require $DEFAULT_PATH."dataSources/dSProgress.php";
$filtre[] = array("id_filtre" => "f_progress", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_progress,
					"value_filtre" => $f_progress,
					"ds_filtre" => $dataSrc);
	
//Etat
$detail = ETAT_DETAIL_AVANCE;
$oldType = $type;
$type = "suivi";
$showNull = "1";
require $DEFAULT_PATH."dataSources/dSEtat.php";
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_etat,
					"value_filtre" => $f_etat,
					"ds_filtre" => $dataSrc);
$type = $oldType;

$filtre[] = array("id_filtre" => "new_line");

//Type de document
$filtre[] = array("id_filtre" => "f_tdoc", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_col_filtre_lbl_tdoc,
					"ds_filtre" => $pathFlow."dataSources/dSTypeDoc.php?droits=$lmcse&role=$droitRole",
					"value_filtre" => $f_tdoc,
					"dd_height_filtre" => "170",
					"dd_width_filtre" => "255");			
	
mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => true,
						"detail" => true,
						"print" => array("show" => true,
										"title" => addslashes($title)),
						"csv" => true);

//visualiser
$option_toolbar[] = array("caption" => addslashes($lang_lbl_visu),
					"icon" => $pathStyle."imgs/icons/loupe.gif",
					"action" => array("name" => "visu",
									"page" => "actions/actListing_fic.php",
									"callback" => "openPopUp",
									"get_params" => array('sui_type', 'fic_id', 'for_id')));

//Telecharger
$option_toolbar[] = array("caption" => addslashes($lang_lbl_telecharger),
					"icon" => $pathStyle."imgs/icons/save.png",
					"action" => array("name" => "download",
									"page" => "actions/actTelecharge.php",
									"callback" => "changePage",
									"get_params" => array('fic_id')));
	
//Historique
$option_toolbar[] = array("caption" => addslashes($lang_lbl_historique),
					"icon" => $pathStyle."imgs/icons/histo.gif",
					"action" => array("name" => "histo",
									"page" => "suivi/historique/sui_hist.php",
									"callback" => "changePage",
									"get_params" => array($type_post, 'f_date_deb',
													'f_date_fin', 'f_sens', 'f_emetteur',
													'f_destinataire', 'f_etat', 'f_tdoc', 'fromPE', 'fromPD')));

//visualiser les doc liés
$option_toolbar[] = array("caption" => addslashes($lang_sui_col_grid_act_doclie),
					"icon" => $pathStyle."imgs/icons/document.png",
					"action" => array("name" => "suivi",
									"page" => "suivi/documents/sui_doc.php",
									"callback" => "changePage",
									"get_params" => array('typeDoc', 'numCol', 'f_date_deb',
													'f_date_fin', 'f_sens', 'f_emetteur',
													'f_destinataire', 'f_etat', 'f_tdoc', 'fromPE', 'fromPD')));
	
//Rejeu
$option_toolbar[] = array("caption" => addslashes($lang_ds_action_rejeu_caption),
						"icon" => $pathStyle."imgs/icons/progress.gif",
						"action" => array("name" => "rejeu",
									"page" => "actions/actRejeu.php",
									"callback" => "openPopUp",
									"get_params" => array('from', 'liste')));

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.visu.check = function (params) {
	params.sui_type = '$suiType';
	return true;
};

rowAction.actions.histo.check = function (params) {
	params.$type_post = params.sui_numero;
	var frmFiltre = document.forms['frmFilter'];				
	params.f_date_deb = frmFiltre['f_date_deb'].value;
	params.f_date_fin= frmFiltre['f_date_fin'].value;
	params.f_sens= frmFiltre['f_sens'].value;
	params.f_emetteur= frmFiltre['f_emetteur'].value;
	params.f_destinataire= frmFiltre['f_destinataire'].value;
	params.f_etat= frmFiltre['f_etat'].value;
	params.f_tdoc= frmFiltre['f_tdoc'].value;
	params.fromPE= frmFiltre['fromPE'].value;
	params.fromPD= frmFiltre['fromPD'].value;
	return true;
};
rowAction.actions.suivi.check = function (params) {
	var frmFiltre = document.forms['frmFilter'];
	params.f_date_deb = frmFiltre['f_date_deb'].value;
	params.f_date_fin= frmFiltre['f_date_fin'].value;
	return true;
};

rowAction.actions.rejeu.check = function (params, list_params) {
	params.from = '$type';
	params.liste = '';
	for(var i = 0; i < list_params.length; ++i)
		params.liste +=  (i? '_'+list_params[i].sui_numero: list_params[i].sui_numero);
	return true;
};
";
$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>