<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
require_once($DEFAULT_PATH."flow.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."flux/tdoc/flux_tdoc_struct.php");

$page_courante = "suivi\documents\sui_doc_dSGrid.php";

$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

$cptID = $_SESSION['CPT_ID'];
$cltID = $_SESSION['CLT_ID'];

$where = "";

$typeDoc 		= pget('typeDoc');
$numCol			= pget('numCol');
$suiTYPE 		= pget('suiTYPE');
$pageNum 		= pget('pageNum');
$pageSize 		= pget('pageSize');
$f_sens 		= pget('f_sens');
$f_rejoue 		= pget('f_rejoue');
$f_emetteur		= pget('f_emetteur');		//filtre émetteur
$f_destinataire	= pget('f_destinataire');	//filtre destinataire
$fromPE 		= pget('fromPE');
$fromPD 		= pget('fromPD');
$f_date_deb 	= pget('f_date_deb');
$f_date_fin 	= pget('f_date_fin');
$f_progress 	= pget('f_progress');
$f_etat 		= pget('f_etat');


if ($f_sens)
	$where .= " AND SUIVI.SUI_SENS='".$f_sens."'";
	
if($f_rejoue != '')
	$where .= " AND SUIVI.SUI_REJOUE = $f_rejoue ";
	
// Criteres partenaires
if ($fromPD>0 && $f_destinataire)
{
	if ($fromPD==2)// part + fils
	{
		$fils="";
		trouve_fils($f_destinataire);
		if ($fils)
		$filsD=$f_destinataire.", ".$fils;
		else $filsD=$f_destinataire;

	}
	if ($fromPD==3) // que les fils
	{
		$fils="";
		trouve_fils($f_destinataire);
		$filsD=$fils;

	}
	if ($fromPD==4) //que le part
	{
		$filsD=$f_destinataire;
	}
}
if ($fromPE>0 && $f_emetteur)
{
	if ($fromPE==2)// part + fils
	{
		$fils="";
		trouve_fils($f_emetteur);
		if ($fils)
		$filsE=$f_emetteur.", ".$fils;
		else $filsE=$f_emetteur;
	}
	if ($fromPE==3) // que les fils
	{
		$fils="";
		trouve_fils($f_emetteur);
		$filsE=$fils;
	}
	if ($fromPE==4) //que le part
	{
		$filsE=$f_emetteur;
	}
}

//Traitement de l'émetteur
if ($fromPD>0){	if ($f_destinataire) $where .=" and SUIVI.PAR_DEST_ID in ($filsD)";}
else {if ($f_destinataire) $where .= " and SUIVI.PAR_DEST_ID = '".dblQ($f_destinataire)."'";}

if ($fromPE>0){ if ($f_emetteur) $where .=" and SUIVI.PAR_EMET_ID in ($filsE)";}
else {if ($f_emetteur)	$where .= " and SUIVI.PAR_EMET_ID = '".dblQ($f_emetteur)."'";}


// traitement des dates
if($f_date_deb) {
	if($f_date_fin) {
			//$date_deb_sql = date2Sql($f_date_deb, "00:00:00");
            //$date_fin_sql = date2Sql($f_date_fin, "23:59:59");
		if($ini_typeBase == "oracle"){
				$date_deb_sql = "TO_DATE('$f_date_deb','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_sql = "TO_DATE('$f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND ETN_DATE BETWEEN $date_deb_sql AND $date_fin_sql";
		}
		else{
			$where .= " AND ETN_DATE BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND ETN_DATE >= TO_DATE('$f_date_deb', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND ETN_DATE >= '".date2Sql($f_date_deb, "00:00:00")."'";
		}
	}
}
else if($f_date_fin) {
	if($ini_typeBase == "oracle"){
		$where .= " AND ETN_DATE <= TO_DATE('$f_date_fin 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND ETN_DATE <= '".date2Sql($f_date_fin, "23:59:59")."'";
	}		
}

if($f_progress)
	$where .= " AND ETAT_NUM.ETN_PROGRESS = '".$f_progress."'";
	
if($f_etat)
	$where .= " AND ETAT_NUM.ETN_ETAT = '".$f_etat."'";

Construit_restriction($droitRole, "SUIVI.PAR_EMET_ID", "SUIVI.PAR_DEST_ID", null, null, $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);

if ($restrictFiltreEmet)
	$restrictFiltreEmet=" and PAR_ID in (".$restrictFiltreEmet.") ";
	
if ($restrictFiltreDest)
	$restrictFiltreDest=" and PAR_ID in (".$restrictFiltreDest.") ";

if($numCol) 
{
	$req = "SELECT DISTINCT NDC_NUMDOC 
			FROM NUM_DOC_COL 
				WHERE NDC_NUMCOL = $numCol 
				AND CLT_ID = $cltID";
	
	$gDb->SQLQuery($req, 1);
	if($row = $gDb->SQLNextRow(1))
	{
		$list_doc = $row['NDC_NUMDOC'];
		while($row = $gDb->SQLNextRow(1))
			$list_doc .= ",".$row['NDC_NUMDOC'];
	}
	$gDb->SQLFermeQuery(1);
}

if(isset($numPres))
{
	$req = "SELECT DISTINCT NDP_NUMDOC 
           	FROM NUM_DOC_PRE 
	           	WHERE NDP_NUMPRE = $numPres 
				AND CLT_ID = $cltID";
	$gDb->SQLQuery($req, 1);
    if($row = $gDb->SQLNextRow(1))
	{
		$list_doc = $row['NDP_NUMDOC'];
		while($row = $gDb->SQLNextRow(1))
			$list_doc .= ",".$row['NDP_NUMDOC'];
	}
	$gDb->SQLFermeQuery(1);
}

if (isset($list_doc))
	$where .= " AND SUI_NUMERO IN ($list_doc) 
				AND SUI_TYP_NUM = ".SUI_TYP_NUM_DOC;
	
//Champs spécifiques à afficher
$req = "SELECT TDOC_SUI
		FROM TYPE_DOC
			WHERE TDOC_ID = $typeDoc";

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$TDOC_SUI = $row['TDOC_SUI'];
$gDb->SQLFermeQuery(1);

$doc_sui = explode(";;", $TDOC_SUI);

$champsSpe = array();

$sui_doc_val = "%";
$haveToSearch = false;
$affich_champs = array();
foreach($doc_sui as $tdoc)
{
	$sui_doc_lib = explode("::", $tdoc);
	if ($sui_doc_lib[1]) // a afficher
	{
		$affich_champs[] = true;
		$id = preg_replace('/[^a-zA-Z0-9]/', '', $sui_doc_lib[0]);
		$val = pget($id); 
		$champsSpe[] = array("libelle" => $sui_doc_lib[0], "name" => $id, "value" => $val);
		if($val)
		{
			$sui_doc_val .= $val."%";
			$haveToSearch = true;
		}
	}
	else
		$affich_champs[] = false;
}

if ($haveToSearch)
	$where.=" AND SUI_TDOC LIKE '$sui_doc_val' ";

//Récupération des détails
$tab_detail = array();
$req = "SELECT PFL_ID, PFL_LIBEL FROM PAR_FLOW";
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
	$tab_detail[$row['PFL_ID']] = $row['PFL_LIBEL'];
$gDb->SQLFermeQuery(1);

//Récupération des partenaires
$tab_part = array();
$req = "SELECT PAR_ID, PAR_NOM FROM PART";
$gDb->SQLQuery($req, 1);
while ($row = $gDb->SQLNextRow(1))
	$tab_part[$row['PAR_ID']] = $row['PAR_NOM'];
$gDb->SQLFermeQuery(1);
	
//request for mysql/MSSQL/ORACLE
$req = "SELECT SQL_CALC_FOUND_ROWS SUIVI.SUI_ID s1_sui_id, SUIVI.SUI_NUMERO, ETAT_NUM.ETN_DATE, SUIVI.SUI_SENS,
			SUIVI.PAR_EMET_ID, SUIVI.PAR_DEST_ID, ETAT_NUM.ETN_PROGRESS, 
			ETAT_NUM.ETN_ETAT, ETAT_NUM.ETN_LIBEL, SUIVI.SUI_DETAIL, SUIVI.SUI_TDOC,
			SUIVI.SUI_ID s2_sui_id, SUIVI.FIC_ID, SUIVI.SUI_TYPE, SUIVI.FOR_ID, SUIVI.SUI_REJOUE, ACTIVITE.ACT_LIBEL, ACTIVITE.ACT_ETAT, TYPE_ACT.TAC_NOM
		FROM SUIVI
			JOIN ETAT_NUM ON SUIVI.ETN_ID = ETAT_NUM.ETN_ID
			JOIN ACTFLUX ON SUIVI.AFX_ID = ACTFLUX.AFX_ID
			JOIN ACTIVITE ON ACTIVITE.ACT_ID=ACTFLUX.ACT_ID
			JOIN TYPE_ACT ON ACTIVITE.TAC_NUM=TYPE_ACT.TAC_NUM
		WHERE SUIVI.CLT_ID = $cltID
			AND SUIVI.SUI_REJOUE!='1'
			AND SUIVI.SUI_TYPE = ".SUI_TYPE_DOC."
			AND SUIVI.TDOC_ID = $typeDoc 
			$where
			$restrict
		ORDER BY ETN_DATE DESC";		

$champs = array();
$champs[] = array("nom" => $lang_sui_doc_grid_head_num_caption, "toolTip" => $lang_sui_doc_grid_head_num_tooltip, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_doc_grid_head_date_caption, "toolTip" => $lang_sui_doc_grid_head_date_tooltip, "sortMode" => "3");
$champs[] = array("nom" => $lang_sui_doc_grid_head_sens_caption, "toolTip" => $lang_sui_doc_grid_head_sens_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_doc_grid_head_emet_caption, "toolTip" => $lang_sui_doc_grid_head_emet_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_doc_grid_head_dest_caption, "toolTip" => $lang_sui_doc_grid_head_dest_tooltip, "sortMode" => "1");
$champs[] = array("nom" => $lang_sui_doc_grid_head_rejoue, "toolTip" => $lang_sui_doc_grid_head_rejoue, "sortMode" => "2");
$champs[] = array("nom" => $lang_sui_doc_grid_head_etat_caption, "toolTip" => $lang_sui_doc_grid_head_etat_tooltip, "sortMode" => "2");

foreach($champsSpe as $tmp)
	$champs[] = array("nom" => hi_disp($tmp["libelle"]), "toolTip" => hi_disp($tmp["libelle"]), "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
	
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	$temp = explode(";;", $row['SUI_DETAIL']);
	$detail = "";
	$i = 0;
	foreach($temp as $tt)
	{
		$val = explode("::", $tt);
		if (count($val) > 1)
		{
			$libel = $tab_detail[$val[0]];
			$val[1]=preg_replace("/[^\x20-\xFF]/","",$val[1]);
			if($libel)
			{
				if($i%2 == 0)
					$detail .= '<tr>';
				$detail .= "<td><b>".$libel."</b> : ".$val[1]."</td>";
				if($i%2 == 1)
					$detail .= '</tr>';
				++$i;
			}
		}
	}
	if($detail)
	{
		if($i%2 == 0)
			$detail .= '</tr>';
		$detail = hi_disp('<table>'.$detail.'</table>');
	}
	
	
	echo '<row detail="'.$detail.'">';
	
	$params = array();
	$params['sui_type'] = $suiTYPE;
	$params['fic_id'] = $row['FIC_ID'];
	$params['for_id'] = $row['FOR_ID'];
	$params['sui_numero'] = $row['SUI_NUMERO'];
	$params['from'] = 'doc';
	
	//spécifique pour la liaison histo
	$params['f_tdoc'] = $typeDoc;
	$params['f_date_fin'] = $f_date_fin;
	$params['f_date_deb'] = $f_date_deb;
	$params['f_sens'] = $f_sens;
	$params['f_emetteur'] = $f_emetteur;
	$params['f_destinataire'] = $f_destinataire;
	$params['f_etat'] = $f_etat;
	$params['fromPE'] = $fromPE;
	$params['fromPD'] = $fromPD;
	
	
	$params['droits'] = array('visu' => ($row['FIC_ID'] && droit(SDO, DROIT_EXEC,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc, null)),
							'download' => ($row['FIC_ID'] && droit(TEL, DROIT_LECT,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc,null)),
							'pdf' => ($row['FIC_ID'] && droit(SDO, DROIT_EXEC,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc, null)),
							'histo' => true,
							'rejeu' => droit(SDO, DROIT_MODIF,$row['PAR_EMET_ID'],$row['PAR_DEST_ID'], $typeDoc, null));
		
	if($row['ETN_PROGRESS'] == ETN_PROGRESS_COURS) {
		$icon = $pathFlow.'style/imgs/icons/progress.gif';
		$toolTip = $lang_sui_doc_grid_progress_cour_tooltip;
	}
	else if($row['ETN_PROGRESS'] == ETN_PROGRESS_TERMINE) {
		$icon = $pathFlow.'style/imgs/icons/valid.png';
		$toolTip = $lang_sui_doc_grid_progress_fin_tooltip;
	}
		
	echo '<item caption="'.$row['SUI_NUMERO'].'" icon="'.$icon.'" toolTip="'.$toolTip.'" value="'.row_encode_JSON($params).'"/>';
	echo '<item caption="'.sql2Date($row['ETN_DATE']).'"/>';
	
	echo '<item';
	if($row['SUI_SENS'] == RECEPTION)
		echo ' caption="'.$lang_sui_doc_grid_recept_caption.'" toolTip="'.$lang_sui_doc_grid_recept_tooltip.'" icon="'.$pathFlow.'style/imgs/icons/retour.gif"';
	else if($row['SUI_SENS'] == EMISSION)
		echo ' caption="'.$lang_sui_doc_grid_emiss_caption.'" toolTip="'.$lang_sui_doc_grid_emiss_tooltip.'" icon="'.$pathFlow.'style/imgs/icons/aller.gif"';
	
	echo '/>';
		
	echo '<item caption="'.hi_disp($tab_part[$row['PAR_EMET_ID']]).'"/>';	
	echo '<item caption="'.hi_disp($tab_part[$row['PAR_DEST_ID']]).'"/>';
	
	echo '<item';
	if($row['SUI_REJOUE'] == 1) {
		echo ' caption="'.$lang_sui_doc_grid_lbl_rejoue.'"';
		echo ' icon="'.$pathFlow.'style/imgs/icons/maj.png"';
	}
	echo "/>";
	
	echo '<item';
	
	switch($row['ETN_ETAT'])
	{
		case SUI_ETAT_OK :
			echo ' icon="'.$pathFlow.'style/imgs/icons/rond_vert.png" toolTip="'.$lang_ds_etat_ok.'"';
			break;
		case SUI_ETAT_INFO :
			echo ' icon="'.$pathFlow.'style/imgs/icons/info.png" toolTip="'.$lang_ds_etat_info.'"';
			break;
		case SUI_ETAT_AVERT :
			echo ' icon="'.$pathFlow.'style/imgs/icons/alert.gif" toolTip="'.$lang_ds_etat_avert.'"';
			break;
		case SUI_ETAT_ERR :
			echo ' icon="'.$pathFlow.'style/imgs/icons/error.png" toolTip="'.$lang_ds_etat_err.'"';
			break;
		default :
	}
	echo ' caption="'.hi_disp($row['ETN_LIBEL']).'"/>';
	
	$val_sui_doc = explode(";;", $row['SUI_TDOC']);
	$i = 0;
	foreach($TDOC_SUI_LIB as $temp)
	{
		if ($affich_champs[$i])
			echo '<item caption="'.hi_disp($val_sui_doc[$i]).'"/>';
		++$i;
	}
	echo '</row>';
}	
$gDb->SQLFermeQuery(1);

echo '</databind>';

if ((!isset($_SESSION['HISTODOC_FILTER_'.$typeDoc]['remember'])) || ($_SESSION['HISTODOC_FILTER_'.$typeDoc]['remember']))
{
	$_SESSION['HISTODOC_FILTER_'.$typeDoc] = array (
	'remember'		=> true,
	'pageNum'		=> $pageNum,
	'pageSize' 		=> $pageSize,
	'suiTYPE' 		=> $suiTYPE,
	'f_sens'		=> $f_sens,
	'f_rejoue'		=> $f_rejoue,
	'f_emetteur' 	=> $f_emetteur,
	'f_destinataire'=> $f_destinataire,
	'fromPE' 		=> $fromPE,
	'fromPD'		=> $fromPD,

	'f_date_deb'	=> $f_date_deb,
	'f_date_fin' 	=> $f_date_fin,
	'f_etat' 		=> $f_etat,
	'f_progress' 	=> $f_progress);
}
?>