<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");
$droitRole = PRO;
$lmcse = DROIT_LECT + DROIT_EXEC;
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');
$ext_id = pget('ext_id');

$req = "SELECT EXT_EREG, EXT_SOURCE 
		FROM EXTERNE WHERE EXT_ID = $ext_id";
$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$gDb->SQLFermeQuery(1);

// recherche dans la regex des champs  afficher (?<champ>)
$col = array();
foreach(explode('<', $row['EXT_EREG']) as $nom1)
	foreach(explode('>', $nom1, -1) as $nom)
		$col[] = $nom;

$handle = @fopen($row['EXT_SOURCE'], "r");
if($handle)
{
	$line = '<header>';
	foreach($col as $column)
		$line.= '<item caption="'.$column.'" icon="" onClick="" toolTip="" sortMode="2"/>';
	$line .= '</header>';
	
	$deb = $pageSize * ($pageNum - 1);
	$end = $pageSize * $pageNum;
	
	// dplacement
	for($i=0; $i<$deb && !feof($handle); $i++)
		$content = fgets($handle);
	
	// construction de l'affichage
	for($i=$deb; $i<$end && !feof($handle); $i++)
	{
		$content = fgets($handle);
		if(preg_match($row['EXT_EREG'], $content, $matches))
		{
			$line .= '<row>';
			foreach($col as $nom)
				$line .= '<item caption="'.hi_disp($matches[$nom]).'"/>';
			$line .= '</row>';
		}
	}
	
	// on compte le reste
	$maxRow = $end;
	while(!feof($handle))
	{
		@fgets($handle);
		$maxRow++;
	}
	
	@fclose($handle);
}
else
	$line = "<header><item caption=' '/></header><row><item caption='$lang_sui_proc_act_lire_msgerr_read'/></row>";

$xml = '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">'; 
$xml .= $line.'</databind>';

echo $xml;
?>