var columns = {
	//Definition du Numero de colonne dans le tableau (commence  0)
	'CODE_FACT_PAR':12,
	'NOM_FACT_PAR':13,
	'CODE_FACT_A':7,
	'NOM_FACT_A':8,
	'SENS':22,
	'STATUT':20,
	'DATE_STATUT':21,
	'CODE':24
};
//Classe partenaire
function partenaire() {
	this.fromId = '';
	this.fromName = '';
	this.toId = '';
	this.toName = '';
	this.sens = '';
	this.statuts = [];
	this.load = function(row) {
		this.fromId = row.cells[columns.CODE_FACT_PAR].innerHTML;
		this.fromName = row.cells[columns.NOM_FACT_PAR].innerHTML;
		this.toId = row.cells[columns.CODE_FACT_A].innerHTML;
		this.toName = row.cells[columns.NOM_FACT_A].innerHTML;
		this.sens = row.cells[columns.SENS].innerHTML;
	};
	this.code = function() {
		return this.fromId + ':' + this.toId + ':' + this.sens;
	};
	//pour faire un alert() il faudra cette fonction pour l'affichage
	/*this.toString = function() {
		return this.code();
	};*/
	this.toHtml = function() {
		var tmp = '';
		var tmpSens = '';
		switch (this.sens) {
			case 'E':
				tmpSens = 'Emission';
				break;
			case 'R':
				tmpSens = 'R&eacute;ception';
				break;
			default:
				tmpSens = '?????';
				break;				
		}
		tmp = '<tr><td class="button" onclick="return expand(this);">+</td><td>' + this.toName + ' (' + this.toId + ')</td><td>' + this.fromName + ' (' + this.fromId + ')</td><td>' + tmpSens + '</td></tr>';
		var tableStatuts = '<table border="0">';
		tableStatuts += '<tr><th>Statut</th><th>Date</th></tr>';
		for (var s in this.statuts) tableStatuts += this.statuts[s].toHtml();
		tableStatuts += '</table>';
		tmp += '<tr style="display:none;"><td colspan="3" style="padding-left:25px;">' + tableStatuts + '</td></tr>';
		return tmp;
	};
};
//Classe statut
function statut() {
	this.statut = '';
	this.date = '';
	this.load = function(row) {
		this.statut = row.cells[columns.STATUT].innerHTML;
		this.date = row.cells[columns.DATE_STATUT].innerHTML;
	};
	this.code = function() {
		return this.statut + ':' + this.date;
	};
	//pour faire un alert() il faudra cette fonction pour l'affichage
	/*this.toString = function() {
		return this.code();
	};*/
	this.toHtml = function() {
		var tmp = '';
		var tmpStatut = '';
		switch (this.statut) {
			case 'En dmat':
				tmpStatut = 'Entr&eacute;e en d&eacute;mat&eacute;rialisation';
				break;
			case 'Hors dmat':
				tmpStatut = 'Hors d&eacute;mat&eacute;rialisation';
				break;
			default:
				tmpStatut = '?????';
				break;				
		}
		tmp = '<tr><td>' + tmpStatut + '</td><td>' + this.date + '</td></tr>';
		return tmp;
	};
};
//Fonction de synthese
function calc() {
	var partenaires = [];
	var iDoc = document.getElementById('tableIndex');
	if (iDoc) {
		var tb = iDoc.tBodies[0];
		//lecture du tableau
		for (var r=0; r<tb.rows.length; r++) {
			if (tb.rows[r].cells[columns.CODE].innerHTML=='0') {
				var newPart = new partenaire();
				newPart.load(tb.rows[r]);
				var newStatut = new statut();
				newStatut.load(tb.rows[r]);				
				var part = partenaires[newPart.code()];
				if (typeof part=='undefined') {
					partenaires[newPart.code()] = newPart;
					part=newPart;
				}
				var st = part.statuts[newStatut.code()];
				if (typeof st=='undefined') {
					part.statuts[newStatut.code()]=newStatut;
				}
			}
		}
		//mise en forme de la table des partenaires
		var tmp = '<span class="Title">Table des partenaires</span><table border="0">';
		tmp += '<tr><th colspan="2">Factur </th><th>Factur par</th><th>Sens</th></tr>'
		for (var p in partenaires)	tmp += partenaires[p].toHtml();
		tmp += '</table>';
		top.PARTENAIRES.document.body.innerHTML = tmp;
	}	
}

