<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");

$droitRole = PRO;
$lmcse = DROIT_LECT + DROIT_EXEC;
$page_courante = "suivi/proc/sui_proc.php";

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, créations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."vtemplate.class.php");
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.title", addslashes($lang_sui_proc_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_proc.gif");
$vtp->setVar($form, "global.help_id", "20040108130307");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/proc/sui_proc_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");

$head_js = "prlTextBox.formats.timer = {'name':'timer',
			'key':/[0-9]/,
			'validate':/^[3-9]$|^[1-2][0-9]$|^30$/,
			'maxLength':2,
			'align':'right'};

			var firstRun = true;
			var timer = null;

			function setTimer()
			{
				if(!firstRun)
					page.gridReload();
				else
					firstRun = false
				var timeOut = (parseInt($('timer').value, 10)||30);
				if(timer != null)
					window.clearTimeout(timer);
				timer = window.setTimeout('setTimer();', (timeOut * 1000));
			};
";
$vtp->setVar($form, "global.head_javascript", $head_js);

//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_proc_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

//Timer
$filtre[] = array("id_filtre" => "timer", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"value_filtre" => 30, 
					"libelle_filtre" => $lang_sui_proc_filtre_lbl_timer,
					"format_filtre" => "prlTextBox.formats.timer");
					
mkFiltre($vtp, $form, $filtre);

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => false
									, "title" => ''),
						"csv" => false,
						"goBack" => false);

//Logs
$option_toolbar[] = array("caption" => $lang_sui_proc_grid_head_log,
					"toolTip" => $lang_sui_proc_grid_head_log_tooltip,
					"icon" => $pathStyle."imgs/icons/loupe.gif",
					"action" => array("name" => "log",
									"page" => "suivi/proc/sui_proc_actLire.php",
									"callback" => "openPopUp",
									"get_params" => array('proc', 'action')));
									
//Config
$option_toolbar[] = array("caption" => $lang_sui_proc_grid_head_config,
					"toolTip" => $lang_sui_proc_grid_head_config_tooltip,
					"icon" => $pathStyle."imgs/icons/admin.gif",
					"action" => array("name" => "conf",
									"page" => "suivi/proc/sui_proc_actLire.php",
									"callback" => "openPopUp",
									"get_params" => array('proc', 'action')));


mkToolbar($vtp, $form, $option_toolbar);

$body_js = "
rowAction.actions.log.check = function (params) {
	params.action = 'log';
	return true;
};

rowAction.actions.conf.check = function (params) {
	params.action = 'conf';
	return true;
};

setTimer();
";

$vtp->setVar($form, "global.body_javascript", $body_js);

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();
?>