<?php
$DEFAULT_PATH = "../../";
$culture_folder = $DEFAULT_PATH."culture";
$page_courante = "suivi/rapproch/sui_rap.php";

require_once($DEFAULT_PATH."struct.php");	//liste des define
$droitRole = SDO;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_EXEC;

require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

require_once($DEFAULT_PATH."param.php");
require_once($DEFAULT_PATH."inc/php/datasource.class.php");

//date par défaut = date d'aujourd'hui - une semaine
$dateJour = date ('d/m/Y', mktime(0, 0, 0, date("m"), date("d"), date("Y")) - (DateDefaut));
($ini_date	= pget('ini_date'))?($f_date_deb = $dateJour):($f_date_deb = pget('f_date_deb'));

$vtp = new VTemplate;
$form = $vtp->Open($DEFAULT_PATH."template/listing.vtp");
$vtp->addSession($form, "global");

$TRAP_ID = pget('TRAP_ID');
$SRAP_ID = pget('SRAP_ID');
$TRAP_SENS = pget('TRAP_SENS');

$pageSize = $ini_taille_page_suivi;
$pageNum = pget('pageNum');
$f_emetteur = "";
$f_destinataire = "";
$fromPE = "";
$fromPD = "";
$f_date_deb = "";
$f_date_fin = "";
$f_etat = "";

if ($remember_filters)
{
	// On restaure les derniers parametres utilises pour le filtre
	$_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['remember'] = true;

	if (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_emetteur'])) $f_emetteur = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_emetteur'];
	if (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_destinataire'])) $f_destinataire = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_destinataire'];
	if (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['fromPE'])) $fromPE = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['fromPE'];
	if (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['fromPD'])) $fromPD = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['fromPD'];
	if (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_date_deb'])) $f_date_deb = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_date_deb'];
	if (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_date_fin'])) $f_date_fin = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_date_fin'];
	if (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_etat'])) $f_etat = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['f_etat'];
		
	if ((isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['pageSize'])) && ($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['pageSize'] != '')) $pageSize = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['pageSize'];
	if (($pageNum == '') && (isset($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['pageNum'])) && ($_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['pageNum'] != '')) $pageNum = $_SESSION['RAPPROCH_FILTER_'.$TRAP_ID]['pageNum'];
}
if ($pageNum == '') $pageNum = "1";

$req = "SELECT TRAP_LIBELLE
		FROM TYPE_RAPPROCH
		WHERE TRAP_ID = '$TRAP_ID'";

$gDb->SQLQuery($req, 1);
$row = $gDb->SQLNextRow(1);
$title = str_replace("%TYPERAP%", $row['TRAP_LIBELLE'], $lang_sui_rap_title);
$title .= " - ".(($TRAP_SENS == TRAP_SENS_ALLER)? $lang_lbl_aller: $lang_lbl_retour);
$gDb->SQLFermeQuery(1);


include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.head_javascript", "");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($title));
$vtp->setVar($form, "global.help_id", "20040202204254");
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_rap.gif");
$vtp->setVar($form, "global.url_grid", $pathFlow."suivi/rapproch/sui_rap_dSGrid.php?SRAP_ID=$SRAP_ID&TRAP_ID=$TRAP_ID&TRAP_SENS=$TRAP_SENS");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", $pageSize);
$vtp->addSession($form, "option_pagenum");
$vtp->setVar($form, "option_pagenum.grid_pageNum", $pageNum);
$vtp->closeSession($form, "option_pagenum");

//*
//* Création du filtre
//*
$filtre = array();

$sync=1;

//Nombre de lignes
require $DEFAULT_PATH."dataSources/dSComboRow.php";
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_rap_filtre_lbl_afficher,
					"value_filtre" => $pageSize,
					"editable_filtre" => true,
					"ds_filtre" => $dataSrc);

//Etat
$filtre[] = array("id_filtre" => "f_etat", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_rap_filtre_lbl_etat,
					"value_filtre" => $f_etat,
					"ds_filtre" => $pathFlow."suivi/rapproch/sui_rap_dSEtat.php");
	
$filtre[] = array("id_filtre" => "new_line");

//Date deb
$filtre[] = array("id_filtre" => "f_date_deb", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_rap_filtre_lbl_datedeb,
					"value_filtre" => $f_date_deb);

//Date fin
$filtre[] = array("id_filtre" => "f_date_fin", "type_filtre" => "prlFiltreField.types.prlComboDate",
					"libelle_filtre" => $lang_sui_rap_filtre_lbl_datefin,
					"value_filtre" => $f_date_fin);

$filtre[] = array("id_filtre" => "new_line");

//Emetteur
$filtre[] = array("id_filtre" => "f_emetteur", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_rap_filtre_lbl_emet,
					"value_filtre" => $f_emetteur,
					"defaultcaption_filtre" => getPartnerName($f_emetteur),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_EMET."&droitRole=$droitRole&showNull=1");

//Destinataire
$filtre[] = array("id_filtre" => "f_destinataire", "type_filtre" => "prlFiltreField.types.prlComboTree",
					"libelle_filtre" => $lang_sui_rap_filtre_lbl_dest,
					"value_filtre" => $f_destinataire,
					"defaultcaption_filtre" => getPartnerName($f_destinataire),
					"loadondropdown_filtre" => true,
					"ds_filtre" => $pathFlow."dataSources/dSPartenaires.php?fonction=".PART_DEST."&droitRole=$droitRole&showNull=1");

$filtre[] = array("id_filtre" => "new_line");

//Criteres Emetteur
require $DEFAULT_PATH."dataSources/dSCriteres.php";
$filtre[] = array("id_filtre" => "fromPE", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPE,
					"ds_filtre" => $dataSrc);

//Criteres Destinataire
$filtre[] = array("id_filtre" => "fromPD", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_lbl_critere,
					"value_filtre" => $fromPD,
					"ds_filtre" => $dataSrc);

	
mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*

$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
, "title" => addslashes($title)),
						"csv" => true,
						"goBack" => ($SRAP_ID));

//Détails
$option_toolbar[] = array("caption" => $lang_lbl_detail,
					"icon" => $pathStyle."imgs/icons/view.gif",
					"action" => array("name" => "detail",
								"page" => "suivi/rapproch/sui_rap_actDetail.php",
								"callback" => "changePage",
								"get_params" => array('trap_id', 'srap_id')));

//visualiser
$option_toolbar[] = array("caption" => $lang_lbl_visu,
					"icon" => $pathStyle."imgs/icons/loupe.gif",
					"action" => array("name" => "visu",
								"page" => "actions/actListing_fic.php",
								"callback" => "openPopUp",
								"get_params" => array('sui_type', 'fic_id', 'for_id')));
//Telecharger
$option_toolbar[] = array("caption" => $lang_lbl_telecharger,
						"icon" => $pathStyle."imgs/icons/save.png",
						"action" => array("name" => "download",
									"page" => "actions/actTelecharge.php",
									"callback" => "changePage",
									"get_params" => array('fic_id')));

mkToolbar($vtp, $form, $option_toolbar);

$body_js = "";

$vtp->setVar($form, "global.body_javascript", $body_js);

$vtp->closeSession($form, "global");
$vtp->Display();
?>