<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");	//liste des define
require_once($DEFAULT_PATH."flow.php"); //session_start, inclusions, cr�ations des variables $gDb et $erreur_connect
require_once($DEFAULT_PATH."flow_tools.php"); //fonctions utilitaires (pget,...)
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php"); //fonctions de création du filtre/toolbar
require_once($DEFAULT_PATH."vtemplate.class.php");

$droitRole 	= TAB;	//droits de traitement des flux
$lmcse		= DROIT_LECT + DROIT_EXEC; 	//droits en lmcs

$page_courante = "suivi/tableaubord/sui_tab.php";

$vtp = new VTemplate;
$form = $vtp->Open("../../template/listing.vtp");
$vtp->addSession($form, "global");

$vtp->setVar($form, "global.head_javascript", '');

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->setVar($form, "global.title", addslashes($lang_sui_tab_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/sui_tab.gif");
$vtp->setVar($form, "global.url_grid", "sui_tab_dSGrid.php?");
$vtp->setVar($form, "global.grid_async", "true");
$vtp->setVar($form, "global.grid_multiSelect", "false");
$vtp->setVar($form, "global.grid_checkBoxes", "false");
$vtp->setVar($form, "global.grid_pageSize", "5");
$vtp->setVar($form, "global.help_id", "20070716174552");


//*
//* Création du filtre
//*
$filtre = array();

//Nombre de lignes
$filtre[] = array("id_filtre" => "limitStep", "type_filtre" => "prlFiltreField.types.prlComboList",
					"libelle_filtre" => $lang_sui_hist_filtre_lbl_afficher,
					"value_filtre" => $ini_taille_page_suivi,
					"ds_filtre" => $pathFlow."dataSources/dSComboRow.php");

//Nom
$filtre[] = array("id_filtre" => "f_name", "type_filtre" => "prlFiltreField.types.prlTextBox",
					"libelle_filtre" => $lang_sui_tab_filtre_lbl_nom);

mkFiltre($vtp, $form, $filtre);


//*
//* Actions de la toolbar
//*
$option_toolbar = array("select" => false,
						"detail" => true,
						"print" => array("show" => true
									, "title" => addslashes($lang_sui_tab_title)),
						"csv" => true);

//Executer
$option_toolbar[] = array("caption" => $lang_admin_tab_grid_act_exec,
						"icon" => $pathFlow."style/imgs/icons/play.gif",
						"action" => array("name" => "exec",
										"page" => "admin/tab/admin_tab_actExec.php",
										"callback" => "changePage",
										"get_params" => array('tab_id')));

// Graphique
$option_toolbar[] = array("caption" => $lang_admin_tab_aff_btn_graph,
						"icon" => $pathFlow."style/imgs/icons/db_table.gif",
						"action" => array("name" => "graf",
										"page" => "admin/tab/admin_tab_actGraph.php",
										"callback" => "openPopUp",
										"get_params" => array('tab_id', 'tab_nom', 'taille')));

mkToolbar($vtp, $form, $option_toolbar);

$vtp->closeSession($form, "global");
$vtp->Display();
?>