<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."struct.php");

$droitRole = TAB;	//droits de traitement des flux
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR + DROIT_EXEC; 	//droits en lmcs

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");


$where = "";
$f_nom = pget('f_name');
$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

$clt_id = $_SESSION['CLT_ID'];

if($f_nom)
	$where = " AND TAB_NOM LIKE '%".dblQ($f_nom)."%' ";

	$req = "SELECT SQL_CALC_FOUND_ROWS TAB_ID, TAB_NOM, TAB_LIBEL, TAB_REQ, TAB_GRAPH_TYPE, TAB_GRAPH_TAILLE
		FROM TABLEAU_BORD  
		WHERE CLT_ID = '$clt_id' AND TAB_ACCUEIL = ".ETAT_ACTIF." 
		$where
		ORDER BY TAB_NOM";
	
$champs = array();
$champs[] = array("nom" => $lang_admin_tab_grid_head_nom, "toolTip" => $lang_admin_tab_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_tab_grid_head_libelle, "toolTip" => $lang_admin_tab_grid_head_libelle, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_tab_aff_lbl_type_graphique, "toolTip" => $lang_admin_tab_aff_lbl_type_graphique, "sortMode" => "1");
$champs[] = array("nom" => $lang_admin_tab_aff_lbl_modele, "toolTip" => $lang_admin_tab_aff_lbl_modele, "sortMode" => "1");
$champs[] = array("nom" => "Id", "toolTip" => "Id", "sortMode" => "1");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'" pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';
foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';
echo '</header>';

while ($row = $gDb->SQLNextRow(1))
{
	echo '<row detail="&lt;b&gt;'.$lang_admin_tab_aff_lbl_requete.' : &lt;/b&gt;'.hi_disp($row['TAB_REQ']).'">';
			
	$toolTip = "";
	$urlDetail = "#";
		$caption = hi_disp($row['TAB_NOM']);

	$params = array();
	$params['tab_id'] = $row['TAB_ID'];
	$params['tab_nom'] = $row['TAB_NOM'];
	$params['taille'] = $row['TAB_GRAPH_TAILLE'];
	$params['droits'] = array('exec' =>  (droit($droitRole, DROIT_EXEC,null,null,null,null)),
							  'graf' => (droit($droitRole, DROIT_EXEC,null,null,null,null) && $row['TAB_GRAPH_TYPE']!=AUCUNG));
	echo '<item caption="'.$caption.'" icon="'.$pathStyle.'imgs/icons/exec.png" toolTip="'.$lang_admin_alert_grid_act_detail.'" value="'.row_encode_JSON($params).'"/>';
		
	echo '<item caption="'.hi_disp($row['TAB_LIBEL']).'"/>';

	if ($row['TAB_GRAPH_TYPE']==AUCUNG) echo '<item caption="'.$lang_admin_tab_aff_lbl_aucun.'"/>';
	if ($row['TAB_GRAPH_TYPE']==HISTOG) echo '<item caption="'.$lang_admin_tab_aff_lbl_histogramme.'"/>';
	if ($row['TAB_GRAPH_TYPE']==COURBE) echo '<item caption="'.$lang_admin_tab_aff_lbl_courbe.'"/>';
	if ($row['TAB_GRAPH_TYPE']==CAMEMB) echo '<item caption="'.$lang_admin_tab_aff_lbl_camembert.'"/>';
	if ($row['TAB_GRAPH_TYPE']==MULTIH) echo '<item caption="'.$lang_admin_tab_aff_lbl_multi_histogrammes.'"/>';
	if ($row['TAB_GRAPH_TYPE']==MULTIC) echo '<item caption="'.$lang_admin_tab_aff_lbl_multi_courbes.'"/>';

	if ($row['TAB_GRAPH_TYPE']==AUCUNG) {
		echo '<item caption="'.$lang_admin_tab_aff_lbl_aucun.'"/>';
	} else {
		if ($row['TAB_GRAPH_TAILLE']==PETIT) echo '<item caption="'.$lang_admin_tab_aff_lbl_petit.'"/>';
		if ($row['TAB_GRAPH_TAILLE']==MOYEN) echo '<item caption="'.$lang_admin_tab_aff_lbl_moyen.'"/>';
		if ($row['TAB_GRAPH_TAILLE']==GRAND) echo '<item caption="'.$lang_admin_tab_aff_lbl_grand.'"/>';
	}

	echo '<item caption="'.$row['TAB_ID'].'"/>';

	echo '</row>';
}
$gDb->SQLFermeQuery(1);

echo '</databind>';
?>