<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = FAM; //droit de gestion des familles
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR; 	//droits en lmcs
$where = "";

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "utilisateurs/familles/utr_fam_actAffich.php";

$vtp = new VTemplate;

$fam_id	= pget('fam_id');
$action = pget('action');

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "cre_modif_groupe");

switch($action)
{
	case "create":
		$readOnly = false;
		$panelTitle = $lang_lbl_create;
		$panelIcon = $pathStyle."imgs/icons/doc_dupliq.gif";
		break;
	case "modif":
		$readOnly = false;
		$panelTitle = $lang_utr_fam_grid_act_modif;
		$panelIcon = $pathStyle."imgs/icons/admin.gif";
		break;
}

//Variable générales
$vtp->setVar($form, "global.title", addslashes($lang_utr_fam_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/utr_fam.png");
$vtp->setVar($form, "global.panelTitle", $panelTitle);
$vtp->setVar($form, "global.panelIcon", $panelIcon);

//Action à réaliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "history.go(-1);");

$vtp->setVar($form, "global.readOnly", (($readOnly)? "true": "false"));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "fam_id");
$vtp->setVar($form, "form_input_hidden.value", $fam_id);
$vtp->closeSession($form, "form_input_hidden");


$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "utr_inactif");
$vtp->setVar($form, "form_input_hidden.value", "false");
$vtp->closeSession($form, "form_input_hidden");


if(isset($fam_id))
{
	$req = "SELECT FAM_NOM, FAM_ETAT, FAM_DATE_CREAT, FAM_DATE_TRAIT 
			FROM FAMILLE WHERE FAM_ID=".$fam_id." ";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);	
	$gDb->SQLFermeQuery(1);
	
	$date = sql2Date($row['FAM_DATE_CREAT']);
	$dateF = sql2Date($row['FAM_DATE_TRAIT']);
		
	$req3 = "SELECT UTR_NOM
			FROM UTILISATEUR
				WHERE FAM_ID= $fam_id
				AND UTR_ETAT!=".ETAT_SUPPR;
    $gDb->SQLQuery($req3, 3);
	$utr = '';
    while ($row3 = $gDb->SQLNextRow(3)){
   		$utr .= (($utr=="")?(""):("<br/>")).$row3['UTR_NOM'];
    }
    $gDb->SQLFermeQuery(3);
}

$head_javascript = "

function verifForm() {
	check=true;

	var expr = /^ | $/;
	if (this.document.forms['filtre'].fam_nom.value.length == 0 || expr.exec(this.document.forms['filtre'].fam_nom.value) != null) 
	{
		alert('$lang_utr_fam_aff_msg_err_libelle_null');
		this.document.forms['filtre'].fam_nom.focus();
		check=false;
	}
	
	this.document.forms['filtre'].utr_inactif.value=false;
	if (this.document.forms['filtre'].fam_etat.value == ".ETAT_INACTIF.") {
		if(check && confirm('".addslashes($lang_utr_fam_aff_msg_quest_actif)."')) {
			this.document.forms['filtre'].utr_inactif.value=true;
		}
	} 

	if(check && (submitForm(this.document.forms['filtre'], 'utr_fam_actAction.php', prlExec) == 0)) {
		changePage('utr_fam.php');
	}
}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);

// libellé du groupe
$FAM_NOM = $row['FAM_NOM'];
$javascript = "
	with(new prlTextBox('fam_nom', prlTextBox.formats.any, '$FAM_NOM')) {
		maxLength  = 50;
		trim = prlTextBox.trimMode.both;
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_fam_aff_lbl_non);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

// etat de la commande
$FAM_ETAT = $row['FAM_ETAT'];
$javascript = "
	with(new prlComboList('fam_etat', '$FAM_ETAT')) {
		dataSource='".$DEFAULT_PATH."dataSources/dSEtat.php?type=activite';
		create();
	};
";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_fam_aff_lbl_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->closeSession($form, "form_field");

if ($action=="modif"){
	$caption=$lang_utr_fam_aff_lbl_datecreat;
	$javascript="";
	$content=$date;
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $caption);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");

	$caption=$lang_utr_fam_aff_lbl_datemodif;
	$javascript="";
	$content=$dateF;
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $caption);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");
	
	$caption=$lang_utr_fam_aff_lbl_utrlink;
	$javascript="";
	$content=$utr;
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $caption);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", $content);
	$vtp->closeSession($form, "form_field");

	// import LDAP
	$cltID = $_SESSION['CLT_ID'];	//identifiant du client connecté
	$req = "SELECT LDA_ADRESSE, LDA_PORT, LDA_DN, LDA_FILTRE, LDA_NOM, LDA_PRENOM, LDA_TELEPHONE, LDA_MAIL, LDA_LOGIN, LDA_PWD, LDA_CHANGE_PWD, LDA_PWD_PERIODE FROM LDAP WHERE CLT_ID = $cltID";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	
	if($row['LDA_ADRESSE']!='' && $row['LDA_DN']!='' && $row['LDA_FILTRE']!='')
	{
		$url = hi_disp_urlencode($DEFAULT_PATH."utilisateurs/ldap/utr_ldap_list.php?import=multi&adresse=${row['LDA_ADRESSE']}&port=${row['LDA_PORT']}&dn=${row['LDA_DN']}&filtre=${row['LDA_FILTRE']}&nom=${row['LDA_NOM']}&prenom=${row['LDA_PRENOM']}&telephone=${row['LDA_TELEPHONE']}&mail=${row['LDA_MAIL']}&login=${row['LDA_LOGIN']}&pwd=${row['LDA_PWD']}&changepwd=${row['LDA_CHANGE_PWD']}&pwdperiode=${row['LDA_PWD_PERIODE']}");
		$javascript="
		function import_LDAP()
		{
			var url = '$url&fam_id=$fam_id';
			changePage(url, '$lang_utr_lbl_import_ldap');
		}
		new prlButton('$lang_utr_lbl_import_ldap', 'import_LDAP();', Prologue.Flow.images+'icons/import.gif').create();";
		$vtp->addSession($form, "form_button");
		$vtp->setVar($form, "form_button.javascript", $javascript);
		$vtp->closeSession($form, "form_button");
	}
}

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);
$vtp->closeSession($form, "global");
$vtp->Display();

?>