<?php
$DEFAULT_PATH = "../../";
require_once ($DEFAULT_PATH."struct.php");
$droitRole = UTR;
$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;

require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once($DEFAULT_PATH."vtemplate.class.php");	//class template
require_once($DEFAULT_PATH."msg.php");

$culture_folder = $DEFAULT_PATH."culture";
require_once("$culture_folder/culture.php");
require_once($DEFAULT_PATH."inc/php/utils.php");

$page_courante = "utilisateurs/utilisateurs/utr_utr_actAffich.php";

$vtp = new VTemplate;

$cltID = $_SESSION['CLT_ID'];	//identifiant du client connect
$cptID = $_SESSION['CPT_ID'];	//identifiant du compte connect

$action = pget('action');
$utr_id = pget('utr_id');

if ($action=="modif")
{
	if (strlen($utr_id)==0) // cas de l'enchainement suite  cration de l'utilisateur pour attente cration de compte
	{
		$req="SELECT UTR_ID FROM UTILISATEUR ORDER BY UTR_ID DESC LIMIT 1";
		$gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$gDb->SQLFermeQuery(1);
		$utr_id=$row['UTR_ID'];
	}
}

$form = $vtp->Open($DEFAULT_PATH."template/form.vtp");
$vtp->addSession($form, "global");
$vtp->setVar($form, "global.help_id", "20070716151920");
//Action  raliser en appuyant dur le bouton 'Retour'
$vtp->setVar($form, "global.back_fct", "changePage(Flow.path+\'utilisateurs/utilisateurs/utr_utr.php\');");

switch($action){
	case 'detail':
		$panelTitle=$lang_utr_utr_title_action_detail;
		$panelIcon = $pathStyle.'imgs/icons/loupe.gif';
		$readOnly = true;
		break;
	case 'create':
		$panelTitle=$lang_utr_utr_title_action_create;
		$panelIcon = $pathStyle.'imgs/icons/doc_dupliq.gif';
		$readOnly = false;
		break;
	case 'modif':
		$panelTitle=$lang_utr_utr_title_action_modif;
		$panelIcon = $pathStyle.'imgs/icons/admin.gif';
		$readOnly = false;
		break;
}

//Titre et icone pour la barre de titre
$vtp->setVar($form, "global.title", addslashes($lang_utr_utr_title));
$vtp->setVar($form, "global.icon", $pathStyle."imgs/icons/title/utr_utr.png");

//Titre et icone pour le sous-titre
$vtp->setVar($form, "global.panelTitle", addslashes($panelTitle));
$vtp->setVar($form, "global.panelIcon", $panelIcon);

$head_javascript = "
	function prlExecIdGrid (url)
	{
		if(prlExec(url) == 0)
			gridReload();
	}
	
	function gridReload ()
	{
		Prologue.grid.reload('idGrid');
	}
	
	function openIdPopUp (url)
	{
		if(openPopUp(url, '', 620, 630) == 0)
			gridReload();
	}
	
	//Liste des champs obligatoires
	var fieldListID = new Array('utr_nom', 'utr_prenom');
	//Liste des libells de champs obligatoires								
	var fieldListName = new Array('$lang_utr_utr_lbl_nom', '$lang_utr_utr_lbl_prenom');
	
	function verifForm()
	{
		var ret = true;
		var action = '$action';
		
		for(var i = 0; i < 2; ++i)
		{
			if(document.getElementById(fieldListID[i]).value.length == 0)
			{
				alert(\"$lang_utr_utr_msg_err_generique_deb\"+fieldListName[i]+\"$lang_utr_utr_msg_err_generique_fin\");
				ret = false;
				document.getElementById(fieldListID[i]).focus();
				break;
			}
			else if(false == prlTextBox.checkFormat(document.getElementById(fieldListID[i])))
			{
				document.getElementById(fieldListID[i]).onchange();
				ret = false;
				document.getElementById(fieldListID[i]).focus();
				break;
			}
		}
		
		if(ret)
		{
			if(submitForm(this.document.forms['filtre'], Flow.path+'utilisateurs/utilisateurs/utr_utr_actAction.php', prlExec)==0)
			{
				if(action == 'create')
					changePage(Flow.path+'utilisateurs/utilisateurs/utr_utr_actAffich.php?utr_id=$utr_id&action=modif');
				else
					changePage(Flow.path+'utilisateurs/utilisateurs/utr_utr.php');
			}
		}
	}
";
$vtp->setVar($form, "global.head_javascript", $head_javascript);
$vtp->setVar($form, "global.readOnly", ($readOnly?'true':'false'));

//Variables statiques du form (input hidden)
$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "action");
$vtp->setVar($form, "form_input_hidden.value", $action);
$vtp->closeSession($form, "form_input_hidden");

$vtp->addSession($form, "form_input_hidden");
$vtp->setVar($form, "form_input_hidden.name", "utr_id");
$vtp->setVar($form, "form_input_hidden.value", $utr_id);
$vtp->closeSession($form, "form_input_hidden");

if ($action!="create")
{
	$req = "SELECT UTILISATEUR.UTR_CIVILITE, UTILISATEUR.UTR_NOM, UTILISATEUR.UTR_PRENOM, 
				UTILISATEUR.UTR_ETAT, UTILISATEUR.UTR_DATE_CREAT, UTILISATEUR.UTR_DATE_TRAIT, 
				UTILISATEUR.UTR_MAIL, UTILISATEUR.UTR_TEL, UTILISATEUR.FAM_ID, FAMILLE.FAM_NOM 
			FROM UTILISATEUR, FAMILLE 
			WHERE UTILISATEUR.UTR_ID = $utr_id 
				AND UTR_ETAT != ".ETAT_SUPPR." 
				AND UTILISATEUR.FAM_ID = FAMILLE.FAM_ID ";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	
	$utr_civilite 	= $row['UTR_CIVILITE'];
	$utr_nom 		= $row['UTR_NOM'];
	$utr_prenom 	= $row['UTR_PRENOM'];
	$utr_etat		= $row['UTR_ETAT'];
	$utr_tel		= $row['UTR_TEL'];
	$utr_mail		= $row['UTR_MAIL'];
	$utr_fam		= $row['FAM_ID'];
	$utr_date_creat = sql2Date($row['UTR_DATE_CREAT']);
	$utr_date_trait = sql2Date($row['UTR_DATE_TRAIT']);
	$gDb->SQLFermeQuery(1);
}
else
{
	$utr_civilite 	= '';
	$utr_nom 		= '';
	$utr_prenom 	= '';
	$utr_etat		= '';
	$utr_tel		= '';
	$utr_mail		= '';
	$utr_fam		= '';
	$utr_date_creat = '';
	$utr_date_trait = '';
}

// Civilit
$javascript = "with(new prlComboList('utr_civilite','$utr_civilite')){
	add('Mr', '', '', '".UTR_CIVILITE_MR."');
	add('Mme', '', '', '".UTR_CIVILITE_MME."');
	add('Mlle', '', '', '".UTR_CIVILITE_MLLE."');
	readOnly = '$readOnly';
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_civilite);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

// Nom
$javascript = "with(new prlTextBox('utr_nom', prlTextBox.formats.any, '$utr_nom')){
	maxLength  = 35;
	trim = prlTextBox.trimMode.both;
	onClick = 'if(this.value.length == 0){ alert(\'$lang_utr_utr_msg_err_nomnull\'); this.focus();}';
	readOnly = '$readOnly';
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_nom.(!$readOnly? " (*)":""));
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

// Prnom
$javascript = "with(new prlTextBox('utr_prenom', prlTextBox.formats.any, '$utr_prenom')){
	maxLength  = 35;
	trim = prlTextBox.trimMode.both;
	onClick = 'if(this.value.length == 0){ alert(\'$lang_utr_utr_msg_err_prenomnull\'); this.focus();}';
	readOnly = '$readOnly';
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_prenom.(!$readOnly? " (*)":""));
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

// Etat
$javascript = "with(new prlComboList('utr_etat', '$utr_etat')){
	dataSource = '${pathFlow}dataSources/dSEtat.php?type=activite&showNull=0';
	readOnly = '$readOnly';
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_etat);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

// Groupe li
$javascript = "with(new prlComboList('utr_fam', '$utr_fam')){
	dataSource = '${pathFlow}utilisateurs/utilisateurs/utr_utr_dSFamille.php?droitRole=$droitRole&showNull=0';
	readOnly = '$readOnly';
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_grp);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

// Tlphone
$javascript = "with(new prlTextBox('utr_tel', prlTextBox.formats.phone, '$utr_tel')){
	readOnly = '$readOnly';
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_tel);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

// mail
$javascript = "with(new prlTextBox('utr_mail', prlTextBox.formats.email, '$utr_mail')){
	readOnly = '$readOnly';
	create();
}";
$vtp->addSession($form, "form_field");
$vtp->setVar($form, "form_field.caption", $lang_utr_utr_lbl_email);
$vtp->setVar($form, "form_field.javascript", $javascript);
$vtp->setVar($form, "form_field.content", '');
$vtp->closeSession($form, "form_field");

if ($action!="create")
{
	// Date de cration
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_utr_aff_lbl_datecreat);
	$vtp->setVar($form, "form_field.javascript", '');
	$vtp->setVar($form, "form_field.content", $utr_date_creat);
	$vtp->closeSession($form, "form_field");
	
	// Date de modification
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_utr_aff_lbl_datemodif);
	$vtp->setVar($form, "form_field.javascript", '');
	$vtp->setVar($form, "form_field.content", $utr_date_trait);
	$vtp->closeSession($form, "form_field");

	// Comptes
	if(!$readOnly)
	{
		$row_actions = "
		rowAction.add('id_modif', 'utilisateurs/utilisateurs/utr_utr_cpt_gest.php', openIdPopUp, ['action', 'cpt_id', 'evenement']);
		rowAction.add('id_remove', 'utilisateurs/utilisateurs/utr_utr_actAction.php', prlExecIdGrid, ['action', 'cpt_id', 'evenement']);

		rowAction.actions.id_modif.check = function (params) {
			params.evenement = 'first';
			params.action = 'modif';
			return true;
		};

		rowAction.actions.id_remove.check = function (params) {
			var msg = '$lang_utr_utr_ds_cpt_quest_suppr';
			msg = msg.replace('%CPTLOGIN%', params.cpt_login);
			if (confirm(msg))
			{
				params.action = 'modif';
				params.evenement = 'suppr';
				return true;
			}
			return false;
		};";
		
		$action_js = "
			add('$lang_lbl_creer', '${pathStyle}imgs/icons/add.gif', 'openPopUp(\'utr_utr_cpt_gest.php?action=create&evenement=first&utr_id=$utr_id\', \'\', 620, 630);');
			add('$lang_lbl_modifier', '${pathStyle}imgs/icons/admin.gif', 'rowAction.grid_id = \'idGrid\'; rowAction.exec(\'id_modif\'); Prologue.grid.reload(\'idGrid\');');
			add('$lang_lbl_supprimer', '${pathStyle}imgs/icons/trash.png', 'rowAction.grid_id = \'idGrid\'; rowAction.exec(\'id_remove\'); Prologue.grid.reload(\'idGrid\');');
			add(lang_gridPageToolBar_lbl_detail, Prologue.gridPageToolBar.images.detail, 'Prologue.gridPageToolBar.doAction(\'idGrid\', Prologue.gridPageToolBar.action.detail,\'idGridTbr\')');";
	}
	else
	{
		$row_actions = '';
		$action_js = "
			add(lang_gridPageToolBar_lbl_detail, Prologue.gridPageToolBar.images.detail, 'Prologue.gridPageToolBar.doAction(\'idGrid\', Prologue.gridPageToolBar.action.detail,\'idGridTbr\')');";
	}

	$javascript = "
		$row_actions
		document.write('<div style=\"background-color: #D0C8C1; border-color: #C4BBB2 #AAAAAA #AAAAAA #C4BBB2;\">');
		with(new Prologue.gridPageToolBar('idGridTbr')) {
			$action_js
			gridId = 'idGrid';
			create();
		}
		document.write('</div>');

		with(new prlGrid('idGrid')) {
			async = true;
			pageSize = 5;
			pageToolBarId = 'idGridTbr';
			dataSource = '${pathFlow}utilisateurs/utilisateurs/utr_utr_dSCompte.php?utr_id=".(isset($utr_id)? $utr_id: "")."';
			create();
		}
	";
	$vtp->addSession($form, "form_field");
	$vtp->setVar($form, "form_field.caption", $lang_utr_drt_aff_lbl_cptlink);
	$vtp->setVar($form, "form_field.javascript", $javascript);
	$vtp->setVar($form, "form_field.content", '');
	$vtp->closeSession($form, "form_field");
	
	// bouton print
	$javascript = "new prlButton('$lang_lbl_print', 'openPopUp(\'${pathFlow}utilisateurs/utilisateurs/utr_utr_print.php?utr_id=$utr_id\');', Prologue.Flow.images+'icons/printer.png').create();";
	$vtp->addSession($form, "form_button");
	$vtp->setVar($form, "form_button.javascript", $javascript);
	$vtp->closeSession($form, "form_button");
	
	// bouton envoyer mail
	$javascript = "var message='".addslashes($lang_utr_utr_msg_question_sendmail)."';
		new prlButton('$lang_utr_utr_lbl_sendmail', 'if (document.getElementById(\'utr_mail\').value.length != 0) {if(confirm(message)){prlExec(\'${pathFlow}utilisateurs/utilisateurs/utr_utr_actAction.php?action=mail&utr_id=$utr_id\');}} else alert(urldecode(\'".urlencode(hi_disp($lang_utr_utr_msg_err_emailnull))."\'));', Prologue.Flow.images+'icons/email.gif').create();";
	$vtp->addSession($form, "form_button");
	$vtp->setVar($form, "form_button.javascript", $javascript);
	$vtp->closeSession($form, "form_button");
}
else
{
	// bouton ldap
	$req = "SELECT LDA_ADRESSE, LDA_PORT, LDA_DN, LDA_FILTRE, LDA_NOM, LDA_PRENOM, LDA_TELEPHONE, LDA_MAIL, LDA_LOGIN, LDA_PWD, LDA_CHANGE_PWD, LDA_PWD_PERIODE FROM LDAP WHERE CLT_ID = $cltID";
	$gDb->SQLQuery($req,1);
	$row = $gDb->SQLNextRow(1);
	$gDb->SQLFermeQuery(1);
	
	if($row['LDA_ADRESSE']!='' && $row['LDA_DN']!='' && $row['LDA_FILTRE']!='')
	{
		$url = hi_disp_urlencode($DEFAULT_PATH."utilisateurs/ldap/utr_ldap_list.php?import=mono&adresse=${row['LDA_ADRESSE']}&port=${row['LDA_PORT']}&dn=${row['LDA_DN']}&filtre=${row['LDA_FILTRE']}&nom=${row['LDA_NOM']}&prenom=${row['LDA_PRENOM']}&telephone=${row['LDA_TELEPHONE']}&mail=${row['LDA_MAIL']}&login=${row['LDA_LOGIN']}&pwd=${row['LDA_PWD']}&changepwd=${row['LDA_CHANGE_PWD']}&pwdperiode=${row['LDA_PWD_PERIODE']}");
		$javascript="
		function import_LDAP()
		{
			var url = '$url&fam_id=' + prlComboList.getSelected('utr_fam').value;
			changePage(url, '$lang_utr_lbl_import_ldap');
		}
		new prlButton('$lang_utr_lbl_import_ldap', 'import_LDAP();', Prologue.Flow.images+'icons/import.gif').create();";
		$vtp->addSession($form, "form_button");
		$vtp->setVar($form, "form_button.javascript", $javascript);
		$vtp->closeSession($form, "form_button");
	}
}

include($DEFAULT_PATH."header.php");
$vtp->setVar($form, "global.page_headers", $page_headers);

$vtp->closeSession($form, "global");
$vtp->Display();
?>