<?php
$DEFAULT_PATH = "../../";
require_once($DEFAULT_PATH."flow.php");
require_once($DEFAULT_PATH."flow_tools.php");
require_once ($DEFAULT_PATH."struct.php");
$culture_content_type = "text/xml; charset=utf-8";
$culture_folder = $DEFAULT_PATH."culture";// /!\ utils.php inclu déjà culture.php
require_once("$culture_folder/culture.php");
require_once ($DEFAULT_PATH."inc/php/utils.php"); 

$droitRole = UTR;

$lmcse = DROIT_LECT + DROIT_MODIF + DROIT_CREAT + DROIT_SUPPR;
$where = "";

//récupération des données du filtre
$f_nom = pget('f_nom');
$f_prenom = pget('f_prenom');
$f_etat = pget('f_etat');
$f_date_deb = pget('f_date');
$f_date_fin = pget('f_dateF');
$f_fam = pget('f_fam');
$cltID 	= $_SESSION['CLT_ID'];

$pageNum = pget('pageNum');
$pageSize = pget('pageSize');

if ($f_nom)
	$where .= " AND UTILISATEUR.UTR_NOM LIKE '%".dblQ($f_nom)."%' ";
	
if ($f_prenom)	
	$where .= " AND UTILISATEUR.UTR_PRENOM LIKE '%".dblQ($f_prenom)."%' ";
	
if ($f_etat)
	$where .= " AND UTILISATEUR.UTR_ETAT = '$f_etat' ";

	
// traitement des dates
if($f_date_deb) {
	if($f_date_fin) {
		if($ini_typeBase == "oracle"){
				$date_deb_sql = "TO_DATE('$f_date_deb','DD/MM/YYYY HH24:MI:SS')";
				$date_fin_sql = "TO_DATE('$f_date_fin 23:59:59','DD/MM/YYYY HH24:MI:SS')";
				$where .= " AND UTILISATEUR.UTR_DATE_CREAT BETWEEN $date_deb_sql AND $date_fin_sql";
		}
		else{
			$where .= " AND UTILISATEUR.UTR_DATE_CREAT BETWEEN '".date2Sql($f_date_deb, "00:00:00")."' AND '".date2Sql($f_date_fin, "23:59:59")."'";
		}
	}
	else{
		if($ini_typeBase == "oracle"){
			$where .= " AND UTILISATEUR.UTR_DATE_CREAT >= TO_DATE('$f_date_deb', 'DD/MM/YYYY HH24:MI:SS')";
		}
		else{
			$where .= " AND UTILISATEUR.UTR_DATE_CREAT >= '".date2Sql($f_date_deb, "00:00:00")."'";
		}
	}
}
else if($f_date_fin) {
	if($ini_typeBase == "oracle"){
		$where .= " AND UTILISATEUR.UTR_DATE_CREAT <= TO_DATE('$f_date_fin 23:59:59', 'DD/MM/YYYY HH24:MI:SS')";
	}
	else{
		$where .= " AND UTILISATEUR.UTR_DATE_CREAT <= '".date2Sql($f_date_fin, "23:59:59")."'";
	}		
}	


if ($f_fam)
	$where .= " AND UTILISATEUR.FAM_ID = $f_fam ";
	
Construit_restriction($droitRole, null, null, null, "UTILISATEUR.FAM_ID", $restrict, $restrictFiltreEmet, $restrictFiltreDest, $restrictFiltreTdoc, $restrictFiltreFam);

$req = "SELECT SQL_CALC_FOUND_ROWS
        UTILISATEUR.UTR_NOM
      , UTILISATEUR.UTR_ID
      ,	UTILISATEUR.UTR_PRENOM
      , UTILISATEUR.UTR_ETAT
      ,	UTILISATEUR.UTR_DATE_CREAT
      , FAMILLE.FAM_NOM
      , UTILISATEUR.FAM_ID
      , UTILISATEUR.UTR_TEL
      , UTILISATEUR.UTR_MAIL
      , UTILISATEUR.UTR_DATE_TRAIT
      
   FROM UTILISATEUR
   JOIN FAMILLE ON FAMILLE.FAM_ID = UTILISATEUR.FAM_ID 
   LEFT JOIN COMPTE ON COMPTE.UTR_ID = UTILISATEUR.UTR_ID AND COMPTE.CLT_ID = UTILISATEUR.CLT_ID
  WHERE UTILISATEUR.CLT_ID = $cltID

    AND UTILISATEUR.UTR_ETAT != ".ETAT_SUPPR."
        $where
        $restrict
  GROUP BY UTILISATEUR.UTR_NOM
      , UTILISATEUR.UTR_ID
      ,	UTILISATEUR.UTR_PRENOM
      , UTILISATEUR.UTR_ETAT
      ,	UTILISATEUR.UTR_DATE_CREAT
      , FAMILLE.FAM_NOM
      , UTILISATEUR.FAM_ID
      , UTILISATEUR.UTR_TEL
      , UTILISATEUR.UTR_MAIL
      , UTILISATEUR.UTR_DATE_TRAIT";

$champs = array();
$champs[] = array("nom" => $lang_utr_utr_grid_head_nom, "toolTip" => $lang_utr_utr_grid_head_nom, "sortMode" => "1");
$champs[] = array("nom" => $lang_utr_utr_grid_head_prenom, "toolTip" => $lang_utr_utr_grid_head_prenom, "sortMode" => "1");
$champs[] = array("nom" => $lang_utr_utr_grid_head_nbcpt, "toolTip" => $lang_utr_utr_grid_head_nbcpt, "sortMode" => "2");
$champs[] = array("nom" => $lang_utr_utr_grid_head_etat, "toolTip" => $lang_utr_utr_grid_head_etat, "sortMode" => "0");
$champs[] = array("nom" => $lang_utr_utr_grid_head_group, "toolTip" => $lang_utr_utr_grid_head_group, "sortMode" => "1");
$champs[] = array("nom" => $lang_utr_utr_grid_head_datecreat, "toolTip" => $lang_utr_utr_grid_head_datecreat, "sortMode" => "3");

$gDb->SQLQuery($req, 1, ($pageNum-1)*$pageSize, $pageSize);

$gDb->SQLQuery('SELECT FOUND_ROWS() AS MAX_ROW', 2);
$row = $gDb->SQLNextRow(2);
$maxRow = $row['MAX_ROW'];
$gDb->SQLFermeQuery(2);

echo '<?xml version="1.0" encoding="UTF-8"?><databind maxRow="'.$maxRow.'"  pageSize="'.$pageSize.'" pageNum="'.$pageNum.'">';
echo '<header>';

foreach ($champs as $col)
	echo '<item caption="'.$col['nom'].'" icon="" onClick="" toolTip="'.$col['toolTip'].'" sortMode="'.$col['sortMode'].'"/>';

echo '</header>';

while($row = $gDb->SQLNextRow(1))
{
	$detail = "<table>
				  <tr>
				    <td><b>".$lang_utr_utr_lbl_email."</b> : ".$row['UTR_MAIL']."</td>
					<td><b>".$lang_utr_utr_lbl_tel."</b> : ".$row['UTR_TEL']."</td>
                  </tr>
				  <tr>
					<td><b>".$lang_utr_utr_aff_lbl_datemodif."</b> : ".$row['UTR_DATE_TRAIT']."</td>
					<td>&#160;</td>
                  </tr>
			   </table>";
	echo '<row detail="'.hi_disp($detail).'">';
	
	$params = array();
	$params['utr_id'] = $row['UTR_ID'];
	$params['utr_nom'] = $row['UTR_NOM'];
	$params['droits'] = array('modif' => (droit($droitRole, DROIT_MODIF,null,null,null,null)),
							'detail' => (droit($droitRole, DROIT_LECT, null, null, null, $row['FAM_ID'])),
							'suppr' => (droit($droitRole, DROIT_SUPPR,null,null,null,null)));
	
	echo '<item caption="'.hi_disp($row['UTR_NOM']).'" icon="'.$pathFlow.'style/imgs/icons/user.png" value="'.row_encode_JSON($params).'"/>';
	
	echo '<item caption="'.hi_disp($row['UTR_PRENOM']).'"/>';

	$reqnb="SELECT COUNT(*) AS NB_CPT FROM COMPTE WHERE UTR_ID=".$row['UTR_ID']." AND CPT_ETAT!=".ETAT_SUPPR;
	$gDb->SQLQuery($reqnb,3);
	$row3 = $gDb->SQLNextRow(3);
	$gDb->SQLFermeQuery(3);
	
	echo '<item caption="'.$row3['NB_CPT'].'"/>';
		
	$icon = "";
	$toolTip = "";	
	switch($row['UTR_ETAT'])
	{
		case ETAT_ACTIF:
			$icon = $pathFlow.'style/imgs/icons/lamp_on.png';
			$toolTip = "Actif";
			break;
		case ETAT_INACTIF:
			$icon = $pathFlow.'style/imgs/icons/lamp_off.png';
			$toolTip = "Inactif";
			break;
	}
	echo '<item icon="'.$icon.'" toolTip="'.$toolTip.'"/>';
	
	echo '<item caption="'.hi_disp($row['FAM_NOM']).'"/>';
	echo '<item caption="'.sql2Date($row['UTR_DATE_CREAT']).'"/>';
		
//	$icon = "";
//	$toolTip = "";
//	$url = "";
//	$onClick = "";
//	
//	if (droit($droitRole, DROIT_MODIF,null,null,null,null))
//	{
//		$icon = $pathFlow."style/imgs/icons/admin.gif";
//		$toolTip = "Modifier";
//		$url = $pathFlow."utilisateurs/utilisateurs/utr_utr_actAffich.php?action=modif&evenement=first&utr_id=".$row['UTR_ID'];
//		$onClick = "changePage('".urlencode($url)."');";
//	}
//	echo '<item icon="'.$icon.'" toolTip="'.$toolTip.'" onClick="'.$onClick.'"/>';
	
//	$icon = "";
//	$toolTip = "";
//	$url = "";
//	$onClick = "";
//	
//	if (droit($droitRole, DROIT_SUPPR,null,null,null,null))
//	{
//		$toolTip = 'Supprimer';
//		$icon = $pathFlow.'style/imgs/icons/trash.png';
//		$url = $pathFlow.'utilisateurs/utilisateurs/utr_utr_actAction.php?action=suppr&utr_id='.$row['UTR_ID'];
//		$onClick = "if (confirm('Voulez-vous vraiment supprimer l\'utilisateur\'".hi_disp($row['UTR_NOM'])."\' ?')){";
//		$onClick .= " if(prlExec(urldecode('".urlencode($url)."'))==0)";
//		$onClick .= " page.gridReload();}";
//	}
//	echo '<item toolTip="'.$toolTip.'" icon="'.$icon.'" onClick = "'.$onClick.'" />';	

	echo '</row>';
}
$gDb->SQLFermeQuery(1);
echo '</databind>';
?>