<?php
$culture_shortLanguage = $_GET['INI_DISTRIB_LANG'];
require_once("culture.php");

require("setuptools.php");
require("vtemplate.class.php");

require_once('Site/flow/generated_version.php');

// L'execution de ce script ne doit pas etre stoppe par le timeout php
set_time_limit(0);

// Modif LTK le 14/05/08 :
// Recuperer le type d'install
$type_install = pget("TYPE_INSTALL");

//Modif NF le 10/01/11
// Recuperer le type de DB
$type_db = pget("TYPE_DB");

// pour la construction du nom des fichiers XML
$db_specif_xml = '';
switch($type_db)
{
	case 1: break; // rien pour mysql
	case 2: $db_specif_xml = '_MSSQL'; break;
	case 3: $db_specif_xml = '_ORACLE'; break;
}

if (!prerequis($msg,$type_db))
{
	echo page_html("msgr", $msg, "index.php");
	return;
}

if (pget("action") == "valid")
{
	//Enregistrement des variables ncessaires  l'install dans ini.php
	reset($_POST);
	$file = @fopen("ini.php","w");
	if (!$file)
	{
		echo page_html("msgr", $lang_lbl_ouverture_ini_err , "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$type_install."&TYPE_DB=".$var_ini["TYPE_DB"]);
		return;
	}

	// Modif LTK le 12/02/08 : PHP5
	// La balise doit etre < ? php
	@fwrite($file, "<?php\n");
	while (list ($key, $val) = each ($_POST))
	{
		if (preg_match("/INI_/", $key))
			@fwrite($file, "\$var_ini[\"".$key."\"] = \"".dblS(pget($key))."\";\n");
	}
	// Modif LTK le 14/05/08 :
	// Ajouter le type d'install
	@fwrite($file, "\$var_ini[\"TYPE_INSTALL\"] = $type_install;\n");
	@fwrite($file, "\$var_ini[\"INI_DISTRIB_LANG\"] = \"$culture_shortLanguage\";\n");

	// Modif NF le 10/01/11 :
	// Ajouter le type de DB
	@fwrite($file, "\$var_ini[\"TYPE_DB\"] = $type_db;\n");
	
	@fwrite($file, "\$var_ini[\"DB_SPECIF_XML\"] = \"$db_specif_xml\";\n");
	
	// Modif FG le 07/03/12 :
	// Ajout de la chaine de connexion via ODBC pour MSSQL et Oracle, utilise dans les CNF
	switch($type_db)
	{
		case 1: //MYSQL
		{
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = \"mysql\";\n");
			@fwrite($file, "\$var_ini[\"INI_ODBC_DRIVER_FMT\"] = '';\n");
			break;
		}

		case 2: //MSSQL
		{
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = \"mssql\";\n");
			@fwrite($file, "\$var_ini[\"INI_ODBC_DRIVER_FMT\"] = '{'.".'$var_ini["INI_ODBC_DRIVER"]'.".'}';\n");
			break;
		}

		case 3: //ORACLE
		{
			@fwrite($file, "\$var_ini[\"TYPE_DB_NAME\"] = "."\"oracle\"".";\n");
			@fwrite($file, "\$var_ini[\"INI_ODBC_DRIVER_FMT\"] = '{'.".'$var_ini["INI_ODBC_DRIVER"]'.".'}';\n");
			break;
		}
		
		default:
			break;
	}

	@fwrite($file, "\n?>");
	@fclose($file);

	require("ini.php");

	switch($type_db)
	{
		case 1: //MYSQL
			require("sql.inc.php");
			
			$gDb = new Db();

			if ($var_ini["INI_LOGIN_ROOT_BDD"])
			{
				if (!$gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], null))
				{
					echo page_html("msgr", $lang_lbl_connexion_param_root_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				
				if (!pre_requis_mysql($msg))
				{
					echo page_html("msgr", $msg, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				
				$req = "show databases like '".$var_ini["INI_NOM_BDD"]."'";
		
				if (!$gDb->SQLQuery($req, 1))
				{
					echo page_html("msgr", $lang_lbl_recherche_base_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				$row = $gDb->SQLNextRow(1);
				if (!$row)
				{
					$xsl_file = "scripts/install/cree_base.xsl";
					$xml_file = "scripts/install/cree_base.xml";
					$xslt_params = array();
					if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
					{
						echo page_html("msgr", $lang_lbl_creation_base_err." : $result", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
						return;
					}
		
					//Toutes les variables du formulaires sont appliqu?es aux requetes SQL
					reset($var_ini);
					while (list ($key, $val) = each ($var_ini))
					{
						$val = str_replace("\\", "\\\\", $val);
						$result = str_replace("[@$key]", dblQ($val), $result);
					}
		
					//Ex?cution des requetes
					eval ($result);
					if (!$eval_ok)
					{
						echo page_html("msgr", $msg_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
						return;
					}
				}
				else
				{
					echo page_html("msgr", $lang_lbl_base_existante_err." (".$var_ini["INI_NOM_BDD"].")", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
			}
		
			if (!$gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]))
			{
				echo page_html("msgr", $lang_lbl_connexion_param_root_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}		
			
			//D?marrage de l'installation
			$xsl_file	= "scripts/install/install_var.xsl";
			$xml_file 	= "scripts/install/install_".$culture_shortLanguage.".xml";
			$xslt_params = array(
				"TYPE_INSTALL" 		=> $var_ini["TYPE_INSTALL"],
				"LEVEL_INSTALL" 	=> 1
			);
			if (!apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
			{
				echo page_html("msgr", $result, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
			eval($result);
		
			$level = "1";
			if (@file_exists("log_level.php"))
			{
				require("log_level.php");
				if (isset($LOG_ID_LEVEL)) $level = $LOG_ID_LEVEL;
			}
		
			$vtp = new VTemplate;
			$form = $vtp->Open("progress.vtp");
			$vtp->addSession($form,"form");
			$vtp->setVar($form, "form.lib_title", $lang_lbl_installation_msg);
			$vtp->setVar($form, "form.lib_progress", $lang_lbl_installation_en_cours_msg);
			$vtp->setVar($form, "form.shortLanguage", $culture_shortLanguage);
			$vtp->setVar($form, "form.page_dest", "install_ini.php");
			$vtp->setVar($form, "form.next_etape", "$level");
			$vtp->setVar($form, "form.id_next_level", "");
			$vtp->setVar($form, "form.lib_next_level", $lib_cur_level);
			$vtp->setVar($form, "form.count_level", $count_level);
			$vtp->closeSession($form,"form");
			$vtp->Display();
			return;
		
		case 2: //MSSQL
			require("pdo.inc.php");
			
			$gDb = new Db();
			if ($var_ini["INI_LOGIN_ROOT_BDD"])
			{
				if (!$gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], null))
				{
					$result = $gDb->SQLErreur();
					echo page_html("msgr", $lang_lbl_creation_base_err." : $result", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				// test de la version de SQL SERVER
				if (!pre_requis_mssql($msg))
				{
					echo page_html("msgr", $msg, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				
				$req= "SELECT * FROM SYS.DATABASES where name ='" .  $var_ini["INI_NOM_BDD"]."'";
		
				//echo $req;
				 
				if (!$gDb->SQLQuery($req, 1))
				{
					
					//echo 'erreur query';
					
					echo page_html("msgr", $lang_lbl_recherche_base_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				$row = $gDb->SQLNextRow(1);
				
				#print_r($row);
				 
				if (!$row)
				{
					
					//echo  "cree_base";
					
					$xsl_file = "scripts/install/cree_base.xsl";
					$xml_file = "scripts/install/cree_base.xml";
					$xslt_params = array();
					if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
					{
						echo page_html("msgr", $lang_lbl_creation_base_err." : $result", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
						return;
					}
		
					//Toutes les variables du formulaires sont appliqu?es aux requetes SQL
					reset($var_ini);
					while (list ($key, $val) = each ($var_ini))
					{
						#if($var_ini["TYPE_DB"] == 1)
						#	$val = str_replace("\\", "\\\\", $val);
						$result = str_replace("[@$key]", dblQ($val), $result);
					}
		
					//Ex?cution des requetes
					eval ($result);
					if (!$eval_ok)
					{
						echo page_html("msgr", $msg_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
						return;
					}

					// Cration du user si diffrent du login root
					if($var_ini["INI_LOGIN_ROOT_BDD"]!=$var_ini["INI_LOGIN_BDD"])
					{
						$xsl_file = "scripts/install/cree_base.xsl";
						$xml_file = "scripts/install/cree_user.xml";
						$xslt_params = array();
						if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
						{
							echo page_html("msgr", $lang_lbl_creation_user_err." : $result", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
							return;
						}

						//Toutes les variables du formulaires sont appliqu?es aux requetes SQL
						reset($var_ini);
						while (list ($key, $val) = each ($var_ini))
						{
							#if($var_ini["TYPE_DB"] == 1)
							#	$val = str_replace("\\", "\\\\", $val);
							$result = str_replace("[@$key]", dblQ($val), $result);
						}
			
						//Ex?cution des requetes
						eval ($result);
						if (!$eval_ok)
						{
							echo page_html("msgr", $msg_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
							return;
						}
					}
				}
				else
				{
					echo page_html("msgr", $lang_lbl_base_existante_err." (".$var_ini["INI_NOM_BDD"].")", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
			}

			//echo "SQLConnect";
		
			if (!$gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]))
			{
				//echo "erreur SQLConnect";
				
				echo page_html("msgr", $lang_lbl_connexion_param_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
			
			
			$xsl_file	= "scripts/install/install_var.xsl";
			$xml_file 	= "scripts/install/install_$culture_shortLanguage.xml";
			$xslt_params = array(
				"TYPE_INSTALL" 		=> $var_ini["TYPE_INSTALL"],
				"LEVEL_INSTALL" 	=> 1
			);
			if (!apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
			{
				echo page_html("msgr", $result, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
			eval($result);
		
			$level = "1";
			if (@file_exists("log_level.php"))
			{
				require("log_level.php");
				if (isset($LOG_ID_LEVEL)) $level = $LOG_ID_LEVEL;
			}
		
			$vtp = new VTemplate;
			$form = $vtp->Open("progress.vtp");
			$vtp->addSession($form,"form");
			$vtp->setVar($form, "form.lib_title", $lang_lbl_installation_msg);
			$vtp->setVar($form, "form.lib_progress", $lang_lbl_installation_en_cours_msg);
			$vtp->setVar($form, "form.shortLanguage", $culture_shortLanguage);
			$vtp->setVar($form, "form.page_dest", "install_ini.php");
			$vtp->setVar($form, "form.next_etape", "$level");
			$vtp->setVar($form, "form.id_next_level", "");
			$vtp->setVar($form, "form.lib_next_level", $lib_cur_level);
			$vtp->setVar($form, "form.count_level", $count_level);
			$vtp->closeSession($form,"form");
			$vtp->Display();
			
			return;

		case 3: //ORACLE
			require("pdo.inc.php");
			require("culture.php");
			
			
			#echo "install_ORACLE";
		
			$gDb = new Db();

			if ($var_ini["INI_LOGIN_ROOT_BDD"])
			{
				if (!$gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_ROOT_BDD"],$var_ini["INI_PWD_ROOT_BDD"], $var_ini["INI_NOM_BDD"]))
				{
					echo page_html("msgr", $lang_lbl_creation_base_err." : $result", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				
				// test de la version d'ORACLE
				if (!pre_requis_oracle($msg))
				{
					echo page_html("msgr", $msg, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
				
				if (!$row)
				{
					
					//echo  "cree_base";
					
					$xsl_file = "scripts/install/cree_base.xsl";
					$xml_file = "scripts/install/cree_base.xml";
					$xslt_params = array();
					if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
					{
						echo page_html("msgr", $lang_lbl_creation_base_err." : $result", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
						return;
					}
		
					// Cration du user si le login root est spcifi
					if($var_ini["INI_LOGIN_ROOT_BDD"]!='')
					{
						$xsl_file = "scripts/install/cree_base.xsl";
						$xml_file = "scripts/install/cree_user.xml";
						$xslt_params = array();
						if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
						{
							echo page_html("msgr", $lang_lbl_creation_user_err." : $result", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
							return;
						}
					}
		
					//Toutes les variables du formulaires sont appliqu?es aux requetes SQL
					reset($var_ini);
					while (list ($key, $val) = each ($var_ini))
					{
						#if($var_ini["TYPE_DB"] == 1)
						#	$val = str_replace("\\", "\\\\", $val);
						$result = str_replace("[@$key]", dblQ($val), $result);
					}
		
					//Ex?cution des requetes
					eval ($result);
					if (!$eval_ok)
					{
						echo page_html("msgr", $msg_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
						return;
					}
				}
				else
				{
					echo page_html("msgr", $lang_lbl_base_existante_err." (".$var_ini["INI_NOM_BDD"].")", "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
					return;
				}
			}

			//echo "SQLConnect";
		
			if (!$gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]))
			{
				//echo "erreur SQLConnect";
				
				echo page_html("msgr", $lang_lbl_connexion_param_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
			//D?marrage de l'installation
			
			//echo "install install_var";
			
			$xsl_file	= "scripts/install/install_var.xsl";
			$xml_file 	= "scripts/install/install_$culture_shortLanguage.xml";
			$xslt_params = array(
				"TYPE_INSTALL" 		=> $var_ini["TYPE_INSTALL"],
				"LEVEL_INSTALL" 	=> 1
			);
			if (!apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
			{
				echo page_html("msgr", $result, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
			eval($result);
		
			$level = "1";
			if (@file_exists("log_level.php"))
			{
				require("log_level.php");
				if (isset($LOG_ID_LEVEL)) $level = $LOG_ID_LEVEL;
			}
		
			$vtp = new VTemplate;
			$form = $vtp->Open("progress.vtp");
			$vtp->addSession($form,"form");
			$vtp->setVar($form, "form.lib_title", $lang_lbl_installation_msg);
			$vtp->setVar($form, "form.lib_progress", $lang_lbl_installation_en_cours_msg);
			$vtp->setVar($form, "form.shortLanguage", $culture_shortLanguage);
			$vtp->setVar($form, "form.page_dest", "install_ini.php");
			$vtp->setVar($form, "form.next_etape", "$level");
			$vtp->setVar($form, "form.id_next_level", "");
			$vtp->setVar($form, "form.lib_next_level", $lib_cur_level);
			$vtp->setVar($form, "form.count_level", $count_level);
			$vtp->closeSession($form,"form");
			$vtp->Display();
			
			return;
			
		default:
			break;	
	}	
}

$ODBCList = '';

if(version_os()==1 && $type_db!=1)
	$ODBCList = exec('ODBCDriversList.exe "<option>%s</option>"');
	
//Application de la feuille de style pour extraire les variables du formulaire de saisie
$xsl_file	= "scripts/install/install.xsl";
$xml_file	= "scripts/install/install_$culture_shortLanguage.xml";
$xslt_params = array(
	"TYPE_OS" 		=> version_mot($msg),
	"TYPE_INSTALL" 	=> $type_install,
	"TYPE_DB" 	=> $type_db,
	"VERSION_UIF" => $versionFM,
	"ODBC_DRIVERS" => $ODBCList,
	"DB_SPECIF_XML" => $db_specif_xml
	);
if (!apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
{
	echo page_html("msgr", $result, "install.php?INI_DISTRIB_LANG=$culture_shortLanguage&TYPE_INSTALL=$type_install&TYPE_DB=".$var_ini["TYPE_DB"]);
	return;
}

reset($var_reserve);
while (list ($key, $val) = each ($var_reserve))
{
	$result = str_replace("[@$key]", $val, $result);
}

//Affichage du formulaire de saisie
echo $result;
?>