<?php
require("ini.php");

$culture_shortLanguage = $_GET['INI_DISTRIB_LANG'];
require_once("culture.php");

require("setuptools.php");

if(($var_ini["TYPE_DB"] == 2) || ($var_ini["TYPE_DB"] == 3))
	require("pdo.inc.php");
else
	require("sql.inc.php");

require("vtemplate.class.php");

// L'execution de ce script ne doit pas etre stoppe par le timeout php
set_time_limit(0);

$gDb = new Db();

$level = pget("level"); //tape de l'installation
$next_etape = pget("next_etape");

//echo "Installation niveau : $level<br>";

$xsl_file	= "scripts/install/install_var.xsl";
$db_specif_xml	= '';
if($var_ini["TYPE_DB"] == 2)
	$db_specif_xml 	= '_MSSQL';
elseif($var_ini["TYPE_DB"] == 3)
	$db_specif_xml	= '_ORACLE';
	
$xml_file 	= "scripts/install/install_$culture_shortLanguage.xml";
$xslt_params = array(
	"TYPE_INSTALL" 		=> $var_ini["TYPE_INSTALL"],
	"LEVEL_INSTALL" 	=> $level,
	"DB_SPECIF_XML" 	=> $db_specif_xml
);
if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
{
	#echo page_html("msgr", $result, "install.php?TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]);
	echo page_html("msgr", $result, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
	
	return;
}

if(isset($INI_VERSION_FLOW))
	$var_ini["INI_VERSION_FLOW"] = $INI_VERSION_FLOW;
reset($var_ini);
while (list ($key, $val) = each ($var_ini))
{
	if($var_ini["TYPE_DB"] == 1)
		$val = str_replace("\\", "\\\\", $val);
	$result = str_replace("[@$key]", dblQ($val), $result);
}
reset($var_reserve);
while (list ($key, $val) = each ($var_reserve))
{
	if($var_ini["TYPE_DB"] == 1)
		$val = str_replace("\\", "\\\\", $val);
	$result = str_replace("[@$key]", dblQ($val), $result);
}

if(($var_ini["TYPE_DB"] == 2) || ($var_ini["TYPE_DB"] == 3))
	$err_conn = $gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]);
else
	$err_conn = $gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]);
if (!$err_conn)
{
	#echo page_html("msgr", $lang_lbl_connexion_base_err, "install.php?TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]);
	echo page_html("msgr", $lang_lbl_connexion_base_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
	
	return;
}

$param = array();
eval($result); // ==> $fic_xml, $fic_xsl, $param[], $next_level, $lib_next_level, $lib_cur_level
$param["TYPE_OS"] 		= version_mot($msg);
$param["TYPE_INSTALL"] 	= $var_ini["TYPE_INSTALL"];
$param["DB_SPECIF_XML"] = $db_specif_xml;

if (!@apply_xsl("scripts/install/".$fic_xsl, "scripts/install/".$fic_xml, $param, $result))
{
	#echo page_html("msgr", $result, "install.php?TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]);
	echo page_html("msgr", $msg_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);

	log_erreur($msg_err, $level);
	sauve_level($level);
	return;
}

//Toutes les variables du formulaires sont appliques aux requetes SQL
$var_ini["INI_VERSION_FLOW"] = $INI_VERSION_FLOW;
reset($var_ini);
while (list ($key, $val) = each ($var_ini))
{
	$result = str_replace("[@$key]", dblQ($val), $result);
}
reset($var_reserve);
while (list ($key, $val) = each ($var_reserve))
{
	$result = str_replace("[@$key]", dblQ($val), $result);
}
eval ($result);

$protocole = explode("/", $_SERVER['SERVER_PROTOCOL']);
$req2 = "UPDATE FLOWCONF SET FCO_URL_WS='".strtolower($protocole[0])."://".$_SERVER['HTTP_HOST'].":".$_SERVER['SERVER_PORT'].$var_ini["INI_PATH_SFLOW"]."admin/maj.php';";
$gDb->SQLQuery($req2, 2);
$gDb->SQLFermeQuery(2);


if (!$eval_ok)
{
	#echo page_html("msgr", $msg_err, "install.php?TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]);
	echo page_html("msgr", $msg_err, "install.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
	log_erreur($msg_err, $level);
	sauve_level($level);
	return;
}

if ($msg_err) log_erreur($msg_err, $level);

if (isset($next_level) && $next_level)
{
	$vtp = new VTemplate;
	$form = $vtp->Open("progress.vtp");
	$vtp->addSession($form,"form");
	$vtp->setVar($form, "form.lib_title", $lang_lbl_installation_msg);
	$vtp->setVar($form, "form.lib_progress", $lang_lbl_installation_en_cours_msg);
	$vtp->setVar($form, "form.shortLanguage", $culture_shortLanguage);
	$vtp->setVar($form, "form.page_dest", "install_ini.php");
	if ($msg_err) $vtp->setVar($form, "form.msg_err", $msg_err);
	$vtp->setVar($form, "form.id_next_level", $next_level);
	$vtp->setVar($form, "form.next_etape", $next_etape + 1 );
	$vtp->setVar($form, "form.lib_next_level", $lib_next_level);
	$vtp->setVar($form, "form.count_level", $count_level);
	$vtp->closeSession($form,"form");
	$vtp->Display();
}
else
{
	erase_level();
	erase_ini();
	echo 	"<head>
			<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>
			<link href=\"setup.css\" rel=\"stylesheet\" type=\"text/css\"/>
			</head>
			<body class=h-fond>
			<center><span class=\"h-stitre\"><b><u>".$lang_lbl_installation_ok_msg."</u></b></span></center><br/>
			<center><a href=\"".$var_ini["INI_PATH_SFLOW"]."\">".$lang_lbl_demarrer_msg."</a></center>";
	if ($msg_err) echo "<center><span class=\"msgr\"><b>$msg_err</b></span></center>";
	echo "</body>";
}
?>