<?php
require("ini.php");

$culture_shortLanguage = $_GET['INI_DISTRIB_LANG'];
require_once("culture.php");

require("vtemplate.class.php");
require("setuptools.php");

// L'execution de ce script ne doit pas etre stoppe par le timeout php
set_time_limit(0);

sleep(1);
$level = pget("level"); //étape de l'installation
$next_etape = pget("next_etape");

if(isset($var_ini["TYPE_DB"]))
{
	switch($var_ini["TYPE_DB"])
	{
		case 1: //MYSQL
			require("sql.inc.php");

			$gDb = new Db();
			$ret = $gDb->SQLConnect($var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]);
			if (!$ret)
			{
				echo page_html("msgr", $lang_lbl_connexion_param_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
			break;
			
		case 2: //MSSQL
			require("pdo.inc.php");
				
			$gDb = new Db();
			$ret = $gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]);
			if (!$ret)
			{
				echo page_html("msgr", $lang_lbl_connexion_param_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
		break;

		case 3: //ORACLE
			require("pdo.inc.php");
			
			$gDb = new Db();
			$ret = $gDb->SQLConnect($var_ini["INI_ODBC_DRIVER"], $var_ini["INI_URL_BDD"].":".$var_ini["INI_PORT_BDD"],$var_ini["INI_LOGIN_BDD"],$var_ini["INI_PWD_BDD"],$var_ini["INI_NOM_BDD"]);
			if (!$ret)
			{
				echo page_html("msgr", $lang_lbl_connexion_param_err, "maj.php?INI_DISTRIB_LANG=".$culture_shortLanguage."&TYPE_INSTALL=".$var_ini["TYPE_INSTALL"]."&TYPE_DB=".$var_ini["TYPE_DB"]);
				return;
			}
		break;
			
		default:
		return;	                 
	}
}

if (!liste_activite($var_macro["MACRO_LIST_ACTIVITES"], $var_ini["INI_NOM_BDD"]))
{
	echo page_html("msgr", $var_macro["MACRO_LIST_ACTIVITES"], "javascript:history.back();");
	return;
}
if (!nom_client($var_macro["MACRO_NOM_CLIENT"]))
{
	echo page_html("msgr", $var_macro["MACRO_NOM_CLIENT"], "javascript:history.back();");
	return;
}

if (!current_version($version_flow, $msg))
{
	echo page_html("msgr", $msg, "javascript:history.back();");
	return;
}
$cur_version_flow = version_to_int($version_flow);

mail_admin($var_macro['MACRO_MAIL_ADMIN'], $var_ini["INI_REP_SFLOW"]);
path_log_sql($var_macro['MACRO_PATH_LOG_SQL'], $var_ini["INI_REP_SFLOW"]);

$xsl_file	= "scripts/maj/maj_var.xsl";
$xml_file 	= "scripts/maj/maj_".$culture_shortLanguage.".xml";

$xslt_params = array(
	"TYPE_INSTALL" 		=> current_station($var_ini["TYPE_INSTALL"], $result),
	"LEVEL_INSTALL" 	=> $level,
	"CUR_VERSION_FLOW"	=> $cur_version_flow
);
if (!@apply_xsl($xsl_file, $xml_file, $xslt_params, $result))
{
	echo page_html("msgr", $result, "javascript:history.back();");
	return;
}

$param = array();
reset($var_ini);
while (list ($key, $val) = each ($var_ini))
{
	$val = str_replace("\\", "\\\\", $val);
	$result = str_replace("[@$key]", dblQ($val), $result);
}
reset($var_reserve);
while (list ($key, $val) = each ($var_reserve))
{
	$val = str_replace("\\", "\\\\", $val);
	$result = str_replace("[@$key]", dblQ($val), $result);
}
reset($var_macro);
while (list ($key, $val) = each ($var_macro))
{
	$val = str_replace("\\", "\\\\", $val);
	$result = str_replace("[@$key]", dblQ($val), $result);
}

eval($result); // ==> $fic_xml, $fic_xsl, $param[], $next_level, $lib_next_level, $lib_cur_level

$param["TYPE_OS"] 		= version_mot($msg);
$param["TYPE_INSTALL"] 	= current_station($var_ini["TYPE_INSTALL"], $result);

$eval_ok = true;
if (!@apply_xsl("scripts/maj/".$fic_xsl, "scripts/maj/".$fic_xml, $param, $result))
{
	echo page_html("msgr", $result, "javascript:history.back();");
	log_erreur($result, $level);
	sauve_level($level);
	return;
}

//Toutes les variables du formulaires sont appliquées aux requetes SQL
$var_ini["INI_VERSION_FLOW"] = $INI_VERSION_FLOW;
reset($var_ini);
while (list ($key, $val) = each ($var_ini))
{
	$result = str_replace("[@$key]", dblQ($val), $result);
}
reset($var_reserve);
while (list ($key, $val) = each ($var_reserve))
{
	$result = str_replace("[@$key]", dblQ($val), $result);
}
reset($var_macro);
while (list ($key, $val) = each ($var_macro))
{
	$result = str_replace("[@$key]", dblQ($val), $result);
}

eval($result);

if (!$eval_ok)
{
	echo page_html("msgr", $msg_err, "javascript:history.back();");
	log_erreur($msg_err, $level);
	sauve_level($level);
	return;
}

if ($msg_err) log_erreur($msg_err, $level);


if (isset($next_level) && $next_level)
{
	$vtp = new VTemplate;
	$form = $vtp->Open("progress.vtp");
	$vtp->addSession($form,"form");
	$vtp->setVar($form, "form.lib_title", $lang_lbl_installation_msg);
	$vtp->setVar($form, "form.lib_progress", $lang_lbl_maj_en_cours_msg);
	if ($msg_err) $vtp->setVar($form, "form.msg_err", $msg_err);
	$vtp->setVar($form, "form.shortLanguage", $culture_shortLanguage);
	$vtp->setVar($form, "form.page_dest", "maj_ini.php");
	$vtp->setVar($form, "form.id_next_level", $next_level);
	$vtp->setVar($form, "form.next_etape", $next_etape + 1 );
	$vtp->setVar($form, "form.lib_next_level", $lib_next_level);
	$vtp->setVar($form, "form.count_level", $count_level);
	$vtp->closeSession($form,"form");
	$vtp->Display();
}
else
{
	erase_level();
	erase_ini();
	
	// verification des noms de flux non unique (unicité obligatoire à partir de la version 6.1.0)
	$req = 'SELECT COUNT(*) AS NB, FLX_LIBEL FROM FLUX GROUP BY FLX_LIBEL HAVING (COUNT(*)>1)';
	$gDb->SQLQuery($req, 1);
	$doublon = '';
	while($row = $gDb->SQLNextRow(1))
	{
		$doublon .= sprintf($lang_lbl_warning_doublon_libelle, '<b>'.$row['FLX_LIBEL'].'</b>', $row['NB']).'<br/>';
	}
	$gDb->SQLFermeQuery(1);

	// Spécifique MySQL en Mise à jour
	// update des 'definer' des procédures stockées 'build_part_tree' et 'build_part' 
	// (problème en duplication si le definer = 'root' pour les UiF issus de v3.6 et/ou v4.5)
	if($var_ini["TYPE_DB"] == 1)
	{
		$req = "SELECT `USER` FROM mysql.db WHERE db='".$var_ini["INI_NOM_BDD"]."';";
		$res = $gDb->SQLQuery($req, 1);
		$row = $gDb->SQLNextRow(1);
		$fmuser = $row['USER'];
		$gDb->SQLFermeQuery(1);	    

		$req = "UPDATE mysql.proc p SET DEFINER ='".$fmuser."@".$var_ini["INI_URL_BDD"]."' 
				WHERE NAME LIKE 'REBUILD_PART%' AND db ='".$var_ini["INI_NOM_BDD"]."';";
		$res = $gDb->SQLQuery($req, 1);
		$gDb->SQLFermeQuery(1);	        
	}
	echo 	"<head>
			<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>
			<link href=\"setup.css\" rel=\"stylesheet\" type=\"text/css\"/>
			</head>
			<body class=h-fond>
			<center><br/><span class=\"h-stitre\"><b><u>".$lang_lbl_maj_ok_msg."</u></b></span></center><br/>";
			
	if($doublon!='')
	{
		echo "<span class=\"msgr\"><b>$lang_lbl_warning_doublon</b><br/><br/>$doublon</span><br/>";
	}
	
	echo	"<center><a href=\"".$var_ini["INI_PATH_SFLOW"]."\">".$lang_lbl_demarrer_msg."</a></center>";
	if ($msg_err) echo "<center><span class=\"msgr\"><b>$msg_err</b></span></center>";
	echo "</body>";
}
?>