<?php
DEFINE('SQL_DUP_CHAMP',-2);

DEFINE('REQUEST_LOG',0);
   
class Db
{
	var $NumReq = 10;  //Nombre max de requetes simultanes
	var $ConnectionID;
	var $DatabaseName;
	var $Result;
	var $Row;

	function SQLConnect($host, $user, $passwd, $database)
	{
		$this->ConnectionID = @mysql_connect($host, $user, $passwd);

		if (!$this->ConnectionID)
		{
			$this->erreur("Erreur de connexion");
			return false;
		}

		if ($database) return( $this->SQLSelectDatabase($database) );

		return true;
	}

	function SQLSelectDatabase($database)
	{
		$this->DatabaseName = $database;

		if ($this->ConnectionID)
			return @mysql_select_db($database, $this->ConnectionID);
		else
		{
			erreur("Erreur de selection de la base de donnes");
            return false;
		}
	}

	// Pour compatibilit pdo.inc.php
	function SQLQueryDirect($query, $num = '0')
	{
		return SQLQuery($query, $num);
	}

	function SQLQuery($query, $num = '0', $start = '', $limit = '')
	{
		if ($start != '' || $limit != '')
			$query .= ' LIMIT '.$start.','.$limit;
			
		$msg=sprintf("SQLQUERY: %s, NUM: %d\n",$query,$num);
		#echo $msg;
		
		$this->WriteLog($msg);		

		$this->Result[$num] = @mysql_query($query, $this->ConnectionID);
		if(!$this->Result[$num])
		{
			$mysqlError = mysql_errno();
			if (($mysqlError == 1062) || ($mysqlError == 1060)) 
			{
				$res[0] = SQL_DUP_CHAMP;
				return $res;
			}
			$this->erreur("$query");
		}

		if(strpos($query, "SET ") !== false)
		{
			$pos=strpos($query, "@");
			if($pos !== false)	
			{
				$var=substr($query,$pos);
				
				$pos2=strpos($var, ":=");
				
				if($pos2 === false)	
					$pos2=strpos($var, "=");
				
				if($pos2 !== false)	
					$var=substr($var,0,$pos2);
					
				$queryselect="SELECT $var";

				$result=@mysql_query($queryselect, $this->ConnectionID);

				$Row = @mysql_fetch_array($result);
				
				$msg=sprintf("SQLQUERY of SET %s: %s\n",$var,$Row[0]);
		
				$this->WriteLog($msg);		
	
			}
		}	

		return $this->Result[$num];
	}

	function SQLNumRows($num = '0')
	{
		$count = @mysql_num_rows($this->Result[$num]);
		if ($count == -1)
		{
			$this->erreur("Erreur de nombre de ligne");
			return false;
		}
		return $count;
	}

	function SQLNumFields($num = '0')
	{
		if ($num < 0 || $num > $this->NumReq) return false;
		$count = @mysql_num_fields($this->Result[$num]);
		if ($count == -1)
		{
			$this->erreur("Erreur de nombre de colonne");
			return false;
		}
		return $count;
	}

	function SQLFieldName($i = '1', $num = '0')
	{
		return mysql_field_name($this->Result[$num],$i);
	}
	  
	function SQLFieldType($i='1', $num='0')
	{
		return mysql_field_type($this->Result[$num],$i);
	}
	  
	function SQLFieldFlags($i='1', $num='0')
	{
		return mysql_field_flags($this->Result[$num],$i);
	}

	function SQLNextRow($num='0')
	{
		$this->Row = @mysql_fetch_array($this->Result[$num]);
		return $this->Row;
	}

	function SQLLoadLob($num, $query)
	{
		if ($num < 0 || $num > $this->NumReq)
		{
			$this->erreur("Numro de statement incorrect");
			return false;
		}

		$this->Result[$num] = @mysql_query($query, $this->ConnectionID);
		if(!$this->Result[$num])
		{
			$this->erreur("$query");
			return false;
		}

		$res = mysql_fetch_array($this->Result[$num]);

		@mysql_free_result($this->Result[$num]);
		return $res[0];
	}

	function SQLFermeQuery($num='0')
	{
		if ($num < 0 || $num > $this->NumReq) return false;
		if (!@mysql_free_result($this->Result[$num])) return false;
		else return true;
	}

	/************************************************************************/
	/* SQLTransact                                                          */
	/* Se positionne en mode AutoCommit Off                                 */
	/************************************************************************/
	/*  entre :                                                            */
	/************************************************************************/
	/*  sortie :  - true                                                    */
	/************************************************************************/
	function SQLTransact()
	{
		$res = @mysql_query("BEGIN", $this->ConnectionID);
		if(!$res)
		{
			$this->erreur("Erreur transaction");
			return false;
		}
		return true;
	}

	/************************************************************************/
	/* SQLCommit                                                            */
	/* Valide une transaction                                               */
	/************************************************************************/
	/*  entre :                                                            */
	/************************************************************************/
	/*  sortie :  - true = en cas de succs                                 */
	/*             - false = en cas d'erreur                                */
	/************************************************************************/
	function SQLCommit()
	{
		$res = @mysql_query("COMMIT", $this->ConnectionID);
		if(!$res)
		{
			$this->erreur("Erreur commit");
			return false;
		}
		return true;
	}

	/************************************************************************/
	/* SQLRollBack                                                          */
	/* Donne le nom d'une colonne                                           */
	/************************************************************************/
	/*  entre :                                                            */
	/************************************************************************/
	/*  sortie :  - true = en cas de succs                                 */
	/*            - false = en cas d'erreur                                 */
	/************************************************************************/
	function SQLRollBack()
	{
		$res = @mysql_query("ROLLBACK", $this->ConnectionID);
		if(!$res)
		{
			$this->erreur("Erreur RollBack");
			return false;
		}
		return true;
	}

	/************************************************************************/
	/* SQLLastCle                                                          */
	/* Retourne la derniere cle (autoincrement) gnre dans la connexion courante  */
	/************************************************************************/
	/*  entre :                                                            */
	/************************************************************************/
	/*  sortie :  - true                                                    */
	/************************************************************************/
	function SQLLastCle()
	{
		$res = @mysql_insert_id();
		if(!$res)
		{
			$this->erreur("Erreur LastCle");
			return false;
		}
		return $res;
	}
   
	function SQLlastID()
    {
		return mysql_insert_id();
    }

	function SQLErreur()
	{
		return " Erreur mysql n:".mysql_errno()." libel: ".mysql_error();
	}

	function erreur($fonction)
	{
		global $page_courante;
		$res = $fp = @fopen("setup_sql_flow.log", "a");
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Le chemin d\'accs au fichier de log SQL n\'existe pas, \\nou les permissions ne sont pas accordes au serveur pour ecrire dans le rpertoire.\"); 
					</script>";
			return false;
		}
		$msg_err = 	"ERR_SQL**********************************************************\r\n".
					"Page    : $page_courante\r\n".
					"Date    : ".date("Y/m/d H:i")."\r\n".
					"Requete : $fonction\r\n".
					"Erreur  : ".mysql_error()."\r\n";
		$res = @fputs($fp, $msg_err);
		if (!$res)
		{
			echo "<script language=\"JavaScript\">
					alert(\"Attention : Une erreur SQL s\'est produite, \\nmais le serveur Web ne dispose pas des droits ncessaire pour crire dans le fichier des logs.\");
					</script>";
			return false;
		}
		fclose($fp);
	}
	
	/////////////////////////////////////////////////////////			
			function WriteLog($msg) 
	/////////////////////////////////////////////////////////			
	{
		if(REQUEST_LOG)
		{
			global $page_courante;
			
			$fp = @fopen("query_install.log", "a");
			
			$msg_log = 	"**********************************************************\r\n".
						"Page    : $page_courante\r\n".
						"Date    : ".date("Y/m/d H:i")."\r\n".
						"Message : $msg\r\n";
			
			
			@fputs($fp, $msg_log);
			
			@fclose($fp);	
		}
	}
}
?>
